""" Cisco_NX_OS_device 

NXOS Device YANG Model

"""
from collections import OrderedDict

from ydk.types import Entity, EntityPath, Identity, Enum, YType, YLeaf, YLeafList, YList, LeafDataList, Bits, Empty, Decimal64
from ydk.filters import YFilter
from ydk.errors import YError, YModelError
from ydk.errors.error_handler import handle_type_error as _handle_type_error



class AaaAccountStatus(Enum):
    """
    AaaAccountStatus (Enum Class)

    .. data:: active = 0

    .. data:: inactive = 1

    """

    active = Enum.YLeaf(0, "active")

    inactive = Enum.YLeaf(1, "inactive")


class AaaAuthenticationProtocol(Enum):
    """
    AaaAuthenticationProtocol (Enum Class)

    .. data:: pap = 0

    .. data:: chap = 1

    .. data:: mschap = 2

    .. data:: mschapv2 = 3

    .. data:: ascii = 4

    """

    pap = Enum.YLeaf(0, "pap")

    chap = Enum.YLeaf(1, "chap")

    mschap = Enum.YLeaf(2, "mschap")

    mschapv2 = Enum.YLeaf(3, "mschapv2")

    ascii = Enum.YLeaf(4, "ascii")


class AaaBoolean(Enum):
    """
    AaaBoolean (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class AaaClear(Enum):
    """
    AaaClear (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class AaaCmdType(Enum):
    """
    AaaCmdType (Enum Class)

    .. data:: config = 0

    .. data:: exec_ = 1

    """

    config = Enum.YLeaf(0, "config")

    exec_ = Enum.YLeaf(1, "exec")


class AaaKeyEnc(Enum):
    """
    AaaKeyEnc (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_6 = 6

    .. data:: Y_7 = 7

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_6 = Enum.YLeaf(6, "6")

    Y_7 = Enum.YLeaf(7, "7")


class AaaKeyEncLdapProviderKeyEnc(Enum):
    """
    AaaKeyEncLdapProviderKeyEnc (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_6 = 6

    .. data:: Y_7 = 7

    .. data:: inherit_from_global = 255

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_6 = Enum.YLeaf(6, "6")

    Y_7 = Enum.YLeaf(7, "7")

    inherit_from_global = Enum.YLeaf(255, "inherit-from-global")


class AaaKeyEncRadiusProviderKeyEnc(Enum):
    """
    AaaKeyEncRadiusProviderKeyEnc (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_6 = 6

    .. data:: Y_7 = 7

    .. data:: inherit_from_global = 255

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_6 = Enum.YLeaf(6, "6")

    Y_7 = Enum.YLeaf(7, "7")

    inherit_from_global = Enum.YLeaf(255, "inherit-from-global")


class AaaKeyEncTacacsPlusProviderKeyEnc(Enum):
    """
    AaaKeyEncTacacsPlusProviderKeyEnc (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_6 = 6

    .. data:: Y_7 = 7

    .. data:: inherit_from_global = 255

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_6 = Enum.YLeaf(6, "6")

    Y_7 = Enum.YLeaf(7, "7")

    inherit_from_global = Enum.YLeaf(255, "inherit-from-global")


class AaaKeyEncUserPass(Enum):
    """
    AaaKeyEncUserPass (Enum Class)

    .. data:: unspecified = 255

    .. data:: clear = 0

    .. data:: Encrypt = 5

    """

    unspecified = Enum.YLeaf(255, "unspecified")

    clear = Enum.YLeaf(0, "clear")

    Encrypt = Enum.YLeaf(5, "Encrypt")


class AaaLdapSSLStrictnessLevel(Enum):
    """
    AaaLdapSSLStrictnessLevel (Enum Class)

    .. data:: strict = 0

    .. data:: permissive = 1

    """

    strict = Enum.YLeaf(0, "strict")

    permissive = Enum.YLeaf(1, "permissive")


class AaaLoggingLevel(Enum):
    """
    AaaLoggingLevel (Enum Class)

    .. data:: Emergency = 0

    .. data:: Alert = 1

    .. data:: Critical = 2

    .. data:: Error = 3

    .. data:: Warning = 4

    .. data:: Notif = 5

    .. data:: Inform = 6

    .. data:: Debug = 7

    """

    Emergency = Enum.YLeaf(0, "Emergency")

    Alert = Enum.YLeaf(1, "Alert")

    Critical = Enum.YLeaf(2, "Critical")

    Error = Enum.YLeaf(3, "Error")

    Warning = Enum.YLeaf(4, "Warning")

    Notif = Enum.YLeaf(5, "Notif")

    Inform = Enum.YLeaf(6, "Inform")

    Debug = Enum.YLeaf(7, "Debug")


class AaaMonitorServerType(Enum):
    """
    AaaMonitorServerType (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")


class AaaNoRolePolicy(Enum):
    """
    AaaNoRolePolicy (Enum Class)

    .. data:: no_login = 0

    .. data:: assign_default_role = 1

    """

    no_login = Enum.YLeaf(0, "no-login")

    assign_default_role = Enum.YLeaf(1, "assign-default-role")


class AaaProviderGroupProtocol(Enum):
    """
    AaaProviderGroupProtocol (Enum Class)

    .. data:: tacacs = 0

    .. data:: radius = 1

    .. data:: ldap = 2

    """

    tacacs = Enum.YLeaf(0, "tacacs")

    radius = Enum.YLeaf(1, "radius")

    ldap = Enum.YLeaf(2, "ldap")


class AaaProviderState(Enum):
    """
    AaaProviderState (Enum Class)

    .. data:: unknown = 0

    .. data:: operable = 1

    .. data:: inoperable = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    operable = Enum.YLeaf(1, "operable")

    inoperable = Enum.YLeaf(2, "inoperable")


class AaaPwdPolicy(Enum):
    """
    AaaPwdPolicy (Enum Class)

    .. data:: enable = 0

    .. data:: disable = 1

    """

    enable = Enum.YLeaf(0, "enable")

    disable = Enum.YLeaf(1, "disable")


class AaaRadSrvUseType(Enum):
    """
    AaaRadSrvUseType (Enum Class)

    .. data:: Auth = 0

    .. data:: Author = 1

    .. data:: Acc = 2

    .. data:: All = 3

    """

    Auth = Enum.YLeaf(0, "Auth")

    Author = Enum.YLeaf(1, "Author")

    Acc = Enum.YLeaf(2, "Acc")

    All = Enum.YLeaf(3, "All")


class AaaRealm(Enum):
    """
    AaaRealm (Enum Class)

    .. data:: local = 0

    .. data:: radius = 1

    .. data:: tacacs = 2

    .. data:: ldap = 3

    """

    local = Enum.YLeaf(0, "local")

    radius = Enum.YLeaf(1, "radius")

    tacacs = Enum.YLeaf(2, "tacacs")

    ldap = Enum.YLeaf(3, "ldap")


class AaaRealmDomainAuthRealm(Enum):
    """
    AaaRealmDomainAuthRealm (Enum Class)

    .. data:: local = 0

    .. data:: radius = 1

    .. data:: tacacs = 2

    .. data:: ldap = 3

    .. data:: none = 4

    """

    local = Enum.YLeaf(0, "local")

    radius = Enum.YLeaf(1, "radius")

    tacacs = Enum.YLeaf(2, "tacacs")

    ldap = Enum.YLeaf(3, "ldap")

    none = Enum.YLeaf(4, "none")


class AaaRuleAccessType(Enum):
    """
    AaaRuleAccessType (Enum Class)

    .. data:: none = 0

    .. data:: read = 1

    .. data:: read_write = 2

    .. data:: command = 3

    """

    none = Enum.YLeaf(0, "none")

    read = Enum.YLeaf(1, "read")

    read_write = Enum.YLeaf(2, "read-write")

    command = Enum.YLeaf(3, "command")


class AaaRulePermissionType(Enum):
    """
    AaaRulePermissionType (Enum Class)

    .. data:: none = 0

    .. data:: permit = 1

    .. data:: deny = 2

    """

    none = Enum.YLeaf(0, "none")

    permit = Enum.YLeaf(1, "permit")

    deny = Enum.YLeaf(2, "deny")


class AaaRuleScopeType(Enum):
    """
    AaaRuleScopeType (Enum Class)

    .. data:: none = 0

    .. data:: feature = 2

    .. data:: feature_group = 3

    .. data:: oid = 21

    """

    none = Enum.YLeaf(0, "none")

    feature = Enum.YLeaf(2, "feature")

    feature_group = Enum.YLeaf(3, "feature-group")

    oid = Enum.YLeaf(21, "oid")


class AaaUserRolePrivType(Enum):
    """
    AaaUserRolePrivType (Enum Class)

    .. data:: noDataPriv = 0

    .. data:: readPriv = 1

    .. data:: writePriv = 2

    """

    noDataPriv = Enum.YLeaf(0, "noDataPriv")

    readPriv = Enum.YLeaf(1, "readPriv")

    writePriv = Enum.YLeaf(2, "writePriv")


class AcBankT(Enum):
    """
    AcBankT (Enum Class)

    .. data:: even = 1

    .. data:: Odd = 2

    """

    even = Enum.YLeaf(1, "even")

    Odd = Enum.YLeaf(2, "Odd")


class AclActionType(Enum):
    """
    AclActionType (Enum Class)

    .. data:: invalid = 0

    .. data:: permit = 1

    .. data:: deny = 2

    .. data:: copy = 3

    .. data:: divert = 4

    .. data:: redirect = 5

    """

    invalid = Enum.YLeaf(0, "invalid")

    permit = Enum.YLeaf(1, "permit")

    deny = Enum.YLeaf(2, "deny")

    copy = Enum.YLeaf(3, "copy")

    divert = Enum.YLeaf(4, "divert")

    redirect = Enum.YLeaf(5, "redirect")


class AclHttpOptionType(Enum):
    """
    AclHttpOptionType (Enum Class)

    .. data:: get = 1

    .. data:: put = 2

    .. data:: head = 3

    .. data:: post = 4

    .. data:: delete = 5

    .. data:: trace = 6

    .. data:: connect = 7

    .. data:: invalid = 0

    """

    get = Enum.YLeaf(1, "get")

    put = Enum.YLeaf(2, "put")

    head = Enum.YLeaf(3, "head")

    post = Enum.YLeaf(4, "post")

    delete = Enum.YLeaf(5, "delete")

    trace = Enum.YLeaf(6, "trace")

    connect = Enum.YLeaf(7, "connect")

    invalid = Enum.YLeaf(0, "invalid")


class AclVAclActionType(Enum):
    """
    AclVAclActionType (Enum Class)

    .. data:: invalid = 0

    .. data:: forward = 1

    .. data:: drop = 2

    .. data:: redirect = 3

    """

    invalid = Enum.YLeaf(0, "invalid")

    forward = Enum.YLeaf(1, "forward")

    drop = Enum.YLeaf(2, "drop")

    redirect = Enum.YLeaf(3, "redirect")


class ActionAdminSt(Enum):
    """
    ActionAdminSt (Enum Class)

    .. data:: unknown = 0

    .. data:: start = 1

    .. data:: stop = 2

    .. data:: suspend = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    start = Enum.YLeaf(1, "start")

    stop = Enum.YLeaf(2, "stop")

    suspend = Enum.YLeaf(3, "suspend")


class ActionOperSt(Enum):
    """
    ActionOperSt (Enum Class)

    .. data:: scheduled = 0

    .. data:: processing = 1

    .. data:: completed = 2

    .. data:: cancelled = 3

    .. data:: failed = 4

    .. data:: indeterminate = 5

    .. data:: suspended = 6

    .. data:: crashsuspect = 7

    """

    scheduled = Enum.YLeaf(0, "scheduled")

    processing = Enum.YLeaf(1, "processing")

    completed = Enum.YLeaf(2, "completed")

    cancelled = Enum.YLeaf(3, "cancelled")

    failed = Enum.YLeaf(4, "failed")

    indeterminate = Enum.YLeaf(5, "indeterminate")

    suspended = Enum.YLeaf(6, "suspended")

    crashsuspect = Enum.YLeaf(7, "crashsuspect")


class ActionType(Enum):
    """
    ActionType (Enum Class)

    .. data:: clear = 1

    .. data:: reset = 2

    .. data:: reload = 3

    .. data:: locate = 4

    .. data:: install = 5

    .. data:: test = 6

    .. data:: collect = 7

    .. data:: interface_in_service = 8

    """

    clear = Enum.YLeaf(1, "clear")

    reset = Enum.YLeaf(2, "reset")

    reload = Enum.YLeaf(3, "reload")

    locate = Enum.YLeaf(4, "locate")

    install = Enum.YLeaf(5, "install")

    test = Enum.YLeaf(6, "test")

    collect = Enum.YLeaf(7, "collect")

    interface_in_service = Enum.YLeaf(8, "interface-in-service")


class ActrlDirection(Enum):
    """
    ActrlDirection (Enum Class)

    .. data:: uni_dir = 1

    .. data:: bi_dir = 2

    """

    uni_dir = Enum.YLeaf(1, "uni-dir")

    bi_dir = Enum.YLeaf(2, "bi-dir")


class ActrlOperSt(Enum):
    """
    ActrlOperSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class ActrlRuleT(Enum):
    """
    ActrlRuleT (Enum Class)

    .. data:: tenant = 1

    .. data:: mgmt = 2

    .. data:: snmp = 3

    .. data:: bd_flood = 4

    .. data:: vrf_default = 5

    .. data:: infra = 6

    """

    tenant = Enum.YLeaf(1, "tenant")

    mgmt = Enum.YLeaf(2, "mgmt")

    snmp = Enum.YLeaf(3, "snmp")

    bd_flood = Enum.YLeaf(4, "bd_flood")

    vrf_default = Enum.YLeaf(5, "vrf_default")

    infra = Enum.YLeaf(6, "infra")


class ActrlcapSubj(Enum):
    """
    ActrlcapSubj (Enum Class)

    .. data:: unknown = 0

    .. data:: rule_namespace = 1

    .. data:: scope_namespace = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    rule_namespace = Enum.YLeaf(1, "rule-namespace")

    scope_namespace = Enum.YLeaf(2, "scope-namespace")


class AdjacencyAdjOperSt(Enum):
    """
    AdjacencyAdjOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: incomplete = 1

    .. data:: normal = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    incomplete = Enum.YLeaf(1, "incomplete")

    normal = Enum.YLeaf(2, "normal")


class AdjacencyDbT(Enum):
    """
    AdjacencyDbT (Enum Class)

    .. data:: ip = 1

    .. data:: ipv6 = 2

    """

    ip = Enum.YLeaf(1, "ip")

    ipv6 = Enum.YLeaf(2, "ipv6")


class AggregateAdminState(Enum):
    """
    AggregateAdminState (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class AggregateAfT(Enum):
    """
    AggregateAfT (Enum Class)

    .. data:: ipv4_ucast = 0

    .. data:: vpnv4_ucast = 1

    .. data:: ipv6_ucast = 2

    .. data:: vpnv6_ucast = 3

    .. data:: l2_evpn = 4

    """

    ipv4_ucast = Enum.YLeaf(0, "ipv4-ucast")

    vpnv4_ucast = Enum.YLeaf(1, "vpnv4-ucast")

    ipv6_ucast = Enum.YLeaf(2, "ipv6-ucast")

    vpnv6_ucast = Enum.YLeaf(3, "vpnv6-ucast")

    l2_evpn = Enum.YLeaf(4, "l2-evpn")


class AggregateBfdStatus(Enum):
    """
    AggregateBfdStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: admin_down = 1

    .. data:: down = 2

    .. data:: init = 3

    .. data:: up = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    admin_down = Enum.YLeaf(1, "admin_down")

    down = Enum.YLeaf(2, "down")

    init = Enum.YLeaf(3, "init")

    up = Enum.YLeaf(4, "up")


class AggregateBooleanFlag(Enum):
    """
    AggregateBooleanFlag (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class AggregateConfTmplStatus(Enum):
    """
    AggregateConfTmplStatus (Enum Class)

    .. data:: inactive = 0

    .. data:: active = 1

    .. data:: failed = 2

    """

    inactive = Enum.YLeaf(0, "inactive")

    active = Enum.YLeaf(1, "active")

    failed = Enum.YLeaf(2, "failed")


class AggregateConfigSourceType(Enum):
    """
    AggregateConfigSourceType (Enum Class)

    .. data:: unknown = 0

    .. data:: cli = 1

    .. data:: controller = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    cli = Enum.YLeaf(1, "cli")

    controller = Enum.YLeaf(2, "controller")


class AggregateConfigStatus(Enum):
    """
    AggregateConfigStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: configReady = 1

    .. data:: configNotReady = 2

    .. data:: configPurgeInProgress = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    configReady = Enum.YLeaf(1, "configReady")

    configNotReady = Enum.YLeaf(2, "configNotReady")

    configPurgeInProgress = Enum.YLeaf(4, "configPurgeInProgress")


class AggregateCtrlrType(Enum):
    """
    AggregateCtrlrType (Enum Class)

    .. data:: unknown = 0

    .. data:: l2_vxlan = 1

    .. data:: vxlan = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    l2_vxlan = Enum.YLeaf(1, "l2-vxlan")

    vxlan = Enum.YLeaf(2, "vxlan")


class AggregateFabFwdMode(Enum):
    """
    AggregateFabFwdMode (Enum Class)

    .. data:: standard = 0

    .. data:: anycastgw = 1

    .. data:: proxygw = 2

    """

    standard = Enum.YLeaf(0, "standard")

    anycastgw = Enum.YLeaf(1, "anycastgw")

    proxygw = Enum.YLeaf(2, "proxygw")


class AggregateHostReachabilityMode(Enum):
    """
    AggregateHostReachabilityMode (Enum Class)

    .. data:: unknown = 0

    .. data:: floodAndLearn = 1

    .. data:: controller = 2

    .. data:: bgp = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    floodAndLearn = Enum.YLeaf(1, "floodAndLearn")

    controller = Enum.YLeaf(2, "controller")

    bgp = Enum.YLeaf(3, "bgp")


class AggregateIngressRepProtocolType(Enum):
    """
    AggregateIngressRepProtocolType (Enum Class)

    .. data:: unknown = 0

    .. data:: static = 1

    .. data:: bgp = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    static = Enum.YLeaf(1, "static")

    bgp = Enum.YLeaf(2, "bgp")


class AggregateIntfAssignMode(Enum):
    """
    AggregateIntfAssignMode (Enum Class)

    .. data:: dedicated = 0

    .. data:: shared = 1

    """

    dedicated = Enum.YLeaf(0, "dedicated")

    shared = Enum.YLeaf(1, "shared")


class AggregateIntfType(Enum):
    """
    AggregateIntfType (Enum Class)

    .. data:: unknown = 0

    .. data:: port = 1

    .. data:: port_channel = 2

    .. data:: tunnel = 3

    .. data:: loopback = 4

    .. data:: svi = 5

    """

    unknown = Enum.YLeaf(0, "unknown")

    port = Enum.YLeaf(1, "port")

    port_channel = Enum.YLeaf(2, "port-channel")

    tunnel = Enum.YLeaf(3, "tunnel")

    loopback = Enum.YLeaf(4, "loopback")

    svi = Enum.YLeaf(5, "svi")


class AggregateMacType(Enum):
    """
    AggregateMacType (Enum Class)

    .. data:: unknown = 0

    .. data:: unicast = 1

    .. data:: multicast = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    unicast = Enum.YLeaf(1, "unicast")

    multicast = Enum.YLeaf(2, "multicast")


class AggregateOperState(Enum):
    """
    AggregateOperState (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class AggregateReplicationModeType(Enum):
    """
    AggregateReplicationModeType (Enum Class)

    .. data:: unknown = 0

    .. data:: replicationServer = 1

    .. data:: ingressReplication = 2

    .. data:: ipMulticast = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    replicationServer = Enum.YLeaf(1, "replicationServer")

    ingressReplication = Enum.YLeaf(2, "ingressReplication")

    ipMulticast = Enum.YLeaf(3, "ipMulticast")


class AggregateResourceStatus(Enum):
    """
    AggregateResourceStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: vlanCreated = 1

    .. data:: vlanFailed = 2

    .. data:: vnidCreated = 3

    .. data:: vnidFailed = 4

    .. data:: vlansCarved = 5

    .. data:: vlansNotCarved = 6

    .. data:: vnidCreationReceived = 7

    .. data:: myTEPIPPublished = 101

    .. data:: controllerIntfNotCarved = 201

    .. data:: controllerIntfCarved = 202

    """

    unknown = Enum.YLeaf(0, "unknown")

    vlanCreated = Enum.YLeaf(1, "vlanCreated")

    vlanFailed = Enum.YLeaf(2, "vlanFailed")

    vnidCreated = Enum.YLeaf(3, "vnidCreated")

    vnidFailed = Enum.YLeaf(4, "vnidFailed")

    vlansCarved = Enum.YLeaf(5, "vlansCarved")

    vlansNotCarved = Enum.YLeaf(6, "vlansNotCarved")

    vnidCreationReceived = Enum.YLeaf(7, "vnidCreationReceived")

    myTEPIPPublished = Enum.YLeaf(101, "myTEPIPPublished")

    controllerIntfNotCarved = Enum.YLeaf(201, "controllerIntfNotCarved")

    controllerIntfCarved = Enum.YLeaf(202, "controllerIntfCarved")


class AggregateRttPType(Enum):
    """
    AggregateRttPType (Enum Class)

    .. data:: import_ = 1

    .. data:: export = 2

    """

    import_ = Enum.YLeaf(1, "import")

    export = Enum.YLeaf(2, "export")


class AggregateTunnelType(Enum):
    """
    AggregateTunnelType (Enum Class)

    .. data:: unknown = 0

    .. data:: vxlanipv4 = 1

    .. data:: vxlanipv6 = 2

    .. data:: nvgre = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    vxlanipv4 = Enum.YLeaf(1, "vxlanipv4")

    vxlanipv6 = Enum.YLeaf(2, "vxlanipv6")

    nvgre = Enum.YLeaf(3, "nvgre")


class AggregateVpcKeepaliveStatus(Enum):
    """
    AggregateVpcKeepaliveStatus (Enum Class)

    .. data:: VpcOobUnknown = 0

    .. data:: VpcOobDisabled = 1

    .. data:: VpcOobPeerAlive = 2

    .. data:: VpcOobPeerNotAlive = 3

    .. data:: VpcOobPeerAliveDomainMismatch = 4

    .. data:: VpcOobSuspended = 5

    .. data:: VpcOobNotOperational = 6

    .. data:: VpcOobSuspendedVrf = 7

    .. data:: VpcOobMisconfig = 8

    """

    VpcOobUnknown = Enum.YLeaf(0, "VpcOobUnknown")

    VpcOobDisabled = Enum.YLeaf(1, "VpcOobDisabled")

    VpcOobPeerAlive = Enum.YLeaf(2, "VpcOobPeerAlive")

    VpcOobPeerNotAlive = Enum.YLeaf(3, "VpcOobPeerNotAlive")

    VpcOobPeerAliveDomainMismatch = Enum.YLeaf(4, "VpcOobPeerAliveDomainMismatch")

    VpcOobSuspended = Enum.YLeaf(5, "VpcOobSuspended")

    VpcOobNotOperational = Enum.YLeaf(6, "VpcOobNotOperational")

    VpcOobSuspendedVrf = Enum.YLeaf(7, "VpcOobSuspendedVrf")

    VpcOobMisconfig = Enum.YLeaf(8, "VpcOobMisconfig")


class AggregateVpcOperStatus(Enum):
    """
    AggregateVpcOperStatus (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class AggregateVpcPeerLinkStatus(Enum):
    """
    AggregateVpcPeerLinkStatus (Enum Class)

    .. data:: VpcPeerNolink = 0

    .. data:: VpcPeerLinkDown = 1

    .. data:: VpcPeerOk = 2

    .. data:: VpcPeerNotfound = 3

    """

    VpcPeerNolink = Enum.YLeaf(0, "VpcPeerNolink")

    VpcPeerLinkDown = Enum.YLeaf(1, "VpcPeerLinkDown")

    VpcPeerOk = Enum.YLeaf(2, "VpcPeerOk")

    VpcPeerNotfound = Enum.YLeaf(3, "VpcPeerNotfound")


class AnalyticsCModeT(Enum):
    """
    AnalyticsCModeT (Enum Class)

    .. data:: aci = 0

    .. data:: standalone = 1

    """

    aci = Enum.YLeaf(0, "aci")

    standalone = Enum.YLeaf(1, "standalone")


class AnalyticsCollVersion(Enum):
    """
    AnalyticsCollVersion (Enum Class)

    .. data:: v5 = 1

    .. data:: v9 = 2

    .. data:: cisco_v1 = 3

    """

    v5 = Enum.YLeaf(1, "v5")

    v9 = Enum.YLeaf(2, "v9")

    cisco_v1 = Enum.YLeaf(3, "cisco-v1")


class AnalyticsConfigLatencyResFactorT(Enum):
    """
    AnalyticsConfigLatencyResFactorT (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class AnalyticsDefPolicyT(Enum):
    """
    AnalyticsDefPolicyT (Enum Class)

    .. data:: permit = 0

    .. data:: deny = 1

    """

    permit = Enum.YLeaf(0, "permit")

    deny = Enum.YLeaf(1, "deny")


class AnalyticsDirectionT(Enum):
    """
    AnalyticsDirectionT (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    .. data:: both = 3

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")

    both = Enum.YLeaf(3, "both")


class AnalyticsFltType(Enum):
    """
    AnalyticsFltType (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    .. data:: ce = 3

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")

    ce = Enum.YLeaf(3, "ce")


class AnalyticsModeT(Enum):
    """
    AnalyticsModeT (Enum Class)

    .. data:: analytics = 0

    .. data:: netflow = 1

    """

    analytics = Enum.YLeaf(0, "analytics")

    netflow = Enum.YLeaf(1, "netflow")


class AnalyticsOperSt(Enum):
    """
    AnalyticsOperSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class AnalyticsOportSupportT(Enum):
    """
    AnalyticsOportSupportT (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class ArpAdjOperSt(Enum):
    """
    ArpAdjOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: incomplete = 1

    .. data:: normal = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    incomplete = Enum.YLeaf(1, "incomplete")

    normal = Enum.YLeaf(2, "normal")


class ArpDbT(Enum):
    """
    ArpDbT (Enum Class)

    .. data:: ip = 1

    .. data:: supcache = 2

    """

    ip = Enum.YLeaf(1, "ip")

    supcache = Enum.YLeaf(2, "supcache")


class ArpEventLogSize(Enum):
    """
    ArpEventLogSize (Enum Class)

    .. data:: disabled = 0

    .. data:: small = 1

    .. data:: medium = 2

    .. data:: large = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    small = Enum.YLeaf(1, "small")

    medium = Enum.YLeaf(2, "medium")

    large = Enum.YLeaf(3, "large")


class ArpEventType(Enum):
    """
    ArpEventType (Enum Class)

    .. data:: cli = 0

    .. data:: client_events = 1

    .. data:: client_errors = 2

    .. data:: control_events = 3

    .. data:: internal_events = 4

    .. data:: internal_errors = 5

    .. data:: high_availability = 6

    .. data:: ip_sync = 7

    .. data:: local_cache_events = 8

    .. data:: local_cache_errors = 9

    .. data:: pkt_messages = 10

    .. data:: snmp = 11

    .. data:: suppress_events = 12

    .. data:: suppress_errors = 13

    .. data:: sync = 14

    .. data:: arp_controller_errors = 15

    .. data:: arp_dme_event = 16

    .. data:: adjacency_control = 101

    .. data:: adjacency_errors = 102

    .. data:: adjacency_ipc_events = 103

    .. data:: adjacency_stats = 104

    .. data:: adjacency_high_availability = 105

    .. data:: adjacency_cli = 106

    .. data:: adjacency_sdb = 107

    .. data:: adjacency_snmp = 108

    .. data:: adjacency_netbroker = 109

    .. data:: am_dme_event = 110

    .. data:: am_event = 111

    """

    cli = Enum.YLeaf(0, "cli")

    client_events = Enum.YLeaf(1, "client-events")

    client_errors = Enum.YLeaf(2, "client-errors")

    control_events = Enum.YLeaf(3, "control-events")

    internal_events = Enum.YLeaf(4, "internal-events")

    internal_errors = Enum.YLeaf(5, "internal-errors")

    high_availability = Enum.YLeaf(6, "high-availability")

    ip_sync = Enum.YLeaf(7, "ip-sync")

    local_cache_events = Enum.YLeaf(8, "local-cache-events")

    local_cache_errors = Enum.YLeaf(9, "local-cache-errors")

    pkt_messages = Enum.YLeaf(10, "pkt-messages")

    snmp = Enum.YLeaf(11, "snmp")

    suppress_events = Enum.YLeaf(12, "suppress-events")

    suppress_errors = Enum.YLeaf(13, "suppress-errors")

    sync = Enum.YLeaf(14, "sync")

    arp_controller_errors = Enum.YLeaf(15, "arp-controller-errors")

    arp_dme_event = Enum.YLeaf(16, "arp-dme-event")

    adjacency_control = Enum.YLeaf(101, "adjacency-control")

    adjacency_errors = Enum.YLeaf(102, "adjacency-errors")

    adjacency_ipc_events = Enum.YLeaf(103, "adjacency-ipc-events")

    adjacency_stats = Enum.YLeaf(104, "adjacency-stats")

    adjacency_high_availability = Enum.YLeaf(105, "adjacency-high-availability")

    adjacency_cli = Enum.YLeaf(106, "adjacency-cli")

    adjacency_sdb = Enum.YLeaf(107, "adjacency-sdb")

    adjacency_snmp = Enum.YLeaf(108, "adjacency-snmp")

    adjacency_netbroker = Enum.YLeaf(109, "adjacency-netbroker")

    am_dme_event = Enum.YLeaf(110, "am-dme-event")

    am_event = Enum.YLeaf(111, "am-event")


class ArpLoggingLevel(Enum):
    """
    ArpLoggingLevel (Enum Class)

    .. data:: emergency = 0

    .. data:: alert = 1

    .. data:: critical = 2

    .. data:: error = 3

    .. data:: warning = 4

    .. data:: notification = 5

    .. data:: informational = 6

    .. data:: debug = 7

    """

    emergency = Enum.YLeaf(0, "emergency")

    alert = Enum.YLeaf(1, "alert")

    critical = Enum.YLeaf(2, "critical")

    error = Enum.YLeaf(3, "error")

    warning = Enum.YLeaf(4, "warning")

    notification = Enum.YLeaf(5, "notification")

    informational = Enum.YLeaf(6, "informational")

    debug = Enum.YLeaf(7, "debug")


class ArpOpcode(Enum):
    """
    ArpOpcode (Enum Class)

    .. data:: unspecified = 0

    .. data:: req = 1

    .. data:: reply = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    req = Enum.YLeaf(1, "req")

    reply = Enum.YLeaf(2, "reply")


class ArpStAdjOperSt(Enum):
    """
    ArpStAdjOperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    .. data:: unspecified = 10

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")

    unspecified = Enum.YLeaf(10, "unspecified")


class ArpStAdjOperStQual(Enum):
    """
    ArpStAdjOperStQual (Enum Class)

    .. data:: unspecified = 0

    .. data:: subnet_mismatch = 1

    .. data:: invalid_mac = 2

    .. data:: invalid_ip = 3

    .. data:: invalid_vrf = 4

    .. data:: own_mac = 5

    .. data:: if_down = 6

    .. data:: up = 7

    .. data:: invalid_if = 8

    .. data:: invalid_clidata = 9

    .. data:: no_memory = 10

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    subnet_mismatch = Enum.YLeaf(1, "subnet-mismatch")

    invalid_mac = Enum.YLeaf(2, "invalid-mac")

    invalid_ip = Enum.YLeaf(3, "invalid-ip")

    invalid_vrf = Enum.YLeaf(4, "invalid-vrf")

    own_mac = Enum.YLeaf(5, "own-mac")

    if_down = Enum.YLeaf(6, "if-down")

    up = Enum.YLeaf(7, "up")

    invalid_if = Enum.YLeaf(8, "invalid-if")

    invalid_clidata = Enum.YLeaf(9, "invalid-clidata")

    no_memory = Enum.YLeaf(10, "no-memory")


class ArpSuppressArpMode(Enum):
    """
    ArpSuppressArpMode (Enum Class)

    .. data:: disabled = 0

    .. data:: l2suppressarp = 1

    .. data:: l2l3suppressarp = 2

    .. data:: invalid = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    l2suppressarp = Enum.YLeaf(1, "l2suppressarp")

    l2l3suppressarp = Enum.YLeaf(2, "l2l3suppressarp")

    invalid = Enum.YLeaf(3, "invalid")


class BdDefaultSVIAutoState(Enum):
    """
    BdDefaultSVIAutoState (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class BfdAfT(Enum):
    """
    BfdAfT (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")


class BfdAuthInterop(Enum):
    """
    BfdAuthInterop (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class BfdAuthT(Enum):
    """
    BfdAuthT (Enum Class)

    .. data:: none = 0

    .. data:: sha1 = 4

    .. data:: met_sha1 = 5

    """

    none = Enum.YLeaf(0, "none")

    sha1 = Enum.YLeaf(4, "sha1")

    met_sha1 = Enum.YLeaf(5, "met-sha1")


class BfdDiagCode(Enum):
    """
    BfdDiagCode (Enum Class)

    .. data:: none = 0

    .. data:: detect_timeout = 1

    .. data:: echo_fail = 2

    .. data:: nbr_signal_down = 3

    .. data:: fwd_plane_reset = 4

    .. data:: path_down = 5

    .. data:: concat_path_down = 6

    .. data:: admin_down = 7

    .. data:: rev_concat_path_down = 8

    """

    none = Enum.YLeaf(0, "none")

    detect_timeout = Enum.YLeaf(1, "detect-timeout")

    echo_fail = Enum.YLeaf(2, "echo-fail")

    nbr_signal_down = Enum.YLeaf(3, "nbr-signal-down")

    fwd_plane_reset = Enum.YLeaf(4, "fwd-plane-reset")

    path_down = Enum.YLeaf(5, "path-down")

    concat_path_down = Enum.YLeaf(6, "concat-path-down")

    admin_down = Enum.YLeaf(7, "admin-down")

    rev_concat_path_down = Enum.YLeaf(8, "rev-concat-path-down")


class BfdOperSt(Enum):
    """
    BfdOperSt (Enum Class)

    .. data:: admin_down = 0

    .. data:: down = 1

    .. data:: init = 2

    .. data:: up = 3

    """

    admin_down = Enum.YLeaf(0, "admin-down")

    down = Enum.YLeaf(1, "down")

    init = Enum.YLeaf(2, "init")

    up = Enum.YLeaf(3, "up")


class BfdTrkMbrLnk(Enum):
    """
    BfdTrkMbrLnk (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class BgpAdminSt(Enum):
    """
    BgpAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class BgpAdvertL2vpnEvpn(Enum):
    """
    BgpAdvertL2vpnEvpn (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(0, "disabled")


class BgpAdvtMapCondition(Enum):
    """
    BgpAdvtMapCondition (Enum Class)

    .. data:: none = 0

    .. data:: exist = 1

    .. data:: non_exist = 2

    """

    none = Enum.YLeaf(0, "none")

    exist = Enum.YLeaf(1, "exist")

    non_exist = Enum.YLeaf(2, "non-exist")


class BgpAfT(Enum):
    """
    BgpAfT (Enum Class)

    .. data:: ipv4_ucast = 1

    .. data:: ipv4_mcast = 2

    .. data:: vpnv4_ucast = 3

    .. data:: ipv6_ucast = 5

    .. data:: ipv6_mcast = 6

    .. data:: vpnv6_ucast = 7

    .. data:: l2vpn_evpn = 9

    .. data:: ipv4_lucast = 10

    .. data:: ipv6_lucast = 11

    .. data:: lnkstate = 12

    .. data:: ipv4_mvpn = 13

    .. data:: ipv6_mvpn = 14

    .. data:: l2vpn_vpls = 15

    .. data:: ipv4_mdt = 16

    .. data:: vpnv6_mcast = 8

    """

    ipv4_ucast = Enum.YLeaf(1, "ipv4-ucast")

    ipv4_mcast = Enum.YLeaf(2, "ipv4-mcast")

    vpnv4_ucast = Enum.YLeaf(3, "vpnv4-ucast")

    ipv6_ucast = Enum.YLeaf(5, "ipv6-ucast")

    ipv6_mcast = Enum.YLeaf(6, "ipv6-mcast")

    vpnv6_ucast = Enum.YLeaf(7, "vpnv6-ucast")

    l2vpn_evpn = Enum.YLeaf(9, "l2vpn-evpn")

    ipv4_lucast = Enum.YLeaf(10, "ipv4-lucast")

    ipv6_lucast = Enum.YLeaf(11, "ipv6-lucast")

    lnkstate = Enum.YLeaf(12, "lnkstate")

    ipv4_mvpn = Enum.YLeaf(13, "ipv4-mvpn")

    ipv6_mvpn = Enum.YLeaf(14, "ipv6-mvpn")

    l2vpn_vpls = Enum.YLeaf(15, "l2vpn-vpls")

    ipv4_mdt = Enum.YLeaf(16, "ipv4-mdt")

    vpnv6_mcast = Enum.YLeaf(8, "vpnv6-mcast")


class BgpAsSegT(Enum):
    """
    BgpAsSegT (Enum Class)

    .. data:: sequence = 1

    .. data:: set = 2

    """

    sequence = Enum.YLeaf(1, "sequence")

    set = Enum.YLeaf(2, "set")


class BgpAsSet(Enum):
    """
    BgpAsSet (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(0, "disabled")


class BgpAsnPropagation(Enum):
    """
    BgpAsnPropagation (Enum Class)

    .. data:: none = 0

    .. data:: no_prepend = 1

    .. data:: replace_as = 2

    .. data:: dual_as = 3

    """

    none = Enum.YLeaf(0, "none")

    no_prepend = Enum.YLeaf(1, "no-prepend")

    replace_as = Enum.YLeaf(2, "replace-as")

    dual_as = Enum.YLeaf(3, "dual-as")


class BgpBmpSt(Enum):
    """
    BgpBmpSt (Enum Class)

    .. data:: enabled = 0

    .. data:: disabled = 1

    """

    enabled = Enum.YLeaf(0, "enabled")

    disabled = Enum.YLeaf(1, "disabled")


class BgpDomOperSt(Enum):
    """
    BgpDomOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class BgpEgressPeerEng(Enum):
    """
    BgpEgressPeerEng (Enum Class)

    .. data:: none = 0

    .. data:: enabled = 1

    .. data:: enabled_adj_sid = 2

    """

    none = Enum.YLeaf(0, "none")

    enabled = Enum.YLeaf(1, "enabled")

    enabled_adj_sid = Enum.YLeaf(2, "enabled-adj-sid")


class BgpEhType(Enum):
    """
    BgpEhType (Enum Class)

    .. data:: none = 0

    .. data:: cli = 1

    .. data:: events = 2

    .. data:: periodic = 3

    .. data:: detail = 4

    .. data:: errors = 5

    .. data:: objstore = 6

    """

    none = Enum.YLeaf(0, "none")

    cli = Enum.YLeaf(1, "cli")

    events = Enum.YLeaf(2, "events")

    periodic = Enum.YLeaf(3, "periodic")

    detail = Enum.YLeaf(4, "detail")

    errors = Enum.YLeaf(5, "errors")

    objstore = Enum.YLeaf(6, "objstore")


class BgpEvpnRtType(Enum):
    """
    BgpEvpnRtType (Enum Class)

    .. data:: none = 0

    .. data:: a_d = 1

    .. data:: mac_ip = 2

    .. data:: imet = 3

    .. data:: eth_seg = 4

    .. data:: ip_pfx = 5

    """

    none = Enum.YLeaf(0, "none")

    a_d = Enum.YLeaf(1, "a-d")

    mac_ip = Enum.YLeaf(2, "mac-ip")

    imet = Enum.YLeaf(3, "imet")

    eth_seg = Enum.YLeaf(4, "eth-seg")

    ip_pfx = Enum.YLeaf(5, "ip-pfx")


class BgpLogNbrSt(Enum):
    """
    BgpLogNbrSt (Enum Class)

    .. data:: none = 0

    .. data:: enable = 1

    .. data:: disable = 2

    """

    none = Enum.YLeaf(0, "none")

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")


class BgpLsAdminSt(Enum):
    """
    BgpLsAdminSt (Enum Class)

    .. data:: inactive = 0

    .. data:: active = 1

    """

    inactive = Enum.YLeaf(0, "inactive")

    active = Enum.YLeaf(1, "active")


class BgpLsAttrEntryType(Enum):
    """
    BgpLsAttrEntryType (Enum Class)

    .. data:: none = 0

    .. data:: peer_node_sid = 1101

    .. data:: peer_adj_sid = 1102

    .. data:: peer_set_sid = 1103

    """

    none = Enum.YLeaf(0, "none")

    peer_node_sid = Enum.YLeaf(1101, "peer-node-sid")

    peer_adj_sid = Enum.YLeaf(1102, "peer-adj-sid")

    peer_set_sid = Enum.YLeaf(1103, "peer-set-sid")


class BgpLsNlriType(Enum):
    """
    BgpLsNlriType (Enum Class)

    .. data:: none = 0

    .. data:: node = 1

    .. data:: link = 2

    .. data:: ipv4_topo = 3

    .. data:: ipv6_topo = 4

    """

    none = Enum.YLeaf(0, "none")

    node = Enum.YLeaf(1, "node")

    link = Enum.YLeaf(2, "link")

    ipv4_topo = Enum.YLeaf(3, "ipv4-topo")

    ipv6_topo = Enum.YLeaf(4, "ipv6-topo")


class BgpLsProtoId(Enum):
    """
    BgpLsProtoId (Enum Class)

    .. data:: none = 0

    .. data:: isis_l1 = 1

    .. data:: isis_l2 = 2

    .. data:: ospf_v2 = 3

    .. data:: direct = 4

    .. data:: static = 5

    .. data:: ospf_v3 = 6

    .. data:: epe = 7

    """

    none = Enum.YLeaf(0, "none")

    isis_l1 = Enum.YLeaf(1, "isis-l1")

    isis_l2 = Enum.YLeaf(2, "isis-l2")

    ospf_v2 = Enum.YLeaf(3, "ospf-v2")

    direct = Enum.YLeaf(4, "direct")

    static = Enum.YLeaf(5, "static")

    ospf_v3 = Enum.YLeaf(6, "ospf-v3")

    epe = Enum.YLeaf(7, "epe")


class BgpMajNotifErr(Enum):
    """
    BgpMajNotifErr (Enum Class)

    .. data:: none = 0

    .. data:: hdr_err = 1

    .. data:: open_msg_err = 2

    .. data:: upd_msg_err = 3

    .. data:: hold_timer_exp = 4

    .. data:: fsm_err = 5

    .. data:: cease_err = 6

    .. data:: cap_msg_err = 7

    .. data:: process_restart_err = 101

    .. data:: fd_read_err = 102

    .. data:: fd_ioctl_err = 103

    .. data:: peer_close_sess_err = 104

    .. data:: rcvd_notif_err = 105

    .. data:: rcvd_dup_conn_req = 106

    .. data:: dyn_cap_no_buf = 107

    """

    none = Enum.YLeaf(0, "none")

    hdr_err = Enum.YLeaf(1, "hdr-err")

    open_msg_err = Enum.YLeaf(2, "open-msg-err")

    upd_msg_err = Enum.YLeaf(3, "upd-msg-err")

    hold_timer_exp = Enum.YLeaf(4, "hold-timer-exp")

    fsm_err = Enum.YLeaf(5, "fsm-err")

    cease_err = Enum.YLeaf(6, "cease-err")

    cap_msg_err = Enum.YLeaf(7, "cap-msg-err")

    process_restart_err = Enum.YLeaf(101, "process-restart-err")

    fd_read_err = Enum.YLeaf(102, "fd-read-err")

    fd_ioctl_err = Enum.YLeaf(103, "fd-ioctl-err")

    peer_close_sess_err = Enum.YLeaf(104, "peer-close-sess-err")

    rcvd_notif_err = Enum.YLeaf(105, "rcvd-notif-err")

    rcvd_dup_conn_req = Enum.YLeaf(106, "rcvd-dup-conn-req")

    dyn_cap_no_buf = Enum.YLeaf(107, "dyn-cap-no-buf")


class BgpMaxPfxAct(Enum):
    """
    BgpMaxPfxAct (Enum Class)

    .. data:: log = 1

    .. data:: shut = 2

    .. data:: restart = 3

    """

    log = Enum.YLeaf(1, "log")

    shut = Enum.YLeaf(2, "shut")

    restart = Enum.YLeaf(3, "restart")


class BgpMinNotifErr(Enum):
    """
    BgpMinNotifErr (Enum Class)

    .. data:: none = 0

    .. data:: unspecified_msg_hdr_err = 1

    .. data:: conn_not_synced = 2

    .. data:: bad_msg_len = 3

    .. data:: bad_msg_type = 4

    .. data:: unknown_msg_hdr_err = 5

    .. data:: unspecified_open_err = 6

    .. data:: unsupp_version = 7

    .. data:: bad_peer_as = 8

    .. data:: bad_peer_rtrid = 9

    .. data:: unsupp_opt_param = 10

    .. data:: auth_err = 11

    .. data:: bad_holdtime = 12

    .. data:: unsupp_cap = 13

    .. data:: unknown_open_hdr_err = 14

    .. data:: unspecified_update_err = 15

    .. data:: malformed_attr_list = 16

    .. data:: unrecognized_wellknown_attr = 17

    .. data:: missing_wellknown_attr = 18

    .. data:: attr_flags_err = 19

    .. data:: attr_len_err = 20

    .. data:: invalid_origin_attr = 21

    .. data:: as_loop_err = 22

    .. data:: invalid_nh_attr = 23

    .. data:: opt_attr_err = 24

    .. data:: invalid_nw_field = 25

    .. data:: bad_as_path = 26

    .. data:: unknown_update_hdr_err = 27

    .. data:: unspecified_cease_err = 28

    .. data:: max_pfx_count_err = 29

    .. data:: admin_shut = 30

    .. data:: peer_decfg = 31

    .. data:: session_cleared = 32

    .. data:: conn_rej = 33

    .. data:: other_cfg_chg = 34

    .. data:: conn_coll_resolution = 35

    .. data:: out_of_rsrc = 36

    .. data:: dyn_cap_cfg_chg = 37

    .. data:: ttl_cfg_chg = 38

    .. data:: ttl_security_cfg_chg = 39

    .. data:: passive_neighbor_cfg_chg = 40

    .. data:: af_cfg_chg = 41

    .. data:: rr_cfg_chg = 42

    .. data:: rtrid_cfg_chg = 43

    .. data:: confed_id_chg = 44

    .. data:: confed_membership_change = 45

    .. data:: gr_cfg_chg = 46

    .. data:: soft_recfg_chg = 47

    .. data:: updatesrc_if_chg = 48

    .. data:: localas_chg = 49

    .. data:: unknown_cease_err = 50

    .. data:: unspecified_cap_msg_err = 51

    .. data:: unknown_seq_num = 52

    .. data:: invalid_cap_len = 53

    .. data:: bad_cap_val = 54

    .. data:: unsupp_cap_code = 55

    .. data:: unknown_cap_err = 56

    """

    none = Enum.YLeaf(0, "none")

    unspecified_msg_hdr_err = Enum.YLeaf(1, "unspecified-msg-hdr-err")

    conn_not_synced = Enum.YLeaf(2, "conn-not-synced")

    bad_msg_len = Enum.YLeaf(3, "bad-msg-len")

    bad_msg_type = Enum.YLeaf(4, "bad-msg-type")

    unknown_msg_hdr_err = Enum.YLeaf(5, "unknown-msg-hdr-err")

    unspecified_open_err = Enum.YLeaf(6, "unspecified-open-err")

    unsupp_version = Enum.YLeaf(7, "unsupp-version")

    bad_peer_as = Enum.YLeaf(8, "bad-peer-as")

    bad_peer_rtrid = Enum.YLeaf(9, "bad-peer-rtrid")

    unsupp_opt_param = Enum.YLeaf(10, "unsupp-opt-param")

    auth_err = Enum.YLeaf(11, "auth-err")

    bad_holdtime = Enum.YLeaf(12, "bad-holdtime")

    unsupp_cap = Enum.YLeaf(13, "unsupp-cap")

    unknown_open_hdr_err = Enum.YLeaf(14, "unknown-open-hdr-err")

    unspecified_update_err = Enum.YLeaf(15, "unspecified-update-err")

    malformed_attr_list = Enum.YLeaf(16, "malformed-attr-list")

    unrecognized_wellknown_attr = Enum.YLeaf(17, "unrecognized-wellknown-attr")

    missing_wellknown_attr = Enum.YLeaf(18, "missing-wellknown-attr")

    attr_flags_err = Enum.YLeaf(19, "attr-flags-err")

    attr_len_err = Enum.YLeaf(20, "attr-len-err")

    invalid_origin_attr = Enum.YLeaf(21, "invalid-origin-attr")

    as_loop_err = Enum.YLeaf(22, "as-loop-err")

    invalid_nh_attr = Enum.YLeaf(23, "invalid-nh-attr")

    opt_attr_err = Enum.YLeaf(24, "opt-attr-err")

    invalid_nw_field = Enum.YLeaf(25, "invalid-nw-field")

    bad_as_path = Enum.YLeaf(26, "bad-as-path")

    unknown_update_hdr_err = Enum.YLeaf(27, "unknown-update-hdr-err")

    unspecified_cease_err = Enum.YLeaf(28, "unspecified-cease-err")

    max_pfx_count_err = Enum.YLeaf(29, "max-pfx-count-err")

    admin_shut = Enum.YLeaf(30, "admin-shut")

    peer_decfg = Enum.YLeaf(31, "peer-decfg")

    session_cleared = Enum.YLeaf(32, "session-cleared")

    conn_rej = Enum.YLeaf(33, "conn-rej")

    other_cfg_chg = Enum.YLeaf(34, "other-cfg-chg")

    conn_coll_resolution = Enum.YLeaf(35, "conn-coll-resolution")

    out_of_rsrc = Enum.YLeaf(36, "out-of-rsrc")

    dyn_cap_cfg_chg = Enum.YLeaf(37, "dyn-cap-cfg-chg")

    ttl_cfg_chg = Enum.YLeaf(38, "ttl-cfg-chg")

    ttl_security_cfg_chg = Enum.YLeaf(39, "ttl-security-cfg-chg")

    passive_neighbor_cfg_chg = Enum.YLeaf(40, "passive-neighbor-cfg-chg")

    af_cfg_chg = Enum.YLeaf(41, "af-cfg-chg")

    rr_cfg_chg = Enum.YLeaf(42, "rr-cfg-chg")

    rtrid_cfg_chg = Enum.YLeaf(43, "rtrid-cfg-chg")

    confed_id_chg = Enum.YLeaf(44, "confed-id-chg")

    confed_membership_change = Enum.YLeaf(45, "confed-membership-change")

    gr_cfg_chg = Enum.YLeaf(46, "gr-cfg-chg")

    soft_recfg_chg = Enum.YLeaf(47, "soft-recfg-chg")

    updatesrc_if_chg = Enum.YLeaf(48, "updatesrc-if-chg")

    localas_chg = Enum.YLeaf(49, "localas-chg")

    unknown_cease_err = Enum.YLeaf(50, "unknown-cease-err")

    unspecified_cap_msg_err = Enum.YLeaf(51, "unspecified-cap-msg-err")

    unknown_seq_num = Enum.YLeaf(52, "unknown-seq-num")

    invalid_cap_len = Enum.YLeaf(53, "invalid-cap-len")

    bad_cap_val = Enum.YLeaf(54, "bad-cap-val")

    unsupp_cap_code = Enum.YLeaf(55, "unsupp-cap-code")

    unknown_cap_err = Enum.YLeaf(56, "unknown-cap-err")


class BgpMode(Enum):
    """
    BgpMode (Enum Class)

    .. data:: fabric = 1

    .. data:: external = 2

    """

    fabric = Enum.YLeaf(1, "fabric")

    external = Enum.YLeaf(2, "external")


class BgpMvpnRtType(Enum):
    """
    BgpMvpnRtType (Enum Class)

    .. data:: none = 0

    .. data:: interas_ipmsi_ad = 1

    .. data:: intraas_ipmsi_ad = 2

    .. data:: spmsi_ad = 3

    .. data:: leaf_ad = 4

    .. data:: sa_ad = 5

    .. data:: shared_c_mcast = 6

    .. data:: source_c_mcast = 7

    """

    none = Enum.YLeaf(0, "none")

    interas_ipmsi_ad = Enum.YLeaf(1, "interas-ipmsi-ad")

    intraas_ipmsi_ad = Enum.YLeaf(2, "intraas-ipmsi-ad")

    spmsi_ad = Enum.YLeaf(3, "spmsi-ad")

    leaf_ad = Enum.YLeaf(4, "leaf-ad")

    sa_ad = Enum.YLeaf(5, "sa-ad")

    shared_c_mcast = Enum.YLeaf(6, "shared-c-mcast")

    source_c_mcast = Enum.YLeaf(7, "source-c-mcast")


class BgpOrigin(Enum):
    """
    BgpOrigin (Enum Class)

    .. data:: igp = 1

    .. data:: egp = 2

    .. data:: incomplete = 3

    """

    igp = Enum.YLeaf(1, "igp")

    egp = Enum.YLeaf(2, "egp")

    incomplete = Enum.YLeaf(3, "incomplete")


class BgpPasswdSet(Enum):
    """
    BgpPasswdSet (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(0, "disabled")


class BgpPathSt(Enum):
    """
    BgpPathSt (Enum Class)

    .. data:: deleted = 0

    .. data:: staled = 1

    .. data:: valid = 2

    .. data:: invalid = 3

    .. data:: history = 4

    .. data:: suppressed = 5

    .. data:: dampened = 6

    """

    deleted = Enum.YLeaf(0, "deleted")

    staled = Enum.YLeaf(1, "staled")

    valid = Enum.YLeaf(2, "valid")

    invalid = Enum.YLeaf(3, "invalid")

    history = Enum.YLeaf(4, "history")

    suppressed = Enum.YLeaf(5, "suppressed")

    dampened = Enum.YLeaf(6, "dampened")


class BgpPathT(Enum):
    """
    BgpPathT (Enum Class)

    .. data:: internal = 1

    .. data:: external = 2

    .. data:: confederation = 3

    .. data:: local = 4

    .. data:: aggregate = 5

    .. data:: redistribute = 6

    .. data:: injected = 7

    """

    internal = Enum.YLeaf(1, "internal")

    external = Enum.YLeaf(2, "external")

    confederation = Enum.YLeaf(3, "confederation")

    local = Enum.YLeaf(4, "local")

    aggregate = Enum.YLeaf(5, "aggregate")

    redistribute = Enum.YLeaf(6, "redistribute")

    injected = Enum.YLeaf(7, "injected")


class BgpPeerFabType(Enum):
    """
    BgpPeerFabType (Enum Class)

    .. data:: fabric_internal = 0

    .. data:: fabric_external = 1

    .. data:: fabric_border_leaf = 2

    """

    fabric_internal = Enum.YLeaf(0, "fabric-internal")

    fabric_external = Enum.YLeaf(1, "fabric-external")

    fabric_border_leaf = Enum.YLeaf(2, "fabric-border-leaf")


class BgpPeerGrSt(Enum):
    """
    BgpPeerGrSt (Enum Class)

    .. data:: na = 1

    .. data:: reset = 2

    .. data:: up = 3

    """

    na = Enum.YLeaf(1, "na")

    reset = Enum.YLeaf(2, "reset")

    up = Enum.YLeaf(3, "up")


class BgpPeerOperSt(Enum):
    """
    BgpPeerOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: illegal = 1

    .. data:: shut = 2

    .. data:: idle = 3

    .. data:: connect = 4

    .. data:: active = 5

    .. data:: open_sent = 6

    .. data:: open_confirm = 7

    .. data:: established = 8

    .. data:: closing = 9

    .. data:: error = 10

    .. data:: unknown = 11

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    illegal = Enum.YLeaf(1, "illegal")

    shut = Enum.YLeaf(2, "shut")

    idle = Enum.YLeaf(3, "idle")

    connect = Enum.YLeaf(4, "connect")

    active = Enum.YLeaf(5, "active")

    open_sent = Enum.YLeaf(6, "open-sent")

    open_confirm = Enum.YLeaf(7, "open-confirm")

    established = Enum.YLeaf(8, "established")

    closing = Enum.YLeaf(9, "closing")

    error = Enum.YLeaf(10, "error")

    unknown = Enum.YLeaf(11, "unknown")


class BgpPeerType(Enum):
    """
    BgpPeerType (Enum Class)

    .. data:: ibgp = 1

    .. data:: ebgp = 2

    """

    ibgp = Enum.YLeaf(1, "ibgp")

    ebgp = Enum.YLeaf(2, "ebgp")


class BgpPfxSidAttrEntryType(Enum):
    """
    BgpPfxSidAttrEntryType (Enum Class)

    .. data:: none = 0

    .. data:: label_index = 1

    .. data:: ipv6_sid = 2

    .. data:: origin_srgb = 3

    """

    none = Enum.YLeaf(0, "none")

    label_index = Enum.YLeaf(1, "label-index")

    ipv6_sid = Enum.YLeaf(2, "ipv6-sid")

    origin_srgb = Enum.YLeaf(3, "origin-srgb")


class BgpPmsiTunType(Enum):
    """
    BgpPmsiTunType (Enum Class)

    .. data:: none = 0

    .. data:: ingress_repl = 1

    """

    none = Enum.YLeaf(0, "none")

    ingress_repl = Enum.YLeaf(1, "ingress-repl")


class BgpPrivateASControl(Enum):
    """
    BgpPrivateASControl (Enum Class)

    .. data:: none = 0

    .. data:: remove_exclusive = 1

    .. data:: remove_all = 2

    .. data:: replace_as = 3

    """

    none = Enum.YLeaf(0, "none")

    remove_exclusive = Enum.YLeaf(1, "remove-exclusive")

    remove_all = Enum.YLeaf(2, "remove-all")

    replace_as = Enum.YLeaf(3, "replace-as")


class BgpPwdType(Enum):
    """
    BgpPwdType (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_3 = 3

    .. data:: Y_7 = 7

    .. data:: LINE = 5

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_3 = Enum.YLeaf(3, "3")

    Y_7 = Enum.YLeaf(7, "7")

    LINE = Enum.YLeaf(5, "LINE")


class BgpRtCtrlDir(Enum):
    """
    BgpRtCtrlDir (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")


class BgpRtCtrlOperSt(Enum):
    """
    BgpRtCtrlOperSt (Enum Class)

    .. data:: unresolved = 1

    .. data:: resolved = 2

    """

    unresolved = Enum.YLeaf(1, "unresolved")

    resolved = Enum.YLeaf(2, "resolved")


class BgpShutStQual(Enum):
    """
    BgpShutStQual (Enum Class)

    .. data:: unspecified = 0

    .. data:: admin = 1

    .. data:: no_mem = 2

    .. data:: exceeded_pfxlimit = 3

    .. data:: admin_up = 4

    .. data:: no_affinity = 5

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    admin = Enum.YLeaf(1, "admin")

    no_mem = Enum.YLeaf(2, "no-mem")

    exceeded_pfxlimit = Enum.YLeaf(3, "exceeded-pfxlimit")

    admin_up = Enum.YLeaf(4, "admin-up")

    no_affinity = Enum.YLeaf(5, "no-affinity")


class BgpSoftReconfigBackup(Enum):
    """
    BgpSoftReconfigBackup (Enum Class)

    .. data:: none = 0

    .. data:: inbound = 1

    .. data:: inbound_always = 2

    """

    none = Enum.YLeaf(0, "none")

    inbound = Enum.YLeaf(1, "inbound")

    inbound_always = Enum.YLeaf(2, "inbound-always")


class BgpStReason(Enum):
    """
    BgpStReason (Enum Class)

    .. data:: none = 0

    .. data:: no_mem = 1

    """

    none = Enum.YLeaf(0, "none")

    no_mem = Enum.YLeaf(1, "no-mem")


class BgpSummaryOnly(Enum):
    """
    BgpSummaryOnly (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(0, "disabled")


class BgpTblSt(Enum):
    """
    BgpTblSt (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class BootImageVerify(Enum):
    """
    BootImageVerify (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class BootPoap(Enum):
    """
    BootPoap (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class CapRaiseFaultState(Enum):
    """
    CapRaiseFaultState (Enum Class)

    .. data:: nominal = 0

    .. data:: ruleHasLess = 1

    .. data:: ruleHasMore = 2

    """

    nominal = Enum.YLeaf(0, "nominal")

    ruleHasLess = Enum.YLeaf(1, "ruleHasLess")

    ruleHasMore = Enum.YLeaf(2, "ruleHasMore")


class CapRuleT(Enum):
    """
    CapRuleT (Enum Class)

    .. data:: limit = 1

    """

    limit = Enum.YLeaf(1, "limit")


class CapScope(Enum):
    """
    CapScope (Enum Class)

    .. data:: node = 0

    .. data:: policy_domain = 1

    .. data:: fabric = 2

    """

    node = Enum.YLeaf(0, "node")

    policy_domain = Enum.YLeaf(1, "policy-domain")

    fabric = Enum.YLeaf(2, "fabric")


class CdpDevIdT(Enum):
    """
    CdpDevIdT (Enum Class)

    .. data:: none = 0

    .. data:: mac = 1

    .. data:: serialNum = 2

    .. data:: sysName = 3

    """

    none = Enum.YLeaf(0, "none")

    mac = Enum.YLeaf(1, "mac")

    serialNum = Enum.YLeaf(2, "serialNum")

    sysName = Enum.YLeaf(3, "sysName")


class CdpDuplex(Enum):
    """
    CdpDuplex (Enum Class)

    .. data:: unknown = 0

    .. data:: half = 1

    .. data:: full = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    half = Enum.YLeaf(1, "half")

    full = Enum.YLeaf(2, "full")


class CdpOperSt(Enum):
    """
    CdpOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class CdpOperStQual(Enum):
    """
    CdpOperStQual (Enum Class)

    .. data:: up = 1

    .. data:: admin_down = 2

    .. data:: if_down = 3

    .. data:: unsupported = 4

    """

    up = Enum.YLeaf(1, "up")

    admin_down = Enum.YLeaf(2, "admin-down")

    if_down = Enum.YLeaf(3, "if-down")

    unsupported = Enum.YLeaf(4, "unsupported")


class CdpVer(Enum):
    """
    CdpVer (Enum Class)

    .. data:: v1 = 1

    .. data:: v2 = 2

    """

    v1 = Enum.YLeaf(1, "v1")

    v2 = Enum.YLeaf(2, "v2")


class CfsAdminSt(Enum):
    """
    CfsAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class ClimodeT(Enum):
    """
    ClimodeT (Enum Class)

    A CLI mode

    .. data:: EXEC = 0

    	EXEC CLI Commands

    .. data:: CONFIG = 1

    	CONFIG CLI Commands

    """

    EXEC = Enum.YLeaf(0, "EXEC")

    CONFIG = Enum.YLeaf(1, "CONFIG")


class CompHostState(Enum):
    """
    CompHostState (Enum Class)

    .. data:: maintenance = 0

    .. data:: connected = 1

    .. data:: noresponse = 2

    .. data:: disconnected = 3

    .. data:: poweredOn = 4

    .. data:: poweredOff = 5

    .. data:: standBy = 6

    .. data:: suspended = 7

    .. data:: unknown = 8

    """

    maintenance = Enum.YLeaf(0, "maintenance")

    connected = Enum.YLeaf(1, "connected")

    noresponse = Enum.YLeaf(2, "noresponse")

    disconnected = Enum.YLeaf(3, "disconnected")

    poweredOn = Enum.YLeaf(4, "poweredOn")

    poweredOff = Enum.YLeaf(5, "poweredOff")

    standBy = Enum.YLeaf(6, "standBy")

    suspended = Enum.YLeaf(7, "suspended")

    unknown = Enum.YLeaf(8, "unknown")


class CompInstType(Enum):
    """
    CompInstType (Enum Class)

    .. data:: unknown = 0

    .. data:: phys = 1

    .. data:: virt = 2

    .. data:: hv = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    phys = Enum.YLeaf(1, "phys")

    virt = Enum.YLeaf(2, "virt")

    hv = Enum.YLeaf(3, "hv")


class CompInstType_(Enum):
    """
    CompInstType\_ (Enum Class)

    .. data:: unknown = 0

    .. data:: phys = 1

    .. data:: virt = 2

    .. data:: hv = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    phys = Enum.YLeaf(1, "phys")

    virt = Enum.YLeaf(2, "virt")

    hv = Enum.YLeaf(3, "hv")


class CompNicState(Enum):
    """
    CompNicState (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class ConftmplOperationType(Enum):
    """
    ConftmplOperationType (Enum Class)

    .. data:: create = 1

    .. data:: delete = 2

    """

    create = Enum.YLeaf(1, "create")

    delete = Enum.YLeaf(2, "delete")


class ConftmplTemplateType(Enum):
    """
    ConftmplTemplateType (Enum Class)

    .. data:: unknown = 0

    .. data:: vrf = 1

    .. data:: vlan = 2

    .. data:: intf = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    vrf = Enum.YLeaf(1, "vrf")

    vlan = Enum.YLeaf(2, "vlan")

    intf = Enum.YLeaf(3, "intf")


class CoppAffix(Enum):
    """
    CoppAffix (Enum Class)

    .. data:: unknown = 0

    .. data:: prefix = 1

    .. data:: suffix = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    prefix = Enum.YLeaf(1, "prefix")

    suffix = Enum.YLeaf(2, "suffix")


class CoppBurstUnit(Enum):
    """
    CoppBurstUnit (Enum Class)

    .. data:: Unknown = 0

    .. data:: bytes = 1

    .. data:: kbytes = 2

    .. data:: mbytes = 3

    .. data:: packets = 4

    .. data:: us = 5

    .. data:: ms = 6

    """

    Unknown = Enum.YLeaf(0, "Unknown")

    bytes = Enum.YLeaf(1, "bytes")

    kbytes = Enum.YLeaf(2, "kbytes")

    mbytes = Enum.YLeaf(3, "mbytes")

    packets = Enum.YLeaf(4, "packets")

    us = Enum.YLeaf(5, "us")

    ms = Enum.YLeaf(6, "ms")


class CoppConformAction(Enum):
    """
    CoppConformAction (Enum Class)

    .. data:: Undefined = 0

    .. data:: transmit = 1

    .. data:: drop = 2

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    transmit = Enum.YLeaf(1, "transmit")

    drop = Enum.YLeaf(2, "drop")


class CoppExceedAction(Enum):
    """
    CoppExceedAction (Enum Class)

    .. data:: Undefined = 0

    .. data:: transmit = 1

    .. data:: drop = 2

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    transmit = Enum.YLeaf(1, "transmit")

    drop = Enum.YLeaf(2, "drop")


class CoppExcep(Enum):
    """
    CoppExcep (Enum Class)

    .. data:: Undefined = 0

    .. data:: glean = 1

    .. data:: mtu_failure = 2

    .. data:: ttl_failure = 3

    .. data:: nat_flow = 4

    .. data:: sflow = 5

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    glean = Enum.YLeaf(1, "glean")

    mtu_failure = Enum.YLeaf(2, "mtu-failure")

    ttl_failure = Enum.YLeaf(3, "ttl-failure")

    nat_flow = Enum.YLeaf(4, "nat-flow")

    sflow = Enum.YLeaf(5, "sflow")


class CoppIcmp(Enum):
    """
    CoppIcmp (Enum Class)

    .. data:: Undefined = 0

    .. data:: redirect = 1

    .. data:: unreachable = 2

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    redirect = Enum.YLeaf(1, "redirect")

    unreachable = Enum.YLeaf(2, "unreachable")


class CoppIrUnit(Enum):
    """
    CoppIrUnit (Enum Class)

    .. data:: Unknown = 0

    .. data:: bps = 1

    .. data:: pps = 2

    .. data:: kbps = 3

    .. data:: mbps = 4

    .. data:: gbps = 5

    """

    Unknown = Enum.YLeaf(0, "Unknown")

    bps = Enum.YLeaf(1, "bps")

    pps = Enum.YLeaf(2, "pps")

    kbps = Enum.YLeaf(3, "kbps")

    mbps = Enum.YLeaf(4, "mbps")

    gbps = Enum.YLeaf(5, "gbps")


class CoppMatchOption(Enum):
    """
    CoppMatchOption (Enum Class)

    .. data:: Unknown = 0

    .. data:: MatchAny = 1

    .. data:: MatchAll = 2

    """

    Unknown = Enum.YLeaf(0, "Unknown")

    MatchAny = Enum.YLeaf(1, "MatchAny")

    MatchAll = Enum.YLeaf(2, "MatchAll")


class CoppMatchT(Enum):
    """
    CoppMatchT (Enum Class)

    .. data:: Undefined = 0

    .. data:: access_group = 1

    .. data:: redirect = 2

    .. data:: exception = 3

    .. data:: protocol = 4

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    access_group = Enum.YLeaf(1, "access-group")

    redirect = Enum.YLeaf(2, "redirect")

    exception = Enum.YLeaf(3, "exception")

    protocol = Enum.YLeaf(4, "protocol")


class CoppMcast(Enum):
    """
    CoppMcast (Enum Class)

    .. data:: Undefined = 0

    .. data:: dest_miss = 1

    .. data:: rpf_failure = 2

    .. data:: sg_rpf_failure = 3

    .. data:: ipv6_dest_miss = 4

    .. data:: ipv6_rpf_failure = 5

    .. data:: ipv6_sg_rpf_failure = 6

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    dest_miss = Enum.YLeaf(1, "dest-miss")

    rpf_failure = Enum.YLeaf(2, "rpf-failure")

    sg_rpf_failure = Enum.YLeaf(3, "sg-rpf-failure")

    ipv6_dest_miss = Enum.YLeaf(4, "ipv6-dest-miss")

    ipv6_rpf_failure = Enum.YLeaf(5, "ipv6-rpf-failure")

    ipv6_sg_rpf_failure = Enum.YLeaf(6, "ipv6-sg-rpf-failure")


class CoppProfT(Enum):
    """
    CoppProfT (Enum Class)

    .. data:: unknown = 0

    .. data:: strict = 1

    .. data:: moderate = 2

    .. data:: dense = 4

    .. data:: lenient = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    strict = Enum.YLeaf(1, "strict")

    moderate = Enum.YLeaf(2, "moderate")

    dense = Enum.YLeaf(4, "dense")

    lenient = Enum.YLeaf(3, "lenient")


class CoppRdrct(Enum):
    """
    CoppRdrct (Enum Class)

    .. data:: Undefined = 0

    .. data:: arp_inspect = 1

    .. data:: dhcp_snoop = 2

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    arp_inspect = Enum.YLeaf(1, "arp-inspect")

    dhcp_snoop = Enum.YLeaf(2, "dhcp-snoop")


class CoppViolateAction(Enum):
    """
    CoppViolateAction (Enum Class)

    .. data:: Undefined = 0

    .. data:: transmit = 1

    .. data:: drop = 2

    """

    Undefined = Enum.YLeaf(0, "Undefined")

    transmit = Enum.YLeaf(1, "transmit")

    drop = Enum.YLeaf(2, "drop")


class DatetimeAdminState(Enum):
    """
    DatetimeAdminState (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class DatetimeClockFormat(Enum):
    """
    DatetimeClockFormat (Enum Class)

    .. data:: Y_24hours = 0

    .. data:: Y_12hours = 1

    """

    Y_24hours = Enum.YLeaf(0, "24hours")

    Y_12hours = Enum.YLeaf(1, "12hours")


class DatetimeClockProtocol(Enum):
    """
    DatetimeClockProtocol (Enum Class)

    .. data:: unspecified = 0

    .. data:: ptp = 1

    .. data:: ntp = 2

    .. data:: none = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    ptp = Enum.YLeaf(1, "ptp")

    ntp = Enum.YLeaf(2, "ntp")

    none = Enum.YLeaf(3, "none")


class DatetimeLoggingLevel(Enum):
    """
    DatetimeLoggingLevel (Enum Class)

    .. data:: emergency = 0

    .. data:: alert = 1

    .. data:: critical = 2

    .. data:: error = 3

    .. data:: warning = 4

    .. data:: notif = 5

    .. data:: inform = 6

    .. data:: debug = 7

    """

    emergency = Enum.YLeaf(0, "emergency")

    alert = Enum.YLeaf(1, "alert")

    critical = Enum.YLeaf(2, "critical")

    error = Enum.YLeaf(3, "error")

    warning = Enum.YLeaf(4, "warning")

    notif = Enum.YLeaf(5, "notif")

    inform = Enum.YLeaf(6, "inform")

    debug = Enum.YLeaf(7, "debug")


class DatetimeMonth(Enum):
    """
    DatetimeMonth (Enum Class)

    .. data:: january = 0

    .. data:: february = 1

    .. data:: march = 2

    .. data:: april = 3

    .. data:: may = 4

    .. data:: june = 5

    .. data:: july = 6

    .. data:: august = 7

    .. data:: september = 8

    .. data:: october = 9

    .. data:: november = 10

    .. data:: december = 11

    """

    january = Enum.YLeaf(0, "january")

    february = Enum.YLeaf(1, "february")

    march = Enum.YLeaf(2, "march")

    april = Enum.YLeaf(3, "april")

    may = Enum.YLeaf(4, "may")

    june = Enum.YLeaf(5, "june")

    july = Enum.YLeaf(6, "july")

    august = Enum.YLeaf(7, "august")

    september = Enum.YLeaf(8, "september")

    october = Enum.YLeaf(9, "october")

    november = Enum.YLeaf(10, "november")

    december = Enum.YLeaf(11, "december")


class DatetimeNTPPeerMode(Enum):
    """
    DatetimeNTPPeerMode (Enum Class)

    .. data:: unspecified = 0

    .. data:: symmetricActive = 1

    .. data:: symmetricPassive = 2

    .. data:: client = 3

    .. data:: server = 4

    .. data:: broadcast = 5

    .. data:: reservedControl = 6

    .. data:: reservedPrivate = 7

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    symmetricActive = Enum.YLeaf(1, "symmetricActive")

    symmetricPassive = Enum.YLeaf(2, "symmetricPassive")

    client = Enum.YLeaf(3, "client")

    server = Enum.YLeaf(4, "server")

    broadcast = Enum.YLeaf(5, "broadcast")

    reservedControl = Enum.YLeaf(6, "reservedControl")

    reservedPrivate = Enum.YLeaf(7, "reservedPrivate")


class DatetimeNtpSrvStatus(Enum):
    """
    DatetimeNtpSrvStatus (Enum Class)

    .. data:: unknown = 1

    .. data:: not_running = 2

    .. data:: not_synchronized = 3

    .. data:: synced_local_clock = 4

    .. data:: synced_local_hw_refclk = 5

    .. data:: synced_remote_server = 6

    """

    unknown = Enum.YLeaf(1, "unknown")

    not_running = Enum.YLeaf(2, "not_running")

    not_synchronized = Enum.YLeaf(3, "not_synchronized")

    synced_local_clock = Enum.YLeaf(4, "synced_local_clock")

    synced_local_hw_refclk = Enum.YLeaf(5, "synced_local_hw_refclk")

    synced_remote_server = Enum.YLeaf(6, "synced_remote_server")


class DatetimeProvT(Enum):
    """
    DatetimeProvT (Enum Class)

    .. data:: peer = 0

    .. data:: server = 1

    .. data:: invalid = 2

    """

    peer = Enum.YLeaf(0, "peer")

    server = Enum.YLeaf(1, "server")

    invalid = Enum.YLeaf(2, "invalid")


class DhcpClIfOperSt(Enum):
    """
    DhcpClIfOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: init = 1

    .. data:: discover = 2

    .. data:: requesting = 3

    .. data:: addr_rcvd = 4

    .. data:: failed = 5

    .. data:: request_timedout = 6

    .. data:: down = 7

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    init = Enum.YLeaf(1, "init")

    discover = Enum.YLeaf(2, "discover")

    requesting = Enum.YLeaf(3, "requesting")

    addr_rcvd = Enum.YLeaf(4, "addr-rcvd")

    failed = Enum.YLeaf(5, "failed")

    request_timedout = Enum.YLeaf(6, "request-timedout")

    down = Enum.YLeaf(7, "down")


class DhcpDAILogType(Enum):
    """
    DhcpDAILogType (Enum Class)

    .. data:: deny = 1

    .. data:: permit = 2

    .. data:: all = 3

    .. data:: inone = 5

    """

    deny = Enum.YLeaf(1, "deny")

    permit = Enum.YLeaf(2, "permit")

    all = Enum.YLeaf(3, "all")

    inone = Enum.YLeaf(5, "inone")


class EpmDbT(Enum):
    """
    EpmDbT (Enum Class)

    .. data:: ep = 1

    """

    ep = Enum.YLeaf(1, "ep")


class EpmEpOperSt(Enum):
    """
    EpmEpOperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class EqptAcc(Enum):
    """
    EqptAcc (Enum Class)

    .. data:: read_only = 0

    .. data:: read_write = 1

    """

    read_only = Enum.YLeaf(0, "read-only")

    read_write = Enum.YLeaf(1, "read-write")


class EqptAdSt(Enum):
    """
    EqptAdSt (Enum Class)

    .. data:: unknown = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class EqptAirDir(Enum):
    """
    EqptAirDir (Enum Class)

    .. data:: unknown = 0

    .. data:: front2back = 1

    .. data:: back2front = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    front2back = Enum.YLeaf(1, "front2back")

    back2front = Enum.YLeaf(2, "back2front")


class EqptAirFilter(Enum):
    """
    EqptAirFilter (Enum Class)

    .. data:: absent = 0

    .. data:: present = 1

    .. data:: notsupported = 2

    """

    absent = Enum.YLeaf(0, "absent")

    present = Enum.YLeaf(1, "present")

    notsupported = Enum.YLeaf(2, "notsupported")


class EqptArchCPUArch(Enum):
    """
    EqptArchCPUArch (Enum Class)

    .. data:: x86_32 = 1

    .. data:: x86_64 = 2

    .. data:: any = 0

    """

    x86_32 = Enum.YLeaf(1, "x86_32")

    x86_64 = Enum.YLeaf(2, "x86_64")

    any = Enum.YLeaf(0, "any")


class EqptAsicT(Enum):
    """
    EqptAsicT (Enum Class)

    .. data:: northstar = 1

    .. data:: alpine = 2

    .. data:: bcm = 3

    .. data:: davos = 4

    .. data:: sugarbowl = 5

    .. data:: homewood = 6

    """

    northstar = Enum.YLeaf(1, "northstar")

    alpine = Enum.YLeaf(2, "alpine")

    bcm = Enum.YLeaf(3, "bcm")

    davos = Enum.YLeaf(4, "davos")

    sugarbowl = Enum.YLeaf(5, "sugarbowl")

    homewood = Enum.YLeaf(6, "homewood")


class EqptBaudRate(Enum):
    """
    EqptBaudRate (Enum Class)

    .. data:: Y_300 = 1

    .. data:: Y_1200 = 2

    .. data:: Y_2400 = 3

    .. data:: Y_4800 = 4

    .. data:: Y_9600 = 5

    .. data:: Y_38400 = 6

    .. data:: Y_57600 = 7

    .. data:: Y_115200 = 8

    """

    Y_300 = Enum.YLeaf(1, "300")

    Y_1200 = Enum.YLeaf(2, "1200")

    Y_2400 = Enum.YLeaf(3, "2400")

    Y_4800 = Enum.YLeaf(4, "4800")

    Y_9600 = Enum.YLeaf(5, "9600")

    Y_38400 = Enum.YLeaf(6, "38400")

    Y_57600 = Enum.YLeaf(7, "57600")

    Y_115200 = Enum.YLeaf(8, "115200")


class EqptCOpSt(Enum):
    """
    EqptCOpSt (Enum Class)

    .. data:: unknown = 0

    .. data:: inserted = 1

    .. data:: absent = 2

    .. data:: mismatch = 3

    .. data:: fail = 4

    .. data:: present = 5

    .. data:: removed = 6

    .. data:: online = 7

    .. data:: offline = 8

    .. data:: pwr_up = 9

    .. data:: pwr_down = 10

    .. data:: err_pwr_down = 11

    .. data:: testing = 12

    .. data:: init = 13

    .. data:: reg_failure = 14

    .. data:: dnld = 15

    .. data:: upg = 16

    .. data:: srg_fail = 17

    .. data:: ha_seq_fail = 18

    """

    unknown = Enum.YLeaf(0, "unknown")

    inserted = Enum.YLeaf(1, "inserted")

    absent = Enum.YLeaf(2, "absent")

    mismatch = Enum.YLeaf(3, "mismatch")

    fail = Enum.YLeaf(4, "fail")

    present = Enum.YLeaf(5, "present")

    removed = Enum.YLeaf(6, "removed")

    online = Enum.YLeaf(7, "online")

    offline = Enum.YLeaf(8, "offline")

    pwr_up = Enum.YLeaf(9, "pwr-up")

    pwr_down = Enum.YLeaf(10, "pwr-down")

    err_pwr_down = Enum.YLeaf(11, "err-pwr-down")

    testing = Enum.YLeaf(12, "testing")

    init = Enum.YLeaf(13, "init")

    reg_failure = Enum.YLeaf(14, "reg-failure")

    dnld = Enum.YLeaf(15, "dnld")

    upg = Enum.YLeaf(16, "upg")

    srg_fail = Enum.YLeaf(17, "srg-fail")

    ha_seq_fail = Enum.YLeaf(18, "ha-seq-fail")


class EqptCardT(Enum):
    """
    EqptCardT (Enum Class)

    .. data:: unknown = 0

    .. data:: supervisor = 1

    .. data:: linecard = 2

    .. data:: fabriccard = 3

    .. data:: sysctrlcard = 4

    .. data:: extchcard = 5

    .. data:: fan_tray = 6

    .. data:: power_supply = 7

    """

    unknown = Enum.YLeaf(0, "unknown")

    supervisor = Enum.YLeaf(1, "supervisor")

    linecard = Enum.YLeaf(2, "linecard")

    fabriccard = Enum.YLeaf(3, "fabriccard")

    sysctrlcard = Enum.YLeaf(4, "sysctrlcard")

    extchcard = Enum.YLeaf(5, "extchcard")

    fan_tray = Enum.YLeaf(6, "fan-tray")

    power_supply = Enum.YLeaf(7, "power-supply")


class EqptChOperSt(Enum):
    """
    EqptChOperSt (Enum Class)

    .. data:: not_operational = 0

    .. data:: failed = 1

    .. data:: online = 2

    """

    not_operational = Enum.YLeaf(0, "not-operational")

    failed = Enum.YLeaf(1, "failed")

    online = Enum.YLeaf(2, "online")


class EqptColor(Enum):
    """
    EqptColor (Enum Class)

    .. data:: no_color = 0

    .. data:: green = 1

    .. data:: yellow = 2

    .. data:: amber = 3

    .. data:: red = 4

    .. data:: blue = 5

    """

    no_color = Enum.YLeaf(0, "no-color")

    green = Enum.YLeaf(1, "green")

    yellow = Enum.YLeaf(2, "yellow")

    amber = Enum.YLeaf(3, "amber")

    red = Enum.YLeaf(4, "red")

    blue = Enum.YLeaf(5, "blue")


class EqptEjSt(Enum):
    """
    EqptEjSt (Enum Class)

    .. data:: open = 0

    .. data:: closed = 1

    """

    open = Enum.YLeaf(0, "open")

    closed = Enum.YLeaf(1, "closed")


class EqptExtChSt(Enum):
    """
    EqptExtChSt (Enum Class)

    .. data:: unknown = 0

    .. data:: initializing = 1

    .. data:: discovered = 2

    .. data:: connected = 3

    .. data:: reg = 4

    .. data:: regDone = 5

    .. data:: ready = 6

    .. data:: onlSeq = 7

    .. data:: online = 8

    .. data:: offReq = 9

    .. data:: offSeq = 10

    .. data:: offline = 11

    .. data:: imgDld = 12

    .. data:: failed = 13

    .. data:: removed = 14

    .. data:: hlUpgSeq = 15

    .. data:: chkUpgSeq = 16

    .. data:: svStates = 17

    .. data:: hlUpgIdle = 18

    .. data:: chkInsSeq = 19

    .. data:: hlUpgFail = 20

    .. data:: aaUpgRdy = 21

    .. data:: aaUpgIdle = 22

    .. data:: aaUpgOver = 23

    .. data:: aaUpgFail = 24

    .. data:: aaVersMismatch = 25

    .. data:: ExtChTypeMismatch = 26

    """

    unknown = Enum.YLeaf(0, "unknown")

    initializing = Enum.YLeaf(1, "initializing")

    discovered = Enum.YLeaf(2, "discovered")

    connected = Enum.YLeaf(3, "connected")

    reg = Enum.YLeaf(4, "reg")

    regDone = Enum.YLeaf(5, "regDone")

    ready = Enum.YLeaf(6, "ready")

    onlSeq = Enum.YLeaf(7, "onlSeq")

    online = Enum.YLeaf(8, "online")

    offReq = Enum.YLeaf(9, "offReq")

    offSeq = Enum.YLeaf(10, "offSeq")

    offline = Enum.YLeaf(11, "offline")

    imgDld = Enum.YLeaf(12, "imgDld")

    failed = Enum.YLeaf(13, "failed")

    removed = Enum.YLeaf(14, "removed")

    hlUpgSeq = Enum.YLeaf(15, "hlUpgSeq")

    chkUpgSeq = Enum.YLeaf(16, "chkUpgSeq")

    svStates = Enum.YLeaf(17, "svStates")

    hlUpgIdle = Enum.YLeaf(18, "hlUpgIdle")

    chkInsSeq = Enum.YLeaf(19, "chkInsSeq")

    hlUpgFail = Enum.YLeaf(20, "hlUpgFail")

    aaUpgRdy = Enum.YLeaf(21, "aaUpgRdy")

    aaUpgIdle = Enum.YLeaf(22, "aaUpgIdle")

    aaUpgOver = Enum.YLeaf(23, "aaUpgOver")

    aaUpgFail = Enum.YLeaf(24, "aaUpgFail")

    aaVersMismatch = Enum.YLeaf(25, "aaVersMismatch")

    ExtChTypeMismatch = Enum.YLeaf(26, "ExtChTypeMismatch")


class EqptFcotDomLane(Enum):
    """
    EqptFcotDomLane (Enum Class)

    .. data:: basic = 0

    .. data:: extGlobal = 1

    .. data:: extOptical = 2

    """

    basic = Enum.YLeaf(0, "basic")

    extGlobal = Enum.YLeaf(1, "extGlobal")

    extOptical = Enum.YLeaf(2, "extOptical")


class EqptLedOpSt(Enum):
    """
    EqptLedOpSt (Enum Class)

    .. data:: unknown = 0

    .. data:: off = 1

    .. data:: on = 2

    .. data:: blinking = 3

    .. data:: fail = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    off = Enum.YLeaf(1, "off")

    on = Enum.YLeaf(2, "on")

    blinking = Enum.YLeaf(3, "blinking")

    fail = Enum.YLeaf(4, "fail")


class EqptLedType(Enum):
    """
    EqptLedType (Enum Class)

    .. data:: unknown = 0

    .. data:: status = 1

    .. data:: system = 2

    .. data:: active = 3

    .. data:: power = 4

    .. data:: battery = 5

    .. data:: lc_status = 6

    .. data:: sup_status = 7

    .. data:: fc_status = 8

    .. data:: fan_status = 9

    .. data:: pwr_status = 10

    """

    unknown = Enum.YLeaf(0, "unknown")

    status = Enum.YLeaf(1, "status")

    system = Enum.YLeaf(2, "system")

    active = Enum.YLeaf(3, "active")

    power = Enum.YLeaf(4, "power")

    battery = Enum.YLeaf(5, "battery")

    lc_status = Enum.YLeaf(6, "lc-status")

    sup_status = Enum.YLeaf(7, "sup-status")

    fc_status = Enum.YLeaf(8, "fc-status")

    fan_status = Enum.YLeaf(9, "fan-status")

    pwr_status = Enum.YLeaf(10, "pwr-status")


class EqptMemT(Enum):
    """
    EqptMemT (Enum Class)

    .. data:: unk = 0

    .. data:: dimm = 1

    .. data:: flash = 2

    .. data:: sprom = 3

    """

    unk = Enum.YLeaf(0, "unk")

    dimm = Enum.YLeaf(1, "dimm")

    flash = Enum.YLeaf(2, "flash")

    sprom = Enum.YLeaf(3, "sprom")


class EqptOpSt(Enum):
    """
    EqptOpSt (Enum Class)

    .. data:: unknown = 0

    .. data:: ok = 1

    .. data:: fail = 2

    .. data:: absent = 3

    .. data:: shut = 4

    .. data:: mismatch = 5

    """

    unknown = Enum.YLeaf(0, "unknown")

    ok = Enum.YLeaf(1, "ok")

    fail = Enum.YLeaf(2, "fail")

    absent = Enum.YLeaf(3, "absent")

    shut = Enum.YLeaf(4, "shut")

    mismatch = Enum.YLeaf(5, "mismatch")


class EqptParity(Enum):
    """
    EqptParity (Enum Class)

    .. data:: none = 0

    .. data:: even = 1

    .. data:: odd = 2

    """

    none = Enum.YLeaf(0, "none")

    even = Enum.YLeaf(1, "even")

    odd = Enum.YLeaf(2, "odd")


class EqptPortT(Enum):
    """
    EqptPortT (Enum Class)

    .. data:: unknown = 0

    .. data:: eobc = 1

    .. data:: mgmt = 2

    .. data:: fab = 3

    .. data:: leaf = 4

    .. data:: extchhp = 5

    .. data:: extchfp = 6

    """

    unknown = Enum.YLeaf(0, "unknown")

    eobc = Enum.YLeaf(1, "eobc")

    mgmt = Enum.YLeaf(2, "mgmt")

    fab = Enum.YLeaf(3, "fab")

    leaf = Enum.YLeaf(4, "leaf")

    extchhp = Enum.YLeaf(5, "extchhp")

    extchfp = Enum.YLeaf(6, "extchfp")


class EqptPoweroffSt(Enum):
    """
    EqptPoweroffSt (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class EqptPsRdnM(Enum):
    """
    EqptPsRdnM (Enum Class)

    .. data:: unknown = 0

    .. data:: not_supp = 1

    .. data:: rdn = 2

    .. data:: comb = 3

    .. data:: n_rdn = 4

    .. data:: ps_rdn = 5

    .. data:: insrc_rdn = 6

    .. data:: sinin_rdn = 7

    .. data:: comb_force = 8

    """

    unknown = Enum.YLeaf(0, "unknown")

    not_supp = Enum.YLeaf(1, "not-supp")

    rdn = Enum.YLeaf(2, "rdn")

    comb = Enum.YLeaf(3, "comb")

    n_rdn = Enum.YLeaf(4, "n-rdn")

    ps_rdn = Enum.YLeaf(5, "ps-rdn")

    insrc_rdn = Enum.YLeaf(6, "insrc-rdn")

    sinin_rdn = Enum.YLeaf(7, "sinin-rdn")

    comb_force = Enum.YLeaf(8, "comb-force")


class EqptPsuFanDir(Enum):
    """
    EqptPsuFanDir (Enum Class)

    .. data:: front2back = 0

    .. data:: back2front = 1

    .. data:: notused = 2

    """

    front2back = Enum.YLeaf(0, "front2back")

    back2front = Enum.YLeaf(1, "back2front")

    notused = Enum.YLeaf(2, "notused")


class EqptPwrState(Enum):
    """
    EqptPwrState (Enum Class)

    .. data:: unknown = 0

    .. data:: off = 1

    .. data:: on = 2

    .. data:: deny = 3

    .. data:: multi_boot_fail = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    off = Enum.YLeaf(1, "off")

    on = Enum.YLeaf(2, "on")

    deny = Enum.YLeaf(3, "deny")

    multi_boot_fail = Enum.YLeaf(4, "multi-boot-fail")


class EqptRdSt(Enum):
    """
    EqptRdSt (Enum Class)

    .. data:: unknown = 0

    .. data:: active = 1

    .. data:: standby = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    active = Enum.YLeaf(1, "active")

    standby = Enum.YLeaf(2, "standby")


class EqptSensorOpSt(Enum):
    """
    EqptSensorOpSt (Enum Class)

    .. data:: fail = 0

    .. data:: normal = 1

    .. data:: minor = 2

    .. data:: major = 3

    .. data:: absent = 4

    .. data:: bad_asic = 5

    """

    fail = Enum.YLeaf(0, "fail")

    normal = Enum.YLeaf(1, "normal")

    minor = Enum.YLeaf(2, "minor")

    major = Enum.YLeaf(3, "major")

    absent = Enum.YLeaf(4, "absent")

    bad_asic = Enum.YLeaf(5, "bad-asic")


class EqptSensorT(Enum):
    """
    EqptSensorT (Enum Class)

    .. data:: cpu = 1

    .. data:: inlet = 2

    .. data:: outlet = 3

    .. data:: hotswap = 4

    .. data:: dimm = 5

    .. data:: phy = 6

    .. data:: sfp = 7

    .. data:: qsfp = 8

    .. data:: asic = 9

    .. data:: pch = 10

    .. data:: cpu_crm = 11

    .. data:: asic_vrm = 12

    .. data:: x86 = 18

    .. data:: arm = 19

    .. data:: die = 20

    """

    cpu = Enum.YLeaf(1, "cpu")

    inlet = Enum.YLeaf(2, "inlet")

    outlet = Enum.YLeaf(3, "outlet")

    hotswap = Enum.YLeaf(4, "hotswap")

    dimm = Enum.YLeaf(5, "dimm")

    phy = Enum.YLeaf(6, "phy")

    sfp = Enum.YLeaf(7, "sfp")

    qsfp = Enum.YLeaf(8, "qsfp")

    asic = Enum.YLeaf(9, "asic")

    pch = Enum.YLeaf(10, "pch")

    cpu_crm = Enum.YLeaf(11, "cpu-crm")

    asic_vrm = Enum.YLeaf(12, "asic-vrm")

    x86 = Enum.YLeaf(18, "x86")

    arm = Enum.YLeaf(19, "arm")

    die = Enum.YLeaf(20, "die")


class EqptSlotLoc(Enum):
    """
    EqptSlotLoc (Enum Class)

    .. data:: unknown = 0

    .. data:: front = 1

    .. data:: rear = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    front = Enum.YLeaf(1, "front")

    rear = Enum.YLeaf(2, "rear")


class EqptSlotOpSt(Enum):
    """
    EqptSlotOpSt (Enum Class)

    .. data:: empty = 0

    .. data:: inserted = 1

    """

    empty = Enum.YLeaf(0, "empty")

    inserted = Enum.YLeaf(1, "inserted")


class EqptSlotT(Enum):
    """
    EqptSlotT (Enum Class)

    .. data:: unknown = 0

    .. data:: supslot = 1

    .. data:: lcslot = 2

    .. data:: fcslot = 3

    .. data:: scslot = 4

    .. data:: extchslot = 5

    .. data:: psuslot = 6

    .. data:: fantray = 7

    .. data:: bslot = 8

    .. data:: nslot = 9

    """

    unknown = Enum.YLeaf(0, "unknown")

    supslot = Enum.YLeaf(1, "supslot")

    lcslot = Enum.YLeaf(2, "lcslot")

    fcslot = Enum.YLeaf(3, "fcslot")

    scslot = Enum.YLeaf(4, "scslot")

    extchslot = Enum.YLeaf(5, "extchslot")

    psuslot = Enum.YLeaf(6, "psuslot")

    fantray = Enum.YLeaf(7, "fantray")

    bslot = Enum.YLeaf(8, "bslot")

    nslot = Enum.YLeaf(9, "nslot")


class EqptSock(Enum):
    """
    EqptSock (Enum Class)

    .. data:: unspecified = 0

    """

    unspecified = Enum.YLeaf(0, "unspecified")


class EqptVSrc(Enum):
    """
    EqptVSrc (Enum Class)

    .. data:: unknown = 0

    .. data:: Y_110v = 1

    .. data:: Y_220v = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    Y_110v = Enum.YLeaf(1, "110v")

    Y_220v = Enum.YLeaf(2, "220v")


class EqptcapConnT(Enum):
    """
    EqptcapConnT (Enum Class)

    .. data:: unspecified = 0

    .. data:: sc = 1

    .. data:: fc1_copper = 2

    .. data:: fc2_copper = 3

    .. data:: bnc_tnc = 4

    .. data:: fc_coax = 5

    .. data:: fiber_jack = 6

    .. data:: lc = 7

    .. data:: mt_rj = 8

    .. data:: mu = 9

    .. data:: sg = 10

    .. data:: optical_pigtail = 11

    .. data:: mpo = 12

    .. data:: hssdc_2 = 32

    .. data:: copper_pigtail = 33

    .. data:: rj45 = 34

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    sc = Enum.YLeaf(1, "sc")

    fc1_copper = Enum.YLeaf(2, "fc1-copper")

    fc2_copper = Enum.YLeaf(3, "fc2-copper")

    bnc_tnc = Enum.YLeaf(4, "bnc-tnc")

    fc_coax = Enum.YLeaf(5, "fc-coax")

    fiber_jack = Enum.YLeaf(6, "fiber-jack")

    lc = Enum.YLeaf(7, "lc")

    mt_rj = Enum.YLeaf(8, "mt-rj")

    mu = Enum.YLeaf(9, "mu")

    sg = Enum.YLeaf(10, "sg")

    optical_pigtail = Enum.YLeaf(11, "optical-pigtail")

    mpo = Enum.YLeaf(12, "mpo")

    hssdc_2 = Enum.YLeaf(32, "hssdc-2")

    copper_pigtail = Enum.YLeaf(33, "copper-pigtail")

    rj45 = Enum.YLeaf(34, "rj45")


class EqptcapXcvrT(Enum):
    """
    EqptcapXcvrT (Enum Class)

    .. data:: unspecified = 0

    .. data:: gbic = 1

    .. data:: solder = 2

    .. data:: sfp = 3

    .. data:: xbi = 4

    .. data:: xenpak = 5

    .. data:: xfp = 6

    .. data:: xff = 7

    .. data:: xfp_e = 8

    .. data:: xpak = 9

    .. data:: x2 = 10

    .. data:: dwdm_sfp = 11

    .. data:: qsfp = 12

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    gbic = Enum.YLeaf(1, "gbic")

    solder = Enum.YLeaf(2, "solder")

    sfp = Enum.YLeaf(3, "sfp")

    xbi = Enum.YLeaf(4, "xbi")

    xenpak = Enum.YLeaf(5, "xenpak")

    xfp = Enum.YLeaf(6, "xfp")

    xff = Enum.YLeaf(7, "xff")

    xfp_e = Enum.YLeaf(8, "xfp-e")

    xpak = Enum.YLeaf(9, "xpak")

    x2 = Enum.YLeaf(10, "x2")

    dwdm_sfp = Enum.YLeaf(11, "dwdm-sfp")

    qsfp = Enum.YLeaf(12, "qsfp")


class EqptdiagAllGrpsT(Enum):
    """
    EqptdiagAllGrpsT (Enum Class)

    .. data:: none = 0

    .. data:: sys_mem = 1

    .. data:: cpu = 2

    .. data:: peripherals = 3

    .. data:: internal_conn = 4

    .. data:: asic = 5

    .. data:: port = 6

    """

    none = Enum.YLeaf(0, "none")

    sys_mem = Enum.YLeaf(1, "sys-mem")

    cpu = Enum.YLeaf(2, "cpu")

    peripherals = Enum.YLeaf(3, "peripherals")

    internal_conn = Enum.YLeaf(4, "internal-conn")

    asic = Enum.YLeaf(5, "asic")

    port = Enum.YLeaf(6, "port")


class EthpmErrDisEvent(Enum):
    """
    EthpmErrDisEvent (Enum Class)

    .. data:: event_link_flap = 0

    .. data:: event_udld = 1

    .. data:: event_bpduguard = 2

    .. data:: event_loopback = 3

    .. data:: event_storm_ctrl = 4

    .. data:: event_dhcp_rate_lim = 5

    .. data:: event_arp_inspection = 6

    .. data:: event_sec_violation = 7

    .. data:: event_psec_violation = 8

    .. data:: event_stp_inconsist_vpc_peerlink = 9

    .. data:: event_set_port_state_failed = 10

    .. data:: event_debug_1 = 11

    .. data:: event_debug_2 = 12

    .. data:: event_debug_3 = 13

    .. data:: event_debug_4 = 14

    .. data:: event_debug_5 = 15

    .. data:: event_ip_addr_conflict = 16

    .. data:: event_ipqos_mgr_error = 17

    .. data:: event_ethpm = 18

    .. data:: event_ipqos_dcbxp_compat_failure = 19

    .. data:: event_syserr_based = 20

    .. data:: unknown = 21

    .. data:: event_mcp_loop = 22

    .. data:: event_ep_move = 23

    .. data:: event_dcbx_no_ack = 24

    """

    event_link_flap = Enum.YLeaf(0, "event-link-flap")

    event_udld = Enum.YLeaf(1, "event-udld")

    event_bpduguard = Enum.YLeaf(2, "event-bpduguard")

    event_loopback = Enum.YLeaf(3, "event-loopback")

    event_storm_ctrl = Enum.YLeaf(4, "event-storm-ctrl")

    event_dhcp_rate_lim = Enum.YLeaf(5, "event-dhcp-rate-lim")

    event_arp_inspection = Enum.YLeaf(6, "event-arp-inspection")

    event_sec_violation = Enum.YLeaf(7, "event-sec-violation")

    event_psec_violation = Enum.YLeaf(8, "event-psec-violation")

    event_stp_inconsist_vpc_peerlink = Enum.YLeaf(9, "event-stp-inconsist-vpc-peerlink")

    event_set_port_state_failed = Enum.YLeaf(10, "event-set-port-state-failed")

    event_debug_1 = Enum.YLeaf(11, "event-debug-1")

    event_debug_2 = Enum.YLeaf(12, "event-debug-2")

    event_debug_3 = Enum.YLeaf(13, "event-debug-3")

    event_debug_4 = Enum.YLeaf(14, "event-debug-4")

    event_debug_5 = Enum.YLeaf(15, "event-debug-5")

    event_ip_addr_conflict = Enum.YLeaf(16, "event-ip-addr-conflict")

    event_ipqos_mgr_error = Enum.YLeaf(17, "event-ipqos-mgr-error")

    event_ethpm = Enum.YLeaf(18, "event-ethpm")

    event_ipqos_dcbxp_compat_failure = Enum.YLeaf(19, "event-ipqos-dcbxp-compat-failure")

    event_syserr_based = Enum.YLeaf(20, "event-syserr-based")

    unknown = Enum.YLeaf(21, "unknown")

    event_mcp_loop = Enum.YLeaf(22, "event-mcp-loop")

    event_ep_move = Enum.YLeaf(23, "event-ep-move")

    event_dcbx_no_ack = Enum.YLeaf(24, "event-dcbx-no-ack")


class EthpmFcotFlags(Enum):
    """
    EthpmFcotFlags (Enum Class)

    .. data:: unknown = 0

    .. data:: access_failed = 1

    .. data:: checksum_failed = 2

    .. data:: vendor_crc_failed = 3

    .. data:: sfp_speed_mismatch = 4

    .. data:: eth_compalint_failed = 5

    .. data:: unknown_xcvr_type = 6

    .. data:: emphasis_checksum_failed = 7

    .. data:: init_failed = 8

    .. data:: ok_auth_success_no_md5 = 9

    .. data:: auth_failed = 10

    .. data:: ok_delayed_auth_success = 11

    .. data:: delayed_auth_failed = 12

    .. data:: ok_no_md5 = 13

    .. data:: ok = 14

    """

    unknown = Enum.YLeaf(0, "unknown")

    access_failed = Enum.YLeaf(1, "access-failed")

    checksum_failed = Enum.YLeaf(2, "checksum-failed")

    vendor_crc_failed = Enum.YLeaf(3, "vendor-crc-failed")

    sfp_speed_mismatch = Enum.YLeaf(4, "sfp-speed-mismatch")

    eth_compalint_failed = Enum.YLeaf(5, "eth-compalint-failed")

    unknown_xcvr_type = Enum.YLeaf(6, "unknown-xcvr-type")

    emphasis_checksum_failed = Enum.YLeaf(7, "emphasis-checksum-failed")

    init_failed = Enum.YLeaf(8, "init-failed")

    ok_auth_success_no_md5 = Enum.YLeaf(9, "ok-auth-success-no-md5")

    auth_failed = Enum.YLeaf(10, "auth-failed")

    ok_delayed_auth_success = Enum.YLeaf(11, "ok-delayed-auth-success")

    delayed_auth_failed = Enum.YLeaf(12, "delayed-auth-failed")

    ok_no_md5 = Enum.YLeaf(13, "ok-no-md5")

    ok = Enum.YLeaf(14, "ok")


class EthpmFcotState(Enum):
    """
    EthpmFcotState (Enum Class)

    .. data:: unknown = 0

    .. data:: inserted = 1

    .. data:: removed = 2

    .. data:: hw_failure = 3

    .. data:: inserted_initializing = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    inserted = Enum.YLeaf(1, "inserted")

    removed = Enum.YLeaf(2, "removed")

    hw_failure = Enum.YLeaf(3, "hw-failure")

    inserted_initializing = Enum.YLeaf(4, "inserted-initializing")


class EthpmFcotType(Enum):
    """
    EthpmFcotType (Enum Class)

    .. data:: unknown = 0

    .. data:: xfp = 1

    .. data:: x2 = 2

    .. data:: dummy = 3

    .. data:: sfp = 4

    .. data:: qsfp = 5

    .. data:: cfp_40g = 6

    .. data:: cfp_100g = 7

    .. data:: cfp = 8

    .. data:: qsfp28 = 9

    """

    unknown = Enum.YLeaf(0, "unknown")

    xfp = Enum.YLeaf(1, "xfp")

    x2 = Enum.YLeaf(2, "x2")

    dummy = Enum.YLeaf(3, "dummy")

    sfp = Enum.YLeaf(4, "sfp")

    qsfp = Enum.YLeaf(5, "qsfp")

    cfp_40g = Enum.YLeaf(6, "cfp-40g")

    cfp_100g = Enum.YLeaf(7, "cfp-100g")

    cfp = Enum.YLeaf(8, "cfp")

    qsfp28 = Enum.YLeaf(9, "qsfp28")


class EthpmShareState(Enum):
    """
    EthpmShareState (Enum Class)

    .. data:: dedicated = 0

    .. data:: shared = 1

    """

    dedicated = Enum.YLeaf(0, "dedicated")

    shared = Enum.YLeaf(1, "shared")


class EthpmSyslogInfo(Enum):
    """
    EthpmSyslogInfo (Enum Class)

    .. data:: default = 0

    .. data:: info_1 = 1

    """

    default = Enum.YLeaf(0, "default")

    info_1 = Enum.YLeaf(1, "info-1")


class EthpmTrunkStatus(Enum):
    """
    EthpmTrunkStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: trunking = 1

    .. data:: fabricpath = 2

    .. data:: not_trunking = 3

    .. data:: trunk_bundle = 4

    .. data:: fabric_bundle = 5

    .. data:: no_trunk_bundle = 6

    """

    unknown = Enum.YLeaf(0, "unknown")

    trunking = Enum.YLeaf(1, "trunking")

    fabricpath = Enum.YLeaf(2, "fabricpath")

    not_trunking = Enum.YLeaf(3, "not-trunking")

    trunk_bundle = Enum.YLeaf(4, "trunk-bundle")

    fabric_bundle = Enum.YLeaf(5, "fabric-bundle")

    no_trunk_bundle = Enum.YLeaf(6, "no-trunk-bundle")


class FcAdminSt(Enum):
    """
    FcAdminSt (Enum Class)

    .. data:: down = 1

    .. data:: up = 2

    """

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")


class FcCreateState(Enum):
    """
    FcCreateState (Enum Class)

    .. data:: created = 0

    .. data:: removed = 1

    """

    created = Enum.YLeaf(0, "created")

    removed = Enum.YLeaf(1, "removed")


class FcoeAdminSt(Enum):
    """
    FcoeAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class FirmwareRunningMode(Enum):
    """
    FirmwareRunningMode (Enum Class)

    .. data:: normal = 0

    .. data:: recovery = 1

    """

    normal = Enum.YLeaf(0, "normal")

    recovery = Enum.YLeaf(1, "recovery")


class FirmwareRunningOperSt(Enum):
    """
    FirmwareRunningOperSt (Enum Class)

    .. data:: ok = 0

    .. data:: ver_mismatch = 1

    """

    ok = Enum.YLeaf(0, "ok")

    ver_mismatch = Enum.YLeaf(1, "ver-mismatch")


class FirmwareType(Enum):
    """
    FirmwareType (Enum Class)

    .. data:: controller = 0

    .. data:: switch = 1

    .. data:: catalog = 2

    """

    controller = Enum.YLeaf(0, "controller")

    switch = Enum.YLeaf(1, "switch")

    catalog = Enum.YLeaf(2, "catalog")


class FlowDirection(Enum):
    """
    FlowDirection (Enum Class)

    .. data:: unspecified = 0

    .. data:: in_ = 1

    .. data:: out = 2

    .. data:: both = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")

    both = Enum.YLeaf(3, "both")


class FlowExportVersion(Enum):
    """
    FlowExportVersion (Enum Class)

    .. data:: unspecified = 0

    .. data:: v5 = 1

    .. data:: v9 = 2

    .. data:: cisco1 = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    v5 = Enum.YLeaf(1, "v5")

    v9 = Enum.YLeaf(2, "v9")

    cisco1 = Enum.YLeaf(3, "cisco1")


class FlowSamplerMode(Enum):
    """
    FlowSamplerMode (Enum Class)

    .. data:: unspecified = 0

    .. data:: flow = 1

    .. data:: pkts = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    flow = Enum.YLeaf(1, "flow")

    pkts = Enum.YLeaf(2, "pkts")


class FmAdminState(Enum):
    """
    FmAdminState (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class FmInstOperState(Enum):
    """
    FmInstOperState (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: enabled_not_running = 3

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    enabled_not_running = Enum.YLeaf(3, "enabled-not-running")


class FmOperState(Enum):
    """
    FmOperState (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class FmcastOperSt(Enum):
    """
    FmcastOperSt (Enum Class)

    .. data:: active = 1

    .. data:: inactive = 2

    """

    active = Enum.YLeaf(1, "active")

    inactive = Enum.YLeaf(2, "inactive")


class FsetAdminState(Enum):
    """
    FsetAdminState (Enum Class)

    .. data:: none = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: installed = 3

    .. data:: uninstalled = 4

    """

    none = Enum.YLeaf(0, "none")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    installed = Enum.YLeaf(3, "installed")

    uninstalled = Enum.YLeaf(4, "uninstalled")


class FsetOperState(Enum):
    """
    FsetOperState (Enum Class)

    .. data:: none = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: installed = 3

    .. data:: uninstalled = 4

    """

    none = Enum.YLeaf(0, "none")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    installed = Enum.YLeaf(3, "installed")

    uninstalled = Enum.YLeaf(4, "uninstalled")


class FvImmediacy(Enum):
    """
    FvImmediacy (Enum Class)

    .. data:: immediate = 1

    .. data:: lazy = 2

    """

    immediate = Enum.YLeaf(1, "immediate")

    lazy = Enum.YLeaf(2, "lazy")


class FvImmediacy_(Enum):
    """
    FvImmediacy\_ (Enum Class)

    .. data:: immediate = 1

    .. data:: lazy = 2

    """

    immediate = Enum.YLeaf(1, "immediate")

    lazy = Enum.YLeaf(2, "lazy")


class FvPcEnfPref(Enum):
    """
    FvPcEnfPref (Enum Class)

    .. data:: enforced = 1

    .. data:: unenforced = 2

    """

    enforced = Enum.YLeaf(1, "enforced")

    unenforced = Enum.YLeaf(2, "unenforced")


class GoldBootLevel(Enum):
    """
    GoldBootLevel (Enum Class)

    .. data:: bypass = 0

    .. data:: complete = 1

    """

    bypass = Enum.YLeaf(0, "bypass")

    complete = Enum.YLeaf(1, "complete")


class GoldModuleDiagStatus(Enum):
    """
    GoldModuleDiagStatus (Enum Class)

    .. data:: fail = 0

    .. data:: pass_ = 1

    .. data:: untested = 2

    """

    fail = Enum.YLeaf(0, "fail")

    pass_ = Enum.YLeaf(1, "pass")

    untested = Enum.YLeaf(2, "untested")


class GoldResult(Enum):
    """
    GoldResult (Enum Class)

    .. data:: untested = 1

    .. data:: failure = 2

    .. data:: not_complete = 3

    .. data:: aborted = 4

    .. data:: success = 5

    .. data:: error_disabled = 6

    .. data:: error_ignore = 7

    .. data:: error_disabled_w_no = 8

    .. data:: unavailable = 9

    """

    untested = Enum.YLeaf(1, "untested")

    failure = Enum.YLeaf(2, "failure")

    not_complete = Enum.YLeaf(3, "not-complete")

    aborted = Enum.YLeaf(4, "aborted")

    success = Enum.YLeaf(5, "success")

    error_disabled = Enum.YLeaf(6, "error-disabled")

    error_ignore = Enum.YLeaf(7, "error-ignore")

    error_disabled_w_no = Enum.YLeaf(8, "error-disabled-w-no")

    unavailable = Enum.YLeaf(9, "unavailable")


class HmmBoolean(Enum):
    """
    HmmBoolean (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class HmmFwdMode(Enum):
    """
    HmmFwdMode (Enum Class)

    .. data:: standard = 0

    .. data:: anycastGW = 1

    .. data:: proxyGW = 2

    """

    standard = Enum.YLeaf(0, "standard")

    anycastGW = Enum.YLeaf(1, "anycastGW")

    proxyGW = Enum.YLeaf(2, "proxyGW")


class HsrpAuthT(Enum):
    """
    HsrpAuthT (Enum Class)

    .. data:: simple = 1

    .. data:: md5 = 2

    """

    simple = Enum.YLeaf(1, "simple")

    md5 = Enum.YLeaf(2, "md5")


class HsrpBiaScopeType(Enum):
    """
    HsrpBiaScopeType (Enum Class)

    .. data:: global_ = 1

    .. data:: local = 2

    """

    global_ = Enum.YLeaf(1, "global")

    local = Enum.YLeaf(2, "local")


class HsrpGroupAf(Enum):
    """
    HsrpGroupAf (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")


class HsrpGrpIpObtainMode(Enum):
    """
    HsrpGrpIpObtainMode (Enum Class)

    .. data:: admin = 0

    .. data:: auto = 1

    .. data:: learn = 2

    """

    admin = Enum.YLeaf(0, "admin")

    auto = Enum.YLeaf(1, "auto")

    learn = Enum.YLeaf(2, "learn")


class HsrpHsrpVersion(Enum):
    """
    HsrpHsrpVersion (Enum Class)

    .. data:: v1 = 1

    .. data:: v2 = 2

    """

    v1 = Enum.YLeaf(1, "v1")

    v2 = Enum.YLeaf(2, "v2")


class Icmpv6EventLogSize(Enum):
    """
    Icmpv6EventLogSize (Enum Class)

    .. data:: disabled = 0

    .. data:: small = 1

    .. data:: medium = 2

    .. data:: large = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    small = Enum.YLeaf(1, "small")

    medium = Enum.YLeaf(2, "medium")

    large = Enum.YLeaf(3, "large")


class Icmpv6EventType(Enum):
    """
    Icmpv6EventType (Enum Class)

    .. data:: cli = 0

    .. data:: errors = 1

    .. data:: highAvailability = 2

    .. data:: icmpv6_internal = 3

    .. data:: ipv6SyncEvent = 4

    .. data:: mldDebug = 5

    .. data:: mldEvent = 6

    .. data:: nd = 7

    .. data:: sync_event = 8

    .. data:: vrf = 9

    """

    cli = Enum.YLeaf(0, "cli")

    errors = Enum.YLeaf(1, "errors")

    highAvailability = Enum.YLeaf(2, "highAvailability")

    icmpv6_internal = Enum.YLeaf(3, "icmpv6-internal")

    ipv6SyncEvent = Enum.YLeaf(4, "ipv6SyncEvent")

    mldDebug = Enum.YLeaf(5, "mldDebug")

    mldEvent = Enum.YLeaf(6, "mldEvent")

    nd = Enum.YLeaf(7, "nd")

    sync_event = Enum.YLeaf(8, "sync-event")

    vrf = Enum.YLeaf(9, "vrf")


class Icmpv6LoggingLevel(Enum):
    """
    Icmpv6LoggingLevel (Enum Class)

    .. data:: Emergency = 0

    .. data:: Alert = 1

    .. data:: Critical = 2

    .. data:: Error = 3

    .. data:: Warning = 4

    .. data:: Notice = 5

    .. data:: Informational = 6

    .. data:: Debug = 7

    """

    Emergency = Enum.YLeaf(0, "Emergency")

    Alert = Enum.YLeaf(1, "Alert")

    Critical = Enum.YLeaf(2, "Critical")

    Error = Enum.YLeaf(3, "Error")

    Warning = Enum.YLeaf(4, "Warning")

    Notice = Enum.YLeaf(5, "Notice")

    Informational = Enum.YLeaf(6, "Informational")

    Debug = Enum.YLeaf(7, "Debug")


class Icmpv6OperSt(Enum):
    """
    Icmpv6OperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    .. data:: failed = 2

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")

    failed = Enum.YLeaf(2, "failed")


class IgmpDbT(Enum):
    """
    IgmpDbT (Enum Class)

    .. data:: route = 1

    """

    route = Enum.YLeaf(1, "route")


class IgmpEhType(Enum):
    """
    IgmpEhType (Enum Class)

    .. data:: igmpInternal = 0

    .. data:: cli = 1

    .. data:: groupDebugs = 2

    .. data:: groupEvents = 3

    .. data:: ha = 4

    .. data:: intfDebugs = 5

    .. data:: intfEvents = 6

    .. data:: mtrace = 7

    .. data:: mvr = 8

    .. data:: policy = 9

    .. data:: vrf = 10

    .. data:: nbm = 11

    """

    igmpInternal = Enum.YLeaf(0, "igmpInternal")

    cli = Enum.YLeaf(1, "cli")

    groupDebugs = Enum.YLeaf(2, "groupDebugs")

    groupEvents = Enum.YLeaf(3, "groupEvents")

    ha = Enum.YLeaf(4, "ha")

    intfDebugs = Enum.YLeaf(5, "intfDebugs")

    intfEvents = Enum.YLeaf(6, "intfEvents")

    mtrace = Enum.YLeaf(7, "mtrace")

    mvr = Enum.YLeaf(8, "mvr")

    policy = Enum.YLeaf(9, "policy")

    vrf = Enum.YLeaf(10, "vrf")

    nbm = Enum.YLeaf(11, "nbm")


class IgmpLimitSt(Enum):
    """
    IgmpLimitSt (Enum Class)

    .. data:: below_thresh = 0

    .. data:: above_thresh = 1

    .. data:: exhausted = 2

    """

    below_thresh = Enum.YLeaf(0, "below-thresh")

    above_thresh = Enum.YLeaf(1, "above-thresh")

    exhausted = Enum.YLeaf(2, "exhausted")


class IgmpsnoopEhType(Enum):
    """
    IgmpsnoopEhType (Enum Class)

    .. data:: igmp_snoop_internal = 0

    .. data:: mfdm = 1

    .. data:: mfdm_sum = 2

    .. data:: rib = 3

    .. data:: vlan = 4

    .. data:: vlan_events = 5

    .. data:: vpc = 6

    """

    igmp_snoop_internal = Enum.YLeaf(0, "igmp-snoop-internal")

    mfdm = Enum.YLeaf(1, "mfdm")

    mfdm_sum = Enum.YLeaf(2, "mfdm-sum")

    rib = Enum.YLeaf(3, "rib")

    vlan = Enum.YLeaf(4, "vlan")

    vlan_events = Enum.YLeaf(5, "vlan-events")

    vpc = Enum.YLeaf(6, "vpc")


class ImBreakoutMapT(Enum):
    """
    ImBreakoutMapT (Enum Class)

    .. data:: no_breakout = 0

    .. data:: Y_10g_4x = 5

    .. data:: Y_10g_2x = 9

    .. data:: Y_25g_4x = 8

    .. data:: Y_50g_2x = 7

    """

    no_breakout = Enum.YLeaf(0, "no-breakout")

    Y_10g_4x = Enum.YLeaf(5, "10g-4x")

    Y_10g_2x = Enum.YLeaf(9, "10g-2x")

    Y_25g_4x = Enum.YLeaf(8, "25g-4x")

    Y_50g_2x = Enum.YLeaf(7, "50g-2x")


class ImBreakoutProfile(Enum):
    """
    ImBreakoutProfile (Enum Class)

    .. data:: disabled = 0

    .. data:: Y_50g_2x_only = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    Y_50g_2x_only = Enum.YLeaf(1, "50g-2x-only")


class ImMode100M(Enum):
    """
    ImMode100M (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")


class ImModeHwProfile(Enum):
    """
    ImModeHwProfile (Enum Class)

    .. data:: undefined = 0

    .. data:: Y_4C = 1

    .. data:: Y_2C__PLUS__4Q = 2

    .. data:: Y_18C = 3

    .. data:: Y_4C__PLUS__28Q = 4

    .. data:: Y_6C__PLUS__24Q = 5

    """

    undefined = Enum.YLeaf(0, "undefined")

    Y_4C = Enum.YLeaf(1, "4C")

    Y_2C__PLUS__4Q = Enum.YLeaf(2, "2C+4Q")

    Y_18C = Enum.YLeaf(3, "18C")

    Y_4C__PLUS__28Q = Enum.YLeaf(4, "4C+28Q")

    Y_6C__PLUS__24Q = Enum.YLeaf(5, "6C+24Q")


class InbandTelemetryFltType(Enum):
    """
    InbandTelemetryFltType (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    .. data:: ce = 3

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")

    ce = Enum.YLeaf(3, "ce")


class InbandTelemetryModeT(Enum):
    """
    InbandTelemetryModeT (Enum Class)

    .. data:: inbandtelemetry = 0

    .. data:: postcard = 1

    """

    inbandtelemetry = Enum.YLeaf(0, "inbandtelemetry")

    postcard = Enum.YLeaf(1, "postcard")


class InbandTelemetryProfile(Enum):
    """
    InbandTelemetryProfile (Enum Class)

    .. data:: endpoint = 0

    .. data:: transit = 1

    """

    endpoint = Enum.YLeaf(0, "endpoint")

    transit = Enum.YLeaf(1, "transit")


class InstallerInstEnum(Enum):
    """
    InstallerInstEnum (Enum Class)

    .. data:: yes = 0

    .. data:: no = 1

    """

    yes = Enum.YLeaf(0, "yes")

    no = Enum.YLeaf(1, "no")


class InstallerInstErr(Enum):
    """
    InstallerInstErr (Enum Class)

    .. data:: none = 0

    .. data:: preupg_err1 = 1

    .. data:: preupg_err2 = 2

    .. data:: user_abort = 3

    """

    none = Enum.YLeaf(0, "none")

    preupg_err1 = Enum.YLeaf(1, "preupg-err1")

    preupg_err2 = Enum.YLeaf(2, "preupg-err2")

    user_abort = Enum.YLeaf(3, "user-abort")


class InstallerInstModType(Enum):
    """
    InstallerInstModType (Enum Class)

    .. data:: nxos_supervisor = 0

    .. data:: lc = 1

    .. data:: fex = 2

    .. data:: bios = 3

    .. data:: lcn9k = 4

    .. data:: unknown = -1

    """

    nxos_supervisor = Enum.YLeaf(0, "nxos-supervisor")

    lc = Enum.YLeaf(1, "lc")

    fex = Enum.YLeaf(2, "fex")

    bios = Enum.YLeaf(3, "bios")

    lcn9k = Enum.YLeaf(4, "lcn9k")

    unknown = Enum.YLeaf(-1, "unknown")


class InstallerInstOper(Enum):
    """
    InstallerInstOper (Enum Class)

    .. data:: none = 0

    .. data:: install = 1

    .. data:: impact = 2

    .. data:: abort = 3

    """

    none = Enum.YLeaf(0, "none")

    install = Enum.YLeaf(1, "install")

    impact = Enum.YLeaf(2, "impact")

    abort = Enum.YLeaf(3, "abort")


class InstallerInstType(Enum):
    """
    InstallerInstType (Enum Class)

    .. data:: none = -1

    .. data:: disruptive = 0

    .. data:: non_disruptive = 1

    """

    none = Enum.YLeaf(-1, "none")

    disruptive = Enum.YLeaf(0, "disruptive")

    non_disruptive = Enum.YLeaf(1, "non-disruptive")


class InstallerStage(Enum):
    """
    InstallerStage (Enum Class)

    .. data:: preupg_copy_image = 0

    .. data:: preupg_initializing = 1

    .. data:: preupg_verifying_images = 3

    .. data:: preupg_runtime_check = 6

    .. data:: preupg_sync_image = 7

    .. data:: upgrade_upg_fex = 9

    .. data:: upgrade_upg_lc = 10

    .. data:: preupg_conf_sync = 11

    .. data:: preupg_set_boot = 12

    .. data:: preupg_force_dnld = 13

    .. data:: preupg_wait_mod = 14

    .. data:: preupg_convert_startup = 15

    .. data:: preupg_save_sup_state = 16

    .. data:: upgrade_kexec = 17

    .. data:: preupg_pre_upg_notif = 19

    .. data:: preupg_mod_support_check = 20

    .. data:: preupg_Checks = 21

    .. data:: upgrade_upg_bios = 22

    .. data:: upgrade_upg_cmp = 23

    .. data:: upgrade_notification = 24

    .. data:: preupg_save_mts_state = 25

    .. data:: success = 26

    .. data:: failed = 27

    .. data:: not_started = 28

    .. data:: upgrade_sup_state_verification = 29

    .. data:: upgrade_switchover_notif = 30

    .. data:: upgrade_standby_container_start = 31

    .. data:: user_abort = 32

    """

    preupg_copy_image = Enum.YLeaf(0, "preupg-copy-image")

    preupg_initializing = Enum.YLeaf(1, "preupg-initializing")

    preupg_verifying_images = Enum.YLeaf(3, "preupg-verifying_images")

    preupg_runtime_check = Enum.YLeaf(6, "preupg-runtime-check")

    preupg_sync_image = Enum.YLeaf(7, "preupg-sync-image")

    upgrade_upg_fex = Enum.YLeaf(9, "upgrade-upg-fex")

    upgrade_upg_lc = Enum.YLeaf(10, "upgrade-upg-lc")

    preupg_conf_sync = Enum.YLeaf(11, "preupg-conf-sync")

    preupg_set_boot = Enum.YLeaf(12, "preupg-set-boot")

    preupg_force_dnld = Enum.YLeaf(13, "preupg-force-dnld")

    preupg_wait_mod = Enum.YLeaf(14, "preupg-wait-mod")

    preupg_convert_startup = Enum.YLeaf(15, "preupg-convert-startup")

    preupg_save_sup_state = Enum.YLeaf(16, "preupg-save-sup-state")

    upgrade_kexec = Enum.YLeaf(17, "upgrade-kexec")

    preupg_pre_upg_notif = Enum.YLeaf(19, "preupg-pre-upg-notif")

    preupg_mod_support_check = Enum.YLeaf(20, "preupg-mod-support-check")

    preupg_Checks = Enum.YLeaf(21, "preupg-Checks")

    upgrade_upg_bios = Enum.YLeaf(22, "upgrade-upg-bios")

    upgrade_upg_cmp = Enum.YLeaf(23, "upgrade-upg-cmp")

    upgrade_notification = Enum.YLeaf(24, "upgrade-notification")

    preupg_save_mts_state = Enum.YLeaf(25, "preupg-save-mts-state")

    success = Enum.YLeaf(26, "success")

    failed = Enum.YLeaf(27, "failed")

    not_started = Enum.YLeaf(28, "not-started")

    upgrade_sup_state_verification = Enum.YLeaf(29, "upgrade-sup-state-verification")

    upgrade_switchover_notif = Enum.YLeaf(30, "upgrade-switchover-notif")

    upgrade_standby_container_start = Enum.YLeaf(31, "upgrade-standby-container-start")

    user_abort = Enum.YLeaf(32, "user-abort")


class InstallerUpgStatusType(Enum):
    """
    InstallerUpgStatusType (Enum Class)

    .. data:: pre_upgrade = 0

    .. data:: in_progress = 1

    .. data:: success = 2

    .. data:: failed = 3

    .. data:: not_compatible = 4

    .. data:: none = 5

    """

    pre_upgrade = Enum.YLeaf(0, "pre-upgrade")

    in_progress = Enum.YLeaf(1, "in-progress")

    success = Enum.YLeaf(2, "success")

    failed = Enum.YLeaf(3, "failed")

    not_compatible = Enum.YLeaf(4, "not-compatible")

    none = Enum.YLeaf(5, "none")


class IpAddrOperStQual(Enum):
    """
    IpAddrOperStQual (Enum Class)

    .. data:: unspecified = 0

    .. data:: up = 1

    .. data:: subnet_overlap = 2

    .. data:: no_primary = 3

    .. data:: if_down = 4

    .. data:: addr_exists = 5

    .. data:: invalid_vrf = 6

    .. data:: static_rt_nh = 7

    .. data:: lb_addr = 8

    .. data:: invalid_ll_use = 9

    .. data:: no_glbl_addr = 10

    .. data:: no_ll_addr = 11

    .. data:: dad_in_progress = 12

    .. data:: dad_failed = 13

    .. data:: invalid_mask_len = 14

    .. data:: l2_intf_err = 15

    .. data:: super_intf_err = 16

    .. data:: invalid_ll = 17

    .. data:: if_init_err = 18

    .. data:: ifindex_err = 19

    .. data:: invalid_eui64 = 20

    .. data:: lladdr_create_fail = 21

    .. data:: DAD_tentative = 22

    .. data:: DAD_lcl_duplicate = 23

    .. data:: DAD_duplicate = 24

    .. data:: DAD_preferred = 25

    .. data:: DAD_deprecated = 26

    .. data:: DAD_invalid = 27

    .. data:: multiple_lladdr = 28

    .. data:: invalid_tunnel = 29

    .. data:: lladdr_invalid_tunnel = 30

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    up = Enum.YLeaf(1, "up")

    subnet_overlap = Enum.YLeaf(2, "subnet-overlap")

    no_primary = Enum.YLeaf(3, "no-primary")

    if_down = Enum.YLeaf(4, "if-down")

    addr_exists = Enum.YLeaf(5, "addr-exists")

    invalid_vrf = Enum.YLeaf(6, "invalid-vrf")

    static_rt_nh = Enum.YLeaf(7, "static-rt-nh")

    lb_addr = Enum.YLeaf(8, "lb-addr")

    invalid_ll_use = Enum.YLeaf(9, "invalid-ll-use")

    no_glbl_addr = Enum.YLeaf(10, "no-glbl-addr")

    no_ll_addr = Enum.YLeaf(11, "no-ll-addr")

    dad_in_progress = Enum.YLeaf(12, "dad-in-progress")

    dad_failed = Enum.YLeaf(13, "dad-failed")

    invalid_mask_len = Enum.YLeaf(14, "invalid-mask-len")

    l2_intf_err = Enum.YLeaf(15, "l2-intf-err")

    super_intf_err = Enum.YLeaf(16, "super-intf-err")

    invalid_ll = Enum.YLeaf(17, "invalid-ll")

    if_init_err = Enum.YLeaf(18, "if-init-err")

    ifindex_err = Enum.YLeaf(19, "ifindex-err")

    invalid_eui64 = Enum.YLeaf(20, "invalid-eui64")

    lladdr_create_fail = Enum.YLeaf(21, "lladdr-create-fail")

    DAD_tentative = Enum.YLeaf(22, "DAD-tentative")

    DAD_lcl_duplicate = Enum.YLeaf(23, "DAD-lcl-duplicate")

    DAD_duplicate = Enum.YLeaf(24, "DAD-duplicate")

    DAD_preferred = Enum.YLeaf(25, "DAD-preferred")

    DAD_deprecated = Enum.YLeaf(26, "DAD-deprecated")

    DAD_invalid = Enum.YLeaf(27, "DAD-invalid")

    multiple_lladdr = Enum.YLeaf(28, "multiple-lladdr")

    invalid_tunnel = Enum.YLeaf(29, "invalid-tunnel")

    lladdr_invalid_tunnel = Enum.YLeaf(30, "lladdr-invalid-tunnel")


class IpAddrT(Enum):
    """
    IpAddrT (Enum Class)

    .. data:: primary = 1

    .. data:: secondary = 2

    """

    primary = Enum.YLeaf(1, "primary")

    secondary = Enum.YLeaf(2, "secondary")


class IpHardwareEcmpHashPolynomialT(Enum):
    """
    IpHardwareEcmpHashPolynomialT (Enum Class)

    .. data:: CRC16 = 0

    .. data:: CRC32HI = 1

    """

    CRC16 = Enum.YLeaf(0, "CRC16")

    CRC32HI = Enum.YLeaf(1, "CRC32HI")


class IpLoadShareFormat(Enum):
    """
    IpLoadShareFormat (Enum Class)

    .. data:: disabled = 1

    .. data:: destPort = 2

    .. data:: srcDest = 3

    .. data:: srcDestGre = 4

    .. data:: srcDestPort = 5

    .. data:: source = 6

    .. data:: srcDestGTPU = 7

    """

    disabled = Enum.YLeaf(1, "disabled")

    destPort = Enum.YLeaf(2, "destPort")

    srcDest = Enum.YLeaf(3, "srcDest")

    srcDestGre = Enum.YLeaf(4, "srcDestGre")

    srcDestPort = Enum.YLeaf(5, "srcDestPort")

    source = Enum.YLeaf(6, "source")

    srcDestGTPU = Enum.YLeaf(7, "srcDestGTPU")


class IpOperSt(Enum):
    """
    IpOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: down = 1

    .. data:: up = 2

    .. data:: failed = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")

    failed = Enum.YLeaf(3, "failed")


class IpSwitchPktTarget(Enum):
    """
    IpSwitchPktTarget (Enum Class)

    .. data:: disabled = 0

    .. data:: all = 1

    .. data:: lla = 2

    """

    disabled = Enum.YLeaf(0, "disabled")

    all = Enum.YLeaf(1, "all")

    lla = Enum.YLeaf(2, "lla")


class IpUnnumberedOperStQual(Enum):
    """
    IpUnnumberedOperStQual (Enum Class)

    .. data:: unspecified = 0

    .. data:: parent_unnumbered = 1

    .. data:: child_numbered = 2

    .. data:: invalid_source = 3

    .. data:: invalid_interface = 4

    .. data:: intf_self_referential = 5

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    parent_unnumbered = Enum.YLeaf(1, "parent-unnumbered")

    child_numbered = Enum.YLeaf(2, "child-numbered")

    invalid_source = Enum.YLeaf(3, "invalid-source")

    invalid_interface = Enum.YLeaf(4, "invalid-interface")

    intf_self_referential = Enum.YLeaf(5, "intf-self-referential")


class IpUrpfT(Enum):
    """
    IpUrpfT (Enum Class)

    .. data:: disabled = 0

    .. data:: strict = 1

    .. data:: loose = 2

    .. data:: loose_allow_default = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    strict = Enum.YLeaf(1, "strict")

    loose = Enum.YLeaf(2, "loose")

    loose_allow_default = Enum.YLeaf(3, "loose-allow-default")


class IpmcJoinType(Enum):
    """
    IpmcJoinType (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_1 = 1

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_1 = Enum.YLeaf(1, "1")


class IpmcVer(Enum):
    """
    IpmcVer (Enum Class)

    .. data:: unspecified = 0

    .. data:: Y_2 = 2

    .. data:: Y_3 = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    Y_2 = Enum.YLeaf(2, "2")

    Y_3 = Enum.YLeaf(3, "3")


class IpmcsnoopDbT(Enum):
    """
    IpmcsnoopDbT (Enum Class)

    .. data:: group = 1

    .. data:: fabric_mcgrp = 2

    .. data:: querier = 3

    .. data:: mrouter = 4

    .. data:: snoopstats = 5

    .. data:: policy = 6

    .. data:: snoop = 7

    .. data:: exptrack = 8

    .. data:: stats = 9

    .. data:: mac = 10

    .. data:: macoif = 11

    """

    group = Enum.YLeaf(1, "group")

    fabric_mcgrp = Enum.YLeaf(2, "fabric-mcgrp")

    querier = Enum.YLeaf(3, "querier")

    mrouter = Enum.YLeaf(4, "mrouter")

    snoopstats = Enum.YLeaf(5, "snoopstats")

    policy = Enum.YLeaf(6, "policy")

    snoop = Enum.YLeaf(7, "snoop")

    exptrack = Enum.YLeaf(8, "exptrack")

    stats = Enum.YLeaf(9, "stats")

    mac = Enum.YLeaf(10, "mac")

    macoif = Enum.YLeaf(11, "macoif")


class IpmcsnoopFwdMode(Enum):
    """
    IpmcsnoopFwdMode (Enum Class)

    .. data:: ip = 1

    .. data:: mac = 2

    """

    ip = Enum.YLeaf(1, "ip")

    mac = Enum.YLeaf(2, "mac")


class IpmcsnoopMacType(Enum):
    """
    IpmcsnoopMacType (Enum Class)

    .. data:: Y__STAR__ = 0

    .. data:: G = 1

    .. data:: R = 2

    .. data:: O = 3

    .. data:: IGMP = 4

    """

    Y__STAR__ = Enum.YLeaf(0, "*")

    G = Enum.YLeaf(1, "G")

    R = Enum.YLeaf(2, "R")

    O = Enum.YLeaf(3, "O")

    IGMP = Enum.YLeaf(4, "IGMP")


class IpmcsnoopMrouteType(Enum):
    """
    IpmcsnoopMrouteType (Enum Class)

    .. data:: static = 0

    .. data:: dynamic = 1

    .. data:: internal = 2

    .. data:: fabpath = 3

    .. data:: vpc = 4

    .. data:: coLearned = 5

    .. data:: peerLearned = 6

    .. data:: userConf = 7

    """

    static = Enum.YLeaf(0, "static")

    dynamic = Enum.YLeaf(1, "dynamic")

    internal = Enum.YLeaf(2, "internal")

    fabpath = Enum.YLeaf(3, "fabpath")

    vpc = Enum.YLeaf(4, "vpc")

    coLearned = Enum.YLeaf(5, "coLearned")

    peerLearned = Enum.YLeaf(6, "peerLearned")

    userConf = Enum.YLeaf(7, "userConf")


class IpqosBurstRateUnit(Enum):
    """
    IpqosBurstRateUnit (Enum Class)

    .. data:: unspecified = 0

    .. data:: bytes = 1

    .. data:: kbytes = 2

    .. data:: mbytes = 3

    .. data:: ms = 4

    .. data:: us = 5

    .. data:: packets = 6

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    bytes = Enum.YLeaf(1, "bytes")

    kbytes = Enum.YLeaf(2, "kbytes")

    mbytes = Enum.YLeaf(3, "mbytes")

    ms = Enum.YLeaf(4, "ms")

    us = Enum.YLeaf(5, "us")

    packets = Enum.YLeaf(6, "packets")


class IpqosPoliceAction(Enum):
    """
    IpqosPoliceAction (Enum Class)

    .. data:: unspecified = 0

    .. data:: transmit = 1

    .. data:: drop = 2

    .. data:: set_cos_transmit = 3

    .. data:: set_dscp_transmit = 4

    .. data:: set_prec_transmit = 5

    .. data:: set_qos_transmit = 6

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    transmit = Enum.YLeaf(1, "transmit")

    drop = Enum.YLeaf(2, "drop")

    set_cos_transmit = Enum.YLeaf(3, "set-cos-transmit")

    set_dscp_transmit = Enum.YLeaf(4, "set-dscp-transmit")

    set_prec_transmit = Enum.YLeaf(5, "set-prec-transmit")

    set_qos_transmit = Enum.YLeaf(6, "set-qos-transmit")


class IpqosPolicyDirection(Enum):
    """
    IpqosPolicyDirection (Enum Class)

    .. data:: none = 0

    .. data:: ingress = 1

    .. data:: egress = 2

    .. data:: both = 3

    """

    none = Enum.YLeaf(0, "none")

    ingress = Enum.YLeaf(1, "ingress")

    egress = Enum.YLeaf(2, "egress")

    both = Enum.YLeaf(3, "both")


class IpqosPolicyType(Enum):
    """
    IpqosPolicyType (Enum Class)

    .. data:: none = 0

    .. data:: qos = 1

    .. data:: queuing = 2

    """

    none = Enum.YLeaf(0, "none")

    qos = Enum.YLeaf(1, "qos")

    queuing = Enum.YLeaf(2, "queuing")


class IpqosPrec(Enum):
    """
    IpqosPrec (Enum Class)

    .. data:: routine = 0

    .. data:: priority = 1

    .. data:: immediate = 2

    .. data:: flash = 3

    .. data:: flash_override = 4

    .. data:: critical = 5

    .. data:: internet = 6

    .. data:: network = 7

    """

    routine = Enum.YLeaf(0, "routine")

    priority = Enum.YLeaf(1, "priority")

    immediate = Enum.YLeaf(2, "immediate")

    flash = Enum.YLeaf(3, "flash")

    flash_override = Enum.YLeaf(4, "flash-override")

    critical = Enum.YLeaf(5, "critical")

    internet = Enum.YLeaf(6, "internet")

    network = Enum.YLeaf(7, "network")


class IpqosProtocol(Enum):
    """
    IpqosProtocol (Enum Class)

    .. data:: unspecified = 0

    .. data:: arp = 1

    .. data:: bridging = 2

    .. data:: cdp = 3

    .. data:: dhcp = 7

    .. data:: isis = 8

    .. data:: fcoe = 14

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    arp = Enum.YLeaf(1, "arp")

    bridging = Enum.YLeaf(2, "bridging")

    cdp = Enum.YLeaf(3, "cdp")

    dhcp = Enum.YLeaf(7, "dhcp")

    isis = Enum.YLeaf(8, "isis")

    fcoe = Enum.YLeaf(14, "fcoe")


class IpqosQoSMatchType(Enum):
    """
    IpqosQoSMatchType (Enum Class)

    .. data:: match_any = 0

    .. data:: match_all = 1

    .. data:: match_first = 2

    """

    match_any = Enum.YLeaf(0, "match-any")

    match_all = Enum.YLeaf(1, "match-all")

    match_first = Enum.YLeaf(2, "match-first")


class IpqosQueueLimitUnit(Enum):
    """
    IpqosQueueLimitUnit (Enum Class)

    .. data:: none = 0

    .. data:: packets = 1

    .. data:: bytes = 2

    .. data:: kbytes = 3

    .. data:: mbytes = 4

    .. data:: gbytes = 5

    .. data:: ms = 6

    .. data:: us = 7

    .. data:: perc = 8

    """

    none = Enum.YLeaf(0, "none")

    packets = Enum.YLeaf(1, "packets")

    bytes = Enum.YLeaf(2, "bytes")

    kbytes = Enum.YLeaf(3, "kbytes")

    mbytes = Enum.YLeaf(4, "mbytes")

    gbytes = Enum.YLeaf(5, "gbytes")

    ms = Enum.YLeaf(6, "ms")

    us = Enum.YLeaf(7, "us")

    perc = Enum.YLeaf(8, "perc")


class IpqosRateUnit(Enum):
    """
    IpqosRateUnit (Enum Class)

    .. data:: unspecified = 0

    .. data:: bps = 1

    .. data:: kbps = 2

    .. data:: mbps = 3

    .. data:: gbps = 4

    .. data:: pps = 5

    .. data:: pct = 6

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    bps = Enum.YLeaf(1, "bps")

    kbps = Enum.YLeaf(2, "kbps")

    mbps = Enum.YLeaf(3, "mbps")

    gbps = Enum.YLeaf(4, "gbps")

    pps = Enum.YLeaf(5, "pps")

    pct = Enum.YLeaf(6, "pct")


class IpqosStatsState(Enum):
    """
    IpqosStatsState (Enum Class)

    .. data:: enabled = 0

    .. data:: disabled = 1

    """

    enabled = Enum.YLeaf(0, "enabled")

    disabled = Enum.YLeaf(1, "disabled")


class IpqosStatsType(Enum):
    """
    IpqosStatsType (Enum Class)

    .. data:: none = 0

    .. data:: matchCMap = 1

    .. data:: MTU = 2

    .. data:: setAction = 3

    .. data:: pause = 4

    .. data:: bw = 5

    .. data:: bwRem = 6

    .. data:: shape = 7

    .. data:: prio = 8

    .. data:: randomDetect = 9

    .. data:: queuing = 10

    .. data:: police = 11

    .. data:: qlimit = 12

    .. data:: microburst = 13

    """

    none = Enum.YLeaf(0, "none")

    matchCMap = Enum.YLeaf(1, "matchCMap")

    MTU = Enum.YLeaf(2, "MTU")

    setAction = Enum.YLeaf(3, "setAction")

    pause = Enum.YLeaf(4, "pause")

    bw = Enum.YLeaf(5, "bw")

    bwRem = Enum.YLeaf(6, "bwRem")

    shape = Enum.YLeaf(7, "shape")

    prio = Enum.YLeaf(8, "prio")

    randomDetect = Enum.YLeaf(9, "randomDetect")

    queuing = Enum.YLeaf(10, "queuing")

    police = Enum.YLeaf(11, "police")

    qlimit = Enum.YLeaf(12, "qlimit")

    microburst = Enum.YLeaf(13, "microburst")


class IpqosThreshUnit(Enum):
    """
    IpqosThreshUnit (Enum Class)

    .. data:: none = 0

    .. data:: packets = 1

    .. data:: bytes = 2

    .. data:: kbytes = 3

    .. data:: mbytes = 4

    """

    none = Enum.YLeaf(0, "none")

    packets = Enum.YLeaf(1, "packets")

    bytes = Enum.YLeaf(2, "bytes")

    kbytes = Enum.YLeaf(3, "kbytes")

    mbytes = Enum.YLeaf(4, "mbytes")


class Ipv6ConfigErr(Enum):
    """
    Ipv6ConfigErr (Enum Class)

    .. data:: noerror = 0

    .. data:: nghbrAddress = 1

    .. data:: useLinkLocalOnly = 2

    .. data:: forward = 3

    """

    noerror = Enum.YLeaf(0, "noerror")

    nghbrAddress = Enum.YLeaf(1, "nghbrAddress")

    useLinkLocalOnly = Enum.YLeaf(2, "useLinkLocalOnly")

    forward = Enum.YLeaf(3, "forward")


class Ipv6IPv6EventLogSize(Enum):
    """
    Ipv6IPv6EventLogSize (Enum Class)

    .. data:: disabled = 0

    .. data:: small = 1

    .. data:: medium = 2

    .. data:: large = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    small = Enum.YLeaf(1, "small")

    medium = Enum.YLeaf(2, "medium")

    large = Enum.YLeaf(3, "large")


class Ipv6IPv6EventType(Enum):
    """
    Ipv6IPv6EventType (Enum Class)

    .. data:: ipv6Event = 0

    .. data:: bfdEvent = 1

    .. data:: syslog = 2

    .. data:: ipc = 3

    .. data:: snmp = 4

    .. data:: highAvailability = 5

    .. data:: sdb = 6

    """

    ipv6Event = Enum.YLeaf(0, "ipv6Event")

    bfdEvent = Enum.YLeaf(1, "bfdEvent")

    syslog = Enum.YLeaf(2, "syslog")

    ipc = Enum.YLeaf(3, "ipc")

    snmp = Enum.YLeaf(4, "snmp")

    highAvailability = Enum.YLeaf(5, "highAvailability")

    sdb = Enum.YLeaf(6, "sdb")


class IsisAdjOperSt(Enum):
    """
    IsisAdjOperSt (Enum Class)

    .. data:: init = 1

    .. data:: up = 2

    .. data:: down = 3

    .. data:: gr_init = 4

    """

    init = Enum.YLeaf(1, "init")

    up = Enum.YLeaf(2, "up")

    down = Enum.YLeaf(3, "down")

    gr_init = Enum.YLeaf(4, "gr-init")


class IsisAuthT(Enum):
    """
    IsisAuthT (Enum Class)

    .. data:: clear = 1

    .. data:: md5 = 2

    """

    clear = Enum.YLeaf(1, "clear")

    md5 = Enum.YLeaf(2, "md5")


class IsisBwRefUnit(Enum):
    """
    IsisBwRefUnit (Enum Class)

    .. data:: mbps = 0

    .. data:: gbps = 1

    """

    mbps = Enum.YLeaf(0, "mbps")

    gbps = Enum.YLeaf(1, "gbps")


class IsisDbT(Enum):
    """
    IsisDbT (Enum Class)

    .. data:: ls = 1

    .. data:: rt = 2

    .. data:: nh = 3

    .. data:: mcgrp = 4

    .. data:: fn = 5

    .. data:: dtep = 6

    """

    ls = Enum.YLeaf(1, "ls")

    rt = Enum.YLeaf(2, "rt")

    nh = Enum.YLeaf(3, "nh")

    mcgrp = Enum.YLeaf(4, "mcgrp")

    fn = Enum.YLeaf(5, "fn")

    dtep = Enum.YLeaf(6, "dtep")


class IsisHelloPadT(Enum):
    """
    IsisHelloPadT (Enum Class)

    .. data:: always = 1

    .. data:: transient = 2

    .. data:: never = 3

    """

    always = Enum.YLeaf(1, "always")

    transient = Enum.YLeaf(2, "transient")

    never = Enum.YLeaf(3, "never")


class IsisIsT(Enum):
    """
    IsisIsT (Enum Class)

    .. data:: l1 = 1

    .. data:: l2 = 2

    .. data:: l12 = 3

    """

    l1 = Enum.YLeaf(1, "l1")

    l2 = Enum.YLeaf(2, "l2")

    l12 = Enum.YLeaf(3, "l12")


class IsisLvlT(Enum):
    """
    IsisLvlT (Enum Class)

    .. data:: p2p = 0

    .. data:: l1 = 1

    .. data:: l2 = 2

    """

    p2p = Enum.YLeaf(0, "p2p")

    l1 = Enum.YLeaf(1, "l1")

    l2 = Enum.YLeaf(2, "l2")


class IsisMetricStyle(Enum):
    """
    IsisMetricStyle (Enum Class)

    .. data:: narrow = 1

    .. data:: wide = 2

    .. data:: transition = 3

    """

    narrow = Enum.YLeaf(1, "narrow")

    wide = Enum.YLeaf(2, "wide")

    transition = Enum.YLeaf(3, "transition")


class IsisOperSt(Enum):
    """
    IsisOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: initializing = 1

    .. data:: ok = 2

    .. data:: failed = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    initializing = Enum.YLeaf(1, "initializing")

    ok = Enum.YLeaf(2, "ok")

    failed = Enum.YLeaf(3, "failed")


class IsisOverloadAdminSt(Enum):
    """
    IsisOverloadAdminSt (Enum Class)

    .. data:: off = 0

    .. data:: always_on = 1

    .. data:: bootup = 2

    .. data:: bgp_converge = 3

    .. data:: bgp_converge_max_wait = 4

    """

    off = Enum.YLeaf(0, "off")

    always_on = Enum.YLeaf(1, "always-on")

    bootup = Enum.YLeaf(2, "bootup")

    bgp_converge = Enum.YLeaf(3, "bgp-converge")

    bgp_converge_max_wait = Enum.YLeaf(4, "bgp-converge-max-wait")


class IsisPassiveIntfT(Enum):
    """
    IsisPassiveIntfT (Enum Class)

    .. data:: l1 = 1

    .. data:: l2 = 2

    .. data:: l12 = 3

    .. data:: inherit = 4

    """

    l1 = Enum.YLeaf(1, "l1")

    l2 = Enum.YLeaf(2, "l2")

    l12 = Enum.YLeaf(3, "l12")

    inherit = Enum.YLeaf(4, "inherit")


class L1AdminSt(Enum):
    """
    L1AdminSt (Enum Class)

    .. data:: down = 1

    .. data:: up = 2

    """

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")


class L1AllowMultiTag(Enum):
    """
    L1AllowMultiTag (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class L1AutoNeg(Enum):
    """
    L1AutoNeg (Enum Class)

    .. data:: on = 1

    .. data:: off = 2

    .. data:: Y_25G = 3

    """

    on = Enum.YLeaf(1, "on")

    off = Enum.YLeaf(2, "off")

    Y_25G = Enum.YLeaf(3, "25G")


class L1Beacon(Enum):
    """
    L1Beacon (Enum Class)

    .. data:: on = 1

    .. data:: off = 2

    """

    on = Enum.YLeaf(1, "on")

    off = Enum.YLeaf(2, "off")


class L1BufferBoost(Enum):
    """
    L1BufferBoost (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class L1DceMode(Enum):
    """
    L1DceMode (Enum Class)

    .. data:: core = 1

    .. data:: edge = 2

    .. data:: auto = 3

    .. data:: off = 4

    """

    core = Enum.YLeaf(1, "core")

    edge = Enum.YLeaf(2, "edge")

    auto = Enum.YLeaf(3, "auto")

    off = Enum.YLeaf(4, "off")


class L1DiagsT(Enum):
    """
    L1DiagsT (Enum Class)

    .. data:: none = 0

    .. data:: dom = 1

    .. data:: ddm = 2

    """

    none = Enum.YLeaf(0, "none")

    dom = Enum.YLeaf(1, "dom")

    ddm = Enum.YLeaf(2, "ddm")


class L1Dot1qEtherType(Enum):
    """
    L1Dot1qEtherType (Enum Class)

    .. data:: Y_0x8100 = 1

    .. data:: Y_0x88A8 = 2

    .. data:: Y_0x9100 = 3

    .. data:: any = 4

    """

    Y_0x8100 = Enum.YLeaf(1, "0x8100")

    Y_0x88A8 = Enum.YLeaf(2, "0x88A8")

    Y_0x9100 = Enum.YLeaf(3, "0x9100")

    any = Enum.YLeaf(4, "any")


class L1Duplex(Enum):
    """
    L1Duplex (Enum Class)

    .. data:: auto = 1

    .. data:: full = 2

    .. data:: half = 3

    """

    auto = Enum.YLeaf(1, "auto")

    full = Enum.YLeaf(2, "full")

    half = Enum.YLeaf(3, "half")


class L1EEELatency(Enum):
    """
    L1EEELatency (Enum Class)

    .. data:: variable = 1

    .. data:: constant = 2

    """

    variable = Enum.YLeaf(1, "variable")

    constant = Enum.YLeaf(2, "constant")


class L1EEELpi(Enum):
    """
    L1EEELpi (Enum Class)

    .. data:: aggressive = 1

    .. data:: normal = 2

    """

    aggressive = Enum.YLeaf(1, "aggressive")

    normal = Enum.YLeaf(2, "normal")


class L1EEEState(Enum):
    """
    L1EEEState (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 2

    .. data:: disagreed = 3

    .. data:: not_applicable = 4

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")

    disagreed = Enum.YLeaf(3, "disagreed")

    not_applicable = Enum.YLeaf(4, "not-applicable")


class L1FECMode(Enum):
    """
    L1FECMode (Enum Class)

    .. data:: auto = 4

    .. data:: rs_fec = 2

    .. data:: fc_fec = 1

    .. data:: fec_off = 3

    .. data:: rs_ieee = 5

    .. data:: rs_cons16 = 6

    """

    auto = Enum.YLeaf(4, "auto")

    rs_fec = Enum.YLeaf(2, "rs-fec")

    fc_fec = Enum.YLeaf(1, "fc-fec")

    fec_off = Enum.YLeaf(3, "fec-off")

    rs_ieee = Enum.YLeaf(5, "rs-ieee")

    rs_cons16 = Enum.YLeaf(6, "rs-cons16")


class L1FECModePhysIfOperFECMode(Enum):
    """
    L1FECModePhysIfOperFECMode (Enum Class)

    .. data:: auto = 4

    .. data:: rs_fec = 2

    .. data:: fc_fec = 1

    .. data:: fec_off = 3

    .. data:: rs_ieee = 5

    .. data:: rs_cons16 = 6

    .. data:: not_available = 20

    """

    auto = Enum.YLeaf(4, "auto")

    rs_fec = Enum.YLeaf(2, "rs-fec")

    fc_fec = Enum.YLeaf(1, "fc-fec")

    fec_off = Enum.YLeaf(3, "fec-off")

    rs_ieee = Enum.YLeaf(5, "rs-ieee")

    rs_cons16 = Enum.YLeaf(6, "rs-cons16")

    not_available = Enum.YLeaf(20, "not-available")


class L1IntfT(Enum):
    """
    L1IntfT (Enum Class)

    .. data:: phy = 1

    .. data:: phy_shared = 2

    """

    phy = Enum.YLeaf(1, "phy")

    phy_shared = Enum.YLeaf(2, "phy-shared")


class L1Layer(Enum):
    """
    L1Layer (Enum Class)

    .. data:: Layer2 = 1

    .. data:: Layer3 = 2

    """

    Layer2 = Enum.YLeaf(1, "Layer2")

    Layer3 = Enum.YLeaf(2, "Layer3")


class L1LayerAggrIfLayer(Enum):
    """
    L1LayerAggrIfLayer (Enum Class)

    .. data:: Layer2 = 1

    .. data:: Layer3 = 2

    .. data:: pltfmDfltLayer = 3

    """

    Layer2 = Enum.YLeaf(1, "Layer2")

    Layer3 = Enum.YLeaf(2, "Layer3")

    pltfmDfltLayer = Enum.YLeaf(3, "pltfmDfltLayer")


class L1LinkLog(Enum):
    """
    L1LinkLog (Enum Class)

    .. data:: default = 1

    .. data:: enable = 2

    .. data:: disable = 3

    """

    default = Enum.YLeaf(1, "default")

    enable = Enum.YLeaf(2, "enable")

    disable = Enum.YLeaf(3, "disable")


class L1LinkTransmitReset(Enum):
    """
    L1LinkTransmitReset (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class L1Mdix(Enum):
    """
    L1Mdix (Enum Class)

    .. data:: auto = 1

    .. data:: mdi = 2

    .. data:: mdi_x = 3

    """

    auto = Enum.YLeaf(1, "auto")

    mdi = Enum.YLeaf(2, "mdi")

    mdi_x = Enum.YLeaf(3, "mdi-x")


class L1Medium(Enum):
    """
    L1Medium (Enum Class)

    .. data:: broadcast = 1

    .. data:: p2p = 2

    """

    broadcast = Enum.YLeaf(1, "broadcast")

    p2p = Enum.YLeaf(2, "p2p")


class L1Mode(Enum):
    """
    L1Mode (Enum Class)

    .. data:: access = 1

    .. data:: trunk = 2

    .. data:: fex_fabric = 3

    .. data:: dot1q_tunnel = 4

    .. data:: promiscuous = 5

    .. data:: host = 6

    .. data:: trunk_secondary = 7

    .. data:: trunk_promiscuous = 8

    """

    access = Enum.YLeaf(1, "access")

    trunk = Enum.YLeaf(2, "trunk")

    fex_fabric = Enum.YLeaf(3, "fex-fabric")

    dot1q_tunnel = Enum.YLeaf(4, "dot1q-tunnel")

    promiscuous = Enum.YLeaf(5, "promiscuous")

    host = Enum.YLeaf(6, "host")

    trunk_secondary = Enum.YLeaf(7, "trunk_secondary")

    trunk_promiscuous = Enum.YLeaf(8, "trunk_promiscuous")


class L1Module(Enum):
    """
    L1Module (Enum Class)

    .. data:: lc = 0

    .. data:: sup = 1

    """

    lc = Enum.YLeaf(0, "lc")

    sup = Enum.YLeaf(1, "sup")


class L1OperSt(Enum):
    """
    L1OperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: down = 1

    .. data:: up = 2

    .. data:: link_up = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")

    link_up = Enum.YLeaf(3, "link-up")


class L1OperStQual(Enum):
    """
    L1OperStQual (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: admin_down = 2

    .. data:: link_down = 3

    .. data:: fail = 4

    .. data:: no_license = 5

    .. data:: link_up = 6

    .. data:: hw_fail = 7

    .. data:: sw_fail = 8

    .. data:: err_disabled = 9

    .. data:: sfp_missing = 10

    .. data:: loopback_diag_failure = 11

    .. data:: udld_unidir_detected = 12

    .. data:: udld_tx_rx_loop = 13

    .. data:: udld_neighbor_mismatch = 14

    .. data:: udld_empty_echo = 15

    .. data:: udld_aggressive_mode_link_failed = 16

    .. data:: link_flap_err = 17

    .. data:: err_disabled_ip_conflict = 18

    .. data:: ipqos_dcbxp_compat_failure = 19

    .. data:: link_failure = 20

    .. data:: offline = 21

    .. data:: initializing = 22

    .. data:: inactive = 23

    .. data:: channel_admin_down = 24

    .. data:: channel_err_disabled = 25

    .. data:: suspended = 26

    .. data:: proto_port_suspend = 27

    .. data:: channel_membership_update_in_progress = 28

    .. data:: parent_down = 29

    .. data:: parent_admin_down = 30

    .. data:: interface_removed = 31

    .. data:: fcot_no_present = 32

    .. data:: fcot_vendor_not_supported = 33

    .. data:: incompatible_admin_mode = 34

    .. data:: incompatible_admin_speed = 35

    .. data:: suspended_by_mode = 36

    .. data:: suspended_by_speed = 37

    .. data:: domain_max_retransmission_failure = 38

    .. data:: loopback_isolation = 39

    .. data:: upgrade_in_progress = 40

    .. data:: port_channel_members_down = 41

    .. data:: ethernet_link_down = 42

    .. data:: ethernet_interface_down = 43

    .. data:: admin_config_change = 44

    .. data:: module_removed = 45

    .. data:: vrf_unusable = 46

    .. data:: none = 47

    .. data:: xcvr_initializing = 48

    .. data:: cap_absent = 49

    .. data:: sfp_eth_compliant_err = 50

    .. data:: sdp_timeout = 51

    .. data:: sat_incompat_topo = 52

    .. data:: sat_not_configured = 53

    .. data:: auth_fail = 54

    .. data:: auth_pending = 55

    .. data:: suspended_due_to_minlinks = 56

    .. data:: suspended_due_to_no_lacp_pdus = 57

    .. data:: sat_fabric_if_down = 58

    .. data:: invalid_sat_fabric_if = 59

    .. data:: fex_sfp_invalid = 60

    .. data:: suspend_by_mtu = 61

    .. data:: suspend_by_vpc = 62

    .. data:: router_mac_failure = 63

    .. data:: xcvr_auth_failed = 64

    .. data:: non_sticky_externally_disabled = 65

    .. data:: sfp_speed_mismatch = 66

    .. data:: fcot_chksum_err = 67

    .. data:: xcvr_invalid = 68

    .. data:: vpc_peer_link_down = 69

    .. data:: vpc_cfg_in_progress = 70

    .. data:: vpc_no_response_from_peer = 71

    .. data:: bpdu_guard_err_disable = 72

    .. data:: hot_standby_in_bundle = 73

    .. data:: handshake_fail_errdisable = 74

    .. data:: non_participating = 75

    .. data:: rcf_in_progress = 76

    .. data:: elp_failure_isolation = 77

    .. data:: esc_failure_isolation = 78

    .. data:: domain_overlap_isolation = 79

    .. data:: domain_addr_assign_failure_isolation = 80

    .. data:: domain_other_side_eport_isolated = 81

    .. data:: domain_invalid_rcf_received = 82

    .. data:: domain_manager_disabled = 83

    .. data:: zone_merge_failure_isolation = 84

    .. data:: vsan_mismatch_isolation = 85

    .. data:: src_port_not_bound = 86

    .. data:: suspended_by_wwn = 87

    .. data:: epp_failure = 88

    .. data:: port_vsan_mismatch_isolation = 89

    .. data:: incompatible_admin_rxbbcredit = 90

    .. data:: incompatible_admin_rxbufsize = 91

    .. data:: zone_remote_no_resp_isolation = 92

    .. data:: osm_e_port_up = 93

    .. data:: osm_non_e_port_up = 94

    .. data:: peer_fcip_closed_tcp_connection = 95

    .. data:: peer_fcip_reset_tcp_connection = 96

    .. data:: tcp_max_retransmissions = 97

    .. data:: tcp_keep_alive_timer_expired = 98

    .. data:: tcp_persist_timer_expired = 99

    .. data:: tunnel_src_port_removed = 100

    .. data:: tunnel_src_module_not_online = 101

    .. data:: invalid_config = 102

    .. data:: port_bind_failure = 103

    .. data:: fabric_bind_failure = 104

    .. data:: no_trunk_oper_vsans_isolation = 105

    .. data:: ficon_vsan_down = 106

    .. data:: invalid_attachment = 107

    .. data:: port_blocked = 108

    .. data:: incompatible_admin_rxbbcredit_performance_buf = 109

    .. data:: too_many_invalid_flogis = 110

    .. data:: denied_due_to_port_binding = 111

    .. data:: elp_failure_revision_mismatch = 112

    .. data:: elp_failure_classf_param_err = 113

    .. data:: elp_failure_classn_param_err = 114

    .. data:: elp_failure_unknown_flow_ctl_code = 115

    .. data:: elp_failure_invalid_flow_ctl_param = 116

    .. data:: elp_failure_invalid_port_name = 117

    .. data:: elp_failure_invalid_switch_name = 118

    .. data:: elp_failure_ratov_edtov_mismatch = 119

    .. data:: elp_failure_loopback_detected = 120

    .. data:: elp_failure_invalid_tx_bbcredit = 121

    .. data:: elp_failure_invalid_payload_size = 122

    .. data:: bundle_miscfg = 123

    .. data:: bit_err_rt_thres_exceeded = 124

    .. data:: link_fail_link_reset = 125

    .. data:: link_fail_port_init_failed = 126

    .. data:: link_fail_port_unusable = 127

    .. data:: link_fail_loss_of_signal = 128

    .. data:: link_fail_loss_of_sync = 129

    .. data:: link_fail_nos_rcvd = 130

    .. data:: link_fail_ols_rcvd = 131

    .. data:: link_fail_debounce_timeout = 132

    .. data:: link_fail_lr_rcvd_b2b = 133

    .. data:: link_fail_credit_loss = 134

    .. data:: link_fail_rx_que_overflow = 135

    .. data:: link_fail_too_many_intr = 136

    .. data:: link_fail_lip_rcvd_b2b = 137

    .. data:: link_fail_credit_loss_b2b = 138

    .. data:: link_fail_opny_tmo_b2b = 139

    .. data:: link_fail_opny_ret_b2b = 140

    .. data:: link_fail_lip_f8_rcvd = 141

    .. data:: link_fail_line_card_port_shutdown = 142

    .. data:: fcsp_authent_failure = 143

    .. data:: ohms_external_lb_test = 144

    .. data:: invalid_fabric_binding_exchange = 145

    .. data:: tov_mismatch = 146

    .. data:: ficon_not_enabled = 147

    .. data:: ficon_no_portnumber = 148

    .. data:: ficon_being_enabled = 149

    .. data:: eport_prohibited = 150

    .. data:: trunk_not_fully_active = 151

    .. data:: fabric_binding_swwn_not_found = 152

    .. data:: fabric_binding_domain_invalid = 153

    .. data:: fabric_binding_database_mismatch = 154

    .. data:: fabric_binding_peer_not_responding = 155

    .. data:: tracked_port_down = 156

    .. data:: ec_suspended_for_loop = 157

    .. data:: isolate_bundle_miscfg = 158

    .. data:: peer_not_support_bundles = 159

    .. data:: port_bringup_isolation = 160

    .. data:: domain_not_allowed_isolation = 161

    .. data:: virtual_ivr_domain_overlap_isolation = 162

    .. data:: out_of_service = 163

    .. data:: bundle_stdby = 164

    .. data:: port_cap_fc_port_connector_type_err = 165

    .. data:: error_disabled_reinit_limit_reached = 166

    .. data:: ficon_vsan_duplicate_portnum = 167

    .. data:: internal_rcf_in_progress = 168

    .. data:: two_switches_with_same_wwn = 169

    .. data:: invalid_other_princ_efp_req_recd = 170

    .. data:: domain_isolation_unknown_reason = 171

    .. data:: elp_failure_all_zero_peer_wwn_rcvd = 172

    .. data:: prefered_path_isolation = 173

    .. data:: fc_redirect_isolation = 174

    .. data:: port_act_license_not_available = 175

    .. data:: sdm_isolation = 176

    .. data:: fcid_allocation_failed = 177

    .. data:: externally_disabled = 178

    .. data:: fcot_read_error = 179

    .. data:: port_guard_down_on_link_failure = 180

    .. data:: incomplete_config = 181

    .. data:: incomplete_tunnel_config = 182

    .. data:: hw_programming_failed = 183

    .. data:: tunnel_dest_not_reachable = 184

    .. data:: sfp_invalid = 185

    .. data:: tunnel_vrf_mismatch = 186

    .. data:: tunnel_vrf_fw_ref = 187

    .. data:: duplicate_tunnel_cfg = 188

    .. data:: primary_vlan_down = 189

    .. data:: dot1x_security_errdisable = 190

    .. data:: vf_tagging_capability_err = 191

    .. data:: port_disabled = 192

    .. data:: tunnel_mode_not_configured = 193

    .. data:: tunnel_source_not_configured = 194

    .. data:: tunnel_destination_not_configured = 195

    .. data:: tunnel_unable2resolve_source_ipaddress = 196

    .. data:: tunnel_unable2resolve_destination_ipaddress = 197

    .. data:: tunnel_vrf_is_down = 198

    .. data:: sif_admin_down = 199

    .. data:: phy_intf_down = 200

    .. data:: intf_sif_limit_exceeded = 201

    .. data:: insufficient_power = 202

    .. data:: no_fcoe = 203

    .. data:: dcx_compat_mismatch = 204

    .. data:: isolate_bundle_limit_exceeded = 205

    .. data:: sif_not_bound = 206

    .. data:: err_disable_lacp_miscfg = 207

    .. data:: errdisabled_pkt_err = 208

    .. data:: vlan_vsan_mapping_not_enabled = 209

    .. data:: stp_not_forwarding_in_fcoe_mapped_vlan = 210

    .. data:: module_offline = 211

    .. data:: stp_inconsist_vpc_peerlink_errdisable = 212

    .. data:: set_port_state_failed_errdisable = 213

    .. data:: tunnel_source_down = 214

    .. data:: cdp_info_not_avail = 215

    .. data:: fcot_clk_rate_mismatch = 216

    .. data:: port_guard_down_on_trustsec_violation = 217

    .. data:: wait_for_flogi = 218

    .. data:: npiv_not_enabled_in_upstream = 219

    .. data:: vsan_mismatch_with_upstream_switch_port = 220

    .. data:: port_guard_bit_error_rate = 221

    .. data:: port_guard_signal_loss = 222

    .. data:: port_guard_sync_loss = 223

    .. data:: port_guard_link_reset = 224

    .. data:: port_guard_credit_loss = 225

    .. data:: ipqos_mgr_policy_app_failed = 226

    .. data:: pause_rate_limit_errdisable = 227

    .. data:: lstgrp_uplink_down = 228

    .. data:: sticky_down_on_link_failure = 229

    .. data:: dcx_multiple_msap_ids_errdisable = 230

    .. data:: dcx_100_pdus_rcvd_noack_errdisable = 231

    .. data:: enm_sat_incompat_uplink = 232

    .. data:: enm_loop_detected = 233

    .. data:: sub_group_id_not_assigned = 234

    .. data:: vem_unlicensed = 235

    .. data:: profile_not_found = 236

    .. data:: vlan_does_not_exist = 237

    .. data:: vlan_type = 238

    .. data:: vlan_down = 239

    .. data:: vpc_peer_upgrade = 240

    .. data:: non_cisco_hba_vftag = 241

    .. data:: domain_id_config_mismatch = 242

    .. data:: xcvr_absent = 243

    .. data:: vfc_binding_invalid = 244

    .. data:: vlan_not_fcoe_enabled = 245

    .. data:: pvlan_native_vlan_err = 246

    .. data:: eth_l2_vlan_down = 247

    .. data:: eth_intf_invalid_binding = 248

    .. data:: pmon_failure = 249

    .. data:: l3_not_ready = 250

    .. data:: speed_mismatch = 251

    .. data:: flowcontrol_mismatch = 252

    .. data:: vdc_mode = 253

    .. data:: enm_pin_fail_link_down = 254

    .. data:: inactive_m1_port_fpath_access_vlan = 255

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    admin_down = Enum.YLeaf(2, "admin-down")

    link_down = Enum.YLeaf(3, "link-down")

    fail = Enum.YLeaf(4, "fail")

    no_license = Enum.YLeaf(5, "no-license")

    link_up = Enum.YLeaf(6, "link-up")

    hw_fail = Enum.YLeaf(7, "hw-fail")

    sw_fail = Enum.YLeaf(8, "sw-fail")

    err_disabled = Enum.YLeaf(9, "err-disabled")

    sfp_missing = Enum.YLeaf(10, "sfp-missing")

    loopback_diag_failure = Enum.YLeaf(11, "loopback-diag-failure")

    udld_unidir_detected = Enum.YLeaf(12, "udld-unidir-detected")

    udld_tx_rx_loop = Enum.YLeaf(13, "udld-tx-rx-loop")

    udld_neighbor_mismatch = Enum.YLeaf(14, "udld-neighbor-mismatch")

    udld_empty_echo = Enum.YLeaf(15, "udld-empty-echo")

    udld_aggressive_mode_link_failed = Enum.YLeaf(16, "udld-aggressive-mode-link-failed")

    link_flap_err = Enum.YLeaf(17, "link-flap-err")

    err_disabled_ip_conflict = Enum.YLeaf(18, "err-disabled-ip-conflict")

    ipqos_dcbxp_compat_failure = Enum.YLeaf(19, "ipqos-dcbxp-compat-failure")

    link_failure = Enum.YLeaf(20, "link-failure")

    offline = Enum.YLeaf(21, "offline")

    initializing = Enum.YLeaf(22, "initializing")

    inactive = Enum.YLeaf(23, "inactive")

    channel_admin_down = Enum.YLeaf(24, "channel-admin-down")

    channel_err_disabled = Enum.YLeaf(25, "channel-err-disabled")

    suspended = Enum.YLeaf(26, "suspended")

    proto_port_suspend = Enum.YLeaf(27, "proto-port-suspend")

    channel_membership_update_in_progress = Enum.YLeaf(28, "channel-membership-update-in-progress")

    parent_down = Enum.YLeaf(29, "parent-down")

    parent_admin_down = Enum.YLeaf(30, "parent-admin-down")

    interface_removed = Enum.YLeaf(31, "interface-removed")

    fcot_no_present = Enum.YLeaf(32, "fcot-no-present")

    fcot_vendor_not_supported = Enum.YLeaf(33, "fcot-vendor-not-supported")

    incompatible_admin_mode = Enum.YLeaf(34, "incompatible-admin-mode")

    incompatible_admin_speed = Enum.YLeaf(35, "incompatible-admin-speed")

    suspended_by_mode = Enum.YLeaf(36, "suspended-by-mode")

    suspended_by_speed = Enum.YLeaf(37, "suspended-by-speed")

    domain_max_retransmission_failure = Enum.YLeaf(38, "domain-max-retransmission-failure")

    loopback_isolation = Enum.YLeaf(39, "loopback-isolation")

    upgrade_in_progress = Enum.YLeaf(40, "upgrade-in-progress")

    port_channel_members_down = Enum.YLeaf(41, "port-channel-members-down")

    ethernet_link_down = Enum.YLeaf(42, "ethernet-link-down")

    ethernet_interface_down = Enum.YLeaf(43, "ethernet-interface-down")

    admin_config_change = Enum.YLeaf(44, "admin-config-change")

    module_removed = Enum.YLeaf(45, "module-removed")

    vrf_unusable = Enum.YLeaf(46, "vrf-unusable")

    none = Enum.YLeaf(47, "none")

    xcvr_initializing = Enum.YLeaf(48, "xcvr-initializing")

    cap_absent = Enum.YLeaf(49, "cap-absent")

    sfp_eth_compliant_err = Enum.YLeaf(50, "sfp-eth-compliant-err")

    sdp_timeout = Enum.YLeaf(51, "sdp-timeout")

    sat_incompat_topo = Enum.YLeaf(52, "sat-incompat-topo")

    sat_not_configured = Enum.YLeaf(53, "sat-not-configured")

    auth_fail = Enum.YLeaf(54, "auth-fail")

    auth_pending = Enum.YLeaf(55, "auth-pending")

    suspended_due_to_minlinks = Enum.YLeaf(56, "suspended-due-to-minlinks")

    suspended_due_to_no_lacp_pdus = Enum.YLeaf(57, "suspended-due-to-no-lacp-pdus")

    sat_fabric_if_down = Enum.YLeaf(58, "sat-fabric-if-down")

    invalid_sat_fabric_if = Enum.YLeaf(59, "invalid-sat-fabric-if")

    fex_sfp_invalid = Enum.YLeaf(60, "fex-sfp-invalid")

    suspend_by_mtu = Enum.YLeaf(61, "suspend-by-mtu")

    suspend_by_vpc = Enum.YLeaf(62, "suspend-by-vpc")

    router_mac_failure = Enum.YLeaf(63, "router-mac-failure")

    xcvr_auth_failed = Enum.YLeaf(64, "xcvr-auth-failed")

    non_sticky_externally_disabled = Enum.YLeaf(65, "non-sticky-externally-disabled")

    sfp_speed_mismatch = Enum.YLeaf(66, "sfp-speed-mismatch")

    fcot_chksum_err = Enum.YLeaf(67, "fcot-chksum-err")

    xcvr_invalid = Enum.YLeaf(68, "xcvr-invalid")

    vpc_peer_link_down = Enum.YLeaf(69, "vpc-peer-link-down")

    vpc_cfg_in_progress = Enum.YLeaf(70, "vpc-cfg-in-progress")

    vpc_no_response_from_peer = Enum.YLeaf(71, "vpc-no-response-from-peer")

    bpdu_guard_err_disable = Enum.YLeaf(72, "bpdu-guard-err-disable")

    hot_standby_in_bundle = Enum.YLeaf(73, "hot-standby-in-bundle")

    handshake_fail_errdisable = Enum.YLeaf(74, "handshake-fail-errdisable")

    non_participating = Enum.YLeaf(75, "non-participating")

    rcf_in_progress = Enum.YLeaf(76, "rcf-in-progress")

    elp_failure_isolation = Enum.YLeaf(77, "elp-failure-isolation")

    esc_failure_isolation = Enum.YLeaf(78, "esc-failure-isolation")

    domain_overlap_isolation = Enum.YLeaf(79, "domain-overlap-isolation")

    domain_addr_assign_failure_isolation = Enum.YLeaf(80, "domain-addr-assign-failure-isolation")

    domain_other_side_eport_isolated = Enum.YLeaf(81, "domain-other-side-eport-isolated")

    domain_invalid_rcf_received = Enum.YLeaf(82, "domain-invalid-rcf-received")

    domain_manager_disabled = Enum.YLeaf(83, "domain-manager-disabled")

    zone_merge_failure_isolation = Enum.YLeaf(84, "zone-merge-failure-isolation")

    vsan_mismatch_isolation = Enum.YLeaf(85, "vsan-mismatch-isolation")

    src_port_not_bound = Enum.YLeaf(86, "src-port-not-bound")

    suspended_by_wwn = Enum.YLeaf(87, "suspended-by-wwn")

    epp_failure = Enum.YLeaf(88, "epp-failure")

    port_vsan_mismatch_isolation = Enum.YLeaf(89, "port-vsan-mismatch-isolation")

    incompatible_admin_rxbbcredit = Enum.YLeaf(90, "incompatible-admin-rxbbcredit")

    incompatible_admin_rxbufsize = Enum.YLeaf(91, "incompatible-admin-rxbufsize")

    zone_remote_no_resp_isolation = Enum.YLeaf(92, "zone-remote-no-resp-isolation")

    osm_e_port_up = Enum.YLeaf(93, "osm-e-port-up")

    osm_non_e_port_up = Enum.YLeaf(94, "osm-non-e-port-up")

    peer_fcip_closed_tcp_connection = Enum.YLeaf(95, "peer-fcip-closed-tcp-connection")

    peer_fcip_reset_tcp_connection = Enum.YLeaf(96, "peer-fcip-reset-tcp-connection")

    tcp_max_retransmissions = Enum.YLeaf(97, "tcp-max-retransmissions")

    tcp_keep_alive_timer_expired = Enum.YLeaf(98, "tcp-keep-alive-timer-expired")

    tcp_persist_timer_expired = Enum.YLeaf(99, "tcp-persist-timer-expired")

    tunnel_src_port_removed = Enum.YLeaf(100, "tunnel-src-port-removed")

    tunnel_src_module_not_online = Enum.YLeaf(101, "tunnel-src-module-not-online")

    invalid_config = Enum.YLeaf(102, "invalid-config")

    port_bind_failure = Enum.YLeaf(103, "port-bind-failure")

    fabric_bind_failure = Enum.YLeaf(104, "fabric-bind-failure")

    no_trunk_oper_vsans_isolation = Enum.YLeaf(105, "no-trunk-oper-vsans-isolation")

    ficon_vsan_down = Enum.YLeaf(106, "ficon-vsan-down")

    invalid_attachment = Enum.YLeaf(107, "invalid-attachment")

    port_blocked = Enum.YLeaf(108, "port-blocked")

    incompatible_admin_rxbbcredit_performance_buf = Enum.YLeaf(109, "incompatible-admin-rxbbcredit-performance-buf")

    too_many_invalid_flogis = Enum.YLeaf(110, "too-many-invalid-flogis")

    denied_due_to_port_binding = Enum.YLeaf(111, "denied-due-to-port-binding")

    elp_failure_revision_mismatch = Enum.YLeaf(112, "elp-failure-revision-mismatch")

    elp_failure_classf_param_err = Enum.YLeaf(113, "elp-failure-classf-param-err")

    elp_failure_classn_param_err = Enum.YLeaf(114, "elp-failure-classn-param-err")

    elp_failure_unknown_flow_ctl_code = Enum.YLeaf(115, "elp-failure-unknown-flow-ctl-code")

    elp_failure_invalid_flow_ctl_param = Enum.YLeaf(116, "elp-failure-invalid-flow-ctl-param")

    elp_failure_invalid_port_name = Enum.YLeaf(117, "elp-failure-invalid-port-name")

    elp_failure_invalid_switch_name = Enum.YLeaf(118, "elp-failure-invalid-switch-name")

    elp_failure_ratov_edtov_mismatch = Enum.YLeaf(119, "elp-failure-ratov-edtov-mismatch")

    elp_failure_loopback_detected = Enum.YLeaf(120, "elp-failure-loopback-detected")

    elp_failure_invalid_tx_bbcredit = Enum.YLeaf(121, "elp-failure-invalid-tx-bbcredit")

    elp_failure_invalid_payload_size = Enum.YLeaf(122, "elp-failure-invalid-payload-size")

    bundle_miscfg = Enum.YLeaf(123, "bundle-miscfg")

    bit_err_rt_thres_exceeded = Enum.YLeaf(124, "bit-err-rt-thres-exceeded")

    link_fail_link_reset = Enum.YLeaf(125, "link-fail-link-reset")

    link_fail_port_init_failed = Enum.YLeaf(126, "link-fail-port-init-failed")

    link_fail_port_unusable = Enum.YLeaf(127, "link-fail-port-unusable")

    link_fail_loss_of_signal = Enum.YLeaf(128, "link-fail-loss-of-signal")

    link_fail_loss_of_sync = Enum.YLeaf(129, "link-fail-loss-of-sync")

    link_fail_nos_rcvd = Enum.YLeaf(130, "link-fail-nos-rcvd")

    link_fail_ols_rcvd = Enum.YLeaf(131, "link-fail-ols-rcvd")

    link_fail_debounce_timeout = Enum.YLeaf(132, "link-fail-debounce-timeout")

    link_fail_lr_rcvd_b2b = Enum.YLeaf(133, "link-fail-lr-rcvd-b2b")

    link_fail_credit_loss = Enum.YLeaf(134, "link-fail-credit-loss")

    link_fail_rx_que_overflow = Enum.YLeaf(135, "link-fail-rx-que-overflow")

    link_fail_too_many_intr = Enum.YLeaf(136, "link-fail-too-many-intr")

    link_fail_lip_rcvd_b2b = Enum.YLeaf(137, "link-fail-lip-rcvd-b2b")

    link_fail_credit_loss_b2b = Enum.YLeaf(138, "link-fail-credit-loss-b2b")

    link_fail_opny_tmo_b2b = Enum.YLeaf(139, "link-fail-opny-tmo-b2b")

    link_fail_opny_ret_b2b = Enum.YLeaf(140, "link-fail-opny-ret-b2b")

    link_fail_lip_f8_rcvd = Enum.YLeaf(141, "link-fail-lip-f8-rcvd")

    link_fail_line_card_port_shutdown = Enum.YLeaf(142, "link-fail-line-card-port-shutdown")

    fcsp_authent_failure = Enum.YLeaf(143, "fcsp-authent-failure")

    ohms_external_lb_test = Enum.YLeaf(144, "ohms-external-lb-test")

    invalid_fabric_binding_exchange = Enum.YLeaf(145, "invalid-fabric-binding-exchange")

    tov_mismatch = Enum.YLeaf(146, "tov-mismatch")

    ficon_not_enabled = Enum.YLeaf(147, "ficon-not-enabled")

    ficon_no_portnumber = Enum.YLeaf(148, "ficon-no-portnumber")

    ficon_being_enabled = Enum.YLeaf(149, "ficon-being-enabled")

    eport_prohibited = Enum.YLeaf(150, "eport-prohibited")

    trunk_not_fully_active = Enum.YLeaf(151, "trunk-not-fully-active")

    fabric_binding_swwn_not_found = Enum.YLeaf(152, "fabric-binding-swwn-not-found")

    fabric_binding_domain_invalid = Enum.YLeaf(153, "fabric-binding-domain-invalid")

    fabric_binding_database_mismatch = Enum.YLeaf(154, "fabric-binding-database-mismatch")

    fabric_binding_peer_not_responding = Enum.YLeaf(155, "fabric-binding-peer-not-responding")

    tracked_port_down = Enum.YLeaf(156, "tracked-port-down")

    ec_suspended_for_loop = Enum.YLeaf(157, "ec-suspended-for-loop")

    isolate_bundle_miscfg = Enum.YLeaf(158, "isolate-bundle-miscfg")

    peer_not_support_bundles = Enum.YLeaf(159, "peer-not-support-bundles")

    port_bringup_isolation = Enum.YLeaf(160, "port-bringup-isolation")

    domain_not_allowed_isolation = Enum.YLeaf(161, "domain-not-allowed-isolation")

    virtual_ivr_domain_overlap_isolation = Enum.YLeaf(162, "virtual-ivr-domain-overlap-isolation")

    out_of_service = Enum.YLeaf(163, "out-of-service")

    bundle_stdby = Enum.YLeaf(164, "bundle-stdby")

    port_cap_fc_port_connector_type_err = Enum.YLeaf(165, "port-cap-fc-port-connector-type-err")

    error_disabled_reinit_limit_reached = Enum.YLeaf(166, "error-disabled-reinit-limit-reached")

    ficon_vsan_duplicate_portnum = Enum.YLeaf(167, "ficon-vsan-duplicate-portnum")

    internal_rcf_in_progress = Enum.YLeaf(168, "internal-rcf-in-progress")

    two_switches_with_same_wwn = Enum.YLeaf(169, "two-switches-with-same-wwn")

    invalid_other_princ_efp_req_recd = Enum.YLeaf(170, "invalid-other-princ-efp-req-recd")

    domain_isolation_unknown_reason = Enum.YLeaf(171, "domain-isolation-unknown-reason")

    elp_failure_all_zero_peer_wwn_rcvd = Enum.YLeaf(172, "elp-failure-all-zero-peer-wwn-rcvd")

    prefered_path_isolation = Enum.YLeaf(173, "prefered-path-isolation")

    fc_redirect_isolation = Enum.YLeaf(174, "fc-redirect-isolation")

    port_act_license_not_available = Enum.YLeaf(175, "port-act-license-not-available")

    sdm_isolation = Enum.YLeaf(176, "sdm-isolation")

    fcid_allocation_failed = Enum.YLeaf(177, "fcid-allocation-failed")

    externally_disabled = Enum.YLeaf(178, "externally-disabled")

    fcot_read_error = Enum.YLeaf(179, "fcot-read-error")

    port_guard_down_on_link_failure = Enum.YLeaf(180, "port-guard-down-on-link-failure")

    incomplete_config = Enum.YLeaf(181, "incomplete-config")

    incomplete_tunnel_config = Enum.YLeaf(182, "incomplete-tunnel-config")

    hw_programming_failed = Enum.YLeaf(183, "hw-programming-failed")

    tunnel_dest_not_reachable = Enum.YLeaf(184, "tunnel-dest-not-reachable")

    sfp_invalid = Enum.YLeaf(185, "sfp-invalid")

    tunnel_vrf_mismatch = Enum.YLeaf(186, "tunnel-vrf-mismatch")

    tunnel_vrf_fw_ref = Enum.YLeaf(187, "tunnel-vrf-fw-ref")

    duplicate_tunnel_cfg = Enum.YLeaf(188, "duplicate-tunnel-cfg")

    primary_vlan_down = Enum.YLeaf(189, "primary-vlan-down")

    dot1x_security_errdisable = Enum.YLeaf(190, "dot1x-security-errdisable")

    vf_tagging_capability_err = Enum.YLeaf(191, "vf-tagging-capability-err")

    port_disabled = Enum.YLeaf(192, "port-disabled")

    tunnel_mode_not_configured = Enum.YLeaf(193, "tunnel-mode-not-configured")

    tunnel_source_not_configured = Enum.YLeaf(194, "tunnel-source-not-configured")

    tunnel_destination_not_configured = Enum.YLeaf(195, "tunnel-destination-not-configured")

    tunnel_unable2resolve_source_ipaddress = Enum.YLeaf(196, "tunnel-unable2resolve-source-ipaddress")

    tunnel_unable2resolve_destination_ipaddress = Enum.YLeaf(197, "tunnel-unable2resolve-destination-ipaddress")

    tunnel_vrf_is_down = Enum.YLeaf(198, "tunnel-vrf-is-down")

    sif_admin_down = Enum.YLeaf(199, "sif-admin-down")

    phy_intf_down = Enum.YLeaf(200, "phy-intf-down")

    intf_sif_limit_exceeded = Enum.YLeaf(201, "intf-sif-limit-exceeded")

    insufficient_power = Enum.YLeaf(202, "insufficient-power")

    no_fcoe = Enum.YLeaf(203, "no-fcoe")

    dcx_compat_mismatch = Enum.YLeaf(204, "dcx-compat-mismatch")

    isolate_bundle_limit_exceeded = Enum.YLeaf(205, "isolate-bundle-limit-exceeded")

    sif_not_bound = Enum.YLeaf(206, "sif-not-bound")

    err_disable_lacp_miscfg = Enum.YLeaf(207, "err-disable-lacp-miscfg")

    errdisabled_pkt_err = Enum.YLeaf(208, "errdisabled-pkt-err")

    vlan_vsan_mapping_not_enabled = Enum.YLeaf(209, "vlan-vsan-mapping-not-enabled")

    stp_not_forwarding_in_fcoe_mapped_vlan = Enum.YLeaf(210, "stp-not-forwarding-in-fcoe-mapped-vlan")

    module_offline = Enum.YLeaf(211, "module-offline")

    stp_inconsist_vpc_peerlink_errdisable = Enum.YLeaf(212, "stp-inconsist-vpc-peerlink-errdisable")

    set_port_state_failed_errdisable = Enum.YLeaf(213, "set-port-state-failed-errdisable")

    tunnel_source_down = Enum.YLeaf(214, "tunnel-source-down")

    cdp_info_not_avail = Enum.YLeaf(215, "cdp-info-not-avail")

    fcot_clk_rate_mismatch = Enum.YLeaf(216, "fcot-clk-rate-mismatch")

    port_guard_down_on_trustsec_violation = Enum.YLeaf(217, "port-guard-down-on-trustsec-violation")

    wait_for_flogi = Enum.YLeaf(218, "wait-for-flogi")

    npiv_not_enabled_in_upstream = Enum.YLeaf(219, "npiv-not-enabled-in-upstream")

    vsan_mismatch_with_upstream_switch_port = Enum.YLeaf(220, "vsan-mismatch-with-upstream-switch-port")

    port_guard_bit_error_rate = Enum.YLeaf(221, "port-guard-bit-error-rate")

    port_guard_signal_loss = Enum.YLeaf(222, "port-guard-signal-loss")

    port_guard_sync_loss = Enum.YLeaf(223, "port-guard-sync-loss")

    port_guard_link_reset = Enum.YLeaf(224, "port-guard-link-reset")

    port_guard_credit_loss = Enum.YLeaf(225, "port-guard-credit-loss")

    ipqos_mgr_policy_app_failed = Enum.YLeaf(226, "ipqos-mgr-policy-app-failed")

    pause_rate_limit_errdisable = Enum.YLeaf(227, "pause-rate-limit-errdisable")

    lstgrp_uplink_down = Enum.YLeaf(228, "lstgrp-uplink-down")

    sticky_down_on_link_failure = Enum.YLeaf(229, "sticky-down-on-link-failure")

    dcx_multiple_msap_ids_errdisable = Enum.YLeaf(230, "dcx-multiple-msap-ids-errdisable")

    dcx_100_pdus_rcvd_noack_errdisable = Enum.YLeaf(231, "dcx-100-pdus-rcvd-noack-errdisable")

    enm_sat_incompat_uplink = Enum.YLeaf(232, "enm-sat-incompat-uplink")

    enm_loop_detected = Enum.YLeaf(233, "enm-loop-detected")

    sub_group_id_not_assigned = Enum.YLeaf(234, "sub-group-id-not-assigned")

    vem_unlicensed = Enum.YLeaf(235, "vem-unlicensed")

    profile_not_found = Enum.YLeaf(236, "profile-not-found")

    vlan_does_not_exist = Enum.YLeaf(237, "vlan-does-not-exist")

    vlan_type = Enum.YLeaf(238, "vlan-type")

    vlan_down = Enum.YLeaf(239, "vlan-down")

    vpc_peer_upgrade = Enum.YLeaf(240, "vpc-peer-upgrade")

    non_cisco_hba_vftag = Enum.YLeaf(241, "non-cisco-hba-vftag")

    domain_id_config_mismatch = Enum.YLeaf(242, "domain-id-config-mismatch")

    xcvr_absent = Enum.YLeaf(243, "xcvr-absent")

    vfc_binding_invalid = Enum.YLeaf(244, "vfc-binding-invalid")

    vlan_not_fcoe_enabled = Enum.YLeaf(245, "vlan-not-fcoe-enabled")

    pvlan_native_vlan_err = Enum.YLeaf(246, "pvlan-native-vlan-err")

    eth_l2_vlan_down = Enum.YLeaf(247, "eth-l2-vlan-down")

    eth_intf_invalid_binding = Enum.YLeaf(248, "eth-intf-invalid-binding")

    pmon_failure = Enum.YLeaf(249, "pmon-failure")

    l3_not_ready = Enum.YLeaf(250, "l3-not-ready")

    speed_mismatch = Enum.YLeaf(251, "speed-mismatch")

    flowcontrol_mismatch = Enum.YLeaf(252, "flowcontrol-mismatch")

    vdc_mode = Enum.YLeaf(253, "vdc-mode")

    enm_pin_fail_link_down = Enum.YLeaf(254, "enm-pin-fail-link-down")

    inactive_m1_port_fpath_access_vlan = Enum.YLeaf(255, "inactive-m1-port-fpath-access-vlan")


class L1OperStQual_(Enum):
    """
    L1OperStQual\_ (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: admin_down = 2

    .. data:: link_down = 3

    .. data:: fail = 4

    .. data:: no_license = 5

    .. data:: link_up = 6

    .. data:: hw_fail = 7

    .. data:: sw_fail = 8

    .. data:: err_disabled = 9

    .. data:: sfp_missing = 10

    .. data:: loopback_diag_failure = 11

    .. data:: udld_unidir_detected = 12

    .. data:: udld_tx_rx_loop = 13

    .. data:: udld_neighbor_mismatch = 14

    .. data:: udld_empty_echo = 15

    .. data:: udld_aggressive_mode_link_failed = 16

    .. data:: link_flap_err = 17

    .. data:: err_disabled_ip_conflict = 18

    .. data:: ipqos_dcbxp_compat_failure = 19

    .. data:: link_failure = 20

    .. data:: offline = 21

    .. data:: initializing = 22

    .. data:: inactive = 23

    .. data:: channel_admin_down = 24

    .. data:: channel_err_disabled = 25

    .. data:: suspended = 26

    .. data:: proto_port_suspend = 27

    .. data:: channel_membership_update_in_progress = 28

    .. data:: parent_down = 29

    .. data:: parent_admin_down = 30

    .. data:: interface_removed = 31

    .. data:: fcot_no_present = 32

    .. data:: fcot_vendor_not_supported = 33

    .. data:: incompatible_admin_mode = 34

    .. data:: incompatible_admin_speed = 35

    .. data:: suspended_by_mode = 36

    .. data:: suspended_by_speed = 37

    .. data:: domain_max_retransmission_failure = 38

    .. data:: loopback_isolation = 39

    .. data:: upgrade_in_progress = 40

    .. data:: port_channel_members_down = 41

    .. data:: ethernet_link_down = 42

    .. data:: ethernet_interface_down = 43

    .. data:: admin_config_change = 44

    .. data:: module_removed = 45

    .. data:: vrf_unusable = 46

    .. data:: none = 47

    .. data:: xcvr_initializing = 48

    .. data:: cap_absent = 49

    .. data:: sfp_eth_compliant_err = 50

    .. data:: sdp_timeout = 51

    .. data:: sat_incompat_topo = 52

    .. data:: sat_not_configured = 53

    .. data:: auth_fail = 54

    .. data:: auth_pending = 55

    .. data:: suspended_due_to_minlinks = 56

    .. data:: suspended_due_to_no_lacp_pdus = 57

    .. data:: sat_fabric_if_down = 58

    .. data:: invalid_sat_fabric_if = 59

    .. data:: fex_sfp_invalid = 60

    .. data:: suspend_by_mtu = 61

    .. data:: suspend_by_vpc = 62

    .. data:: router_mac_failure = 63

    .. data:: xcvr_auth_failed = 64

    .. data:: non_sticky_externally_disabled = 65

    .. data:: sfp_speed_mismatch = 66

    .. data:: fcot_chksum_err = 67

    .. data:: xcvr_invalid = 68

    .. data:: vpc_peer_link_down = 69

    .. data:: vpc_cfg_in_progress = 70

    .. data:: vpc_no_response_from_peer = 71

    .. data:: bpdu_guard_err_disable = 72

    .. data:: hot_standby_in_bundle = 73

    .. data:: handshake_fail_errdisable = 74

    .. data:: non_participating = 75

    .. data:: rcf_in_progress = 76

    .. data:: elp_failure_isolation = 77

    .. data:: esc_failure_isolation = 78

    .. data:: domain_overlap_isolation = 79

    .. data:: domain_addr_assign_failure_isolation = 80

    .. data:: domain_other_side_eport_isolated = 81

    .. data:: domain_invalid_rcf_received = 82

    .. data:: domain_manager_disabled = 83

    .. data:: zone_merge_failure_isolation = 84

    .. data:: vsan_mismatch_isolation = 85

    .. data:: src_port_not_bound = 86

    .. data:: suspended_by_wwn = 87

    .. data:: epp_failure = 88

    .. data:: port_vsan_mismatch_isolation = 89

    .. data:: incompatible_admin_rxbbcredit = 90

    .. data:: incompatible_admin_rxbufsize = 91

    .. data:: zone_remote_no_resp_isolation = 92

    .. data:: osm_e_port_up = 93

    .. data:: osm_non_e_port_up = 94

    .. data:: peer_fcip_closed_tcp_connection = 95

    .. data:: peer_fcip_reset_tcp_connection = 96

    .. data:: tcp_max_retransmissions = 97

    .. data:: tcp_keep_alive_timer_expired = 98

    .. data:: tcp_persist_timer_expired = 99

    .. data:: tunnel_src_port_removed = 100

    .. data:: tunnel_src_module_not_online = 101

    .. data:: invalid_config = 102

    .. data:: port_bind_failure = 103

    .. data:: fabric_bind_failure = 104

    .. data:: no_trunk_oper_vsans_isolation = 105

    .. data:: ficon_vsan_down = 106

    .. data:: invalid_attachment = 107

    .. data:: port_blocked = 108

    .. data:: incompatible_admin_rxbbcredit_performance_buf = 109

    .. data:: too_many_invalid_flogis = 110

    .. data:: denied_due_to_port_binding = 111

    .. data:: elp_failure_revision_mismatch = 112

    .. data:: elp_failure_classf_param_err = 113

    .. data:: elp_failure_classn_param_err = 114

    .. data:: elp_failure_unknown_flow_ctl_code = 115

    .. data:: elp_failure_invalid_flow_ctl_param = 116

    .. data:: elp_failure_invalid_port_name = 117

    .. data:: elp_failure_invalid_switch_name = 118

    .. data:: elp_failure_ratov_edtov_mismatch = 119

    .. data:: elp_failure_loopback_detected = 120

    .. data:: elp_failure_invalid_tx_bbcredit = 121

    .. data:: elp_failure_invalid_payload_size = 122

    .. data:: bundle_miscfg = 123

    .. data:: bit_err_rt_thres_exceeded = 124

    .. data:: link_fail_link_reset = 125

    .. data:: link_fail_port_init_failed = 126

    .. data:: link_fail_port_unusable = 127

    .. data:: link_fail_loss_of_signal = 128

    .. data:: link_fail_loss_of_sync = 129

    .. data:: link_fail_nos_rcvd = 130

    .. data:: link_fail_ols_rcvd = 131

    .. data:: link_fail_debounce_timeout = 132

    .. data:: link_fail_lr_rcvd_b2b = 133

    .. data:: link_fail_credit_loss = 134

    .. data:: link_fail_rx_que_overflow = 135

    .. data:: link_fail_too_many_intr = 136

    .. data:: link_fail_lip_rcvd_b2b = 137

    .. data:: link_fail_credit_loss_b2b = 138

    .. data:: link_fail_opny_tmo_b2b = 139

    .. data:: link_fail_opny_ret_b2b = 140

    .. data:: link_fail_lip_f8_rcvd = 141

    .. data:: link_fail_line_card_port_shutdown = 142

    .. data:: fcsp_authent_failure = 143

    .. data:: ohms_external_lb_test = 144

    .. data:: invalid_fabric_binding_exchange = 145

    .. data:: tov_mismatch = 146

    .. data:: ficon_not_enabled = 147

    .. data:: ficon_no_portnumber = 148

    .. data:: ficon_being_enabled = 149

    .. data:: eport_prohibited = 150

    .. data:: trunk_not_fully_active = 151

    .. data:: fabric_binding_swwn_not_found = 152

    .. data:: fabric_binding_domain_invalid = 153

    .. data:: fabric_binding_database_mismatch = 154

    .. data:: fabric_binding_peer_not_responding = 155

    .. data:: tracked_port_down = 156

    .. data:: ec_suspended_for_loop = 157

    .. data:: isolate_bundle_miscfg = 158

    .. data:: peer_not_support_bundles = 159

    .. data:: port_bringup_isolation = 160

    .. data:: domain_not_allowed_isolation = 161

    .. data:: virtual_ivr_domain_overlap_isolation = 162

    .. data:: out_of_service = 163

    .. data:: bundle_stdby = 164

    .. data:: port_cap_fc_port_connector_type_err = 165

    .. data:: error_disabled_reinit_limit_reached = 166

    .. data:: ficon_vsan_duplicate_portnum = 167

    .. data:: internal_rcf_in_progress = 168

    .. data:: two_switches_with_same_wwn = 169

    .. data:: invalid_other_princ_efp_req_recd = 170

    .. data:: domain_isolation_unknown_reason = 171

    .. data:: elp_failure_all_zero_peer_wwn_rcvd = 172

    .. data:: prefered_path_isolation = 173

    .. data:: fc_redirect_isolation = 174

    .. data:: port_act_license_not_available = 175

    .. data:: sdm_isolation = 176

    .. data:: fcid_allocation_failed = 177

    .. data:: externally_disabled = 178

    .. data:: fcot_read_error = 179

    .. data:: port_guard_down_on_link_failure = 180

    .. data:: incomplete_config = 181

    .. data:: incomplete_tunnel_config = 182

    .. data:: hw_programming_failed = 183

    .. data:: tunnel_dest_not_reachable = 184

    .. data:: sfp_invalid = 185

    .. data:: tunnel_vrf_mismatch = 186

    .. data:: tunnel_vrf_fw_ref = 187

    .. data:: duplicate_tunnel_cfg = 188

    .. data:: primary_vlan_down = 189

    .. data:: dot1x_security_errdisable = 190

    .. data:: vf_tagging_capability_err = 191

    .. data:: port_disabled = 192

    .. data:: tunnel_mode_not_configured = 193

    .. data:: tunnel_source_not_configured = 194

    .. data:: tunnel_destination_not_configured = 195

    .. data:: tunnel_unable2resolve_source_ipaddress = 196

    .. data:: tunnel_unable2resolve_destination_ipaddress = 197

    .. data:: tunnel_vrf_is_down = 198

    .. data:: sif_admin_down = 199

    .. data:: phy_intf_down = 200

    .. data:: intf_sif_limit_exceeded = 201

    .. data:: insufficient_power = 202

    .. data:: no_fcoe = 203

    .. data:: dcx_compat_mismatch = 204

    .. data:: isolate_bundle_limit_exceeded = 205

    .. data:: sif_not_bound = 206

    .. data:: err_disable_lacp_miscfg = 207

    .. data:: errdisabled_pkt_err = 208

    .. data:: vlan_vsan_mapping_not_enabled = 209

    .. data:: stp_not_forwarding_in_fcoe_mapped_vlan = 210

    .. data:: module_offline = 211

    .. data:: stp_inconsist_vpc_peerlink_errdisable = 212

    .. data:: set_port_state_failed_errdisable = 213

    .. data:: tunnel_source_down = 214

    .. data:: cdp_info_not_avail = 215

    .. data:: fcot_clk_rate_mismatch = 216

    .. data:: port_guard_down_on_trustsec_violation = 217

    .. data:: wait_for_flogi = 218

    .. data:: npiv_not_enabled_in_upstream = 219

    .. data:: vsan_mismatch_with_upstream_switch_port = 220

    .. data:: port_guard_bit_error_rate = 221

    .. data:: port_guard_signal_loss = 222

    .. data:: port_guard_sync_loss = 223

    .. data:: port_guard_link_reset = 224

    .. data:: port_guard_credit_loss = 225

    .. data:: ipqos_mgr_policy_app_failed = 226

    .. data:: pause_rate_limit_errdisable = 227

    .. data:: lstgrp_uplink_down = 228

    .. data:: sticky_down_on_link_failure = 229

    .. data:: dcx_multiple_msap_ids_errdisable = 230

    .. data:: dcx_100_pdus_rcvd_noack_errdisable = 231

    .. data:: enm_sat_incompat_uplink = 232

    .. data:: enm_loop_detected = 233

    .. data:: sub_group_id_not_assigned = 234

    .. data:: vem_unlicensed = 235

    .. data:: profile_not_found = 236

    .. data:: vlan_does_not_exist = 237

    .. data:: vlan_type = 238

    .. data:: vlan_down = 239

    .. data:: vpc_peer_upgrade = 240

    .. data:: non_cisco_hba_vftag = 241

    .. data:: domain_id_config_mismatch = 242

    .. data:: xcvr_absent = 243

    .. data:: vfc_binding_invalid = 244

    .. data:: vlan_not_fcoe_enabled = 245

    .. data:: pvlan_native_vlan_err = 246

    .. data:: eth_l2_vlan_down = 247

    .. data:: eth_intf_invalid_binding = 248

    .. data:: pmon_failure = 249

    .. data:: l3_not_ready = 250

    .. data:: speed_mismatch = 251

    .. data:: flowcontrol_mismatch = 252

    .. data:: vdc_mode = 253

    .. data:: enm_pin_fail_link_down = 254

    .. data:: inactive_m1_port_fpath_access_vlan = 255

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    admin_down = Enum.YLeaf(2, "admin-down")

    link_down = Enum.YLeaf(3, "link-down")

    fail = Enum.YLeaf(4, "fail")

    no_license = Enum.YLeaf(5, "no-license")

    link_up = Enum.YLeaf(6, "link-up")

    hw_fail = Enum.YLeaf(7, "hw-fail")

    sw_fail = Enum.YLeaf(8, "sw-fail")

    err_disabled = Enum.YLeaf(9, "err-disabled")

    sfp_missing = Enum.YLeaf(10, "sfp-missing")

    loopback_diag_failure = Enum.YLeaf(11, "loopback-diag-failure")

    udld_unidir_detected = Enum.YLeaf(12, "udld-unidir-detected")

    udld_tx_rx_loop = Enum.YLeaf(13, "udld-tx-rx-loop")

    udld_neighbor_mismatch = Enum.YLeaf(14, "udld-neighbor-mismatch")

    udld_empty_echo = Enum.YLeaf(15, "udld-empty-echo")

    udld_aggressive_mode_link_failed = Enum.YLeaf(16, "udld-aggressive-mode-link-failed")

    link_flap_err = Enum.YLeaf(17, "link-flap-err")

    err_disabled_ip_conflict = Enum.YLeaf(18, "err-disabled-ip-conflict")

    ipqos_dcbxp_compat_failure = Enum.YLeaf(19, "ipqos-dcbxp-compat-failure")

    link_failure = Enum.YLeaf(20, "link-failure")

    offline = Enum.YLeaf(21, "offline")

    initializing = Enum.YLeaf(22, "initializing")

    inactive = Enum.YLeaf(23, "inactive")

    channel_admin_down = Enum.YLeaf(24, "channel-admin-down")

    channel_err_disabled = Enum.YLeaf(25, "channel-err-disabled")

    suspended = Enum.YLeaf(26, "suspended")

    proto_port_suspend = Enum.YLeaf(27, "proto-port-suspend")

    channel_membership_update_in_progress = Enum.YLeaf(28, "channel-membership-update-in-progress")

    parent_down = Enum.YLeaf(29, "parent-down")

    parent_admin_down = Enum.YLeaf(30, "parent-admin-down")

    interface_removed = Enum.YLeaf(31, "interface-removed")

    fcot_no_present = Enum.YLeaf(32, "fcot-no-present")

    fcot_vendor_not_supported = Enum.YLeaf(33, "fcot-vendor-not-supported")

    incompatible_admin_mode = Enum.YLeaf(34, "incompatible-admin-mode")

    incompatible_admin_speed = Enum.YLeaf(35, "incompatible-admin-speed")

    suspended_by_mode = Enum.YLeaf(36, "suspended-by-mode")

    suspended_by_speed = Enum.YLeaf(37, "suspended-by-speed")

    domain_max_retransmission_failure = Enum.YLeaf(38, "domain-max-retransmission-failure")

    loopback_isolation = Enum.YLeaf(39, "loopback-isolation")

    upgrade_in_progress = Enum.YLeaf(40, "upgrade-in-progress")

    port_channel_members_down = Enum.YLeaf(41, "port-channel-members-down")

    ethernet_link_down = Enum.YLeaf(42, "ethernet-link-down")

    ethernet_interface_down = Enum.YLeaf(43, "ethernet-interface-down")

    admin_config_change = Enum.YLeaf(44, "admin-config-change")

    module_removed = Enum.YLeaf(45, "module-removed")

    vrf_unusable = Enum.YLeaf(46, "vrf-unusable")

    none = Enum.YLeaf(47, "none")

    xcvr_initializing = Enum.YLeaf(48, "xcvr-initializing")

    cap_absent = Enum.YLeaf(49, "cap-absent")

    sfp_eth_compliant_err = Enum.YLeaf(50, "sfp-eth-compliant-err")

    sdp_timeout = Enum.YLeaf(51, "sdp-timeout")

    sat_incompat_topo = Enum.YLeaf(52, "sat-incompat-topo")

    sat_not_configured = Enum.YLeaf(53, "sat-not-configured")

    auth_fail = Enum.YLeaf(54, "auth-fail")

    auth_pending = Enum.YLeaf(55, "auth-pending")

    suspended_due_to_minlinks = Enum.YLeaf(56, "suspended-due-to-minlinks")

    suspended_due_to_no_lacp_pdus = Enum.YLeaf(57, "suspended-due-to-no-lacp-pdus")

    sat_fabric_if_down = Enum.YLeaf(58, "sat-fabric-if-down")

    invalid_sat_fabric_if = Enum.YLeaf(59, "invalid-sat-fabric-if")

    fex_sfp_invalid = Enum.YLeaf(60, "fex-sfp-invalid")

    suspend_by_mtu = Enum.YLeaf(61, "suspend-by-mtu")

    suspend_by_vpc = Enum.YLeaf(62, "suspend-by-vpc")

    router_mac_failure = Enum.YLeaf(63, "router-mac-failure")

    xcvr_auth_failed = Enum.YLeaf(64, "xcvr-auth-failed")

    non_sticky_externally_disabled = Enum.YLeaf(65, "non-sticky-externally-disabled")

    sfp_speed_mismatch = Enum.YLeaf(66, "sfp-speed-mismatch")

    fcot_chksum_err = Enum.YLeaf(67, "fcot-chksum-err")

    xcvr_invalid = Enum.YLeaf(68, "xcvr-invalid")

    vpc_peer_link_down = Enum.YLeaf(69, "vpc-peer-link-down")

    vpc_cfg_in_progress = Enum.YLeaf(70, "vpc-cfg-in-progress")

    vpc_no_response_from_peer = Enum.YLeaf(71, "vpc-no-response-from-peer")

    bpdu_guard_err_disable = Enum.YLeaf(72, "bpdu-guard-err-disable")

    hot_standby_in_bundle = Enum.YLeaf(73, "hot-standby-in-bundle")

    handshake_fail_errdisable = Enum.YLeaf(74, "handshake-fail-errdisable")

    non_participating = Enum.YLeaf(75, "non-participating")

    rcf_in_progress = Enum.YLeaf(76, "rcf-in-progress")

    elp_failure_isolation = Enum.YLeaf(77, "elp-failure-isolation")

    esc_failure_isolation = Enum.YLeaf(78, "esc-failure-isolation")

    domain_overlap_isolation = Enum.YLeaf(79, "domain-overlap-isolation")

    domain_addr_assign_failure_isolation = Enum.YLeaf(80, "domain-addr-assign-failure-isolation")

    domain_other_side_eport_isolated = Enum.YLeaf(81, "domain-other-side-eport-isolated")

    domain_invalid_rcf_received = Enum.YLeaf(82, "domain-invalid-rcf-received")

    domain_manager_disabled = Enum.YLeaf(83, "domain-manager-disabled")

    zone_merge_failure_isolation = Enum.YLeaf(84, "zone-merge-failure-isolation")

    vsan_mismatch_isolation = Enum.YLeaf(85, "vsan-mismatch-isolation")

    src_port_not_bound = Enum.YLeaf(86, "src-port-not-bound")

    suspended_by_wwn = Enum.YLeaf(87, "suspended-by-wwn")

    epp_failure = Enum.YLeaf(88, "epp-failure")

    port_vsan_mismatch_isolation = Enum.YLeaf(89, "port-vsan-mismatch-isolation")

    incompatible_admin_rxbbcredit = Enum.YLeaf(90, "incompatible-admin-rxbbcredit")

    incompatible_admin_rxbufsize = Enum.YLeaf(91, "incompatible-admin-rxbufsize")

    zone_remote_no_resp_isolation = Enum.YLeaf(92, "zone-remote-no-resp-isolation")

    osm_e_port_up = Enum.YLeaf(93, "osm-e-port-up")

    osm_non_e_port_up = Enum.YLeaf(94, "osm-non-e-port-up")

    peer_fcip_closed_tcp_connection = Enum.YLeaf(95, "peer-fcip-closed-tcp-connection")

    peer_fcip_reset_tcp_connection = Enum.YLeaf(96, "peer-fcip-reset-tcp-connection")

    tcp_max_retransmissions = Enum.YLeaf(97, "tcp-max-retransmissions")

    tcp_keep_alive_timer_expired = Enum.YLeaf(98, "tcp-keep-alive-timer-expired")

    tcp_persist_timer_expired = Enum.YLeaf(99, "tcp-persist-timer-expired")

    tunnel_src_port_removed = Enum.YLeaf(100, "tunnel-src-port-removed")

    tunnel_src_module_not_online = Enum.YLeaf(101, "tunnel-src-module-not-online")

    invalid_config = Enum.YLeaf(102, "invalid-config")

    port_bind_failure = Enum.YLeaf(103, "port-bind-failure")

    fabric_bind_failure = Enum.YLeaf(104, "fabric-bind-failure")

    no_trunk_oper_vsans_isolation = Enum.YLeaf(105, "no-trunk-oper-vsans-isolation")

    ficon_vsan_down = Enum.YLeaf(106, "ficon-vsan-down")

    invalid_attachment = Enum.YLeaf(107, "invalid-attachment")

    port_blocked = Enum.YLeaf(108, "port-blocked")

    incompatible_admin_rxbbcredit_performance_buf = Enum.YLeaf(109, "incompatible-admin-rxbbcredit-performance-buf")

    too_many_invalid_flogis = Enum.YLeaf(110, "too-many-invalid-flogis")

    denied_due_to_port_binding = Enum.YLeaf(111, "denied-due-to-port-binding")

    elp_failure_revision_mismatch = Enum.YLeaf(112, "elp-failure-revision-mismatch")

    elp_failure_classf_param_err = Enum.YLeaf(113, "elp-failure-classf-param-err")

    elp_failure_classn_param_err = Enum.YLeaf(114, "elp-failure-classn-param-err")

    elp_failure_unknown_flow_ctl_code = Enum.YLeaf(115, "elp-failure-unknown-flow-ctl-code")

    elp_failure_invalid_flow_ctl_param = Enum.YLeaf(116, "elp-failure-invalid-flow-ctl-param")

    elp_failure_invalid_port_name = Enum.YLeaf(117, "elp-failure-invalid-port-name")

    elp_failure_invalid_switch_name = Enum.YLeaf(118, "elp-failure-invalid-switch-name")

    elp_failure_ratov_edtov_mismatch = Enum.YLeaf(119, "elp-failure-ratov-edtov-mismatch")

    elp_failure_loopback_detected = Enum.YLeaf(120, "elp-failure-loopback-detected")

    elp_failure_invalid_tx_bbcredit = Enum.YLeaf(121, "elp-failure-invalid-tx-bbcredit")

    elp_failure_invalid_payload_size = Enum.YLeaf(122, "elp-failure-invalid-payload-size")

    bundle_miscfg = Enum.YLeaf(123, "bundle-miscfg")

    bit_err_rt_thres_exceeded = Enum.YLeaf(124, "bit-err-rt-thres-exceeded")

    link_fail_link_reset = Enum.YLeaf(125, "link-fail-link-reset")

    link_fail_port_init_failed = Enum.YLeaf(126, "link-fail-port-init-failed")

    link_fail_port_unusable = Enum.YLeaf(127, "link-fail-port-unusable")

    link_fail_loss_of_signal = Enum.YLeaf(128, "link-fail-loss-of-signal")

    link_fail_loss_of_sync = Enum.YLeaf(129, "link-fail-loss-of-sync")

    link_fail_nos_rcvd = Enum.YLeaf(130, "link-fail-nos-rcvd")

    link_fail_ols_rcvd = Enum.YLeaf(131, "link-fail-ols-rcvd")

    link_fail_debounce_timeout = Enum.YLeaf(132, "link-fail-debounce-timeout")

    link_fail_lr_rcvd_b2b = Enum.YLeaf(133, "link-fail-lr-rcvd-b2b")

    link_fail_credit_loss = Enum.YLeaf(134, "link-fail-credit-loss")

    link_fail_rx_que_overflow = Enum.YLeaf(135, "link-fail-rx-que-overflow")

    link_fail_too_many_intr = Enum.YLeaf(136, "link-fail-too-many-intr")

    link_fail_lip_rcvd_b2b = Enum.YLeaf(137, "link-fail-lip-rcvd-b2b")

    link_fail_credit_loss_b2b = Enum.YLeaf(138, "link-fail-credit-loss-b2b")

    link_fail_opny_tmo_b2b = Enum.YLeaf(139, "link-fail-opny-tmo-b2b")

    link_fail_opny_ret_b2b = Enum.YLeaf(140, "link-fail-opny-ret-b2b")

    link_fail_lip_f8_rcvd = Enum.YLeaf(141, "link-fail-lip-f8-rcvd")

    link_fail_line_card_port_shutdown = Enum.YLeaf(142, "link-fail-line-card-port-shutdown")

    fcsp_authent_failure = Enum.YLeaf(143, "fcsp-authent-failure")

    ohms_external_lb_test = Enum.YLeaf(144, "ohms-external-lb-test")

    invalid_fabric_binding_exchange = Enum.YLeaf(145, "invalid-fabric-binding-exchange")

    tov_mismatch = Enum.YLeaf(146, "tov-mismatch")

    ficon_not_enabled = Enum.YLeaf(147, "ficon-not-enabled")

    ficon_no_portnumber = Enum.YLeaf(148, "ficon-no-portnumber")

    ficon_being_enabled = Enum.YLeaf(149, "ficon-being-enabled")

    eport_prohibited = Enum.YLeaf(150, "eport-prohibited")

    trunk_not_fully_active = Enum.YLeaf(151, "trunk-not-fully-active")

    fabric_binding_swwn_not_found = Enum.YLeaf(152, "fabric-binding-swwn-not-found")

    fabric_binding_domain_invalid = Enum.YLeaf(153, "fabric-binding-domain-invalid")

    fabric_binding_database_mismatch = Enum.YLeaf(154, "fabric-binding-database-mismatch")

    fabric_binding_peer_not_responding = Enum.YLeaf(155, "fabric-binding-peer-not-responding")

    tracked_port_down = Enum.YLeaf(156, "tracked-port-down")

    ec_suspended_for_loop = Enum.YLeaf(157, "ec-suspended-for-loop")

    isolate_bundle_miscfg = Enum.YLeaf(158, "isolate-bundle-miscfg")

    peer_not_support_bundles = Enum.YLeaf(159, "peer-not-support-bundles")

    port_bringup_isolation = Enum.YLeaf(160, "port-bringup-isolation")

    domain_not_allowed_isolation = Enum.YLeaf(161, "domain-not-allowed-isolation")

    virtual_ivr_domain_overlap_isolation = Enum.YLeaf(162, "virtual-ivr-domain-overlap-isolation")

    out_of_service = Enum.YLeaf(163, "out-of-service")

    bundle_stdby = Enum.YLeaf(164, "bundle-stdby")

    port_cap_fc_port_connector_type_err = Enum.YLeaf(165, "port-cap-fc-port-connector-type-err")

    error_disabled_reinit_limit_reached = Enum.YLeaf(166, "error-disabled-reinit-limit-reached")

    ficon_vsan_duplicate_portnum = Enum.YLeaf(167, "ficon-vsan-duplicate-portnum")

    internal_rcf_in_progress = Enum.YLeaf(168, "internal-rcf-in-progress")

    two_switches_with_same_wwn = Enum.YLeaf(169, "two-switches-with-same-wwn")

    invalid_other_princ_efp_req_recd = Enum.YLeaf(170, "invalid-other-princ-efp-req-recd")

    domain_isolation_unknown_reason = Enum.YLeaf(171, "domain-isolation-unknown-reason")

    elp_failure_all_zero_peer_wwn_rcvd = Enum.YLeaf(172, "elp-failure-all-zero-peer-wwn-rcvd")

    prefered_path_isolation = Enum.YLeaf(173, "prefered-path-isolation")

    fc_redirect_isolation = Enum.YLeaf(174, "fc-redirect-isolation")

    port_act_license_not_available = Enum.YLeaf(175, "port-act-license-not-available")

    sdm_isolation = Enum.YLeaf(176, "sdm-isolation")

    fcid_allocation_failed = Enum.YLeaf(177, "fcid-allocation-failed")

    externally_disabled = Enum.YLeaf(178, "externally-disabled")

    fcot_read_error = Enum.YLeaf(179, "fcot-read-error")

    port_guard_down_on_link_failure = Enum.YLeaf(180, "port-guard-down-on-link-failure")

    incomplete_config = Enum.YLeaf(181, "incomplete-config")

    incomplete_tunnel_config = Enum.YLeaf(182, "incomplete-tunnel-config")

    hw_programming_failed = Enum.YLeaf(183, "hw-programming-failed")

    tunnel_dest_not_reachable = Enum.YLeaf(184, "tunnel-dest-not-reachable")

    sfp_invalid = Enum.YLeaf(185, "sfp-invalid")

    tunnel_vrf_mismatch = Enum.YLeaf(186, "tunnel-vrf-mismatch")

    tunnel_vrf_fw_ref = Enum.YLeaf(187, "tunnel-vrf-fw-ref")

    duplicate_tunnel_cfg = Enum.YLeaf(188, "duplicate-tunnel-cfg")

    primary_vlan_down = Enum.YLeaf(189, "primary-vlan-down")

    dot1x_security_errdisable = Enum.YLeaf(190, "dot1x-security-errdisable")

    vf_tagging_capability_err = Enum.YLeaf(191, "vf-tagging-capability-err")

    port_disabled = Enum.YLeaf(192, "port-disabled")

    tunnel_mode_not_configured = Enum.YLeaf(193, "tunnel-mode-not-configured")

    tunnel_source_not_configured = Enum.YLeaf(194, "tunnel-source-not-configured")

    tunnel_destination_not_configured = Enum.YLeaf(195, "tunnel-destination-not-configured")

    tunnel_unable2resolve_source_ipaddress = Enum.YLeaf(196, "tunnel-unable2resolve-source-ipaddress")

    tunnel_unable2resolve_destination_ipaddress = Enum.YLeaf(197, "tunnel-unable2resolve-destination-ipaddress")

    tunnel_vrf_is_down = Enum.YLeaf(198, "tunnel-vrf-is-down")

    sif_admin_down = Enum.YLeaf(199, "sif-admin-down")

    phy_intf_down = Enum.YLeaf(200, "phy-intf-down")

    intf_sif_limit_exceeded = Enum.YLeaf(201, "intf-sif-limit-exceeded")

    insufficient_power = Enum.YLeaf(202, "insufficient-power")

    no_fcoe = Enum.YLeaf(203, "no-fcoe")

    dcx_compat_mismatch = Enum.YLeaf(204, "dcx-compat-mismatch")

    isolate_bundle_limit_exceeded = Enum.YLeaf(205, "isolate-bundle-limit-exceeded")

    sif_not_bound = Enum.YLeaf(206, "sif-not-bound")

    err_disable_lacp_miscfg = Enum.YLeaf(207, "err-disable-lacp-miscfg")

    errdisabled_pkt_err = Enum.YLeaf(208, "errdisabled-pkt-err")

    vlan_vsan_mapping_not_enabled = Enum.YLeaf(209, "vlan-vsan-mapping-not-enabled")

    stp_not_forwarding_in_fcoe_mapped_vlan = Enum.YLeaf(210, "stp-not-forwarding-in-fcoe-mapped-vlan")

    module_offline = Enum.YLeaf(211, "module-offline")

    stp_inconsist_vpc_peerlink_errdisable = Enum.YLeaf(212, "stp-inconsist-vpc-peerlink-errdisable")

    set_port_state_failed_errdisable = Enum.YLeaf(213, "set-port-state-failed-errdisable")

    tunnel_source_down = Enum.YLeaf(214, "tunnel-source-down")

    cdp_info_not_avail = Enum.YLeaf(215, "cdp-info-not-avail")

    fcot_clk_rate_mismatch = Enum.YLeaf(216, "fcot-clk-rate-mismatch")

    port_guard_down_on_trustsec_violation = Enum.YLeaf(217, "port-guard-down-on-trustsec-violation")

    wait_for_flogi = Enum.YLeaf(218, "wait-for-flogi")

    npiv_not_enabled_in_upstream = Enum.YLeaf(219, "npiv-not-enabled-in-upstream")

    vsan_mismatch_with_upstream_switch_port = Enum.YLeaf(220, "vsan-mismatch-with-upstream-switch-port")

    port_guard_bit_error_rate = Enum.YLeaf(221, "port-guard-bit-error-rate")

    port_guard_signal_loss = Enum.YLeaf(222, "port-guard-signal-loss")

    port_guard_sync_loss = Enum.YLeaf(223, "port-guard-sync-loss")

    port_guard_link_reset = Enum.YLeaf(224, "port-guard-link-reset")

    port_guard_credit_loss = Enum.YLeaf(225, "port-guard-credit-loss")

    ipqos_mgr_policy_app_failed = Enum.YLeaf(226, "ipqos-mgr-policy-app-failed")

    pause_rate_limit_errdisable = Enum.YLeaf(227, "pause-rate-limit-errdisable")

    lstgrp_uplink_down = Enum.YLeaf(228, "lstgrp-uplink-down")

    sticky_down_on_link_failure = Enum.YLeaf(229, "sticky-down-on-link-failure")

    dcx_multiple_msap_ids_errdisable = Enum.YLeaf(230, "dcx-multiple-msap-ids-errdisable")

    dcx_100_pdus_rcvd_noack_errdisable = Enum.YLeaf(231, "dcx-100-pdus-rcvd-noack-errdisable")

    enm_sat_incompat_uplink = Enum.YLeaf(232, "enm-sat-incompat-uplink")

    enm_loop_detected = Enum.YLeaf(233, "enm-loop-detected")

    sub_group_id_not_assigned = Enum.YLeaf(234, "sub-group-id-not-assigned")

    vem_unlicensed = Enum.YLeaf(235, "vem-unlicensed")

    profile_not_found = Enum.YLeaf(236, "profile-not-found")

    vlan_does_not_exist = Enum.YLeaf(237, "vlan-does-not-exist")

    vlan_type = Enum.YLeaf(238, "vlan-type")

    vlan_down = Enum.YLeaf(239, "vlan-down")

    vpc_peer_upgrade = Enum.YLeaf(240, "vpc-peer-upgrade")

    non_cisco_hba_vftag = Enum.YLeaf(241, "non-cisco-hba-vftag")

    domain_id_config_mismatch = Enum.YLeaf(242, "domain-id-config-mismatch")

    xcvr_absent = Enum.YLeaf(243, "xcvr-absent")

    vfc_binding_invalid = Enum.YLeaf(244, "vfc-binding-invalid")

    vlan_not_fcoe_enabled = Enum.YLeaf(245, "vlan-not-fcoe-enabled")

    pvlan_native_vlan_err = Enum.YLeaf(246, "pvlan-native-vlan-err")

    eth_l2_vlan_down = Enum.YLeaf(247, "eth-l2-vlan-down")

    eth_intf_invalid_binding = Enum.YLeaf(248, "eth-intf-invalid-binding")

    pmon_failure = Enum.YLeaf(249, "pmon-failure")

    l3_not_ready = Enum.YLeaf(250, "l3-not-ready")

    speed_mismatch = Enum.YLeaf(251, "speed-mismatch")

    flowcontrol_mismatch = Enum.YLeaf(252, "flowcontrol-mismatch")

    vdc_mode = Enum.YLeaf(253, "vdc-mode")

    enm_pin_fail_link_down = Enum.YLeaf(254, "enm-pin-fail-link-down")

    inactive_m1_port_fpath_access_vlan = Enum.YLeaf(255, "inactive-m1-port-fpath-access-vlan")


class L1PacketTimestampState(Enum):
    """
    L1PacketTimestampState (Enum Class)

    .. data:: disable = 0

    .. data:: enable_ingress = 1

    .. data:: enable_egress = 2

    .. data:: enable_both = 3

    """

    disable = Enum.YLeaf(0, "disable")

    enable_ingress = Enum.YLeaf(1, "enable-ingress")

    enable_egress = Enum.YLeaf(2, "enable-egress")

    enable_both = Enum.YLeaf(3, "enable-both")


class L1PhyLayer(Enum):
    """
    L1PhyLayer (Enum Class)

    .. data:: ethernet = 2

    .. data:: sup_inband = 4

    .. data:: eobc = 5

    .. data:: mgmt = 6

    .. data:: max = 8

    """

    ethernet = Enum.YLeaf(2, "ethernet")

    sup_inband = Enum.YLeaf(4, "sup-inband")

    eobc = Enum.YLeaf(5, "eobc")

    mgmt = Enum.YLeaf(6, "mgmt")

    max = Enum.YLeaf(8, "max")


class L1PktT(Enum):
    """
    L1PktT (Enum Class)

    .. data:: bcast = 1

    .. data:: unk_ucast = 2

    .. data:: mcast = 3

    .. data:: all = 4

    """

    bcast = Enum.YLeaf(1, "bcast")

    unk_ucast = Enum.YLeaf(2, "unk-ucast")

    mcast = Enum.YLeaf(3, "mcast")

    all = Enum.YLeaf(4, "all")


class L1PortTypeFabric(Enum):
    """
    L1PortTypeFabric (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class L1RouterMacIpv6Extract(Enum):
    """
    L1RouterMacIpv6Extract (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class L1SnmpTrapSt(Enum):
    """
    L1SnmpTrapSt (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 2

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")


class L1SpanMode(Enum):
    """
    L1SpanMode (Enum Class)

    .. data:: not_a_span_dest = 1

    .. data:: span_dest = 2

    .. data:: span_dest_fwd = 3

    .. data:: span_dest_fwd_learn = 4

    """

    not_a_span_dest = Enum.YLeaf(1, "not-a-span-dest")

    span_dest = Enum.YLeaf(2, "span-dest")

    span_dest_fwd = Enum.YLeaf(3, "span-dest-fwd")

    span_dest_fwd_learn = Enum.YLeaf(4, "span-dest-fwd-learn")


class L1Speed(Enum):
    """
    L1Speed (Enum Class)

    .. data:: unknown = 0

    .. data:: Y_100M = 2

    .. data:: Y_1G = 3

    .. data:: Y_10G = 4

    .. data:: Y_40G = 5

    .. data:: auto = 6

    .. data:: auto_100M = 7

    .. data:: auto_100M_1G = 8

    .. data:: Y_100G = 9

    .. data:: Y_25G = 10

    .. data:: Y_10M = 11

    .. data:: Y_50G = 12

    """

    unknown = Enum.YLeaf(0, "unknown")

    Y_100M = Enum.YLeaf(2, "100M")

    Y_1G = Enum.YLeaf(3, "1G")

    Y_10G = Enum.YLeaf(4, "10G")

    Y_40G = Enum.YLeaf(5, "40G")

    auto = Enum.YLeaf(6, "auto")

    auto_100M = Enum.YLeaf(7, "auto_100M")

    auto_100M_1G = Enum.YLeaf(8, "auto_100M_1G")

    Y_100G = Enum.YLeaf(9, "100G")

    Y_25G = Enum.YLeaf(10, "25G")

    Y_10M = Enum.YLeaf(11, "10M")

    Y_50G = Enum.YLeaf(12, "50G")


class L1SpeedGroup(Enum):
    """
    L1SpeedGroup (Enum Class)

    .. data:: unknown = 0

    .. data:: Y_1000 = 3

    .. data:: Y_25000 = 10

    .. data:: Y_10000 = 4

    .. data:: Y_40000 = 5

    .. data:: auto = 6

    """

    unknown = Enum.YLeaf(0, "unknown")

    Y_1000 = Enum.YLeaf(3, "1000")

    Y_25000 = Enum.YLeaf(10, "25000")

    Y_10000 = Enum.YLeaf(4, "10000")

    Y_40000 = Enum.YLeaf(5, "40000")

    auto = Enum.YLeaf(6, "auto")


class L1SwitchingSt(Enum):
    """
    L1SwitchingSt (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")


class L1SwitchportMacLearn(Enum):
    """
    L1SwitchportMacLearn (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class L1SwitchportVirtualEthernetBridge(Enum):
    """
    L1SwitchportVirtualEthernetBridge (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class L1TrunkLog(Enum):
    """
    L1TrunkLog (Enum Class)

    .. data:: default = 1

    .. data:: enable = 2

    .. data:: disable = 3

    """

    default = Enum.YLeaf(1, "default")

    enable = Enum.YLeaf(2, "enable")

    disable = Enum.YLeaf(3, "disable")


class L1TxT(Enum):
    """
    L1TxT (Enum Class)

    .. data:: unknown = 1

    .. data:: LL = 2

    .. data:: SN = 3

    .. data:: LC = 4

    .. data:: EL = 5

    .. data:: Y_10GBASE_SR = 6

    .. data:: Y_10GBASE_LR = 7

    .. data:: Y_10GBASE_ER = 8

    .. data:: Y_10GBASE_LX4 = 9

    .. data:: Y_10GBASE_SW = 10

    .. data:: Y_10GBASE_LW = 11

    .. data:: Y_10GBASE_EW = 12

    """

    unknown = Enum.YLeaf(1, "unknown")

    LL = Enum.YLeaf(2, "LL")

    SN = Enum.YLeaf(3, "SN")

    LC = Enum.YLeaf(4, "LC")

    EL = Enum.YLeaf(5, "EL")

    Y_10GBASE_SR = Enum.YLeaf(6, "10GBASE-SR")

    Y_10GBASE_LR = Enum.YLeaf(7, "10GBASE-LR")

    Y_10GBASE_ER = Enum.YLeaf(8, "10GBASE-ER")

    Y_10GBASE_LX4 = Enum.YLeaf(9, "10GBASE-LX4")

    Y_10GBASE_SW = Enum.YLeaf(10, "10GBASE-SW")

    Y_10GBASE_LW = Enum.YLeaf(11, "10GBASE-LW")

    Y_10GBASE_EW = Enum.YLeaf(12, "10GBASE-EW")


class L1VdcSt(Enum):
    """
    L1VdcSt (Enum Class)

    .. data:: not_created = 0

    .. data:: created = 1

    .. data:: cleanup = 2

    """

    not_created = Enum.YLeaf(0, "not-created")

    created = Enum.YLeaf(1, "created")

    cleanup = Enum.YLeaf(2, "cleanup")


class L1VoiceVlanType(Enum):
    """
    L1VoiceVlanType (Enum Class)

    .. data:: none = 0

    .. data:: tagged = 1

    .. data:: dot1p = 2

    .. data:: untagged = 3

    """

    none = Enum.YLeaf(0, "none")

    tagged = Enum.YLeaf(1, "tagged")

    dot1p = Enum.YLeaf(2, "dot1p")

    untagged = Enum.YLeaf(3, "untagged")


class L1capSubj(Enum):
    """
    L1capSubj (Enum Class)

    .. data:: unknown = 0

    .. data:: pc_namespace = 1

    .. data:: ethport = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    pc_namespace = Enum.YLeaf(1, "pc-namespace")

    ethport = Enum.YLeaf(2, "ethport")


class L2AssocOperSt(Enum):
    """
    L2AssocOperSt (Enum Class)

    .. data:: oper = 0

    .. data:: non_oper = 1

    """

    oper = Enum.YLeaf(0, "oper")

    non_oper = Enum.YLeaf(1, "non-oper")


class L2BridgeMode(Enum):
    """
    L2BridgeMode (Enum Class)

    .. data:: ip = 1

    .. data:: mac = 2

    """

    ip = Enum.YLeaf(1, "ip")

    mac = Enum.YLeaf(2, "mac")


class L2CreateState(Enum):
    """
    L2CreateState (Enum Class)

    .. data:: created = 1

    .. data:: removed = 2

    .. data:: deleted_and_stale = 3

    """

    created = Enum.YLeaf(1, "created")

    removed = Enum.YLeaf(2, "removed")

    deleted_and_stale = Enum.YLeaf(3, "deleted-and-stale")


class L2Disablefka(Enum):
    """
    L2Disablefka (Enum Class)

    .. data:: not_set = 0

    .. data:: set = 1

    """

    not_set = Enum.YLeaf(0, "not_set")

    set = Enum.YLeaf(1, "set")


class L2DomAdminSt(Enum):
    """
    L2DomAdminSt (Enum Class)

    .. data:: suspend = 1

    .. data:: active = 2

    """

    suspend = Enum.YLeaf(1, "suspend")

    active = Enum.YLeaf(2, "active")


class L2DomMode(Enum):
    """
    L2DomMode (Enum Class)

    .. data:: CE = 1

    .. data:: FabricPath = 2

    """

    CE = Enum.YLeaf(1, "CE")

    FabricPath = Enum.YLeaf(2, "FabricPath")


class L2DomOperSt(Enum):
    """
    L2DomOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    .. data:: unknown = 3

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    unknown = Enum.YLeaf(3, "unknown")


class L2DomType(Enum):
    """
    L2DomType (Enum Class)

    .. data:: bd_regular = 1

    .. data:: bd_reserved = 2

    .. data:: bd_control = 3

    .. data:: bd_external = 4

    .. data:: ckt_vlan = 5

    .. data:: ckt_vxlan = 6

    """

    bd_regular = Enum.YLeaf(1, "bd-regular")

    bd_reserved = Enum.YLeaf(2, "bd-reserved")

    bd_control = Enum.YLeaf(3, "bd-control")

    bd_external = Enum.YLeaf(4, "bd-external")

    ckt_vlan = Enum.YLeaf(5, "ckt-vlan")

    ckt_vxlan = Enum.YLeaf(6, "ckt-vxlan")


class L2EnfPref(Enum):
    """
    L2EnfPref (Enum Class)

    .. data:: sw = 1

    .. data:: hw = 2

    """

    sw = Enum.YLeaf(1, "sw")

    hw = Enum.YLeaf(2, "hw")


class L2EtherType(Enum):
    """
    L2EtherType (Enum Class)

    .. data:: unspecified = 0

    .. data:: arp = 2054

    .. data:: trill = 8947

    .. data:: mpls_ucast = 34887

    .. data:: mac_security = 35045

    .. data:: fcoe = 35078

    .. data:: ip = 43981

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    arp = Enum.YLeaf(2054, "arp")

    trill = Enum.YLeaf(8947, "trill")

    mpls_ucast = Enum.YLeaf(34887, "mpls_ucast")

    mac_security = Enum.YLeaf(35045, "mac_security")

    fcoe = Enum.YLeaf(35078, "fcoe")

    ip = Enum.YLeaf(43981, "ip")


class L2MacInfo(Enum):
    """
    L2MacInfo (Enum Class)

    .. data:: standard = 0

    .. data:: drop = 1

    .. data:: svi_down_flood = 2

    .. data:: sup_inband_cfsoe = 3

    .. data:: vpc_peer_link = 4

    .. data:: nve = 5

    .. data:: sup_eth = 6

    """

    standard = Enum.YLeaf(0, "standard")

    drop = Enum.YLeaf(1, "drop")

    svi_down_flood = Enum.YLeaf(2, "svi-down-flood")

    sup_inband_cfsoe = Enum.YLeaf(3, "sup-inband-cfsoe")

    vpc_peer_link = Enum.YLeaf(4, "vpc-peer-link")

    nve = Enum.YLeaf(5, "nve")

    sup_eth = Enum.YLeaf(6, "sup-eth")


class L2MacType(Enum):
    """
    L2MacType (Enum Class)

    .. data:: unknown = 0

    .. data:: primary = 1

    .. data:: gateway = 2

    .. data:: overlay = 4

    .. data:: primary_vpc_peer = 5

    .. data:: control_plane = 6

    .. data:: vsan = 7

    """

    unknown = Enum.YLeaf(0, "unknown")

    primary = Enum.YLeaf(1, "primary")

    gateway = Enum.YLeaf(2, "gateway")

    overlay = Enum.YLeaf(4, "overlay")

    primary_vpc_peer = Enum.YLeaf(5, "primary-vpc-peer")

    control_plane = Enum.YLeaf(6, "control-plane")

    vsan = Enum.YLeaf(7, "vsan")


class L2Mode(Enum):
    """
    L2Mode (Enum Class)

    .. data:: F = 0

    .. data:: NP = 1

    .. data:: E = 2

    .. data:: TF = 3

    .. data:: TNP = 4

    """

    F = Enum.YLeaf(0, "F")

    NP = Enum.YLeaf(1, "NP")

    E = Enum.YLeaf(2, "E")

    TF = Enum.YLeaf(3, "TF")

    TNP = Enum.YLeaf(4, "TNP")


class L2NativeT(Enum):
    """
    L2NativeT (Enum Class)

    .. data:: regular = 0

    .. data:: native = 1

    .. data:: untagged = 2

    """

    regular = Enum.YLeaf(0, "regular")

    native = Enum.YLeaf(1, "native")

    untagged = Enum.YLeaf(2, "untagged")


class L2PvlanTypes(Enum):
    """
    L2PvlanTypes (Enum Class)

    .. data:: default = 0

    .. data:: primary = 1

    .. data:: community = 2

    .. data:: isolated = 3

    """

    default = Enum.YLeaf(0, "default")

    primary = Enum.YLeaf(1, "primary")

    community = Enum.YLeaf(2, "community")

    isolated = Enum.YLeaf(3, "isolated")


class L2TrafficMapCfgSt(Enum):
    """
    L2TrafficMapCfgSt (Enum Class)

    .. data:: config_success = 0

    .. data:: config_failure = 1

    """

    config_success = Enum.YLeaf(0, "config-success")

    config_failure = Enum.YLeaf(1, "config-failure")


class L2TrunkMode(Enum):
    """
    L2TrunkMode (Enum Class)

    .. data:: off = 0

    .. data:: on = 1

    .. data:: auto = 2

    """

    off = Enum.YLeaf(0, "off")

    on = Enum.YLeaf(1, "on")

    auto = Enum.YLeaf(2, "auto")


class L2XConnect(Enum):
    """
    L2XConnect (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class L2capSubj(Enum):
    """
    L2capSubj (Enum Class)

    .. data:: unknown = 0

    .. data:: vxlan_namespace = 1

    .. data:: nvgre_namespace = 2

    .. data:: domain_namespace = 3

    .. data:: tunnel_namespace = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    vxlan_namespace = Enum.YLeaf(1, "vxlan-namespace")

    nvgre_namespace = Enum.YLeaf(2, "nvgre-namespace")

    domain_namespace = Enum.YLeaf(3, "domain-namespace")

    tunnel_namespace = Enum.YLeaf(4, "tunnel-namespace")


class L2fmLearning(Enum):
    """
    L2fmLearning (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 0

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(0, "disable")


class L3CtxT(Enum):
    """
    L3CtxT (Enum Class)

    .. data:: oob_mgmt = 1

    .. data:: inb_mgmt = 2

    .. data:: tenant = 3

    """

    oob_mgmt = Enum.YLeaf(1, "oob-mgmt")

    inb_mgmt = Enum.YLeaf(2, "inb-mgmt")

    tenant = Enum.YLeaf(3, "tenant")


class L3VrfAdminState(Enum):
    """
    L3VrfAdminState (Enum Class)

    .. data:: shutdown = 1

    .. data:: admin_up = 2

    """

    shutdown = Enum.YLeaf(1, "shutdown")

    admin_up = Enum.YLeaf(2, "admin-up")


class L3VrfGsdbCtxType(Enum):
    """
    L3VrfGsdbCtxType (Enum Class)

    .. data:: vrf = 1

    .. data:: if_ = 2

    .. data:: table = 3

    .. data:: if_table = 4

    .. data:: if_list = 5

    .. data:: purge = 6

    .. data:: vpnid = 7

    .. data:: source_of_origin = 8

    .. data:: route_limits = 9

    """

    vrf = Enum.YLeaf(1, "vrf")

    if_ = Enum.YLeaf(2, "if")

    table = Enum.YLeaf(3, "table")

    if_table = Enum.YLeaf(4, "if-table")

    if_list = Enum.YLeaf(5, "if-list")

    purge = Enum.YLeaf(6, "purge")

    vpnid = Enum.YLeaf(7, "vpnid")

    source_of_origin = Enum.YLeaf(8, "source-of-origin")

    route_limits = Enum.YLeaf(9, "route-limits")


class L3VrfOperState(Enum):
    """
    L3VrfOperState (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class L3VrfOperStateQual(Enum):
    """
    L3VrfOperStateQual (Enum Class)

    .. data:: admin_down = 1

    .. data:: admin_down_pending = 2

    .. data:: delete_holddown = 3

    .. data:: delete_pending = 4

    .. data:: invalid = 5

    .. data:: create_pending = 6

    """

    admin_down = Enum.YLeaf(1, "admin-down")

    admin_down_pending = Enum.YLeaf(2, "admin-down-pending")

    delete_holddown = Enum.YLeaf(3, "delete-holddown")

    delete_pending = Enum.YLeaf(4, "delete-pending")

    invalid = Enum.YLeaf(5, "invalid")

    create_pending = Enum.YLeaf(6, "create-pending")


class L3capSubj(Enum):
    """
    L3capSubj (Enum Class)

    .. data:: unknown = 0

    .. data:: vrf_namespace = 1

    .. data:: lb_namespace = 2

    .. data:: rdnn_namespace = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    vrf_namespace = Enum.YLeaf(1, "vrf-namespace")

    lb_namespace = Enum.YLeaf(2, "lb-namespace")

    rdnn_namespace = Enum.YLeaf(3, "rdnn-namespace")


class LacpSysRole(Enum):
    """
    LacpSysRole (Enum Class)

    .. data:: primary = 1

    .. data:: secondary = 2

    """

    primary = Enum.YLeaf(1, "primary")

    secondary = Enum.YLeaf(2, "secondary")


class LacpTxRate(Enum):
    """
    LacpTxRate (Enum Class)

    .. data:: normal = 1

    .. data:: fast = 2

    """

    normal = Enum.YLeaf(1, "normal")

    fast = Enum.YLeaf(2, "fast")


class LldpAdminSt(Enum):
    """
    LldpAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class LldpPortIdSubType(Enum):
    """
    LldpPortIdSubType (Enum Class)

    .. data:: long = 0

    .. data:: short = 1

    """

    long = Enum.YLeaf(0, "long")

    short = Enum.YLeaf(1, "short")


class M6ribDbT(Enum):
    """
    M6ribDbT (Enum Class)

    .. data:: client = 0

    .. data:: memest = 1

    .. data:: vrf = 2

    """

    client = Enum.YLeaf(0, "client")

    memest = Enum.YLeaf(1, "memest")

    vrf = Enum.YLeaf(2, "vrf")


class M6ribEhType(Enum):
    """
    M6ribEhType (Enum Class)

    .. data:: cli = 0

    .. data:: mdt = 1

    .. data:: mfdmDebugs = 2

    .. data:: mfdmEvents = 3

    .. data:: mfdmStats = 4

    .. data:: notyClients = 5

    .. data:: rib = 6

    .. data:: ribSum = 7

    .. data:: urib = 8

    .. data:: vrf = 9

    """

    cli = Enum.YLeaf(0, "cli")

    mdt = Enum.YLeaf(1, "mdt")

    mfdmDebugs = Enum.YLeaf(2, "mfdmDebugs")

    mfdmEvents = Enum.YLeaf(3, "mfdmEvents")

    mfdmStats = Enum.YLeaf(4, "mfdmStats")

    notyClients = Enum.YLeaf(5, "notyClients")

    rib = Enum.YLeaf(6, "rib")

    ribSum = Enum.YLeaf(7, "ribSum")

    urib = Enum.YLeaf(8, "urib")

    vrf = Enum.YLeaf(9, "vrf")


class M6ribHoldAdminSt(Enum):
    """
    M6ribHoldAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class McastFiltMode(Enum):
    """
    McastFiltMode (Enum Class)

    .. data:: include = 1

    .. data:: exclude = 2

    """

    include = Enum.YLeaf(1, "include")

    exclude = Enum.YLeaf(2, "exclude")


class McastVer(Enum):
    """
    McastVer (Enum Class)

    .. data:: unspecified = 0

    """

    unspecified = Enum.YLeaf(0, "unspecified")


class McastfwdEhType(Enum):
    """
    McastfwdEhType (Enum Class)

    .. data:: internal = 0

    .. data:: cli = 1

    .. data:: packet = 2

    .. data:: vrf = 3

    .. data:: l2 = 4

    .. data:: nbm = 5

    """

    internal = Enum.YLeaf(0, "internal")

    cli = Enum.YLeaf(1, "cli")

    packet = Enum.YLeaf(2, "packet")

    vrf = Enum.YLeaf(3, "vrf")

    l2 = Enum.YLeaf(4, "l2")

    nbm = Enum.YLeaf(5, "nbm")


class McpOperSt(Enum):
    """
    McpOperSt (Enum Class)

    .. data:: init = 0

    .. data:: up = 1

    .. data:: down = 3

    """

    init = Enum.YLeaf(0, "init")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(3, "down")


class MockMode(Enum):
    """
    MockMode (Enum Class)

    .. data:: Repeated = 0

    .. data:: Once = 1

    """

    Repeated = Enum.YLeaf(0, "Repeated")

    Once = Enum.YLeaf(1, "Once")


class MonAdminState(Enum):
    """
    MonAdminState (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class MonTransport(Enum):
    """
    MonTransport (Enum Class)

    .. data:: none = 0

    .. data:: tcp = 1

    .. data:: udp = 2

    .. data:: all = 3

    .. data:: tls = 4

    """

    none = Enum.YLeaf(0, "none")

    tcp = Enum.YLeaf(1, "tcp")

    udp = Enum.YLeaf(2, "udp")

    all = Enum.YLeaf(3, "all")

    tls = Enum.YLeaf(4, "tls")


class MonitorDbT(Enum):
    """
    MonitorDbT (Enum Class)

    .. data:: ipep_resolve = 1

    """

    ipep_resolve = Enum.YLeaf(1, "ipep-resolve")


class MonitorDestEncapT(Enum):
    """
    MonitorDestEncapT (Enum Class)

    .. data:: gre = 1

    """

    gre = Enum.YLeaf(1, "gre")


class MonitorDirection(Enum):
    """
    MonitorDirection (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    .. data:: both = 3

    .. data:: none = 4

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")

    both = Enum.YLeaf(3, "both")

    none = Enum.YLeaf(4, "none")


class MonitorErSpanVer(Enum):
    """
    MonitorErSpanVer (Enum Class)

    .. data:: ver2 = 2

    .. data:: ver3 = 3

    """

    ver2 = Enum.YLeaf(2, "ver2")

    ver3 = Enum.YLeaf(3, "ver3")


class MonitorMode(Enum):
    """
    MonitorMode (Enum Class)

    .. data:: access = 1

    .. data:: fabric = 2

    """

    access = Enum.YLeaf(1, "access")

    fabric = Enum.YLeaf(2, "fabric")


class MonitorOperSt(Enum):
    """
    MonitorOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    .. data:: failed = 3

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    failed = Enum.YLeaf(3, "failed")


class MonitorSrcT(Enum):
    """
    MonitorSrcT (Enum Class)

    .. data:: port = 1

    .. data:: encap = 2

    .. data:: port_encap = 3

    """

    port = Enum.YLeaf(1, "port")

    encap = Enum.YLeaf(2, "encap")

    port_encap = Enum.YLeaf(3, "port-encap")


class MplsOperSt(Enum):
    """
    MplsOperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class MplsstaticAfT(Enum):
    """
    MplsstaticAfT (Enum Class)

    .. data:: ipv4_ucast = 1

    .. data:: ipv6_ucast = 2

    """

    ipv4_ucast = Enum.YLeaf(1, "ipv4-ucast")

    ipv6_ucast = Enum.YLeaf(2, "ipv6-ucast")


class MribEhType(Enum):
    """
    MribEhType (Enum Class)

    .. data:: cli = 0

    .. data:: mdt = 1

    .. data:: mfdmDebugs = 2

    .. data:: mfdmEvents = 3

    .. data:: mfdmStats = 4

    .. data:: notyClients = 5

    .. data:: rib = 6

    .. data:: ribSum = 7

    .. data:: urib = 8

    .. data:: vrf = 9

    .. data:: nbm = 10

    """

    cli = Enum.YLeaf(0, "cli")

    mdt = Enum.YLeaf(1, "mdt")

    mfdmDebugs = Enum.YLeaf(2, "mfdmDebugs")

    mfdmEvents = Enum.YLeaf(3, "mfdmEvents")

    mfdmStats = Enum.YLeaf(4, "mfdmStats")

    notyClients = Enum.YLeaf(5, "notyClients")

    rib = Enum.YLeaf(6, "rib")

    ribSum = Enum.YLeaf(7, "ribSum")

    urib = Enum.YLeaf(8, "urib")

    vrf = Enum.YLeaf(9, "vrf")

    nbm = Enum.YLeaf(10, "nbm")


class MribHoldAdminSt(Enum):
    """
    MribHoldAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class MribModeAdminSt(Enum):
    """
    MribModeAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class MribMultipathMode(Enum):
    """
    MribMultipathMode (Enum Class)

    .. data:: none = 1

    .. data:: nbm = 2

    .. data:: null = 3

    .. data:: s_g_hash = 4

    .. data:: legacy = 5

    .. data:: resilient = 6

    .. data:: s_g_hash_next_hop = 7

    """

    none = Enum.YLeaf(1, "none")

    nbm = Enum.YLeaf(2, "nbm")

    null = Enum.YLeaf(3, "null")

    s_g_hash = Enum.YLeaf(4, "s-g-hash")

    legacy = Enum.YLeaf(5, "legacy")

    resilient = Enum.YLeaf(6, "resilient")

    s_g_hash_next_hop = Enum.YLeaf(7, "s-g-hash-next-hop")


class MsdpAuthT(Enum):
    """
    MsdpAuthT (Enum Class)

    .. data:: none = 0

    .. data:: md5 = 1

    """

    none = Enum.YLeaf(0, "none")

    md5 = Enum.YLeaf(1, "md5")


class MsdpDbT(Enum):
    """
    MsdpDbT (Enum Class)

    .. data:: route = 0

    .. data:: source = 1

    """

    route = Enum.YLeaf(0, "route")

    source = Enum.YLeaf(1, "source")


class MsdpEhType(Enum):
    """
    MsdpEhType (Enum Class)

    .. data:: cli = 0

    .. data:: events = 1

    .. data:: msdpInternal = 2

    .. data:: routes = 3

    .. data:: tcp = 4

    """

    cli = Enum.YLeaf(0, "cli")

    events = Enum.YLeaf(1, "events")

    msdpInternal = Enum.YLeaf(2, "msdpInternal")

    routes = Enum.YLeaf(3, "routes")

    tcp = Enum.YLeaf(4, "tcp")


class MsdpOperSt(Enum):
    """
    MsdpOperSt (Enum Class)

    .. data:: inactive = 0

    .. data:: down = 1

    .. data:: admin_down = 2

    .. data:: connecting = 3

    .. data:: listening = 4

    .. data:: established = 5

    """

    inactive = Enum.YLeaf(0, "inactive")

    down = Enum.YLeaf(1, "down")

    admin_down = Enum.YLeaf(2, "admin-down")

    connecting = Enum.YLeaf(3, "connecting")

    listening = Enum.YLeaf(4, "listening")

    established = Enum.YLeaf(5, "established")


class MsdpSource(Enum):
    """
    MsdpSource (Enum Class)

    .. data:: none = 0

    .. data:: pflist = 1

    .. data:: rtmap = 2

    """

    none = Enum.YLeaf(0, "none")

    pflist = Enum.YLeaf(1, "pflist")

    rtmap = Enum.YLeaf(2, "rtmap")


class NbmNbmBwUnitEn(Enum):
    """
    NbmNbmBwUnitEn (Enum Class)

    .. data:: UNSPECIFIED = 0

    .. data:: KBPS = 1

    .. data:: MBPS = 2

    .. data:: GBPS = 3

    """

    UNSPECIFIED = Enum.YLeaf(0, "UNSPECIFIED")

    KBPS = Enum.YLeaf(1, "KBPS")

    MBPS = Enum.YLeaf(2, "MBPS")

    GBPS = Enum.YLeaf(3, "GBPS")


class NbmNbmEndpointRole(Enum):
    """
    NbmNbmEndpointRole (Enum Class)

    .. data:: UNKNOWN = 0

    .. data:: ARP = 1

    .. data:: RECEIVER = 2

    .. data:: RECEIVER_ARP = 3

    .. data:: SENDER = 4

    .. data:: SENDER_ARP = 5

    .. data:: SENDER_RECEIVER = 6

    .. data:: SENDER_RECEIVER_ARP = 7

    """

    UNKNOWN = Enum.YLeaf(0, "UNKNOWN")

    ARP = Enum.YLeaf(1, "ARP")

    RECEIVER = Enum.YLeaf(2, "RECEIVER")

    RECEIVER_ARP = Enum.YLeaf(3, "RECEIVER_ARP")

    SENDER = Enum.YLeaf(4, "SENDER")

    SENDER_ARP = Enum.YLeaf(5, "SENDER_ARP")

    SENDER_RECEIVER = Enum.YLeaf(6, "SENDER_RECEIVER")

    SENDER_RECEIVER_ARP = Enum.YLeaf(7, "SENDER_RECEIVER_ARP")


class NbmNbmFaultType(Enum):
    """
    NbmNbmFaultType (Enum Class)

    .. data:: NONE = 0

    .. data:: POLICYDENIED = 1

    .. data:: POLICYDENIEDSENDER = 2

    .. data:: POLICYDENIEDRECEIVER = 3

    .. data:: RESOURCEUNAVAIL = 4

    .. data:: POLICERUNAVAIL = 5

    .. data:: BWUNAVAIL = 6

    .. data:: EXTBWUNAVAIL = 7

    .. data:: FLOWPOLUNAVAIL = 8

    .. data:: NOUCASTROUTE = 9

    .. data:: FLOWLIMITREACHED = 10

    .. data:: EXTFLOWLIMITREACHED = 11

    .. data:: EXTPOLICYDENIED = 12

    .. data:: EXTPOLICERUNAVAIL = 13

    .. data:: BADIFSTATE = 14

    """

    NONE = Enum.YLeaf(0, "NONE")

    POLICYDENIED = Enum.YLeaf(1, "POLICYDENIED")

    POLICYDENIEDSENDER = Enum.YLeaf(2, "POLICYDENIEDSENDER")

    POLICYDENIEDRECEIVER = Enum.YLeaf(3, "POLICYDENIEDRECEIVER")

    RESOURCEUNAVAIL = Enum.YLeaf(4, "RESOURCEUNAVAIL")

    POLICERUNAVAIL = Enum.YLeaf(5, "POLICERUNAVAIL")

    BWUNAVAIL = Enum.YLeaf(6, "BWUNAVAIL")

    EXTBWUNAVAIL = Enum.YLeaf(7, "EXTBWUNAVAIL")

    FLOWPOLUNAVAIL = Enum.YLeaf(8, "FLOWPOLUNAVAIL")

    NOUCASTROUTE = Enum.YLeaf(9, "NOUCASTROUTE")

    FLOWLIMITREACHED = Enum.YLeaf(10, "FLOWLIMITREACHED")

    EXTFLOWLIMITREACHED = Enum.YLeaf(11, "EXTFLOWLIMITREACHED")

    EXTPOLICYDENIED = Enum.YLeaf(12, "EXTPOLICYDENIED")

    EXTPOLICERUNAVAIL = Enum.YLeaf(13, "EXTPOLICERUNAVAIL")

    BADIFSTATE = Enum.YLeaf(14, "BADIFSTATE")


class NbmNbmFlowOperEn(Enum):
    """
    NbmNbmFlowOperEn (Enum Class)

    .. data:: NOOP = 0

    .. data:: ROUTE_ADD = 1

    .. data:: ROUTE_DEL = 2

    .. data:: UPD_ADD_OIF = 3

    .. data:: UPD_DEL_OIF = 4

    .. data:: LOC_ADD_OIF = 5

    .. data:: LOC_DEL_OIF = 6

    .. data:: UPD_IIF = 7

    .. data:: DENY_POLICY_SRC = 8

    .. data:: SRC_DISCOVERY = 9

    .. data:: SRC_DISC_STOP = 10

    .. data:: Y_11 = 11

    .. data:: Y_12 = 12

    .. data:: Y_13_UNUSED = 13

    .. data:: Y_14 = 14

    .. data:: ALLOW_POLICY_SRC = 15

    .. data:: DENY_POLICY_RCV = 16

    .. data:: ALLOW_POLICY_RCV = 17

    .. data:: Y_18 = 18

    .. data:: Y_19 = 19

    .. data:: Y_20 = 20

    """

    NOOP = Enum.YLeaf(0, "NOOP")

    ROUTE_ADD = Enum.YLeaf(1, "ROUTE_ADD")

    ROUTE_DEL = Enum.YLeaf(2, "ROUTE_DEL")

    UPD_ADD_OIF = Enum.YLeaf(3, "UPD_ADD_OIF")

    UPD_DEL_OIF = Enum.YLeaf(4, "UPD_DEL_OIF")

    LOC_ADD_OIF = Enum.YLeaf(5, "LOC_ADD_OIF")

    LOC_DEL_OIF = Enum.YLeaf(6, "LOC_DEL_OIF")

    UPD_IIF = Enum.YLeaf(7, "UPD_IIF")

    DENY_POLICY_SRC = Enum.YLeaf(8, "DENY_POLICY_SRC")

    SRC_DISCOVERY = Enum.YLeaf(9, "SRC_DISCOVERY")

    SRC_DISC_STOP = Enum.YLeaf(10, "SRC_DISC_STOP")

    Y_11 = Enum.YLeaf(11, "11")

    Y_12 = Enum.YLeaf(12, "12")

    Y_13_UNUSED = Enum.YLeaf(13, "13-UNUSED")

    Y_14 = Enum.YLeaf(14, "14")

    ALLOW_POLICY_SRC = Enum.YLeaf(15, "ALLOW_POLICY_SRC")

    DENY_POLICY_RCV = Enum.YLeaf(16, "DENY_POLICY_RCV")

    ALLOW_POLICY_RCV = Enum.YLeaf(17, "ALLOW_POLICY_RCV")

    Y_18 = Enum.YLeaf(18, "18")

    Y_19 = Enum.YLeaf(19, "19")

    Y_20 = Enum.YLeaf(20, "20")


class NbmNbmFlowPolicerEn(Enum):
    """
    NbmNbmFlowPolicerEn (Enum Class)

    .. data:: DISABLED = 0

    .. data:: ENABLED = 1

    """

    DISABLED = Enum.YLeaf(0, "DISABLED")

    ENABLED = Enum.YLeaf(1, "ENABLED")


class NbmNbmGroupRangeType(Enum):
    """
    NbmNbmGroupRangeType (Enum Class)

    .. data:: ASM = 0

    .. data:: SSM = 1

    """

    ASM = Enum.YLeaf(0, "ASM")

    SSM = Enum.YLeaf(1, "SSM")


class NbmNbmLinkRole(Enum):
    """
    NbmNbmLinkRole (Enum Class)

    .. data:: EXTERNAL_LINK = 0

    .. data:: FABRIC_LINK = 1

    """

    EXTERNAL_LINK = Enum.YLeaf(0, "EXTERNAL_LINK")

    FABRIC_LINK = Enum.YLeaf(1, "FABRIC_LINK")


class NbmNbmNoYes(Enum):
    """
    NbmNbmNoYes (Enum Class)

    .. data:: NO = 0

    .. data:: YES = 1

    .. data:: NA = 2

    """

    NO = Enum.YLeaf(0, "NO")

    YES = Enum.YLeaf(1, "YES")

    NA = Enum.YLeaf(2, "NA")


class NbmNbmOifOrigin(Enum):
    """
    NbmNbmOifOrigin (Enum Class)

    .. data:: UNDEFINED = 0

    .. data:: PROTOCOL = 1

    .. data:: API = 2

    .. data:: API_PROTOCOL = 3

    """

    UNDEFINED = Enum.YLeaf(0, "UNDEFINED")

    PROTOCOL = Enum.YLeaf(1, "PROTOCOL")

    API = Enum.YLeaf(2, "API")

    API_PROTOCOL = Enum.YLeaf(3, "API_PROTOCOL")


class NbmNbmOperationalMode(Enum):
    """
    NbmNbmOperationalMode (Enum Class)

    .. data:: UNDEFINED = 0

    .. data:: PIM_ACTIVE = 1

    """

    UNDEFINED = Enum.YLeaf(0, "UNDEFINED")

    PIM_ACTIVE = Enum.YLeaf(1, "PIM_ACTIVE")


class NbmNbmPermit(Enum):
    """
    NbmNbmPermit (Enum Class)

    .. data:: UNDEFINED = 0

    .. data:: DENIED = 1

    .. data:: ALLOWED = 2

    """

    UNDEFINED = Enum.YLeaf(0, "UNDEFINED")

    DENIED = Enum.YLeaf(1, "DENIED")

    ALLOWED = Enum.YLeaf(2, "ALLOWED")


class NbmNbmPolicyType(Enum):
    """
    NbmNbmPolicyType (Enum Class)

    .. data:: SENDER = 0

    .. data:: RECEIVER = 1

    .. data:: PIM = 2

    """

    SENDER = Enum.YLeaf(0, "SENDER")

    RECEIVER = Enum.YLeaf(1, "RECEIVER")

    PIM = Enum.YLeaf(2, "PIM")


class NbmNbmRcvOwner(Enum):
    """
    NbmNbmRcvOwner (Enum Class)

    .. data:: IGMP = 0

    .. data:: STATIC = 1

    .. data:: PIM = 2

    .. data:: NBM_STATIC = 4

    """

    IGMP = Enum.YLeaf(0, "IGMP")

    STATIC = Enum.YLeaf(1, "STATIC")

    PIM = Enum.YLeaf(2, "PIM")

    NBM_STATIC = Enum.YLeaf(4, "NBM-STATIC")


class NdAdjOperSt(Enum):
    """
    NdAdjOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: incomplete = 1

    .. data:: normal = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    incomplete = Enum.YLeaf(1, "incomplete")

    normal = Enum.YLeaf(2, "normal")


class NdConfigErr(Enum):
    """
    NdConfigErr (Enum Class)

    .. data:: noerror = 0

    .. data:: managedConfigFlag = 1

    .. data:: otherConfigFlag = 2

    .. data:: raIntvl = 3

    .. data:: raLifetime = 4

    .. data:: suppressRa = 5

    .. data:: macExtract = 6

    """

    noerror = Enum.YLeaf(0, "noerror")

    managedConfigFlag = Enum.YLeaf(1, "managedConfigFlag")

    otherConfigFlag = Enum.YLeaf(2, "otherConfigFlag")

    raIntvl = Enum.YLeaf(3, "raIntvl")

    raLifetime = Enum.YLeaf(4, "raLifetime")

    suppressRa = Enum.YLeaf(5, "suppressRa")

    macExtract = Enum.YLeaf(6, "macExtract")


class NdDbT(Enum):
    """
    NdDbT (Enum Class)

    .. data:: adj = 1

    """

    adj = Enum.YLeaf(1, "adj")


class NdMacExtract(Enum):
    """
    NdMacExtract (Enum Class)

    .. data:: none = 0

    .. data:: nud_phase = 1

    .. data:: exclude_nud_phase = 2

    """

    none = Enum.YLeaf(0, "none")

    nud_phase = Enum.YLeaf(1, "nud-phase")

    exclude_nud_phase = Enum.YLeaf(2, "exclude-nud-phase")


class NdRouterPreference(Enum):
    """
    NdRouterPreference (Enum Class)

    .. data:: Medium = 0

    .. data:: High = 1

    .. data:: Reserved = 2

    .. data:: Low = 3

    """

    Medium = Enum.YLeaf(0, "Medium")

    High = Enum.YLeaf(1, "High")

    Reserved = Enum.YLeaf(2, "Reserved")

    Low = Enum.YLeaf(3, "Low")


class NdRtPrefForCmd(Enum):
    """
    NdRtPrefForCmd (Enum Class)

    .. data:: unspecified = 0

    .. data:: low = 1

    .. data:: medium = 2

    .. data:: high = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    low = Enum.YLeaf(1, "low")

    medium = Enum.YLeaf(2, "medium")

    high = Enum.YLeaf(3, "high")


class NdRtPrefForNdRt(Enum):
    """
    NdRtPrefForNdRt (Enum Class)

    .. data:: low = 0

    .. data:: medium = 1

    .. data:: high = 2

    """

    low = Enum.YLeaf(0, "low")

    medium = Enum.YLeaf(1, "medium")

    high = Enum.YLeaf(2, "high")


class NdSolicitAcceptValue(Enum):
    """
    NdSolicitAcceptValue (Enum Class)

    .. data:: none = 0

    .. data:: accept = 1

    .. data:: no_accept = 2

    """

    none = Enum.YLeaf(0, "none")

    accept = Enum.YLeaf(1, "accept")

    no_accept = Enum.YLeaf(2, "no-accept")


class NdStAdjOperSt(Enum):
    """
    NdStAdjOperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class NdStAdjOperStQual(Enum):
    """
    NdStAdjOperStQual (Enum Class)

    .. data:: subnet_mismatch = 1

    .. data:: invalid_mac = 2

    .. data:: invalid_ip = 3

    .. data:: invalid_vrf = 4

    .. data:: own_mac = 5

    .. data:: if_down = 6

    .. data:: up = 7

    """

    subnet_mismatch = Enum.YLeaf(1, "subnet-mismatch")

    invalid_mac = Enum.YLeaf(2, "invalid-mac")

    invalid_ip = Enum.YLeaf(3, "invalid-ip")

    invalid_vrf = Enum.YLeaf(4, "invalid-vrf")

    own_mac = Enum.YLeaf(5, "own-mac")

    if_down = Enum.YLeaf(6, "if-down")

    up = Enum.YLeaf(7, "up")


class NdVaddrClientState(Enum):
    """
    NdVaddrClientState (Enum Class)

    .. data:: ICMPV6_CLIENT_STATE_INACTIVE = 0

    .. data:: ICMPV6_CLIENT_STATE_ACTIVE = 1

    .. data:: ICMPV6_CLIENT_STATE_ANYCAST_INACTIVE = 2

    """

    ICMPV6_CLIENT_STATE_INACTIVE = Enum.YLeaf(0, "ICMPV6_CLIENT_STATE_INACTIVE")

    ICMPV6_CLIENT_STATE_ACTIVE = Enum.YLeaf(1, "ICMPV6_CLIENT_STATE_ACTIVE")

    ICMPV6_CLIENT_STATE_ANYCAST_INACTIVE = Enum.YLeaf(2, "ICMPV6_CLIENT_STATE_ANYCAST_INACTIVE")


class NetflowCollVersion(Enum):
    """
    NetflowCollVersion (Enum Class)

    .. data:: v5 = 1

    .. data:: v9 = 2

    .. data:: cisco_v1 = 3

    """

    v5 = Enum.YLeaf(1, "v5")

    v9 = Enum.YLeaf(2, "v9")

    cisco_v1 = Enum.YLeaf(3, "cisco-v1")


class NetflowDirectionT(Enum):
    """
    NetflowDirectionT (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    .. data:: both = 3

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")

    both = Enum.YLeaf(3, "both")


class NetflowFltType(Enum):
    """
    NetflowFltType (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    .. data:: ce = 3

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")

    ce = Enum.YLeaf(3, "ce")


class NetflowModeT(Enum):
    """
    NetflowModeT (Enum Class)

    .. data:: netflow = 0

    """

    netflow = Enum.YLeaf(0, "netflow")


class NgmvpnAfT(Enum):
    """
    NgmvpnAfT (Enum Class)

    .. data:: ipv4 = 0

    .. data:: ipv6 = 1

    """

    ipv4 = Enum.YLeaf(0, "ipv4")

    ipv6 = Enum.YLeaf(1, "ipv6")


class NgmvpnDbT(Enum):
    """
    NgmvpnDbT (Enum Class)

    .. data:: mroute = 0

    .. data:: saroute = 1

    .. data:: l2route = 2

    """

    mroute = Enum.YLeaf(0, "mroute")

    saroute = Enum.YLeaf(1, "saroute")

    l2route = Enum.YLeaf(2, "l2route")


class NgmvpnEhType(Enum):
    """
    NgmvpnEhType (Enum Class)

    .. data:: bgp = 0

    .. data:: mrib = 1

    .. data:: m2rib = 2

    .. data:: m6rib = 3

    .. data:: pim = 4

    .. data:: pim6 = 5

    .. data:: hmm = 6

    .. data:: isis = 7

    .. data:: ha = 8

    """

    bgp = Enum.YLeaf(0, "bgp")

    mrib = Enum.YLeaf(1, "mrib")

    m2rib = Enum.YLeaf(2, "m2rib")

    m6rib = Enum.YLeaf(3, "m6rib")

    pim = Enum.YLeaf(4, "pim")

    pim6 = Enum.YLeaf(5, "pim6")

    hmm = Enum.YLeaf(6, "hmm")

    isis = Enum.YLeaf(7, "isis")

    ha = Enum.YLeaf(8, "ha")


class NgoamOamChannel(Enum):
    """
    NgoamOamChannel (Enum Class)

    .. data:: invalid = 0

    .. data:: tissa = 2

    """

    invalid = Enum.YLeaf(0, "invalid")

    tissa = Enum.YLeaf(2, "tissa")


class NgoamXcPortState(Enum):
    """
    NgoamXcPortState (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    .. data:: errDisabled = 2

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")

    errDisabled = Enum.YLeaf(2, "errDisabled")


class NgoamXcState(Enum):
    """
    NgoamXcState (Enum Class)

    .. data:: Active = 0

    .. data:: DB = 1

    .. data:: HB = 2

    .. data:: RD = 4

    .. data:: LD = 8

    .. data:: DB__FWD_SLASH__HB = 3

    .. data:: RD__FWD_SLASH__HB = 6

    .. data:: DB__FWD_SLASH__HB__FWD_SLASH__RD = 7

    .. data:: DB__FWD_SLASH__LD = 9

    .. data:: HB__FWD_SLASH__LD = 10

    .. data:: DB__FWD_SLASH__HB__FWD_SLASH__LD = 11

    .. data:: RD__FWD_SLASH__LD = 12

    .. data:: DB__FWD_SLASH__RD__FWD_SLASH__LD = 13

    .. data:: HB__FWD_SLASH__RD__FWD_SLASH__LD = 14

    .. data:: DB__FWD_SLASH__HB__FWD_SLASH__RD__FWD_SLASH__LD = 15

    """

    Active = Enum.YLeaf(0, "Active")

    DB = Enum.YLeaf(1, "DB")

    HB = Enum.YLeaf(2, "HB")

    RD = Enum.YLeaf(4, "RD")

    LD = Enum.YLeaf(8, "LD")

    DB__FWD_SLASH__HB = Enum.YLeaf(3, "DB/HB")

    RD__FWD_SLASH__HB = Enum.YLeaf(6, "RD/HB")

    DB__FWD_SLASH__HB__FWD_SLASH__RD = Enum.YLeaf(7, "DB/HB/RD")

    DB__FWD_SLASH__LD = Enum.YLeaf(9, "DB/LD")

    HB__FWD_SLASH__LD = Enum.YLeaf(10, "HB/LD")

    DB__FWD_SLASH__HB__FWD_SLASH__LD = Enum.YLeaf(11, "DB/HB/LD")

    RD__FWD_SLASH__LD = Enum.YLeaf(12, "RD/LD")

    DB__FWD_SLASH__RD__FWD_SLASH__LD = Enum.YLeaf(13, "DB/RD/LD")

    HB__FWD_SLASH__RD__FWD_SLASH__LD = Enum.YLeaf(14, "HB/RD/LD")

    DB__FWD_SLASH__HB__FWD_SLASH__RD__FWD_SLASH__LD = Enum.YLeaf(15, "DB/HB/RD/LD")


class NpvExtIfFsmSt(Enum):
    """
    NpvExtIfFsmSt (Enum Class)

    .. data:: no_transition = 0

    .. data:: no_change = 1

    .. data:: any = 2

    .. data:: down = 3

    .. data:: preinit_done = 4

    .. data:: wait_flogi_response = 5

    .. data:: up = 6

    .. data:: flogi_failed = 7

    .. data:: wait_fcid_add = 8

    .. data:: wait_fcid_del = 9

    .. data:: wait_ns_registration = 10

    .. data:: flogi_fail_retry = 11

    .. data:: wait_for_vsan_up = 12

    .. data:: wait_lc_port_config = 13

    .. data:: pc_member_add = 14

    .. data:: pc_member_del = 15

    """

    no_transition = Enum.YLeaf(0, "no-transition")

    no_change = Enum.YLeaf(1, "no-change")

    any = Enum.YLeaf(2, "any")

    down = Enum.YLeaf(3, "down")

    preinit_done = Enum.YLeaf(4, "preinit-done")

    wait_flogi_response = Enum.YLeaf(5, "wait-flogi-response")

    up = Enum.YLeaf(6, "up")

    flogi_failed = Enum.YLeaf(7, "flogi-failed")

    wait_fcid_add = Enum.YLeaf(8, "wait-fcid-add")

    wait_fcid_del = Enum.YLeaf(9, "wait-fcid-del")

    wait_ns_registration = Enum.YLeaf(10, "wait-ns-registration")

    flogi_fail_retry = Enum.YLeaf(11, "flogi-fail-retry")

    wait_for_vsan_up = Enum.YLeaf(12, "wait-for-vsan-up")

    wait_lc_port_config = Enum.YLeaf(13, "wait-lc-port-config")

    pc_member_add = Enum.YLeaf(14, "pc-member-add")

    pc_member_del = Enum.YLeaf(15, "pc-member-del")


class NpvSrvIfFsmSt(Enum):
    """
    NpvSrvIfFsmSt (Enum Class)

    .. data:: no_transition = 0

    .. data:: no_change = 1

    .. data:: any = 2

    .. data:: if_down = 3

    .. data:: wait_ext_if = 4

    .. data:: wait_flogi = 5

    .. data:: if_up = 6

    .. data:: flogi_cleanup = 7

    .. data:: wait_fc_add = 8

    .. data:: wait_fc_del = 9

    .. data:: wait_ext_if_stable = 10

    """

    no_transition = Enum.YLeaf(0, "no-transition")

    no_change = Enum.YLeaf(1, "no-change")

    any = Enum.YLeaf(2, "any")

    if_down = Enum.YLeaf(3, "if-down")

    wait_ext_if = Enum.YLeaf(4, "wait-ext-if")

    wait_flogi = Enum.YLeaf(5, "wait-flogi")

    if_up = Enum.YLeaf(6, "if-up")

    flogi_cleanup = Enum.YLeaf(7, "flogi-cleanup")

    wait_fc_add = Enum.YLeaf(8, "wait-fc-add")

    wait_fc_del = Enum.YLeaf(9, "wait-fc-del")

    wait_ext_if_stable = Enum.YLeaf(10, "wait-ext-if-stable")


class NvoCfgSrcT(Enum):
    """
    NvoCfgSrcT (Enum Class)

    .. data:: unknown = 0

    .. data:: cli = 1

    .. data:: controller = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    cli = Enum.YLeaf(1, "cli")

    controller = Enum.YLeaf(2, "controller")


class NvoEncapT(Enum):
    """
    NvoEncapT (Enum Class)

    .. data:: unknown = 0

    .. data:: vxlan = 1

    .. data:: vxlan_tun_ctrl_frame = 2

    .. data:: vxlan_tun_ctrl_frame_lacp = 3

    .. data:: vxlan_tun_ctrl_frame_stp = 4

    .. data:: dot1q = 5

    .. data:: dot1q_tun_ctrl_frame = 6

    .. data:: dot1q_tun_ctrl_frame_lacp = 7

    .. data:: dot1q_tun_ctrl_frame_stp = 8

    """

    unknown = Enum.YLeaf(0, "unknown")

    vxlan = Enum.YLeaf(1, "vxlan")

    vxlan_tun_ctrl_frame = Enum.YLeaf(2, "vxlan-tun-ctrl-frame")

    vxlan_tun_ctrl_frame_lacp = Enum.YLeaf(3, "vxlan-tun-ctrl-frame-lacp")

    vxlan_tun_ctrl_frame_stp = Enum.YLeaf(4, "vxlan-tun-ctrl-frame-stp")

    dot1q = Enum.YLeaf(5, "dot1q")

    dot1q_tun_ctrl_frame = Enum.YLeaf(6, "dot1q-tun-ctrl-frame")

    dot1q_tun_ctrl_frame_lacp = Enum.YLeaf(7, "dot1q-tun-ctrl-frame-lacp")

    dot1q_tun_ctrl_frame_stp = Enum.YLeaf(8, "dot1q-tun-ctrl-frame-stp")


class NvoEvpnMcastStT(Enum):
    """
    NvoEvpnMcastStT (Enum Class)

    .. data:: enabled = 1

    """

    enabled = Enum.YLeaf(1, "enabled")


class NvoHostLearnModeT(Enum):
    """
    NvoHostLearnModeT (Enum Class)

    .. data:: DP = 1

    .. data:: CP = 2

    .. data:: Ctrlr = 3

    """

    DP = Enum.YLeaf(1, "DP")

    CP = Enum.YLeaf(2, "CP")

    Ctrlr = Enum.YLeaf(3, "Ctrlr")


class NvoHostReachT(Enum):
    """
    NvoHostReachT (Enum Class)

    .. data:: Flood_and_learn = 0

    .. data:: bgp = 1

    .. data:: controller = 2

    .. data:: openflow = 3

    .. data:: openflowIR = 4

    """

    Flood_and_learn = Enum.YLeaf(0, "Flood-and-learn")

    bgp = Enum.YLeaf(1, "bgp")

    controller = Enum.YLeaf(2, "controller")

    openflow = Enum.YLeaf(3, "openflow")

    openflowIR = Enum.YLeaf(4, "openflowIR")


class NvoIngReplProtoT(Enum):
    """
    NvoIngReplProtoT (Enum Class)

    .. data:: unknown = 0

    .. data:: bgp = 1

    .. data:: static = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    bgp = Enum.YLeaf(1, "bgp")

    static = Enum.YLeaf(2, "static")


class NvoMultisiteIngReplStateT(Enum):
    """
    NvoMultisiteIngReplStateT (Enum Class)

    .. data:: disable = 1

    .. data:: enable = 2

    """

    disable = Enum.YLeaf(1, "disable")

    enable = Enum.YLeaf(2, "enable")


class NvoMultisiteStateT(Enum):
    """
    NvoMultisiteStateT (Enum Class)

    .. data:: enabled = 1

    """

    enabled = Enum.YLeaf(1, "enabled")


class NvoMultisiteTrackingT(Enum):
    """
    NvoMultisiteTrackingT (Enum Class)

    .. data:: unknown = 0

    .. data:: dci = 1

    .. data:: fabric = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    dci = Enum.YLeaf(1, "dci")

    fabric = Enum.YLeaf(2, "fabric")


class NvoPeerStateT(Enum):
    """
    NvoPeerStateT (Enum Class)

    .. data:: Up = 1

    .. data:: Down = 2

    """

    Up = Enum.YLeaf(1, "Up")

    Down = Enum.YLeaf(2, "Down")


class NvoReplModeT(Enum):
    """
    NvoReplModeT (Enum Class)

    .. data:: unknown = 0

    .. data:: replicationServer = 1

    .. data:: ingressReplication = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    replicationServer = Enum.YLeaf(1, "replicationServer")

    ingressReplication = Enum.YLeaf(2, "ingressReplication")


class NvoSuppressARPT(Enum):
    """
    NvoSuppressARPT (Enum Class)

    .. data:: off = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    off = Enum.YLeaf(0, "off")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NvoVniStateT(Enum):
    """
    NvoVniStateT (Enum Class)

    .. data:: Up = 1

    .. data:: Down = 2

    """

    Up = Enum.YLeaf(1, "Up")

    Down = Enum.YLeaf(2, "Down")


class NvoVniTypeT(Enum):
    """
    NvoVniTypeT (Enum Class)

    .. data:: L2 = 1

    .. data:: L3 = 2

    """

    L2 = Enum.YLeaf(1, "L2")

    L3 = Enum.YLeaf(2, "L3")


class NwAddrF(Enum):
    """
    NwAddrF (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    .. data:: mac = 3

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")

    mac = Enum.YLeaf(3, "mac")


class NwAdminSt(Enum):
    """
    NwAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatDirectBcast(Enum):
    """
    NwAdminStIfStatDirectBcast (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatIcmpRedirect(Enum):
    """
    NwAdminStIfStatIcmpRedirect (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatIpUnreach(Enum):
    """
    NwAdminStIfStatIpUnreach (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatLocalProxyArp(Enum):
    """
    NwAdminStIfStatLocalProxyArp (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatMRouting(Enum):
    """
    NwAdminStIfStatMRouting (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatPortUnreach(Enum):
    """
    NwAdminStIfStatPortUnreach (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStIfStatProxyArp(Enum):
    """
    NwAdminStIfStatProxyArp (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStProcessStatAutoDisc(Enum):
    """
    NwAdminStProcessStatAutoDisc (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStProcessStatAutoDiscAdd(Enum):
    """
    NwAdminStProcessStatAutoDiscAdd (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStProcessStatAutoPuntBcast(Enum):
    """
    NwAdminStProcessStatAutoPuntBcast (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStProcessStatNullBcast(Enum):
    """
    NwAdminStProcessStatNullBcast (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminStProcessStatStaticDisc(Enum):
    """
    NwAdminStProcessStatStaticDisc (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwAdminSt_(Enum):
    """
    NwAdminSt\_ (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class NwEntOperSt(Enum):
    """
    NwEntOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: initializing = 3

    .. data:: failed = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    initializing = Enum.YLeaf(3, "initializing")

    failed = Enum.YLeaf(4, "failed")


class NwMemAlertLevel(Enum):
    """
    NwMemAlertLevel (Enum Class)

    .. data:: normal = 0

    .. data:: minor = 1

    .. data:: major = 2

    .. data:: critical = 3

    """

    normal = Enum.YLeaf(0, "normal")

    minor = Enum.YLeaf(1, "minor")

    major = Enum.YLeaf(2, "major")

    critical = Enum.YLeaf(3, "critical")


class NwOSSum(Enum):
    """
    NwOSSum (Enum Class)

    .. data:: failed = 0

    .. data:: initializing = 1

    .. data:: resetting = 2

    .. data:: degraded = 3

    .. data:: ok = 4

    """

    failed = Enum.YLeaf(0, "failed")

    initializing = Enum.YLeaf(1, "initializing")

    resetting = Enum.YLeaf(2, "resetting")

    degraded = Enum.YLeaf(3, "degraded")

    ok = Enum.YLeaf(4, "ok")


class OamEpT(Enum):
    """
    OamEpT (Enum Class)

    .. data:: ep = 1

    .. data:: vtep_ep = 2

    .. data:: node = 3

    """

    ep = Enum.YLeaf(1, "ep")

    vtep_ep = Enum.YLeaf(2, "vtep-ep")

    node = Enum.YLeaf(3, "node")


class OpflexDevOperState(Enum):
    """
    OpflexDevOperState (Enum Class)

    .. data:: unknown = 0

    .. data:: online = 1

    .. data:: offline = 2

    .. data:: identified = 3

    .. data:: compatible = 4

    .. data:: incompatible = 5

    """

    unknown = Enum.YLeaf(0, "unknown")

    online = Enum.YLeaf(1, "online")

    offline = Enum.YLeaf(2, "offline")

    identified = Enum.YLeaf(3, "identified")

    compatible = Enum.YLeaf(4, "compatible")

    incompatible = Enum.YLeaf(5, "incompatible")


class OpflexDeviceType(Enum):
    """
    OpflexDeviceType (Enum Class)

    .. data:: unknown = 0

    .. data:: n1kv = 1

    .. data:: hyperv = 2

    .. data:: ovs = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    n1kv = Enum.YLeaf(1, "n1kv")

    hyperv = Enum.YLeaf(2, "hyperv")

    ovs = Enum.YLeaf(3, "ovs")


class OpflexDirection(Enum):
    """
    OpflexDirection (Enum Class)

    .. data:: in_ = 0

    .. data:: out = 1

    """

    in_ = Enum.YLeaf(0, "in")

    out = Enum.YLeaf(1, "out")


class OpflexEpTransitionStatus(Enum):
    """
    OpflexEpTransitionStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: attached = 1

    .. data:: detached = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    attached = Enum.YLeaf(1, "attached")

    detached = Enum.YLeaf(2, "detached")


class OpflexEppDownloadHint(Enum):
    """
    OpflexEppDownloadHint (Enum Class)

    .. data:: unknown = 0

    .. data:: always = 1

    .. data:: optimal = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    always = Enum.YLeaf(1, "always")

    optimal = Enum.YLeaf(2, "optimal")


class OpflexHbStatus(Enum):
    """
    OpflexHbStatus (Enum Class)

    .. data:: unknown = 0

    .. data:: invalid_dvs = 1

    .. data:: valid_dvs = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    invalid_dvs = Enum.YLeaf(1, "invalid-dvs")

    valid_dvs = Enum.YLeaf(2, "valid-dvs")


class OspfActive(Enum):
    """
    OspfActive (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class OspfAdjChangeLogLevel(Enum):
    """
    OspfAdjChangeLogLevel (Enum Class)

    .. data:: none = 0

    .. data:: brief = 1

    .. data:: detail = 2

    """

    none = Enum.YLeaf(0, "none")

    brief = Enum.YLeaf(1, "brief")

    detail = Enum.YLeaf(2, "detail")


class OspfAdjOperSt(Enum):
    """
    OspfAdjOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: down = 1

    .. data:: attempt = 2

    .. data:: initializing = 3

    .. data:: two_way = 4

    .. data:: exstart = 5

    .. data:: exchange = 6

    .. data:: loading = 7

    .. data:: full = 8

    .. data:: self = 9

    """

    unknown = Enum.YLeaf(0, "unknown")

    down = Enum.YLeaf(1, "down")

    attempt = Enum.YLeaf(2, "attempt")

    initializing = Enum.YLeaf(3, "initializing")

    two_way = Enum.YLeaf(4, "two-way")

    exstart = Enum.YLeaf(5, "exstart")

    exchange = Enum.YLeaf(6, "exchange")

    loading = Enum.YLeaf(7, "loading")

    full = Enum.YLeaf(8, "full")

    self = Enum.YLeaf(9, "self")


class OspfAlways(Enum):
    """
    OspfAlways (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class OspfAreaT(Enum):
    """
    OspfAreaT (Enum Class)

    .. data:: regular = 1

    .. data:: stub = 2

    .. data:: nssa = 3

    """

    regular = Enum.YLeaf(1, "regular")

    stub = Enum.YLeaf(2, "stub")

    nssa = Enum.YLeaf(3, "nssa")


class OspfAuthT(Enum):
    """
    OspfAuthT (Enum Class)

    .. data:: none = 0

    .. data:: simple = 1

    .. data:: md5 = 2

    .. data:: unspecified = 3

    """

    none = Enum.YLeaf(0, "none")

    simple = Enum.YLeaf(1, "simple")

    md5 = Enum.YLeaf(2, "md5")

    unspecified = Enum.YLeaf(3, "unspecified")


class OspfBfdControl(Enum):
    """
    OspfBfdControl (Enum Class)

    .. data:: unspecified = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class OspfBfdOperSt(Enum):
    """
    OspfBfdOperSt (Enum Class)

    .. data:: down = 0

    .. data:: up = 1

    """

    down = Enum.YLeaf(0, "down")

    up = Enum.YLeaf(1, "up")


class OspfBwRefUnit(Enum):
    """
    OspfBwRefUnit (Enum Class)

    .. data:: mbps = 0

    .. data:: gbps = 1

    """

    mbps = Enum.YLeaf(0, "mbps")

    gbps = Enum.YLeaf(1, "gbps")


class OspfDbT(Enum):
    """
    OspfDbT (Enum Class)

    .. data:: ls = 1

    .. data:: rt = 2

    .. data:: nh = 3

    """

    ls = Enum.YLeaf(1, "ls")

    rt = Enum.YLeaf(2, "rt")

    nh = Enum.YLeaf(3, "nh")


class OspfEventLogSize(Enum):
    """
    OspfEventLogSize (Enum Class)

    .. data:: disabled = 0

    .. data:: small = 1

    .. data:: medium = 2

    .. data:: large = 3

    """

    disabled = Enum.YLeaf(0, "disabled")

    small = Enum.YLeaf(1, "small")

    medium = Enum.YLeaf(2, "medium")

    large = Enum.YLeaf(3, "large")


class OspfEventType(Enum):
    """
    OspfEventType (Enum Class)

    .. data:: adj = 0

    .. data:: internal = 1

    .. data:: ha = 2

    .. data:: lsa_flood = 3

    .. data:: lsa = 4

    .. data:: spf = 5

    .. data:: redist = 6

    .. data:: ldp = 7

    .. data:: mpls_te = 8

    .. data:: hello = 9

    .. data:: rib = 10

    .. data:: spf_trigger = 11

    .. data:: cli = 12

    """

    adj = Enum.YLeaf(0, "adj")

    internal = Enum.YLeaf(1, "internal")

    ha = Enum.YLeaf(2, "ha")

    lsa_flood = Enum.YLeaf(3, "lsa-flood")

    lsa = Enum.YLeaf(4, "lsa")

    spf = Enum.YLeaf(5, "spf")

    redist = Enum.YLeaf(6, "redist")

    ldp = Enum.YLeaf(7, "ldp")

    mpls_te = Enum.YLeaf(8, "mpls-te")

    hello = Enum.YLeaf(9, "hello")

    rib = Enum.YLeaf(10, "rib")

    spf_trigger = Enum.YLeaf(11, "spf-trigger")

    cli = Enum.YLeaf(12, "cli")


class OspfFlagStatus(Enum):
    """
    OspfFlagStatus (Enum Class)

    .. data:: set = 0

    .. data:: clear = 1

    """

    set = Enum.YLeaf(0, "set")

    clear = Enum.YLeaf(1, "clear")


class OspfGrCtrl(Enum):
    """
    OspfGrCtrl (Enum Class)

    .. data:: planned_only = 1

    .. data:: complete = 2

    .. data:: disabled = 3

    """

    planned_only = Enum.YLeaf(1, "planned-only")

    complete = Enum.YLeaf(2, "complete")

    disabled = Enum.YLeaf(3, "disabled")


class OspfHelperExitQual(Enum):
    """
    OspfHelperExitQual (Enum Class)

    .. data:: none = 1

    .. data:: in_progress = 2

    .. data:: completed = 3

    .. data:: timed_out = 4

    .. data:: topology_changed = 5

    """

    none = Enum.YLeaf(1, "none")

    in_progress = Enum.YLeaf(2, "in-progress")

    completed = Enum.YLeaf(3, "completed")

    timed_out = Enum.YLeaf(4, "timed-out")

    topology_changed = Enum.YLeaf(5, "topology-changed")


class OspfHelperSt(Enum):
    """
    OspfHelperSt (Enum Class)

    .. data:: not_helping = 1

    .. data:: helping = 2

    """

    not_helping = Enum.YLeaf(1, "not-helping")

    helping = Enum.YLeaf(2, "helping")


class OspfIfOperSt(Enum):
    """
    OspfIfOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: down = 1

    .. data:: loopback = 2

    .. data:: waiting = 3

    .. data:: p2p = 4

    .. data:: dr = 5

    .. data:: bdr = 6

    .. data:: dr_other = 7

    """

    unknown = Enum.YLeaf(0, "unknown")

    down = Enum.YLeaf(1, "down")

    loopback = Enum.YLeaf(2, "loopback")

    waiting = Enum.YLeaf(3, "waiting")

    p2p = Enum.YLeaf(4, "p2p")

    dr = Enum.YLeaf(5, "dr")

    bdr = Enum.YLeaf(6, "bdr")

    dr_other = Enum.YLeaf(7, "dr-other")


class OspfIfType(Enum):
    """
    OspfIfType (Enum Class)

    .. data:: unspecified = 0

    .. data:: loopback = 1

    .. data:: p2p = 2

    .. data:: p2mp = 3

    .. data:: nbma = 4

    .. data:: bcast = 5

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    loopback = Enum.YLeaf(1, "loopback")

    p2p = Enum.YLeaf(2, "p2p")

    p2mp = Enum.YLeaf(3, "p2mp")

    nbma = Enum.YLeaf(4, "nbma")

    bcast = Enum.YLeaf(5, "bcast")


class OspfLsaLeakOperSt(Enum):
    """
    OspfLsaLeakOperSt (Enum Class)

    .. data:: Inactive = 0

    .. data:: active = 1

    """

    Inactive = Enum.YLeaf(0, "Inactive")

    active = Enum.YLeaf(1, "active")


class OspfLsaT(Enum):
    """
    OspfLsaT (Enum Class)

    .. data:: router = 1

    .. data:: nw = 2

    .. data:: summary = 3

    .. data:: asbr = 4

    .. data:: ext = 5

    .. data:: nssa = 7

    .. data:: link_opq = 9

    .. data:: area_opq = 10

    .. data:: as_opq = 11

    """

    router = Enum.YLeaf(1, "router")

    nw = Enum.YLeaf(2, "nw")

    summary = Enum.YLeaf(3, "summary")

    asbr = Enum.YLeaf(4, "asbr")

    ext = Enum.YLeaf(5, "ext")

    nssa = Enum.YLeaf(7, "nssa")

    link_opq = Enum.YLeaf(9, "link-opq")

    area_opq = Enum.YLeaf(10, "area-opq")

    as_opq = Enum.YLeaf(11, "as-opq")


class OspfMaxLsaAct(Enum):
    """
    OspfMaxLsaAct (Enum Class)

    .. data:: reject = 0

    .. data:: restart = 1

    .. data:: log = 2

    """

    reject = Enum.YLeaf(0, "reject")

    restart = Enum.YLeaf(1, "restart")

    log = Enum.YLeaf(2, "log")


class OspfMaxLsaOperSt(Enum):
    """
    OspfMaxLsaOperSt (Enum Class)

    .. data:: ok = 0

    .. data:: threshold_exceeded = 1

    """

    ok = Enum.YLeaf(0, "ok")

    threshold_exceeded = Enum.YLeaf(1, "threshold-exceeded")


class OspfMaxLsaOperStQual(Enum):
    """
    OspfMaxLsaOperStQual (Enum Class)

    .. data:: ok = 0

    .. data:: warning = 1

    .. data:: overload = 2

    .. data:: sleep = 3

    .. data:: reset = 4

    .. data:: perm_sleep = 5

    """

    ok = Enum.YLeaf(0, "ok")

    warning = Enum.YLeaf(1, "warning")

    overload = Enum.YLeaf(2, "overload")

    sleep = Enum.YLeaf(3, "sleep")

    reset = Enum.YLeaf(4, "reset")

    perm_sleep = Enum.YLeaf(5, "perm-sleep")


class OspfNssaTransRole(Enum):
    """
    OspfNssaTransRole (Enum Class)

    .. data:: always = 1

    .. data:: candidate = 2

    .. data:: never = 3

    """

    always = Enum.YLeaf(1, "always")

    candidate = Enum.YLeaf(2, "candidate")

    never = Enum.YLeaf(3, "never")


class OspfNssaTransSt(Enum):
    """
    OspfNssaTransSt (Enum Class)

    .. data:: enabled = 1

    .. data:: elected = 2

    .. data:: disabled = 3

    """

    enabled = Enum.YLeaf(1, "enabled")

    elected = Enum.YLeaf(2, "elected")

    disabled = Enum.YLeaf(3, "disabled")


class OspfNwT(Enum):
    """
    OspfNwT (Enum Class)

    .. data:: unspecified = 0

    .. data:: p2p = 1

    .. data:: bcast = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    p2p = Enum.YLeaf(1, "p2p")

    bcast = Enum.YLeaf(2, "bcast")


class OspfOperSt(Enum):
    """
    OspfOperSt (Enum Class)

    .. data:: invalid = 0

    .. data:: down = 1

    .. data:: up = 2

    """

    invalid = Enum.YLeaf(0, "invalid")

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")


class OspfPassiveControl(Enum):
    """
    OspfPassiveControl (Enum Class)

    .. data:: unspecified = 0

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class OspfPathT(Enum):
    """
    OspfPathT (Enum Class)

    .. data:: intra = 1

    .. data:: discard_int = 2

    .. data:: inter = 3

    .. data:: discard_ext = 4

    .. data:: ext1 = 5

    .. data:: nssa1 = 6

    .. data:: ext2 = 7

    .. data:: nssa2 = 8

    """

    intra = Enum.YLeaf(1, "intra")

    discard_int = Enum.YLeaf(2, "discard-int")

    inter = Enum.YLeaf(3, "inter")

    discard_ext = Enum.YLeaf(4, "discard-ext")

    ext1 = Enum.YLeaf(5, "ext1")

    nssa1 = Enum.YLeaf(6, "nssa1")

    ext2 = Enum.YLeaf(7, "ext2")

    nssa2 = Enum.YLeaf(8, "nssa2")


class OspfSegRtControl(Enum):
    """
    OspfSegRtControl (Enum Class)

    .. data:: unspecified = 0

    .. data:: mpls = 1

    .. data:: disable = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    mpls = Enum.YLeaf(1, "mpls")

    disable = Enum.YLeaf(2, "disable")


class OspfSgmntRtgMplsOperSt(Enum):
    """
    OspfSgmntRtgMplsOperSt (Enum Class)

    .. data:: Disabled = 0

    .. data:: Enabled = 1

    """

    Disabled = Enum.YLeaf(0, "Disabled")

    Enabled = Enum.YLeaf(1, "Enabled")


class OspfVrfLiteControl(Enum):
    """
    OspfVrfLiteControl (Enum Class)

    .. data:: unspecified = 0

    .. data:: l3vpn = 1

    .. data:: evpn = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    l3vpn = Enum.YLeaf(1, "l3vpn")

    evpn = Enum.YLeaf(2, "evpn")


class PcChannelingSt(Enum):
    """
    PcChannelingSt (Enum Class)

    .. data:: unknown = 0

    .. data:: channeling = 1

    .. data:: individual = 2

    .. data:: failed = 3

    .. data:: suspended = 4

    .. data:: hot_standby = 5

    """

    unknown = Enum.YLeaf(0, "unknown")

    channeling = Enum.YLeaf(1, "channeling")

    individual = Enum.YLeaf(2, "individual")

    failed = Enum.YLeaf(3, "failed")

    suspended = Enum.YLeaf(4, "suspended")

    hot_standby = Enum.YLeaf(5, "hot-standby")


class PcHashDist(Enum):
    """
    PcHashDist (Enum Class)

    .. data:: none = 0

    .. data:: adaptive = 1

    .. data:: fixed = 2

    """

    none = Enum.YLeaf(0, "none")

    adaptive = Enum.YLeaf(1, "adaptive")

    fixed = Enum.YLeaf(2, "fixed")


class PcLastSt(Enum):
    """
    PcLastSt (Enum Class)

    .. data:: successful = 0

    .. data:: failed = 1

    """

    successful = Enum.YLeaf(0, "successful")

    failed = Enum.YLeaf(1, "failed")


class PcMode(Enum):
    """
    PcMode (Enum Class)

    .. data:: on = 0

    .. data:: static = 1

    .. data:: active = 2

    .. data:: passive = 3

    .. data:: mac_pin = 4

    """

    on = Enum.YLeaf(0, "on")

    static = Enum.YLeaf(1, "static")

    active = Enum.YLeaf(2, "active")

    passive = Enum.YLeaf(3, "passive")

    mac_pin = Enum.YLeaf(4, "mac-pin")


class PcOperSt(Enum):
    """
    PcOperSt (Enum Class)

    .. data:: up = 0

    .. data:: down = 1

    .. data:: bringup_in_progress = 2

    .. data:: module_removed = 3

    """

    up = Enum.YLeaf(0, "up")

    down = Enum.YLeaf(1, "down")

    bringup_in_progress = Enum.YLeaf(2, "bringup-in-progress")

    module_removed = Enum.YLeaf(3, "module-removed")


class PcPCHashDist(Enum):
    """
    PcPCHashDist (Enum Class)

    .. data:: none = 0

    .. data:: adaptive = 1

    .. data:: fixed = 2

    """

    none = Enum.YLeaf(0, "none")

    adaptive = Enum.YLeaf(1, "adaptive")

    fixed = Enum.YLeaf(2, "fixed")


class PcPoType(Enum):
    """
    PcPoType (Enum Class)

    .. data:: none = 0

    .. data:: hif_pc = 1

    .. data:: non_hif_pc = 2

    """

    none = Enum.YLeaf(0, "none")

    hif_pc = Enum.YLeaf(1, "hif-pc")

    non_hif_pc = Enum.YLeaf(2, "non-hif-pc")


class PcPortChannelProtocol(Enum):
    """
    PcPortChannelProtocol (Enum Class)

    .. data:: unknown = 0

    .. data:: none = 1

    .. data:: lacp = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    none = Enum.YLeaf(1, "none")

    lacp = Enum.YLeaf(2, "lacp")


class PcPortChannelType(Enum):
    """
    PcPortChannelType (Enum Class)

    .. data:: ethernet = 0

    """

    ethernet = Enum.YLeaf(0, "ethernet")


class PcSummOperSt(Enum):
    """
    PcSummOperSt (Enum Class)

    .. data:: up = 0

    .. data:: down = 1

    .. data:: module_removed = 2

    .. data:: individual = 3

    .. data:: suspended = 4

    .. data:: hot_standby = 5

    """

    up = Enum.YLeaf(0, "up")

    down = Enum.YLeaf(1, "down")

    module_removed = Enum.YLeaf(2, "module-removed")

    individual = Enum.YLeaf(3, "individual")

    suspended = Enum.YLeaf(4, "suspended")

    hot_standby = Enum.YLeaf(5, "hot-standby")


class Pim6EhType(Enum):
    """
    Pim6EhType (Enum Class)

    .. data:: assertRcv = 0

    .. data:: bidir = 1

    .. data:: hello = 2

    .. data:: joinPrune = 3

    .. data:: nullReg = 4

    .. data:: packet = 5

    .. data:: pim6Internal = 6

    .. data:: rp = 7

    .. data:: vrf = 8

    .. data:: jpSum = 9

    """

    assertRcv = Enum.YLeaf(0, "assertRcv")

    bidir = Enum.YLeaf(1, "bidir")

    hello = Enum.YLeaf(2, "hello")

    joinPrune = Enum.YLeaf(3, "joinPrune")

    nullReg = Enum.YLeaf(4, "nullReg")

    packet = Enum.YLeaf(5, "packet")

    pim6Internal = Enum.YLeaf(6, "pim6Internal")

    rp = Enum.YLeaf(7, "rp")

    vrf = Enum.YLeaf(8, "vrf")

    jpSum = Enum.YLeaf(9, "jpSum")


class PimBfdInstSt(Enum):
    """
    PimBfdInstSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: none = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    none = Enum.YLeaf(0, "none")


class PimEhType(Enum):
    """
    PimEhType (Enum Class)

    .. data:: assert_ = 0

    .. data:: bidir = 1

    .. data:: cli = 2

    .. data:: dataRegRecv = 3

    .. data:: hello = 4

    .. data:: joinPrune = 5

    .. data:: mrib = 6

    .. data:: nullReg = 7

    .. data:: packet = 8

    .. data:: nbm = 9

    .. data:: pimInternal = 10

    .. data:: pimLib = 11

    .. data:: rp = 12

    .. data:: txlist = 13

    .. data:: vpc = 14

    .. data:: vrf = 15

    .. data:: jpSum = 16

    .. data:: jpTw = 17

    """

    assert_ = Enum.YLeaf(0, "assert")

    bidir = Enum.YLeaf(1, "bidir")

    cli = Enum.YLeaf(2, "cli")

    dataRegRecv = Enum.YLeaf(3, "dataRegRecv")

    hello = Enum.YLeaf(4, "hello")

    joinPrune = Enum.YLeaf(5, "joinPrune")

    mrib = Enum.YLeaf(6, "mrib")

    nullReg = Enum.YLeaf(7, "nullReg")

    packet = Enum.YLeaf(8, "packet")

    nbm = Enum.YLeaf(9, "nbm")

    pimInternal = Enum.YLeaf(10, "pimInternal")

    pimLib = Enum.YLeaf(11, "pimLib")

    rp = Enum.YLeaf(12, "rp")

    txlist = Enum.YLeaf(13, "txlist")

    vpc = Enum.YLeaf(14, "vpc")

    vrf = Enum.YLeaf(15, "vrf")

    jpSum = Enum.YLeaf(16, "jpSum")

    jpTw = Enum.YLeaf(17, "jpTw")


class PimIfdbT(Enum):
    """
    PimIfdbT (Enum Class)

    .. data:: stats = 0

    .. data:: adj = 1

    .. data:: prop = 2

    """

    stats = Enum.YLeaf(0, "stats")

    adj = Enum.YLeaf(1, "adj")

    prop = Enum.YLeaf(2, "prop")


class PkiCsyncActivationStateType(Enum):
    """
    PkiCsyncActivationStateType (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")


class PkiCsyncElementType(Enum):
    """
    PkiCsyncElementType (Enum Class)

    .. data:: exclude = 0

    .. data:: include = 1

    """

    exclude = Enum.YLeaf(0, "exclude")

    include = Enum.YLeaf(1, "include")


class PkiKeyringState(Enum):
    """
    PkiKeyringState (Enum Class)

    .. data:: started = 1

    .. data:: created = 2

    .. data:: reqCreated = 3

    .. data:: tpSet = 4

    .. data:: completed = 5

    """

    started = Enum.YLeaf(1, "started")

    created = Enum.YLeaf(2, "created")

    reqCreated = Enum.YLeaf(3, "reqCreated")

    tpSet = Enum.YLeaf(4, "tpSet")

    completed = Enum.YLeaf(5, "completed")


class PkiModulus(Enum):
    """
    PkiModulus (Enum Class)

    .. data:: mod512 = 512

    .. data:: mod1024 = 1024

    .. data:: mod1536 = 1536

    .. data:: mod2048 = 2048

    """

    mod512 = Enum.YLeaf(512, "mod512")

    mod1024 = Enum.YLeaf(1024, "mod1024")

    mod1536 = Enum.YLeaf(1536, "mod1536")

    mod2048 = Enum.YLeaf(2048, "mod2048")


class PlatformBufferMonitorMd(Enum):
    """
    PlatformBufferMonitorMd (Enum Class)

    .. data:: None_ = 0

    .. data:: Unicast = 2

    .. data:: Multicast = 3

    """

    None_ = Enum.YLeaf(0, "None")

    Unicast = Enum.YLeaf(2, "Unicast")

    Multicast = Enum.YLeaf(3, "Multicast")


class PlatformBufferMonitorSt(Enum):
    """
    PlatformBufferMonitorSt (Enum Class)

    .. data:: Enable = 1

    .. data:: Disable = 0

    """

    Enable = Enum.YLeaf(1, "Enable")

    Disable = Enum.YLeaf(0, "Disable")


class PlatformFabricSpeed(Enum):
    """
    PlatformFabricSpeed (Enum Class)

    .. data:: DEFAULT = 0

    .. data:: FABRIC_SPEED_40G = 1

    """

    DEFAULT = Enum.YLeaf(0, "DEFAULT")

    FABRIC_SPEED_40G = Enum.YLeaf(1, "FABRIC_SPEED_40G")


class PlatformHwProfile(Enum):
    """
    PlatformHwProfile (Enum Class)

    .. data:: Default = 0

    .. data:: QS_PORT_MODE_64X10G = 1

    .. data:: QS_PORT_MODE_48X10G_4X40G = 2

    .. data:: QS_PORT_MODE_52X10G_3X40g = 3

    .. data:: QS_PORT_MODE_56X10G_2X40G = 4

    .. data:: QS_PORT_MODE_60X10G_1X40G = 5

    .. data:: QS_PORT_MODE = 6

    .. data:: QG_PORT_MODE_32X10G_8X40G = 9

    .. data:: QG_PORT_MODE_16X40G = 10

    .. data:: QG_PORT_MODE_16X10G_12X40G = 11

    .. data:: QG_PORT_MODE_8X10G_14X40G = 12

    .. data:: NEP_PORT_MODE_32X40G = 13

    .. data:: NEP_PORT_MODE_24X40G = 14

    .. data:: NEP_PORT_MODE_26X40G = 15

    .. data:: NEP_PORT_MODE_32X40G_FIXED = 16

    .. data:: QI2_PORT_MODE_72X10G = 17

    .. data:: QI2_PORT_MODE_48X10G_6x40G = 18

    .. data:: QI2_PORT_MODE_BKOUT = 19

    .. data:: DV_PORT_MODE_48X25G_4X100G = 20

    .. data:: DV_PORT_MODE_48X25G_2X100G_4X40G = 21

    .. data:: PB_PORT_MODE_48X10G_6X100G = 22

    .. data:: PB_PORT_MODE_48X10G_4X100G_2X40G = 23

    .. data:: FOST_PORT_MODE_28X40G_4X100G = 26

    .. data:: FOST_PORT_MODE_18X100G = 27

    .. data:: FOST_PORT_MODE_24X40G_6X100G = 28

    .. data:: TET_PORT_MODE_64X100G = 29

    .. data:: TET_PORT_MODE_96X25G_32X100G = 30

    .. data:: TET_PORT_MODE_128X25G = 31

    """

    Default = Enum.YLeaf(0, "Default")

    QS_PORT_MODE_64X10G = Enum.YLeaf(1, "QS_PORT_MODE_64X10G")

    QS_PORT_MODE_48X10G_4X40G = Enum.YLeaf(2, "QS_PORT_MODE_48X10G_4X40G")

    QS_PORT_MODE_52X10G_3X40g = Enum.YLeaf(3, "QS_PORT_MODE_52X10G_3X40g")

    QS_PORT_MODE_56X10G_2X40G = Enum.YLeaf(4, "QS_PORT_MODE_56X10G_2X40G")

    QS_PORT_MODE_60X10G_1X40G = Enum.YLeaf(5, "QS_PORT_MODE_60X10G_1X40G")

    QS_PORT_MODE = Enum.YLeaf(6, "QS_PORT_MODE")

    QG_PORT_MODE_32X10G_8X40G = Enum.YLeaf(9, "QG_PORT_MODE_32X10G_8X40G")

    QG_PORT_MODE_16X40G = Enum.YLeaf(10, "QG_PORT_MODE_16X40G")

    QG_PORT_MODE_16X10G_12X40G = Enum.YLeaf(11, "QG_PORT_MODE_16X10G_12X40G")

    QG_PORT_MODE_8X10G_14X40G = Enum.YLeaf(12, "QG_PORT_MODE_8X10G_14X40G")

    NEP_PORT_MODE_32X40G = Enum.YLeaf(13, "NEP_PORT_MODE_32X40G")

    NEP_PORT_MODE_24X40G = Enum.YLeaf(14, "NEP_PORT_MODE_24X40G")

    NEP_PORT_MODE_26X40G = Enum.YLeaf(15, "NEP_PORT_MODE_26X40G")

    NEP_PORT_MODE_32X40G_FIXED = Enum.YLeaf(16, "NEP_PORT_MODE_32X40G_FIXED")

    QI2_PORT_MODE_72X10G = Enum.YLeaf(17, "QI2_PORT_MODE_72X10G")

    QI2_PORT_MODE_48X10G_6x40G = Enum.YLeaf(18, "QI2_PORT_MODE_48X10G_6x40G")

    QI2_PORT_MODE_BKOUT = Enum.YLeaf(19, "QI2_PORT_MODE_BKOUT")

    DV_PORT_MODE_48X25G_4X100G = Enum.YLeaf(20, "DV_PORT_MODE_48X25G_4X100G")

    DV_PORT_MODE_48X25G_2X100G_4X40G = Enum.YLeaf(21, "DV_PORT_MODE_48X25G_2X100G_4X40G")

    PB_PORT_MODE_48X10G_6X100G = Enum.YLeaf(22, "PB_PORT_MODE_48X10G_6X100G")

    PB_PORT_MODE_48X10G_4X100G_2X40G = Enum.YLeaf(23, "PB_PORT_MODE_48X10G_4X100G_2X40G")

    FOST_PORT_MODE_28X40G_4X100G = Enum.YLeaf(26, "FOST_PORT_MODE_28X40G_4X100G")

    FOST_PORT_MODE_18X100G = Enum.YLeaf(27, "FOST_PORT_MODE_18X100G")

    FOST_PORT_MODE_24X40G_6X100G = Enum.YLeaf(28, "FOST_PORT_MODE_24X40G_6X100G")

    TET_PORT_MODE_64X100G = Enum.YLeaf(29, "TET_PORT_MODE_64X100G")

    TET_PORT_MODE_96X25G_32X100G = Enum.YLeaf(30, "TET_PORT_MODE_96X25G_32X100G")

    TET_PORT_MODE_128X25G = Enum.YLeaf(31, "TET_PORT_MODE_128X25G")


class PlatformInfraVlanForce(Enum):
    """
    PlatformInfraVlanForce (Enum Class)

    .. data:: Disable = 0

    .. data:: Enable = 1

    """

    Disable = Enum.YLeaf(0, "Disable")

    Enable = Enum.YLeaf(1, "Enable")


class PlatformLatencyMonitorSt(Enum):
    """
    PlatformLatencyMonitorSt (Enum Class)

    .. data:: Enable = 1

    .. data:: Disable = 0

    """

    Enable = Enum.YLeaf(1, "Enable")

    Disable = Enum.YLeaf(0, "Disable")


class PlatformPcLbAlgo(Enum):
    """
    PlatformPcLbAlgo (Enum Class)

    .. data:: PC_LB_ALGO_DLB = 1

    .. data:: PC_LB_ALGO_RTAG7 = 2

    .. data:: PC_LB_ALGO_RTAG7_MURMUR = 3

    .. data:: PC_LB_ALGO_RTAG7_LOCAL_CRC = 4

    .. data:: PC_LB_ALGO_DYNAMIC_PIN = 5

    """

    PC_LB_ALGO_DLB = Enum.YLeaf(1, "PC_LB_ALGO_DLB")

    PC_LB_ALGO_RTAG7 = Enum.YLeaf(2, "PC_LB_ALGO_RTAG7")

    PC_LB_ALGO_RTAG7_MURMUR = Enum.YLeaf(3, "PC_LB_ALGO_RTAG7_MURMUR")

    PC_LB_ALGO_RTAG7_LOCAL_CRC = Enum.YLeaf(4, "PC_LB_ALGO_RTAG7_LOCAL_CRC")

    PC_LB_ALGO_DYNAMIC_PIN = Enum.YLeaf(5, "PC_LB_ALGO_DYNAMIC_PIN")


class PlatformPfcMmuBufferSt(Enum):
    """
    PlatformPfcMmuBufferSt (Enum Class)

    .. data:: disable = 0

    .. data:: enable = 1

    """

    disable = Enum.YLeaf(0, "disable")

    enable = Enum.YLeaf(1, "enable")


class PlatformPoweroffSt(Enum):
    """
    PlatformPoweroffSt (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class PlatformPstatCfg(Enum):
    """
    PlatformPstatCfg (Enum Class)

    .. data:: PSTAT_DISABLE = 0

    .. data:: PSTAT_ENABLE = 1

    .. data:: PSTAT_ENABLE_PEAK = 2

    """

    PSTAT_DISABLE = Enum.YLeaf(0, "PSTAT_DISABLE")

    PSTAT_ENABLE = Enum.YLeaf(1, "PSTAT_ENABLE")

    PSTAT_ENABLE_PEAK = Enum.YLeaf(2, "PSTAT_ENABLE_PEAK")


class PlatformQosMinBuffer(Enum):
    """
    PlatformQosMinBuffer (Enum Class)

    .. data:: all = 0

    .. data:: none = 1

    .. data:: default = 2

    """

    all = Enum.YLeaf(0, "all")

    none = Enum.YLeaf(1, "none")

    default = Enum.YLeaf(2, "default")


class PlatformRoutingMode(Enum):
    """
    PlatformRoutingMode (Enum Class)

    .. data:: DEFAULT = 0

    .. data:: NON_HIER_DEFAULT = 1

    .. data:: NON_HIER_MAX_L3 = 2

    .. data:: MAX_HOST = 3

    .. data:: TOR_MAX_L3 = 4

    .. data:: DEFAULT_64B = 5

    .. data:: NON_HIER_MAX_L3_64B = 6

    .. data:: TOR_MAX_L3_64B = 7

    .. data:: TOR_MAX_L2 = 8

    .. data:: TOR_MAX_L2L3 = 9

    .. data:: TOR_TEMPLATE_OVL_HOST_SCALE = 21

    .. data:: TEMPLATE_LPM_HEAVY = 22

    .. data:: TOR_TEMPLATE_LPM_SCALE_V6_64 = 23

    .. data:: TOR_TEMPLATE_DUAL_STACK_HOST_SCALE = 24

    .. data:: TEMPLATE_DYNAMIC_TRIE_SCALE = 25

    .. data:: TEMPLATE_MULTICAST_HEAVY = 26

    .. data:: TEMPLATE_VXLAN_SCALE = 27

    .. data:: TEMPLATE_MPLS_SCALE = 28

    .. data:: TEMPLATE_IPV6_LPM_HEAVY = 29

    .. data:: TEMPLATE_MULTICAST_EXT_HEAVY = 31

    """

    DEFAULT = Enum.YLeaf(0, "DEFAULT")

    NON_HIER_DEFAULT = Enum.YLeaf(1, "NON_HIER_DEFAULT")

    NON_HIER_MAX_L3 = Enum.YLeaf(2, "NON_HIER_MAX_L3")

    MAX_HOST = Enum.YLeaf(3, "MAX_HOST")

    TOR_MAX_L3 = Enum.YLeaf(4, "TOR_MAX_L3")

    DEFAULT_64B = Enum.YLeaf(5, "DEFAULT_64B")

    NON_HIER_MAX_L3_64B = Enum.YLeaf(6, "NON_HIER_MAX_L3_64B")

    TOR_MAX_L3_64B = Enum.YLeaf(7, "TOR_MAX_L3_64B")

    TOR_MAX_L2 = Enum.YLeaf(8, "TOR_MAX_L2")

    TOR_MAX_L2L3 = Enum.YLeaf(9, "TOR_MAX_L2L3")

    TOR_TEMPLATE_OVL_HOST_SCALE = Enum.YLeaf(21, "TOR_TEMPLATE_OVL_HOST_SCALE")

    TEMPLATE_LPM_HEAVY = Enum.YLeaf(22, "TEMPLATE_LPM_HEAVY")

    TOR_TEMPLATE_LPM_SCALE_V6_64 = Enum.YLeaf(23, "TOR_TEMPLATE_LPM_SCALE_V6_64")

    TOR_TEMPLATE_DUAL_STACK_HOST_SCALE = Enum.YLeaf(24, "TOR_TEMPLATE_DUAL_STACK_HOST_SCALE")

    TEMPLATE_DYNAMIC_TRIE_SCALE = Enum.YLeaf(25, "TEMPLATE_DYNAMIC_TRIE_SCALE")

    TEMPLATE_MULTICAST_HEAVY = Enum.YLeaf(26, "TEMPLATE_MULTICAST_HEAVY")

    TEMPLATE_VXLAN_SCALE = Enum.YLeaf(27, "TEMPLATE_VXLAN_SCALE")

    TEMPLATE_MPLS_SCALE = Enum.YLeaf(28, "TEMPLATE_MPLS_SCALE")

    TEMPLATE_IPV6_LPM_HEAVY = Enum.YLeaf(29, "TEMPLATE_IPV6_LPM_HEAVY")

    TEMPLATE_MULTICAST_EXT_HEAVY = Enum.YLeaf(31, "TEMPLATE_MULTICAST_EXT_HEAVY")


class PlatformSwitchingMode(Enum):
    """
    PlatformSwitchingMode (Enum Class)

    .. data:: DEFAULT = 0

    .. data:: STORE_FORWARD = 1

    """

    DEFAULT = Enum.YLeaf(0, "DEFAULT")

    STORE_FORWARD = Enum.YLeaf(1, "STORE_FORWARD")


class PlatformTuple(Enum):
    """
    PlatformTuple (Enum Class)

    .. data:: Disable = 0

    .. data:: Enable = 1

    """

    Disable = Enum.YLeaf(0, "Disable")

    Enable = Enum.YLeaf(1, "Enable")


class PoePoePolice(Enum):
    """
    PoePoePolice (Enum Class)

    .. data:: Default = 0

    .. data:: errdisable = 1

    .. data:: log = 2

    """

    Default = Enum.YLeaf(0, "Default")

    errdisable = Enum.YLeaf(1, "errdisable")

    log = Enum.YLeaf(2, "log")


class PoePoePortmode(Enum):
    """
    PoePoePortmode (Enum Class)

    .. data:: Default = 0

    .. data:: never = 1

    .. data:: auto = 2

    .. data:: static = 3

    """

    Default = Enum.YLeaf(0, "Default")

    never = Enum.YLeaf(1, "never")

    auto = Enum.YLeaf(2, "auto")

    static = Enum.YLeaf(3, "static")


class PoePoePriority(Enum):
    """
    PoePoePriority (Enum Class)

    .. data:: low = 0

    .. data:: high = 1

    """

    low = Enum.YLeaf(0, "low")

    high = Enum.YLeaf(1, "high")


class ProcCpuHistoryDurationName(Enum):
    """
    ProcCpuHistoryDurationName (Enum Class)

    .. data:: last60seconds = 1

    """

    last60seconds = Enum.YLeaf(1, "last60seconds")


class ProcOperSt(Enum):
    """
    ProcOperSt (Enum Class)

    .. data:: intr_sleep = 0

    .. data:: stopped = 1

    .. data:: unintr_sleep = 2

    .. data:: running = 3

    .. data:: dead = 4

    .. data:: defunct = 5

    """

    intr_sleep = Enum.YLeaf(0, "intr-sleep")

    stopped = Enum.YLeaf(1, "stopped")

    unintr_sleep = Enum.YLeaf(2, "unintr-sleep")

    running = Enum.YLeaf(3, "running")

    dead = Enum.YLeaf(4, "dead")

    defunct = Enum.YLeaf(5, "defunct")


class ProcOperState(Enum):
    """
    ProcOperState (Enum Class)

    .. data:: up = 0

    .. data:: down = 1

    """

    up = Enum.YLeaf(0, "up")

    down = Enum.YLeaf(1, "down")


class ProcProcessType(Enum):
    """
    ProcProcessType (Enum Class)

    .. data:: unknown = 0

    .. data:: non_sysmgr = 1

    .. data:: vdc_local = 2

    .. data:: vdc_global = 3

    .. data:: vdc_unaware = 4

    .. data:: not_running = 5

    .. data:: terminated_etc = 6

    """

    unknown = Enum.YLeaf(0, "unknown")

    non_sysmgr = Enum.YLeaf(1, "non-sysmgr")

    vdc_local = Enum.YLeaf(2, "vdc-local")

    vdc_global = Enum.YLeaf(3, "vdc-global")

    vdc_unaware = Enum.YLeaf(4, "vdc-unaware")

    not_running = Enum.YLeaf(5, "not-running")

    terminated_etc = Enum.YLeaf(6, "terminated-etc")


class QosPrio(Enum):
    """
    QosPrio (Enum Class)

    .. data:: unspecified = 0

    .. data:: level3 = 1

    .. data:: level2 = 2

    .. data:: level1 = 3

    .. data:: policy_plane = 4

    .. data:: control_plane = 5

    .. data:: span = 6

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    level3 = Enum.YLeaf(1, "level3")

    level2 = Enum.YLeaf(2, "level2")

    level1 = Enum.YLeaf(3, "level1")

    policy_plane = Enum.YLeaf(4, "policy-plane")

    control_plane = Enum.YLeaf(5, "control-plane")

    span = Enum.YLeaf(6, "span")


class QosTenantPrio(Enum):
    """
    QosTenantPrio (Enum Class)

    .. data:: unspecified = 0

    .. data:: level3 = 1

    .. data:: level2 = 2

    .. data:: level1 = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    level3 = Enum.YLeaf(1, "level3")

    level2 = Enum.YLeaf(2, "level2")

    level1 = Enum.YLeaf(3, "level1")


class QospCongAlgo(Enum):
    """
    QospCongAlgo (Enum Class)

    .. data:: wred = 0

    .. data:: tail_drop = 1

    """

    wred = Enum.YLeaf(0, "wred")

    tail_drop = Enum.YLeaf(1, "tail-drop")


class QospCtrlMeth(Enum):
    """
    QospCtrlMeth (Enum Class)

    .. data:: static = 0

    .. data:: dynamic = 1

    """

    static = Enum.YLeaf(0, "static")

    dynamic = Enum.YLeaf(1, "dynamic")


class QospECN(Enum):
    """
    QospECN (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")


class QospOperSt(Enum):
    """
    QospOperSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class QospSchedAlgo(Enum):
    """
    QospSchedAlgo (Enum Class)

    .. data:: wrr = 0

    .. data:: sp = 1

    """

    wrr = Enum.YLeaf(0, "wrr")

    sp = Enum.YLeaf(1, "sp")


class RegressEnumT(Enum):
    """
    RegressEnumT (Enum Class)

    .. data:: val1 = 1

    .. data:: val2 = 2

    .. data:: val3 = 3

    """

    val1 = Enum.YLeaf(1, "val1")

    val2 = Enum.YLeaf(2, "val2")

    val3 = Enum.YLeaf(3, "val3")


class RelnClassId(Enum):
    """
    RelnClassId (Enum Class)

    .. data:: unspecified = 0

    .. data:: cdpIf = 1

    .. data:: cnwAggrIf = 2

    .. data:: cnwPhysIf = 3

    .. data:: connIf = 4

    .. data:: datetimeNtpSrcIf = 5

    .. data:: dhcpClientIf = 6

    .. data:: dhcpDAIIf = 7

    .. data:: dhcpIpsgIf = 8

    .. data:: dhcpPseudoIf = 9

    .. data:: dhcpRelayIf = 10

    .. data:: dhcpServerIf = 11

    .. data:: dhcpSnoopIf = 12

    .. data:: dhcpSourceIf = 13

    .. data:: dhcpSrcIf = 14

    .. data:: dhcpV6SourceIf = 15

    .. data:: dhcpV6SrcIf = 16

    .. data:: egressIf = 17

    .. data:: ingressIf = 18

    .. data:: ipSrcIf = 19

    .. data:: l1EthIf = 20

    .. data:: l1PhysIf = 21

    .. data:: l2BrIf = 22

    .. data:: l2ExtIf = 23

    .. data:: l2InbandIf = 24

    .. data:: l2VfcIf = 25

    .. data:: l3If = 26

    .. data:: l3LbRtdIf = 27

    .. data:: lldpIf = 28

    .. data:: mcpIf = 29

    .. data:: mgmtMgmtIf = 30

    .. data:: mgmtRtdMgmtIf = 31

    .. data:: nwIf = 32

    .. data:: ospfIf = 33

    .. data:: ospfv3If = 34

    .. data:: pcAggrIf = 35

    .. data:: pktOnPassiveIf = 36

    .. data:: regressIf = 37

    .. data:: rsactiveIf = 38

    .. data:: rtactiveIf = 39

    .. data:: rtlsNodeToIf = 40

    .. data:: srcIf = 41

    .. data:: tunnelIf = 42

    .. data:: vpcIf = 43

    .. data:: l3Inst = 44

    .. data:: l3EncRtdIf = 45

    .. data:: rtregcomRule = 46

    .. data:: rtpfxRule = 47

    .. data:: rtmapMatchRtDst = 48

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    cdpIf = Enum.YLeaf(1, "cdpIf")

    cnwAggrIf = Enum.YLeaf(2, "cnwAggrIf")

    cnwPhysIf = Enum.YLeaf(3, "cnwPhysIf")

    connIf = Enum.YLeaf(4, "connIf")

    datetimeNtpSrcIf = Enum.YLeaf(5, "datetimeNtpSrcIf")

    dhcpClientIf = Enum.YLeaf(6, "dhcpClientIf")

    dhcpDAIIf = Enum.YLeaf(7, "dhcpDAIIf")

    dhcpIpsgIf = Enum.YLeaf(8, "dhcpIpsgIf")

    dhcpPseudoIf = Enum.YLeaf(9, "dhcpPseudoIf")

    dhcpRelayIf = Enum.YLeaf(10, "dhcpRelayIf")

    dhcpServerIf = Enum.YLeaf(11, "dhcpServerIf")

    dhcpSnoopIf = Enum.YLeaf(12, "dhcpSnoopIf")

    dhcpSourceIf = Enum.YLeaf(13, "dhcpSourceIf")

    dhcpSrcIf = Enum.YLeaf(14, "dhcpSrcIf")

    dhcpV6SourceIf = Enum.YLeaf(15, "dhcpV6SourceIf")

    dhcpV6SrcIf = Enum.YLeaf(16, "dhcpV6SrcIf")

    egressIf = Enum.YLeaf(17, "egressIf")

    ingressIf = Enum.YLeaf(18, "ingressIf")

    ipSrcIf = Enum.YLeaf(19, "ipSrcIf")

    l1EthIf = Enum.YLeaf(20, "l1EthIf")

    l1PhysIf = Enum.YLeaf(21, "l1PhysIf")

    l2BrIf = Enum.YLeaf(22, "l2BrIf")

    l2ExtIf = Enum.YLeaf(23, "l2ExtIf")

    l2InbandIf = Enum.YLeaf(24, "l2InbandIf")

    l2VfcIf = Enum.YLeaf(25, "l2VfcIf")

    l3If = Enum.YLeaf(26, "l3If")

    l3LbRtdIf = Enum.YLeaf(27, "l3LbRtdIf")

    lldpIf = Enum.YLeaf(28, "lldpIf")

    mcpIf = Enum.YLeaf(29, "mcpIf")

    mgmtMgmtIf = Enum.YLeaf(30, "mgmtMgmtIf")

    mgmtRtdMgmtIf = Enum.YLeaf(31, "mgmtRtdMgmtIf")

    nwIf = Enum.YLeaf(32, "nwIf")

    ospfIf = Enum.YLeaf(33, "ospfIf")

    ospfv3If = Enum.YLeaf(34, "ospfv3If")

    pcAggrIf = Enum.YLeaf(35, "pcAggrIf")

    pktOnPassiveIf = Enum.YLeaf(36, "pktOnPassiveIf")

    regressIf = Enum.YLeaf(37, "regressIf")

    rsactiveIf = Enum.YLeaf(38, "rsactiveIf")

    rtactiveIf = Enum.YLeaf(39, "rtactiveIf")

    rtlsNodeToIf = Enum.YLeaf(40, "rtlsNodeToIf")

    srcIf = Enum.YLeaf(41, "srcIf")

    tunnelIf = Enum.YLeaf(42, "tunnelIf")

    vpcIf = Enum.YLeaf(43, "vpcIf")

    l3Inst = Enum.YLeaf(44, "l3Inst")

    l3EncRtdIf = Enum.YLeaf(45, "l3EncRtdIf")

    rtregcomRule = Enum.YLeaf(46, "rtregcomRule")

    rtpfxRule = Enum.YLeaf(47, "rtpfxRule")

    rtmapMatchRtDst = Enum.YLeaf(48, "rtmapMatchRtDst")


class RelnResolverType(Enum):
    """
    RelnResolverType (Enum Class)

    .. data:: mo = 1

    .. data:: service = 2

    .. data:: local = 3

    """

    mo = Enum.YLeaf(1, "mo")

    service = Enum.YLeaf(2, "service")

    local = Enum.YLeaf(3, "local")


class RelnState(Enum):
    """
    RelnState (Enum Class)

    .. data:: unformed = 0

    .. data:: formed = 1

    .. data:: missing_target = 2

    .. data:: invalid_target = 4

    """

    unformed = Enum.YLeaf(0, "unformed")

    formed = Enum.YLeaf(1, "formed")

    missing_target = Enum.YLeaf(2, "missing-target")

    invalid_target = Enum.YLeaf(4, "invalid-target")


class RelnStateQual(Enum):
    """
    RelnStateQual (Enum Class)

    .. data:: none = 0

    .. data:: mismatch_target = 1

    .. data:: default_target = 2

    """

    none = Enum.YLeaf(0, "none")

    mismatch_target = Enum.YLeaf(1, "mismatch-target")

    default_target = Enum.YLeaf(2, "default-target")


class RelnTargetType(Enum):
    """
    RelnTargetType (Enum Class)

    .. data:: name = 0

    .. data:: mo = 1

    .. data:: all = 2

    """

    name = Enum.YLeaf(0, "name")

    mo = Enum.YLeaf(1, "mo")

    all = Enum.YLeaf(2, "all")


class RibDbT(Enum):
    """
    RibDbT (Enum Class)

    .. data:: rt = 1

    .. data:: nh = 2

    .. data:: adj = 3

    """

    rt = Enum.YLeaf(1, "rt")

    nh = Enum.YLeaf(2, "nh")

    adj = Enum.YLeaf(3, "adj")


class RibDomOperSt(Enum):
    """
    RibDomOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down_pending = 2

    .. data:: purged = 3

    .. data:: down = 4

    .. data:: del_pending = 5

    .. data:: deleted = 6

    """

    up = Enum.YLeaf(1, "up")

    down_pending = Enum.YLeaf(2, "down-pending")

    purged = Enum.YLeaf(3, "purged")

    down = Enum.YLeaf(4, "down")

    del_pending = Enum.YLeaf(5, "del-pending")

    deleted = Enum.YLeaf(6, "deleted")


class RtcomComT(Enum):
    """
    RtcomComT (Enum Class)

    .. data:: regular = 1

    .. data:: extended = 2

    """

    regular = Enum.YLeaf(1, "regular")

    extended = Enum.YLeaf(2, "extended")


class RtcomMode(Enum):
    """
    RtcomMode (Enum Class)

    .. data:: standard = 1

    .. data:: regex = 2

    """

    standard = Enum.YLeaf(1, "standard")

    regex = Enum.YLeaf(2, "regex")


class RtctrlRtCtrlDir(Enum):
    """
    RtctrlRtCtrlDir (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")


class RtctrlRttPType(Enum):
    """
    RtctrlRttPType (Enum Class)

    .. data:: import_ = 1

    .. data:: export = 2

    """

    import_ = Enum.YLeaf(1, "import")

    export = Enum.YLeaf(2, "export")


class RtdmcAdjOperSt(Enum):
    """
    RtdmcAdjOperSt (Enum Class)

    .. data:: up = 0

    .. data:: inactive = 1

    """

    up = Enum.YLeaf(0, "up")

    inactive = Enum.YLeaf(1, "inactive")


class RtdmcAuthT(Enum):
    """
    RtdmcAuthT (Enum Class)

    .. data:: none = 0

    .. data:: ah_md5 = 1

    """

    none = Enum.YLeaf(0, "none")

    ah_md5 = Enum.YLeaf(1, "ah-md5")


class RtdmcBfdInstSt(Enum):
    """
    RtdmcBfdInstSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    .. data:: none = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")

    none = Enum.YLeaf(0, "none")


class RtdmcBfdOperSt(Enum):
    """
    RtdmcBfdOperSt (Enum Class)

    .. data:: down = 0

    .. data:: rem_pend = 1

    .. data:: up = 2

    """

    down = Enum.YLeaf(0, "down")

    rem_pend = Enum.YLeaf(1, "rem-pend")

    up = Enum.YLeaf(2, "up")


class RtdmcDbT(Enum):
    """
    RtdmcDbT (Enum Class)

    .. data:: rp = 0

    .. data:: grange = 1

    .. data:: route = 2

    .. data:: dynrpsrc = 3

    .. data:: gstats = 4

    .. data:: vrf = 5

    .. data:: ifrec = 6

    .. data:: grpoif = 7

    .. data:: group = 8

    .. data:: ifstats = 9

    .. data:: peer = 10

    .. data:: rphash = 11

    .. data:: df = 12

    .. data:: bf = 13

    .. data:: embedrp = 14

    .. data:: syslog = 15

    .. data:: vrfdetail = 16

    """

    rp = Enum.YLeaf(0, "rp")

    grange = Enum.YLeaf(1, "grange")

    route = Enum.YLeaf(2, "route")

    dynrpsrc = Enum.YLeaf(3, "dynrpsrc")

    gstats = Enum.YLeaf(4, "gstats")

    vrf = Enum.YLeaf(5, "vrf")

    ifrec = Enum.YLeaf(6, "ifrec")

    grpoif = Enum.YLeaf(7, "grpoif")

    group = Enum.YLeaf(8, "group")

    ifstats = Enum.YLeaf(9, "ifstats")

    peer = Enum.YLeaf(10, "peer")

    rphash = Enum.YLeaf(11, "rphash")

    df = Enum.YLeaf(12, "df")

    bf = Enum.YLeaf(13, "bf")

    embedrp = Enum.YLeaf(14, "embedrp")

    syslog = Enum.YLeaf(15, "syslog")

    vrfdetail = Enum.YLeaf(16, "vrfdetail")


class RtdmcDfStates(Enum):
    """
    RtdmcDfStates (Enum Class)

    .. data:: unknown = 0

    .. data:: offer = 1

    .. data:: lose = 2

    .. data:: winner = 3

    .. data:: backoff = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    offer = Enum.YLeaf(1, "offer")

    lose = Enum.YLeaf(2, "lose")

    winner = Enum.YLeaf(3, "winner")

    backoff = Enum.YLeaf(4, "backoff")


class RtdmcPolicyDirType(Enum):
    """
    RtdmcPolicyDirType (Enum Class)

    .. data:: none = 0

    .. data:: in_ = 1

    .. data:: out = 2

    """

    none = Enum.YLeaf(0, "none")

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")


class RtextcomScope(Enum):
    """
    RtextcomScope (Enum Class)

    .. data:: transitive = 0

    .. data:: non_transitive = 1

    """

    transitive = Enum.YLeaf(0, "transitive")

    non_transitive = Enum.YLeaf(1, "non-transitive")


class RtextcomType(Enum):
    """
    RtextcomType (Enum Class)

    .. data:: rttarget = 1

    .. data:: generic = 2

    """

    rttarget = Enum.YLeaf(1, "rttarget")

    generic = Enum.YLeaf(2, "generic")


class RtfltAction(Enum):
    """
    RtfltAction (Enum Class)

    .. data:: deny = 0

    .. data:: permit = 1

    """

    deny = Enum.YLeaf(0, "deny")

    permit = Enum.YLeaf(1, "permit")


class RtleakCtrl(Enum):
    """
    RtleakCtrl (Enum Class)

    .. data:: unspecified = 0

    .. data:: warning = 1

    .. data:: withdraw = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    warning = Enum.YLeaf(1, "warning")

    withdraw = Enum.YLeaf(2, "withdraw")


class RtleakProto(Enum):
    """
    RtleakProto (Enum Class)

    .. data:: unspecified = 0

    .. data:: static = 1

    .. data:: direct = 2

    .. data:: bgp = 3

    .. data:: isis = 4

    .. data:: ospf = 5

    .. data:: ospfv3 = 6

    .. data:: eigrp = 7

    .. data:: host = 8

    .. data:: rip = 9

    .. data:: amt = 10

    .. data:: lisp = 11

    .. data:: hmm = 12

    .. data:: am = 13

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    static = Enum.YLeaf(1, "static")

    direct = Enum.YLeaf(2, "direct")

    bgp = Enum.YLeaf(3, "bgp")

    isis = Enum.YLeaf(4, "isis")

    ospf = Enum.YLeaf(5, "ospf")

    ospfv3 = Enum.YLeaf(6, "ospfv3")

    eigrp = Enum.YLeaf(7, "eigrp")

    host = Enum.YLeaf(8, "host")

    rip = Enum.YLeaf(9, "rip")

    amt = Enum.YLeaf(10, "amt")

    lisp = Enum.YLeaf(11, "lisp")

    hmm = Enum.YLeaf(12, "hmm")

    am = Enum.YLeaf(13, "am")


class RtleakRtCtrlDir(Enum):
    """
    RtleakRtCtrlDir (Enum Class)

    .. data:: in_ = 0

    .. data:: out = 1

    """

    in_ = Enum.YLeaf(0, "in")

    out = Enum.YLeaf(1, "out")


class RtleakScope(Enum):
    """
    RtleakScope (Enum Class)

    .. data:: intra = 1

    .. data:: inter = 2

    .. data:: defrt = 3

    """

    intra = Enum.YLeaf(1, "intra")

    inter = Enum.YLeaf(2, "inter")

    defrt = Enum.YLeaf(3, "defrt")


class RtmapAction(Enum):
    """
    RtmapAction (Enum Class)

    .. data:: deny = 0

    .. data:: permit = 1

    """

    deny = Enum.YLeaf(0, "deny")

    permit = Enum.YLeaf(1, "permit")


class RtmapAdminSt(Enum):
    """
    RtmapAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class RtmapCriteria(Enum):
    """
    RtmapCriteria (Enum Class)

    .. data:: exact = 1

    .. data:: sub_group = 2

    """

    exact = Enum.YLeaf(1, "exact")

    sub_group = Enum.YLeaf(2, "sub-group")


class RtmapMatchT(Enum):
    """
    RtmapMatchT (Enum Class)

    .. data:: reg_community = 1

    .. data:: ext_community = 2

    .. data:: rt_dst = 3

    .. data:: rt_nh = 4

    .. data:: rt_src = 5

    .. data:: rt_type = 6

    .. data:: rt_tag = 7

    .. data:: rt_pervasive = 8

    .. data:: as_path = 9

    .. data:: rt_dst_v6 = 10

    .. data:: rt_asn = 11

    .. data:: rt_if = 12

    .. data:: rt_metric = 13

    .. data:: src_proto = 14

    .. data:: rt_ospf = 15

    .. data:: rt_nh_v6 = 16

    .. data:: rt_src_v6 = 17

    .. data:: rt_ipv4_mcast = 18

    .. data:: rt_ipv6_mcast = 19

    """

    reg_community = Enum.YLeaf(1, "reg-community")

    ext_community = Enum.YLeaf(2, "ext-community")

    rt_dst = Enum.YLeaf(3, "rt-dst")

    rt_nh = Enum.YLeaf(4, "rt-nh")

    rt_src = Enum.YLeaf(5, "rt-src")

    rt_type = Enum.YLeaf(6, "rt-type")

    rt_tag = Enum.YLeaf(7, "rt-tag")

    rt_pervasive = Enum.YLeaf(8, "rt-pervasive")

    as_path = Enum.YLeaf(9, "as-path")

    rt_dst_v6 = Enum.YLeaf(10, "rt-dst-v6")

    rt_asn = Enum.YLeaf(11, "rt-asn")

    rt_if = Enum.YLeaf(12, "rt-if")

    rt_metric = Enum.YLeaf(13, "rt-metric")

    src_proto = Enum.YLeaf(14, "src-proto")

    rt_ospf = Enum.YLeaf(15, "rt-ospf")

    rt_nh_v6 = Enum.YLeaf(16, "rt-nh-v6")

    rt_src_v6 = Enum.YLeaf(17, "rt-src-v6")

    rt_ipv4_mcast = Enum.YLeaf(18, "rt-ipv4-mcast")

    rt_ipv6_mcast = Enum.YLeaf(19, "rt-ipv6-mcast")


class RtmapMetricT(Enum):
    """
    RtmapMetricT (Enum Class)

    .. data:: type_1 = 1

    .. data:: type_2 = 2

    .. data:: internal = 3

    .. data:: external = 4

    """

    type_1 = Enum.YLeaf(1, "type-1")

    type_2 = Enum.YLeaf(2, "type-2")

    internal = Enum.YLeaf(3, "internal")

    external = Enum.YLeaf(4, "external")


class RtmapOriginT(Enum):
    """
    RtmapOriginT (Enum Class)

    .. data:: egp = 1

    .. data:: igp = 2

    .. data:: incomplete = 3

    """

    egp = Enum.YLeaf(1, "egp")

    igp = Enum.YLeaf(2, "igp")

    incomplete = Enum.YLeaf(3, "incomplete")


class RtmapPrecName(Enum):
    """
    RtmapPrecName (Enum Class)

    .. data:: routine = 0

    .. data:: priority = 1

    .. data:: immediate = 2

    .. data:: flash = 3

    .. data:: flash_override = 4

    .. data:: critical = 5

    .. data:: internet = 6

    .. data:: network = 7

    """

    routine = Enum.YLeaf(0, "routine")

    priority = Enum.YLeaf(1, "priority")

    immediate = Enum.YLeaf(2, "immediate")

    flash = Enum.YLeaf(3, "flash")

    flash_override = Enum.YLeaf(4, "flash-override")

    critical = Enum.YLeaf(5, "critical")

    internet = Enum.YLeaf(6, "internet")

    network = Enum.YLeaf(7, "network")


class RtmapRoutePervasive(Enum):
    """
    RtmapRoutePervasive (Enum Class)

    .. data:: non_pervasive = 0

    .. data:: pervasive = 1

    .. data:: pervasive_non_ext_bd = 2

    """

    non_pervasive = Enum.YLeaf(0, "non-pervasive")

    pervasive = Enum.YLeaf(1, "pervasive")

    pervasive_non_ext_bd = Enum.YLeaf(2, "pervasive-non-ext-bd")


class RtmapRouteT(Enum):
    """
    RtmapRouteT (Enum Class)

    .. data:: external = 1

    .. data:: internal = 2

    .. data:: ospf_inter_area = 3

    .. data:: ospf_intra_area = 4

    .. data:: isis_l1 = 5

    .. data:: isis_l2 = 6

    .. data:: local = 7

    .. data:: ospf_nssa_external = 8

    .. data:: ospf_type1 = 9

    .. data:: ospf_type2 = 10

    """

    external = Enum.YLeaf(1, "external")

    internal = Enum.YLeaf(2, "internal")

    ospf_inter_area = Enum.YLeaf(3, "ospf-inter-area")

    ospf_intra_area = Enum.YLeaf(4, "ospf-intra-area")

    isis_l1 = Enum.YLeaf(5, "isis-l1")

    isis_l2 = Enum.YLeaf(6, "isis-l2")

    local = Enum.YLeaf(7, "local")

    ospf_nssa_external = Enum.YLeaf(8, "ospf-nssa-external")

    ospf_type1 = Enum.YLeaf(9, "ospf-type1")

    ospf_type2 = Enum.YLeaf(10, "ospf-type2")


class RtmapRpTypeT(Enum):
    """
    RtmapRpTypeT (Enum Class)

    .. data:: unspecified = 0

    .. data:: ASM = 1

    .. data:: Bidir = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    ASM = Enum.YLeaf(1, "ASM")

    Bidir = Enum.YLeaf(2, "Bidir")


class RtmapSetCriteria(Enum):
    """
    RtmapSetCriteria (Enum Class)

    .. data:: none = 1

    .. data:: append = 2

    .. data:: replace = 3

    .. data:: igp = 4

    .. data:: pre_bestpath = 5

    """

    none = Enum.YLeaf(1, "none")

    append = Enum.YLeaf(2, "append")

    replace = Enum.YLeaf(3, "replace")

    igp = Enum.YLeaf(4, "igp")

    pre_bestpath = Enum.YLeaf(5, "pre-bestpath")


class RtmapSetT(Enum):
    """
    RtmapSetT (Enum Class)

    .. data:: reg_community = 1

    .. data:: ext_gen_community = 2

    .. data:: rtt_community = 3

    .. data:: rt_tag = 4

    .. data:: rt_weight = 5

    .. data:: local_pref = 6

    .. data:: metric = 7

    .. data:: ospf_nssa = 8

    .. data:: ospf_fwd_addr = 9

    .. data:: ip_nh = 10

    .. data:: metric_type = 11

    .. data:: rt_dist = 12

    .. data:: nh_pa = 13

    .. data:: origin = 14

    .. data:: list_community = 15

    .. data:: dampening = 16

    .. data:: extcommunity_cost = 17

    .. data:: ip_prec = 18

    .. data:: continue_ = 19

    .. data:: rt_index = 20

    .. data:: list_extcommunity = 21

    .. data:: ipv6_prec = 22

    .. data:: prepend = 23

    .. data:: lastas = 24

    .. data:: as_pathtag = 25

    """

    reg_community = Enum.YLeaf(1, "reg-community")

    ext_gen_community = Enum.YLeaf(2, "ext-gen-community")

    rtt_community = Enum.YLeaf(3, "rtt-community")

    rt_tag = Enum.YLeaf(4, "rt-tag")

    rt_weight = Enum.YLeaf(5, "rt-weight")

    local_pref = Enum.YLeaf(6, "local-pref")

    metric = Enum.YLeaf(7, "metric")

    ospf_nssa = Enum.YLeaf(8, "ospf-nssa")

    ospf_fwd_addr = Enum.YLeaf(9, "ospf-fwd-addr")

    ip_nh = Enum.YLeaf(10, "ip-nh")

    metric_type = Enum.YLeaf(11, "metric-type")

    rt_dist = Enum.YLeaf(12, "rt-dist")

    nh_pa = Enum.YLeaf(13, "nh-pa")

    origin = Enum.YLeaf(14, "origin")

    list_community = Enum.YLeaf(15, "list-community")

    dampening = Enum.YLeaf(16, "dampening")

    extcommunity_cost = Enum.YLeaf(17, "extcommunity-cost")

    ip_prec = Enum.YLeaf(18, "ip-prec")

    continue_ = Enum.YLeaf(19, "continue")

    rt_index = Enum.YLeaf(20, "rt-index")

    list_extcommunity = Enum.YLeaf(21, "list-extcommunity")

    ipv6_prec = Enum.YLeaf(22, "ipv6-prec")

    prepend = Enum.YLeaf(23, "prepend")

    lastas = Enum.YLeaf(24, "lastas")

    as_pathtag = Enum.YLeaf(25, "as-pathtag")


class RtpfxCriteria(Enum):
    """
    RtpfxCriteria (Enum Class)

    .. data:: exact = 0

    .. data:: inexact = 1

    """

    exact = Enum.YLeaf(0, "exact")

    inexact = Enum.YLeaf(1, "inexact")


class SatmExtChOperSt(Enum):
    """
    SatmExtChOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: initializing = 1

    .. data:: discovered = 2

    .. data:: connected = 3

    .. data:: registering = 4

    .. data:: registered = 5

    .. data:: ready = 6

    .. data:: online_seq = 7

    .. data:: online = 8

    .. data:: offline_req = 9

    .. data:: offline_seq = 10

    .. data:: offline = 11

    .. data:: img_download = 12

    .. data:: failed = 13

    .. data:: removed = 14

    .. data:: hl_upg_seq = 15

    .. data:: chk_upg_seq = 16

    .. data:: upg_start = 17

    .. data:: hl_upg_idle = 18

    .. data:: chk_ins_seq = 19

    .. data:: hl_upg_fail = 20

    .. data:: aa_upg_rdy = 21

    .. data:: aa_upg_idle = 22

    .. data:: aa_upg_done = 23

    .. data:: aa_upg_fail = 24

    .. data:: aa_ver_mismatch = 25

    .. data:: ch_type_mismatch = 26

    """

    unknown = Enum.YLeaf(0, "unknown")

    initializing = Enum.YLeaf(1, "initializing")

    discovered = Enum.YLeaf(2, "discovered")

    connected = Enum.YLeaf(3, "connected")

    registering = Enum.YLeaf(4, "registering")

    registered = Enum.YLeaf(5, "registered")

    ready = Enum.YLeaf(6, "ready")

    online_seq = Enum.YLeaf(7, "online-seq")

    online = Enum.YLeaf(8, "online")

    offline_req = Enum.YLeaf(9, "offline-req")

    offline_seq = Enum.YLeaf(10, "offline-seq")

    offline = Enum.YLeaf(11, "offline")

    img_download = Enum.YLeaf(12, "img-download")

    failed = Enum.YLeaf(13, "failed")

    removed = Enum.YLeaf(14, "removed")

    hl_upg_seq = Enum.YLeaf(15, "hl-upg-seq")

    chk_upg_seq = Enum.YLeaf(16, "chk-upg-seq")

    upg_start = Enum.YLeaf(17, "upg-start")

    hl_upg_idle = Enum.YLeaf(18, "hl-upg-idle")

    chk_ins_seq = Enum.YLeaf(19, "chk-ins-seq")

    hl_upg_fail = Enum.YLeaf(20, "hl-upg-fail")

    aa_upg_rdy = Enum.YLeaf(21, "aa-upg-rdy")

    aa_upg_idle = Enum.YLeaf(22, "aa-upg-idle")

    aa_upg_done = Enum.YLeaf(23, "aa-upg-done")

    aa_upg_fail = Enum.YLeaf(24, "aa-upg-fail")

    aa_ver_mismatch = Enum.YLeaf(25, "aa-ver-mismatch")

    ch_type_mismatch = Enum.YLeaf(26, "ch-type-mismatch")


class SatmFpFsmSt(Enum):
    """
    SatmFpFsmSt (Enum Class)

    .. data:: unknown = 0

    .. data:: created = 1

    .. data:: discovered = 2

    .. data:: configured = 3

    .. data:: up = 4

    .. data:: connecting = 5

    .. data:: active = 6

    .. data:: incompatible = 7

    .. data:: disconnected = 8

    .. data:: id_mismatch = 9

    """

    unknown = Enum.YLeaf(0, "unknown")

    created = Enum.YLeaf(1, "created")

    discovered = Enum.YLeaf(2, "discovered")

    configured = Enum.YLeaf(3, "configured")

    up = Enum.YLeaf(4, "up")

    connecting = Enum.YLeaf(5, "connecting")

    active = Enum.YLeaf(6, "active")

    incompatible = Enum.YLeaf(7, "incompatible")

    disconnected = Enum.YLeaf(8, "disconnected")

    id_mismatch = Enum.YLeaf(9, "id-mismatch")


class SatmHpOperSt(Enum):
    """
    SatmHpOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    .. data:: fail = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    fail = Enum.YLeaf(3, "fail")


class SatmOperSt(Enum):
    """
    SatmOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    .. data:: failed = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    failed = Enum.YLeaf(3, "failed")


class ScrtchpdAction(Enum):
    """
    ScrtchpdAction (Enum Class)

    .. data:: create = 1

    .. data:: delete = 2

    """

    create = Enum.YLeaf(1, "create")

    delete = Enum.YLeaf(2, "delete")


class SegrtAfType(Enum):
    """
    SegrtAfType (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")


class SegrtOperSt(Enum):
    """
    SegrtOperSt (Enum Class)

    .. data:: disabled = 0

    .. data:: enabled = 1

    .. data:: ha_in_progress = 2

    """

    disabled = Enum.YLeaf(0, "disabled")

    enabled = Enum.YLeaf(1, "enabled")

    ha_in_progress = Enum.YLeaf(2, "ha-in-progress")


class SegrtOperStQual(Enum):
    """
    SegrtOperStQual (Enum Class)

    .. data:: none = 0

    .. data:: shut = 1

    .. data:: srgb_cleanup_in_progress = 2

    .. data:: srgb_cleanup_failed = 3

    .. data:: srgb_alloc_in_progress = 4

    .. data:: srgb_alloc_failed = 5

    """

    none = Enum.YLeaf(0, "none")

    shut = Enum.YLeaf(1, "shut")

    srgb_cleanup_in_progress = Enum.YLeaf(2, "srgb-cleanup-in-progress")

    srgb_cleanup_failed = Enum.YLeaf(3, "srgb-cleanup-failed")

    srgb_alloc_in_progress = Enum.YLeaf(4, "srgb-alloc-in-progress")

    srgb_alloc_failed = Enum.YLeaf(5, "srgb-alloc-failed")


class SegrtSRGBOperSt(Enum):
    """
    SegrtSRGBOperSt (Enum Class)

    .. data:: none = 0

    .. data:: in_use = 1

    .. data:: alloc_in_progress = 2

    .. data:: alloc_failed = 3

    .. data:: cleanup_in_progress = 4

    .. data:: cleanup_failed = 5

    """

    none = Enum.YLeaf(0, "none")

    in_use = Enum.YLeaf(1, "in-use")

    alloc_in_progress = Enum.YLeaf(2, "alloc-in-progress")

    alloc_failed = Enum.YLeaf(3, "alloc-failed")

    cleanup_in_progress = Enum.YLeaf(4, "cleanup-in-progress")

    cleanup_failed = Enum.YLeaf(5, "cleanup-failed")


class SegrtSidValueType(Enum):
    """
    SegrtSidValueType (Enum Class)

    .. data:: index = 1

    .. data:: absolute = 2

    """

    index = Enum.YLeaf(1, "index")

    absolute = Enum.YLeaf(2, "absolute")


class SegrtSrDpType(Enum):
    """
    SegrtSrDpType (Enum Class)

    .. data:: mpls = 1

    .. data:: ipv6 = 2

    """

    mpls = Enum.YLeaf(1, "mpls")

    ipv6 = Enum.YLeaf(2, "ipv6")


class SisfDeviceRole(Enum):
    """
    SisfDeviceRole (Enum Class)

    .. data:: node = 0

    .. data:: switch = 3

    """

    node = Enum.YLeaf(0, "node")

    switch = Enum.YLeaf(3, "switch")


class SisfDhcpGuardDeviceRole(Enum):
    """
    SisfDhcpGuardDeviceRole (Enum Class)

    .. data:: client = 0

    .. data:: server = 1

    .. data:: monitor = 2

    """

    client = Enum.YLeaf(0, "client")

    server = Enum.YLeaf(1, "server")

    monitor = Enum.YLeaf(2, "monitor")


class SisfDhcpflag(Enum):
    """
    SisfDhcpflag (Enum Class)

    .. data:: on = 0

    .. data:: off = 1

    """

    on = Enum.YLeaf(0, "on")

    off = Enum.YLeaf(1, "off")


class SisfNdpflag(Enum):
    """
    SisfNdpflag (Enum Class)

    .. data:: on = 0

    .. data:: off = 1

    """

    on = Enum.YLeaf(0, "on")

    off = Enum.YLeaf(1, "off")


class SisfNonGlobalTracking(Enum):
    """
    SisfNonGlobalTracking (Enum Class)

    .. data:: default = 0

    .. data:: disable = 1

    .. data:: enable = 2

    """

    default = Enum.YLeaf(0, "default")

    disable = Enum.YLeaf(1, "disable")

    enable = Enum.YLeaf(2, "enable")


class SisfRaGuardDeviceRole(Enum):
    """
    SisfRaGuardDeviceRole (Enum Class)

    .. data:: host = 1

    .. data:: router = 2

    .. data:: switch = 3

    .. data:: monitor = 4

    """

    host = Enum.YLeaf(1, "host")

    router = Enum.YLeaf(2, "router")

    switch = Enum.YLeaf(3, "switch")

    monitor = Enum.YLeaf(4, "monitor")


class SisfRaGuardManagedConfig(Enum):
    """
    SisfRaGuardManagedConfig (Enum Class)

    .. data:: off = 0

    .. data:: on = 1

    .. data:: nocheck = 2

    """

    off = Enum.YLeaf(0, "off")

    on = Enum.YLeaf(1, "on")

    nocheck = Enum.YLeaf(2, "nocheck")


class SisfRaGuardOtherConfig(Enum):
    """
    SisfRaGuardOtherConfig (Enum Class)

    .. data:: off = 0

    .. data:: on = 1

    .. data:: nocheck = 2

    """

    off = Enum.YLeaf(0, "off")

    on = Enum.YLeaf(1, "on")

    nocheck = Enum.YLeaf(2, "nocheck")


class SisfRaGuardRouterPreferenceMaximum(Enum):
    """
    SisfRaGuardRouterPreferenceMaximum (Enum Class)

    .. data:: low = 1

    .. data:: medium = 2

    .. data:: high = 3

    .. data:: nocheck = 4

    """

    low = Enum.YLeaf(1, "low")

    medium = Enum.YLeaf(2, "medium")

    high = Enum.YLeaf(3, "high")

    nocheck = Enum.YLeaf(4, "nocheck")


class SisfSecurityLevel(Enum):
    """
    SisfSecurityLevel (Enum Class)

    .. data:: glean = 0

    .. data:: inspect = 1

    .. data:: guard = 2

    """

    glean = Enum.YLeaf(0, "glean")

    inspect = Enum.YLeaf(1, "inspect")

    guard = Enum.YLeaf(2, "guard")


class SnmpAuthType(Enum):
    """
    SnmpAuthType (Enum Class)

    .. data:: hmac_md5_96 = 1

    .. data:: hmac_sha1_96 = 2

    """

    hmac_md5_96 = Enum.YLeaf(1, "hmac-md5-96")

    hmac_sha1_96 = Enum.YLeaf(2, "hmac-sha1-96")


class SnmpAuthTypeT(Enum):
    """
    SnmpAuthTypeT (Enum Class)

    .. data:: no = 0

    .. data:: md5 = 1

    .. data:: sha = 2

    """

    no = Enum.YLeaf(0, "no")

    md5 = Enum.YLeaf(1, "md5")

    sha = Enum.YLeaf(2, "sha")


class SnmpBoolean(Enum):
    """
    SnmpBoolean (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class SnmpCommAcessT(Enum):
    """
    SnmpCommAcessT (Enum Class)

    .. data:: ro = 0

    .. data:: rw = 1

    .. data:: unspecified = 2

    """

    ro = Enum.YLeaf(0, "ro")

    rw = Enum.YLeaf(1, "rw")

    unspecified = Enum.YLeaf(2, "unspecified")


class SnmpLogEnableType(Enum):
    """
    SnmpLogEnableType (Enum Class)

    .. data:: no = 0

    .. data:: yes = 1

    """

    no = Enum.YLeaf(0, "no")

    yes = Enum.YLeaf(1, "yes")


class SnmpNotificationType(Enum):
    """
    SnmpNotificationType (Enum Class)

    .. data:: traps = 1

    .. data:: informs = 2

    """

    traps = Enum.YLeaf(1, "traps")

    informs = Enum.YLeaf(2, "informs")


class SnmpPrivType(Enum):
    """
    SnmpPrivType (Enum Class)

    .. data:: none = 0

    .. data:: des = 1

    .. data:: aes_128 = 2

    """

    none = Enum.YLeaf(0, "none")

    des = Enum.YLeaf(1, "des")

    aes_128 = Enum.YLeaf(2, "aes-128")


class SnmpPrivTypeT(Enum):
    """
    SnmpPrivTypeT (Enum Class)

    .. data:: no = 0

    .. data:: des = 1

    .. data:: aes128 = 2

    """

    no = Enum.YLeaf(0, "no")

    des = Enum.YLeaf(1, "des")

    aes128 = Enum.YLeaf(2, "aes128")


class SnmpSmplType(Enum):
    """
    SnmpSmplType (Enum Class)

    .. data:: unspecified = 0

    .. data:: absolute = 1

    .. data:: delta = 2

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    absolute = Enum.YLeaf(1, "absolute")

    delta = Enum.YLeaf(2, "delta")


class SnmpSnmpTrapSt(Enum):
    """
    SnmpSnmpTrapSt (Enum Class)

    .. data:: enable = 1

    .. data:: disable = 2

    """

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")


class SnmpTcpSessionAuthT(Enum):
    """
    SnmpTcpSessionAuthT (Enum Class)

    .. data:: no = 0

    .. data:: tcpSess = 1

    .. data:: tcpSessAuth = 2

    """

    no = Enum.YLeaf(0, "no")

    tcpSess = Enum.YLeaf(1, "tcpSess")

    tcpSessAuth = Enum.YLeaf(2, "tcpSessAuth")


class SnmpV3SecLvl(Enum):
    """
    SnmpV3SecLvl (Enum Class)

    .. data:: unspecified = 0

    .. data:: noauth = 1

    .. data:: auth = 2

    .. data:: priv = 3

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    noauth = Enum.YLeaf(1, "noauth")

    auth = Enum.YLeaf(2, "auth")

    priv = Enum.YLeaf(3, "priv")


class SnmpVersion(Enum):
    """
    SnmpVersion (Enum Class)

    .. data:: v1 = 1

    .. data:: v2c = 2

    .. data:: v3 = 3

    """

    v1 = Enum.YLeaf(1, "v1")

    v2c = Enum.YLeaf(2, "v2c")

    v3 = Enum.YLeaf(3, "v3")


class SpanDbT(Enum):
    """
    SpanDbT (Enum Class)

    .. data:: ipep_resolve = 1

    """

    ipep_resolve = Enum.YLeaf(1, "ipep-resolve")


class SpanDestEncapT(Enum):
    """
    SpanDestEncapT (Enum Class)

    .. data:: gre = 1

    """

    gre = Enum.YLeaf(1, "gre")


class SpanDirection(Enum):
    """
    SpanDirection (Enum Class)

    .. data:: in_ = 1

    .. data:: out = 2

    .. data:: both = 3

    """

    in_ = Enum.YLeaf(1, "in")

    out = Enum.YLeaf(2, "out")

    both = Enum.YLeaf(3, "both")


class SpanErSpanVer(Enum):
    """
    SpanErSpanVer (Enum Class)

    .. data:: ver1 = 1

    .. data:: ver2 = 2

    """

    ver1 = Enum.YLeaf(1, "ver1")

    ver2 = Enum.YLeaf(2, "ver2")


class SpanMode(Enum):
    """
    SpanMode (Enum Class)

    .. data:: access = 1

    .. data:: fabric = 2

    """

    access = Enum.YLeaf(1, "access")

    fabric = Enum.YLeaf(2, "fabric")


class SpanOperSt(Enum):
    """
    SpanOperSt (Enum Class)

    .. data:: unspecified = 0

    .. data:: up = 1

    .. data:: down = 2

    .. data:: failed = 3

    .. data:: partial = 4

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    failed = Enum.YLeaf(3, "failed")

    partial = Enum.YLeaf(4, "partial")


class SpanOperStQual(Enum):
    """
    SpanOperStQual (Enum Class)

    .. data:: active = 1

    .. data:: no_hw_res = 2

    .. data:: no_oper_src_dst = 3

    .. data:: error = 4

    .. data:: no_src = 5

    .. data:: no_dst = 6

    .. data:: no_src_dst = 7

    .. data:: shut = 8

    .. data:: invalid_dst_mode = 9

    .. data:: invalid_src_mode = 10

    .. data:: invalid_vrf = 11

    .. data:: invalid_ip = 12

    .. data:: no_route = 13

    .. data:: no_eg_intf = 14

    .. data:: hw_err = 15

    """

    active = Enum.YLeaf(1, "active")

    no_hw_res = Enum.YLeaf(2, "no-hw-res")

    no_oper_src_dst = Enum.YLeaf(3, "no-oper-src-dst")

    error = Enum.YLeaf(4, "error")

    no_src = Enum.YLeaf(5, "no-src")

    no_dst = Enum.YLeaf(6, "no-dst")

    no_src_dst = Enum.YLeaf(7, "no-src-dst")

    shut = Enum.YLeaf(8, "shut")

    invalid_dst_mode = Enum.YLeaf(9, "invalid-dst-mode")

    invalid_src_mode = Enum.YLeaf(10, "invalid-src-mode")

    invalid_vrf = Enum.YLeaf(11, "invalid-vrf")

    invalid_ip = Enum.YLeaf(12, "invalid-ip")

    no_route = Enum.YLeaf(13, "no-route")

    no_eg_intf = Enum.YLeaf(14, "no-eg-intf")

    hw_err = Enum.YLeaf(15, "hw-err")


class SpanSrcT(Enum):
    """
    SpanSrcT (Enum Class)

    .. data:: port = 1

    .. data:: encap = 2

    .. data:: port_encap = 3

    """

    port = Enum.YLeaf(1, "port")

    encap = Enum.YLeaf(2, "encap")

    port_encap = Enum.YLeaf(3, "port-encap")


class SrteEncapsulationType(Enum):
    """
    SrteEncapsulationType (Enum Class)

    .. data:: mpls = 0

    """

    mpls = Enum.YLeaf(0, "mpls")


class SrteMetric(Enum):
    """
    SrteMetric (Enum Class)

    .. data:: none = 0

    .. data:: te = 1

    .. data:: igp = 2

    """

    none = Enum.YLeaf(0, "none")

    te = Enum.YLeaf(1, "te")

    igp = Enum.YLeaf(2, "igp")


class StpAdminSt(Enum):
    """
    StpAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class StpBPDUGuard(Enum):
    """
    StpBPDUGuard (Enum Class)

    .. data:: default = 0

    .. data:: enable = 1

    .. data:: disable = 2

    """

    default = Enum.YLeaf(0, "default")

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")


class StpBpdufilter(Enum):
    """
    StpBpdufilter (Enum Class)

    .. data:: default = 0

    .. data:: enable = 1

    .. data:: disable = 2

    """

    default = Enum.YLeaf(0, "default")

    enable = Enum.YLeaf(1, "enable")

    disable = Enum.YLeaf(2, "disable")


class StpGuard(Enum):
    """
    StpGuard (Enum Class)

    .. data:: default = 0

    .. data:: root = 1

    .. data:: loop = 2

    .. data:: none = 3

    """

    default = Enum.YLeaf(0, "default")

    root = Enum.YLeaf(1, "root")

    loop = Enum.YLeaf(2, "loop")

    none = Enum.YLeaf(3, "none")


class StpIfMode(Enum):
    """
    StpIfMode (Enum Class)

    .. data:: default = 0

    .. data:: edge = 1

    .. data:: network = 2

    .. data:: normal = 3

    .. data:: trunk = 4

    """

    default = Enum.YLeaf(0, "default")

    edge = Enum.YLeaf(1, "edge")

    network = Enum.YLeaf(2, "network")

    normal = Enum.YLeaf(3, "normal")

    trunk = Enum.YLeaf(4, "trunk")


class StpLinkType(Enum):
    """
    StpLinkType (Enum Class)

    .. data:: auto = 1

    .. data:: p2p = 2

    .. data:: shared = 3

    """

    auto = Enum.YLeaf(1, "auto")

    p2p = Enum.YLeaf(2, "p2p")

    shared = Enum.YLeaf(3, "shared")


class StpMode(Enum):
    """
    StpMode (Enum Class)

    .. data:: mst = 1

    .. data:: pvrst = 2

    """

    mst = Enum.YLeaf(1, "mst")

    pvrst = Enum.YLeaf(2, "pvrst")


class StpModeType(Enum):
    """
    StpModeType (Enum Class)

    .. data:: edge = 1

    .. data:: network = 2

    .. data:: normal = 3

    """

    edge = Enum.YLeaf(1, "edge")

    network = Enum.YLeaf(2, "network")

    normal = Enum.YLeaf(3, "normal")


class StpPathcostOp(Enum):
    """
    StpPathcostOp (Enum Class)

    .. data:: auto = 0

    .. data:: short = 1

    .. data:: long = 2

    """

    auto = Enum.YLeaf(0, "auto")

    short = Enum.YLeaf(1, "short")

    long = Enum.YLeaf(2, "long")


class StpPortRole(Enum):
    """
    StpPortRole (Enum Class)

    .. data:: unknown = 0

    .. data:: root = 1

    .. data:: alternate = 2

    .. data:: designated = 3

    .. data:: backup = 4

    .. data:: master = 5

    """

    unknown = Enum.YLeaf(0, "unknown")

    root = Enum.YLeaf(1, "root")

    alternate = Enum.YLeaf(2, "alternate")

    designated = Enum.YLeaf(3, "designated")

    backup = Enum.YLeaf(4, "backup")

    master = Enum.YLeaf(5, "master")


class StpPortState(Enum):
    """
    StpPortState (Enum Class)

    .. data:: unknown = 0

    .. data:: discarding = 1

    .. data:: learning = 2

    .. data:: forwarding = 3

    .. data:: disabled = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    discarding = Enum.YLeaf(1, "discarding")

    learning = Enum.YLeaf(2, "learning")

    forwarding = Enum.YLeaf(3, "forwarding")

    disabled = Enum.YLeaf(4, "disabled")


class StpPriority(Enum):
    """
    StpPriority (Enum Class)

    .. data:: Y_0 = 0

    .. data:: Y_4096 = 1

    .. data:: Y_8192 = 2

    .. data:: Y_12288 = 3

    .. data:: Y_16384 = 4

    .. data:: Y_20480 = 5

    .. data:: Y_24576 = 6

    .. data:: Y_28672 = 7

    .. data:: Y_32768 = 8

    .. data:: Y_36864 = 9

    .. data:: Y_40960 = 10

    .. data:: Y_45056 = 11

    .. data:: Y_49152 = 12

    .. data:: Y_53248 = 13

    .. data:: Y_57344 = 14

    .. data:: Y_61440 = 15

    """

    Y_0 = Enum.YLeaf(0, "0")

    Y_4096 = Enum.YLeaf(1, "4096")

    Y_8192 = Enum.YLeaf(2, "8192")

    Y_12288 = Enum.YLeaf(3, "12288")

    Y_16384 = Enum.YLeaf(4, "16384")

    Y_20480 = Enum.YLeaf(5, "20480")

    Y_24576 = Enum.YLeaf(6, "24576")

    Y_28672 = Enum.YLeaf(7, "28672")

    Y_32768 = Enum.YLeaf(8, "32768")

    Y_36864 = Enum.YLeaf(9, "36864")

    Y_40960 = Enum.YLeaf(10, "40960")

    Y_45056 = Enum.YLeaf(11, "45056")

    Y_49152 = Enum.YLeaf(12, "49152")

    Y_53248 = Enum.YLeaf(13, "53248")

    Y_57344 = Enum.YLeaf(14, "57344")

    Y_61440 = Enum.YLeaf(15, "61440")


class StpProtocol(Enum):
    """
    StpProtocol (Enum Class)

    .. data:: unknown = 0

    .. data:: mstp = 1

    .. data:: rstp = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    mstp = Enum.YLeaf(1, "mstp")

    rstp = Enum.YLeaf(2, "rstp")


class StpRoot(Enum):
    """
    StpRoot (Enum Class)

    .. data:: primary = 1

    .. data:: secondary = 2

    """

    primary = Enum.YLeaf(1, "primary")

    secondary = Enum.YLeaf(2, "secondary")


class StpRootMode(Enum):
    """
    StpRootMode (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 0

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(0, "disabled")


class StpRootType(Enum):
    """
    StpRootType (Enum Class)

    .. data:: none = 0

    .. data:: primary = 1

    .. data:: secondary = 2

    """

    none = Enum.YLeaf(0, "none")

    primary = Enum.YLeaf(1, "primary")

    secondary = Enum.YLeaf(2, "secondary")


class StpSimulate(Enum):
    """
    StpSimulate (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class StpVpcState(Enum):
    """
    StpVpcState (Enum Class)

    .. data:: none = 0

    .. data:: vPCPeerlink = 1

    .. data:: vPC = 2

    """

    none = Enum.YLeaf(0, "none")

    vPCPeerlink = Enum.YLeaf(1, "vPCPeerlink")

    vPC = Enum.YLeaf(2, "vPC")


class SviMedium(Enum):
    """
    SviMedium (Enum Class)

    .. data:: bcast = 0

    .. data:: p2p = 1

    """

    bcast = Enum.YLeaf(0, "bcast")

    p2p = Enum.YLeaf(1, "p2p")


class SviOperSt(Enum):
    """
    SviOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: up = 1

    .. data:: down = 2

    .. data:: shutdown = 3

    .. data:: out_of_srvc = 4

    """

    unknown = Enum.YLeaf(0, "unknown")

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")

    shutdown = Enum.YLeaf(3, "shutdown")

    out_of_srvc = Enum.YLeaf(4, "out-of-srvc")


class SviOperStQual(Enum):
    """
    SviOperStQual (Enum Class)

    .. data:: unknown = 0

    .. data:: admin_shut = 1

    .. data:: no_vlan = 2

    .. data:: bad_vlan_t = 3

    .. data:: vlan_down = 4

    .. data:: hwprog_flfm = 5

    .. data:: hwprog_fles = 6

    .. data:: oos = 7

    .. data:: reinit = 8

    .. data:: mtuprog_fail = 9

    .. data:: vrf_unusable = 10

    .. data:: l2st_change = 11

    .. data:: suspended = 12

    .. data:: macalloc_fail = 13

    .. data:: nonrouted_vdc = 14

    .. data:: int_vlan_create_fail = 15

    .. data:: inbMgmt_cfg_fail = 16

    """

    unknown = Enum.YLeaf(0, "unknown")

    admin_shut = Enum.YLeaf(1, "admin-shut")

    no_vlan = Enum.YLeaf(2, "no-vlan")

    bad_vlan_t = Enum.YLeaf(3, "bad-vlan_t")

    vlan_down = Enum.YLeaf(4, "vlan-down")

    hwprog_flfm = Enum.YLeaf(5, "hwprog-flfm")

    hwprog_fles = Enum.YLeaf(6, "hwprog-fles")

    oos = Enum.YLeaf(7, "oos")

    reinit = Enum.YLeaf(8, "reinit")

    mtuprog_fail = Enum.YLeaf(9, "mtuprog-fail")

    vrf_unusable = Enum.YLeaf(10, "vrf-unusable")

    l2st_change = Enum.YLeaf(11, "l2st-change")

    suspended = Enum.YLeaf(12, "suspended")

    macalloc_fail = Enum.YLeaf(13, "macalloc-fail")

    nonrouted_vdc = Enum.YLeaf(14, "nonrouted-vdc")

    int_vlan_create_fail = Enum.YLeaf(15, "int-vlan-create-fail")

    inbMgmt_cfg_fail = Enum.YLeaf(16, "inbMgmt-cfg-fail")


class SwpkgsOperState(Enum):
    """
    SwpkgsOperState (Enum Class)

    .. data:: none = 0

    .. data:: inactive = 1

    .. data:: activated = 2

    .. data:: deactivated = 3

    .. data:: committed = 4

    """

    none = Enum.YLeaf(0, "none")

    inactive = Enum.YLeaf(1, "inactive")

    activated = Enum.YLeaf(2, "activated")

    deactivated = Enum.YLeaf(3, "deactivated")

    committed = Enum.YLeaf(4, "committed")


class SwpkgsPackageAction(Enum):
    """
    SwpkgsPackageAction (Enum Class)

    .. data:: init = 0

    .. data:: add = 1

    .. data:: activate = 2

    .. data:: add_activate = 3

    .. data:: deactivate = 4

    .. data:: commit = 5

    .. data:: remove = 6

    """

    init = Enum.YLeaf(0, "init")

    add = Enum.YLeaf(1, "add")

    activate = Enum.YLeaf(2, "activate")

    add_activate = Enum.YLeaf(3, "add-activate")

    deactivate = Enum.YLeaf(4, "deactivate")

    commit = Enum.YLeaf(5, "commit")

    remove = Enum.YLeaf(6, "remove")


class SwpkgsPackageActionResult(Enum):
    """
    SwpkgsPackageActionResult (Enum Class)

    .. data:: success = 0

    .. data:: failed = 1

    .. data:: not_available = 2

    """

    success = Enum.YLeaf(0, "success")

    failed = Enum.YLeaf(1, "failed")

    not_available = Enum.YLeaf(2, "not-available")


class SyslogFacility(Enum):
    """
    SyslogFacility (Enum Class)

    .. data:: kern = 0

    .. data:: user = 1

    .. data:: mail = 2

    .. data:: daemon = 3

    .. data:: auth = 4

    .. data:: syslog = 5

    .. data:: lpr = 6

    .. data:: news = 7

    .. data:: uucp = 8

    .. data:: cron = 9

    .. data:: authpriv = 10

    .. data:: ftp = 11

    .. data:: local0 = 16

    .. data:: local1 = 17

    .. data:: local2 = 18

    .. data:: local3 = 19

    .. data:: local4 = 20

    .. data:: local5 = 21

    .. data:: local6 = 22

    .. data:: local7 = 23

    """

    kern = Enum.YLeaf(0, "kern")

    user = Enum.YLeaf(1, "user")

    mail = Enum.YLeaf(2, "mail")

    daemon = Enum.YLeaf(3, "daemon")

    auth = Enum.YLeaf(4, "auth")

    syslog = Enum.YLeaf(5, "syslog")

    lpr = Enum.YLeaf(6, "lpr")

    news = Enum.YLeaf(7, "news")

    uucp = Enum.YLeaf(8, "uucp")

    cron = Enum.YLeaf(9, "cron")

    authpriv = Enum.YLeaf(10, "authpriv")

    ftp = Enum.YLeaf(11, "ftp")

    local0 = Enum.YLeaf(16, "local0")

    local1 = Enum.YLeaf(17, "local1")

    local2 = Enum.YLeaf(18, "local2")

    local3 = Enum.YLeaf(19, "local3")

    local4 = Enum.YLeaf(20, "local4")

    local5 = Enum.YLeaf(21, "local5")

    local6 = Enum.YLeaf(22, "local6")

    local7 = Enum.YLeaf(23, "local7")


class SyslogOperState(Enum):
    """
    SyslogOperState (Enum Class)

    .. data:: unknown = 0

    .. data:: available = 1

    .. data:: errored = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    available = Enum.YLeaf(1, "available")

    errored = Enum.YLeaf(2, "errored")


class SyslogOriginIdType(Enum):
    """
    SyslogOriginIdType (Enum Class)

    .. data:: unknown = 0

    .. data:: hostname = 1

    .. data:: ip = 2

    .. data:: string = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    hostname = Enum.YLeaf(1, "hostname")

    ip = Enum.YLeaf(2, "ip")

    string = Enum.YLeaf(3, "string")


class SyslogSeverity(Enum):
    """
    SyslogSeverity (Enum Class)

    .. data:: emergencies = 0

    .. data:: alerts = 1

    .. data:: critical = 2

    .. data:: errors = 3

    .. data:: warnings = 4

    .. data:: notifications = 5

    .. data:: information = 6

    .. data:: debugging = 7

    """

    emergencies = Enum.YLeaf(0, "emergencies")

    alerts = Enum.YLeaf(1, "alerts")

    critical = Enum.YLeaf(2, "critical")

    errors = Enum.YLeaf(3, "errors")

    warnings = Enum.YLeaf(4, "warnings")

    notifications = Enum.YLeaf(5, "notifications")

    information = Enum.YLeaf(6, "information")

    debugging = Enum.YLeaf(7, "debugging")


class SyslogSeverityLevelSeverity(Enum):
    """
    SyslogSeverityLevelSeverity (Enum Class)

    .. data:: emergencies = 0

    .. data:: alerts = 1

    .. data:: critical = 2

    .. data:: errors = 3

    .. data:: warnings = 4

    .. data:: notifications = 5

    .. data:: information = 6

    .. data:: debugging = 7

    .. data:: unspecified = 8

    """

    emergencies = Enum.YLeaf(0, "emergencies")

    alerts = Enum.YLeaf(1, "alerts")

    critical = Enum.YLeaf(2, "critical")

    errors = Enum.YLeaf(3, "errors")

    warnings = Enum.YLeaf(4, "warnings")

    notifications = Enum.YLeaf(5, "notifications")

    information = Enum.YLeaf(6, "information")

    debugging = Enum.YLeaf(7, "debugging")

    unspecified = Enum.YLeaf(8, "unspecified")


class SyslogTimeStampFormat(Enum):
    """
    SyslogTimeStampFormat (Enum Class)

    .. data:: microseconds = 0

    .. data:: milliseconds = 1

    .. data:: seconds = 2

    """

    microseconds = Enum.YLeaf(0, "microseconds")

    milliseconds = Enum.YLeaf(1, "milliseconds")

    seconds = Enum.YLeaf(2, "seconds")


class SysmgrCfgMode(Enum):
    """
    SysmgrCfgMode (Enum Class)

    .. data:: init = 1

    .. data:: replay = 2

    .. data:: done = 4

    """

    init = Enum.YLeaf(1, "init")

    replay = Enum.YLeaf(2, "replay")

    done = Enum.YLeaf(4, "done")


class SysmgrFwMode(Enum):
    """
    SysmgrFwMode (Enum Class)

    .. data:: recovery = 1

    .. data:: regular = 2

    """

    recovery = Enum.YLeaf(1, "recovery")

    regular = Enum.YLeaf(2, "regular")


class SysmgrFwT(Enum):
    """
    SysmgrFwT (Enum Class)

    .. data:: bios = 1

    .. data:: kickstart = 2

    .. data:: system = 3

    """

    bios = Enum.YLeaf(1, "bios")

    kickstart = Enum.YLeaf(2, "kickstart")

    system = Enum.YLeaf(3, "system")


class SysmgrOperDataMode(Enum):
    """
    SysmgrOperDataMode (Enum Class)

    .. data:: init = 1

    .. data:: publish = 2

    .. data:: done = 4

    """

    init = Enum.YLeaf(1, "init")

    publish = Enum.YLeaf(2, "publish")

    done = Enum.YLeaf(4, "done")


class SysmgrSupSt(Enum):
    """
    SysmgrSupSt (Enum Class)

    .. data:: unknown = 0

    .. data:: active = 1

    .. data:: hot_stdby = 2

    .. data:: cold_stdby = 3

    .. data:: offline = 4

    .. data:: normal = 5

    .. data:: non_dis_upg = 6

    """

    unknown = Enum.YLeaf(0, "unknown")

    active = Enum.YLeaf(1, "active")

    hot_stdby = Enum.YLeaf(2, "hot-stdby")

    cold_stdby = Enum.YLeaf(3, "cold-stdby")

    offline = Enum.YLeaf(4, "offline")

    normal = Enum.YLeaf(5, "normal")

    non_dis_upg = Enum.YLeaf(6, "non-dis-upg")


class SysmgrSupT(Enum):
    """
    SysmgrSupT (Enum Class)

    .. data:: local = 0

    .. data:: remote = 1

    """

    local = Enum.YLeaf(0, "local")

    remote = Enum.YLeaf(1, "remote")


class TelemetryAdminState(Enum):
    """
    TelemetryAdminState (Enum Class)

    .. data:: enabled = 1

    """

    enabled = Enum.YLeaf(1, "enabled")


class TelemetryCompression(Enum):
    """
    TelemetryCompression (Enum Class)

    .. data:: disabled = 0

    .. data:: gzip = 1

    """

    disabled = Enum.YLeaf(0, "disabled")

    gzip = Enum.YLeaf(1, "gzip")


class TelemetryDataSource(Enum):
    """
    TelemetryDataSource (Enum Class)

    .. data:: DME = 1

    .. data:: NX_API = 3

    .. data:: YANG = 4

    .. data:: DEFAULT = 16

    """

    DME = Enum.YLeaf(1, "DME")

    NX_API = Enum.YLeaf(3, "NX-API")

    YANG = Enum.YLeaf(4, "YANG")

    DEFAULT = Enum.YLeaf(16, "DEFAULT")


class TelemetryEncoding(Enum):
    """
    TelemetryEncoding (Enum Class)

    .. data:: GPB = 1

    .. data:: JSON = 2

    .. data:: XML = 3

    """

    GPB = Enum.YLeaf(1, "GPB")

    JSON = Enum.YLeaf(2, "JSON")

    XML = Enum.YLeaf(3, "XML")


class TelemetryProtocol(Enum):
    """
    TelemetryProtocol (Enum Class)

    .. data:: UDP = 1

    .. data:: TCP = 2

    .. data:: gRPC = 3

    .. data:: HTTP = 4

    """

    UDP = Enum.YLeaf(1, "UDP")

    TCP = Enum.YLeaf(2, "TCP")

    gRPC = Enum.YLeaf(3, "gRPC")

    HTTP = Enum.YLeaf(4, "HTTP")


class TerminalTermParity(Enum):
    """
    TerminalTermParity (Enum Class)

    .. data:: none = 0

    .. data:: odd = 1

    .. data:: even = 2

    """

    none = Enum.YLeaf(0, "none")

    odd = Enum.YLeaf(1, "odd")

    even = Enum.YLeaf(2, "even")


class TestOperSt(Enum):
    """
    TestOperSt (Enum Class)

    .. data:: fail = 0

    .. data:: indeterminate = 1

    .. data:: interrupted = 2

    .. data:: pending = 3

    .. data:: not_supp = 4

    .. data:: not_acc = 5

    .. data:: pass_ = 6

    .. data:: not_tested = 7

    """

    fail = Enum.YLeaf(0, "fail")

    indeterminate = Enum.YLeaf(1, "indeterminate")

    interrupted = Enum.YLeaf(2, "interrupted")

    pending = Enum.YLeaf(3, "pending")

    not_supp = Enum.YLeaf(4, "not-supp")

    not_acc = Enum.YLeaf(5, "not-acc")

    pass_ = Enum.YLeaf(6, "pass")

    not_tested = Enum.YLeaf(7, "not-tested")


class TestTrig(Enum):
    """
    TestTrig (Enum Class)

    .. data:: unspecified = 0

    .. data:: on_demand = 1

    .. data:: boot = 2

    .. data:: forever = 4

    """

    unspecified = Enum.YLeaf(0, "unspecified")

    on_demand = Enum.YLeaf(1, "on-demand")

    boot = Enum.YLeaf(2, "boot")

    forever = Enum.YLeaf(4, "forever")


class TopNodeRole(Enum):
    """
    TopNodeRole (Enum Class)

    .. data:: unsupported = 0

    .. data:: controller = 1

    .. data:: leaf = 2

    .. data:: spine = 3

    .. data:: vleaf = 4

    .. data:: vip = 5

    .. data:: protection_chain = 6

    """

    unsupported = Enum.YLeaf(0, "unsupported")

    controller = Enum.YLeaf(1, "controller")

    leaf = Enum.YLeaf(2, "leaf")

    spine = Enum.YLeaf(3, "spine")

    vleaf = Enum.YLeaf(4, "vleaf")

    vip = Enum.YLeaf(5, "vip")

    protection_chain = Enum.YLeaf(6, "protection-chain")


class TraceroutePathT(Enum):
    """
    TraceroutePathT (Enum Class)

    .. data:: external = 1

    .. data:: internal = 2

    """

    external = Enum.YLeaf(1, "external")

    internal = Enum.YLeaf(2, "internal")


class TrackAf(Enum):
    """
    TrackAf (Enum Class)

    .. data:: none = 0

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    """

    none = Enum.YLeaf(0, "none")

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")


class TrackIntfProtocolType(Enum):
    """
    TrackIntfProtocolType (Enum Class)

    .. data:: none = 0

    .. data:: ipv4_routing = 1

    .. data:: ipv6_routing = 2

    .. data:: line_protocol = 3

    """

    none = Enum.YLeaf(0, "none")

    ipv4_routing = Enum.YLeaf(1, "ipv4-routing")

    ipv6_routing = Enum.YLeaf(2, "ipv6-routing")

    line_protocol = Enum.YLeaf(3, "line-protocol")


class TrackListObj(Enum):
    """
    TrackListObj (Enum Class)

    .. data:: none = 0

    .. data:: and_ = 1

    .. data:: or_ = 2

    .. data:: percentage = 3

    .. data:: weight = 4

    """

    none = Enum.YLeaf(0, "none")

    and_ = Enum.YLeaf(1, "and")

    or_ = Enum.YLeaf(2, "or")

    percentage = Enum.YLeaf(3, "percentage")

    weight = Enum.YLeaf(4, "weight")


class TrackProbeState(Enum):
    """
    TrackProbeState (Enum Class)

    .. data:: reachability = 0

    .. data:: state = 1

    """

    reachability = Enum.YLeaf(0, "reachability")

    state = Enum.YLeaf(1, "state")


class TrackRouteOwner(Enum):
    """
    TrackRouteOwner (Enum Class)

    .. data:: none = 0

    .. data:: hmm = 1

    """

    none = Enum.YLeaf(0, "none")

    hmm = Enum.YLeaf(1, "hmm")


class TrackRouteState(Enum):
    """
    TrackRouteState (Enum Class)

    .. data:: reachability = 0

    """

    reachability = Enum.YLeaf(0, "reachability")


class TunnelAdminSt(Enum):
    """
    TunnelAdminSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class TunnelEncapT(Enum):
    """
    TunnelEncapT (Enum Class)

    .. data:: unknown = 0

    .. data:: vxlan = 1

    .. data:: ivxlan = 2

    .. data:: nvgre = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    vxlan = Enum.YLeaf(1, "vxlan")

    ivxlan = Enum.YLeaf(2, "ivxlan")

    nvgre = Enum.YLeaf(3, "nvgre")


class TunnelLayerT(Enum):
    """
    TunnelLayerT (Enum Class)

    .. data:: l2 = 1

    .. data:: l3 = 2

    """

    l2 = Enum.YLeaf(1, "l2")

    l3 = Enum.YLeaf(2, "l3")


class TunnelOperSt(Enum):
    """
    TunnelOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class TunnelTunnelQual(Enum):
    """
    TunnelTunnelQual (Enum Class)

    .. data:: unknown = 0

    .. data:: ivxlan = 1

    .. data:: vxlan = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    ivxlan = Enum.YLeaf(1, "ivxlan")

    vxlan = Enum.YLeaf(2, "vxlan")


class TunnelifSnmpTrapSt(Enum):
    """
    TunnelifSnmpTrapSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class TunnelifTunnelMode(Enum):
    """
    TunnelifTunnelMode (Enum Class)

    .. data:: gre__FWD_SLASH__ip = 1

    .. data:: gre__FWD_SLASH__ipv6 = 6

    .. data:: ipip__FWD_SLASH__ip = 7

    .. data:: ipip__FWD_SLASH__ipv6 = 8

    .. data:: ipip__FWD_SLASH__dcapany__FWD_SLASH__ip = 9

    .. data:: ipip__FWD_SLASH__dcapany__FWD_SLASH__ipv6 = 10

    .. data:: ipv6ip = 11

    .. data:: ipv6ip__FWD_SLASH__dcapany = 12

    .. data:: ipv6ipv6 = 13

    .. data:: ipv6ipv6__FWD_SLASH__dcapany = 14

    """

    gre__FWD_SLASH__ip = Enum.YLeaf(1, "gre/ip")

    gre__FWD_SLASH__ipv6 = Enum.YLeaf(6, "gre/ipv6")

    ipip__FWD_SLASH__ip = Enum.YLeaf(7, "ipip/ip")

    ipip__FWD_SLASH__ipv6 = Enum.YLeaf(8, "ipip/ipv6")

    ipip__FWD_SLASH__dcapany__FWD_SLASH__ip = Enum.YLeaf(9, "ipip/dcapany/ip")

    ipip__FWD_SLASH__dcapany__FWD_SLASH__ipv6 = Enum.YLeaf(10, "ipip/dcapany/ipv6")

    ipv6ip = Enum.YLeaf(11, "ipv6ip")

    ipv6ip__FWD_SLASH__dcapany = Enum.YLeaf(12, "ipv6ip/dcapany")

    ipv6ipv6 = Enum.YLeaf(13, "ipv6ipv6")

    ipv6ipv6__FWD_SLASH__dcapany = Enum.YLeaf(14, "ipv6ipv6/dcapany")


class TunnelifTunnelOperSt(Enum):
    """
    TunnelifTunnelOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")


class TunnelifTunnelOperStQual(Enum):
    """
    TunnelifTunnelOperStQual (Enum Class)

    .. data:: unknown = 0

    .. data:: none = 1

    .. data:: initing = 2

    .. data:: incomp_conf = 3

    .. data:: dup_conf = 4

    .. data:: no_mode = 5

    .. data:: admin_down = 6

    .. data:: src_down = 7

    .. data:: src_unres = 8

    .. data:: no_dest = 9

    .. data:: desip_unres = 10

    .. data:: dest_unreach = 11

    .. data:: vrf_mismatch = 12

    .. data:: vrf_fwdref = 13

    .. data:: vrf_down = 14

    .. data:: mtu_error = 15

    .. data:: hwprog_fail = 16

    .. data:: no_src = 17

    """

    unknown = Enum.YLeaf(0, "unknown")

    none = Enum.YLeaf(1, "none")

    initing = Enum.YLeaf(2, "initing")

    incomp_conf = Enum.YLeaf(3, "incomp-conf")

    dup_conf = Enum.YLeaf(4, "dup-conf")

    no_mode = Enum.YLeaf(5, "no-mode")

    admin_down = Enum.YLeaf(6, "admin-down")

    src_down = Enum.YLeaf(7, "src-down")

    src_unres = Enum.YLeaf(8, "src-unres")

    no_dest = Enum.YLeaf(9, "no-dest")

    desip_unres = Enum.YLeaf(10, "desip-unres")

    dest_unreach = Enum.YLeaf(11, "dest-unreach")

    vrf_mismatch = Enum.YLeaf(12, "vrf-mismatch")

    vrf_fwdref = Enum.YLeaf(13, "vrf-fwdref")

    vrf_down = Enum.YLeaf(14, "vrf-down")

    mtu_error = Enum.YLeaf(15, "mtu-error")

    hwprog_fail = Enum.YLeaf(16, "hwprog-fail")

    no_src = Enum.YLeaf(17, "no-src")


class TunnelifTunnelOption(Enum):
    """
    TunnelifTunnelOption (Enum Class)

    .. data:: unknown = 0

    .. data:: del_on_fail = 1

    .. data:: usr_cfg_mtu = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    del_on_fail = Enum.YLeaf(1, "del_on_fail")

    usr_cfg_mtu = Enum.YLeaf(2, "usr_cfg_mtu")


class TunnelifTunnelPMTUD(Enum):
    """
    TunnelifTunnelPMTUD (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class TunnelifTunnelSrcDirect(Enum):
    """
    TunnelifTunnelSrcDirect (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class UdldAdminSt(Enum):
    """
    UdldAdminSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class UdldOperSt(Enum):
    """
    UdldOperSt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class UdldPktDirection(Enum):
    """
    UdldPktDirection (Enum Class)

    .. data:: send = 0

    .. data:: recv = 1

    """

    send = Enum.YLeaf(0, "send")

    recv = Enum.YLeaf(1, "recv")


class UdldPortEnable(Enum):
    """
    UdldPortEnable (Enum Class)

    .. data:: port_enabled = 0

    .. data:: port_fiber_disabled = 1

    .. data:: port_default = 2

    .. data:: port_default_disable = 3

    """

    port_enabled = Enum.YLeaf(0, "port-enabled")

    port_fiber_disabled = Enum.YLeaf(1, "port-fiber-disabled")

    port_default = Enum.YLeaf(2, "port-default")

    port_default_disable = Enum.YLeaf(3, "port-default-disable")


class VpcCompatSt(Enum):
    """
    VpcCompatSt (Enum Class)

    .. data:: pass_ = 0

    .. data:: fail = 1

    .. data:: notDone = 2

    """

    pass_ = Enum.YLeaf(0, "pass")

    fail = Enum.YLeaf(1, "fail")

    notDone = Enum.YLeaf(2, "notDone")


class VpcDualActiveSt(Enum):
    """
    VpcDualActiveSt (Enum Class)

    .. data:: false = 0

    .. data:: true = 1

    """

    false = Enum.YLeaf(0, "false")

    true = Enum.YLeaf(1, "true")


class VpcOperSt(Enum):
    """
    VpcOperSt (Enum Class)

    .. data:: unknown = 0

    .. data:: down = 1

    .. data:: up = 2

    .. data:: noCfg = 3

    """

    unknown = Enum.YLeaf(0, "unknown")

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")

    noCfg = Enum.YLeaf(3, "noCfg")


class VpcParamType(Enum):
    """
    VpcParamType (Enum Class)

    .. data:: unknown = 0

    .. data:: type_1 = 1

    .. data:: type_2 = 2

    """

    unknown = Enum.YLeaf(0, "unknown")

    type_1 = Enum.YLeaf(1, "type-1")

    type_2 = Enum.YLeaf(2, "type-2")


class VpcPeerSt(Enum):
    """
    VpcPeerSt (Enum Class)

    .. data:: noCfg = 0

    .. data:: down = 1

    .. data:: up = 2

    """

    noCfg = Enum.YLeaf(0, "noCfg")

    down = Enum.YLeaf(1, "down")

    up = Enum.YLeaf(2, "up")


class VpcPeerStQual(Enum):
    """
    VpcPeerStQual (Enum Class)

    .. data:: success = 0

    .. data:: uplinks_down = 1

    .. data:: route_down = 2

    .. data:: peer_unrch = 3

    .. data:: compat_fail = 4

    .. data:: election_err = 5

    .. data:: oob_not_up = 6

    """

    success = Enum.YLeaf(0, "success")

    uplinks_down = Enum.YLeaf(1, "uplinks-down")

    route_down = Enum.YLeaf(2, "route-down")

    peer_unrch = Enum.YLeaf(3, "peer-unrch")

    compat_fail = Enum.YLeaf(4, "compat-fail")

    election_err = Enum.YLeaf(5, "election-err")

    oob_not_up = Enum.YLeaf(6, "oob-not-up")


class VpcPrecType(Enum):
    """
    VpcPrecType (Enum Class)

    .. data:: network = 0

    .. data:: internet = 1

    .. data:: critical = 2

    .. data:: flash_override = 3

    .. data:: flash = 4

    .. data:: immediate = 5

    .. data:: priority = 6

    .. data:: routine = 7

    """

    network = Enum.YLeaf(0, "network")

    internet = Enum.YLeaf(1, "internet")

    critical = Enum.YLeaf(2, "critical")

    flash_override = Enum.YLeaf(3, "flash-override")

    flash = Enum.YLeaf(4, "flash")

    immediate = Enum.YLeaf(5, "immediate")

    priority = Enum.YLeaf(6, "priority")

    routine = Enum.YLeaf(7, "routine")


class VpcRole(Enum):
    """
    VpcRole (Enum Class)

    .. data:: election_not_done = 0

    .. data:: master = 1

    .. data:: slave = 2

    """

    election_not_done = Enum.YLeaf(0, "election-not-done")

    master = Enum.YLeaf(1, "master")

    slave = Enum.YLeaf(2, "slave")


class VpcSummRole(Enum):
    """
    VpcSummRole (Enum Class)

    .. data:: election_not_done = 0

    .. data:: cfg_master_oper_master = 1

    .. data:: cfg_master_oper_slave = 2

    .. data:: cfg_slave_oper_master = 3

    .. data:: cfg_slave_oper_slave = 4

    """

    election_not_done = Enum.YLeaf(0, "election-not-done")

    cfg_master_oper_master = Enum.YLeaf(1, "cfg-master-oper-master")

    cfg_master_oper_slave = Enum.YLeaf(2, "cfg-master-oper-slave")

    cfg_slave_oper_master = Enum.YLeaf(3, "cfg-slave-oper-master")

    cfg_slave_oper_slave = Enum.YLeaf(4, "cfg-slave-oper-slave")


class VpcTosCfgType(Enum):
    """
    VpcTosCfgType (Enum Class)

    .. data:: noCfg = 0

    .. data:: tos_byte = 1

    .. data:: tos_value = 2

    .. data:: tos_type = 3

    .. data:: precedence_type = 4

    .. data:: precedence_value = 5

    """

    noCfg = Enum.YLeaf(0, "noCfg")

    tos_byte = Enum.YLeaf(1, "tos-byte")

    tos_value = Enum.YLeaf(2, "tos-value")

    tos_type = Enum.YLeaf(3, "tos-type")

    precedence_type = Enum.YLeaf(4, "precedence-type")

    precedence_value = Enum.YLeaf(5, "precedence-value")


class VpcTosType(Enum):
    """
    VpcTosType (Enum Class)

    .. data:: min_delay = 0

    .. data:: max_throughput = 1

    .. data:: max_reliability = 2

    .. data:: min_monetary_cost = 3

    .. data:: normal = 4

    """

    min_delay = Enum.YLeaf(0, "min-delay")

    max_throughput = Enum.YLeaf(1, "max-throughput")

    max_reliability = Enum.YLeaf(2, "max-reliability")

    min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

    normal = Enum.YLeaf(4, "normal")


class VrrpAdminSt(Enum):
    """
    VrrpAdminSt (Enum Class)

    .. data:: disabled = 1

    .. data:: enabled = 2

    """

    disabled = Enum.YLeaf(1, "disabled")

    enabled = Enum.YLeaf(2, "enabled")


class VrrpAuthType(Enum):
    """
    VrrpAuthType (Enum Class)

    .. data:: none = 1

    .. data:: simple = 2

    """

    none = Enum.YLeaf(1, "none")

    simple = Enum.YLeaf(2, "simple")


class VrrpBfdSessionSt(Enum):
    """
    VrrpBfdSessionSt (Enum Class)

    .. data:: disabled = 0

    .. data:: inactive = 1

    .. data:: deleted = 2

    .. data:: unknown = 3

    .. data:: active = 4

    """

    disabled = Enum.YLeaf(0, "disabled")

    inactive = Enum.YLeaf(1, "inactive")

    deleted = Enum.YLeaf(2, "deleted")

    unknown = Enum.YLeaf(3, "unknown")

    active = Enum.YLeaf(4, "active")


class VrrpGroupSt(Enum):
    """
    VrrpGroupSt (Enum Class)

    .. data:: init = 0

    .. data:: backup = 1

    .. data:: master = 2

    """

    init = Enum.YLeaf(0, "init")

    backup = Enum.YLeaf(1, "backup")

    master = Enum.YLeaf(2, "master")


class VrrpGroupStQual(Enum):
    """
    VrrpGroupStQual (Enum Class)

    .. data:: up = 0

    .. data:: down = 1

    .. data:: no_primary_vip = 2

    .. data:: admin_down = 3

    .. data:: interface_down = 4

    .. data:: no_intf_ip_cfgd = 5

    .. data:: no_vrf_info_for_intf = 6

    .. data:: bd_not_allocated = 7

    .. data:: vmac_not_added = 8

    .. data:: invalid_vip = 9

    .. data:: IfIp_vip_subnet_mismatch = 10

    .. data:: internal_error = 11

    """

    up = Enum.YLeaf(0, "up")

    down = Enum.YLeaf(1, "down")

    no_primary_vip = Enum.YLeaf(2, "no-primary-vip")

    admin_down = Enum.YLeaf(3, "admin-down")

    interface_down = Enum.YLeaf(4, "interface-down")

    no_intf_ip_cfgd = Enum.YLeaf(5, "no-intf-ip-cfgd")

    no_vrf_info_for_intf = Enum.YLeaf(6, "no-vrf-info-for-intf")

    bd_not_allocated = Enum.YLeaf(7, "bd-not-allocated")

    vmac_not_added = Enum.YLeaf(8, "vmac-not-added")

    invalid_vip = Enum.YLeaf(9, "invalid-vip")

    IfIp_vip_subnet_mismatch = Enum.YLeaf(10, "IfIp-vip-subnet-mismatch")

    internal_error = Enum.YLeaf(11, "internal_error")


class VrrpPreempt(Enum):
    """
    VrrpPreempt (Enum Class)

    .. data:: enabled = 1

    .. data:: disabled = 2

    """

    enabled = Enum.YLeaf(1, "enabled")

    disabled = Enum.YLeaf(2, "disabled")


class Vrrpv3VrAf(Enum):
    """
    Vrrpv3VrAf (Enum Class)

    .. data:: ipv4 = 1

    .. data:: ipv6 = 2

    """

    ipv4 = Enum.YLeaf(1, "ipv4")

    ipv6 = Enum.YLeaf(2, "ipv6")


class VsanAdminSt(Enum):
    """
    VsanAdminSt (Enum Class)

    .. data:: active = 1

    .. data:: suspended = 2

    """

    active = Enum.YLeaf(1, "active")

    suspended = Enum.YLeaf(2, "suspended")


class VsanLbType(Enum):
    """
    VsanLbType (Enum Class)

    .. data:: src_dst_id = 1

    .. data:: src_dst_ox_id = 2

    """

    src_dst_id = Enum.YLeaf(1, "src-dst-id")

    src_dst_ox_id = Enum.YLeaf(2, "src-dst-ox-id")


class VsanOperSt(Enum):
    """
    VsanOperSt (Enum Class)

    .. data:: up = 1

    .. data:: down = 2

    """

    up = Enum.YLeaf(1, "up")

    down = Enum.YLeaf(2, "down")



class Inactive(Identity):
    """
    
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self, ns="http://cisco.com/ns/yang/cisco-nx-os-device", pref="Cisco-NX-OS-device", tag="Cisco-NX-OS-device:inactive"):
        super(Inactive, self).__init__(ns, pref, tag)



class System(Entity):
    """
    System
    
    .. attribute:: currenttime
    
    	
    	**type**\: str
    
    	**config**\: False
    
    .. attribute:: systemuptime
    
    	
    	**type**\: str
    
    	**config**\: False
    
    .. attribute:: serial
    
    	TBD
    	**type**\: str
    
    	**config**\: False
    
    .. attribute:: name
    
    	Name
    	**type**\: str
    
    	**length:** 0..16
    
    .. attribute:: bgp_items
    
    	
    	**type**\:  :py:class:`BgpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems>`
    
    .. attribute:: sfw_items
    
    	
    	**type**\:  :py:class:`SfwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SfwItems>`
    
    .. attribute:: capabilities_items
    
    	
    	**type**\:  :py:class:`CapabilitiesItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems>`
    
    .. attribute:: clock_items
    
    	
    	**type**\:  :py:class:`ClockItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ClockItems>`
    
    .. attribute:: time_items
    
    	
    	**type**\:  :py:class:`TimeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems>`
    
    .. attribute:: ntpq_items
    
    	
    	**type**\:  :py:class:`NtpqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NtpqItems>`
    
    .. attribute:: acct_items
    
    	
    	**type**\:  :py:class:`AcctItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AcctItems>`
    
    .. attribute:: retry_items
    
    	
    	**type**\:  :py:class:`RetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RetryItems>`
    
    .. attribute:: span_items
    
    	
    	**type**\:  :py:class:`SpanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems>`
    
    .. attribute:: dhcp_items
    
    	
    	**type**\:  :py:class:`DhcpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems>`
    
    .. attribute:: dns_items
    
    	
    	**type**\:  :py:class:`DnsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems>`
    
    .. attribute:: decommission_items
    
    	
    	**type**\:  :py:class:`DecommissionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DecommissionItems>`
    
    .. attribute:: inb_items
    
    	
    	**type**\:  :py:class:`InbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems>`
    
    .. attribute:: ext_items
    
    	
    	**type**\:  :py:class:`ExtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems>`
    
    .. attribute:: br_items
    
    	
    	**type**\:  :py:class:`BrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems>`
    
    .. attribute:: mac_items
    
    	
    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems>`
    
    .. attribute:: cdp_items
    
    	
    	**type**\:  :py:class:`CdpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems>`
    
    .. attribute:: lldp_items
    
    	
    	**type**\:  :py:class:`LldpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems>`
    
    .. attribute:: mcp_items
    
    	
    	**type**\:  :py:class:`McpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems>`
    
    .. attribute:: vpc_items
    
    	
    	**type**\:  :py:class:`VpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems>`
    
    .. attribute:: epns_items
    
    	
    	**type**\:  :py:class:`EpnsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpnsItems>`
    
    .. attribute:: gold_items
    
    	
    	**type**\:  :py:class:`GoldItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GoldItems>`
    
    .. attribute:: igmp_items
    
    	
    	**type**\:  :py:class:`IgmpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems>`
    
    .. attribute:: ctrlrfwstatuscont_items
    
    	
    	**type**\:  :py:class:`CtrlrfwstatuscontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems>`
    
    .. attribute:: fwstatuscont_items
    
    	
    	**type**\:  :py:class:`FwstatuscontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems>`
    
    .. attribute:: catfwstatuscont_items
    
    	
    	**type**\:  :py:class:`CatfwstatuscontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CatfwstatuscontItems>`
    
    .. attribute:: isis_items
    
    	
    	**type**\:  :py:class:`IsisItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems>`
    
    .. attribute:: lacp_items
    
    	
    	**type**\:  :py:class:`LacpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems>`
    
    .. attribute:: mgmt_items
    
    	
    	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems>`
    
    .. attribute:: snmp_items
    
    	
    	**type**\:  :py:class:`SnmpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems>`
    
    .. attribute:: syslogacct_items
    
    	
    	**type**\:  :py:class:`SyslogacctItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogacctItems>`
    
    .. attribute:: syslog_items
    
    	
    	**type**\:  :py:class:`SyslogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems>`
    
    .. attribute:: mts_items
    
    	
    	**type**\:  :py:class:`MtsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems>`
    
    .. attribute:: nat_items
    
    	
    	**type**\:  :py:class:`NatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems>`
    
    .. attribute:: odcreq_items
    
    	
    	**type**\:  :py:class:`OdcreqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OdcreqItems>`
    
    .. attribute:: odcresp_items
    
    	
    	**type**\:  :py:class:`OdcrespItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OdcrespItems>`
    
    .. attribute:: ospf_items
    
    	
    	**type**\:  :py:class:`OspfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems>`
    
    .. attribute:: evpn_items
    
    	
    	**type**\:  :py:class:`EvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems>`
    
    .. attribute:: userext_items
    
    	
    	**type**\:  :py:class:`UserextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems>`
    
    .. attribute:: mockroot_items
    
    	
    	**type**\:  :py:class:`MockrootItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems>`
    
    .. attribute:: stp_items
    
    	
    	**type**\:  :py:class:`StpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems>`
    
    .. attribute:: bdtable_items
    
    	
    	**type**\:  :py:class:`BdTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems>`
    
    .. attribute:: globalconftable_items
    
    	
    	**type**\:  :py:class:`GlobalConfTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GlobalConfTableItems>`
    
    .. attribute:: intftable_items
    
    	
    	**type**\:  :py:class:`IntfTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems>`
    
    .. attribute:: mactable_items
    
    	
    	**type**\:  :py:class:`MacTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems>`
    
    .. attribute:: systemtable_items
    
    	
    	**type**\:  :py:class:`SystemTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems>`
    
    .. attribute:: tunnelintftable_items
    
    	
    	**type**\:  :py:class:`TunnelIntfTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems>`
    
    .. attribute:: vlantable_items
    
    	
    	**type**\:  :py:class:`VlanTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanTableItems>`
    
    .. attribute:: vpcdomtable_items
    
    	
    	**type**\:  :py:class:`VpcDomTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems>`
    
    .. attribute:: vrftable_items
    
    	
    	**type**\:  :py:class:`VrfTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems>`
    
    .. attribute:: acl_items
    
    	
    	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems>`
    
    .. attribute:: actrl_items
    
    	
    	**type**\:  :py:class:`ActrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems>`
    
    .. attribute:: actrlcapprov_items
    
    	
    	**type**\:  :py:class:`ActrlcapprovItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlcapprovItems>`
    
    .. attribute:: analytics_items
    
    	
    	**type**\:  :py:class:`AnalyticsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems>`
    
    .. attribute:: hwtelemetry_items
    
    	
    	**type**\:  :py:class:`HwtelemetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems>`
    
    .. attribute:: copp_items
    
    	
    	**type**\:  :py:class:`CoppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems>`
    
    .. attribute:: glean_items
    
    	
    	**type**\:  :py:class:`GleanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems>`
    
    .. attribute:: hmm_items
    
    	
    	**type**\:  :py:class:`HmmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems>`
    
    .. attribute:: icam_items
    
    	
    	**type**\:  :py:class:`IcamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems>`
    
    .. attribute:: ipqos_items
    
    	
    	**type**\:  :py:class:`IpqosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems>`
    
    .. attribute:: monitor_items
    
    	
    	**type**\:  :py:class:`MonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems>`
    
    .. attribute:: flow_items
    
    	
    	**type**\:  :py:class:`FlowItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems>`
    
    .. attribute:: ngoam_items
    
    	
    	**type**\:  :py:class:`NgoamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems>`
    
    .. attribute:: nxapi_items
    
    	
    	**type**\:  :py:class:`NxapiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NxapiItems>`
    
    .. attribute:: poe_items
    
    	
    	**type**\:  :py:class:`PoeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems>`
    
    .. attribute:: qosm_items
    
    	
    	**type**\:  :py:class:`QosmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems>`
    
    .. attribute:: sisf_items
    
    	
    	**type**\:  :py:class:`SisfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems>`
    
    .. attribute:: tm_items
    
    	
    	**type**\:  :py:class:`TmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems>`
    
    .. attribute:: track_items
    
    	
    	**type**\:  :py:class:`TrackItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems>`
    
    .. attribute:: udld_items
    
    	
    	**type**\:  :py:class:`UdldItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems>`
    
    .. attribute:: acllog_items
    
    	
    	**type**\:  :py:class:`AcllogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AcllogItems>`
    
    .. attribute:: bd_items
    
    	
    	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems>`
    
    .. attribute:: templatetable_items
    
    	
    	**type**\:  :py:class:`TemplateTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems>`
    
    .. attribute:: fc_items
    
    	
    	**type**\:  :py:class:`FcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems>`
    
    .. attribute:: fcoe_items
    
    	
    	**type**\:  :py:class:`FcoeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems>`
    
    .. attribute:: npv_items
    
    	
    	**type**\:  :py:class:`NpvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems>`
    
    .. attribute:: vsanmgr_items
    
    	
    	**type**\:  :py:class:`VsanmgrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems>`
    
    .. attribute:: fm_items
    
    	
    	**type**\:  :py:class:`FmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems>`
    
    .. attribute:: fset_items
    
    	
    	**type**\:  :py:class:`FsetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FsetItems>`
    
    .. attribute:: install_items
    
    	
    	**type**\:  :py:class:`InstallItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstallItems>`
    
    .. attribute:: intf_items
    
    	
    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems>`
    
    .. attribute:: ipv4_items
    
    	
    	**type**\:  :py:class:`Ipv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items>`
    
    .. attribute:: ipv6_items
    
    	
    	**type**\:  :py:class:`Ipv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items>`
    
    .. attribute:: l1capprov_items
    
    	
    	**type**\:  :py:class:`L1capprovItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L1capprovItems>`
    
    .. attribute:: ethpm_items
    
    	
    	**type**\:  :py:class:`EthpmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems>`
    
    .. attribute:: breakout_items
    
    	
    	**type**\:  :py:class:`BreakoutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BreakoutItems>`
    
    .. attribute:: im_items
    
    	
    	**type**\:  :py:class:`ImItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems>`
    
    .. attribute:: pc_items
    
    	
    	**type**\:  :py:class:`PcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PcItems>`
    
    .. attribute:: l2capprov_items
    
    	
    	**type**\:  :py:class:`L2capprovItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2capprovItems>`
    
    .. attribute:: fcpm_items
    
    	
    	**type**\:  :py:class:`FcpmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcpmItems>`
    
    .. attribute:: l2fm_items
    
    	
    	**type**\:  :py:class:`L2fmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2fmItems>`
    
    .. attribute:: l2rib_items
    
    	
    	**type**\:  :py:class:`L2ribItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2ribItems>`
    
    .. attribute:: pvlan_items
    
    	
    	**type**\:  :py:class:`PvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems>`
    
    .. attribute:: vlanmgr_items
    
    	
    	**type**\:  :py:class:`VlanmgrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanmgrItems>`
    
    .. attribute:: eps_items
    
    	
    	**type**\:  :py:class:`EpsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems>`
    
    .. attribute:: ctx_items
    
    	
    	**type**\:  :py:class:`CtxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems>`
    
    .. attribute:: inst_items
    
    	
    	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems>`
    
    .. attribute:: l3capprov_items
    
    	
    	**type**\:  :py:class:`L3capprovItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3capprovItems>`
    
    .. attribute:: l3vm_items
    
    	
    	**type**\:  :py:class:`L3vmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems>`
    
    .. attribute:: urib_items
    
    	
    	**type**\:  :py:class:`UribItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems>`
    
    .. attribute:: u6rib_items
    
    	
    	**type**\:  :py:class:`U6ribItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems>`
    
    .. attribute:: uribv4_items
    
    	
    	**type**\:  :py:class:`Uribv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items>`
    
    .. attribute:: uribv6_items
    
    	
    	**type**\:  :py:class:`Uribv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items>`
    
    .. attribute:: conng_items
    
    	
    	**type**\:  :py:class:`ConngItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems>`
    
    .. attribute:: vdc_items
    
    	
    	**type**\:  :py:class:`VdcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VdcItems>`
    
    .. attribute:: procsys_items
    
    	
    	**type**\:  :py:class:`ProcsysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems>`
    
    .. attribute:: proc_items
    
    	
    	**type**\:  :py:class:`ProcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcItems>`
    
    .. attribute:: regr_items
    
    	
    	**type**\:  :py:class:`RegrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RegrItems>`
    
    .. attribute:: rpm_items
    
    	
    	**type**\:  :py:class:`RpmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems>`
    
    .. attribute:: ipsrcif_items
    
    	
    	**type**\:  :py:class:`IpSrcIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpSrcIfItems>`
    
    .. attribute:: swpkgs_items
    
    	
    	**type**\:  :py:class:`SwpkgsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SwpkgsItems>`
    
    .. attribute:: sysmgr_items
    
    	
    	**type**\:  :py:class:`SysmgrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems>`
    
    .. attribute:: showversion_items
    
    	
    	**type**\:  :py:class:`ShowversionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ShowversionItems>`
    
    .. attribute:: tcpudp_items
    
    	
    	**type**\:  :py:class:`TcpudpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TcpudpItems>`
    
    .. attribute:: terml_items
    
    	
    	**type**\:  :py:class:`TermlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems>`
    
    .. attribute:: termlog_items
    
    	
    	**type**\:  :py:class:`TermlogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlogItems>`
    
    .. attribute:: test_rule_items
    
    	
    	**type**\:  :py:class:`TestRuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TestRuleItems>`
    
    .. attribute:: test_rslt__items
    
    	
    	**type**\:  :py:class:`TestRsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TestRsltItems>`
    
    .. attribute:: tunnel_items
    
    	
    	**type**\:  :py:class:`TunnelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems>`
    
    .. attribute:: vtp_items
    
    	
    	**type**\:  :py:class:`VtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VtpItems>`
    
    .. attribute:: nbm_items
    
    	
    	**type**\:  :py:class:`NbmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems>`
    
    .. attribute:: nbmcc_items
    
    	
    	**type**\:  :py:class:`NbmccItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems>`
    
    .. attribute:: nbmflowstable_items
    
    	
    	**type**\:  :py:class:`NbmFlowsTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems>`
    
    .. attribute:: nbmstats_items
    
    	
    	**type**\:  :py:class:`NbmStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmStatsItems>`
    
    .. attribute:: boot_items
    
    	
    	**type**\:  :py:class:`BootItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BootItems>`
    
    .. attribute:: ch_items
    
    	
    	**type**\:  :py:class:`ChItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems>`
    
    .. attribute:: extch_items
    
    	
    	**type**\:  :py:class:`ExtchItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems>`
    
    .. attribute:: ops_items
    
    	
    	**type**\:  :py:class:`OpsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems>`
    
    .. attribute:: eqptcapacity_items
    
    	
    	**type**\:  :py:class:`EqptcapacityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EqptcapacityItems>`
    
    .. attribute:: diag_items
    
    	
    	**type**\:  :py:class:`DiagItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems>`
    
    .. attribute:: lsnode_items
    
    	
    	**type**\:  :py:class:`LsnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems>`
    
    .. attribute:: pltfm_items
    
    	
    	**type**\:  :py:class:`PltfmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems>`
    
    .. attribute:: satm_items
    
    	
    	**type**\:  :py:class:`SatmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems>`
    
    .. attribute:: adjacency_items
    
    	
    	**type**\:  :py:class:`AdjacencyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems>`
    
    .. attribute:: arp_items
    
    	
    	**type**\:  :py:class:`ArpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems>`
    
    .. attribute:: bfd_items
    
    	
    	**type**\:  :py:class:`BfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems>`
    
    .. attribute:: cfs_items
    
    	
    	**type**\:  :py:class:`CfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CfsItems>`
    
    .. attribute:: hsrp_items
    
    	
    	**type**\:  :py:class:`HsrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems>`
    
    .. attribute:: icmpv4_items
    
    	
    	**type**\:  :py:class:`Icmpv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items>`
    
    .. attribute:: icmpv6_items
    
    	
    	**type**\:  :py:class:`Icmpv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items>`
    
    .. attribute:: igmpsnoop_items
    
    	
    	**type**\:  :py:class:`IgmpsnoopItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems>`
    
    .. attribute:: m6rib_items
    
    	
    	**type**\:  :py:class:`M6ribItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems>`
    
    .. attribute:: macsec_items
    
    	
    	**type**\:  :py:class:`MacsecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacsecItems>`
    
    .. attribute:: mcastfwd_items
    
    	
    	**type**\:  :py:class:`McastfwdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McastfwdItems>`
    
    .. attribute:: mldsnoop_items
    
    	
    	**type**\:  :py:class:`MldsnoopItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems>`
    
    .. attribute:: mpls_items
    
    	
    	**type**\:  :py:class:`MplsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems>`
    
    .. attribute:: mplsstatic_items
    
    	
    	**type**\:  :py:class:`MplsstaticItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems>`
    
    .. attribute:: labeltable_items
    
    	
    	**type**\:  :py:class:`LabeltableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems>`
    
    .. attribute:: mrib_items
    
    	
    	**type**\:  :py:class:`MribItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems>`
    
    .. attribute:: msdp_items
    
    	
    	**type**\:  :py:class:`MsdpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems>`
    
    .. attribute:: nd_items
    
    	
    	**type**\:  :py:class:`NdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems>`
    
    .. attribute:: ngmvpn_items
    
    	
    	**type**\:  :py:class:`NgmvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems>`
    
    .. attribute:: pim_items
    
    	
    	**type**\:  :py:class:`PimItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems>`
    
    .. attribute:: pim6_items
    
    	
    	**type**\:  :py:class:`Pim6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items>`
    
    .. attribute:: segrt_items
    
    	
    	**type**\:  :py:class:`SegrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems>`
    
    .. attribute:: vrrp_items
    
    	
    	**type**\:  :py:class:`VrrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems>`
    
    .. attribute:: vrrpv3_items
    
    	
    	**type**\:  :py:class:`Vrrpv3Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items>`
    
    .. attribute:: scrtchpdrt_items
    
    	
    	**type**\:  :py:class:`ScrtchpdrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems>`
    
    .. attribute:: sectl_items
    
    	
    	**type**\:  :py:class:`SectlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems>`
    
    .. attribute:: caggr_items
    
    	
    	**type**\:  :py:class:`CaggrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems>`
    
    .. attribute:: cphys_items
    
    	
    	**type**\:  :py:class:`CphysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems>`
    
    .. attribute:: action_items
    
    	
    	**type**\:  :py:class:`ActionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems>`
    
    .. attribute:: rtdbgexptssrc_items
    
    	
    	**type**\:  :py:class:`RtdbgexpTsSrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RtdbgexpTsSrcItems>`
    
    .. attribute:: rttracerouteptrsrc_items
    
    	
    	**type**\:  :py:class:`RttraceroutepTrSrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RttraceroutepTrSrcItems>`
    
    .. attribute:: rttracerouteptrdst_items
    
    	
    	**type**\:  :py:class:`RttraceroutepTrDstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RttraceroutepTrDstItems>`
    
    .. attribute:: rtmaintfwinstlsrc_items
    
    	
    	**type**\:  :py:class:`RtmaintFwinstlsrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RtmaintFwinstlsrcItems>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(System, self).__init__()
        self._top_entity = None

        self.yang_name = "System"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([("bgp-items", ("bgp_items", System.BgpItems)), ("sfw-items", ("sfw_items", System.SfwItems)), ("capabilities-items", ("capabilities_items", System.CapabilitiesItems)), ("clock-items", ("clock_items", System.ClockItems)), ("time-items", ("time_items", System.TimeItems)), ("ntpq-items", ("ntpq_items", System.NtpqItems)), ("acct-items", ("acct_items", System.AcctItems)), ("retry-items", ("retry_items", System.RetryItems)), ("span-items", ("span_items", System.SpanItems)), ("dhcp-items", ("dhcp_items", System.DhcpItems)), ("dns-items", ("dns_items", System.DnsItems)), ("decommission-items", ("decommission_items", System.DecommissionItems)), ("inb-items", ("inb_items", System.InbItems)), ("ext-items", ("ext_items", System.ExtItems)), ("br-items", ("br_items", System.BrItems)), ("mac-items", ("mac_items", System.MacItems)), ("cdp-items", ("cdp_items", System.CdpItems)), ("lldp-items", ("lldp_items", System.LldpItems)), ("mcp-items", ("mcp_items", System.McpItems)), ("vpc-items", ("vpc_items", System.VpcItems)), ("epns-items", ("epns_items", System.EpnsItems)), ("gold-items", ("gold_items", System.GoldItems)), ("igmp-items", ("igmp_items", System.IgmpItems)), ("ctrlrfwstatuscont-items", ("ctrlrfwstatuscont_items", System.CtrlrfwstatuscontItems)), ("fwstatuscont-items", ("fwstatuscont_items", System.FwstatuscontItems)), ("catfwstatuscont-items", ("catfwstatuscont_items", System.CatfwstatuscontItems)), ("isis-items", ("isis_items", System.IsisItems)), ("lacp-items", ("lacp_items", System.LacpItems)), ("mgmt-items", ("mgmt_items", System.MgmtItems)), ("snmp-items", ("snmp_items", System.SnmpItems)), ("syslogacct-items", ("syslogacct_items", System.SyslogacctItems)), ("syslog-items", ("syslog_items", System.SyslogItems)), ("mts-items", ("mts_items", System.MtsItems)), ("nat-items", ("nat_items", System.NatItems)), ("odcreq-items", ("odcreq_items", System.OdcreqItems)), ("odcresp-items", ("odcresp_items", System.OdcrespItems)), ("ospf-items", ("ospf_items", System.OspfItems)), ("evpn-items", ("evpn_items", System.EvpnItems)), ("userext-items", ("userext_items", System.UserextItems)), ("mockroot-items", ("mockroot_items", System.MockrootItems)), ("stp-items", ("stp_items", System.StpItems)), ("bdTable-items", ("bdtable_items", System.BdTableItems)), ("globalConfTable-items", ("globalconftable_items", System.GlobalConfTableItems)), ("intfTable-items", ("intftable_items", System.IntfTableItems)), ("macTable-items", ("mactable_items", System.MacTableItems)), ("systemTable-items", ("systemtable_items", System.SystemTableItems)), ("tunnelIntfTable-items", ("tunnelintftable_items", System.TunnelIntfTableItems)), ("vlanTable-items", ("vlantable_items", System.VlanTableItems)), ("vpcDomTable-items", ("vpcdomtable_items", System.VpcDomTableItems)), ("vrfTable-items", ("vrftable_items", System.VrfTableItems)), ("acl-items", ("acl_items", System.AclItems)), ("actrl-items", ("actrl_items", System.ActrlItems)), ("actrlcapprov-items", ("actrlcapprov_items", System.ActrlcapprovItems)), ("analytics-items", ("analytics_items", System.AnalyticsItems)), ("hwtelemetry-items", ("hwtelemetry_items", System.HwtelemetryItems)), ("copp-items", ("copp_items", System.CoppItems)), ("glean-items", ("glean_items", System.GleanItems)), ("hmm-items", ("hmm_items", System.HmmItems)), ("icam-items", ("icam_items", System.IcamItems)), ("ipqos-items", ("ipqos_items", System.IpqosItems)), ("monitor-items", ("monitor_items", System.MonitorItems)), ("flow-items", ("flow_items", System.FlowItems)), ("ngoam-items", ("ngoam_items", System.NgoamItems)), ("nxapi-items", ("nxapi_items", System.NxapiItems)), ("poe-items", ("poe_items", System.PoeItems)), ("qosm-items", ("qosm_items", System.QosmItems)), ("sisf-items", ("sisf_items", System.SisfItems)), ("tm-items", ("tm_items", System.TmItems)), ("track-items", ("track_items", System.TrackItems)), ("udld-items", ("udld_items", System.UdldItems)), ("acllog-items", ("acllog_items", System.AcllogItems)), ("bd-items", ("bd_items", System.BdItems)), ("templateTable-items", ("templatetable_items", System.TemplateTableItems)), ("fc-items", ("fc_items", System.FcItems)), ("fcoe-items", ("fcoe_items", System.FcoeItems)), ("npv-items", ("npv_items", System.NpvItems)), ("vsanmgr-items", ("vsanmgr_items", System.VsanmgrItems)), ("fm-items", ("fm_items", System.FmItems)), ("fset-items", ("fset_items", System.FsetItems)), ("install-items", ("install_items", System.InstallItems)), ("intf-items", ("intf_items", System.IntfItems)), ("ipv4-items", ("ipv4_items", System.Ipv4Items)), ("ipv6-items", ("ipv6_items", System.Ipv6Items)), ("l1capprov-items", ("l1capprov_items", System.L1capprovItems)), ("ethpm-items", ("ethpm_items", System.EthpmItems)), ("breakout-items", ("breakout_items", System.BreakoutItems)), ("im-items", ("im_items", System.ImItems)), ("pc-items", ("pc_items", System.PcItems)), ("l2capprov-items", ("l2capprov_items", System.L2capprovItems)), ("fcpm-items", ("fcpm_items", System.FcpmItems)), ("l2fm-items", ("l2fm_items", System.L2fmItems)), ("l2rib-items", ("l2rib_items", System.L2ribItems)), ("pvlan-items", ("pvlan_items", System.PvlanItems)), ("vlanmgr-items", ("vlanmgr_items", System.VlanmgrItems)), ("eps-items", ("eps_items", System.EpsItems)), ("ctx-items", ("ctx_items", System.CtxItems)), ("inst-items", ("inst_items", System.InstItems)), ("l3capprov-items", ("l3capprov_items", System.L3capprovItems)), ("l3vm-items", ("l3vm_items", System.L3vmItems)), ("urib-items", ("urib_items", System.UribItems)), ("u6rib-items", ("u6rib_items", System.U6ribItems)), ("uribv4-items", ("uribv4_items", System.Uribv4Items)), ("uribv6-items", ("uribv6_items", System.Uribv6Items)), ("conng-items", ("conng_items", System.ConngItems)), ("vdc-items", ("vdc_items", System.VdcItems)), ("procsys-items", ("procsys_items", System.ProcsysItems)), ("proc-items", ("proc_items", System.ProcItems)), ("regr-items", ("regr_items", System.RegrItems)), ("rpm-items", ("rpm_items", System.RpmItems)), ("ipSrcIf-items", ("ipsrcif_items", System.IpSrcIfItems)), ("swpkgs-items", ("swpkgs_items", System.SwpkgsItems)), ("sysmgr-items", ("sysmgr_items", System.SysmgrItems)), ("showversion-items", ("showversion_items", System.ShowversionItems)), ("tcpudp-items", ("tcpudp_items", System.TcpudpItems)), ("terml-items", ("terml_items", System.TermlItems)), ("termlog-items", ("termlog_items", System.TermlogItems)), ("test_rule-items", ("test_rule_items", System.TestRuleItems)), ("test_rslt_-items", ("test_rslt__items", System.TestRsltItems)), ("tunnel-items", ("tunnel_items", System.TunnelItems)), ("vtp-items", ("vtp_items", System.VtpItems)), ("nbm-items", ("nbm_items", System.NbmItems)), ("nbmcc-items", ("nbmcc_items", System.NbmccItems)), ("nbmFlowsTable-items", ("nbmflowstable_items", System.NbmFlowsTableItems)), ("nbmStats-items", ("nbmstats_items", System.NbmStatsItems)), ("boot-items", ("boot_items", System.BootItems)), ("ch-items", ("ch_items", System.ChItems)), ("extch-items", ("extch_items", System.ExtchItems)), ("ops-items", ("ops_items", System.OpsItems)), ("eqptcapacity-items", ("eqptcapacity_items", System.EqptcapacityItems)), ("diag-items", ("diag_items", System.DiagItems)), ("lsnode-items", ("lsnode_items", System.LsnodeItems)), ("pltfm-items", ("pltfm_items", System.PltfmItems)), ("satm-items", ("satm_items", System.SatmItems)), ("adjacency-items", ("adjacency_items", System.AdjacencyItems)), ("arp-items", ("arp_items", System.ArpItems)), ("bfd-items", ("bfd_items", System.BfdItems)), ("cfs-items", ("cfs_items", System.CfsItems)), ("hsrp-items", ("hsrp_items", System.HsrpItems)), ("icmpv4-items", ("icmpv4_items", System.Icmpv4Items)), ("icmpv6-items", ("icmpv6_items", System.Icmpv6Items)), ("igmpsnoop-items", ("igmpsnoop_items", System.IgmpsnoopItems)), ("m6rib-items", ("m6rib_items", System.M6ribItems)), ("macsec-items", ("macsec_items", System.MacsecItems)), ("mcastfwd-items", ("mcastfwd_items", System.McastfwdItems)), ("mldsnoop-items", ("mldsnoop_items", System.MldsnoopItems)), ("mpls-items", ("mpls_items", System.MplsItems)), ("mplsstatic-items", ("mplsstatic_items", System.MplsstaticItems)), ("labeltable-items", ("labeltable_items", System.LabeltableItems)), ("mrib-items", ("mrib_items", System.MribItems)), ("msdp-items", ("msdp_items", System.MsdpItems)), ("nd-items", ("nd_items", System.NdItems)), ("ngmvpn-items", ("ngmvpn_items", System.NgmvpnItems)), ("pim-items", ("pim_items", System.PimItems)), ("pim6-items", ("pim6_items", System.Pim6Items)), ("segrt-items", ("segrt_items", System.SegrtItems)), ("vrrp-items", ("vrrp_items", System.VrrpItems)), ("vrrpv3-items", ("vrrpv3_items", System.Vrrpv3Items)), ("scrtchpdrt-items", ("scrtchpdrt_items", System.ScrtchpdrtItems)), ("sectl-items", ("sectl_items", System.SectlItems)), ("caggr-items", ("caggr_items", System.CaggrItems)), ("cphys-items", ("cphys_items", System.CphysItems)), ("action-items", ("action_items", System.ActionItems)), ("rtdbgexpTsSrc-items", ("rtdbgexptssrc_items", System.RtdbgexpTsSrcItems)), ("rttraceroutepTrSrc-items", ("rttracerouteptrsrc_items", System.RttraceroutepTrSrcItems)), ("rttraceroutepTrDst-items", ("rttracerouteptrdst_items", System.RttraceroutepTrDstItems)), ("rtmaintFwinstlsrc-items", ("rtmaintfwinstlsrc_items", System.RtmaintFwinstlsrcItems))])
        self._leafs = OrderedDict([
            ('currenttime', (YLeaf(YType.str, 'currentTime'), ['str'])),
            ('systemuptime', (YLeaf(YType.str, 'systemUpTime'), ['str'])),
            ('serial', (YLeaf(YType.str, 'serial'), ['str'])),
            ('name', (YLeaf(YType.str, 'name'), ['str'])),
        ])
        self.currenttime = None
        self.systemuptime = None
        self.serial = None
        self.name = None

        self.bgp_items = System.BgpItems()
        self.bgp_items.parent = self
        self._children_name_map["bgp_items"] = "bgp-items"

        self.sfw_items = System.SfwItems()
        self.sfw_items.parent = self
        self._children_name_map["sfw_items"] = "sfw-items"

        self.capabilities_items = System.CapabilitiesItems()
        self.capabilities_items.parent = self
        self._children_name_map["capabilities_items"] = "capabilities-items"

        self.clock_items = System.ClockItems()
        self.clock_items.parent = self
        self._children_name_map["clock_items"] = "clock-items"

        self.time_items = System.TimeItems()
        self.time_items.parent = self
        self._children_name_map["time_items"] = "time-items"

        self.ntpq_items = System.NtpqItems()
        self.ntpq_items.parent = self
        self._children_name_map["ntpq_items"] = "ntpq-items"

        self.acct_items = System.AcctItems()
        self.acct_items.parent = self
        self._children_name_map["acct_items"] = "acct-items"

        self.retry_items = System.RetryItems()
        self.retry_items.parent = self
        self._children_name_map["retry_items"] = "retry-items"

        self.span_items = System.SpanItems()
        self.span_items.parent = self
        self._children_name_map["span_items"] = "span-items"

        self.dhcp_items = System.DhcpItems()
        self.dhcp_items.parent = self
        self._children_name_map["dhcp_items"] = "dhcp-items"

        self.dns_items = System.DnsItems()
        self.dns_items.parent = self
        self._children_name_map["dns_items"] = "dns-items"

        self.decommission_items = System.DecommissionItems()
        self.decommission_items.parent = self
        self._children_name_map["decommission_items"] = "decommission-items"

        self.inb_items = System.InbItems()
        self.inb_items.parent = self
        self._children_name_map["inb_items"] = "inb-items"

        self.ext_items = System.ExtItems()
        self.ext_items.parent = self
        self._children_name_map["ext_items"] = "ext-items"

        self.br_items = System.BrItems()
        self.br_items.parent = self
        self._children_name_map["br_items"] = "br-items"

        self.mac_items = System.MacItems()
        self.mac_items.parent = self
        self._children_name_map["mac_items"] = "mac-items"

        self.cdp_items = System.CdpItems()
        self.cdp_items.parent = self
        self._children_name_map["cdp_items"] = "cdp-items"

        self.lldp_items = System.LldpItems()
        self.lldp_items.parent = self
        self._children_name_map["lldp_items"] = "lldp-items"

        self.mcp_items = System.McpItems()
        self.mcp_items.parent = self
        self._children_name_map["mcp_items"] = "mcp-items"

        self.vpc_items = System.VpcItems()
        self.vpc_items.parent = self
        self._children_name_map["vpc_items"] = "vpc-items"

        self.epns_items = System.EpnsItems()
        self.epns_items.parent = self
        self._children_name_map["epns_items"] = "epns-items"

        self.gold_items = System.GoldItems()
        self.gold_items.parent = self
        self._children_name_map["gold_items"] = "gold-items"

        self.igmp_items = System.IgmpItems()
        self.igmp_items.parent = self
        self._children_name_map["igmp_items"] = "igmp-items"

        self.ctrlrfwstatuscont_items = System.CtrlrfwstatuscontItems()
        self.ctrlrfwstatuscont_items.parent = self
        self._children_name_map["ctrlrfwstatuscont_items"] = "ctrlrfwstatuscont-items"

        self.fwstatuscont_items = System.FwstatuscontItems()
        self.fwstatuscont_items.parent = self
        self._children_name_map["fwstatuscont_items"] = "fwstatuscont-items"

        self.catfwstatuscont_items = System.CatfwstatuscontItems()
        self.catfwstatuscont_items.parent = self
        self._children_name_map["catfwstatuscont_items"] = "catfwstatuscont-items"

        self.isis_items = System.IsisItems()
        self.isis_items.parent = self
        self._children_name_map["isis_items"] = "isis-items"

        self.lacp_items = System.LacpItems()
        self.lacp_items.parent = self
        self._children_name_map["lacp_items"] = "lacp-items"

        self.mgmt_items = System.MgmtItems()
        self.mgmt_items.parent = self
        self._children_name_map["mgmt_items"] = "mgmt-items"

        self.snmp_items = System.SnmpItems()
        self.snmp_items.parent = self
        self._children_name_map["snmp_items"] = "snmp-items"

        self.syslogacct_items = System.SyslogacctItems()
        self.syslogacct_items.parent = self
        self._children_name_map["syslogacct_items"] = "syslogacct-items"

        self.syslog_items = System.SyslogItems()
        self.syslog_items.parent = self
        self._children_name_map["syslog_items"] = "syslog-items"

        self.mts_items = System.MtsItems()
        self.mts_items.parent = self
        self._children_name_map["mts_items"] = "mts-items"

        self.nat_items = System.NatItems()
        self.nat_items.parent = self
        self._children_name_map["nat_items"] = "nat-items"

        self.odcreq_items = System.OdcreqItems()
        self.odcreq_items.parent = self
        self._children_name_map["odcreq_items"] = "odcreq-items"

        self.odcresp_items = System.OdcrespItems()
        self.odcresp_items.parent = self
        self._children_name_map["odcresp_items"] = "odcresp-items"

        self.ospf_items = System.OspfItems()
        self.ospf_items.parent = self
        self._children_name_map["ospf_items"] = "ospf-items"

        self.evpn_items = System.EvpnItems()
        self.evpn_items.parent = self
        self._children_name_map["evpn_items"] = "evpn-items"

        self.userext_items = System.UserextItems()
        self.userext_items.parent = self
        self._children_name_map["userext_items"] = "userext-items"

        self.mockroot_items = System.MockrootItems()
        self.mockroot_items.parent = self
        self._children_name_map["mockroot_items"] = "mockroot-items"

        self.stp_items = System.StpItems()
        self.stp_items.parent = self
        self._children_name_map["stp_items"] = "stp-items"

        self.bdtable_items = System.BdTableItems()
        self.bdtable_items.parent = self
        self._children_name_map["bdtable_items"] = "bdTable-items"

        self.globalconftable_items = System.GlobalConfTableItems()
        self.globalconftable_items.parent = self
        self._children_name_map["globalconftable_items"] = "globalConfTable-items"

        self.intftable_items = System.IntfTableItems()
        self.intftable_items.parent = self
        self._children_name_map["intftable_items"] = "intfTable-items"

        self.mactable_items = System.MacTableItems()
        self.mactable_items.parent = self
        self._children_name_map["mactable_items"] = "macTable-items"

        self.systemtable_items = System.SystemTableItems()
        self.systemtable_items.parent = self
        self._children_name_map["systemtable_items"] = "systemTable-items"

        self.tunnelintftable_items = System.TunnelIntfTableItems()
        self.tunnelintftable_items.parent = self
        self._children_name_map["tunnelintftable_items"] = "tunnelIntfTable-items"

        self.vlantable_items = System.VlanTableItems()
        self.vlantable_items.parent = self
        self._children_name_map["vlantable_items"] = "vlanTable-items"

        self.vpcdomtable_items = System.VpcDomTableItems()
        self.vpcdomtable_items.parent = self
        self._children_name_map["vpcdomtable_items"] = "vpcDomTable-items"

        self.vrftable_items = System.VrfTableItems()
        self.vrftable_items.parent = self
        self._children_name_map["vrftable_items"] = "vrfTable-items"

        self.acl_items = System.AclItems()
        self.acl_items.parent = self
        self._children_name_map["acl_items"] = "acl-items"

        self.actrl_items = System.ActrlItems()
        self.actrl_items.parent = self
        self._children_name_map["actrl_items"] = "actrl-items"

        self.actrlcapprov_items = System.ActrlcapprovItems()
        self.actrlcapprov_items.parent = self
        self._children_name_map["actrlcapprov_items"] = "actrlcapprov-items"

        self.analytics_items = System.AnalyticsItems()
        self.analytics_items.parent = self
        self._children_name_map["analytics_items"] = "analytics-items"

        self.hwtelemetry_items = System.HwtelemetryItems()
        self.hwtelemetry_items.parent = self
        self._children_name_map["hwtelemetry_items"] = "hwtelemetry-items"

        self.copp_items = System.CoppItems()
        self.copp_items.parent = self
        self._children_name_map["copp_items"] = "copp-items"

        self.glean_items = System.GleanItems()
        self.glean_items.parent = self
        self._children_name_map["glean_items"] = "glean-items"

        self.hmm_items = System.HmmItems()
        self.hmm_items.parent = self
        self._children_name_map["hmm_items"] = "hmm-items"

        self.icam_items = System.IcamItems()
        self.icam_items.parent = self
        self._children_name_map["icam_items"] = "icam-items"

        self.ipqos_items = System.IpqosItems()
        self.ipqos_items.parent = self
        self._children_name_map["ipqos_items"] = "ipqos-items"

        self.monitor_items = System.MonitorItems()
        self.monitor_items.parent = self
        self._children_name_map["monitor_items"] = "monitor-items"

        self.flow_items = System.FlowItems()
        self.flow_items.parent = self
        self._children_name_map["flow_items"] = "flow-items"

        self.ngoam_items = System.NgoamItems()
        self.ngoam_items.parent = self
        self._children_name_map["ngoam_items"] = "ngoam-items"

        self.nxapi_items = System.NxapiItems()
        self.nxapi_items.parent = self
        self._children_name_map["nxapi_items"] = "nxapi-items"

        self.poe_items = System.PoeItems()
        self.poe_items.parent = self
        self._children_name_map["poe_items"] = "poe-items"

        self.qosm_items = System.QosmItems()
        self.qosm_items.parent = self
        self._children_name_map["qosm_items"] = "qosm-items"

        self.sisf_items = System.SisfItems()
        self.sisf_items.parent = self
        self._children_name_map["sisf_items"] = "sisf-items"

        self.tm_items = System.TmItems()
        self.tm_items.parent = self
        self._children_name_map["tm_items"] = "tm-items"

        self.track_items = System.TrackItems()
        self.track_items.parent = self
        self._children_name_map["track_items"] = "track-items"

        self.udld_items = System.UdldItems()
        self.udld_items.parent = self
        self._children_name_map["udld_items"] = "udld-items"

        self.acllog_items = System.AcllogItems()
        self.acllog_items.parent = self
        self._children_name_map["acllog_items"] = "acllog-items"

        self.bd_items = System.BdItems()
        self.bd_items.parent = self
        self._children_name_map["bd_items"] = "bd-items"

        self.templatetable_items = System.TemplateTableItems()
        self.templatetable_items.parent = self
        self._children_name_map["templatetable_items"] = "templateTable-items"

        self.fc_items = System.FcItems()
        self.fc_items.parent = self
        self._children_name_map["fc_items"] = "fc-items"

        self.fcoe_items = System.FcoeItems()
        self.fcoe_items.parent = self
        self._children_name_map["fcoe_items"] = "fcoe-items"

        self.npv_items = System.NpvItems()
        self.npv_items.parent = self
        self._children_name_map["npv_items"] = "npv-items"

        self.vsanmgr_items = System.VsanmgrItems()
        self.vsanmgr_items.parent = self
        self._children_name_map["vsanmgr_items"] = "vsanmgr-items"

        self.fm_items = System.FmItems()
        self.fm_items.parent = self
        self._children_name_map["fm_items"] = "fm-items"

        self.fset_items = System.FsetItems()
        self.fset_items.parent = self
        self._children_name_map["fset_items"] = "fset-items"

        self.install_items = System.InstallItems()
        self.install_items.parent = self
        self._children_name_map["install_items"] = "install-items"

        self.intf_items = System.IntfItems()
        self.intf_items.parent = self
        self._children_name_map["intf_items"] = "intf-items"

        self.ipv4_items = System.Ipv4Items()
        self.ipv4_items.parent = self
        self._children_name_map["ipv4_items"] = "ipv4-items"

        self.ipv6_items = System.Ipv6Items()
        self.ipv6_items.parent = self
        self._children_name_map["ipv6_items"] = "ipv6-items"

        self.l1capprov_items = System.L1capprovItems()
        self.l1capprov_items.parent = self
        self._children_name_map["l1capprov_items"] = "l1capprov-items"

        self.ethpm_items = System.EthpmItems()
        self.ethpm_items.parent = self
        self._children_name_map["ethpm_items"] = "ethpm-items"

        self.breakout_items = System.BreakoutItems()
        self.breakout_items.parent = self
        self._children_name_map["breakout_items"] = "breakout-items"

        self.im_items = System.ImItems()
        self.im_items.parent = self
        self._children_name_map["im_items"] = "im-items"

        self.pc_items = System.PcItems()
        self.pc_items.parent = self
        self._children_name_map["pc_items"] = "pc-items"

        self.l2capprov_items = System.L2capprovItems()
        self.l2capprov_items.parent = self
        self._children_name_map["l2capprov_items"] = "l2capprov-items"

        self.fcpm_items = System.FcpmItems()
        self.fcpm_items.parent = self
        self._children_name_map["fcpm_items"] = "fcpm-items"

        self.l2fm_items = System.L2fmItems()
        self.l2fm_items.parent = self
        self._children_name_map["l2fm_items"] = "l2fm-items"

        self.l2rib_items = System.L2ribItems()
        self.l2rib_items.parent = self
        self._children_name_map["l2rib_items"] = "l2rib-items"

        self.pvlan_items = System.PvlanItems()
        self.pvlan_items.parent = self
        self._children_name_map["pvlan_items"] = "pvlan-items"

        self.vlanmgr_items = System.VlanmgrItems()
        self.vlanmgr_items.parent = self
        self._children_name_map["vlanmgr_items"] = "vlanmgr-items"

        self.eps_items = System.EpsItems()
        self.eps_items.parent = self
        self._children_name_map["eps_items"] = "eps-items"

        self.ctx_items = System.CtxItems()
        self.ctx_items.parent = self
        self._children_name_map["ctx_items"] = "ctx-items"

        self.inst_items = System.InstItems()
        self.inst_items.parent = self
        self._children_name_map["inst_items"] = "inst-items"

        self.l3capprov_items = System.L3capprovItems()
        self.l3capprov_items.parent = self
        self._children_name_map["l3capprov_items"] = "l3capprov-items"

        self.l3vm_items = System.L3vmItems()
        self.l3vm_items.parent = self
        self._children_name_map["l3vm_items"] = "l3vm-items"

        self.urib_items = System.UribItems()
        self.urib_items.parent = self
        self._children_name_map["urib_items"] = "urib-items"

        self.u6rib_items = System.U6ribItems()
        self.u6rib_items.parent = self
        self._children_name_map["u6rib_items"] = "u6rib-items"

        self.uribv4_items = System.Uribv4Items()
        self.uribv4_items.parent = self
        self._children_name_map["uribv4_items"] = "uribv4-items"

        self.uribv6_items = System.Uribv6Items()
        self.uribv6_items.parent = self
        self._children_name_map["uribv6_items"] = "uribv6-items"

        self.conng_items = System.ConngItems()
        self.conng_items.parent = self
        self._children_name_map["conng_items"] = "conng-items"

        self.vdc_items = System.VdcItems()
        self.vdc_items.parent = self
        self._children_name_map["vdc_items"] = "vdc-items"

        self.procsys_items = System.ProcsysItems()
        self.procsys_items.parent = self
        self._children_name_map["procsys_items"] = "procsys-items"

        self.proc_items = System.ProcItems()
        self.proc_items.parent = self
        self._children_name_map["proc_items"] = "proc-items"

        self.regr_items = System.RegrItems()
        self.regr_items.parent = self
        self._children_name_map["regr_items"] = "regr-items"

        self.rpm_items = System.RpmItems()
        self.rpm_items.parent = self
        self._children_name_map["rpm_items"] = "rpm-items"

        self.ipsrcif_items = System.IpSrcIfItems()
        self.ipsrcif_items.parent = self
        self._children_name_map["ipsrcif_items"] = "ipSrcIf-items"

        self.swpkgs_items = System.SwpkgsItems()
        self.swpkgs_items.parent = self
        self._children_name_map["swpkgs_items"] = "swpkgs-items"

        self.sysmgr_items = System.SysmgrItems()
        self.sysmgr_items.parent = self
        self._children_name_map["sysmgr_items"] = "sysmgr-items"

        self.showversion_items = System.ShowversionItems()
        self.showversion_items.parent = self
        self._children_name_map["showversion_items"] = "showversion-items"

        self.tcpudp_items = System.TcpudpItems()
        self.tcpudp_items.parent = self
        self._children_name_map["tcpudp_items"] = "tcpudp-items"

        self.terml_items = System.TermlItems()
        self.terml_items.parent = self
        self._children_name_map["terml_items"] = "terml-items"

        self.termlog_items = System.TermlogItems()
        self.termlog_items.parent = self
        self._children_name_map["termlog_items"] = "termlog-items"

        self.test_rule_items = System.TestRuleItems()
        self.test_rule_items.parent = self
        self._children_name_map["test_rule_items"] = "test_rule-items"

        self.test_rslt__items = System.TestRsltItems()
        self.test_rslt__items.parent = self
        self._children_name_map["test_rslt__items"] = "test_rslt_-items"

        self.tunnel_items = System.TunnelItems()
        self.tunnel_items.parent = self
        self._children_name_map["tunnel_items"] = "tunnel-items"

        self.vtp_items = System.VtpItems()
        self.vtp_items.parent = self
        self._children_name_map["vtp_items"] = "vtp-items"

        self.nbm_items = System.NbmItems()
        self.nbm_items.parent = self
        self._children_name_map["nbm_items"] = "nbm-items"

        self.nbmcc_items = System.NbmccItems()
        self.nbmcc_items.parent = self
        self._children_name_map["nbmcc_items"] = "nbmcc-items"

        self.nbmflowstable_items = System.NbmFlowsTableItems()
        self.nbmflowstable_items.parent = self
        self._children_name_map["nbmflowstable_items"] = "nbmFlowsTable-items"

        self.nbmstats_items = System.NbmStatsItems()
        self.nbmstats_items.parent = self
        self._children_name_map["nbmstats_items"] = "nbmStats-items"

        self.boot_items = System.BootItems()
        self.boot_items.parent = self
        self._children_name_map["boot_items"] = "boot-items"

        self.ch_items = System.ChItems()
        self.ch_items.parent = self
        self._children_name_map["ch_items"] = "ch-items"

        self.extch_items = System.ExtchItems()
        self.extch_items.parent = self
        self._children_name_map["extch_items"] = "extch-items"

        self.ops_items = System.OpsItems()
        self.ops_items.parent = self
        self._children_name_map["ops_items"] = "ops-items"

        self.eqptcapacity_items = System.EqptcapacityItems()
        self.eqptcapacity_items.parent = self
        self._children_name_map["eqptcapacity_items"] = "eqptcapacity-items"

        self.diag_items = System.DiagItems()
        self.diag_items.parent = self
        self._children_name_map["diag_items"] = "diag-items"

        self.lsnode_items = System.LsnodeItems()
        self.lsnode_items.parent = self
        self._children_name_map["lsnode_items"] = "lsnode-items"

        self.pltfm_items = System.PltfmItems()
        self.pltfm_items.parent = self
        self._children_name_map["pltfm_items"] = "pltfm-items"

        self.satm_items = System.SatmItems()
        self.satm_items.parent = self
        self._children_name_map["satm_items"] = "satm-items"

        self.adjacency_items = System.AdjacencyItems()
        self.adjacency_items.parent = self
        self._children_name_map["adjacency_items"] = "adjacency-items"

        self.arp_items = System.ArpItems()
        self.arp_items.parent = self
        self._children_name_map["arp_items"] = "arp-items"

        self.bfd_items = System.BfdItems()
        self.bfd_items.parent = self
        self._children_name_map["bfd_items"] = "bfd-items"

        self.cfs_items = System.CfsItems()
        self.cfs_items.parent = self
        self._children_name_map["cfs_items"] = "cfs-items"

        self.hsrp_items = System.HsrpItems()
        self.hsrp_items.parent = self
        self._children_name_map["hsrp_items"] = "hsrp-items"

        self.icmpv4_items = System.Icmpv4Items()
        self.icmpv4_items.parent = self
        self._children_name_map["icmpv4_items"] = "icmpv4-items"

        self.icmpv6_items = System.Icmpv6Items()
        self.icmpv6_items.parent = self
        self._children_name_map["icmpv6_items"] = "icmpv6-items"

        self.igmpsnoop_items = System.IgmpsnoopItems()
        self.igmpsnoop_items.parent = self
        self._children_name_map["igmpsnoop_items"] = "igmpsnoop-items"

        self.m6rib_items = System.M6ribItems()
        self.m6rib_items.parent = self
        self._children_name_map["m6rib_items"] = "m6rib-items"

        self.macsec_items = System.MacsecItems()
        self.macsec_items.parent = self
        self._children_name_map["macsec_items"] = "macsec-items"

        self.mcastfwd_items = System.McastfwdItems()
        self.mcastfwd_items.parent = self
        self._children_name_map["mcastfwd_items"] = "mcastfwd-items"

        self.mldsnoop_items = System.MldsnoopItems()
        self.mldsnoop_items.parent = self
        self._children_name_map["mldsnoop_items"] = "mldsnoop-items"

        self.mpls_items = System.MplsItems()
        self.mpls_items.parent = self
        self._children_name_map["mpls_items"] = "mpls-items"

        self.mplsstatic_items = System.MplsstaticItems()
        self.mplsstatic_items.parent = self
        self._children_name_map["mplsstatic_items"] = "mplsstatic-items"

        self.labeltable_items = System.LabeltableItems()
        self.labeltable_items.parent = self
        self._children_name_map["labeltable_items"] = "labeltable-items"

        self.mrib_items = System.MribItems()
        self.mrib_items.parent = self
        self._children_name_map["mrib_items"] = "mrib-items"

        self.msdp_items = System.MsdpItems()
        self.msdp_items.parent = self
        self._children_name_map["msdp_items"] = "msdp-items"

        self.nd_items = System.NdItems()
        self.nd_items.parent = self
        self._children_name_map["nd_items"] = "nd-items"

        self.ngmvpn_items = System.NgmvpnItems()
        self.ngmvpn_items.parent = self
        self._children_name_map["ngmvpn_items"] = "ngmvpn-items"

        self.pim_items = System.PimItems()
        self.pim_items.parent = self
        self._children_name_map["pim_items"] = "pim-items"

        self.pim6_items = System.Pim6Items()
        self.pim6_items.parent = self
        self._children_name_map["pim6_items"] = "pim6-items"

        self.segrt_items = System.SegrtItems()
        self.segrt_items.parent = self
        self._children_name_map["segrt_items"] = "segrt-items"

        self.vrrp_items = System.VrrpItems()
        self.vrrp_items.parent = self
        self._children_name_map["vrrp_items"] = "vrrp-items"

        self.vrrpv3_items = System.Vrrpv3Items()
        self.vrrpv3_items.parent = self
        self._children_name_map["vrrpv3_items"] = "vrrpv3-items"

        self.scrtchpdrt_items = System.ScrtchpdrtItems()
        self.scrtchpdrt_items.parent = self
        self._children_name_map["scrtchpdrt_items"] = "scrtchpdrt-items"

        self.sectl_items = System.SectlItems()
        self.sectl_items.parent = self
        self._children_name_map["sectl_items"] = "sectl-items"

        self.caggr_items = System.CaggrItems()
        self.caggr_items.parent = self
        self._children_name_map["caggr_items"] = "caggr-items"

        self.cphys_items = System.CphysItems()
        self.cphys_items.parent = self
        self._children_name_map["cphys_items"] = "cphys-items"

        self.action_items = System.ActionItems()
        self.action_items.parent = self
        self._children_name_map["action_items"] = "action-items"

        self.rtdbgexptssrc_items = System.RtdbgexpTsSrcItems()
        self.rtdbgexptssrc_items.parent = self
        self._children_name_map["rtdbgexptssrc_items"] = "rtdbgexpTsSrc-items"

        self.rttracerouteptrsrc_items = System.RttraceroutepTrSrcItems()
        self.rttracerouteptrsrc_items.parent = self
        self._children_name_map["rttracerouteptrsrc_items"] = "rttraceroutepTrSrc-items"

        self.rttracerouteptrdst_items = System.RttraceroutepTrDstItems()
        self.rttracerouteptrdst_items.parent = self
        self._children_name_map["rttracerouteptrdst_items"] = "rttraceroutepTrDst-items"

        self.rtmaintfwinstlsrc_items = System.RtmaintFwinstlsrcItems()
        self.rtmaintfwinstlsrc_items.parent = self
        self._children_name_map["rtmaintfwinstlsrc_items"] = "rtmaintFwinstlsrc-items"
        self._segment_path = lambda: "Cisco-NX-OS-device:System"
        self._is_frozen = True

    def __setattr__(self, name, value):
        self._perform_setattr(System, ['currenttime', 'systemuptime', 'serial', 'name'], name, value)


    class BgpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BgpItems, self).__init__()

            self.yang_name = "bgp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.BgpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.BgpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "bgp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BgpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: asn
            
            	Autonomous System Number
            	**type**\: str
            
            .. attribute:: dispolbatch
            
            	Disable Batching Evaluation To All Peers
            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
            
            .. attribute:: dispolbatchv4pfxlst
            
            	
            	**type**\: str
            
            .. attribute:: dispolbatchv6pfxlst
            
            	
            	**type**\: str
            
            .. attribute:: createts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: activatets
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: waitdonets
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: memalert
            
            	Memory Alert Level
            	**type**\:  :py:class:`NwMemAlertLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwMemAlertLevel>`
            
            	**config**\: False
            
            .. attribute:: numrtattrib
            
            	Route Attributes
            	**type**\: int
            
            	**range:** 0..65535
            
            	**config**\: False
            
            .. attribute:: attribdbsz
            
            	Attribute Database Size
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: numaspath
            
            	AS Paths entries
            	**type**\: int
            
            	**range:** 0..65535
            
            	**config**\: False
            
            .. attribute:: aspathdbsz
            
            	AS Path Database Size
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: isolate
            
            	Isolate router from BGP perspective
            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
            
            .. attribute:: meddampintvl
            
            	Setting med dampening interval
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: fabricsoo
            
            	
            	**type**\: str
            
            .. attribute:: flushroutes
            
            	Flush routes in RIB upon controlled restart
            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
            
            .. attribute:: affgrpactv
            
            	Activate the affinity group
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: srgbminlbl
            
            	Segment Routing Global Block Min Label. (Value should be in the range 16000\-471804 when feature segment\-routing is enabled
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: srgbmaxlbl
            
            	Segment Routing Global Block Max Label. (Value should be in the range 16000\-471804 when feature segment\-routing is enabled
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: epeconfiguredpeers
            
            	EPE Configured Peers
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: epeactivepeers
            
            	EPE Active Peers
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: lnkstsrvr
            
            	EPE Link\-State Server
            	**type**\:  :py:class:`BgpLsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAdminSt>`
            
            	**config**\: False
            
            .. attribute:: lnkstclnt
            
            	EPE Link\-State Server
            	**type**\:  :py:class:`BgpLsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAdminSt>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	fastExtFallover
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems>`
            
            .. attribute:: evthist_items
            
            	
            	**type**\:  :py:class:`EvthistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.EvthistItems>`
            
            .. attribute:: oper_items
            
            	
            	**type**\:  :py:class:`OperItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BgpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "bgp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.BgpItems.InstItems.DomItems)), ("evthist-items", ("evthist_items", System.BgpItems.InstItems.EvthistItems)), ("oper-items", ("oper_items", System.BgpItems.InstItems.OperItems))])
                self._leafs = OrderedDict([
                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                    ('dispolbatch', (YLeaf(YType.enumeration, 'disPolBatch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                    ('dispolbatchv4pfxlst', (YLeaf(YType.str, 'disPolBatchv4PfxLst'), ['str'])),
                    ('dispolbatchv6pfxlst', (YLeaf(YType.str, 'disPolBatchv6PfxLst'), ['str'])),
                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                    ('activatets', (YLeaf(YType.str, 'activateTs'), ['str'])),
                    ('waitdonets', (YLeaf(YType.str, 'waitDoneTs'), ['str'])),
                    ('memalert', (YLeaf(YType.enumeration, 'memAlert'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwMemAlertLevel', '')])),
                    ('numrtattrib', (YLeaf(YType.uint16, 'numRtAttrib'), ['int'])),
                    ('attribdbsz', (YLeaf(YType.uint32, 'attribDbSz'), ['int'])),
                    ('numaspath', (YLeaf(YType.uint16, 'numAsPath'), ['int'])),
                    ('aspathdbsz', (YLeaf(YType.uint32, 'asPathDbSz'), ['int'])),
                    ('isolate', (YLeaf(YType.enumeration, 'isolate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                    ('meddampintvl', (YLeaf(YType.uint32, 'medDampIntvl'), ['int'])),
                    ('fabricsoo', (YLeaf(YType.str, 'fabricSoo'), ['str'])),
                    ('flushroutes', (YLeaf(YType.enumeration, 'flushRoutes'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                    ('affgrpactv', (YLeaf(YType.uint16, 'affGrpActv'), ['int'])),
                    ('srgbminlbl', (YLeaf(YType.uint32, 'srgbMinLbl'), ['int'])),
                    ('srgbmaxlbl', (YLeaf(YType.uint32, 'srgbMaxLbl'), ['int'])),
                    ('epeconfiguredpeers', (YLeaf(YType.uint32, 'epeConfiguredPeers'), ['int'])),
                    ('epeactivepeers', (YLeaf(YType.uint32, 'epeActivePeers'), ['int'])),
                    ('lnkstsrvr', (YLeaf(YType.enumeration, 'lnkStSrvr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAdminSt', '')])),
                    ('lnkstclnt', (YLeaf(YType.enumeration, 'lnkStClnt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAdminSt', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.asn = None
                self.dispolbatch = None
                self.dispolbatchv4pfxlst = None
                self.dispolbatchv6pfxlst = None
                self.createts = None
                self.activatets = None
                self.waitdonets = None
                self.memalert = None
                self.numrtattrib = None
                self.attribdbsz = None
                self.numaspath = None
                self.aspathdbsz = None
                self.isolate = None
                self.meddampintvl = None
                self.fabricsoo = None
                self.flushroutes = None
                self.affgrpactv = None
                self.srgbminlbl = None
                self.srgbmaxlbl = None
                self.epeconfiguredpeers = None
                self.epeactivepeers = None
                self.lnkstsrvr = None
                self.lnkstclnt = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.dom_items = System.BgpItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.evthist_items = System.BgpItems.InstItems.EvthistItems()
                self.evthist_items.parent = self
                self._children_name_map["evthist_items"] = "evthist-items"

                self.oper_items = System.BgpItems.InstItems.OperItems()
                self.oper_items.parent = self
                self._children_name_map["oper_items"] = "oper-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BgpItems.InstItems, ['asn', 'dispolbatch', 'dispolbatchv4pfxlst', 'dispolbatchv6pfxlst', 'createts', 'activatets', 'waitdonets', 'memalert', 'numrtattrib', 'attribdbsz', 'numaspath', 'aspathdbsz', 'isolate', 'meddampintvl', 'fabricsoo', 'flushroutes', 'affgrpactv', 'srgbminlbl', 'srgbmaxlbl', 'epeconfiguredpeers', 'epeactivepeers', 'lnkstsrvr', 'lnkstclnt', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BgpItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.BgpItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BgpItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: mode
                    
                    	Mode
                    	**type**\:  :py:class:`BgpMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMode>`
                    
                    .. attribute:: rtrid
                    
                    	Holds ip address to use as Router ID
                    	**type**\: str
                    
                    .. attribute:: clusterid
                    
                    	Route Reflector Cluster ID
                    	**type**\: str
                    
                    .. attribute:: kaintvl
                    
                    	Keepalive interval timer in secs
                    	**type**\: int
                    
                    	**range:** 0..3600
                    
                    .. attribute:: holdintvl
                    
                    	Hold interval timer in secs
                    	**type**\: int
                    
                    	**range:** 3..3600
                    
                    .. attribute:: pfxpeertimeout
                    
                    	Prefix Peer Timeout in secs
                    	**type**\: int
                    
                    	**range:** 0..1200
                    
                    .. attribute:: pfxpeerwaittime
                    
                    	Prefix Peer Wait Time in secs
                    	**type**\: int
                    
                    	**range:** 0..1200
                    
                    .. attribute:: maxaslimit
                    
                    	Max AS\-Path limit from EBGP neighbor
                    	**type**\: int
                    
                    	**range:** 0..512
                    
                    .. attribute:: bestpathintvl
                    
                    	Holds timeout for first bestpath after restart
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: always
                    
                    	Update delay option for first bestpath timeout
                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                    
                    .. attribute:: reconnintvl
                    
                    	Connection reconnect interval in secs
                    	**type**\: int
                    
                    	**range:** 1..60
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`BgpDomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpDomOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operrtrid
                    
                    	Operational Router ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: firstpeerupts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numpeers
                    
                    	Number of Peers
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: numpeerspending
                    
                    	Number of Configured Peers pending
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: numestpeers
                    
                    	Number of Established Peers
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	VRF Id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vnid
                    
                    	Domain Vnid (Value in the range 1\-16777214)
                    	**type**\: int
                    
                    	**range:** 0..16777215
                    
                    	**config**\: False
                    
                    .. attribute:: vtepip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vtepvirtip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: routermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: localasn
                    
                    	Local Asn for the EBGP neighbor
                    	**type**\: str
                    
                    .. attribute:: rtctrl_items
                    
                    	
                    	**type**\:  :py:class:`RtctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.RtctrlItems>`
                    
                    .. attribute:: pathctrl_items
                    
                    	
                    	**type**\:  :py:class:`PathctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PathctrlItems>`
                    
                    .. attribute:: confed_items
                    
                    	
                    	**type**\:  :py:class:`ConfedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.ConfedItems>`
                    
                    .. attribute:: af_items
                    
                    	
                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems>`
                    
                    .. attribute:: bmp_items
                    
                    	
                    	**type**\:  :py:class:`BmpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.BmpItems>`
                    
                    .. attribute:: gr_items
                    
                    	
                    	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.GrItems>`
                    
                    .. attribute:: peer_items
                    
                    	
                    	**type**\:  :py:class:`PeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems>`
                    
                    .. attribute:: peercont_items
                    
                    	
                    	**type**\:  :py:class:`PeercontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems>`
                    
                    .. attribute:: sessioncont_items
                    
                    	
                    	**type**\:  :py:class:`SessioncontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.SessioncontItems>`
                    
                    .. attribute:: policycont_items
                    
                    	
                    	**type**\:  :py:class:`PolicycontItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BgpItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("rtctrl-items", ("rtctrl_items", System.BgpItems.InstItems.DomItems.DomList.RtctrlItems)), ("pathctrl-items", ("pathctrl_items", System.BgpItems.InstItems.DomItems.DomList.PathctrlItems)), ("confed-items", ("confed_items", System.BgpItems.InstItems.DomItems.DomList.ConfedItems)), ("af-items", ("af_items", System.BgpItems.InstItems.DomItems.DomList.AfItems)), ("bmp-items", ("bmp_items", System.BgpItems.InstItems.DomItems.DomList.BmpItems)), ("gr-items", ("gr_items", System.BgpItems.InstItems.DomItems.DomList.GrItems)), ("peer-items", ("peer_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems)), ("peercont-items", ("peercont_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems)), ("sessioncont-items", ("sessioncont_items", System.BgpItems.InstItems.DomItems.DomList.SessioncontItems)), ("policycont-items", ("policycont_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMode', '')])),
                            ('rtrid', (YLeaf(YType.str, 'rtrId'), ['str'])),
                            ('clusterid', (YLeaf(YType.str, 'clusterId'), ['str'])),
                            ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                            ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                            ('pfxpeertimeout', (YLeaf(YType.uint16, 'pfxPeerTimeout'), ['int'])),
                            ('pfxpeerwaittime', (YLeaf(YType.uint16, 'pfxPeerWaitTime'), ['int'])),
                            ('maxaslimit', (YLeaf(YType.uint16, 'maxAsLimit'), ['int'])),
                            ('bestpathintvl', (YLeaf(YType.uint16, 'bestPathIntvl'), ['int'])),
                            ('always', (YLeaf(YType.enumeration, 'always'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                            ('reconnintvl', (YLeaf(YType.uint16, 'reConnIntvl'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpDomOperSt', '')])),
                            ('operrtrid', (YLeaf(YType.str, 'operRtrId'), ['str'])),
                            ('firstpeerupts', (YLeaf(YType.str, 'firstPeerUpTs'), ['str'])),
                            ('numpeers', (YLeaf(YType.uint32, 'numPeers'), ['int'])),
                            ('numpeerspending', (YLeaf(YType.uint32, 'numPeersPending'), ['int'])),
                            ('numestpeers', (YLeaf(YType.uint32, 'numEstPeers'), ['int'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vnid', (YLeaf(YType.uint32, 'vnid'), ['int'])),
                            ('vtepip', (YLeaf(YType.str, 'vtepIp'), ['str','str'])),
                            ('vtepvirtip', (YLeaf(YType.str, 'vtepVirtIp'), ['str','str'])),
                            ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                            ('localasn', (YLeaf(YType.str, 'localAsn'), ['str'])),
                        ])
                        self.name = None
                        self.mode = None
                        self.rtrid = None
                        self.clusterid = None
                        self.kaintvl = None
                        self.holdintvl = None
                        self.pfxpeertimeout = None
                        self.pfxpeerwaittime = None
                        self.maxaslimit = None
                        self.bestpathintvl = None
                        self.always = None
                        self.reconnintvl = None
                        self.operst = None
                        self.operrtrid = None
                        self.firstpeerupts = None
                        self.numpeers = None
                        self.numpeerspending = None
                        self.numestpeers = None
                        self.id = None
                        self.vnid = None
                        self.vtepip = None
                        self.vtepvirtip = None
                        self.routermac = None
                        self.localasn = None

                        self.rtctrl_items = System.BgpItems.InstItems.DomItems.DomList.RtctrlItems()
                        self.rtctrl_items.parent = self
                        self._children_name_map["rtctrl_items"] = "rtctrl-items"

                        self.pathctrl_items = System.BgpItems.InstItems.DomItems.DomList.PathctrlItems()
                        self.pathctrl_items.parent = self
                        self._children_name_map["pathctrl_items"] = "pathctrl-items"

                        self.confed_items = System.BgpItems.InstItems.DomItems.DomList.ConfedItems()
                        self.confed_items.parent = self
                        self._children_name_map["confed_items"] = "confed-items"

                        self.af_items = System.BgpItems.InstItems.DomItems.DomList.AfItems()
                        self.af_items.parent = self
                        self._children_name_map["af_items"] = "af-items"

                        self.bmp_items = System.BgpItems.InstItems.DomItems.DomList.BmpItems()
                        self.bmp_items.parent = self
                        self._children_name_map["bmp_items"] = "bmp-items"

                        self.gr_items = System.BgpItems.InstItems.DomItems.DomList.GrItems()
                        self.gr_items.parent = self
                        self._children_name_map["gr_items"] = "gr-items"

                        self.peer_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems()
                        self.peer_items.parent = self
                        self._children_name_map["peer_items"] = "peer-items"

                        self.peercont_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems()
                        self.peercont_items.parent = self
                        self._children_name_map["peercont_items"] = "peercont-items"

                        self.sessioncont_items = System.BgpItems.InstItems.DomItems.DomList.SessioncontItems()
                        self.sessioncont_items.parent = self
                        self._children_name_map["sessioncont_items"] = "sessioncont-items"

                        self.policycont_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems()
                        self.policycont_items.parent = self
                        self._children_name_map["policycont_items"] = "policycont-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList, ['name', 'mode', 'rtrid', 'clusterid', 'kaintvl', 'holdintvl', 'pfxpeertimeout', 'pfxpeerwaittime', 'maxaslimit', 'bestpathintvl', 'always', 'reconnintvl', 'operst', 'operrtrid', 'firstpeerupts', 'numpeers', 'numpeerspending', 'numestpeers', 'id', 'vnid', 'vtepip', 'vtepvirtip', 'routermac', 'localasn'], name, value)


                    class RtctrlItems(Entity):
                        """
                        
                        
                        .. attribute:: supprrt
                        
                        	Suppress Routes\: Advertise only routes that                                  are programmed in hardware to peers
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: logneighborchanges
                        
                        	Log Neighbor Changes
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: enforcefirstas
                        
                        	Enforce First AS For EBgp
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: fibaccelerate
                        
                        	Accelerate the hardware updates for IP/IPv6 adjacencies for neighbor
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.RtctrlItems, self).__init__()

                            self.yang_name = "rtctrl-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('supprrt', (YLeaf(YType.enumeration, 'supprRt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('logneighborchanges', (YLeaf(YType.enumeration, 'logNeighborChanges'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('enforcefirstas', (YLeaf(YType.enumeration, 'enforceFirstAs'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('fibaccelerate', (YLeaf(YType.enumeration, 'fibAccelerate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                            ])
                            self.supprrt = None
                            self.logneighborchanges = None
                            self.enforcefirstas = None
                            self.fibaccelerate = None
                            self._segment_path = lambda: "rtctrl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.RtctrlItems, ['supprrt', 'logneighborchanges', 'enforcefirstas', 'fibaccelerate'], name, value)



                    class PathctrlItems(Entity):
                        """
                        
                        
                        .. attribute:: alwayscompmed
                        
                        	Compare MED on paths from different AS
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: aspathmultipathrelax
                        
                        	Relax AS\-Path restriction when choosing multipaths
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: aspathignore
                        
                        	Ignore AS\-Path during bestpath selection
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: comprtrid
                        
                        	Compare Router Id
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: compnbrid
                        
                        	Compare Neighbor Id
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: costcommunityignore
                        
                        	Ignore Cost Communities
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: medconfed
                        
                        	Med Confed
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: medmissingasworst
                        
                        	Med Missing As Worst
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: mednondeter
                        
                        	Med Non\-Deterministic
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        .. attribute:: igpmetricignore
                        
                        	Ignore IGP metric for next\-hop during bestpath calculation
                        	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.PathctrlItems, self).__init__()

                            self.yang_name = "pathctrl-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('alwayscompmed', (YLeaf(YType.enumeration, 'alwaysCompMed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('aspathmultipathrelax', (YLeaf(YType.enumeration, 'asPathMultipathRelax'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('aspathignore', (YLeaf(YType.enumeration, 'asPathIgnore'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('comprtrid', (YLeaf(YType.enumeration, 'compRtrId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('compnbrid', (YLeaf(YType.enumeration, 'compNbrId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('costcommunityignore', (YLeaf(YType.enumeration, 'costCommunityIgnore'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('medconfed', (YLeaf(YType.enumeration, 'medConfed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('medmissingasworst', (YLeaf(YType.enumeration, 'medMissingAsWorst'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('mednondeter', (YLeaf(YType.enumeration, 'medNonDeter'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ('igpmetricignore', (YLeaf(YType.enumeration, 'igpMetricIgnore'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                            ])
                            self.alwayscompmed = None
                            self.aspathmultipathrelax = None
                            self.aspathignore = None
                            self.comprtrid = None
                            self.compnbrid = None
                            self.costcommunityignore = None
                            self.medconfed = None
                            self.medmissingasworst = None
                            self.mednondeter = None
                            self.igpmetricignore = None
                            self._segment_path = lambda: "pathctrl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PathctrlItems, ['alwayscompmed', 'aspathmultipathrelax', 'aspathignore', 'comprtrid', 'compnbrid', 'costcommunityignore', 'medconfed', 'medmissingasworst', 'mednondeter', 'igpmetricignore'], name, value)



                    class ConfedItems(Entity):
                        """
                        
                        
                        .. attribute:: asn
                        
                        	Autonomous System Number
                        	**type**\: str
                        
                        .. attribute:: peer_items
                        
                        	
                        	**type**\:  :py:class:`PeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.ConfedItems, self).__init__()

                            self.yang_name = "confed-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("peer-items", ("peer_items", System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems))])
                            self._leafs = OrderedDict([
                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                            ])
                            self.asn = None

                            self.peer_items = System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems()
                            self.peer_items.parent = self
                            self._children_name_map["peer_items"] = "peer-items"
                            self._segment_path = lambda: "confed-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.ConfedItems, ['asn'], name, value)


                        class PeerItems(Entity):
                            """
                            
                            
                            .. attribute:: confederationpeer_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ConfederationPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems.ConfederationPeerList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems, self).__init__()

                                self.yang_name = "peer-items"
                                self.yang_parent_name = "confed-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ConfederationPeer-list", ("confederationpeer_list", System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems.ConfederationPeerList))])
                                self._leafs = OrderedDict()

                                self.confederationpeer_list = YList(self)
                                self._segment_path = lambda: "peer-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems, [], name, value)


                            class ConfederationPeerList(Entity):
                                """
                                
                                
                                .. attribute:: asn  (key)
                                
                                	Autonomous System Number
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems.ConfederationPeerList, self).__init__()

                                    self.yang_name = "ConfederationPeer-list"
                                    self.yang_parent_name = "peer-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['asn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                    ])
                                    self.asn = None
                                    self._segment_path = lambda: "ConfederationPeer-list" + "[asn='" + str(self.asn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.ConfedItems.PeerItems.ConfederationPeerList, ['asn'], name, value)





                    class AfItems(Entity):
                        """
                        
                        
                        .. attribute:: domaf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DomAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems, self).__init__()

                            self.yang_name = "af-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DomAf-list", ("domaf_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList))])
                            self._leafs = OrderedDict()

                            self.domaf_list = YList(self)
                            self._segment_path = lambda: "af-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems, [], name, value)


                        class DomAfList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Address Family Type
                            	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                            
                            .. attribute:: maxecmp
                            
                            	Max ECMP
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            .. attribute:: maxextecmp
                            
                            	Max External ECMP
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            .. attribute:: maxextintecmp
                            
                            	Max External Internal ECMP
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            .. attribute:: maxmxdecmp
                            
                            	Max mixed equal\-cost multipath for local and remote paths
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            .. attribute:: tmrbstpthdfr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..3000
                            
                            .. attribute:: tmrmax
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..300000
                            
                            .. attribute:: tblmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tblmapfltr
                            
                            	Selective route download
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: vniethtag
                            
                            	Allow VNI in Ethernet Tag field in EVPN route
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: advsysmac
                            
                            	Advertise extra EVPN RT\-2 with system MAC
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: bestpathsigts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: bestpathcmpltts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: critnhtimeout
                            
                            	Critical Next\-hop Trigger\-delay
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: noncritnhtimeout
                            
                            	Non\-Critical Next\-hop Trigger\-delay
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tblver
                            
                            	Table Version
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: nhrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: clreflection
                            
                            	client\-to\-client Reflection of routes
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: advertl2vpnevpn
                            
                            	Advertise L2vpn Evpn
                            	**type**\:  :py:class:`BgpAdvertL2vpnEvpn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdvertL2vpnEvpn>`
                            
                            .. attribute:: alloclblall
                            
                            	Allocate labels for all routes
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: alloclblrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lblallocmod
                            
                            	per VRF label allocation mode
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: retainrttrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: retainrttall
                            
                            	Retain Route Target All
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: defmetric
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tblid
                            
                            	Table Id in hex display
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: tblst
                            
                            	Table State
                            	**type**\:  :py:class:`BgpDomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpDomOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numpeers
                            
                            	Number of Peers
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: numpeersactive
                            
                            	Number of Active Peers
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: numroutes
                            
                            	Number of Routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: numpaths
                            
                            	Number of Paths
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: numnetworks
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: numaggregates
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: definforiginate
                            
                            	default\-information originate
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: definforigrd
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: definforigrtt
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: igpmetric
                            
                            	Dampen IGP metric\-related changes
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: supprinactive
                            
                            	Suppress Inactive
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: advpip
                            
                            	Advertise physical IP for type\-5 routes
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: exportgwip
                            
                            	Export Gateway IP to Type\-5 EVPN routes for VRF
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: ctrl_items
                            
                            	
                            	**type**\:  :py:class:`CtrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems>`
                            
                            .. attribute:: admindist_items
                            
                            	
                            	**type**\:  :py:class:`AdminDistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AdminDistItems>`
                            
                            .. attribute:: dampening_items
                            
                            	
                            	**type**\:  :py:class:`DampeningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DampeningItems>`
                            
                            .. attribute:: prefix_items
                            
                            	
                            	**type**\:  :py:class:`PrefixItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems>`
                            
                            .. attribute:: aggaddr_items
                            
                            	
                            	**type**\:  :py:class:`AggaddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems>`
                            
                            .. attribute:: addlpath_items
                            
                            	
                            	**type**\:  :py:class:`AddlpathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AddlpathItems>`
                            
                            .. attribute:: rt_items
                            
                            	
                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems>`
                            
                            .. attribute:: vpnrt_items
                            
                            	
                            	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems>`
                            
                            .. attribute:: lblrt_items
                            
                            	
                            	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems>`
                            
                            .. attribute:: lsrt_items
                            
                            	
                            	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems>`
                            
                            .. attribute:: evpnrt_items
                            
                            	
                            	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems>`
                            
                            .. attribute:: mvpnrt_items
                            
                            	
                            	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems>`
                            
                            .. attribute:: importedrt_items
                            
                            	
                            	**type**\:  :py:class:`ImportedrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems>`
                            
                            .. attribute:: selforigrt_items
                            
                            	
                            	**type**\:  :py:class:`SelforigrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems>`
                            
                            .. attribute:: injectedrt_items
                            
                            	
                            	**type**\:  :py:class:`InjectedrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems>`
                            
                            .. attribute:: exportedrt_items
                            
                            	
                            	**type**\:  :py:class:`ExportedrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems>`
                            
                            .. attribute:: rcvdpathsrt_items
                            
                            	
                            	**type**\:  :py:class:`RcvdpathsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems>`
                            
                            .. attribute:: rtmap_items
                            
                            	
                            	**type**\:  :py:class:`RtmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems>`
                            
                            .. attribute:: fltrlist_items
                            
                            	
                            	**type**\:  :py:class:`FltrlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems>`
                            
                            .. attribute:: pfxlist_items
                            
                            	
                            	**type**\:  :py:class:`PfxlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems>`
                            
                            .. attribute:: damppathsrt_items
                            
                            	
                            	**type**\:  :py:class:`DamppathsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems>`
                            
                            .. attribute:: damphstpathsrt_items
                            
                            	
                            	**type**\:  :py:class:`DamphstpathsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems>`
                            
                            .. attribute:: rttype_items
                            
                            	
                            	**type**\:  :py:class:`RttypeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems>`
                            
                            .. attribute:: vnid_items
                            
                            	
                            	**type**\:  :py:class:`VnidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems>`
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems>`
                            
                            .. attribute:: rd_items
                            
                            	
                            	**type**\:  :py:class:`RdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems>`
                            
                            .. attribute:: pfx_items
                            
                            	
                            	**type**\:  :py:class:`PfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems>`
                            
                            .. attribute:: esid_items
                            
                            	
                            	**type**\:  :py:class:`EsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems>`
                            
                            .. attribute:: nh_items
                            
                            	
                            	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems>`
                            
                            .. attribute:: mrttype_items
                            
                            	
                            	**type**\:  :py:class:`MrttypeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems>`
                            
                            .. attribute:: defrtleak_items
                            
                            	
                            	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DefrtleakItems>`
                            
                            .. attribute:: interleak_items
                            
                            	
                            	**type**\:  :py:class:`InterleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems>`
                            
                            .. attribute:: injname_items
                            
                            	
                            	**type**\:  :py:class:`InjnameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList, self).__init__()

                                self.yang_name = "DomAf-list"
                                self.yang_parent_name = "af-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("ctrl-items", ("ctrl_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems)), ("adminDist-items", ("admindist_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AdminDistItems)), ("dampening-items", ("dampening_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DampeningItems)), ("prefix-items", ("prefix_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems)), ("aggaddr-items", ("aggaddr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems)), ("addlpath-items", ("addlpath_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AddlpathItems)), ("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems)), ("importedrt-items", ("importedrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems)), ("selforigrt-items", ("selforigrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems)), ("injectedrt-items", ("injectedrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems)), ("exportedrt-items", ("exportedrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems)), ("rcvdpathsrt-items", ("rcvdpathsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems)), ("rtmap-items", ("rtmap_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems)), ("fltrlist-items", ("fltrlist_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems)), ("pfxlist-items", ("pfxlist_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems)), ("damppathsrt-items", ("damppathsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems)), ("damphstpathsrt-items", ("damphstpathsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems)), ("rttype-items", ("rttype_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems)), ("vnid-items", ("vnid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems)), ("mac-items", ("mac_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems)), ("rd-items", ("rd_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems)), ("pfx-items", ("pfx_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems)), ("esid-items", ("esid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems)), ("nh-items", ("nh_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems)), ("mrttype-items", ("mrttype_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems)), ("defrtleak-items", ("defrtleak_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DefrtleakItems)), ("interleak-items", ("interleak_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems)), ("injname-items", ("injname_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                    ('maxecmp', (YLeaf(YType.uint8, 'maxEcmp'), ['int'])),
                                    ('maxextecmp', (YLeaf(YType.uint8, 'maxExtEcmp'), ['int'])),
                                    ('maxextintecmp', (YLeaf(YType.uint8, 'maxExtIntEcmp'), ['int'])),
                                    ('maxmxdecmp', (YLeaf(YType.uint8, 'maxMxdEcmp'), ['int'])),
                                    ('tmrbstpthdfr', (YLeaf(YType.uint32, 'tmrBstpthDfr'), ['int'])),
                                    ('tmrmax', (YLeaf(YType.uint32, 'tmrMax'), ['int'])),
                                    ('tblmap', (YLeaf(YType.str, 'tblMap'), ['str'])),
                                    ('tblmapfltr', (YLeaf(YType.enumeration, 'tblMapFltr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('vniethtag', (YLeaf(YType.enumeration, 'vniEthTag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('advsysmac', (YLeaf(YType.enumeration, 'advSysMac'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('bestpathsigts', (YLeaf(YType.str, 'bestPathSigTs'), ['str'])),
                                    ('bestpathcmpltts', (YLeaf(YType.str, 'bestPathCmpltTs'), ['str'])),
                                    ('critnhtimeout', (YLeaf(YType.uint32, 'critNhTimeout'), ['int'])),
                                    ('noncritnhtimeout', (YLeaf(YType.uint32, 'nonCritNhTimeout'), ['int'])),
                                    ('tblver', (YLeaf(YType.uint32, 'tblVer'), ['int'])),
                                    ('nhrtmap', (YLeaf(YType.str, 'nhRtMap'), ['str'])),
                                    ('clreflection', (YLeaf(YType.enumeration, 'clReflection'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('advertl2vpnevpn', (YLeaf(YType.enumeration, 'advertL2vpnEvpn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdvertL2vpnEvpn', '')])),
                                    ('alloclblall', (YLeaf(YType.enumeration, 'allocLblAll'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('alloclblrtmap', (YLeaf(YType.str, 'allocLblRtMap'), ['str'])),
                                    ('lblallocmod', (YLeaf(YType.enumeration, 'lblAllocMod'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('retainrttrtmap', (YLeaf(YType.str, 'retainRttRtMap'), ['str'])),
                                    ('retainrttall', (YLeaf(YType.enumeration, 'retainRttAll'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('defmetric', (YLeaf(YType.str, 'defMetric'), ['str'])),
                                    ('tblid', (YLeaf(YType.uint32, 'tblId'), ['int'])),
                                    ('tblst', (YLeaf(YType.enumeration, 'tblSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpDomOperSt', '')])),
                                    ('numpeers', (YLeaf(YType.uint32, 'numPeers'), ['int'])),
                                    ('numpeersactive', (YLeaf(YType.uint32, 'numPeersActive'), ['int'])),
                                    ('numroutes', (YLeaf(YType.uint32, 'numRoutes'), ['int'])),
                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                    ('numnetworks', (YLeaf(YType.uint32, 'numNetworks'), ['int'])),
                                    ('numaggregates', (YLeaf(YType.uint32, 'numAggregates'), ['int'])),
                                    ('definforiginate', (YLeaf(YType.enumeration, 'defInfOriginate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('definforigrd', (YLeaf(YType.str, 'defInfOrigRd'), ['str'])),
                                    ('definforigrtt', (YLeaf(YType.str, 'defInfOrigRtt'), ['str'])),
                                    ('igpmetric', (YLeaf(YType.uint16, 'igpMetric'), ['int'])),
                                    ('supprinactive', (YLeaf(YType.enumeration, 'supprInactive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('advpip', (YLeaf(YType.enumeration, 'advPip'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('exportgwip', (YLeaf(YType.enumeration, 'exportGwIp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ])
                                self.type = None
                                self.maxecmp = None
                                self.maxextecmp = None
                                self.maxextintecmp = None
                                self.maxmxdecmp = None
                                self.tmrbstpthdfr = None
                                self.tmrmax = None
                                self.tblmap = None
                                self.tblmapfltr = None
                                self.vniethtag = None
                                self.advsysmac = None
                                self.bestpathsigts = None
                                self.bestpathcmpltts = None
                                self.critnhtimeout = None
                                self.noncritnhtimeout = None
                                self.tblver = None
                                self.nhrtmap = None
                                self.clreflection = None
                                self.advertl2vpnevpn = None
                                self.alloclblall = None
                                self.alloclblrtmap = None
                                self.lblallocmod = None
                                self.retainrttrtmap = None
                                self.retainrttall = None
                                self.defmetric = None
                                self.tblid = None
                                self.tblst = None
                                self.numpeers = None
                                self.numpeersactive = None
                                self.numroutes = None
                                self.numpaths = None
                                self.numnetworks = None
                                self.numaggregates = None
                                self.definforiginate = None
                                self.definforigrd = None
                                self.definforigrtt = None
                                self.igpmetric = None
                                self.supprinactive = None
                                self.advpip = None
                                self.exportgwip = None

                                self.ctrl_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems()
                                self.ctrl_items.parent = self
                                self._children_name_map["ctrl_items"] = "ctrl-items"

                                self.admindist_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AdminDistItems()
                                self.admindist_items.parent = self
                                self._children_name_map["admindist_items"] = "adminDist-items"

                                self.dampening_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DampeningItems()
                                self.dampening_items.parent = self
                                self._children_name_map["dampening_items"] = "dampening-items"

                                self.prefix_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems()
                                self.prefix_items.parent = self
                                self._children_name_map["prefix_items"] = "prefix-items"

                                self.aggaddr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems()
                                self.aggaddr_items.parent = self
                                self._children_name_map["aggaddr_items"] = "aggaddr-items"

                                self.addlpath_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AddlpathItems()
                                self.addlpath_items.parent = self
                                self._children_name_map["addlpath_items"] = "addlpath-items"

                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems()
                                self.rt_items.parent = self
                                self._children_name_map["rt_items"] = "rt-items"

                                self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems()
                                self.vpnrt_items.parent = self
                                self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems()
                                self.lblrt_items.parent = self
                                self._children_name_map["lblrt_items"] = "lblrt-items"

                                self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems()
                                self.lsrt_items.parent = self
                                self._children_name_map["lsrt_items"] = "lsrt-items"

                                self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems()
                                self.evpnrt_items.parent = self
                                self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems()
                                self.mvpnrt_items.parent = self
                                self._children_name_map["mvpnrt_items"] = "mvpnrt-items"

                                self.importedrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems()
                                self.importedrt_items.parent = self
                                self._children_name_map["importedrt_items"] = "importedrt-items"

                                self.selforigrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems()
                                self.selforigrt_items.parent = self
                                self._children_name_map["selforigrt_items"] = "selforigrt-items"

                                self.injectedrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems()
                                self.injectedrt_items.parent = self
                                self._children_name_map["injectedrt_items"] = "injectedrt-items"

                                self.exportedrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems()
                                self.exportedrt_items.parent = self
                                self._children_name_map["exportedrt_items"] = "exportedrt-items"

                                self.rcvdpathsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems()
                                self.rcvdpathsrt_items.parent = self
                                self._children_name_map["rcvdpathsrt_items"] = "rcvdpathsrt-items"

                                self.rtmap_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems()
                                self.rtmap_items.parent = self
                                self._children_name_map["rtmap_items"] = "rtmap-items"

                                self.fltrlist_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems()
                                self.fltrlist_items.parent = self
                                self._children_name_map["fltrlist_items"] = "fltrlist-items"

                                self.pfxlist_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems()
                                self.pfxlist_items.parent = self
                                self._children_name_map["pfxlist_items"] = "pfxlist-items"

                                self.damppathsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems()
                                self.damppathsrt_items.parent = self
                                self._children_name_map["damppathsrt_items"] = "damppathsrt-items"

                                self.damphstpathsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems()
                                self.damphstpathsrt_items.parent = self
                                self._children_name_map["damphstpathsrt_items"] = "damphstpathsrt-items"

                                self.rttype_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems()
                                self.rttype_items.parent = self
                                self._children_name_map["rttype_items"] = "rttype-items"

                                self.vnid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems()
                                self.vnid_items.parent = self
                                self._children_name_map["vnid_items"] = "vnid-items"

                                self.mac_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.rd_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems()
                                self.rd_items.parent = self
                                self._children_name_map["rd_items"] = "rd-items"

                                self.pfx_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems()
                                self.pfx_items.parent = self
                                self._children_name_map["pfx_items"] = "pfx-items"

                                self.esid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems()
                                self.esid_items.parent = self
                                self._children_name_map["esid_items"] = "esid-items"

                                self.nh_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems()
                                self.nh_items.parent = self
                                self._children_name_map["nh_items"] = "nh-items"

                                self.mrttype_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems()
                                self.mrttype_items.parent = self
                                self._children_name_map["mrttype_items"] = "mrttype-items"

                                self.defrtleak_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DefrtleakItems()
                                self.defrtleak_items.parent = self
                                self._children_name_map["defrtleak_items"] = "defrtleak-items"

                                self.interleak_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems()
                                self.interleak_items.parent = self
                                self._children_name_map["interleak_items"] = "interleak-items"

                                self.injname_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems()
                                self.injname_items.parent = self
                                self._children_name_map["injname_items"] = "injname-items"
                                self._segment_path = lambda: "DomAf-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList, ['type', 'maxecmp', 'maxextecmp', 'maxextintecmp', 'maxmxdecmp', 'tmrbstpthdfr', 'tmrmax', 'tblmap', 'tblmapfltr', 'vniethtag', 'advsysmac', 'bestpathsigts', 'bestpathcmpltts', 'critnhtimeout', 'noncritnhtimeout', 'tblver', 'nhrtmap', 'clreflection', 'advertl2vpnevpn', 'alloclblall', 'alloclblrtmap', 'lblallocmod', 'retainrttrtmap', 'retainrttall', 'defmetric', 'tblid', 'tblst', 'numpeers', 'numpeersactive', 'numroutes', 'numpaths', 'numnetworks', 'numaggregates', 'definforiginate', 'definforigrd', 'definforigrtt', 'igpmetric', 'supprinactive', 'advpip', 'exportgwip'], name, value)


                            class CtrlItems(Entity):
                                """
                                
                                
                                .. attribute:: vpnctrlp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`VpnCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems.VpnCtrlPList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems, self).__init__()

                                    self.yang_name = "ctrl-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("VpnCtrlP-list", ("vpnctrlp_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems.VpnCtrlPList))])
                                    self._leafs = OrderedDict()

                                    self.vpnctrlp_list = YList(self)
                                    self._segment_path = lambda: "ctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems, [], name, value)


                                class VpnCtrlPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Address Family Type
                                    	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems.VpnCtrlPList, self).__init__()

                                        self.yang_name = "VpnCtrlP-list"
                                        self.yang_parent_name = "ctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                        ])
                                        self.type = None
                                        self._segment_path = lambda: "VpnCtrlP-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.CtrlItems.VpnCtrlPList, ['type'], name, value)




                            class AdminDistItems(Entity):
                                """
                                
                                
                                .. attribute:: edist
                                
                                	eBGP Distance
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: idist
                                
                                	iBGP Distance
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: localdist
                                
                                	Local Distance
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AdminDistItems, self).__init__()

                                    self.yang_name = "adminDist-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('edist', (YLeaf(YType.uint16, 'eDist'), ['int'])),
                                        ('idist', (YLeaf(YType.uint16, 'iDist'), ['int'])),
                                        ('localdist', (YLeaf(YType.uint16, 'localDist'), ['int'])),
                                    ])
                                    self.edist = None
                                    self.idist = None
                                    self.localdist = None
                                    self._segment_path = lambda: "adminDist-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AdminDistItems, ['edist', 'idist', 'localdist'], name, value)



                            class DampeningItems(Entity):
                                """
                                
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: halflife
                                
                                	Decay Half Life
                                	**type**\: int
                                
                                	**range:** 0..45
                                
                                .. attribute:: reuse
                                
                                	Reuse Limit
                                	**type**\: int
                                
                                	**range:** 0..20000
                                
                                .. attribute:: suppress
                                
                                	Suppress Limit
                                	**type**\: int
                                
                                	**range:** 0..20000
                                
                                .. attribute:: maxsupprpenalty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: maxsuppresstime
                                
                                	Max Suppress Time
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DampeningItems, self).__init__()

                                    self.yang_name = "dampening-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ('halflife', (YLeaf(YType.uint8, 'halfLife'), ['int'])),
                                        ('reuse', (YLeaf(YType.uint16, 'reuse'), ['int'])),
                                        ('suppress', (YLeaf(YType.uint16, 'suppress'), ['int'])),
                                        ('maxsupprpenalty', (YLeaf(YType.uint32, 'maxSupprPenalty'), ['int'])),
                                        ('maxsuppresstime', (YLeaf(YType.uint8, 'maxSuppressTime'), ['int'])),
                                    ])
                                    self.rtmap = None
                                    self.halflife = None
                                    self.reuse = None
                                    self.suppress = None
                                    self.maxsupprpenalty = None
                                    self.maxsuppresstime = None
                                    self._segment_path = lambda: "dampening-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DampeningItems, ['rtmap', 'halflife', 'reuse', 'suppress', 'maxsupprpenalty', 'maxsuppresstime'], name, value)



                            class PrefixItems(Entity):
                                """
                                
                                
                                .. attribute:: advprefix_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AdvPrefixList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems.AdvPrefixList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems, self).__init__()

                                    self.yang_name = "prefix-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AdvPrefix-list", ("advprefix_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems.AdvPrefixList))])
                                    self._leafs = OrderedDict()

                                    self.advprefix_list = YList(self)
                                    self._segment_path = lambda: "prefix-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems, [], name, value)


                                class AdvPrefixList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems.AdvPrefixList, self).__init__()

                                        self.yang_name = "AdvPrefix-list"
                                        self.yang_parent_name = "prefix-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ])
                                        self.addr = None
                                        self.rtmap = None
                                        self._segment_path = lambda: "AdvPrefix-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PrefixItems.AdvPrefixList, ['addr', 'rtmap'], name, value)




                            class AggaddrItems(Entity):
                                """
                                
                                
                                .. attribute:: aggaddr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AggAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems.AggAddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems, self).__init__()

                                    self.yang_name = "aggaddr-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AggAddr-list", ("aggaddr_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems.AggAddrList))])
                                    self._leafs = OrderedDict()

                                    self.aggaddr_list = YList(self)
                                    self._segment_path = lambda: "aggaddr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems, [], name, value)


                                class AggAddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: advermap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: attrmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: asset
                                    
                                    	AS\-SET
                                    	**type**\:  :py:class:`BgpAsSet <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSet>`
                                    
                                    .. attribute:: summaryonly
                                    
                                    	Summary only
                                    	**type**\:  :py:class:`BgpSummaryOnly <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpSummaryOnly>`
                                    
                                    .. attribute:: supprmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems.AggAddrList, self).__init__()

                                        self.yang_name = "AggAddr-list"
                                        self.yang_parent_name = "aggaddr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('advermap', (YLeaf(YType.str, 'adverMap'), ['str'])),
                                            ('attrmap', (YLeaf(YType.str, 'attrMap'), ['str'])),
                                            ('asset', (YLeaf(YType.enumeration, 'asSet'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSet', '')])),
                                            ('summaryonly', (YLeaf(YType.enumeration, 'summaryOnly'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpSummaryOnly', '')])),
                                            ('supprmap', (YLeaf(YType.str, 'supprMap'), ['str'])),
                                        ])
                                        self.addr = None
                                        self.advermap = None
                                        self.attrmap = None
                                        self.asset = None
                                        self.summaryonly = None
                                        self.supprmap = None
                                        self._segment_path = lambda: "AggAddr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AggaddrItems.AggAddrList, ['addr', 'advermap', 'attrmap', 'asset', 'summaryonly', 'supprmap'], name, value)




                            class AddlpathItems(Entity):
                                """
                                
                                
                                .. attribute:: capability
                                
                                	Capability
                                	**type**\: str
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AddlpathItems, self).__init__()

                                    self.yang_name = "addlpath-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('capability', (YLeaf(YType.str, 'capability'), ['str'])),
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ])
                                    self.capability = None
                                    self.rtmap = None
                                    self._segment_path = lambda: "addlpath-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.AddlpathItems, ['capability', 'rtmap'], name, value)



                            class RtItems(Entity):
                                """
                                
                                
                                .. attribute:: route_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems, self).__init__()

                                    self.yang_name = "rt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList))])
                                    self._leafs = OrderedDict()

                                    self.route_list = YList(self)
                                    self._segment_path = lambda: "rt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems, [], name, value)


                                class RouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList, self).__init__()

                                        self.yang_name = "Route-list"
                                        self.yang_parent_name = "rt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "Route-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems_(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class VpnrtItems(Entity):
                                """
                                
                                
                                .. attribute:: vpnroute_list
                                
                                	
                                	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems, self).__init__()

                                    self.yang_name = "vpnrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList))])
                                    self._leafs = OrderedDict()

                                    self.vpnroute_list = YList(self)
                                    self._segment_path = lambda: "vpnrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems, [], name, value)


                                class VpnRouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rd  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList, self).__init__()

                                        self.yang_name = "VpnRoute-list"
                                        self.yang_parent_name = "vpnrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx','rd']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.rd = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "VpnRoute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class LblrtItems(Entity):
                                """
                                
                                
                                .. attribute:: lblroute_list
                                
                                	
                                	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems, self).__init__()

                                    self.yang_name = "lblrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList))])
                                    self._leafs = OrderedDict()

                                    self.lblroute_list = YList(self)
                                    self._segment_path = lambda: "lblrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems, [], name, value)


                                class LblRouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rd
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtlblafflags
                                    
                                    	Labeled address\-family route flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtlblafver
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: loclbl
                                    
                                    	Local label
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfxlblholddowndelts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList, self).__init__()

                                        self.yang_name = "LblRoute-list"
                                        self.yang_parent_name = "lblrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                            ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                            ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                            ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                            ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.rd = None
                                        self.rtlblafflags = None
                                        self.rtlblafver = None
                                        self.loclbl = None
                                        self.pfxlblholddowndelts = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "LblRoute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class LsrtItems(Entity):
                                """
                                
                                
                                .. attribute:: lnkstroute_list
                                
                                	
                                	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems, self).__init__()

                                    self.yang_name = "lsrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList))])
                                    self._leafs = OrderedDict()

                                    self.lnkstroute_list = YList(self)
                                    self._segment_path = lambda: "lsrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems, [], name, value)


                                class LnkStRouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: nlritype
                                    
                                    	Link\-state NLRI type
                                    	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: protoid
                                    
                                    	Link\-state NLRI Protocol ID
                                    	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList, self).__init__()

                                        self.yang_name = "LnkStRoute-list"
                                        self.yang_parent_name = "lsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                            ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                            ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.nlritype = None
                                        self.protoid = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "LnkStRoute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class EvpnrtItems(Entity):
                                """
                                
                                
                                .. attribute:: evpnroute_list
                                
                                	
                                	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems, self).__init__()

                                    self.yang_name = "evpnrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList))])
                                    self._leafs = OrderedDict()

                                    self.evpnroute_list = YList(self)
                                    self._segment_path = lambda: "evpnrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems, [], name, value)


                                class EvpnRouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rd  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rttype
                                    
                                    	EVPN route\-type
                                    	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList, self).__init__()

                                        self.yang_name = "EvpnRoute-list"
                                        self.yang_parent_name = "evpnrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx','rd']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                            ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.rd = None
                                        self.rttype = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "EvpnRoute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class MvpnrtItems(Entity):
                                """
                                
                                
                                .. attribute:: mvpnroute_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems, self).__init__()

                                    self.yang_name = "mvpnrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList))])
                                    self._leafs = OrderedDict()

                                    self.mvpnroute_list = YList(self)
                                    self._segment_path = lambda: "mvpnrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems, [], name, value)


                                class MvpnRouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rd  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rttype
                                    
                                    	MVPN route\-type
                                    	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtflags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: numpaths
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bestpathid
                                    
                                    	Bestpath Id
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: path_items
                                    
                                    	
                                    	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList, self).__init__()

                                        self.yang_name = "MvpnRoute-list"
                                        self.yang_parent_name = "mvpnrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx','rd']
                                        self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                            ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                            ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                            ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                        ])
                                        self.pfx = None
                                        self.rd = None
                                        self.rttype = None
                                        self.name = None
                                        self.ver = None
                                        self.rtflags = None
                                        self.numpaths = None
                                        self.bestpathid = None

                                        self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems()
                                        self.path_items.parent = self
                                        self._children_name_map["path_items"] = "path-items"
                                        self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                    class PathItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: path_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                            self.yang_name = "path-items"
                                            self.yang_parent_name = "MvpnRoute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                            self._leafs = OrderedDict()

                                            self.path_list = YList(self)
                                            self._segment_path = lambda: "path-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                        class PathList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peer  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id  (key)
                                            
                                            	ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nh  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: importedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origimportedrd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nhmetric
                                            
                                            	Nexthop Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: origin
                                            
                                            	Origin
                                            	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: metric
                                            
                                            	Metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: localpref
                                            
                                            	Local Preference
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: weight
                                            
                                            	Weight
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aggras
                                            
                                            	Aggregator ASN
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrdata
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: unknownattrlen
                                            
                                            	Unknown Attribute Length
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: regcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: extcomm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: aspath
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcvdlbl
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: originatorid
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: clusterlst
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peerrtrid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: seg_items
                                            
                                            	
                                            	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rcomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ecomm_items
                                            
                                            	
                                            	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lnkstattr_items
                                            
                                            	
                                            	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsid_items
                                            
                                            	
                                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pmsi_items
                                            
                                            	
                                            	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                self.yang_name = "Path-list"
                                                self.yang_parent_name = "path-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                self._leafs = OrderedDict([
                                                    ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                    ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                    ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                    ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                    ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                    ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                    ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                    ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                    ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                    ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                    ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                    ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                    ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                    ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                    ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                    ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                    ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                ])
                                                self.peer = None
                                                self.id = None
                                                self.nh = None
                                                self.importedrd = None
                                                self.origimportedrd = None
                                                self.nhmetric = None
                                                self.type = None
                                                self.operst = None
                                                self.flags = None
                                                self.origin = None
                                                self.metric = None
                                                self.localpref = None
                                                self.weight = None
                                                self.aggr = None
                                                self.aggras = None
                                                self.unknownattrdata = None
                                                self.unknownattrlen = None
                                                self.regcomm = None
                                                self.extcomm = None
                                                self.aspath = None
                                                self.rcvdlbl = None
                                                self.originatorid = None
                                                self.clusterlst = None
                                                self.peerrtrid = None

                                                self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                self.seg_items.parent = self
                                                self._children_name_map["seg_items"] = "seg-items"

                                                self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                self.rcomm_items.parent = self
                                                self._children_name_map["rcomm_items"] = "rcomm-items"

                                                self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                self.ecomm_items.parent = self
                                                self._children_name_map["ecomm_items"] = "ecomm-items"

                                                self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                self.lnkstattr_items.parent = self
                                                self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                self.pfxsid_items.parent = self
                                                self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                self.pmsi_items.parent = self
                                                self._children_name_map["pmsi_items"] = "pmsi-items"
                                                self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                            class SegItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: asseg_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                    self.yang_name = "seg-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                    self._leafs = OrderedDict()

                                                    self.asseg_list = YList(self)
                                                    self._segment_path = lambda: "seg-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                class AsSegList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: order  (key)
                                                    
                                                    	Order
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: asn_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                        self.yang_name = "AsSeg-list"
                                                        self.yang_parent_name = "seg-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['order']
                                                        self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                        self._leafs = OrderedDict([
                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                        ])
                                                        self.order = None
                                                        self.type = None

                                                        self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                        self.asn_items.parent = self
                                                        self._children_name_map["asn_items"] = "asn-items"
                                                        self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                    class AsnItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asitem_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                            self.yang_name = "asn-items"
                                                            self.yang_parent_name = "AsSeg-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                            self._leafs = OrderedDict()

                                                            self.asitem_list = YList(self)
                                                            self._segment_path = lambda: "asn-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                        class AsItemList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn
                                                            
                                                            	Autonomous System Number
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                self.yang_name = "AsItem-list"
                                                                self.yang_parent_name = "asn-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                ])
                                                                self.order = None
                                                                self.asn = None
                                                                self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                            class RcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: regcomm_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                    self.yang_name = "rcomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                    self._leafs = OrderedDict()

                                                    self.regcomm_list = YList(self)
                                                    self._segment_path = lambda: "rcomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                class RegCommList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: community  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                        self.yang_name = "RegComm-list"
                                                        self.yang_parent_name = "rcomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['community']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                        ])
                                                        self.community = None
                                                        self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                            class EcommItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtrmac
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                    self.yang_name = "ecomm-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.rtrmac = None

                                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                    self.rt_items.parent = self
                                                    self._children_name_map["rt_items"] = "rt-items"
                                                    self._segment_path = lambda: "ecomm-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                class RtItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extcommrt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                        self.yang_name = "rt-items"
                                                        self.yang_parent_name = "ecomm-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                        self._leafs = OrderedDict()

                                                        self.extcommrt_list = YList(self)
                                                        self._segment_path = lambda: "rt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                    class ExtCommRtList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                            self.yang_name = "ExtCommRt-list"
                                                            self.yang_parent_name = "rt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                            class LnkstattrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lnkattrflags
                                                
                                                	Link\-state Link TLV attribute flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: attrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                    self.yang_name = "lnkstattr-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                        ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                    ])
                                                    self.lnkattrflags = None
                                                    self.attrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "lnkstattr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkstattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "lnkstattr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.lnkstattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                    class LnkStAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                            self.yang_name = "LnkStAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.val = None
                                                            self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                            class PfxsidItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxsidattrlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlv_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                    self.yang_name = "pfxsid-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                    ])
                                                    self.pfxsidattrlen = None

                                                    self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                    self.tlv_items.parent = self
                                                    self._children_name_map["tlv_items"] = "tlv-items"
                                                    self._segment_path = lambda: "pfxsid-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                class TlvItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                        self.yang_name = "tlv-items"
                                                        self.yang_parent_name = "pfxsid-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.pfxsidattrentry_list = YList(self)
                                                        self._segment_path = lambda: "tlv-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                    class PfxSidAttrEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	Link\-state TLV code point
                                                        	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: len
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: val
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                            self.yang_name = "PfxSidAttrEntry-list"
                                                            self.yang_parent_name = "tlv-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.len = None
                                                            self.val = None
                                                            self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                            class PmsiItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: flags
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tuntype
                                                
                                                	PMSI Tunnel Type
                                                	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lbl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tunid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                    self.yang_name = "pmsi-items"
                                                    self.yang_parent_name = "Path-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                        ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                        ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                    ])
                                                    self.flags = None
                                                    self.tuntype = None
                                                    self.lbl = None
                                                    self.tunid = None
                                                    self._segment_path = lambda: "pmsi-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                            class ImportedrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems>`
                                
                                .. attribute:: vpnrt_items
                                
                                	
                                	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems>`
                                
                                .. attribute:: lblrt_items
                                
                                	
                                	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems, self).__init__()

                                    self.yang_name = "importedrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems()
                                    self.vpnrt_items.parent = self
                                    self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                    self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems()
                                    self.lblrt_items.parent = self
                                    self._children_name_map["lblrt_items"] = "lblrt-items"
                                    self._segment_path = lambda: "importedrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "importedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class VpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems, self).__init__()

                                        self.yang_name = "vpnrt-items"
                                        self.yang_parent_name = "importedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.vpnroute_list = YList(self)
                                        self._segment_path = lambda: "vpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems, [], name, value)


                                    class VpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                            self.yang_name = "VpnRoute-list"
                                            self.yang_parent_name = "vpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "VpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LblrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lblroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems, self).__init__()

                                        self.yang_name = "lblrt-items"
                                        self.yang_parent_name = "importedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lblroute_list = YList(self)
                                        self._segment_path = lambda: "lblrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems, [], name, value)


                                    class LblRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafflags
                                        
                                        	Labeled address\-family route flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafver
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: loclbl
                                        
                                        	Local label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pfxlblholddowndelts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList, self).__init__()

                                            self.yang_name = "LblRoute-list"
                                            self.yang_parent_name = "lblrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rtlblafflags = None
                                            self.rtlblafver = None
                                            self.loclbl = None
                                            self.pfxlblholddowndelts = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LblRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ImportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class SelforigrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems, self).__init__()

                                    self.yang_name = "selforigrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"
                                    self._segment_path = lambda: "selforigrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "selforigrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.SelforigrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class InjectedrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems, self).__init__()

                                    self.yang_name = "injectedrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"
                                    self._segment_path = lambda: "injectedrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "injectedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjectedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class ExportedrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems>`
                                
                                .. attribute:: vpnrt_items
                                
                                	
                                	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems>`
                                
                                .. attribute:: lblrt_items
                                
                                	
                                	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems, self).__init__()

                                    self.yang_name = "exportedrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems()
                                    self.vpnrt_items.parent = self
                                    self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                    self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems()
                                    self.lblrt_items.parent = self
                                    self._children_name_map["lblrt_items"] = "lblrt-items"
                                    self._segment_path = lambda: "exportedrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "exportedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class VpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems, self).__init__()

                                        self.yang_name = "vpnrt-items"
                                        self.yang_parent_name = "exportedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.vpnroute_list = YList(self)
                                        self._segment_path = lambda: "vpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems, [], name, value)


                                    class VpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                            self.yang_name = "VpnRoute-list"
                                            self.yang_parent_name = "vpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "VpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LblrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lblroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems, self).__init__()

                                        self.yang_name = "lblrt-items"
                                        self.yang_parent_name = "exportedrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lblroute_list = YList(self)
                                        self._segment_path = lambda: "lblrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems, [], name, value)


                                    class LblRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafflags
                                        
                                        	Labeled address\-family route flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafver
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: loclbl
                                        
                                        	Local label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pfxlblholddowndelts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList, self).__init__()

                                            self.yang_name = "LblRoute-list"
                                            self.yang_parent_name = "lblrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rtlblafflags = None
                                            self.rtlblafver = None
                                            self.loclbl = None
                                            self.pfxlblholddowndelts = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LblRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.ExportedrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class RcvdpathsrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems>`
                                
                                .. attribute:: vpnrt_items
                                
                                	
                                	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems>`
                                
                                .. attribute:: lblrt_items
                                
                                	
                                	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems>`
                                
                                .. attribute:: lsrt_items
                                
                                	
                                	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems>`
                                
                                .. attribute:: evpnrt_items
                                
                                	
                                	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems>`
                                
                                .. attribute:: mvpnrt_items
                                
                                	
                                	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems, self).__init__()

                                    self.yang_name = "rcvdpathsrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems()
                                    self.vpnrt_items.parent = self
                                    self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                    self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems()
                                    self.lblrt_items.parent = self
                                    self._children_name_map["lblrt_items"] = "lblrt-items"

                                    self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems()
                                    self.lsrt_items.parent = self
                                    self._children_name_map["lsrt_items"] = "lsrt-items"

                                    self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems()
                                    self.evpnrt_items.parent = self
                                    self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                    self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems()
                                    self.mvpnrt_items.parent = self
                                    self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                    self._segment_path = lambda: "rcvdpathsrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class VpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems, self).__init__()

                                        self.yang_name = "vpnrt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.vpnroute_list = YList(self)
                                        self._segment_path = lambda: "vpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems, [], name, value)


                                    class VpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                            self.yang_name = "VpnRoute-list"
                                            self.yang_parent_name = "vpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "VpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LblrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lblroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems, self).__init__()

                                        self.yang_name = "lblrt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lblroute_list = YList(self)
                                        self._segment_path = lambda: "lblrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems, [], name, value)


                                    class LblRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafflags
                                        
                                        	Labeled address\-family route flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafver
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: loclbl
                                        
                                        	Local label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pfxlblholddowndelts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList, self).__init__()

                                            self.yang_name = "LblRoute-list"
                                            self.yang_parent_name = "lblrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rtlblafflags = None
                                            self.rtlblafver = None
                                            self.loclbl = None
                                            self.pfxlblholddowndelts = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LblRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LsrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lnkstroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems, self).__init__()

                                        self.yang_name = "lsrt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lnkstroute_list = YList(self)
                                        self._segment_path = lambda: "lsrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems, [], name, value)


                                    class LnkStRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nlritype
                                        
                                        	Link\-state NLRI type
                                        	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: protoid
                                        
                                        	Link\-state NLRI Protocol ID
                                        	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                            self.yang_name = "LnkStRoute-list"
                                            self.yang_parent_name = "lsrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.nlritype = None
                                            self.protoid = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LnkStRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class EvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: evpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems, self).__init__()

                                        self.yang_name = "evpnrt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.evpnroute_list = YList(self)
                                        self._segment_path = lambda: "evpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems, [], name, value)


                                    class EvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	EVPN route\-type
                                        	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                            self.yang_name = "EvpnRoute-list"
                                            self.yang_parent_name = "evpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "EvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class MvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mvpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems, self).__init__()

                                        self.yang_name = "mvpnrt-items"
                                        self.yang_parent_name = "rcvdpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.mvpnroute_list = YList(self)
                                        self._segment_path = lambda: "mvpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems, [], name, value)


                                    class MvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	MVPN route\-type
                                        	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList, self).__init__()

                                            self.yang_name = "MvpnRoute-list"
                                            self.yang_parent_name = "mvpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "MvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RcvdpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class RtmapItems(Entity):
                                """
                                
                                
                                .. attribute:: rtmaproutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtMapRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems, self).__init__()

                                    self.yang_name = "rtmap-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtMapRoutes-list", ("rtmaproutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.rtmaproutes_list = YList(self)
                                    self._segment_path = lambda: "rtmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems, [], name, value)


                                class RtMapRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lblrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList, self).__init__()

                                        self.yang_name = "RtMapRoutes-list"
                                        self.yang_parent_name = "rtmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.name = None

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems()
                                        self.lblrt_items.parent = self
                                        self._children_name_map["lblrt_items"] = "lblrt-items"

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                        self._segment_path = lambda: "RtMapRoutes-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList, ['name'], name, value)


                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LblrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lblroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems, self).__init__()

                                            self.yang_name = "lblrt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lblroute_list = YList(self)
                                            self._segment_path = lambda: "lblrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems, [], name, value)


                                        class LblRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafflags
                                            
                                            	Labeled address\-family route flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: loclbl
                                            
                                            	Local label
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxlblholddowndelts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList, self).__init__()

                                                self.yang_name = "LblRoute-list"
                                                self.yang_parent_name = "lblrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                    ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                    ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                    ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rtlblafflags = None
                                                self.rtlblafver = None
                                                self.loclbl = None
                                                self.pfxlblholddowndelts = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LblRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "RtMapRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RtmapItems.RtMapRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class FltrlistItems(Entity):
                                """
                                
                                
                                .. attribute:: fltrlistroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`FltrListRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems, self).__init__()

                                    self.yang_name = "fltrlist-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("FltrListRoutes-list", ("fltrlistroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.fltrlistroutes_list = YList(self)
                                    self._segment_path = lambda: "fltrlist-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems, [], name, value)


                                class FltrListRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lblrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList, self).__init__()

                                        self.yang_name = "FltrListRoutes-list"
                                        self.yang_parent_name = "fltrlist-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.name = None

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems()
                                        self.lblrt_items.parent = self
                                        self._children_name_map["lblrt_items"] = "lblrt-items"

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                        self._segment_path = lambda: "FltrListRoutes-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList, ['name'], name, value)


                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LblrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lblroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems, self).__init__()

                                            self.yang_name = "lblrt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lblroute_list = YList(self)
                                            self._segment_path = lambda: "lblrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems, [], name, value)


                                        class LblRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafflags
                                            
                                            	Labeled address\-family route flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: loclbl
                                            
                                            	Local label
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxlblholddowndelts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList, self).__init__()

                                                self.yang_name = "LblRoute-list"
                                                self.yang_parent_name = "lblrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                    ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                    ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                    ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rtlblafflags = None
                                                self.rtlblafver = None
                                                self.loclbl = None
                                                self.pfxlblholddowndelts = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LblRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "FltrListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.FltrlistItems.FltrListRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class PfxlistItems(Entity):
                                """
                                
                                
                                .. attribute:: pfxlistroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PfxListRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems, self).__init__()

                                    self.yang_name = "pfxlist-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PfxListRoutes-list", ("pfxlistroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.pfxlistroutes_list = YList(self)
                                    self._segment_path = lambda: "pfxlist-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems, [], name, value)


                                class PfxListRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList, self).__init__()

                                        self.yang_name = "PfxListRoutes-list"
                                        self.yang_parent_name = "pfxlist-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.name = None

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"
                                        self._segment_path = lambda: "PfxListRoutes-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList, ['name'], name, value)


                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "PfxListRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxlistItems.PfxListRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class DamppathsrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems>`
                                
                                .. attribute:: vpnrt_items
                                
                                	
                                	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems>`
                                
                                .. attribute:: lblrt_items
                                
                                	
                                	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems>`
                                
                                .. attribute:: lsrt_items
                                
                                	
                                	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems>`
                                
                                .. attribute:: evpnrt_items
                                
                                	
                                	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems>`
                                
                                .. attribute:: mvpnrt_items
                                
                                	
                                	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems, self).__init__()

                                    self.yang_name = "damppathsrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems()
                                    self.vpnrt_items.parent = self
                                    self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                    self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems()
                                    self.lblrt_items.parent = self
                                    self._children_name_map["lblrt_items"] = "lblrt-items"

                                    self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems()
                                    self.lsrt_items.parent = self
                                    self._children_name_map["lsrt_items"] = "lsrt-items"

                                    self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems()
                                    self.evpnrt_items.parent = self
                                    self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                    self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems()
                                    self.mvpnrt_items.parent = self
                                    self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                    self._segment_path = lambda: "damppathsrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class VpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems, self).__init__()

                                        self.yang_name = "vpnrt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.vpnroute_list = YList(self)
                                        self._segment_path = lambda: "vpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems, [], name, value)


                                    class VpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                            self.yang_name = "VpnRoute-list"
                                            self.yang_parent_name = "vpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "VpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LblrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lblroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems, self).__init__()

                                        self.yang_name = "lblrt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lblroute_list = YList(self)
                                        self._segment_path = lambda: "lblrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems, [], name, value)


                                    class LblRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafflags
                                        
                                        	Labeled address\-family route flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafver
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: loclbl
                                        
                                        	Local label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pfxlblholddowndelts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList, self).__init__()

                                            self.yang_name = "LblRoute-list"
                                            self.yang_parent_name = "lblrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rtlblafflags = None
                                            self.rtlblafver = None
                                            self.loclbl = None
                                            self.pfxlblholddowndelts = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LblRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LsrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lnkstroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems, self).__init__()

                                        self.yang_name = "lsrt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lnkstroute_list = YList(self)
                                        self._segment_path = lambda: "lsrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems, [], name, value)


                                    class LnkStRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nlritype
                                        
                                        	Link\-state NLRI type
                                        	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: protoid
                                        
                                        	Link\-state NLRI Protocol ID
                                        	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                            self.yang_name = "LnkStRoute-list"
                                            self.yang_parent_name = "lsrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.nlritype = None
                                            self.protoid = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LnkStRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class EvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: evpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems, self).__init__()

                                        self.yang_name = "evpnrt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.evpnroute_list = YList(self)
                                        self._segment_path = lambda: "evpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems, [], name, value)


                                    class EvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	EVPN route\-type
                                        	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                            self.yang_name = "EvpnRoute-list"
                                            self.yang_parent_name = "evpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "EvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class MvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mvpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems, self).__init__()

                                        self.yang_name = "mvpnrt-items"
                                        self.yang_parent_name = "damppathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.mvpnroute_list = YList(self)
                                        self._segment_path = lambda: "mvpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems, [], name, value)


                                    class MvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	MVPN route\-type
                                        	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, self).__init__()

                                            self.yang_name = "MvpnRoute-list"
                                            self.yang_parent_name = "mvpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "MvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class DamphstpathsrtItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems>`
                                
                                .. attribute:: vpnrt_items
                                
                                	
                                	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems>`
                                
                                .. attribute:: lblrt_items
                                
                                	
                                	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems>`
                                
                                .. attribute:: lsrt_items
                                
                                	
                                	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems>`
                                
                                .. attribute:: evpnrt_items
                                
                                	
                                	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems>`
                                
                                .. attribute:: mvpnrt_items
                                
                                	
                                	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems, self).__init__()

                                    self.yang_name = "damphstpathsrt-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems()
                                    self.vpnrt_items.parent = self
                                    self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                    self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems()
                                    self.lblrt_items.parent = self
                                    self._children_name_map["lblrt_items"] = "lblrt-items"

                                    self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems()
                                    self.lsrt_items.parent = self
                                    self._children_name_map["lsrt_items"] = "lsrt-items"

                                    self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems()
                                    self.evpnrt_items.parent = self
                                    self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                    self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems()
                                    self.mvpnrt_items.parent = self
                                    self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                    self._segment_path = lambda: "damphstpathsrt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems_(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class VpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems, self).__init__()

                                        self.yang_name = "vpnrt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.vpnroute_list = YList(self)
                                        self._segment_path = lambda: "vpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems, [], name, value)


                                    class VpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                            self.yang_name = "VpnRoute-list"
                                            self.yang_parent_name = "vpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "VpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LblrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lblroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems, self).__init__()

                                        self.yang_name = "lblrt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lblroute_list = YList(self)
                                        self._segment_path = lambda: "lblrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems, [], name, value)


                                    class LblRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafflags
                                        
                                        	Labeled address\-family route flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtlblafver
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: loclbl
                                        
                                        	Local label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pfxlblholddowndelts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList, self).__init__()

                                            self.yang_name = "LblRoute-list"
                                            self.yang_parent_name = "lblrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rtlblafflags = None
                                            self.rtlblafver = None
                                            self.loclbl = None
                                            self.pfxlblholddowndelts = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LblRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class LsrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lnkstroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems, self).__init__()

                                        self.yang_name = "lsrt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList))])
                                        self._leafs = OrderedDict()

                                        self.lnkstroute_list = YList(self)
                                        self._segment_path = lambda: "lsrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems, [], name, value)


                                    class LnkStRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nlritype
                                        
                                        	Link\-state NLRI type
                                        	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: protoid
                                        
                                        	Link\-state NLRI Protocol ID
                                        	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                            self.yang_name = "LnkStRoute-list"
                                            self.yang_parent_name = "lsrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.nlritype = None
                                            self.protoid = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "LnkStRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class EvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: evpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems, self).__init__()

                                        self.yang_name = "evpnrt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.evpnroute_list = YList(self)
                                        self._segment_path = lambda: "evpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems, [], name, value)


                                    class EvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	EVPN route\-type
                                        	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                            self.yang_name = "EvpnRoute-list"
                                            self.yang_parent_name = "evpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "EvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                class MvpnrtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mvpnroute_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems, self).__init__()

                                        self.yang_name = "mvpnrt-items"
                                        self.yang_parent_name = "damphstpathsrt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList))])
                                        self._leafs = OrderedDict()

                                        self.mvpnroute_list = YList(self)
                                        self._segment_path = lambda: "mvpnrt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems, [], name, value)


                                    class MvpnRouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rd  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttype
                                        
                                        	MVPN route\-type
                                        	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver
                                        
                                        	Version
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtflags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numpaths
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bestpathid
                                        
                                        	Bestpath Id
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: path_items
                                        
                                        	
                                        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList, self).__init__()

                                            self.yang_name = "MvpnRoute-list"
                                            self.yang_parent_name = "mvpnrt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx','rd']
                                            self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.rd = None
                                            self.rttype = None
                                            self.name = None
                                            self.ver = None
                                            self.rtflags = None
                                            self.numpaths = None
                                            self.bestpathid = None

                                            self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems()
                                            self.path_items.parent = self
                                            self._children_name_map["path_items"] = "path-items"
                                            self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                        class PathItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: path_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                self.yang_name = "path-items"
                                                self.yang_parent_name = "MvpnRoute-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                self._leafs = OrderedDict()

                                                self.path_list = YList(self)
                                                self._segment_path = lambda: "path-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                            class PathList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: peer  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nh  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: importedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origimportedrd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nhmetric
                                                
                                                	Nexthop Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: origin
                                                
                                                	Origin
                                                	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: metric
                                                
                                                	Metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localpref
                                                
                                                	Local Preference
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: weight
                                                
                                                	Weight
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aggras
                                                
                                                	Aggregator ASN
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrdata
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: unknownattrlen
                                                
                                                	Unknown Attribute Length
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extcomm
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: aspath
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcvdlbl
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: originatorid
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: clusterlst
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerrtrid
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seg_items
                                                
                                                	
                                                	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rcomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ecomm_items
                                                
                                                	
                                                	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lnkstattr_items
                                                
                                                	
                                                	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxsid_items
                                                
                                                	
                                                	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmsi_items
                                                
                                                	
                                                	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                    self.yang_name = "Path-list"
                                                    self.yang_parent_name = "path-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                    self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                    self._leafs = OrderedDict([
                                                        ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                        ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                        ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                        ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                        ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                        ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                        ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                        ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                        ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                        ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                        ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                        ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                        ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                        ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                        ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                        ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                        ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                    ])
                                                    self.peer = None
                                                    self.id = None
                                                    self.nh = None
                                                    self.importedrd = None
                                                    self.origimportedrd = None
                                                    self.nhmetric = None
                                                    self.type = None
                                                    self.operst = None
                                                    self.flags = None
                                                    self.origin = None
                                                    self.metric = None
                                                    self.localpref = None
                                                    self.weight = None
                                                    self.aggr = None
                                                    self.aggras = None
                                                    self.unknownattrdata = None
                                                    self.unknownattrlen = None
                                                    self.regcomm = None
                                                    self.extcomm = None
                                                    self.aspath = None
                                                    self.rcvdlbl = None
                                                    self.originatorid = None
                                                    self.clusterlst = None
                                                    self.peerrtrid = None

                                                    self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                    self.seg_items.parent = self
                                                    self._children_name_map["seg_items"] = "seg-items"

                                                    self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                    self.rcomm_items.parent = self
                                                    self._children_name_map["rcomm_items"] = "rcomm-items"

                                                    self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                    self.ecomm_items.parent = self
                                                    self._children_name_map["ecomm_items"] = "ecomm-items"

                                                    self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                    self.lnkstattr_items.parent = self
                                                    self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                    self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                    self.pfxsid_items.parent = self
                                                    self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                    self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                    self.pmsi_items.parent = self
                                                    self._children_name_map["pmsi_items"] = "pmsi-items"
                                                    self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                class SegItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: asseg_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                        self.yang_name = "seg-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                        self._leafs = OrderedDict()

                                                        self.asseg_list = YList(self)
                                                        self._segment_path = lambda: "seg-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                    class AsSegList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: order  (key)
                                                        
                                                        	Order
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: asn_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                            self.yang_name = "AsSeg-list"
                                                            self.yang_parent_name = "seg-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['order']
                                                            self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                            self._leafs = OrderedDict([
                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                            ])
                                                            self.order = None
                                                            self.type = None

                                                            self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                            self.asn_items.parent = self
                                                            self._children_name_map["asn_items"] = "asn-items"
                                                            self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                        class AsnItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asitem_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                self.yang_name = "asn-items"
                                                                self.yang_parent_name = "AsSeg-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                self._leafs = OrderedDict()

                                                                self.asitem_list = YList(self)
                                                                self._segment_path = lambda: "asn-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                            class AsItemList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn
                                                                
                                                                	Autonomous System Number
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                    self.yang_name = "AsItem-list"
                                                                    self.yang_parent_name = "asn-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                    ])
                                                                    self.order = None
                                                                    self.asn = None
                                                                    self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                class RcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: regcomm_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                        self.yang_name = "rcomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                        self._leafs = OrderedDict()

                                                        self.regcomm_list = YList(self)
                                                        self._segment_path = lambda: "rcomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                    class RegCommList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: community  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                            self.yang_name = "RegComm-list"
                                                            self.yang_parent_name = "rcomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['community']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                            ])
                                                            self.community = None
                                                            self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                class EcommItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: encap
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rtrmac
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rt_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                        self.yang_name = "ecomm-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                        self._leafs = OrderedDict([
                                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                            ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                        ])
                                                        self.encap = None
                                                        self.rtrmac = None

                                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                        self.rt_items.parent = self
                                                        self._children_name_map["rt_items"] = "rt-items"
                                                        self._segment_path = lambda: "ecomm-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                    class RtItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: extcommrt_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                            self.yang_name = "rt-items"
                                                            self.yang_parent_name = "ecomm-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                            self._leafs = OrderedDict()

                                                            self.extcommrt_list = YList(self)
                                                            self._segment_path = lambda: "rt-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                        class ExtCommRtList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                self.yang_name = "ExtCommRt-list"
                                                                self.yang_parent_name = "rt-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                class LnkstattrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lnkattrflags
                                                    
                                                    	Link\-state Link TLV attribute flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: attrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                        self.yang_name = "lnkstattr-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                            ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                        ])
                                                        self.lnkattrflags = None
                                                        self.attrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "lnkstattr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkstattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "lnkstattr-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.lnkstattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                        class LnkStAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                self.yang_name = "LnkStAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.val = None
                                                                self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                class PfxsidItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pfxsidattrlen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tlv_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                        self.yang_name = "pfxsid-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                        ])
                                                        self.pfxsidattrlen = None

                                                        self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                        self.tlv_items.parent = self
                                                        self._children_name_map["tlv_items"] = "tlv-items"
                                                        self._segment_path = lambda: "pfxsid-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                    class TlvItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrentry_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                            self.yang_name = "tlv-items"
                                                            self.yang_parent_name = "pfxsid-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                            self._leafs = OrderedDict()

                                                            self.pfxsidattrentry_list = YList(self)
                                                            self._segment_path = lambda: "tlv-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                        class PfxSidAttrEntryList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: type  (key)
                                                            
                                                            	Link\-state TLV code point
                                                            	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: len
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: val
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                self.yang_name = "PfxSidAttrEntry-list"
                                                                self.yang_parent_name = "tlv-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['type']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                ])
                                                                self.type = None
                                                                self.len = None
                                                                self.val = None
                                                                self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                class PmsiItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tuntype
                                                    
                                                    	PMSI Tunnel Type
                                                    	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lbl
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tunid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                        self.yang_name = "pmsi-items"
                                                        self.yang_parent_name = "Path-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                            ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                            ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                        ])
                                                        self.flags = None
                                                        self.tuntype = None
                                                        self.lbl = None
                                                        self.tunid = None
                                                        self._segment_path = lambda: "pmsi-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DamphstpathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                            class RttypeItems(Entity):
                                """
                                
                                
                                .. attribute:: rttyperoutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtTypeRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems, self).__init__()

                                    self.yang_name = "rttype-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtTypeRoutes-list", ("rttyperoutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.rttyperoutes_list = YList(self)
                                    self._segment_path = lambda: "rttype-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems, [], name, value)


                                class RtTypeRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttype  (key)
                                    
                                    	EVPN route\-type
                                    	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList, self).__init__()

                                        self.yang_name = "RtTypeRoutes-list"
                                        self.yang_parent_name = "rttype-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['rttype']
                                        self._child_classes = OrderedDict([("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                        ])
                                        self.rttype = None

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                        self._segment_path = lambda: "RtTypeRoutes-list" + "[rtType='" + str(self.rttype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList, ['rttype'], name, value)


                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "RtTypeRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "RtTypeRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RttypeItems.RtTypeRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class VnidItems(Entity):
                                """
                                
                                
                                .. attribute:: evpnvnidroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`EvpnVnIdRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems, self).__init__()

                                    self.yang_name = "vnid-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("EvpnVnIdRoutes-list", ("evpnvnidroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.evpnvnidroutes_list = YList(self)
                                    self._segment_path = lambda: "vnid-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems, [], name, value)


                                class EvpnVnIdRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vnid  (key)
                                    
                                    	EVPN vnid (Value should be in the range 1\-16777214 when the feature is enabled.)
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList, self).__init__()

                                        self.yang_name = "EvpnVnIdRoutes-list"
                                        self.yang_parent_name = "vnid-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['vnid']
                                        self._child_classes = OrderedDict([("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('vnid', (YLeaf(YType.uint32, 'vnid'), ['int'])),
                                        ])
                                        self.vnid = None

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                        self._segment_path = lambda: "EvpnVnIdRoutes-list" + "[vnid='" + str(self.vnid) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList, ['vnid'], name, value)


                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "EvpnVnIdRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.VnidItems.EvpnVnIdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: evpnmacaddrroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`EvpnMacAddrRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("EvpnMacAddrRoutes-list", ("evpnmacaddrroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.evpnmacaddrroutes_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems, [], name, value)


                                class EvpnMacAddrRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: macaddr  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList, self).__init__()

                                        self.yang_name = "EvpnMacAddrRoutes-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['macaddr']
                                        self._child_classes = OrderedDict([("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('macaddr', (YLeaf(YType.str, 'macaddr'), ['str'])),
                                        ])
                                        self.macaddr = None

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                        self._segment_path = lambda: "EvpnMacAddrRoutes-list" + "[macaddr='" + str(self.macaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList, ['macaddr'], name, value)


                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "EvpnMacAddrRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MacItems.EvpnMacAddrRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class RdItems(Entity):
                                """
                                
                                
                                .. attribute:: rdroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RdRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems, self).__init__()

                                    self.yang_name = "rd-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RdRoutes-list", ("rdroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.rdroutes_list = YList(self)
                                    self._segment_path = lambda: "rd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems, [], name, value)


                                class RdRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rd  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList, self).__init__()

                                        self.yang_name = "RdRoutes-list"
                                        self.yang_parent_name = "rd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['rd']
                                        self._child_classes = OrderedDict([("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                        ])
                                        self.rd = None

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                        self._segment_path = lambda: "RdRoutes-list" + "[rd='" + str(self.rd) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList, ['rd'], name, value)


                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "RdRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "RdRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "RdRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.RdItems.RdRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class PfxItems(Entity):
                                """
                                
                                
                                .. attribute:: pfxroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PfxRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems, self).__init__()

                                    self.yang_name = "pfx-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PfxRoutes-list", ("pfxroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.pfxroutes_list = YList(self)
                                    self._segment_path = lambda: "pfx-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems, [], name, value)


                                class PfxRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList, self).__init__()

                                        self.yang_name = "PfxRoutes-list"
                                        self.yang_parent_name = "pfx-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx']
                                        self._child_classes = OrderedDict([("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                        ])
                                        self.pfx = None

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                        self._segment_path = lambda: "PfxRoutes-list" + "[pfx='" + str(self.pfx) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList, ['pfx'], name, value)


                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "PfxRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "PfxRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxItems.PfxRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class EsidItems(Entity):
                                """
                                
                                
                                .. attribute:: evpnesroutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`EvpnEsRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems, self).__init__()

                                    self.yang_name = "esid-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("EvpnEsRoutes-list", ("evpnesroutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.evpnesroutes_list = YList(self)
                                    self._segment_path = lambda: "esid-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems, [], name, value)


                                class EvpnEsRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: esid  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList, self).__init__()

                                        self.yang_name = "EvpnEsRoutes-list"
                                        self.yang_parent_name = "esid-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['esid']
                                        self._child_classes = OrderedDict([("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('esid', (YLeaf(YType.str, 'esid'), ['str'])),
                                        ])
                                        self.esid = None

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                        self._segment_path = lambda: "EvpnEsRoutes-list" + "[esid='" + str(self.esid) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList, ['esid'], name, value)


                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "EvpnEsRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.EsidItems.EvpnEsRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class NhItems(Entity):
                                """
                                
                                
                                .. attribute:: nexthoproutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NextHopRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems, self).__init__()

                                    self.yang_name = "nh-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("NextHopRoutes-list", ("nexthoproutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.nexthoproutes_list = YList(self)
                                    self._segment_path = lambda: "nh-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems, [], name, value)


                                class NextHopRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfx  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lblrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList, self).__init__()

                                        self.yang_name = "NextHopRoutes-list"
                                        self.yang_parent_name = "nh-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pfx']
                                        self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                        ])
                                        self.pfx = None

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems()
                                        self.lblrt_items.parent = self
                                        self._children_name_map["lblrt_items"] = "lblrt-items"

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                        self._segment_path = lambda: "NextHopRoutes-list" + "[pfx='" + str(self.pfx) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList, ['pfx'], name, value)


                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LblrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lblroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems, self).__init__()

                                            self.yang_name = "lblrt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lblroute_list = YList(self)
                                            self._segment_path = lambda: "lblrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems, [], name, value)


                                        class LblRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafflags
                                            
                                            	Labeled address\-family route flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: loclbl
                                            
                                            	Local label
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxlblholddowndelts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList, self).__init__()

                                                self.yang_name = "LblRoute-list"
                                                self.yang_parent_name = "lblrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                    ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                    ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                    ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rtlblafflags = None
                                                self.rtlblafver = None
                                                self.loclbl = None
                                                self.pfxlblholddowndelts = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LblRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "NextHopRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.NhItems.NextHopRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class MrttypeItems(Entity):
                                """
                                
                                
                                .. attribute:: mcastrttyperoutes_list
                                
                                	
                                	**type**\: list of  		 :py:class:`McastRtTypeRoutesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems, self).__init__()

                                    self.yang_name = "mrttype-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("McastRtTypeRoutes-list", ("mcastrttyperoutes_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList))])
                                    self._leafs = OrderedDict()

                                    self.mcastrttyperoutes_list = YList(self)
                                    self._segment_path = lambda: "mrttype-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems, [], name, value)


                                class McastRtTypeRoutesList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttype  (key)
                                    
                                    	MVPN route\-type
                                    	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList, self).__init__()

                                        self.yang_name = "McastRtTypeRoutes-list"
                                        self.yang_parent_name = "mrttype-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['rttype']
                                        self._child_classes = OrderedDict([("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems))])
                                        self._leafs = OrderedDict([
                                            ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                        ])
                                        self.rttype = None

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                        self._segment_path = lambda: "McastRtTypeRoutes-list" + "[rtType='" + str(self.rttype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList, ['rttype'], name, value)


                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "McastRtTypeRoutes-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.MrttypeItems.McastRtTypeRoutesList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)









                            class DefrtleakItems(Entity):
                                """
                                
                                
                                .. attribute:: scope
                                
                                	Scope
                                	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DefrtleakItems, self).__init__()

                                    self.yang_name = "defrtleak-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ])
                                    self.scope = None
                                    self.rtmap = None
                                    self._segment_path = lambda: "defrtleak-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.DefrtleakItems, ['scope', 'rtmap'], name, value)



                            class InterleakItems(Entity):
                                """
                                
                                
                                .. attribute:: interleakp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InterLeakPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems.InterLeakPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems, self).__init__()

                                    self.yang_name = "interleak-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("InterLeakP-list", ("interleakp_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems.InterLeakPList))])
                                    self._leafs = OrderedDict()

                                    self.interleakp_list = YList(self)
                                    self._segment_path = lambda: "interleak-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems, [], name, value)


                                class InterLeakPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: proto  (key)
                                    
                                    	Protocol
                                    	**type**\:  :py:class:`RtleakProto <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakProto>`
                                    
                                    .. attribute:: inst  (key)
                                    
                                    	Instance
                                    	**type**\: str
                                    
                                    	**length:** 1..20
                                    
                                    .. attribute:: scope
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: asn
                                    
                                    	Autonomous System Number
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems.InterLeakPList, self).__init__()

                                        self.yang_name = "InterLeakP-list"
                                        self.yang_parent_name = "interleak-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['proto','inst']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakProto', '')])),
                                            ('inst', (YLeaf(YType.str, 'inst'), ['str'])),
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                        ])
                                        self.proto = None
                                        self.inst = None
                                        self.scope = None
                                        self.rtmap = None
                                        self.asn = None
                                        self._segment_path = lambda: "InterLeakP-list" + "[proto='" + str(self.proto) + "']" + "[inst='" + str(self.inst) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InterleakItems.InterLeakPList, ['proto', 'inst', 'scope', 'rtmap', 'asn'], name, value)




                            class InjnameItems(Entity):
                                """
                                
                                
                                .. attribute:: injleakp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InjLeakPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems.InjLeakPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems, self).__init__()

                                    self.yang_name = "injname-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("InjLeakP-list", ("injleakp_list", System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems.InjLeakPList))])
                                    self._leafs = OrderedDict()

                                    self.injleakp_list = YList(self)
                                    self._segment_path = lambda: "injname-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems, [], name, value)


                                class InjLeakPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Inject Route Map Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: rtmap  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: copyattr
                                    
                                    	Copy attributes from aggregate
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: scope
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems.InjLeakPList, self).__init__()

                                        self.yang_name = "InjLeakP-list"
                                        self.yang_parent_name = "injname-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name','rtmap']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('copyattr', (YLeaf(YType.enumeration, 'copyAttr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                        ])
                                        self.name = None
                                        self.rtmap = None
                                        self.copyattr = None
                                        self.scope = None
                                        self._segment_path = lambda: "InjLeakP-list" + "[name='" + str(self.name) + "']" + "[rtMap='" + str(self.rtmap) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.AfItems.DomAfList.InjnameItems.InjLeakPList, ['name', 'rtmap', 'copyattr', 'scope'], name, value)






                    class BmpItems(Entity):
                        """
                        
                        
                        .. attribute:: bmpsvr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`BmpSvrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.BmpItems.BmpSvrList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.BmpItems, self).__init__()

                            self.yang_name = "bmp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("BmpSvr-list", ("bmpsvr_list", System.BgpItems.InstItems.DomItems.DomList.BmpItems.BmpSvrList))])
                            self._leafs = OrderedDict()

                            self.bmpsvr_list = YList(self)
                            self._segment_path = lambda: "bmp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.BmpItems, [], name, value)


                        class BmpSvrList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	BMP Server Id
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: port
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: descr
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: refreshintvldelay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..720
                            
                            	**default value**\: 30
                            
                            .. attribute:: refreshintvlskip
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: delayintvl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..720
                            
                            	**default value**\: 45
                            
                            .. attribute:: statintvl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..720
                            
                            .. attribute:: adminst
                            
                            	BMP server config state
                            	**type**\:  :py:class:`BgpBmpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpBmpSt>`
                            
                            .. attribute:: vrfname
                            
                            	VRF for BMP server
                            	**type**\: str
                            
                            .. attribute:: srcif
                            
                            	Source Interface for BMP server
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.BmpItems.BmpSvrList, self).__init__()

                                self.yang_name = "BmpSvr-list"
                                self.yang_parent_name = "bmp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('port', (YLeaf(YType.uint16, 'port'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('refreshintvldelay', (YLeaf(YType.uint16, 'refreshIntvlDelay'), ['int'])),
                                    ('refreshintvlskip', (YLeaf(YType.boolean, 'refreshIntvlSkip'), ['bool'])),
                                    ('delayintvl', (YLeaf(YType.uint16, 'delayIntvl'), ['int'])),
                                    ('statintvl', (YLeaf(YType.uint16, 'statIntvl'), ['int'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpBmpSt', '')])),
                                    ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                ])
                                self.id = None
                                self.addr = None
                                self.port = None
                                self.descr = None
                                self.refreshintvldelay = None
                                self.refreshintvlskip = None
                                self.delayintvl = None
                                self.statintvl = None
                                self.adminst = None
                                self.vrfname = None
                                self.srcif = None
                                self._segment_path = lambda: "BmpSvr-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.BmpItems.BmpSvrList, ['id', 'addr', 'port', 'descr', 'refreshintvldelay', 'refreshintvlskip', 'delayintvl', 'statintvl', 'adminst', 'vrfname', 'srcif'], name, value)




                    class GrItems(Entity):
                        """
                        
                        
                        .. attribute:: ctrl
                        
                        	Control
                        	**type**\: str
                        
                        .. attribute:: restartintvl
                        
                        	Restart Time Advertised to Peer
                        	**type**\: int
                        
                        	**range:** 1..3600
                        
                        .. attribute:: staleintvl
                        
                        	Stale Time for Routes Advertised by Peer
                        	**type**\: int
                        
                        	**range:** 1..3600
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.GrItems, self).__init__()

                            self.yang_name = "gr-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('restartintvl', (YLeaf(YType.uint16, 'restartIntvl'), ['int'])),
                                ('staleintvl', (YLeaf(YType.uint16, 'staleIntvl'), ['int'])),
                            ])
                            self.ctrl = None
                            self.restartintvl = None
                            self.staleintvl = None
                            self._segment_path = lambda: "gr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.GrItems, ['ctrl', 'restartintvl', 'staleintvl'], name, value)



                    class PeerItems(Entity):
                        """
                        
                        
                        .. attribute:: peer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems, self).__init__()

                            self.yang_name = "peer-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Peer-list", ("peer_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList))])
                            self._leafs = OrderedDict()

                            self.peer_list = YList(self)
                            self._segment_path = lambda: "peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems, [], name, value)


                        class PeerList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: adminst
                            
                            	Administrative State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: asn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lognbrchgs
                            
                            	Log messages for Neighbor up/down events
                            	**type**\:  :py:class:`BgpLogNbrSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLogNbrSt>`
                            
                            .. attribute:: peertype
                            
                            	Neighbor Fabric Type
                            	**type**\:  :py:class:`BgpPeerFabType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerFabType>`
                            
                            .. attribute:: dynrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: srcif
                            
                            	Source interface of BGP session and updates
                            	**type**\: str
                            
                            .. attribute:: password
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: passwdtype
                            
                            	Password EnCrypt Type
                            	**type**\:  :py:class:`BgpPwdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPwdType>`
                            
                            .. attribute:: ctrl
                            
                            	Peer Controls
                            	**type**\: str
                            
                            .. attribute:: ttl
                            
                            	eBGP Multihop TTL value
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: kaintvl
                            
                            	Keepalive Interval
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 3..3600
                            
                            .. attribute:: connmode
                            
                            	BGP transport connection mode
                            	**type**\: str
                            
                            .. attribute:: maxpeercnt
                            
                            	Maximum Peers For Prefix
                            	**type**\: int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: sessioncontimp
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: peerimp
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: privateasctrl
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`BgpPrivateASControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPrivateASControl>`
                            
                            .. attribute:: epe
                            
                            	Egress Peer Engineering EPE for neighbor
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: epepeerset
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lowmemexempt
                            
                            	Low Memory Exempt
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: capsuppr4byteasn
                            
                            	Capability Suppress 4\-byte\-as
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: affgrp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ttlscrtyhops
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: bmpsrvid1st
                            
                            	Activate BMP Server 1
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: bmpsrvid2st
                            
                            	Activate BMP Server 2
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: maxpfxpeers
                            
                            	Maximum Prefix Peers Count
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: curpfxpeers
                            
                            	Current Prefix Peers Counts
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: activepfxpeers
                            
                            	Active Prefix Peer Counts
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: maxcurpeers
                            
                            	Maximum Current Peers Counts
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: totalpfxpeers
                            
                            	Total Prefix Peers Counts
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: inheritcontpeerctrl
                            
                            	Inherit control of peer parameters
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: localasn_items
                            
                            	
                            	**type**\:  :py:class:`LocalasnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.LocalasnItems>`
                            
                            .. attribute:: ent_items
                            
                            	
                            	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems>`
                            
                            .. attribute:: epe_items
                            
                            	
                            	**type**\:  :py:class:`EpeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems>`
                            
                            .. attribute:: af_items
                            
                            	
                            	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList, self).__init__()

                                self.yang_name = "Peer-list"
                                self.yang_parent_name = "peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("localasn-items", ("localasn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.LocalasnItems)), ("ent-items", ("ent_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems)), ("epe-items", ("epe_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems)), ("af-items", ("af_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                    ('lognbrchgs', (YLeaf(YType.enumeration, 'logNbrChgs'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLogNbrSt', '')])),
                                    ('peertype', (YLeaf(YType.enumeration, 'peerType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerFabType', '')])),
                                    ('dynrtmap', (YLeaf(YType.str, 'dynRtMap'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('password', (YLeaf(YType.str, 'password'), ['str'])),
                                    ('passwdtype', (YLeaf(YType.enumeration, 'passwdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPwdType', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('ttl', (YLeaf(YType.uint16, 'ttl'), ['int'])),
                                    ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                                    ('connmode', (YLeaf(YType.str, 'connMode'), ['str'])),
                                    ('maxpeercnt', (YLeaf(YType.uint32, 'maxPeerCnt'), ['int'])),
                                    ('sessioncontimp', (YLeaf(YType.str, 'sessionContImp'), ['str'])),
                                    ('peerimp', (YLeaf(YType.str, 'peerImp'), ['str'])),
                                    ('privateasctrl', (YLeaf(YType.enumeration, 'privateASctrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPrivateASControl', '')])),
                                    ('epe', (YLeaf(YType.enumeration, 'epe'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('epepeerset', (YLeaf(YType.str, 'epePeerSet'), ['str'])),
                                    ('lowmemexempt', (YLeaf(YType.enumeration, 'lowMemExempt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('capsuppr4byteasn', (YLeaf(YType.enumeration, 'capSuppr4ByteAsn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('affgrp', (YLeaf(YType.uint16, 'affGrp'), ['int'])),
                                    ('ttlscrtyhops', (YLeaf(YType.uint16, 'ttlScrtyHops'), ['int'])),
                                    ('bmpsrvid1st', (YLeaf(YType.enumeration, 'bmpSrvId1St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('bmpsrvid2st', (YLeaf(YType.enumeration, 'bmpSrvId2St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('maxpfxpeers', (YLeaf(YType.uint64, 'maxPfxPeers'), ['int'])),
                                    ('curpfxpeers', (YLeaf(YType.uint64, 'curPfxPeers'), ['int'])),
                                    ('activepfxpeers', (YLeaf(YType.uint64, 'activePfxPeers'), ['int'])),
                                    ('maxcurpeers', (YLeaf(YType.uint64, 'maxCurPeers'), ['int'])),
                                    ('totalpfxpeers', (YLeaf(YType.uint64, 'totalPfxPeers'), ['int'])),
                                    ('inheritcontpeerctrl', (YLeaf(YType.str, 'inheritContPeerCtrl'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.addr = None
                                self.adminst = None
                                self.asn = None
                                self.lognbrchgs = None
                                self.peertype = None
                                self.dynrtmap = None
                                self.srcif = None
                                self.password = None
                                self.passwdtype = None
                                self.ctrl = None
                                self.ttl = None
                                self.kaintvl = None
                                self.holdintvl = None
                                self.connmode = None
                                self.maxpeercnt = None
                                self.sessioncontimp = None
                                self.peerimp = None
                                self.privateasctrl = None
                                self.epe = None
                                self.epepeerset = None
                                self.lowmemexempt = None
                                self.capsuppr4byteasn = None
                                self.affgrp = None
                                self.ttlscrtyhops = None
                                self.bmpsrvid1st = None
                                self.bmpsrvid2st = None
                                self.maxpfxpeers = None
                                self.curpfxpeers = None
                                self.activepfxpeers = None
                                self.maxcurpeers = None
                                self.totalpfxpeers = None
                                self.inheritcontpeerctrl = None
                                self.name = None

                                self.localasn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.LocalasnItems()
                                self.localasn_items.parent = self
                                self._children_name_map["localasn_items"] = "localasn-items"

                                self.ent_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems()
                                self.ent_items.parent = self
                                self._children_name_map["ent_items"] = "ent-items"

                                self.epe_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems()
                                self.epe_items.parent = self
                                self._children_name_map["epe_items"] = "epe-items"

                                self.af_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems()
                                self.af_items.parent = self
                                self._children_name_map["af_items"] = "af-items"
                                self._segment_path = lambda: "Peer-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList, ['addr', 'adminst', 'asn', 'lognbrchgs', 'peertype', 'dynrtmap', 'srcif', 'password', 'passwdtype', 'ctrl', 'ttl', 'kaintvl', 'holdintvl', 'connmode', 'maxpeercnt', 'sessioncontimp', 'peerimp', 'privateasctrl', 'epe', 'epepeerset', 'lowmemexempt', 'capsuppr4byteasn', 'affgrp', 'ttlscrtyhops', 'bmpsrvid1st', 'bmpsrvid2st', 'maxpfxpeers', 'curpfxpeers', 'activepfxpeers', 'maxcurpeers', 'totalpfxpeers', 'inheritcontpeerctrl', 'name'], name, value)


                            class LocalasnItems(Entity):
                                """
                                
                                
                                .. attribute:: localasn
                                
                                	Local Autonomous System Number
                                	**type**\: str
                                
                                .. attribute:: asnpropagate
                                
                                	ASN Propagation
                                	**type**\:  :py:class:`BgpAsnPropagation <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsnPropagation>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.LocalasnItems, self).__init__()

                                    self.yang_name = "localasn-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('localasn', (YLeaf(YType.str, 'localAsn'), ['str'])),
                                        ('asnpropagate', (YLeaf(YType.enumeration, 'asnPropagate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsnPropagation', '')])),
                                    ])
                                    self.localasn = None
                                    self.asnpropagate = None
                                    self._segment_path = lambda: "localasn-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.LocalasnItems, ['localasn', 'asnpropagate'], name, value)



                            class EntItems(Entity):
                                """
                                
                                
                                .. attribute:: peerentry_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PeerEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems, self).__init__()

                                    self.yang_name = "ent-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PeerEntry-list", ("peerentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList))])
                                    self._leafs = OrderedDict()

                                    self.peerentry_list = YList(self)
                                    self._segment_path = lambda: "ent-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems, [], name, value)


                                class PeerEntryList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: type
                                    
                                    	Peer Link Type
                                    	**type**\:  :py:class:`BgpPeerType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtrid
                                    
                                    	Router ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`BgpPeerOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: prevoperst
                                    
                                    	Previous Operational State
                                    	**type**\:  :py:class:`BgpPeerOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: shutstqual
                                    
                                    	Shut State Qualifier
                                    	**type**\:  :py:class:`BgpShutStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpShutStQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lastflapts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxconnretryintvl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 60
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: advcap
                                    
                                    	Advertised Capability
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rcvcap
                                    
                                    	Received Capability
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: connif
                                    
                                    	Directly Attached Interface
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: holdintvl
                                    
                                    	Hold Interval in secs
                                    	**type**\: int
                                    
                                    	**range:** 3..3600
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: kaintvl
                                    
                                    	Keepalive Interval in secs
                                    	**type**\: int
                                    
                                    	**range:** 0..3600
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: localip
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: localport
                                    
                                    	Local Port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: remoteport
                                    
                                    	Remote Port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: connest
                                    
                                    	Connections Established
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conndrop
                                    
                                    	Connections Dropped
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: updateelapsedts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: fd
                                    
                                    	FD to Connect to Peer
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peeridx
                                    
                                    	Peer Index
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: connattempts
                                    
                                    	Connection Attempts
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: streason
                                    
                                    	Peer Idle State Reason
                                    	**type**\:  :py:class:`BgpStReason <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpStReason>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: passwdset
                                    
                                    	TCP MD5 Authentication
                                    	**type**\:  :py:class:`BgpPasswdSet <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPasswdSet>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: gr_items
                                    
                                    	
                                    	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.GrItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ev_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EvItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: epe_items
                                    
                                    	
                                    	**type**\:  :py:class:`EpeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: af_items
                                    
                                    	
                                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peerstats_items
                                    
                                    	
                                    	**type**\:  :py:class:`PeerstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.PeerstatsItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList, self).__init__()

                                        self.yang_name = "PeerEntry-list"
                                        self.yang_parent_name = "ent-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([("gr-items", ("gr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.GrItems)), ("ev-items", ("ev_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EvItems)), ("epe-items", ("epe_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems)), ("af-items", ("af_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems)), ("peerstats-items", ("peerstats_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.PeerstatsItems))])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerType', '')])),
                                            ('rtrid', (YLeaf(YType.str, 'rtrId'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerOperSt', '')])),
                                            ('prevoperst', (YLeaf(YType.enumeration, 'prevOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerOperSt', '')])),
                                            ('shutstqual', (YLeaf(YType.enumeration, 'shutStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpShutStQual', '')])),
                                            ('lastflapts', (YLeaf(YType.str, 'lastFlapTs'), ['str'])),
                                            ('maxconnretryintvl', (YLeaf(YType.uint16, 'maxConnRetryIntvl'), ['int'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('advcap', (YLeaf(YType.str, 'advCap'), ['str'])),
                                            ('rcvcap', (YLeaf(YType.str, 'rcvCap'), ['str'])),
                                            ('connif', (YLeaf(YType.str, 'connIf'), ['str'])),
                                            ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                                            ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                                            ('localip', (YLeaf(YType.str, 'localIp'), ['str','str'])),
                                            ('localport', (YLeaf(YType.uint16, 'localPort'), ['int'])),
                                            ('remoteport', (YLeaf(YType.uint16, 'remotePort'), ['int'])),
                                            ('connest', (YLeaf(YType.uint16, 'connEst'), ['int'])),
                                            ('conndrop', (YLeaf(YType.uint16, 'connDrop'), ['int'])),
                                            ('updateelapsedts', (YLeaf(YType.str, 'updateElapsedTs'), ['str'])),
                                            ('fd', (YLeaf(YType.uint32, 'fd'), ['int'])),
                                            ('peeridx', (YLeaf(YType.uint16, 'peerIdx'), ['int'])),
                                            ('connattempts', (YLeaf(YType.uint32, 'connAttempts'), ['int'])),
                                            ('streason', (YLeaf(YType.enumeration, 'stReason'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpStReason', '')])),
                                            ('passwdset', (YLeaf(YType.enumeration, 'passwdSet'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPasswdSet', '')])),
                                        ])
                                        self.addr = None
                                        self.type = None
                                        self.rtrid = None
                                        self.operst = None
                                        self.prevoperst = None
                                        self.shutstqual = None
                                        self.lastflapts = None
                                        self.maxconnretryintvl = None
                                        self.flags = None
                                        self.advcap = None
                                        self.rcvcap = None
                                        self.connif = None
                                        self.holdintvl = None
                                        self.kaintvl = None
                                        self.localip = None
                                        self.localport = None
                                        self.remoteport = None
                                        self.connest = None
                                        self.conndrop = None
                                        self.updateelapsedts = None
                                        self.fd = None
                                        self.peeridx = None
                                        self.connattempts = None
                                        self.streason = None
                                        self.passwdset = None

                                        self.gr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.GrItems()
                                        self.gr_items.parent = self
                                        self._children_name_map["gr_items"] = "gr-items"

                                        self.ev_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EvItems()
                                        self.ev_items.parent = self
                                        self._children_name_map["ev_items"] = "ev-items"

                                        self.epe_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems()
                                        self.epe_items.parent = self
                                        self._children_name_map["epe_items"] = "epe-items"

                                        self.af_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems()
                                        self.af_items.parent = self
                                        self._children_name_map["af_items"] = "af-items"

                                        self.peerstats_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.PeerstatsItems()
                                        self.peerstats_items.parent = self
                                        self._children_name_map["peerstats_items"] = "peerstats-items"
                                        self._segment_path = lambda: "PeerEntry-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList, ['addr', 'type', 'rtrid', 'operst', 'prevoperst', 'shutstqual', 'lastflapts', 'maxconnretryintvl', 'flags', 'advcap', 'rcvcap', 'connif', 'holdintvl', 'kaintvl', 'localip', 'localport', 'remoteport', 'connest', 'conndrop', 'updateelapsedts', 'fd', 'peeridx', 'connattempts', 'streason', 'passwdset'], name, value)


                                    class GrItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: operst
                                        
                                        	Operational State
                                        	**type**\:  :py:class:`BgpPeerGrSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerGrSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: restartintvl
                                        
                                        	Peer Graceful Restart Interval
                                        	**type**\: int
                                        
                                        	**range:** 0..4095
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.GrItems, self).__init__()

                                            self.yang_name = "gr-items"
                                            self.yang_parent_name = "PeerEntry-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerGrSt', '')])),
                                                ('restartintvl', (YLeaf(YType.uint16, 'restartIntvl'), ['int'])),
                                                ('grts', (YLeaf(YType.str, 'grTs'), ['str'])),
                                            ])
                                            self.operst = None
                                            self.restartintvl = None
                                            self.grts = None
                                            self._segment_path = lambda: "gr-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.GrItems, ['operst', 'restartintvl', 'grts'], name, value)



                                    class EvItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: majerrrstsent
                                        
                                        	Major Error During Last Resent Sent
                                        	**type**\:  :py:class:`BgpMajNotifErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMajNotifErr>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: minerrrstsent
                                        
                                        	Minor Error During Last Reset Sent
                                        	**type**\:  :py:class:`BgpMinNotifErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMinNotifErr>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrvalsent
                                        
                                        	Last Error Value Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rstsentts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: majerrrstrsvd
                                        
                                        	Major Error During Last Reset Received
                                        	**type**\:  :py:class:`BgpMajNotifErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMajNotifErr>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: minerrrstrsvd
                                        
                                        	Minor Error During Last Reset Received
                                        	**type**\:  :py:class:`BgpMinNotifErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMinNotifErr>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrvalrsvd
                                        
                                        	Last Error Value Received
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rstrsvdts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrlenrsvd
                                        
                                        	Last Error Length Received
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrlensent
                                        
                                        	Last Error Length Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrdatarsvd
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lasterrdatasent
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EvItems, self).__init__()

                                            self.yang_name = "ev-items"
                                            self.yang_parent_name = "PeerEntry-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('majerrrstsent', (YLeaf(YType.enumeration, 'majErrRstSent'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMajNotifErr', '')])),
                                                ('minerrrstsent', (YLeaf(YType.enumeration, 'minErrRstSent'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMinNotifErr', '')])),
                                                ('lasterrvalsent', (YLeaf(YType.uint32, 'lastErrValSent'), ['int'])),
                                                ('rstsentts', (YLeaf(YType.str, 'rstSentTs'), ['str'])),
                                                ('majerrrstrsvd', (YLeaf(YType.enumeration, 'majErrRstRsvd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMajNotifErr', '')])),
                                                ('minerrrstrsvd', (YLeaf(YType.enumeration, 'minErrRstRsvd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMinNotifErr', '')])),
                                                ('lasterrvalrsvd', (YLeaf(YType.uint32, 'lastErrValRsvd'), ['int'])),
                                                ('rstrsvdts', (YLeaf(YType.str, 'rstRsvdTs'), ['str'])),
                                                ('lasterrlenrsvd', (YLeaf(YType.uint8, 'lastErrLenRsvd'), ['int'])),
                                                ('lasterrlensent', (YLeaf(YType.uint8, 'lastErrLenSent'), ['int'])),
                                                ('lasterrdatarsvd', (YLeaf(YType.str, 'lastErrDataRsvd'), ['str'])),
                                                ('lasterrdatasent', (YLeaf(YType.str, 'lastErrDataSent'), ['str'])),
                                            ])
                                            self.majerrrstsent = None
                                            self.minerrrstsent = None
                                            self.lasterrvalsent = None
                                            self.rstsentts = None
                                            self.majerrrstrsvd = None
                                            self.minerrrstrsvd = None
                                            self.lasterrvalrsvd = None
                                            self.rstrsvdts = None
                                            self.lasterrlenrsvd = None
                                            self.lasterrlensent = None
                                            self.lasterrdatarsvd = None
                                            self.lasterrdatasent = None
                                            self._segment_path = lambda: "ev-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EvItems, ['majerrrstsent', 'minerrrstsent', 'lasterrvalsent', 'rstsentts', 'majerrrstrsvd', 'minerrrstrsvd', 'lasterrvalrsvd', 'rstrsvdts', 'lasterrlenrsvd', 'lasterrlensent', 'lasterrdatarsvd', 'lasterrdatasent'], name, value)



                                    class EpeItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: adminst
                                        
                                        	Egress Peer Engineering State
                                        	**type**\:  :py:class:`BgpEgressPeerEng <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEgressPeerEng>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: sid
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpcsetid
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: peersetname
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: peersetsid
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: peersetrpcsetid
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: epeadj_items
                                        
                                        	
                                        	**type**\:  :py:class:`EpeadjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems, self).__init__()

                                            self.yang_name = "epe-items"
                                            self.yang_parent_name = "PeerEntry-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("epeadj-items", ("epeadj_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems))])
                                            self._leafs = OrderedDict([
                                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEgressPeerEng', '')])),
                                                ('sid', (YLeaf(YType.uint32, 'sid'), ['int'])),
                                                ('rpcsetid', (YLeaf(YType.uint32, 'rpcSetID'), ['int'])),
                                                ('peersetname', (YLeaf(YType.str, 'peerSetName'), ['str'])),
                                                ('peersetsid', (YLeaf(YType.uint32, 'peerSetSid'), ['int'])),
                                                ('peersetrpcsetid', (YLeaf(YType.uint32, 'peerSetRpcSetID'), ['int'])),
                                            ])
                                            self.adminst = None
                                            self.sid = None
                                            self.rpcsetid = None
                                            self.peersetname = None
                                            self.peersetsid = None
                                            self.peersetrpcsetid = None

                                            self.epeadj_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems()
                                            self.epeadj_items.parent = self
                                            self._children_name_map["epeadj_items"] = "epeadj-items"
                                            self._segment_path = lambda: "epe-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems, ['adminst', 'sid', 'rpcsetid', 'peersetname', 'peersetsid', 'peersetrpcsetid'], name, value)


                                        class EpeadjItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peerepeadj_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PeerEpeAdjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems.PeerEpeAdjList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems, self).__init__()

                                                self.yang_name = "epeadj-items"
                                                self.yang_parent_name = "epe-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("PeerEpeAdj-list", ("peerepeadj_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems.PeerEpeAdjList))])
                                                self._leafs = OrderedDict()

                                                self.peerepeadj_list = YList(self)
                                                self._segment_path = lambda: "epeadj-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems, [], name, value)


                                            class PeerEpeAdjList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rpcsetid  (key)
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: localaddr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: remoteaddr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ifindex
                                                
                                                	Interface Index
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sid
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems.PeerEpeAdjList, self).__init__()

                                                    self.yang_name = "PeerEpeAdj-list"
                                                    self.yang_parent_name = "epeadj-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['rpcsetid']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('rpcsetid', (YLeaf(YType.uint32, 'rpcSetID'), ['int'])),
                                                        ('localaddr', (YLeaf(YType.str, 'localAddr'), ['str','str'])),
                                                        ('remoteaddr', (YLeaf(YType.str, 'remoteAddr'), ['str','str'])),
                                                        ('ifindex', (YLeaf(YType.str, 'ifIndex'), ['str'])),
                                                        ('sid', (YLeaf(YType.uint32, 'sid'), ['int'])),
                                                    ])
                                                    self.rpcsetid = None
                                                    self.localaddr = None
                                                    self.remoteaddr = None
                                                    self.ifindex = None
                                                    self.sid = None
                                                    self._segment_path = lambda: "PeerEpeAdj-list" + "[rpcSetID='" + str(self.rpcsetid) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.EpeItems.EpeadjItems.PeerEpeAdjList, ['rpcsetid', 'localaddr', 'remoteaddr', 'ifindex', 'sid'], name, value)





                                    class AfItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: peerafentry_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PeerAfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems.PeerAfEntryList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems, self).__init__()

                                            self.yang_name = "af-items"
                                            self.yang_parent_name = "PeerEntry-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("PeerAfEntry-list", ("peerafentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems.PeerAfEntryList))])
                                            self._leafs = OrderedDict()

                                            self.peerafentry_list = YList(self)
                                            self._segment_path = lambda: "af-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems, [], name, value)


                                        class PeerAfEntryList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type  (key)
                                            
                                            	Address Family Type
                                            	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tblver
                                            
                                            	Local BGP Table Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: peertblver
                                            
                                            	Peer Table Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tblst
                                            
                                            	Table State
                                            	**type**\:  :py:class:`BgpTblSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpTblSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: acceptedpaths
                                            
                                            	Number of accepted paths
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: deniedpaths
                                            
                                            	Number of denied paths
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: withdrawnpaths
                                            
                                            	Number of withDrawn paths
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: memaccpaths
                                            
                                            	Memory consumed by the number of accepted paths
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsent
                                            
                                            	Prefixes sent to peer
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxsaved
                                            
                                            	Prefixes saved from peer
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxflushed
                                            
                                            	Prefixes flushed from peer
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lasteorrcvdts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: firsteorrcvdts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems.PeerAfEntryList, self).__init__()

                                                self.yang_name = "PeerAfEntry-list"
                                                self.yang_parent_name = "af-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['type']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                                    ('tblver', (YLeaf(YType.uint32, 'tblVer'), ['int'])),
                                                    ('peertblver', (YLeaf(YType.uint32, 'peerTblVer'), ['int'])),
                                                    ('tblst', (YLeaf(YType.enumeration, 'tblSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpTblSt', '')])),
                                                    ('acceptedpaths', (YLeaf(YType.uint32, 'acceptedPaths'), ['int'])),
                                                    ('deniedpaths', (YLeaf(YType.uint32, 'deniedPaths'), ['int'])),
                                                    ('withdrawnpaths', (YLeaf(YType.uint32, 'withDrawnPaths'), ['int'])),
                                                    ('memaccpaths', (YLeaf(YType.uint32, 'memAccPaths'), ['int'])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('pfxsent', (YLeaf(YType.uint64, 'pfxSent'), ['int'])),
                                                    ('pfxsaved', (YLeaf(YType.uint64, 'pfxSaved'), ['int'])),
                                                    ('pfxflushed', (YLeaf(YType.uint64, 'pfxFlushed'), ['int'])),
                                                    ('lasteorrcvdts', (YLeaf(YType.str, 'lastEorRcvdTs'), ['str'])),
                                                    ('firsteorrcvdts', (YLeaf(YType.str, 'firstEorRcvdTs'), ['str'])),
                                                ])
                                                self.type = None
                                                self.tblver = None
                                                self.peertblver = None
                                                self.tblst = None
                                                self.acceptedpaths = None
                                                self.deniedpaths = None
                                                self.withdrawnpaths = None
                                                self.memaccpaths = None
                                                self.flags = None
                                                self.pfxsent = None
                                                self.pfxsaved = None
                                                self.pfxflushed = None
                                                self.lasteorrcvdts = None
                                                self.firsteorrcvdts = None
                                                self._segment_path = lambda: "PeerAfEntry-list" + "[type='" + str(self.type) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.AfItems.PeerAfEntryList, ['type', 'tblver', 'peertblver', 'tblst', 'acceptedpaths', 'deniedpaths', 'withdrawnpaths', 'memaccpaths', 'flags', 'pfxsent', 'pfxsaved', 'pfxflushed', 'lasteorrcvdts', 'firsteorrcvdts'], name, value)




                                    class PeerstatsItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: opensent
                                        
                                        	Number of Open Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: openrcvd
                                        
                                        	Number of Open Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: updatesent
                                        
                                        	Number of Update Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: updatercvd
                                        
                                        	Number of Update Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: kasent
                                        
                                        	Number of Keepalive Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: karcvd
                                        
                                        	Number of Keepalive Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routerefreshsent
                                        
                                        	Number of Route Refresh Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routerefreshrcvd
                                        
                                        	Number of Route Refresh Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: capsent
                                        
                                        	Number of Capability Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: caprcvd
                                        
                                        	Number of Capability Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: notifsent
                                        
                                        	Number of Notification Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: notifrcvd
                                        
                                        	Number of Notification Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: msgsent
                                        
                                        	Number of Messages Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: msgrcvd
                                        
                                        	Number of Messages Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bytesent
                                        
                                        	Number of Bytes Sent
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bytercvd
                                        
                                        	Number of Bytes Received
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: byteinsendq
                                        
                                        	Bytes in Send Queue
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: byteinrecvq
                                        
                                        	Bytes in Receive Queue
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: connectretryts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: kats
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.PeerstatsItems, self).__init__()

                                            self.yang_name = "peerstats-items"
                                            self.yang_parent_name = "PeerEntry-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('opensent', (YLeaf(YType.uint64, 'openSent'), ['int'])),
                                                ('openrcvd', (YLeaf(YType.uint64, 'openRcvd'), ['int'])),
                                                ('updatesent', (YLeaf(YType.uint64, 'updateSent'), ['int'])),
                                                ('updatercvd', (YLeaf(YType.uint64, 'updateRcvd'), ['int'])),
                                                ('kasent', (YLeaf(YType.uint64, 'kaSent'), ['int'])),
                                                ('karcvd', (YLeaf(YType.uint64, 'kaRcvd'), ['int'])),
                                                ('routerefreshsent', (YLeaf(YType.uint64, 'routeRefreshSent'), ['int'])),
                                                ('routerefreshrcvd', (YLeaf(YType.uint64, 'routeRefreshRcvd'), ['int'])),
                                                ('capsent', (YLeaf(YType.uint64, 'capSent'), ['int'])),
                                                ('caprcvd', (YLeaf(YType.uint64, 'capRcvd'), ['int'])),
                                                ('notifsent', (YLeaf(YType.uint64, 'notifSent'), ['int'])),
                                                ('notifrcvd', (YLeaf(YType.uint64, 'notifRcvd'), ['int'])),
                                                ('msgsent', (YLeaf(YType.uint64, 'msgSent'), ['int'])),
                                                ('msgrcvd', (YLeaf(YType.uint64, 'msgRcvd'), ['int'])),
                                                ('bytesent', (YLeaf(YType.uint64, 'byteSent'), ['int'])),
                                                ('bytercvd', (YLeaf(YType.uint64, 'byteRcvd'), ['int'])),
                                                ('byteinsendq', (YLeaf(YType.uint64, 'byteInSendQ'), ['int'])),
                                                ('byteinrecvq', (YLeaf(YType.uint64, 'byteInRecvQ'), ['int'])),
                                                ('connectretryts', (YLeaf(YType.str, 'connectRetryTs'), ['str'])),
                                                ('kats', (YLeaf(YType.str, 'kaTs'), ['str'])),
                                            ])
                                            self.opensent = None
                                            self.openrcvd = None
                                            self.updatesent = None
                                            self.updatercvd = None
                                            self.kasent = None
                                            self.karcvd = None
                                            self.routerefreshsent = None
                                            self.routerefreshrcvd = None
                                            self.capsent = None
                                            self.caprcvd = None
                                            self.notifsent = None
                                            self.notifrcvd = None
                                            self.msgsent = None
                                            self.msgrcvd = None
                                            self.bytesent = None
                                            self.bytercvd = None
                                            self.byteinsendq = None
                                            self.byteinrecvq = None
                                            self.connectretryts = None
                                            self.kats = None
                                            self._segment_path = lambda: "peerstats-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EntItems.PeerEntryList.PeerstatsItems, ['opensent', 'openrcvd', 'updatesent', 'updatercvd', 'kasent', 'karcvd', 'routerefreshsent', 'routerefreshrcvd', 'capsent', 'caprcvd', 'notifsent', 'notifrcvd', 'msgsent', 'msgrcvd', 'bytesent', 'bytercvd', 'byteinsendq', 'byteinrecvq', 'connectretryts', 'kats'], name, value)





                            class EpeItems(Entity):
                                """
                                
                                
                                .. attribute:: adminst
                                
                                	Egress Peer Engineering State
                                	**type**\:  :py:class:`BgpEgressPeerEng <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEgressPeerEng>`
                                
                                	**config**\: False
                                
                                .. attribute:: sid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpcsetid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: peersetname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peersetsid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: peersetrpcsetid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: epeadj_items
                                
                                	
                                	**type**\:  :py:class:`EpeadjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems, self).__init__()

                                    self.yang_name = "epe-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("epeadj-items", ("epeadj_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems))])
                                    self._leafs = OrderedDict([
                                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEgressPeerEng', '')])),
                                        ('sid', (YLeaf(YType.uint32, 'sid'), ['int'])),
                                        ('rpcsetid', (YLeaf(YType.uint32, 'rpcSetID'), ['int'])),
                                        ('peersetname', (YLeaf(YType.str, 'peerSetName'), ['str'])),
                                        ('peersetsid', (YLeaf(YType.uint32, 'peerSetSid'), ['int'])),
                                        ('peersetrpcsetid', (YLeaf(YType.uint32, 'peerSetRpcSetID'), ['int'])),
                                    ])
                                    self.adminst = None
                                    self.sid = None
                                    self.rpcsetid = None
                                    self.peersetname = None
                                    self.peersetsid = None
                                    self.peersetrpcsetid = None

                                    self.epeadj_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems()
                                    self.epeadj_items.parent = self
                                    self._children_name_map["epeadj_items"] = "epeadj-items"
                                    self._segment_path = lambda: "epe-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems, ['adminst', 'sid', 'rpcsetid', 'peersetname', 'peersetsid', 'peersetrpcsetid'], name, value)


                                class EpeadjItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: peerepeadj_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PeerEpeAdjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems.PeerEpeAdjList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems, self).__init__()

                                        self.yang_name = "epeadj-items"
                                        self.yang_parent_name = "epe-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("PeerEpeAdj-list", ("peerepeadj_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems.PeerEpeAdjList))])
                                        self._leafs = OrderedDict()

                                        self.peerepeadj_list = YList(self)
                                        self._segment_path = lambda: "epeadj-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems, [], name, value)


                                    class PeerEpeAdjList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rpcsetid  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: localaddr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: remoteaddr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifindex
                                        
                                        	Interface Index
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: sid
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems.PeerEpeAdjList, self).__init__()

                                            self.yang_name = "PeerEpeAdj-list"
                                            self.yang_parent_name = "epeadj-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['rpcsetid']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rpcsetid', (YLeaf(YType.uint32, 'rpcSetID'), ['int'])),
                                                ('localaddr', (YLeaf(YType.str, 'localAddr'), ['str','str'])),
                                                ('remoteaddr', (YLeaf(YType.str, 'remoteAddr'), ['str','str'])),
                                                ('ifindex', (YLeaf(YType.str, 'ifIndex'), ['str'])),
                                                ('sid', (YLeaf(YType.uint32, 'sid'), ['int'])),
                                            ])
                                            self.rpcsetid = None
                                            self.localaddr = None
                                            self.remoteaddr = None
                                            self.ifindex = None
                                            self.sid = None
                                            self._segment_path = lambda: "PeerEpeAdj-list" + "[rpcSetID='" + str(self.rpcsetid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.EpeItems.EpeadjItems.PeerEpeAdjList, ['rpcsetid', 'localaddr', 'remoteaddr', 'ifindex', 'sid'], name, value)





                            class AfItems(Entity):
                                """
                                
                                
                                .. attribute:: peeraf_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PeerAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems, self).__init__()

                                    self.yang_name = "af-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PeerAf-list", ("peeraf_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList))])
                                    self._leafs = OrderedDict()

                                    self.peeraf_list = YList(self)
                                    self._segment_path = lambda: "af-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems, [], name, value)


                                class PeerAfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Address Family Type
                                    	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Peer address\-family control
                                    	**type**\: str
                                    
                                    .. attribute:: allowedselfascnt
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: softreconfigbackup
                                    
                                    	Soft Reconfiguration
                                    	**type**\:  :py:class:`BgpSoftReconfigBackup <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpSoftReconfigBackup>`
                                    
                                    .. attribute:: advintvl
                                    
                                    	Neighbor advertisement interval
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: deforg
                                    
                                    	Default Originate is enabled
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: deforgrtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: capaddlpaths
                                    
                                    	Capability Additional Paths
                                    	**type**\: str
                                    
                                    .. attribute:: unsupprmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: asoverride
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: nhthirdparty
                                    
                                    	Compute a third\-party nexthop if possible
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: wght
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: soo
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: sendcomstd
                                    
                                    	Send\-community standard
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: sendcomext
                                    
                                    	Send\-community extended
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: encapmpls
                                    
                                    	Configure encapsulation type for EVPN routes
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: rewritertasn
                                    
                                    	Auto generate RTs for EBGP neighbor
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: advgwip
                                    
                                    	Advertise Gateway IP in Type\-5 routes to neighbor
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: advlocallblrt
                                    
                                    	Advertise a route with local label to peer
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: nhselfall
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: inheritcontpeerpolicyctrl
                                    
                                    	Inherit control of peer policy parameters
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	bgp PeerAf
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: maxpfxp_items
                                    
                                    	
                                    	**type**\:  :py:class:`MaxpfxpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MaxpfxpItems>`
                                    
                                    .. attribute:: advtmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdvtmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtmapItems>`
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems>`
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems>`
                                    
                                    .. attribute:: lblrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems>`
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems>`
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems>`
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems>`
                                    
                                    .. attribute:: advtdrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdvtdrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems>`
                                    
                                    .. attribute:: rcvdrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RcvdrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems>`
                                    
                                    .. attribute:: damppathsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`DamppathsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems>`
                                    
                                    .. attribute:: rtctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems>`
                                    
                                    .. attribute:: defrtleak_items
                                    
                                    	
                                    	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DefrtleakItems>`
                                    
                                    .. attribute:: pfxctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`PfxctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems>`
                                    
                                    .. attribute:: fltrctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`FltrctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems>`
                                    
                                    .. attribute:: pol_items
                                    
                                    	
                                    	**type**\:  :py:class:`PolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList, self).__init__()

                                        self.yang_name = "PeerAf-list"
                                        self.yang_parent_name = "af-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("maxpfxp-items", ("maxpfxp_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MaxpfxpItems)), ("advtmap-items", ("advtmap_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtmapItems)), ("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems)), ("advtdrt-items", ("advtdrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems)), ("rcvdrt-items", ("rcvdrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems)), ("damppathsrt-items", ("damppathsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems)), ("rtctrl-items", ("rtctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems)), ("defrtleak-items", ("defrtleak_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DefrtleakItems)), ("pfxctrl-items", ("pfxctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems)), ("fltrctrl-items", ("fltrctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems)), ("pol-items", ("pol_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('allowedselfascnt', (YLeaf(YType.uint8, 'allowedSelfAsCnt'), ['int'])),
                                            ('softreconfigbackup', (YLeaf(YType.enumeration, 'softReconfigBackup'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpSoftReconfigBackup', '')])),
                                            ('advintvl', (YLeaf(YType.uint16, 'advIntvl'), ['int'])),
                                            ('deforg', (YLeaf(YType.enumeration, 'defOrg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('deforgrtmap', (YLeaf(YType.str, 'defOrgRtMap'), ['str'])),
                                            ('capaddlpaths', (YLeaf(YType.str, 'capAddlPaths'), ['str'])),
                                            ('unsupprmap', (YLeaf(YType.str, 'unSupprMap'), ['str'])),
                                            ('asoverride', (YLeaf(YType.enumeration, 'asOverride'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('nhthirdparty', (YLeaf(YType.enumeration, 'nhThirdparty'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('wght', (YLeaf(YType.str, 'wght'), ['str'])),
                                            ('soo', (YLeaf(YType.str, 'soo'), ['str'])),
                                            ('sendcomstd', (YLeaf(YType.enumeration, 'sendComStd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('sendcomext', (YLeaf(YType.enumeration, 'sendComExt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('encapmpls', (YLeaf(YType.enumeration, 'encapMpls'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('rewritertasn', (YLeaf(YType.enumeration, 'rewriteRtAsn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('advgwip', (YLeaf(YType.enumeration, 'advGwIp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('advlocallblrt', (YLeaf(YType.enumeration, 'advLocalLblRt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('nhselfall', (YLeaf(YType.boolean, 'nhSelfAll'), ['bool'])),
                                            ('inheritcontpeerpolicyctrl', (YLeaf(YType.str, 'inheritContPeerPolicyCtrl'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.type = None
                                        self.ctrl = None
                                        self.allowedselfascnt = None
                                        self.softreconfigbackup = None
                                        self.advintvl = None
                                        self.deforg = None
                                        self.deforgrtmap = None
                                        self.capaddlpaths = None
                                        self.unsupprmap = None
                                        self.asoverride = None
                                        self.nhthirdparty = None
                                        self.wght = None
                                        self.soo = None
                                        self.sendcomstd = None
                                        self.sendcomext = None
                                        self.encapmpls = None
                                        self.rewritertasn = None
                                        self.advgwip = None
                                        self.advlocallblrt = None
                                        self.nhselfall = None
                                        self.inheritcontpeerpolicyctrl = None
                                        self.name = None

                                        self.maxpfxp_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MaxpfxpItems()
                                        self.maxpfxp_items.parent = self
                                        self._children_name_map["maxpfxp_items"] = "maxpfxp-items"

                                        self.advtmap_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtmapItems()
                                        self.advtmap_items.parent = self
                                        self._children_name_map["advtmap_items"] = "advtmap-items"

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems()
                                        self.lblrt_items.parent = self
                                        self._children_name_map["lblrt_items"] = "lblrt-items"

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"

                                        self.advtdrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems()
                                        self.advtdrt_items.parent = self
                                        self._children_name_map["advtdrt_items"] = "advtdrt-items"

                                        self.rcvdrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems()
                                        self.rcvdrt_items.parent = self
                                        self._children_name_map["rcvdrt_items"] = "rcvdrt-items"

                                        self.damppathsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems()
                                        self.damppathsrt_items.parent = self
                                        self._children_name_map["damppathsrt_items"] = "damppathsrt-items"

                                        self.rtctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems()
                                        self.rtctrl_items.parent = self
                                        self._children_name_map["rtctrl_items"] = "rtctrl-items"

                                        self.defrtleak_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DefrtleakItems()
                                        self.defrtleak_items.parent = self
                                        self._children_name_map["defrtleak_items"] = "defrtleak-items"

                                        self.pfxctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems()
                                        self.pfxctrl_items.parent = self
                                        self._children_name_map["pfxctrl_items"] = "pfxctrl-items"

                                        self.fltrctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems()
                                        self.fltrctrl_items.parent = self
                                        self._children_name_map["fltrctrl_items"] = "fltrctrl-items"

                                        self.pol_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems()
                                        self.pol_items.parent = self
                                        self._children_name_map["pol_items"] = "pol-items"
                                        self._segment_path = lambda: "PeerAf-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList, ['type', 'ctrl', 'allowedselfascnt', 'softreconfigbackup', 'advintvl', 'deforg', 'deforgrtmap', 'capaddlpaths', 'unsupprmap', 'asoverride', 'nhthirdparty', 'wght', 'soo', 'sendcomstd', 'sendcomext', 'encapmpls', 'rewritertasn', 'advgwip', 'advlocallblrt', 'nhselfall', 'inheritcontpeerpolicyctrl', 'name'], name, value)


                                    class MaxpfxpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: maxpfx
                                        
                                        	Maximum number of prefixes from this neighbor
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: thresh
                                        
                                        	Threshold percentage at which to generate a warning
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: action
                                        
                                        	Action to do when limit is exceeded
                                        	**type**\:  :py:class:`BgpMaxPfxAct <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMaxPfxAct>`
                                        
                                        .. attribute:: restarttime
                                        
                                        	Restart bgp connection after prefix limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MaxpfxpItems, self).__init__()

                                            self.yang_name = "maxpfxp-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('maxpfx', (YLeaf(YType.uint32, 'maxPfx'), ['int'])),
                                                ('thresh', (YLeaf(YType.uint8, 'thresh'), ['int'])),
                                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMaxPfxAct', '')])),
                                                ('restarttime', (YLeaf(YType.uint16, 'restartTime'), ['int'])),
                                            ])
                                            self.maxpfx = None
                                            self.thresh = None
                                            self.action = None
                                            self.restarttime = None
                                            self._segment_path = lambda: "maxpfxp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MaxpfxpItems, ['maxpfx', 'thresh', 'action', 'restarttime'], name, value)



                                    class AdvtmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: condition
                                        
                                        	Specify route\-map for conditional advertisement
                                        	**type**\:  :py:class:`BgpAdvtMapCondition <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdvtMapCondition>`
                                        
                                        .. attribute:: condmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtmapItems, self).__init__()

                                            self.yang_name = "advtmap-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ('condition', (YLeaf(YType.enumeration, 'condition'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdvtMapCondition', '')])),
                                                ('condmap', (YLeaf(YType.str, 'condMap'), ['str'])),
                                            ])
                                            self.rtmap = None
                                            self.condition = None
                                            self.condmap = None
                                            self._segment_path = lambda: "advtmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtmapItems, ['rtmap', 'condition', 'condmap'], name, value)



                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LblrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lblroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems, self).__init__()

                                            self.yang_name = "lblrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lblroute_list = YList(self)
                                            self._segment_path = lambda: "lblrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems, [], name, value)


                                        class LblRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafflags
                                            
                                            	Labeled address\-family route flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: loclbl
                                            
                                            	Local label
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxlblholddowndelts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList, self).__init__()

                                                self.yang_name = "LblRoute-list"
                                                self.yang_parent_name = "lblrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                    ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                    ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                    ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rtlblafflags = None
                                                self.rtlblafver = None
                                                self.loclbl = None
                                                self.pfxlblholddowndelts = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LblRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class AdvtdrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems, self).__init__()

                                            self.yang_name = "advtdrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                            self._segment_path = lambda: "advtdrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class RcvdrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems, self).__init__()

                                            self.yang_name = "rcvdrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                            self._segment_path = lambda: "rcvdrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class DamppathsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems>`
                                        
                                        .. attribute:: mvpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems, self).__init__()

                                            self.yang_name = "damppathsrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                            self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems()
                                            self.mvpnrt_items.parent = self
                                            self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                            self._segment_path = lambda: "damppathsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class MvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mvpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems, self).__init__()

                                                self.yang_name = "mvpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.mvpnroute_list = YList(self)
                                                self._segment_path = lambda: "mvpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems, [], name, value)


                                            class MvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	MVPN route\-type
                                                	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, self).__init__()

                                                    self.yang_name = "MvpnRoute-list"
                                                    self.yang_parent_name = "mvpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "MvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class RtctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems, self).__init__()

                                            self.yang_name = "rtctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtCtrlP-list", ("rtctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.rtctrlp_list = YList(self)
                                            self._segment_path = lambda: "rtctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems, [], name, value)


                                        class RtCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction
                                            	**type**\:  :py:class:`RtctrlRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRtCtrlDir>`
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpRtCtrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            .. attribute:: rtmap
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList, self).__init__()

                                                self.yang_name = "RtCtrlP-list"
                                                self.yang_parent_name = "rtctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRtCtrlDir', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlOperSt', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.operst = None
                                                self.name = None
                                                self.descr = None
                                                self.rtmap = None
                                                self._segment_path = lambda: "RtCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList, ['direction', 'operst', 'name', 'descr', 'rtmap'], name, value)




                                    class DefrtleakItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: scope
                                        
                                        	Scope
                                        	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DefrtleakItems, self).__init__()

                                            self.yang_name = "defrtleak-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ])
                                            self.scope = None
                                            self.rtmap = None
                                            self._segment_path = lambda: "defrtleak-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.DefrtleakItems, ['scope', 'rtmap'], name, value)



                                    class PfxctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfxctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PfxCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems, self).__init__()

                                            self.yang_name = "pfxctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("PfxCtrlP-list", ("pfxctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.pfxctrlp_list = YList(self)
                                            self._segment_path = lambda: "pfxctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems, [], name, value)


                                        class PfxCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                            	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                            
                                            .. attribute:: list
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList, self).__init__()

                                                self.yang_name = "PfxCtrlP-list"
                                                self.yang_parent_name = "pfxctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                                    ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.list = None
                                                self._segment_path = lambda: "PfxCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList, ['direction', 'list'], name, value)




                                    class FltrctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: fltrctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`FltrCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems, self).__init__()

                                            self.yang_name = "fltrctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("FltrCtrlP-list", ("fltrctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.fltrctrlp_list = YList(self)
                                            self._segment_path = lambda: "fltrctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems, [], name, value)


                                        class FltrCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                            	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            .. attribute:: list
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList, self).__init__()

                                                self.yang_name = "FltrCtrlP-list"
                                                self.yang_parent_name = "fltrctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.name = None
                                                self.descr = None
                                                self.list = None
                                                self._segment_path = lambda: "FltrCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList, ['direction', 'name', 'descr', 'list'], name, value)




                                    class PolItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: policyinheritrule_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PolicyInheritRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems, self).__init__()

                                            self.yang_name = "pol-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("PolicyInheritRule-list", ("policyinheritrule_list", System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList))])
                                            self._leafs = OrderedDict()

                                            self.policyinheritrule_list = YList(self)
                                            self._segment_path = lambda: "pol-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems, [], name, value)


                                        class PolicyInheritRuleList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            .. attribute:: seq
                                            
                                            	Sequence Number
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList, self).__init__()

                                                self.yang_name = "PolicyInheritRule-list"
                                                self.yang_parent_name = "pol-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('seq', (YLeaf(YType.uint16, 'seq'), ['int'])),
                                                ])
                                                self.name = None
                                                self.seq = None
                                                self._segment_path = lambda: "PolicyInheritRule-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList, ['name', 'seq'], name, value)








                    class PeercontItems(Entity):
                        """
                        
                        
                        .. attribute:: peercont_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PeerContList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems, self).__init__()

                            self.yang_name = "peercont-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PeerCont-list", ("peercont_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList))])
                            self._leafs = OrderedDict()

                            self.peercont_list = YList(self)
                            self._segment_path = lambda: "peercont-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems, [], name, value)


                        class PeerContList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: inheritcontpeerctrl
                            
                            	Inherit control of peer parameters
                            	**type**\: str
                            
                            .. attribute:: desc
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: adminst
                            
                            	Administrative State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: asn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lognbrchgs
                            
                            	Log Neighbor Changes
                            	**type**\:  :py:class:`BgpLogNbrSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLogNbrSt>`
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: password
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: passwdtype
                            
                            	Password EnCrypt Type
                            	**type**\:  :py:class:`BgpPwdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPwdType>`
                            
                            .. attribute:: ctrl
                            
                            	Control
                            	**type**\: str
                            
                            .. attribute:: ttl
                            
                            	eBGP Multihop
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: kaintvl
                            
                            	Keepalive Interval
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 3..3600
                            
                            .. attribute:: connmode
                            
                            	Connection Mode
                            	**type**\: str
                            
                            .. attribute:: sessioncontimp
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: privateasctrl
                            
                            	Private AS Control
                            	**type**\:  :py:class:`BgpPrivateASControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPrivateASControl>`
                            
                            .. attribute:: peertype
                            
                            	Neighbor Fabric Type
                            	**type**\:  :py:class:`BgpPeerFabType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerFabType>`
                            
                            .. attribute:: lowmemexempt
                            
                            	Low Memory Exempt
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: capsuppr4byteasn
                            
                            	Capability Suppress 4\-byte\-as
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: affgrp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: epe
                            
                            	Egress Peer Engineering EPE for neighbor
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: epepeerset
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: bmpsrvid1st
                            
                            	Activate BMP Server 1
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: bmpsrvid2st
                            
                            	Activate BMP Server 2
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: localasn_items
                            
                            	
                            	**type**\:  :py:class:`LocalasnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.LocalasnItems>`
                            
                            .. attribute:: af_items
                            
                            	
                            	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList, self).__init__()

                                self.yang_name = "PeerCont-list"
                                self.yang_parent_name = "peercont-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("localasn-items", ("localasn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.LocalasnItems)), ("af-items", ("af_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('inheritcontpeerctrl', (YLeaf(YType.str, 'inheritContPeerCtrl'), ['str'])),
                                    ('desc', (YLeaf(YType.str, 'desc'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                    ('lognbrchgs', (YLeaf(YType.enumeration, 'logNbrChgs'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLogNbrSt', '')])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('password', (YLeaf(YType.str, 'password'), ['str'])),
                                    ('passwdtype', (YLeaf(YType.enumeration, 'passwdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPwdType', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('ttl', (YLeaf(YType.uint16, 'ttl'), ['int'])),
                                    ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                                    ('connmode', (YLeaf(YType.str, 'connMode'), ['str'])),
                                    ('sessioncontimp', (YLeaf(YType.str, 'sessionContImp'), ['str'])),
                                    ('privateasctrl', (YLeaf(YType.enumeration, 'privateASctrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPrivateASControl', '')])),
                                    ('peertype', (YLeaf(YType.enumeration, 'peerType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerFabType', '')])),
                                    ('lowmemexempt', (YLeaf(YType.enumeration, 'lowMemExempt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('capsuppr4byteasn', (YLeaf(YType.enumeration, 'capSuppr4ByteAsn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('affgrp', (YLeaf(YType.uint16, 'affGrp'), ['int'])),
                                    ('epe', (YLeaf(YType.enumeration, 'epe'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('epepeerset', (YLeaf(YType.str, 'epePeerSet'), ['str'])),
                                    ('bmpsrvid1st', (YLeaf(YType.enumeration, 'bmpSrvId1St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('bmpsrvid2st', (YLeaf(YType.enumeration, 'bmpSrvId2St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ])
                                self.name = None
                                self.inheritcontpeerctrl = None
                                self.desc = None
                                self.adminst = None
                                self.asn = None
                                self.lognbrchgs = None
                                self.srcif = None
                                self.password = None
                                self.passwdtype = None
                                self.ctrl = None
                                self.ttl = None
                                self.kaintvl = None
                                self.holdintvl = None
                                self.connmode = None
                                self.sessioncontimp = None
                                self.privateasctrl = None
                                self.peertype = None
                                self.lowmemexempt = None
                                self.capsuppr4byteasn = None
                                self.affgrp = None
                                self.epe = None
                                self.epepeerset = None
                                self.bmpsrvid1st = None
                                self.bmpsrvid2st = None

                                self.localasn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.LocalasnItems()
                                self.localasn_items.parent = self
                                self._children_name_map["localasn_items"] = "localasn-items"

                                self.af_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems()
                                self.af_items.parent = self
                                self._children_name_map["af_items"] = "af-items"
                                self._segment_path = lambda: "PeerCont-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList, ['name', 'inheritcontpeerctrl', 'desc', 'adminst', 'asn', 'lognbrchgs', 'srcif', 'password', 'passwdtype', 'ctrl', 'ttl', 'kaintvl', 'holdintvl', 'connmode', 'sessioncontimp', 'privateasctrl', 'peertype', 'lowmemexempt', 'capsuppr4byteasn', 'affgrp', 'epe', 'epepeerset', 'bmpsrvid1st', 'bmpsrvid2st'], name, value)


                            class LocalasnItems(Entity):
                                """
                                
                                
                                .. attribute:: localasn
                                
                                	Local Autonomous System Number
                                	**type**\: str
                                
                                .. attribute:: asnpropagate
                                
                                	ASN Propagation
                                	**type**\:  :py:class:`BgpAsnPropagation <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsnPropagation>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.LocalasnItems, self).__init__()

                                    self.yang_name = "localasn-items"
                                    self.yang_parent_name = "PeerCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('localasn', (YLeaf(YType.str, 'localAsn'), ['str'])),
                                        ('asnpropagate', (YLeaf(YType.enumeration, 'asnPropagate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsnPropagation', '')])),
                                    ])
                                    self.localasn = None
                                    self.asnpropagate = None
                                    self._segment_path = lambda: "localasn-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.LocalasnItems, ['localasn', 'asnpropagate'], name, value)



                            class AfItems(Entity):
                                """
                                
                                
                                .. attribute:: peeraf_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PeerAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems, self).__init__()

                                    self.yang_name = "af-items"
                                    self.yang_parent_name = "PeerCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PeerAf-list", ("peeraf_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList))])
                                    self._leafs = OrderedDict()

                                    self.peeraf_list = YList(self)
                                    self._segment_path = lambda: "af-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems, [], name, value)


                                class PeerAfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Address Family Type
                                    	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Peer address\-family control
                                    	**type**\: str
                                    
                                    .. attribute:: allowedselfascnt
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: softreconfigbackup
                                    
                                    	Soft Reconfiguration
                                    	**type**\:  :py:class:`BgpSoftReconfigBackup <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpSoftReconfigBackup>`
                                    
                                    .. attribute:: advintvl
                                    
                                    	Neighbor advertisement interval
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: deforg
                                    
                                    	Default Originate is enabled
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: deforgrtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: capaddlpaths
                                    
                                    	Capability Additional Paths
                                    	**type**\: str
                                    
                                    .. attribute:: unsupprmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: asoverride
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: nhthirdparty
                                    
                                    	Compute a third\-party nexthop if possible
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: wght
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: soo
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: sendcomstd
                                    
                                    	Send\-community standard
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: sendcomext
                                    
                                    	Send\-community extended
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: encapmpls
                                    
                                    	Configure encapsulation type for EVPN routes
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: rewritertasn
                                    
                                    	Auto generate RTs for EBGP neighbor
                                    	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                                    
                                    .. attribute:: advgwip
                                    
                                    	Advertise Gateway IP in Type\-5 routes to neighbor
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: advlocallblrt
                                    
                                    	Advertise a route with local label to peer
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: nhselfall
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: inheritcontpeerpolicyctrl
                                    
                                    	Inherit control of peer policy parameters
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	bgp PeerAf
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: maxpfxp_items
                                    
                                    	
                                    	**type**\:  :py:class:`MaxpfxpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MaxpfxpItems>`
                                    
                                    .. attribute:: advtmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdvtmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtmapItems>`
                                    
                                    .. attribute:: rt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems>`
                                    
                                    .. attribute:: vpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems>`
                                    
                                    .. attribute:: lblrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems>`
                                    
                                    .. attribute:: lsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems>`
                                    
                                    .. attribute:: evpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems>`
                                    
                                    .. attribute:: mvpnrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems>`
                                    
                                    .. attribute:: advtdrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdvtdrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems>`
                                    
                                    .. attribute:: rcvdrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RcvdrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems>`
                                    
                                    .. attribute:: damppathsrt_items
                                    
                                    	
                                    	**type**\:  :py:class:`DamppathsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems>`
                                    
                                    .. attribute:: rtctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems>`
                                    
                                    .. attribute:: defrtleak_items
                                    
                                    	
                                    	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DefrtleakItems>`
                                    
                                    .. attribute:: pfxctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`PfxctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems>`
                                    
                                    .. attribute:: fltrctrl_items
                                    
                                    	
                                    	**type**\:  :py:class:`FltrctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems>`
                                    
                                    .. attribute:: pol_items
                                    
                                    	
                                    	**type**\:  :py:class:`PolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList, self).__init__()

                                        self.yang_name = "PeerAf-list"
                                        self.yang_parent_name = "af-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("maxpfxp-items", ("maxpfxp_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MaxpfxpItems)), ("advtmap-items", ("advtmap_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtmapItems)), ("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems)), ("advtdrt-items", ("advtdrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems)), ("rcvdrt-items", ("rcvdrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems)), ("damppathsrt-items", ("damppathsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems)), ("rtctrl-items", ("rtctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems)), ("defrtleak-items", ("defrtleak_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DefrtleakItems)), ("pfxctrl-items", ("pfxctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems)), ("fltrctrl-items", ("fltrctrl_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems)), ("pol-items", ("pol_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('allowedselfascnt', (YLeaf(YType.uint8, 'allowedSelfAsCnt'), ['int'])),
                                            ('softreconfigbackup', (YLeaf(YType.enumeration, 'softReconfigBackup'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpSoftReconfigBackup', '')])),
                                            ('advintvl', (YLeaf(YType.uint16, 'advIntvl'), ['int'])),
                                            ('deforg', (YLeaf(YType.enumeration, 'defOrg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('deforgrtmap', (YLeaf(YType.str, 'defOrgRtMap'), ['str'])),
                                            ('capaddlpaths', (YLeaf(YType.str, 'capAddlPaths'), ['str'])),
                                            ('unsupprmap', (YLeaf(YType.str, 'unSupprMap'), ['str'])),
                                            ('asoverride', (YLeaf(YType.enumeration, 'asOverride'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('nhthirdparty', (YLeaf(YType.enumeration, 'nhThirdparty'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('wght', (YLeaf(YType.str, 'wght'), ['str'])),
                                            ('soo', (YLeaf(YType.str, 'soo'), ['str'])),
                                            ('sendcomstd', (YLeaf(YType.enumeration, 'sendComStd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('sendcomext', (YLeaf(YType.enumeration, 'sendComExt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('encapmpls', (YLeaf(YType.enumeration, 'encapMpls'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('rewritertasn', (YLeaf(YType.enumeration, 'rewriteRtAsn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                            ('advgwip', (YLeaf(YType.enumeration, 'advGwIp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('advlocallblrt', (YLeaf(YType.enumeration, 'advLocalLblRt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('nhselfall', (YLeaf(YType.boolean, 'nhSelfAll'), ['bool'])),
                                            ('inheritcontpeerpolicyctrl', (YLeaf(YType.str, 'inheritContPeerPolicyCtrl'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.type = None
                                        self.ctrl = None
                                        self.allowedselfascnt = None
                                        self.softreconfigbackup = None
                                        self.advintvl = None
                                        self.deforg = None
                                        self.deforgrtmap = None
                                        self.capaddlpaths = None
                                        self.unsupprmap = None
                                        self.asoverride = None
                                        self.nhthirdparty = None
                                        self.wght = None
                                        self.soo = None
                                        self.sendcomstd = None
                                        self.sendcomext = None
                                        self.encapmpls = None
                                        self.rewritertasn = None
                                        self.advgwip = None
                                        self.advlocallblrt = None
                                        self.nhselfall = None
                                        self.inheritcontpeerpolicyctrl = None
                                        self.name = None

                                        self.maxpfxp_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MaxpfxpItems()
                                        self.maxpfxp_items.parent = self
                                        self._children_name_map["maxpfxp_items"] = "maxpfxp-items"

                                        self.advtmap_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtmapItems()
                                        self.advtmap_items.parent = self
                                        self._children_name_map["advtmap_items"] = "advtmap-items"

                                        self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems()
                                        self.rt_items.parent = self
                                        self._children_name_map["rt_items"] = "rt-items"

                                        self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems()
                                        self.vpnrt_items.parent = self
                                        self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                        self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems()
                                        self.lblrt_items.parent = self
                                        self._children_name_map["lblrt_items"] = "lblrt-items"

                                        self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems()
                                        self.lsrt_items.parent = self
                                        self._children_name_map["lsrt_items"] = "lsrt-items"

                                        self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems()
                                        self.evpnrt_items.parent = self
                                        self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                        self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems()
                                        self.mvpnrt_items.parent = self
                                        self._children_name_map["mvpnrt_items"] = "mvpnrt-items"

                                        self.advtdrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems()
                                        self.advtdrt_items.parent = self
                                        self._children_name_map["advtdrt_items"] = "advtdrt-items"

                                        self.rcvdrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems()
                                        self.rcvdrt_items.parent = self
                                        self._children_name_map["rcvdrt_items"] = "rcvdrt-items"

                                        self.damppathsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems()
                                        self.damppathsrt_items.parent = self
                                        self._children_name_map["damppathsrt_items"] = "damppathsrt-items"

                                        self.rtctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems()
                                        self.rtctrl_items.parent = self
                                        self._children_name_map["rtctrl_items"] = "rtctrl-items"

                                        self.defrtleak_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DefrtleakItems()
                                        self.defrtleak_items.parent = self
                                        self._children_name_map["defrtleak_items"] = "defrtleak-items"

                                        self.pfxctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems()
                                        self.pfxctrl_items.parent = self
                                        self._children_name_map["pfxctrl_items"] = "pfxctrl-items"

                                        self.fltrctrl_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems()
                                        self.fltrctrl_items.parent = self
                                        self._children_name_map["fltrctrl_items"] = "fltrctrl-items"

                                        self.pol_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems()
                                        self.pol_items.parent = self
                                        self._children_name_map["pol_items"] = "pol-items"
                                        self._segment_path = lambda: "PeerAf-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList, ['type', 'ctrl', 'allowedselfascnt', 'softreconfigbackup', 'advintvl', 'deforg', 'deforgrtmap', 'capaddlpaths', 'unsupprmap', 'asoverride', 'nhthirdparty', 'wght', 'soo', 'sendcomstd', 'sendcomext', 'encapmpls', 'rewritertasn', 'advgwip', 'advlocallblrt', 'nhselfall', 'inheritcontpeerpolicyctrl', 'name'], name, value)


                                    class MaxpfxpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: maxpfx
                                        
                                        	Maximum number of prefixes from this neighbor
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: thresh
                                        
                                        	Threshold percentage at which to generate a warning
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: action
                                        
                                        	Action to do when limit is exceeded
                                        	**type**\:  :py:class:`BgpMaxPfxAct <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMaxPfxAct>`
                                        
                                        .. attribute:: restarttime
                                        
                                        	Restart bgp connection after prefix limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MaxpfxpItems, self).__init__()

                                            self.yang_name = "maxpfxp-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('maxpfx', (YLeaf(YType.uint32, 'maxPfx'), ['int'])),
                                                ('thresh', (YLeaf(YType.uint8, 'thresh'), ['int'])),
                                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMaxPfxAct', '')])),
                                                ('restarttime', (YLeaf(YType.uint16, 'restartTime'), ['int'])),
                                            ])
                                            self.maxpfx = None
                                            self.thresh = None
                                            self.action = None
                                            self.restarttime = None
                                            self._segment_path = lambda: "maxpfxp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MaxpfxpItems, ['maxpfx', 'thresh', 'action', 'restarttime'], name, value)



                                    class AdvtmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: condition
                                        
                                        	Specify route\-map for conditional advertisement
                                        	**type**\:  :py:class:`BgpAdvtMapCondition <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdvtMapCondition>`
                                        
                                        .. attribute:: condmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtmapItems, self).__init__()

                                            self.yang_name = "advtmap-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ('condition', (YLeaf(YType.enumeration, 'condition'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdvtMapCondition', '')])),
                                                ('condmap', (YLeaf(YType.str, 'condMap'), ['str'])),
                                            ])
                                            self.rtmap = None
                                            self.condition = None
                                            self.condmap = None
                                            self._segment_path = lambda: "advtmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtmapItems, ['rtmap', 'condition', 'condmap'], name, value)



                                    class RtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems, self).__init__()

                                            self.yang_name = "rt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "rt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "rt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "Route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems_(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class VpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems, self).__init__()

                                            self.yang_name = "vpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.vpnroute_list = YList(self)
                                            self._segment_path = lambda: "vpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems, [], name, value)


                                        class VpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList, self).__init__()

                                                self.yang_name = "VpnRoute-list"
                                                self.yang_parent_name = "vpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "VpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LblrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lblroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems, self).__init__()

                                            self.yang_name = "lblrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lblroute_list = YList(self)
                                            self._segment_path = lambda: "lblrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems, [], name, value)


                                        class LblRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafflags
                                            
                                            	Labeled address\-family route flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtlblafver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: loclbl
                                            
                                            	Local label
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pfxlblholddowndelts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList, self).__init__()

                                                self.yang_name = "LblRoute-list"
                                                self.yang_parent_name = "lblrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                    ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                    ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                    ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rtlblafflags = None
                                                self.rtlblafver = None
                                                self.loclbl = None
                                                self.pfxlblholddowndelts = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LblRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class LsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: lnkstroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems, self).__init__()

                                            self.yang_name = "lsrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList))])
                                            self._leafs = OrderedDict()

                                            self.lnkstroute_list = YList(self)
                                            self._segment_path = lambda: "lsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems, [], name, value)


                                        class LnkStRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nlritype
                                            
                                            	Link\-state NLRI type
                                            	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: protoid
                                            
                                            	Link\-state NLRI Protocol ID
                                            	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList, self).__init__()

                                                self.yang_name = "LnkStRoute-list"
                                                self.yang_parent_name = "lsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                    ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.nlritype = None
                                                self.protoid = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "LnkStRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class EvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: evpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems, self).__init__()

                                            self.yang_name = "evpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.evpnroute_list = YList(self)
                                            self._segment_path = lambda: "evpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems, [], name, value)


                                        class EvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	EVPN route\-type
                                            	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList, self).__init__()

                                                self.yang_name = "EvpnRoute-list"
                                                self.yang_parent_name = "evpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "EvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class MvpnrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mvpnroute_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems, self).__init__()

                                            self.yang_name = "mvpnrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList))])
                                            self._leafs = OrderedDict()

                                            self.mvpnroute_list = YList(self)
                                            self._segment_path = lambda: "mvpnrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems, [], name, value)


                                        class MvpnRouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rd  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	MVPN route\-type
                                            	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	Version
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rtflags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numpaths
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bestpathid
                                            
                                            	Bestpath Id
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: path_items
                                            
                                            	
                                            	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList, self).__init__()

                                                self.yang_name = "MvpnRoute-list"
                                                self.yang_parent_name = "mvpnrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx','rd']
                                                self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems))])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                    ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                    ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                    ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                    ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.rd = None
                                                self.rttype = None
                                                self.name = None
                                                self.ver = None
                                                self.rtflags = None
                                                self.numpaths = None
                                                self.bestpathid = None

                                                self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems()
                                                self.path_items.parent = self
                                                self._children_name_map["path_items"] = "path-items"
                                                self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                            class PathItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: path_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                    self.yang_name = "path-items"
                                                    self.yang_parent_name = "MvpnRoute-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                    self._leafs = OrderedDict()

                                                    self.path_list = YList(self)
                                                    self._segment_path = lambda: "path-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                class PathList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: peer  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nh  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: importedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origimportedrd  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: nhmetric
                                                    
                                                    	Nexthop Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Type
                                                    	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: operst
                                                    
                                                    	Operational State
                                                    	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: origin
                                                    
                                                    	Origin
                                                    	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	Metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: localpref
                                                    
                                                    	Local Preference
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Weight
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aggras
                                                    
                                                    	Aggregator ASN
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrdata
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: unknownattrlen
                                                    
                                                    	Unknown Attribute Length
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: regcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: extcomm
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: aspath
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcvdlbl
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: originatorid
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: clusterlst
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: peerrtrid
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: seg_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rcomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ecomm_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lnkstattr_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pfxsid_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pmsi_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                        self.yang_name = "Path-list"
                                                        self.yang_parent_name = "path-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                        self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                        self._leafs = OrderedDict([
                                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                            ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                            ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                            ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                            ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                            ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                            ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                            ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                            ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                            ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                            ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                            ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                            ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                            ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                            ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                            ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                            ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                            ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                            ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                            ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                        ])
                                                        self.peer = None
                                                        self.id = None
                                                        self.nh = None
                                                        self.importedrd = None
                                                        self.origimportedrd = None
                                                        self.nhmetric = None
                                                        self.type = None
                                                        self.operst = None
                                                        self.flags = None
                                                        self.origin = None
                                                        self.metric = None
                                                        self.localpref = None
                                                        self.weight = None
                                                        self.aggr = None
                                                        self.aggras = None
                                                        self.unknownattrdata = None
                                                        self.unknownattrlen = None
                                                        self.regcomm = None
                                                        self.extcomm = None
                                                        self.aspath = None
                                                        self.rcvdlbl = None
                                                        self.originatorid = None
                                                        self.clusterlst = None
                                                        self.peerrtrid = None

                                                        self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                        self.seg_items.parent = self
                                                        self._children_name_map["seg_items"] = "seg-items"

                                                        self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                        self.rcomm_items.parent = self
                                                        self._children_name_map["rcomm_items"] = "rcomm-items"

                                                        self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                        self.ecomm_items.parent = self
                                                        self._children_name_map["ecomm_items"] = "ecomm-items"

                                                        self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                        self.lnkstattr_items.parent = self
                                                        self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                        self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                        self.pfxsid_items.parent = self
                                                        self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                        self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                        self.pmsi_items.parent = self
                                                        self._children_name_map["pmsi_items"] = "pmsi-items"
                                                        self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                    class SegItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: asseg_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                            self.yang_name = "seg-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                            self._leafs = OrderedDict()

                                                            self.asseg_list = YList(self)
                                                            self._segment_path = lambda: "seg-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                        class AsSegList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: order  (key)
                                                            
                                                            	Order
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Type
                                                            	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: asn_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                self.yang_name = "AsSeg-list"
                                                                self.yang_parent_name = "seg-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['order']
                                                                self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                ])
                                                                self.order = None
                                                                self.type = None

                                                                self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                self.asn_items.parent = self
                                                                self._children_name_map["asn_items"] = "asn-items"
                                                                self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                            class AsnItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: asitem_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                    self.yang_name = "asn-items"
                                                                    self.yang_parent_name = "AsSeg-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.asitem_list = YList(self)
                                                                    self._segment_path = lambda: "asn-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                class AsItemList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: order  (key)
                                                                    
                                                                    	Order
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: asn
                                                                    
                                                                    	Autonomous System Number
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                        self.yang_name = "AsItem-list"
                                                                        self.yang_parent_name = "asn-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['order']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                        ])
                                                                        self.order = None
                                                                        self.asn = None
                                                                        self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                    class RcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: regcomm_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                            self.yang_name = "rcomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                            self._leafs = OrderedDict()

                                                            self.regcomm_list = YList(self)
                                                            self._segment_path = lambda: "rcomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                        class RegCommList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: community  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                self.yang_name = "RegComm-list"
                                                                self.yang_parent_name = "rcomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['community']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                ])
                                                                self.community = None
                                                                self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                    class EcommItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rtrmac
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rt_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                            self.yang_name = "ecomm-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.rtrmac = None

                                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                            self.rt_items.parent = self
                                                            self._children_name_map["rt_items"] = "rt-items"
                                                            self._segment_path = lambda: "ecomm-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                        class RtItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: extcommrt_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                self.yang_name = "rt-items"
                                                                self.yang_parent_name = "ecomm-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                self._leafs = OrderedDict()

                                                                self.extcommrt_list = YList(self)
                                                                self._segment_path = lambda: "rt-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                            class ExtCommRtList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                    self.yang_name = "ExtCommRt-list"
                                                                    self.yang_parent_name = "rt-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                    class LnkstattrItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lnkattrflags
                                                        
                                                        	Link\-state Link TLV attribute flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: attrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                            self.yang_name = "lnkstattr-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                            ])
                                                            self.lnkattrflags = None
                                                            self.attrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "lnkstattr-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkstattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "lnkstattr-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.lnkstattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                            class LnkStAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                    self.yang_name = "LnkStAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                    class PfxsidItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfxsidattrlen
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tlv_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                            self.yang_name = "pfxsid-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                            self._leafs = OrderedDict([
                                                                ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                            ])
                                                            self.pfxsidattrlen = None

                                                            self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                            self.tlv_items.parent = self
                                                            self._children_name_map["tlv_items"] = "tlv-items"
                                                            self._segment_path = lambda: "pfxsid-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                        class TlvItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrentry_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                self.yang_name = "tlv-items"
                                                                self.yang_parent_name = "pfxsid-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                self._leafs = OrderedDict()

                                                                self.pfxsidattrentry_list = YList(self)
                                                                self._segment_path = lambda: "tlv-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                            class PfxSidAttrEntryList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: type  (key)
                                                                
                                                                	Link\-state TLV code point
                                                                	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: len
                                                                
                                                                	
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: val
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                    self.yang_name = "PfxSidAttrEntry-list"
                                                                    self.yang_parent_name = "tlv-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['type']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                        ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                    ])
                                                                    self.type = None
                                                                    self.len = None
                                                                    self.val = None
                                                                    self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                    class PmsiItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tuntype
                                                        
                                                        	PMSI Tunnel Type
                                                        	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lbl
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tunid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                            self.yang_name = "pmsi-items"
                                                            self.yang_parent_name = "Path-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                            ])
                                                            self.flags = None
                                                            self.tuntype = None
                                                            self.lbl = None
                                                            self.tunid = None
                                                            self._segment_path = lambda: "pmsi-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                    class AdvtdrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems, self).__init__()

                                            self.yang_name = "advtdrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                            self._segment_path = lambda: "advtdrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "advtdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.AdvtdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class RcvdrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems, self).__init__()

                                            self.yang_name = "rcvdrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"
                                            self._segment_path = lambda: "rcvdrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "rcvdrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RcvdrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class DamppathsrtItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems>`
                                        
                                        .. attribute:: vpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`VpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems>`
                                        
                                        .. attribute:: lblrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LblrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems>`
                                        
                                        .. attribute:: lsrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems>`
                                        
                                        .. attribute:: evpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`EvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems>`
                                        
                                        .. attribute:: mvpnrt_items
                                        
                                        	
                                        	**type**\:  :py:class:`MvpnrtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems, self).__init__()

                                            self.yang_name = "damppathsrt-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems)), ("vpnrt-items", ("vpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems)), ("lblrt-items", ("lblrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems)), ("lsrt-items", ("lsrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems)), ("evpnrt-items", ("evpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems)), ("mvpnrt-items", ("mvpnrt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems))])
                                            self._leafs = OrderedDict()

                                            self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.vpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems()
                                            self.vpnrt_items.parent = self
                                            self._children_name_map["vpnrt_items"] = "vpnrt-items"

                                            self.lblrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems()
                                            self.lblrt_items.parent = self
                                            self._children_name_map["lblrt_items"] = "lblrt-items"

                                            self.lsrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems()
                                            self.lsrt_items.parent = self
                                            self._children_name_map["lsrt_items"] = "lsrt-items"

                                            self.evpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems()
                                            self.evpnrt_items.parent = self
                                            self._children_name_map["evpnrt_items"] = "evpnrt-items"

                                            self.mvpnrt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems()
                                            self.mvpnrt_items.parent = self
                                            self._children_name_map["mvpnrt_items"] = "mvpnrt-items"
                                            self._segment_path = lambda: "damppathsrt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems, [], name, value)


                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList, ['pfx', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems_(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.EcommItems.RtItems_.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.RtItems.RouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class VpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`VpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems, self).__init__()

                                                self.yang_name = "vpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("VpnRoute-list", ("vpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.vpnroute_list = YList(self)
                                                self._segment_path = lambda: "vpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems, [], name, value)


                                            class VpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, self).__init__()

                                                    self.yang_name = "VpnRoute-list"
                                                    self.yang_parent_name = "vpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "VpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList, ['pfx', 'rd', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "VpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.VpnrtItems.VpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LblrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lblroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LblRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems, self).__init__()

                                                self.yang_name = "lblrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LblRoute-list", ("lblroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lblroute_list = YList(self)
                                                self._segment_path = lambda: "lblrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems, [], name, value)


                                            class LblRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafflags
                                                
                                                	Labeled address\-family route flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtlblafver
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: loclbl
                                                
                                                	Local label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfxlblholddowndelts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList, self).__init__()

                                                    self.yang_name = "LblRoute-list"
                                                    self.yang_parent_name = "lblrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rtlblafflags', (YLeaf(YType.str, 'rtLblAfFlags'), ['str'])),
                                                        ('rtlblafver', (YLeaf(YType.uint32, 'rtLblAfVer'), ['int'])),
                                                        ('loclbl', (YLeaf(YType.uint32, 'locLbl'), ['int'])),
                                                        ('pfxlblholddowndelts', (YLeaf(YType.str, 'pfxLblHoldDownDelTs'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rtlblafflags = None
                                                    self.rtlblafver = None
                                                    self.loclbl = None
                                                    self.pfxlblholddowndelts = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LblRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList, ['pfx', 'rd', 'rtlblafflags', 'rtlblafver', 'loclbl', 'pfxlblholddowndelts', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LblRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LblrtItems.LblRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class LsrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lnkstroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LnkStRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems, self).__init__()

                                                self.yang_name = "lsrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LnkStRoute-list", ("lnkstroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList))])
                                                self._leafs = OrderedDict()

                                                self.lnkstroute_list = YList(self)
                                                self._segment_path = lambda: "lsrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems, [], name, value)


                                            class LnkStRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nlritype
                                                
                                                	Link\-state NLRI type
                                                	**type**\:  :py:class:`BgpLsNlriType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsNlriType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: protoid
                                                
                                                	Link\-state NLRI Protocol ID
                                                	**type**\:  :py:class:`BgpLsProtoId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsProtoId>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, self).__init__()

                                                    self.yang_name = "LnkStRoute-list"
                                                    self.yang_parent_name = "lsrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('nlritype', (YLeaf(YType.enumeration, 'nlriType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsNlriType', '')])),
                                                        ('protoid', (YLeaf(YType.enumeration, 'protoId'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsProtoId', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.nlritype = None
                                                    self.protoid = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "LnkStRoute-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList, ['pfx', 'nlritype', 'protoid', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "LnkStRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.LsrtItems.LnkStRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class EvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: evpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems, self).__init__()

                                                self.yang_name = "evpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("EvpnRoute-list", ("evpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.evpnroute_list = YList(self)
                                                self._segment_path = lambda: "evpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems, [], name, value)


                                            class EvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	EVPN route\-type
                                                	**type**\:  :py:class:`BgpEvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, self).__init__()

                                                    self.yang_name = "EvpnRoute-list"
                                                    self.yang_parent_name = "evpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "EvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "EvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.EvpnrtItems.EvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)







                                        class MvpnrtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mvpnroute_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`MvpnRouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems, self).__init__()

                                                self.yang_name = "mvpnrt-items"
                                                self.yang_parent_name = "damppathsrt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("MvpnRoute-list", ("mvpnroute_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList))])
                                                self._leafs = OrderedDict()

                                                self.mvpnroute_list = YList(self)
                                                self._segment_path = lambda: "mvpnrt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems, [], name, value)


                                            class MvpnRouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rd  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rttype
                                                
                                                	MVPN route\-type
                                                	**type**\:  :py:class:`BgpMvpnRtType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMvpnRtType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver
                                                
                                                	Version
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rtflags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numpaths
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bestpathid
                                                
                                                	Bestpath Id
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: path_items
                                                
                                                	
                                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, self).__init__()

                                                    self.yang_name = "MvpnRoute-list"
                                                    self.yang_parent_name = "mvpnrt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx','rd']
                                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str'])),
                                                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                                                        ('rttype', (YLeaf(YType.enumeration, 'rtType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMvpnRtType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                        ('rtflags', (YLeaf(YType.str, 'rtFlags'), ['str'])),
                                                        ('numpaths', (YLeaf(YType.uint32, 'numPaths'), ['int'])),
                                                        ('bestpathid', (YLeaf(YType.uint32, 'bestPathId'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.rd = None
                                                    self.rttype = None
                                                    self.name = None
                                                    self.ver = None
                                                    self.rtflags = None
                                                    self.numpaths = None
                                                    self.bestpathid = None

                                                    self.path_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems()
                                                    self.path_items.parent = self
                                                    self._children_name_map["path_items"] = "path-items"
                                                    self._segment_path = lambda: "MvpnRoute-list" + "[pfx='" + str(self.pfx) + "']" + "[rd='" + str(self.rd) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList, ['pfx', 'rd', 'rttype', 'name', 'ver', 'rtflags', 'numpaths', 'bestpathid'], name, value)


                                                class PathItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: path_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, self).__init__()

                                                        self.yang_name = "path-items"
                                                        self.yang_parent_name = "MvpnRoute-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList))])
                                                        self._leafs = OrderedDict()

                                                        self.path_list = YList(self)
                                                        self._segment_path = lambda: "path-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems, [], name, value)


                                                    class PathList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: peer  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nh  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: importedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origimportedrd  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nhmetric
                                                        
                                                        	Nexthop Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Type
                                                        	**type**\:  :py:class:`BgpPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathT>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: operst
                                                        
                                                        	Operational State
                                                        	**type**\:  :py:class:`BgpPathSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPathSt>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: origin
                                                        
                                                        	Origin
                                                        	**type**\:  :py:class:`BgpOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpOrigin>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: metric
                                                        
                                                        	Metric
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: localpref
                                                        
                                                        	Local Preference
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Weight
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggr
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aggras
                                                        
                                                        	Aggregator ASN
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrdata
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: unknownattrlen
                                                        
                                                        	Unknown Attribute Length
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: regcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: extcomm
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: aspath
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcvdlbl
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: originatorid
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: clusterlst
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: peerrtrid
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: seg_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`SegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: rcomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`RcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: ecomm_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`EcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lnkstattr_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`LnkstattrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pfxsid_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pmsi_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`PmsiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, self).__init__()

                                                            self.yang_name = "Path-list"
                                                            self.yang_parent_name = "path-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['peer','id','nh','importedrd','origimportedrd']
                                                            self._child_classes = OrderedDict([("seg-items", ("seg_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems)), ("rcomm-items", ("rcomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems)), ("ecomm-items", ("ecomm_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems)), ("lnkstattr-items", ("lnkstattr_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems)), ("pfxsid-items", ("pfxsid_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems)), ("pmsi-items", ("pmsi_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems))])
                                                            self._leafs = OrderedDict([
                                                                ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                                ('nh', (YLeaf(YType.str, 'nh'), ['str','str'])),
                                                                ('importedrd', (YLeaf(YType.str, 'importedRd'), ['str'])),
                                                                ('origimportedrd', (YLeaf(YType.str, 'origImportedRd'), ['str'])),
                                                                ('nhmetric', (YLeaf(YType.uint32, 'nhMetric'), ['int'])),
                                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathT', '')])),
                                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPathSt', '')])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpOrigin', '')])),
                                                                ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                                                ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                                                ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                                                ('aggr', (YLeaf(YType.str, 'aggr'), ['str','str'])),
                                                                ('aggras', (YLeaf(YType.str, 'aggrAs'), ['str'])),
                                                                ('unknownattrdata', (YLeaf(YType.str, 'unknownAttrData'), ['str'])),
                                                                ('unknownattrlen', (YLeaf(YType.uint32, 'unknownAttrLen'), ['int'])),
                                                                ('regcomm', (YLeaf(YType.str, 'regComm'), ['str'])),
                                                                ('extcomm', (YLeaf(YType.str, 'extComm'), ['str'])),
                                                                ('aspath', (YLeaf(YType.str, 'asPath'), ['str'])),
                                                                ('rcvdlbl', (YLeaf(YType.str, 'rcvdLbl'), ['str'])),
                                                                ('originatorid', (YLeaf(YType.str, 'originatorId'), ['str','str'])),
                                                                ('clusterlst', (YLeaf(YType.str, 'clusterLst'), ['str'])),
                                                                ('peerrtrid', (YLeaf(YType.str, 'peerRtrId'), ['str'])),
                                                            ])
                                                            self.peer = None
                                                            self.id = None
                                                            self.nh = None
                                                            self.importedrd = None
                                                            self.origimportedrd = None
                                                            self.nhmetric = None
                                                            self.type = None
                                                            self.operst = None
                                                            self.flags = None
                                                            self.origin = None
                                                            self.metric = None
                                                            self.localpref = None
                                                            self.weight = None
                                                            self.aggr = None
                                                            self.aggras = None
                                                            self.unknownattrdata = None
                                                            self.unknownattrlen = None
                                                            self.regcomm = None
                                                            self.extcomm = None
                                                            self.aspath = None
                                                            self.rcvdlbl = None
                                                            self.originatorid = None
                                                            self.clusterlst = None
                                                            self.peerrtrid = None

                                                            self.seg_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems()
                                                            self.seg_items.parent = self
                                                            self._children_name_map["seg_items"] = "seg-items"

                                                            self.rcomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems()
                                                            self.rcomm_items.parent = self
                                                            self._children_name_map["rcomm_items"] = "rcomm-items"

                                                            self.ecomm_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems()
                                                            self.ecomm_items.parent = self
                                                            self._children_name_map["ecomm_items"] = "ecomm-items"

                                                            self.lnkstattr_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems()
                                                            self.lnkstattr_items.parent = self
                                                            self._children_name_map["lnkstattr_items"] = "lnkstattr-items"

                                                            self.pfxsid_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems()
                                                            self.pfxsid_items.parent = self
                                                            self._children_name_map["pfxsid_items"] = "pfxsid-items"

                                                            self.pmsi_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems()
                                                            self.pmsi_items.parent = self
                                                            self._children_name_map["pmsi_items"] = "pmsi-items"
                                                            self._segment_path = lambda: "Path-list" + "[peer='" + str(self.peer) + "']" + "[id='" + str(self.id) + "']" + "[nh='" + str(self.nh) + "']" + "[importedRd='" + str(self.importedrd) + "']" + "[origImportedRd='" + str(self.origimportedrd) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList, ['peer', 'id', 'nh', 'importedrd', 'origimportedrd', 'nhmetric', 'type', 'operst', 'flags', 'origin', 'metric', 'localpref', 'weight', 'aggr', 'aggras', 'unknownattrdata', 'unknownattrlen', 'regcomm', 'extcomm', 'aspath', 'rcvdlbl', 'originatorid', 'clusterlst', 'peerrtrid'], name, value)


                                                        class SegItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: asseg_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`AsSegList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, self).__init__()

                                                                self.yang_name = "seg-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("AsSeg-list", ("asseg_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList))])
                                                                self._leafs = OrderedDict()

                                                                self.asseg_list = YList(self)
                                                                self._segment_path = lambda: "seg-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems, [], name, value)


                                                            class AsSegList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: order  (key)
                                                                
                                                                	Order
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Type
                                                                	**type**\:  :py:class:`BgpAsSegT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsSegT>`
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: asn_items
                                                                
                                                                	
                                                                	**type**\:  :py:class:`AsnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, self).__init__()

                                                                    self.yang_name = "AsSeg-list"
                                                                    self.yang_parent_name = "seg-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['order']
                                                                    self._child_classes = OrderedDict([("asn-items", ("asn_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems))])
                                                                    self._leafs = OrderedDict([
                                                                        ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsSegT', '')])),
                                                                    ])
                                                                    self.order = None
                                                                    self.type = None

                                                                    self.asn_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems()
                                                                    self.asn_items.parent = self
                                                                    self._children_name_map["asn_items"] = "asn-items"
                                                                    self._segment_path = lambda: "AsSeg-list" + "[order='" + str(self.order) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList, ['order', 'type'], name, value)


                                                                class AsnItems(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: asitem_list
                                                                    
                                                                    	
                                                                    	**type**\: list of  		 :py:class:`AsItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, self).__init__()

                                                                        self.yang_name = "asn-items"
                                                                        self.yang_parent_name = "AsSeg-list"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = []
                                                                        self._child_classes = OrderedDict([("AsItem-list", ("asitem_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList))])
                                                                        self._leafs = OrderedDict()

                                                                        self.asitem_list = YList(self)
                                                                        self._segment_path = lambda: "asn-items"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems, [], name, value)


                                                                    class AsItemList(Entity):
                                                                        """
                                                                        
                                                                        
                                                                        .. attribute:: order  (key)
                                                                        
                                                                        	Order
                                                                        	**type**\: int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        .. attribute:: asn
                                                                        
                                                                        	Autonomous System Number
                                                                        	**type**\: str
                                                                        
                                                                        	**config**\: False
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'top'
                                                                        _revision = '2019-02-17'

                                                                        def __init__(self):
                                                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, self).__init__()

                                                                            self.yang_name = "AsItem-list"
                                                                            self.yang_parent_name = "asn-items"
                                                                            self.is_top_level_class = False
                                                                            self.has_list_ancestor = True
                                                                            self.ylist_key_names = ['order']
                                                                            self._child_classes = OrderedDict([])
                                                                            self._leafs = OrderedDict([
                                                                                ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                                                                ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                                                            ])
                                                                            self.order = None
                                                                            self.asn = None
                                                                            self._segment_path = lambda: "AsItem-list" + "[order='" + str(self.order) + "']"
                                                                            self._is_frozen = True

                                                                        def __setattr__(self, name, value):
                                                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.SegItems.AsSegList.AsnItems.AsItemList, ['order', 'asn'], name, value)






                                                        class RcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: regcomm_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`RegCommList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, self).__init__()

                                                                self.yang_name = "rcomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("RegComm-list", ("regcomm_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList))])
                                                                self._leafs = OrderedDict()

                                                                self.regcomm_list = YList(self)
                                                                self._segment_path = lambda: "rcomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems, [], name, value)


                                                            class RegCommList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: community  (key)
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, self).__init__()

                                                                    self.yang_name = "RegComm-list"
                                                                    self.yang_parent_name = "rcomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['community']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                    ])
                                                                    self.community = None
                                                                    self._segment_path = lambda: "RegComm-list" + "[community='" + str(self.community) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.RcommItems.RegCommList, ['community'], name, value)




                                                        class EcommItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rtrmac
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rt_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, self).__init__()

                                                                self.yang_name = "ecomm-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("rt-items", ("rt_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                    ('rtrmac', (YLeaf(YType.str, 'rtrMac'), ['str'])),
                                                                ])
                                                                self.encap = None
                                                                self.rtrmac = None

                                                                self.rt_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems()
                                                                self.rt_items.parent = self
                                                                self._children_name_map["rt_items"] = "rt-items"
                                                                self._segment_path = lambda: "ecomm-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems, ['encap', 'rtrmac'], name, value)


                                                            class RtItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: extcommrt_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`ExtCommRtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, self).__init__()

                                                                    self.yang_name = "rt-items"
                                                                    self.yang_parent_name = "ecomm-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("ExtCommRt-list", ("extcommrt_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.extcommrt_list = YList(self)
                                                                    self._segment_path = lambda: "rt-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems, [], name, value)


                                                                class ExtCommRtList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: community  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, self).__init__()

                                                                        self.yang_name = "ExtCommRt-list"
                                                                        self.yang_parent_name = "rt-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['community']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                                                        ])
                                                                        self.community = None
                                                                        self._segment_path = lambda: "ExtCommRt-list" + "[community='" + str(self.community) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.EcommItems.RtItems.ExtCommRtList, ['community'], name, value)





                                                        class LnkstattrItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: lnkattrflags
                                                            
                                                            	Link\-state Link TLV attribute flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: attrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, self).__init__()

                                                                self.yang_name = "lnkstattr-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('lnkattrflags', (YLeaf(YType.str, 'lnkAttrFlags'), ['str'])),
                                                                    ('attrlen', (YLeaf(YType.uint16, 'attrLen'), ['int'])),
                                                                ])
                                                                self.lnkattrflags = None
                                                                self.attrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "lnkstattr-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems, ['lnkattrflags', 'attrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lnkstattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`LnkStAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "lnkstattr-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("LnkStAttrEntry-list", ("lnkstattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.lnkstattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems, [], name, value)


                                                                class LnkStAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpLsAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLsAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, self).__init__()

                                                                        self.yang_name = "LnkStAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLsAttrEntryType', '')])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "LnkStAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.LnkstattrItems.TlvItems.LnkStAttrEntryList, ['type', 'val'], name, value)





                                                        class PfxsidItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: pfxsidattrlen
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tlv_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`TlvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, self).__init__()

                                                                self.yang_name = "pfxsid-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("tlv-items", ("tlv_items", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('pfxsidattrlen', (YLeaf(YType.uint16, 'pfxSidAttrLen'), ['int'])),
                                                                ])
                                                                self.pfxsidattrlen = None

                                                                self.tlv_items = System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems()
                                                                self.tlv_items.parent = self
                                                                self._children_name_map["tlv_items"] = "tlv-items"
                                                                self._segment_path = lambda: "pfxsid-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems, ['pfxsidattrlen'], name, value)


                                                            class TlvItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: pfxsidattrentry_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`PfxSidAttrEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, self).__init__()

                                                                    self.yang_name = "tlv-items"
                                                                    self.yang_parent_name = "pfxsid-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("PfxSidAttrEntry-list", ("pfxsidattrentry_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.pfxsidattrentry_list = YList(self)
                                                                    self._segment_path = lambda: "tlv-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems, [], name, value)


                                                                class PfxSidAttrEntryList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: type  (key)
                                                                    
                                                                    	Link\-state TLV code point
                                                                    	**type**\:  :py:class:`BgpPfxSidAttrEntryType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPfxSidAttrEntryType>`
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: len
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: val
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, self).__init__()

                                                                        self.yang_name = "PfxSidAttrEntry-list"
                                                                        self.yang_parent_name = "tlv-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['type']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPfxSidAttrEntryType', '')])),
                                                                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                                                            ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                                                        ])
                                                                        self.type = None
                                                                        self.len = None
                                                                        self.val = None
                                                                        self._segment_path = lambda: "PfxSidAttrEntry-list" + "[type='" + str(self.type) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PfxsidItems.TlvItems.PfxSidAttrEntryList, ['type', 'len', 'val'], name, value)





                                                        class PmsiItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tuntype
                                                            
                                                            	PMSI Tunnel Type
                                                            	**type**\:  :py:class:`BgpPmsiTunType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPmsiTunType>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: lbl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: tunid
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, self).__init__()

                                                                self.yang_name = "pmsi-items"
                                                                self.yang_parent_name = "Path-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                    ('tuntype', (YLeaf(YType.enumeration, 'tunType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPmsiTunType', '')])),
                                                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                                                    ('tunid', (YLeaf(YType.str, 'tunId'), ['str','str'])),
                                                                ])
                                                                self.flags = None
                                                                self.tuntype = None
                                                                self.lbl = None
                                                                self.tunid = None
                                                                self._segment_path = lambda: "pmsi-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DamppathsrtItems.MvpnrtItems.MvpnRouteList.PathItems.PathList.PmsiItems, ['flags', 'tuntype', 'lbl', 'tunid'], name, value)








                                    class RtctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems, self).__init__()

                                            self.yang_name = "rtctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtCtrlP-list", ("rtctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.rtctrlp_list = YList(self)
                                            self._segment_path = lambda: "rtctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems, [], name, value)


                                        class RtCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction
                                            	**type**\:  :py:class:`RtctrlRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRtCtrlDir>`
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`BgpRtCtrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            .. attribute:: rtmap
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList, self).__init__()

                                                self.yang_name = "RtCtrlP-list"
                                                self.yang_parent_name = "rtctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRtCtrlDir', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlOperSt', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.operst = None
                                                self.name = None
                                                self.descr = None
                                                self.rtmap = None
                                                self._segment_path = lambda: "RtCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.RtctrlItems.RtCtrlPList, ['direction', 'operst', 'name', 'descr', 'rtmap'], name, value)




                                    class DefrtleakItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: scope
                                        
                                        	Scope
                                        	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DefrtleakItems, self).__init__()

                                            self.yang_name = "defrtleak-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ])
                                            self.scope = None
                                            self.rtmap = None
                                            self._segment_path = lambda: "defrtleak-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.DefrtleakItems, ['scope', 'rtmap'], name, value)



                                    class PfxctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfxctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PfxCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems, self).__init__()

                                            self.yang_name = "pfxctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("PfxCtrlP-list", ("pfxctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.pfxctrlp_list = YList(self)
                                            self._segment_path = lambda: "pfxctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems, [], name, value)


                                        class PfxCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                            	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                            
                                            .. attribute:: list
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList, self).__init__()

                                                self.yang_name = "PfxCtrlP-list"
                                                self.yang_parent_name = "pfxctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                                    ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.list = None
                                                self._segment_path = lambda: "PfxCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PfxctrlItems.PfxCtrlPList, ['direction', 'list'], name, value)




                                    class FltrctrlItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: fltrctrlp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`FltrCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems, self).__init__()

                                            self.yang_name = "fltrctrl-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("FltrCtrlP-list", ("fltrctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList))])
                                            self._leafs = OrderedDict()

                                            self.fltrctrlp_list = YList(self)
                                            self._segment_path = lambda: "fltrctrl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems, [], name, value)


                                        class FltrCtrlPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: direction  (key)
                                            
                                            	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                            	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            .. attribute:: list
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList, self).__init__()

                                                self.yang_name = "FltrCtrlP-list"
                                                self.yang_parent_name = "fltrctrl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['direction']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                                ])
                                                self.direction = None
                                                self.name = None
                                                self.descr = None
                                                self.list = None
                                                self._segment_path = lambda: "FltrCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.FltrctrlItems.FltrCtrlPList, ['direction', 'name', 'descr', 'list'], name, value)




                                    class PolItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: policyinheritrule_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PolicyInheritRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems, self).__init__()

                                            self.yang_name = "pol-items"
                                            self.yang_parent_name = "PeerAf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("PolicyInheritRule-list", ("policyinheritrule_list", System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList))])
                                            self._leafs = OrderedDict()

                                            self.policyinheritrule_list = YList(self)
                                            self._segment_path = lambda: "pol-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems, [], name, value)


                                        class PolicyInheritRuleList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            .. attribute:: seq
                                            
                                            	Sequence Number
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList, self).__init__()

                                                self.yang_name = "PolicyInheritRule-list"
                                                self.yang_parent_name = "pol-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('seq', (YLeaf(YType.uint16, 'seq'), ['int'])),
                                                ])
                                                self.name = None
                                                self.seq = None
                                                self._segment_path = lambda: "PolicyInheritRule-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PeercontItems.PeerContList.AfItems.PeerAfList.PolItems.PolicyInheritRuleList, ['name', 'seq'], name, value)








                    class SessioncontItems(Entity):
                        """
                        
                        
                        .. attribute:: sessioncont_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SessionContList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems, self).__init__()

                            self.yang_name = "sessioncont-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SessionCont-list", ("sessioncont_list", System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList))])
                            self._leafs = OrderedDict()

                            self.sessioncont_list = YList(self)
                            self._segment_path = lambda: "sessioncont-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems, [], name, value)


                        class SessionContList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: inheritcontpeerctrl
                            
                            	Inherit control of peer parameters
                            	**type**\: str
                            
                            .. attribute:: desc
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: adminst
                            
                            	Administrative State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: asn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lognbrchgs
                            
                            	Log Neighbor Changes
                            	**type**\:  :py:class:`BgpLogNbrSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpLogNbrSt>`
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: password
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: passwdtype
                            
                            	Password EnCrypt Type
                            	**type**\:  :py:class:`BgpPwdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPwdType>`
                            
                            .. attribute:: ctrl
                            
                            	Control
                            	**type**\: str
                            
                            .. attribute:: ttl
                            
                            	eBGP Multihop
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: kaintvl
                            
                            	Keepalive Interval
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 3..3600
                            
                            .. attribute:: connmode
                            
                            	Connection Mode
                            	**type**\: str
                            
                            .. attribute:: sessioncontimp
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: privateasctrl
                            
                            	Private AS Control
                            	**type**\:  :py:class:`BgpPrivateASControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPrivateASControl>`
                            
                            .. attribute:: peertype
                            
                            	Neighbor Fabric Type
                            	**type**\:  :py:class:`BgpPeerFabType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpPeerFabType>`
                            
                            .. attribute:: lowmemexempt
                            
                            	Low Memory Exempt
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: capsuppr4byteasn
                            
                            	Capability Suppress 4\-byte\-as
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: affgrp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: epe
                            
                            	Egress Peer Engineering EPE for neighbor
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: epepeerset
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: bmpsrvid1st
                            
                            	Activate BMP Server 1
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: bmpsrvid2st
                            
                            	Activate BMP Server 2
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: localasn_items
                            
                            	
                            	**type**\:  :py:class:`LocalasnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList.LocalasnItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList, self).__init__()

                                self.yang_name = "SessionCont-list"
                                self.yang_parent_name = "sessioncont-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("localasn-items", ("localasn_items", System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList.LocalasnItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('inheritcontpeerctrl', (YLeaf(YType.str, 'inheritContPeerCtrl'), ['str'])),
                                    ('desc', (YLeaf(YType.str, 'desc'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                    ('lognbrchgs', (YLeaf(YType.enumeration, 'logNbrChgs'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpLogNbrSt', '')])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('password', (YLeaf(YType.str, 'password'), ['str'])),
                                    ('passwdtype', (YLeaf(YType.enumeration, 'passwdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPwdType', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('ttl', (YLeaf(YType.uint16, 'ttl'), ['int'])),
                                    ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                                    ('connmode', (YLeaf(YType.str, 'connMode'), ['str'])),
                                    ('sessioncontimp', (YLeaf(YType.str, 'sessionContImp'), ['str'])),
                                    ('privateasctrl', (YLeaf(YType.enumeration, 'privateASctrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPrivateASControl', '')])),
                                    ('peertype', (YLeaf(YType.enumeration, 'peerType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpPeerFabType', '')])),
                                    ('lowmemexempt', (YLeaf(YType.enumeration, 'lowMemExempt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('capsuppr4byteasn', (YLeaf(YType.enumeration, 'capSuppr4ByteAsn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('affgrp', (YLeaf(YType.uint16, 'affGrp'), ['int'])),
                                    ('epe', (YLeaf(YType.enumeration, 'epe'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('epepeerset', (YLeaf(YType.str, 'epePeerSet'), ['str'])),
                                    ('bmpsrvid1st', (YLeaf(YType.enumeration, 'bmpSrvId1St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('bmpsrvid2st', (YLeaf(YType.enumeration, 'bmpSrvId2St'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                ])
                                self.name = None
                                self.inheritcontpeerctrl = None
                                self.desc = None
                                self.adminst = None
                                self.asn = None
                                self.lognbrchgs = None
                                self.srcif = None
                                self.password = None
                                self.passwdtype = None
                                self.ctrl = None
                                self.ttl = None
                                self.kaintvl = None
                                self.holdintvl = None
                                self.connmode = None
                                self.sessioncontimp = None
                                self.privateasctrl = None
                                self.peertype = None
                                self.lowmemexempt = None
                                self.capsuppr4byteasn = None
                                self.affgrp = None
                                self.epe = None
                                self.epepeerset = None
                                self.bmpsrvid1st = None
                                self.bmpsrvid2st = None

                                self.localasn_items = System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList.LocalasnItems()
                                self.localasn_items.parent = self
                                self._children_name_map["localasn_items"] = "localasn-items"
                                self._segment_path = lambda: "SessionCont-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList, ['name', 'inheritcontpeerctrl', 'desc', 'adminst', 'asn', 'lognbrchgs', 'srcif', 'password', 'passwdtype', 'ctrl', 'ttl', 'kaintvl', 'holdintvl', 'connmode', 'sessioncontimp', 'privateasctrl', 'peertype', 'lowmemexempt', 'capsuppr4byteasn', 'affgrp', 'epe', 'epepeerset', 'bmpsrvid1st', 'bmpsrvid2st'], name, value)


                            class LocalasnItems(Entity):
                                """
                                
                                
                                .. attribute:: localasn
                                
                                	Local Autonomous System Number
                                	**type**\: str
                                
                                .. attribute:: asnpropagate
                                
                                	ASN Propagation
                                	**type**\:  :py:class:`BgpAsnPropagation <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAsnPropagation>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList.LocalasnItems, self).__init__()

                                    self.yang_name = "localasn-items"
                                    self.yang_parent_name = "SessionCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('localasn', (YLeaf(YType.str, 'localAsn'), ['str'])),
                                        ('asnpropagate', (YLeaf(YType.enumeration, 'asnPropagate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAsnPropagation', '')])),
                                    ])
                                    self.localasn = None
                                    self.asnpropagate = None
                                    self._segment_path = lambda: "localasn-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.SessioncontItems.SessionContList.LocalasnItems, ['localasn', 'asnpropagate'], name, value)





                    class PolicycontItems(Entity):
                        """
                        
                        
                        .. attribute:: policycont_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PolicyContList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems, self).__init__()

                            self.yang_name = "policycont-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PolicyCont-list", ("policycont_list", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList))])
                            self._leafs = OrderedDict()

                            self.policycont_list = YList(self)
                            self._segment_path = lambda: "policycont-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems, [], name, value)


                        class PolicyContList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: ctrl
                            
                            	Control
                            	**type**\: str
                            
                            .. attribute:: allowedselfascnt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..10
                            
                            	**default value**\: 0
                            
                            .. attribute:: softreconfigbackup
                            
                            	Soft Reconfiguration
                            	**type**\:  :py:class:`BgpSoftReconfigBackup <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpSoftReconfigBackup>`
                            
                            .. attribute:: advintvl
                            
                            	Neighbor advertisement interval
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: deforg
                            
                            	Default Originate is enabled
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: deforgrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: capaddlpaths
                            
                            	Capability Additional Paths
                            	**type**\: str
                            
                            .. attribute:: unsupprmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: asoverride
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: nhthirdparty
                            
                            	Compute a third\-party nexthop if possible
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: wght
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: soo
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: sendcomstd
                            
                            	Send\-community standard
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: sendcomext
                            
                            	Send\-community extended
                            	**type**\:  :py:class:`BgpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdminSt>`
                            
                            .. attribute:: advlocallblrt
                            
                            	Advertise a route with local label to peer
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: nhselfall
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: inheritcontpeerpolicyctrl
                            
                            	Inherit control of peer policy parameters
                            	**type**\: str
                            
                            .. attribute:: maxpfxp_items
                            
                            	
                            	**type**\:  :py:class:`MaxpfxpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.MaxpfxpItems>`
                            
                            .. attribute:: advtmap_items
                            
                            	
                            	**type**\:  :py:class:`AdvtmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.AdvtmapItems>`
                            
                            .. attribute:: rtctrl_items
                            
                            	
                            	**type**\:  :py:class:`RtctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems>`
                            
                            .. attribute:: pfxctrl_items
                            
                            	
                            	**type**\:  :py:class:`PfxctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems>`
                            
                            .. attribute:: fltrctrl_items
                            
                            	
                            	**type**\:  :py:class:`FltrctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems>`
                            
                            .. attribute:: pol_items
                            
                            	
                            	**type**\:  :py:class:`PolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList, self).__init__()

                                self.yang_name = "PolicyCont-list"
                                self.yang_parent_name = "policycont-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("maxpfxp-items", ("maxpfxp_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.MaxpfxpItems)), ("advtmap-items", ("advtmap_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.AdvtmapItems)), ("rtctrl-items", ("rtctrl_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems)), ("pfxctrl-items", ("pfxctrl_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems)), ("fltrctrl-items", ("fltrctrl_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems)), ("pol-items", ("pol_items", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('allowedselfascnt', (YLeaf(YType.uint8, 'allowedSelfAsCnt'), ['int'])),
                                    ('softreconfigbackup', (YLeaf(YType.enumeration, 'softReconfigBackup'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpSoftReconfigBackup', '')])),
                                    ('advintvl', (YLeaf(YType.uint16, 'advIntvl'), ['int'])),
                                    ('deforg', (YLeaf(YType.enumeration, 'defOrg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('deforgrtmap', (YLeaf(YType.str, 'defOrgRtMap'), ['str'])),
                                    ('capaddlpaths', (YLeaf(YType.str, 'capAddlPaths'), ['str'])),
                                    ('unsupprmap', (YLeaf(YType.str, 'unSupprMap'), ['str'])),
                                    ('asoverride', (YLeaf(YType.enumeration, 'asOverride'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('nhthirdparty', (YLeaf(YType.enumeration, 'nhThirdparty'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('wght', (YLeaf(YType.str, 'wght'), ['str'])),
                                    ('soo', (YLeaf(YType.str, 'soo'), ['str'])),
                                    ('sendcomstd', (YLeaf(YType.enumeration, 'sendComStd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('sendcomext', (YLeaf(YType.enumeration, 'sendComExt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdminSt', '')])),
                                    ('advlocallblrt', (YLeaf(YType.enumeration, 'advLocalLblRt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('nhselfall', (YLeaf(YType.boolean, 'nhSelfAll'), ['bool'])),
                                    ('inheritcontpeerpolicyctrl', (YLeaf(YType.str, 'inheritContPeerPolicyCtrl'), ['str'])),
                                ])
                                self.name = None
                                self.ctrl = None
                                self.allowedselfascnt = None
                                self.softreconfigbackup = None
                                self.advintvl = None
                                self.deforg = None
                                self.deforgrtmap = None
                                self.capaddlpaths = None
                                self.unsupprmap = None
                                self.asoverride = None
                                self.nhthirdparty = None
                                self.wght = None
                                self.soo = None
                                self.sendcomstd = None
                                self.sendcomext = None
                                self.advlocallblrt = None
                                self.nhselfall = None
                                self.inheritcontpeerpolicyctrl = None

                                self.maxpfxp_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.MaxpfxpItems()
                                self.maxpfxp_items.parent = self
                                self._children_name_map["maxpfxp_items"] = "maxpfxp-items"

                                self.advtmap_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.AdvtmapItems()
                                self.advtmap_items.parent = self
                                self._children_name_map["advtmap_items"] = "advtmap-items"

                                self.rtctrl_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems()
                                self.rtctrl_items.parent = self
                                self._children_name_map["rtctrl_items"] = "rtctrl-items"

                                self.pfxctrl_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems()
                                self.pfxctrl_items.parent = self
                                self._children_name_map["pfxctrl_items"] = "pfxctrl-items"

                                self.fltrctrl_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems()
                                self.fltrctrl_items.parent = self
                                self._children_name_map["fltrctrl_items"] = "fltrctrl-items"

                                self.pol_items = System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems()
                                self.pol_items.parent = self
                                self._children_name_map["pol_items"] = "pol-items"
                                self._segment_path = lambda: "PolicyCont-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList, ['name', 'ctrl', 'allowedselfascnt', 'softreconfigbackup', 'advintvl', 'deforg', 'deforgrtmap', 'capaddlpaths', 'unsupprmap', 'asoverride', 'nhthirdparty', 'wght', 'soo', 'sendcomstd', 'sendcomext', 'advlocallblrt', 'nhselfall', 'inheritcontpeerpolicyctrl'], name, value)


                            class MaxpfxpItems(Entity):
                                """
                                
                                
                                .. attribute:: maxpfx
                                
                                	Maximum number of prefixes from this neighbor
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: thresh
                                
                                	Threshold percentage at which to generate a warning
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: action
                                
                                	Action to do when limit is exceeded
                                	**type**\:  :py:class:`BgpMaxPfxAct <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpMaxPfxAct>`
                                
                                .. attribute:: restarttime
                                
                                	Restart bgp connection after prefix limit is exceeded
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.MaxpfxpItems, self).__init__()

                                    self.yang_name = "maxpfxp-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('maxpfx', (YLeaf(YType.uint32, 'maxPfx'), ['int'])),
                                        ('thresh', (YLeaf(YType.uint8, 'thresh'), ['int'])),
                                        ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpMaxPfxAct', '')])),
                                        ('restarttime', (YLeaf(YType.uint16, 'restartTime'), ['int'])),
                                    ])
                                    self.maxpfx = None
                                    self.thresh = None
                                    self.action = None
                                    self.restarttime = None
                                    self._segment_path = lambda: "maxpfxp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.MaxpfxpItems, ['maxpfx', 'thresh', 'action', 'restarttime'], name, value)



                            class AdvtmapItems(Entity):
                                """
                                
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: condition
                                
                                	Specify route\-map for conditional advertisement
                                	**type**\:  :py:class:`BgpAdvtMapCondition <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAdvtMapCondition>`
                                
                                .. attribute:: condmap
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.AdvtmapItems, self).__init__()

                                    self.yang_name = "advtmap-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ('condition', (YLeaf(YType.enumeration, 'condition'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAdvtMapCondition', '')])),
                                        ('condmap', (YLeaf(YType.str, 'condMap'), ['str'])),
                                    ])
                                    self.rtmap = None
                                    self.condition = None
                                    self.condmap = None
                                    self._segment_path = lambda: "advtmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.AdvtmapItems, ['rtmap', 'condition', 'condmap'], name, value)



                            class RtctrlItems(Entity):
                                """
                                
                                
                                .. attribute:: rtctrlp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems.RtCtrlPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems, self).__init__()

                                    self.yang_name = "rtctrl-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtCtrlP-list", ("rtctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems.RtCtrlPList))])
                                    self._leafs = OrderedDict()

                                    self.rtctrlp_list = YList(self)
                                    self._segment_path = lambda: "rtctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems, [], name, value)


                                class RtCtrlPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: direction  (key)
                                    
                                    	Direction
                                    	**type**\:  :py:class:`RtctrlRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRtCtrlDir>`
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`BgpRtCtrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems.RtCtrlPList, self).__init__()

                                        self.yang_name = "RtCtrlP-list"
                                        self.yang_parent_name = "rtctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['direction']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRtCtrlDir', '')])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlOperSt', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ])
                                        self.direction = None
                                        self.operst = None
                                        self.name = None
                                        self.descr = None
                                        self.rtmap = None
                                        self._segment_path = lambda: "RtCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.RtctrlItems.RtCtrlPList, ['direction', 'operst', 'name', 'descr', 'rtmap'], name, value)




                            class PfxctrlItems(Entity):
                                """
                                
                                
                                .. attribute:: pfxctrlp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PfxCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems.PfxCtrlPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems, self).__init__()

                                    self.yang_name = "pfxctrl-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PfxCtrlP-list", ("pfxctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems.PfxCtrlPList))])
                                    self._leafs = OrderedDict()

                                    self.pfxctrlp_list = YList(self)
                                    self._segment_path = lambda: "pfxctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems, [], name, value)


                                class PfxCtrlPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: direction  (key)
                                    
                                    	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                    	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                    
                                    .. attribute:: list
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems.PfxCtrlPList, self).__init__()

                                        self.yang_name = "PfxCtrlP-list"
                                        self.yang_parent_name = "pfxctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['direction']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                            ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                        ])
                                        self.direction = None
                                        self.list = None
                                        self._segment_path = lambda: "PfxCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PfxctrlItems.PfxCtrlPList, ['direction', 'list'], name, value)




                            class FltrctrlItems(Entity):
                                """
                                
                                
                                .. attribute:: fltrctrlp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`FltrCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems.FltrCtrlPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems, self).__init__()

                                    self.yang_name = "fltrctrl-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("FltrCtrlP-list", ("fltrctrlp_list", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems.FltrCtrlPList))])
                                    self._leafs = OrderedDict()

                                    self.fltrctrlp_list = YList(self)
                                    self._segment_path = lambda: "fltrctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems, [], name, value)


                                class FltrCtrlPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: direction  (key)
                                    
                                    	Direction\: Specifies whether to apply this policy in the                                  incoming or outgoing direction
                                    	**type**\:  :py:class:`BgpRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpRtCtrlDir>`
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: list
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems.FltrCtrlPList, self).__init__()

                                        self.yang_name = "FltrCtrlP-list"
                                        self.yang_parent_name = "fltrctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['direction']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpRtCtrlDir', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('list', (YLeaf(YType.str, 'list'), ['str'])),
                                        ])
                                        self.direction = None
                                        self.name = None
                                        self.descr = None
                                        self.list = None
                                        self._segment_path = lambda: "FltrCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.FltrctrlItems.FltrCtrlPList, ['direction', 'name', 'descr', 'list'], name, value)




                            class PolItems(Entity):
                                """
                                
                                
                                .. attribute:: policyinheritrule_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PolicyInheritRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems.PolicyInheritRuleList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems, self).__init__()

                                    self.yang_name = "pol-items"
                                    self.yang_parent_name = "PolicyCont-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PolicyInheritRule-list", ("policyinheritrule_list", System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems.PolicyInheritRuleList))])
                                    self._leafs = OrderedDict()

                                    self.policyinheritrule_list = YList(self)
                                    self._segment_path = lambda: "pol-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems, [], name, value)


                                class PolicyInheritRuleList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: seq
                                    
                                    	Sequence Number
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems.PolicyInheritRuleList, self).__init__()

                                        self.yang_name = "PolicyInheritRule-list"
                                        self.yang_parent_name = "pol-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('seq', (YLeaf(YType.uint16, 'seq'), ['int'])),
                                        ])
                                        self.name = None
                                        self.seq = None
                                        self._segment_path = lambda: "PolicyInheritRule-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.DomItems.DomList.PolicycontItems.PolicyContList.PolItems.PolicyInheritRuleList, ['name', 'seq'], name, value)








            class EvthistItems(Entity):
                """
                
                
                .. attribute:: evthist_list
                
                	
                	**type**\: list of  		 :py:class:`EvtHistList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.EvthistItems.EvtHistList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BgpItems.InstItems.EvthistItems, self).__init__()

                    self.yang_name = "evthist-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("EvtHist-list", ("evthist_list", System.BgpItems.InstItems.EvthistItems.EvtHistList))])
                    self._leafs = OrderedDict()

                    self.evthist_list = YList(self)
                    self._segment_path = lambda: "evthist-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BgpItems.InstItems.EvthistItems, [], name, value)


                class EvtHistList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Configure event\-history {cli \| events \| periodic \| detail}
                    	**type**\:  :py:class:`BgpEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpEhType>`
                    
                    .. attribute:: size
                    
                    	Configure event\-history with buffer size
                    	**type**\: int
                    
                    	**range:** 0..4 \| 8192..1048576
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BgpItems.InstItems.EvthistItems.EvtHistList, self).__init__()

                        self.yang_name = "EvtHist-list"
                        self.yang_parent_name = "evthist-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpEhType', '')])),
                            ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                        ])
                        self.type = None
                        self.size = None
                        self._segment_path = lambda: "EvtHist-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/evthist-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BgpItems.InstItems.EvthistItems.EvtHistList, ['type', 'size'], name, value)




            class OperItems(Entity):
                """
                
                
                .. attribute:: l2_items
                
                	
                	**type**\:  :py:class:`L2Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items>`
                
                .. attribute:: l3_items
                
                	
                	**type**\:  :py:class:`L3Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BgpItems.InstItems.OperItems, self).__init__()

                    self.yang_name = "oper-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("l2-items", ("l2_items", System.BgpItems.InstItems.OperItems.L2Items)), ("l3-items", ("l3_items", System.BgpItems.InstItems.OperItems.L3Items))])
                    self._leafs = OrderedDict()

                    self.l2_items = System.BgpItems.InstItems.OperItems.L2Items()
                    self.l2_items.parent = self
                    self._children_name_map["l2_items"] = "l2-items"

                    self.l3_items = System.BgpItems.InstItems.OperItems.L3Items()
                    self.l3_items.parent = self
                    self._children_name_map["l3_items"] = "l3-items"
                    self._segment_path = lambda: "oper-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BgpItems.InstItems.OperItems, [], name, value)


                class L2Items(Entity):
                    """
                    
                    
                    .. attribute:: operrtctrll2_list
                    
                    	
                    	**type**\: list of  		 :py:class:`OperRtctrlL2List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BgpItems.InstItems.OperItems.L2Items, self).__init__()

                        self.yang_name = "l2-items"
                        self.yang_parent_name = "oper-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("OperRtctrlL2-list", ("operrtctrll2_list", System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List))])
                        self._leafs = OrderedDict()

                        self.operrtctrll2_list = YList(self)
                        self._segment_path = lambda: "l2-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/oper-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items, [], name, value)


                    class OperRtctrlL2List(Entity):
                        """
                        
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: rd
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rttp_items
                        
                        	
                        	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List, self).__init__()

                            self.yang_name = "OperRtctrlL2-list"
                            self.yang_parent_name = "l2-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['encap']
                            self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems))])
                            self._leafs = OrderedDict([
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                            ])
                            self.encap = None
                            self.name = None
                            self.rd = None

                            self.rttp_items = System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems()
                            self.rttp_items.parent = self
                            self._children_name_map["rttp_items"] = "rttp-items"
                            self._segment_path = lambda: "OperRtctrlL2-list" + "[encap='" + str(self.encap) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/oper-items/l2-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List, ['encap', 'name', 'rd'], name, value)


                        class RttpItems(Entity):
                            """
                            
                            
                            .. attribute:: operrttp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`OperRttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems, self).__init__()

                                self.yang_name = "rttp-items"
                                self.yang_parent_name = "OperRtctrlL2-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("OperRttP-list", ("operrttp_list", System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList))])
                                self._leafs = OrderedDict()

                                self.operrttp_list = YList(self)
                                self._segment_path = lambda: "rttp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems, [], name, value)


                            class OperRttPList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`RtctrlRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRttPType>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: entry_items
                                
                                	
                                	**type**\:  :py:class:`EntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList, self).__init__()

                                    self.yang_name = "OperRttP-list"
                                    self.yang_parent_name = "rttp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("entry-items", ("entry_items", System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRttPType', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None
                                    self.descr = None

                                    self.entry_items = System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems()
                                    self.entry_items.parent = self
                                    self._children_name_map["entry_items"] = "entry-items"
                                    self._segment_path = lambda: "OperRttP-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList, ['type', 'name', 'descr'], name, value)


                                class EntryItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: operrttentry_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`OperRttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems.OperRttEntryList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems, self).__init__()

                                        self.yang_name = "entry-items"
                                        self.yang_parent_name = "OperRttP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("OperRttEntry-list", ("operrttentry_list", System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems.OperRttEntryList))])
                                        self._leafs = OrderedDict()

                                        self.operrttentry_list = YList(self)
                                        self._segment_path = lambda: "entry-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems, [], name, value)


                                    class OperRttEntryList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtt  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems.OperRttEntryList, self).__init__()

                                            self.yang_name = "OperRttEntry-list"
                                            self.yang_parent_name = "entry-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['rtt']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                            ])
                                            self.rtt = None
                                            self._segment_path = lambda: "OperRttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.OperItems.L2Items.OperRtctrlL2List.RttpItems.OperRttPList.EntryItems.OperRttEntryList, ['rtt'], name, value)








                class L3Items(Entity):
                    """
                    
                    
                    .. attribute:: operrtctrll3_list
                    
                    	
                    	**type**\: list of  		 :py:class:`OperRtctrlL3List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BgpItems.InstItems.OperItems.L3Items, self).__init__()

                        self.yang_name = "l3-items"
                        self.yang_parent_name = "oper-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("OperRtctrlL3-list", ("operrtctrll3_list", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List))])
                        self._leafs = OrderedDict()

                        self.operrtctrll3_list = YList(self)
                        self._segment_path = lambda: "l3-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/oper-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items, [], name, value)


                    class OperRtctrlL3List(Entity):
                        """
                        
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: rd
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: af_items
                        
                        	
                        	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List, self).__init__()

                            self.yang_name = "OperRtctrlL3-list"
                            self.yang_parent_name = "l3-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['encap']
                            self._child_classes = OrderedDict([("af-items", ("af_items", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems))])
                            self._leafs = OrderedDict([
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                            ])
                            self.encap = None
                            self.name = None
                            self.rd = None

                            self.af_items = System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems()
                            self.af_items.parent = self
                            self._children_name_map["af_items"] = "af-items"
                            self._segment_path = lambda: "OperRtctrlL3-list" + "[encap='" + str(self.encap) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/bgp-items/inst-items/oper-items/l3-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List, ['encap', 'name', 'rd'], name, value)


                        class AfItems(Entity):
                            """
                            
                            
                            .. attribute:: operdomaf_list
                            
                            	
                            	**type**\: list of  		 :py:class:`OperDomAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems, self).__init__()

                                self.yang_name = "af-items"
                                self.yang_parent_name = "OperRtctrlL3-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("OperDomAf-list", ("operdomaf_list", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList))])
                                self._leafs = OrderedDict()

                                self.operdomaf_list = YList(self)
                                self._segment_path = lambda: "af-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems, [], name, value)


                            class OperDomAfList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Address Family Type
                                	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ctrl_items
                                
                                	
                                	**type**\:  :py:class:`CtrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList, self).__init__()

                                    self.yang_name = "OperDomAf-list"
                                    self.yang_parent_name = "af-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("ctrl-items", ("ctrl_items", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None

                                    self.ctrl_items = System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems()
                                    self.ctrl_items.parent = self
                                    self._children_name_map["ctrl_items"] = "ctrl-items"
                                    self._segment_path = lambda: "OperDomAf-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList, ['type', 'name'], name, value)


                                class CtrlItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: operafctrl_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`OperAfCtrlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems, self).__init__()

                                        self.yang_name = "ctrl-items"
                                        self.yang_parent_name = "OperDomAf-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("OperAfCtrl-list", ("operafctrl_list", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList))])
                                        self._leafs = OrderedDict()

                                        self.operafctrl_list = YList(self)
                                        self._segment_path = lambda: "ctrl-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems, [], name, value)


                                    class OperAfCtrlList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Address Family Type
                                        	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttp_items
                                        
                                        	
                                        	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList, self).__init__()

                                            self.yang_name = "OperAfCtrl-list"
                                            self.yang_parent_name = "ctrl-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.name = None

                                            self.rttp_items = System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems()
                                            self.rttp_items.parent = self
                                            self._children_name_map["rttp_items"] = "rttp-items"
                                            self._segment_path = lambda: "OperAfCtrl-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList, ['type', 'name'], name, value)


                                        class RttpItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: operrttp_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OperRttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems, self).__init__()

                                                self.yang_name = "rttp-items"
                                                self.yang_parent_name = "OperAfCtrl-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("OperRttP-list", ("operrttp_list", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList))])
                                                self._leafs = OrderedDict()

                                                self.operrttp_list = YList(self)
                                                self._segment_path = lambda: "rttp-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems, [], name, value)


                                            class OperRttPList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type  (key)
                                                
                                                	Type
                                                	**type**\:  :py:class:`RtctrlRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRttPType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 0..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: descr
                                                
                                                	Description
                                                	**type**\: str
                                                
                                                	**length:** 0..128
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: entry_items
                                                
                                                	
                                                	**type**\:  :py:class:`EntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList, self).__init__()

                                                    self.yang_name = "OperRttP-list"
                                                    self.yang_parent_name = "rttp-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['type']
                                                    self._child_classes = OrderedDict([("entry-items", ("entry_items", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems))])
                                                    self._leafs = OrderedDict([
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRttPType', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ])
                                                    self.type = None
                                                    self.name = None
                                                    self.descr = None

                                                    self.entry_items = System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems()
                                                    self.entry_items.parent = self
                                                    self._children_name_map["entry_items"] = "entry-items"
                                                    self._segment_path = lambda: "OperRttP-list" + "[type='" + str(self.type) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList, ['type', 'name', 'descr'], name, value)


                                                class EntryItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: operrttentry_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OperRttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems.OperRttEntryList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems, self).__init__()

                                                        self.yang_name = "entry-items"
                                                        self.yang_parent_name = "OperRttP-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OperRttEntry-list", ("operrttentry_list", System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems.OperRttEntryList))])
                                                        self._leafs = OrderedDict()

                                                        self.operrttentry_list = YList(self)
                                                        self._segment_path = lambda: "entry-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems, [], name, value)


                                                    class OperRttEntryList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: rtt  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems.OperRttEntryList, self).__init__()

                                                            self.yang_name = "OperRttEntry-list"
                                                            self.yang_parent_name = "entry-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['rtt']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                                            ])
                                                            self.rtt = None
                                                            self._segment_path = lambda: "OperRttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.BgpItems.InstItems.OperItems.L3Items.OperRtctrlL3List.AfItems.OperDomAfList.CtrlItems.OperAfCtrlList.RttpItems.OperRttPList.EntryItems.OperRttEntryList, ['rtt'], name, value)















    class SfwItems(Entity):
        """
        
        
        .. attribute:: suppfw_list
        
        	
        	**type**\: list of  		 :py:class:`SuppFwList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SfwItems.SuppFwList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SfwItems, self).__init__()

            self.yang_name = "sfw-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("SuppFw-list", ("suppfw_list", System.SfwItems.SuppFwList))])
            self._leafs = OrderedDict()

            self.suppfw_list = YList(self)
            self._segment_path = lambda: "sfw-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SfwItems, [], name, value)


        class SuppFwList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: version
            
            	Version
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SfwItems.SuppFwList, self).__init__()

                self.yang_name = "SuppFw-list"
                self.yang_parent_name = "sfw-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('version', (YLeaf(YType.str, 'version'), ['str'])),
                ])
                self.name = None
                self.version = None
                self._segment_path = lambda: "SuppFw-list" + "[name='" + str(self.name) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sfw-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SfwItems.SuppFwList, ['name', 'version'], name, value)




    class CapabilitiesItems(Entity):
        """
        
        
        .. attribute:: actrlcaprule_items
        
        	
        	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.ActrlcapruleItems>`
        
        .. attribute:: l1caprule_items
        
        	
        	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L1capruleItems>`
        
        .. attribute:: l2caprule_items
        
        	
        	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L2capruleItems>`
        
        .. attribute:: l3caprule_items
        
        	
        	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L3capruleItems>`
        
        .. attribute:: card_items
        
        	
        	**type**\:  :py:class:`CardItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems>`
        
        .. attribute:: port_items
        
        	
        	**type**\:  :py:class:`PortItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems>`
        
        .. attribute:: psu_items
        
        	
        	**type**\:  :py:class:`PsuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems>`
        
        .. attribute:: fan_items
        
        	
        	**type**\:  :py:class:`FanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems>`
        
        .. attribute:: sfp_items
        
        	
        	**type**\:  :py:class:`SfpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CapabilitiesItems, self).__init__()

            self.yang_name = "capabilities-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.L3capruleItems)), ("card-items", ("card_items", System.CapabilitiesItems.CardItems)), ("port-items", ("port_items", System.CapabilitiesItems.PortItems)), ("psu-items", ("psu_items", System.CapabilitiesItems.PsuItems)), ("fan-items", ("fan_items", System.CapabilitiesItems.FanItems)), ("sfp-items", ("sfp_items", System.CapabilitiesItems.SfpItems))])
            self._leafs = OrderedDict()

            self.actrlcaprule_items = System.CapabilitiesItems.ActrlcapruleItems()
            self.actrlcaprule_items.parent = self
            self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

            self.l1caprule_items = System.CapabilitiesItems.L1capruleItems()
            self.l1caprule_items.parent = self
            self._children_name_map["l1caprule_items"] = "l1caprule-items"

            self.l2caprule_items = System.CapabilitiesItems.L2capruleItems()
            self.l2caprule_items.parent = self
            self._children_name_map["l2caprule_items"] = "l2caprule-items"

            self.l3caprule_items = System.CapabilitiesItems.L3capruleItems()
            self.l3caprule_items.parent = self
            self._children_name_map["l3caprule_items"] = "l3caprule-items"

            self.card_items = System.CapabilitiesItems.CardItems()
            self.card_items.parent = self
            self._children_name_map["card_items"] = "card-items"

            self.port_items = System.CapabilitiesItems.PortItems()
            self.port_items.parent = self
            self._children_name_map["port_items"] = "port-items"

            self.psu_items = System.CapabilitiesItems.PsuItems()
            self.psu_items.parent = self
            self._children_name_map["psu_items"] = "psu-items"

            self.fan_items = System.CapabilitiesItems.FanItems()
            self.fan_items.parent = self
            self._children_name_map["fan_items"] = "fan-items"

            self.sfp_items = System.CapabilitiesItems.SfpItems()
            self.sfp_items.parent = self
            self._children_name_map["sfp_items"] = "sfp-items"
            self._segment_path = lambda: "capabilities-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CapabilitiesItems, [], name, value)


        class ActrlcapruleItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.ActrlcapruleItems.RuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.ActrlcapruleItems, self).__init__()

                self.yang_name = "actrlcaprule-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.ActrlcapruleItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "actrlcaprule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.ActrlcapruleItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: subj  (key)
                
                	TBD
                	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                
                	**config**\: False
                
                .. attribute:: scope  (key)
                
                	TBD
                	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                
                	**config**\: False
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                
                	**config**\: False
                
                .. attribute:: constraint
                
                	TBD
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.ActrlcapruleItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "actrlcaprule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['subj','scope','type']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                        ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.subj = None
                    self.scope = None
                    self.type = None
                    self.constraint = None
                    self.descr = None
                    self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/actrlcaprule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




        class L1capruleItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L1capruleItems.RuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.L1capruleItems, self).__init__()

                self.yang_name = "l1caprule-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.L1capruleItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "l1caprule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.L1capruleItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: subj  (key)
                
                	TBD
                	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                
                	**config**\: False
                
                .. attribute:: scope  (key)
                
                	TBD
                	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                
                	**config**\: False
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                
                	**config**\: False
                
                .. attribute:: constraint
                
                	TBD
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.L1capruleItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "l1caprule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['subj','scope','type']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                        ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.subj = None
                    self.scope = None
                    self.type = None
                    self.constraint = None
                    self.descr = None
                    self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/l1caprule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




        class L2capruleItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L2capruleItems.RuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.L2capruleItems, self).__init__()

                self.yang_name = "l2caprule-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.L2capruleItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "l2caprule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.L2capruleItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: subj  (key)
                
                	Subject
                	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                
                	**config**\: False
                
                .. attribute:: scope  (key)
                
                	TBD
                	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                
                	**config**\: False
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                
                	**config**\: False
                
                .. attribute:: faultstate
                
                	Fault State
                	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                
                	**config**\: False
                
                .. attribute:: constraint
                
                	TBD
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.L2capruleItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "l2caprule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['subj','scope','type']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                        ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                        ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.subj = None
                    self.scope = None
                    self.type = None
                    self.faultstate = None
                    self.constraint = None
                    self.descr = None
                    self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/l2caprule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




        class L3capruleItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.L3capruleItems.RuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.L3capruleItems, self).__init__()

                self.yang_name = "l3caprule-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.L3capruleItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "l3caprule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.L3capruleItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: subj  (key)
                
                	Subject
                	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                
                	**config**\: False
                
                .. attribute:: scope  (key)
                
                	TBD
                	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                
                	**config**\: False
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                
                	**config**\: False
                
                .. attribute:: faultstate
                
                	Fault State
                	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                
                	**config**\: False
                
                .. attribute:: constraint
                
                	TBD
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.L3capruleItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "l3caprule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['subj','scope','type']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                        ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                        ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.subj = None
                    self.scope = None
                    self.type = None
                    self.faultstate = None
                    self.constraint = None
                    self.descr = None
                    self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/l3caprule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




        class CardItems(Entity):
            """
            
            
            .. attribute:: card_list
            
            	
            	**type**\: list of  		 :py:class:`CardList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.CardItems, self).__init__()

                self.yang_name = "card-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Card-list", ("card_list", System.CapabilitiesItems.CardItems.CardList))])
                self._leafs = OrderedDict()

                self.card_list = YList(self)
                self._segment_path = lambda: "card-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.CardItems, [], name, value)


            class CardList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: actrlcaprule_items
                
                	
                	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems>`
                
                	**config**\: False
                
                .. attribute:: l1caprule_items
                
                	
                	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L1capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l2caprule_items
                
                	
                	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L2capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l3caprule_items
                
                	
                	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L3capruleItems>`
                
                	**config**\: False
                
                .. attribute:: mfg_items
                
                	
                	**type**\:  :py:class:`MfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.MfgItems>`
                
                	**config**\: False
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.PhysItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.CardItems.CardList, self).__init__()

                    self.yang_name = "Card-list"
                    self.yang_parent_name = "card-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','version']
                    self._child_classes = OrderedDict([("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.CardItems.CardList.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.CardItems.CardList.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.CardItems.CardList.L3capruleItems)), ("mfg-items", ("mfg_items", System.CapabilitiesItems.CardItems.CardList.MfgItems)), ("phys-items", ("phys_items", System.CapabilitiesItems.CardItems.CardList.PhysItems))])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.version = None

                    self.actrlcaprule_items = System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems()
                    self.actrlcaprule_items.parent = self
                    self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

                    self.l1caprule_items = System.CapabilitiesItems.CardItems.CardList.L1capruleItems()
                    self.l1caprule_items.parent = self
                    self._children_name_map["l1caprule_items"] = "l1caprule-items"

                    self.l2caprule_items = System.CapabilitiesItems.CardItems.CardList.L2capruleItems()
                    self.l2caprule_items.parent = self
                    self._children_name_map["l2caprule_items"] = "l2caprule-items"

                    self.l3caprule_items = System.CapabilitiesItems.CardItems.CardList.L3capruleItems()
                    self.l3caprule_items.parent = self
                    self._children_name_map["l3caprule_items"] = "l3caprule-items"

                    self.mfg_items = System.CapabilitiesItems.CardItems.CardList.MfgItems()
                    self.mfg_items.parent = self
                    self._children_name_map["mfg_items"] = "mfg-items"

                    self.phys_items = System.CapabilitiesItems.CardItems.CardList.PhysItems()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"
                    self._segment_path = lambda: "Card-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[version='" + str(self.version) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/card-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.CardItems.CardList, ['vendor', 'model', 'version'], name, value)


                class ActrlcapruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems, self).__init__()

                        self.yang_name = "actrlcaprule-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "actrlcaprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "actrlcaprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L1capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L1capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.L1capruleItems, self).__init__()

                        self.yang_name = "l1caprule-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.CardItems.CardList.L1capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l1caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L1capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.CardItems.CardList.L1capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l1caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L2capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L2capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.L2capruleItems, self).__init__()

                        self.yang_name = "l2caprule-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.CardItems.CardList.L2capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l2caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L2capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.CardItems.CardList.L2capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l2caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class L3capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.CardItems.CardList.L3capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.L3capruleItems, self).__init__()

                        self.yang_name = "l3caprule-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.CardItems.CardList.L3capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l3caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L3capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.CardItems.CardList.L3capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l3caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class MfgItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.MfgItems, self).__init__()

                        self.yang_name = "mfg-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.partnumber = None
                        self._segment_path = lambda: "mfg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.MfgItems, ['name', 'ownerkey', 'ownertag', 'descr', 'partnumber'], name, value)



                class PhysItems(Entity):
                    """
                    
                    
                    .. attribute:: height
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: width
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: depth
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: weight
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.CardItems.CardList.PhysItems, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "Card-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('height', (YLeaf(YType.str, 'height'), ['Decimal64'])),
                            ('width', (YLeaf(YType.str, 'width'), ['Decimal64'])),
                            ('depth', (YLeaf(YType.str, 'depth'), ['Decimal64'])),
                            ('weight', (YLeaf(YType.str, 'weight'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.height = None
                        self.width = None
                        self.depth = None
                        self.weight = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.CardItems.CardList.PhysItems, ['height', 'width', 'depth', 'weight', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





        class PortItems(Entity):
            """
            
            
            .. attribute:: port_list
            
            	
            	**type**\: list of  		 :py:class:`PortList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.PortItems, self).__init__()

                self.yang_name = "port-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Port-list", ("port_list", System.CapabilitiesItems.PortItems.PortList))])
                self._leafs = OrderedDict()

                self.port_list = YList(self)
                self._segment_path = lambda: "port-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.PortItems, [], name, value)


            class PortList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: actrlcaprule_items
                
                	
                	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems>`
                
                	**config**\: False
                
                .. attribute:: l1caprule_items
                
                	
                	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L1capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l2caprule_items
                
                	
                	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L2capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l3caprule_items
                
                	
                	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L3capruleItems>`
                
                	**config**\: False
                
                .. attribute:: mfg_items
                
                	
                	**type**\:  :py:class:`MfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.MfgItems>`
                
                	**config**\: False
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.PhysItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.PortItems.PortList, self).__init__()

                    self.yang_name = "Port-list"
                    self.yang_parent_name = "port-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','version']
                    self._child_classes = OrderedDict([("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.PortItems.PortList.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.PortItems.PortList.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.PortItems.PortList.L3capruleItems)), ("mfg-items", ("mfg_items", System.CapabilitiesItems.PortItems.PortList.MfgItems)), ("phys-items", ("phys_items", System.CapabilitiesItems.PortItems.PortList.PhysItems))])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.version = None

                    self.actrlcaprule_items = System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems()
                    self.actrlcaprule_items.parent = self
                    self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

                    self.l1caprule_items = System.CapabilitiesItems.PortItems.PortList.L1capruleItems()
                    self.l1caprule_items.parent = self
                    self._children_name_map["l1caprule_items"] = "l1caprule-items"

                    self.l2caprule_items = System.CapabilitiesItems.PortItems.PortList.L2capruleItems()
                    self.l2caprule_items.parent = self
                    self._children_name_map["l2caprule_items"] = "l2caprule-items"

                    self.l3caprule_items = System.CapabilitiesItems.PortItems.PortList.L3capruleItems()
                    self.l3caprule_items.parent = self
                    self._children_name_map["l3caprule_items"] = "l3caprule-items"

                    self.mfg_items = System.CapabilitiesItems.PortItems.PortList.MfgItems()
                    self.mfg_items.parent = self
                    self._children_name_map["mfg_items"] = "mfg-items"

                    self.phys_items = System.CapabilitiesItems.PortItems.PortList.PhysItems()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"
                    self._segment_path = lambda: "Port-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[version='" + str(self.version) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/port-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.PortItems.PortList, ['vendor', 'model', 'version'], name, value)


                class ActrlcapruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems, self).__init__()

                        self.yang_name = "actrlcaprule-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "actrlcaprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "actrlcaprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L1capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L1capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.L1capruleItems, self).__init__()

                        self.yang_name = "l1caprule-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PortItems.PortList.L1capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l1caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L1capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PortItems.PortList.L1capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l1caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L2capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L2capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.L2capruleItems, self).__init__()

                        self.yang_name = "l2caprule-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PortItems.PortList.L2capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l2caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L2capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PortItems.PortList.L2capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l2caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class L3capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PortItems.PortList.L3capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.L3capruleItems, self).__init__()

                        self.yang_name = "l3caprule-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PortItems.PortList.L3capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l3caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L3capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PortItems.PortList.L3capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l3caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class MfgItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.MfgItems, self).__init__()

                        self.yang_name = "mfg-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.partnumber = None
                        self._segment_path = lambda: "mfg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.MfgItems, ['name', 'ownerkey', 'ownertag', 'descr', 'partnumber'], name, value)



                class PhysItems(Entity):
                    """
                    
                    
                    .. attribute:: height
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: width
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: depth
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: weight
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PortItems.PortList.PhysItems, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "Port-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('height', (YLeaf(YType.str, 'height'), ['Decimal64'])),
                            ('width', (YLeaf(YType.str, 'width'), ['Decimal64'])),
                            ('depth', (YLeaf(YType.str, 'depth'), ['Decimal64'])),
                            ('weight', (YLeaf(YType.str, 'weight'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.height = None
                        self.width = None
                        self.depth = None
                        self.weight = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PortItems.PortList.PhysItems, ['height', 'width', 'depth', 'weight', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





        class PsuItems(Entity):
            """
            
            
            .. attribute:: psu_list
            
            	
            	**type**\: list of  		 :py:class:`PsuList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.PsuItems, self).__init__()

                self.yang_name = "psu-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Psu-list", ("psu_list", System.CapabilitiesItems.PsuItems.PsuList))])
                self._leafs = OrderedDict()

                self.psu_list = YList(self)
                self._segment_path = lambda: "psu-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.PsuItems, [], name, value)


            class PsuList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: actrlcaprule_items
                
                	
                	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems>`
                
                	**config**\: False
                
                .. attribute:: l1caprule_items
                
                	
                	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l2caprule_items
                
                	
                	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l3caprule_items
                
                	
                	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems>`
                
                	**config**\: False
                
                .. attribute:: mfg_items
                
                	
                	**type**\:  :py:class:`MfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.MfgItems>`
                
                	**config**\: False
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.PhysItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.PsuItems.PsuList, self).__init__()

                    self.yang_name = "Psu-list"
                    self.yang_parent_name = "psu-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','version']
                    self._child_classes = OrderedDict([("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems)), ("mfg-items", ("mfg_items", System.CapabilitiesItems.PsuItems.PsuList.MfgItems)), ("phys-items", ("phys_items", System.CapabilitiesItems.PsuItems.PsuList.PhysItems))])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.version = None

                    self.actrlcaprule_items = System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems()
                    self.actrlcaprule_items.parent = self
                    self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

                    self.l1caprule_items = System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems()
                    self.l1caprule_items.parent = self
                    self._children_name_map["l1caprule_items"] = "l1caprule-items"

                    self.l2caprule_items = System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems()
                    self.l2caprule_items.parent = self
                    self._children_name_map["l2caprule_items"] = "l2caprule-items"

                    self.l3caprule_items = System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems()
                    self.l3caprule_items.parent = self
                    self._children_name_map["l3caprule_items"] = "l3caprule-items"

                    self.mfg_items = System.CapabilitiesItems.PsuItems.PsuList.MfgItems()
                    self.mfg_items.parent = self
                    self._children_name_map["mfg_items"] = "mfg-items"

                    self.phys_items = System.CapabilitiesItems.PsuItems.PsuList.PhysItems()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"
                    self._segment_path = lambda: "Psu-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[version='" + str(self.version) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/psu-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList, ['vendor', 'model', 'version'], name, value)


                class ActrlcapruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems, self).__init__()

                        self.yang_name = "actrlcaprule-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "actrlcaprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "actrlcaprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L1capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems, self).__init__()

                        self.yang_name = "l1caprule-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l1caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l1caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L2capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems, self).__init__()

                        self.yang_name = "l2caprule-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l2caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l2caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class L3capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems, self).__init__()

                        self.yang_name = "l3caprule-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l3caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l3caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class MfgItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.MfgItems, self).__init__()

                        self.yang_name = "mfg-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.partnumber = None
                        self._segment_path = lambda: "mfg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.MfgItems, ['name', 'ownerkey', 'ownertag', 'descr', 'partnumber'], name, value)



                class PhysItems(Entity):
                    """
                    
                    
                    .. attribute:: height
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: width
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: depth
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: weight
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.PsuItems.PsuList.PhysItems, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "Psu-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('height', (YLeaf(YType.str, 'height'), ['Decimal64'])),
                            ('width', (YLeaf(YType.str, 'width'), ['Decimal64'])),
                            ('depth', (YLeaf(YType.str, 'depth'), ['Decimal64'])),
                            ('weight', (YLeaf(YType.str, 'weight'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.height = None
                        self.width = None
                        self.depth = None
                        self.weight = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.PsuItems.PsuList.PhysItems, ['height', 'width', 'depth', 'weight', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





        class FanItems(Entity):
            """
            
            
            .. attribute:: fan_list
            
            	
            	**type**\: list of  		 :py:class:`FanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.FanItems, self).__init__()

                self.yang_name = "fan-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Fan-list", ("fan_list", System.CapabilitiesItems.FanItems.FanList))])
                self._leafs = OrderedDict()

                self.fan_list = YList(self)
                self._segment_path = lambda: "fan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.FanItems, [], name, value)


            class FanList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: actrlcaprule_items
                
                	
                	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems>`
                
                	**config**\: False
                
                .. attribute:: l1caprule_items
                
                	
                	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L1capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l2caprule_items
                
                	
                	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L2capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l3caprule_items
                
                	
                	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L3capruleItems>`
                
                	**config**\: False
                
                .. attribute:: mfg_items
                
                	
                	**type**\:  :py:class:`MfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.MfgItems>`
                
                	**config**\: False
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.PhysItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.FanItems.FanList, self).__init__()

                    self.yang_name = "Fan-list"
                    self.yang_parent_name = "fan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','version']
                    self._child_classes = OrderedDict([("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.FanItems.FanList.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.FanItems.FanList.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.FanItems.FanList.L3capruleItems)), ("mfg-items", ("mfg_items", System.CapabilitiesItems.FanItems.FanList.MfgItems)), ("phys-items", ("phys_items", System.CapabilitiesItems.FanItems.FanList.PhysItems))])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.version = None

                    self.actrlcaprule_items = System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems()
                    self.actrlcaprule_items.parent = self
                    self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

                    self.l1caprule_items = System.CapabilitiesItems.FanItems.FanList.L1capruleItems()
                    self.l1caprule_items.parent = self
                    self._children_name_map["l1caprule_items"] = "l1caprule-items"

                    self.l2caprule_items = System.CapabilitiesItems.FanItems.FanList.L2capruleItems()
                    self.l2caprule_items.parent = self
                    self._children_name_map["l2caprule_items"] = "l2caprule-items"

                    self.l3caprule_items = System.CapabilitiesItems.FanItems.FanList.L3capruleItems()
                    self.l3caprule_items.parent = self
                    self._children_name_map["l3caprule_items"] = "l3caprule-items"

                    self.mfg_items = System.CapabilitiesItems.FanItems.FanList.MfgItems()
                    self.mfg_items.parent = self
                    self._children_name_map["mfg_items"] = "mfg-items"

                    self.phys_items = System.CapabilitiesItems.FanItems.FanList.PhysItems()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"
                    self._segment_path = lambda: "Fan-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[version='" + str(self.version) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/fan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.FanItems.FanList, ['vendor', 'model', 'version'], name, value)


                class ActrlcapruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems, self).__init__()

                        self.yang_name = "actrlcaprule-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "actrlcaprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "actrlcaprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L1capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L1capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.L1capruleItems, self).__init__()

                        self.yang_name = "l1caprule-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.FanItems.FanList.L1capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l1caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L1capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.FanItems.FanList.L1capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l1caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L2capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L2capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.L2capruleItems, self).__init__()

                        self.yang_name = "l2caprule-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.FanItems.FanList.L2capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l2caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L2capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.FanItems.FanList.L2capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l2caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class L3capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.FanItems.FanList.L3capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.L3capruleItems, self).__init__()

                        self.yang_name = "l3caprule-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.FanItems.FanList.L3capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l3caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L3capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.FanItems.FanList.L3capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l3caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class MfgItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.MfgItems, self).__init__()

                        self.yang_name = "mfg-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.partnumber = None
                        self._segment_path = lambda: "mfg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.MfgItems, ['name', 'ownerkey', 'ownertag', 'descr', 'partnumber'], name, value)



                class PhysItems(Entity):
                    """
                    
                    
                    .. attribute:: height
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: width
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: depth
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: weight
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.FanItems.FanList.PhysItems, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "Fan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('height', (YLeaf(YType.str, 'height'), ['Decimal64'])),
                            ('width', (YLeaf(YType.str, 'width'), ['Decimal64'])),
                            ('depth', (YLeaf(YType.str, 'depth'), ['Decimal64'])),
                            ('weight', (YLeaf(YType.str, 'weight'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.height = None
                        self.width = None
                        self.depth = None
                        self.weight = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.FanItems.FanList.PhysItems, ['height', 'width', 'depth', 'weight', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





        class SfpItems(Entity):
            """
            
            
            .. attribute:: sfp_list
            
            	
            	**type**\: list of  		 :py:class:`SfpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CapabilitiesItems.SfpItems, self).__init__()

                self.yang_name = "sfp-items"
                self.yang_parent_name = "capabilities-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Sfp-list", ("sfp_list", System.CapabilitiesItems.SfpItems.SfpList))])
                self._leafs = OrderedDict()

                self.sfp_list = YList(self)
                self._segment_path = lambda: "sfp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CapabilitiesItems.SfpItems, [], name, value)


            class SfpList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version  (key)
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mfg_items
                
                	
                	**type**\:  :py:class:`MfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.MfgItems>`
                
                	**config**\: False
                
                .. attribute:: actrlcaprule_items
                
                	
                	**type**\:  :py:class:`ActrlcapruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems>`
                
                	**config**\: False
                
                .. attribute:: l1caprule_items
                
                	
                	**type**\:  :py:class:`L1capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l2caprule_items
                
                	
                	**type**\:  :py:class:`L2capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems>`
                
                	**config**\: False
                
                .. attribute:: l3caprule_items
                
                	
                	**type**\:  :py:class:`L3capruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems>`
                
                	**config**\: False
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.PhysItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CapabilitiesItems.SfpItems.SfpList, self).__init__()

                    self.yang_name = "Sfp-list"
                    self.yang_parent_name = "sfp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','version']
                    self._child_classes = OrderedDict([("mfg-items", ("mfg_items", System.CapabilitiesItems.SfpItems.SfpList.MfgItems)), ("actrlcaprule-items", ("actrlcaprule_items", System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems)), ("l1caprule-items", ("l1caprule_items", System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems)), ("l2caprule-items", ("l2caprule_items", System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems)), ("l3caprule-items", ("l3caprule_items", System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems)), ("phys-items", ("phys_items", System.CapabilitiesItems.SfpItems.SfpList.PhysItems))])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.version = None

                    self.mfg_items = System.CapabilitiesItems.SfpItems.SfpList.MfgItems()
                    self.mfg_items.parent = self
                    self._children_name_map["mfg_items"] = "mfg-items"

                    self.actrlcaprule_items = System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems()
                    self.actrlcaprule_items.parent = self
                    self._children_name_map["actrlcaprule_items"] = "actrlcaprule-items"

                    self.l1caprule_items = System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems()
                    self.l1caprule_items.parent = self
                    self._children_name_map["l1caprule_items"] = "l1caprule-items"

                    self.l2caprule_items = System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems()
                    self.l2caprule_items.parent = self
                    self._children_name_map["l2caprule_items"] = "l2caprule-items"

                    self.l3caprule_items = System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems()
                    self.l3caprule_items.parent = self
                    self._children_name_map["l3caprule_items"] = "l3caprule-items"

                    self.phys_items = System.CapabilitiesItems.SfpItems.SfpList.PhysItems()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"
                    self._segment_path = lambda: "Sfp-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[version='" + str(self.version) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/capabilities-items/sfp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList, ['vendor', 'model', 'version'], name, value)


                class MfgItems(Entity):
                    """
                    
                    
                    .. attribute:: sfpmfgdef_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SfpMfgDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.MfgItems.SfpMfgDefList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.MfgItems, self).__init__()

                        self.yang_name = "mfg-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("SfpMfgDef-list", ("sfpmfgdef_list", System.CapabilitiesItems.SfpItems.SfpList.MfgItems.SfpMfgDefList))])
                        self._leafs = OrderedDict()

                        self.sfpmfgdef_list = YList(self)
                        self._segment_path = lambda: "mfg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.MfgItems, [], name, value)


                    class SfpMfgDefList(Entity):
                        """
                        
                        
                        .. attribute:: partnumber  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: pnpattern
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: intvendorid
                        
                        	Internal Vendor ID
                        	**type**\: int
                        
                        	**range:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: magickey
                        
                        	Magic Key
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: xcvr
                        
                        	Transceiver Type
                        	**type**\:  :py:class:`EqptcapXcvrT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptcapXcvrT>`
                        
                        	**config**\: False
                        
                        .. attribute:: connector
                        
                        	Connector Type
                        	**type**\:  :py:class:`EqptcapConnT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptcapConnT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.SfpItems.SfpList.MfgItems.SfpMfgDefList, self).__init__()

                            self.yang_name = "SfpMfgDef-list"
                            self.yang_parent_name = "mfg-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['partnumber']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                                ('pnpattern', (YLeaf(YType.str, 'pnPattern'), ['str'])),
                                ('intvendorid', (YLeaf(YType.uint8, 'intVendorId'), ['int'])),
                                ('magickey', (YLeaf(YType.str, 'magicKey'), ['str'])),
                                ('xcvr', (YLeaf(YType.enumeration, 'xcvr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptcapXcvrT', '')])),
                                ('connector', (YLeaf(YType.enumeration, 'connector'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptcapConnT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.partnumber = None
                            self.pnpattern = None
                            self.intvendorid = None
                            self.magickey = None
                            self.xcvr = None
                            self.connector = None
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self._segment_path = lambda: "SfpMfgDef-list" + "[partNumber='" + str(self.partnumber) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.MfgItems.SfpMfgDefList, ['partnumber', 'pnpattern', 'intvendorid', 'magickey', 'xcvr', 'connector', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)




                class ActrlcapruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems, self).__init__()

                        self.yang_name = "actrlcaprule-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "actrlcaprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "actrlcaprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.ActrlcapruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L1capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems, self).__init__()

                        self.yang_name = "l1caprule-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l1caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l1caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L1capruleItems.RuleList, ['subj', 'scope', 'type', 'constraint', 'descr'], name, value)




                class L2capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems, self).__init__()

                        self.yang_name = "l2caprule-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l2caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l2caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L2capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class L3capruleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems, self).__init__()

                        self.yang_name = "l3caprule-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "l3caprule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: subj  (key)
                        
                        	Subject
                        	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
                        
                        	**config**\: False
                        
                        .. attribute:: scope  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapScope>`
                        
                        	**config**\: False
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: faultstate
                        
                        	Fault State
                        	**type**\:  :py:class:`CapRaiseFaultState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRaiseFaultState>`
                        
                        	**config**\: False
                        
                        .. attribute:: constraint
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "l3caprule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['subj','scope','type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapScope', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                                ('faultstate', (YLeaf(YType.enumeration, 'faultState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRaiseFaultState', '')])),
                                ('constraint', (YLeaf(YType.uint32, 'constraint'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.subj = None
                            self.scope = None
                            self.type = None
                            self.faultstate = None
                            self.constraint = None
                            self.descr = None
                            self._segment_path = lambda: "Rule-list" + "[subj='" + str(self.subj) + "']" + "[scope='" + str(self.scope) + "']" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.L3capruleItems.RuleList, ['subj', 'scope', 'type', 'faultstate', 'constraint', 'descr'], name, value)




                class PhysItems(Entity):
                    """
                    
                    
                    .. attribute:: height
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: width
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: depth
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: weight
                    
                    	TBD
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CapabilitiesItems.SfpItems.SfpList.PhysItems, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "Sfp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('height', (YLeaf(YType.str, 'height'), ['Decimal64'])),
                            ('width', (YLeaf(YType.str, 'width'), ['Decimal64'])),
                            ('depth', (YLeaf(YType.str, 'depth'), ['Decimal64'])),
                            ('weight', (YLeaf(YType.str, 'weight'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.height = None
                        self.width = None
                        self.depth = None
                        self.weight = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CapabilitiesItems.SfpItems.SfpList.PhysItems, ['height', 'width', 'depth', 'weight', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)






    class ClockItems(Entity):
        """
        
        
        .. attribute:: protocol
        
        	Protocol Type
        	**type**\:  :py:class:`DatetimeClockProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeClockProtocol>`
        
        .. attribute:: vdcid
        
        	Vdc
        	**type**\: int
        
        	**range:** 1..None
        
        .. attribute:: format
        
        	Clock Format
        	**type**\:  :py:class:`DatetimeClockFormat <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeClockFormat>`
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: ownerkey
        
        	TBD
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: ownertag
        
        	TBD
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: authst
        
        	Authentication  State
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: set_items
        
        	
        	**type**\:  :py:class:`SetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ClockItems.SetItems>`
        
        .. attribute:: timezone_items
        
        	
        	**type**\:  :py:class:`TimezoneItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ClockItems.TimezoneItems>`
        
        .. attribute:: summertime_items
        
        	
        	**type**\:  :py:class:`SummertimeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ClockItems.SummertimeItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ClockItems, self).__init__()

            self.yang_name = "clock-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("set-items", ("set_items", System.ClockItems.SetItems)), ("timezone-items", ("timezone_items", System.ClockItems.TimezoneItems)), ("summertime-items", ("summertime_items", System.ClockItems.SummertimeItems))])
            self._leafs = OrderedDict([
                ('protocol', (YLeaf(YType.enumeration, 'protocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeClockProtocol', '')])),
                ('vdcid', (YLeaf(YType.uint16, 'vdcId'), ['int'])),
                ('format', (YLeaf(YType.enumeration, 'format'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeClockFormat', '')])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
                ('authst', (YLeaf(YType.enumeration, 'authSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
            ])
            self.protocol = None
            self.vdcid = None
            self.format = None
            self.name = None
            self.ownerkey = None
            self.ownertag = None
            self.descr = None
            self.adminst = None
            self.authst = None

            self.set_items = System.ClockItems.SetItems()
            self.set_items.parent = self
            self._children_name_map["set_items"] = "set-items"

            self.timezone_items = System.ClockItems.TimezoneItems()
            self.timezone_items.parent = self
            self._children_name_map["timezone_items"] = "timezone-items"

            self.summertime_items = System.ClockItems.SummertimeItems()
            self.summertime_items.parent = self
            self._children_name_map["summertime_items"] = "summertime-items"
            self._segment_path = lambda: "clock-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ClockItems, ['protocol', 'vdcid', 'format', 'name', 'ownerkey', 'ownertag', 'descr', 'adminst', 'authst'], name, value)


        class SetItems(Entity):
            """
            
            
            .. attribute:: time
            
            	
            	**type**\: str
            
            .. attribute:: date
            
            	Day of the month
            	**type**\: int
            
            	**range:** 1..31
            
            .. attribute:: month
            
            	Month of the year
            	**type**\:  :py:class:`DatetimeMonth <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeMonth>`
            
            .. attribute:: year
            
            	Year
            	**type**\: int
            
            	**range:** 2000..2030
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ClockItems.SetItems, self).__init__()

                self.yang_name = "set-items"
                self.yang_parent_name = "clock-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('time', (YLeaf(YType.str, 'time'), ['str'])),
                    ('date', (YLeaf(YType.uint16, 'date'), ['int'])),
                    ('month', (YLeaf(YType.enumeration, 'month'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeMonth', '')])),
                    ('year', (YLeaf(YType.uint16, 'year'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.time = None
                self.date = None
                self.month = None
                self.year = None
                self.name = None
                self.descr = None
                self._segment_path = lambda: "set-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/clock-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ClockItems.SetItems, ['time', 'date', 'month', 'year', 'name', 'descr'], name, value)



        class TimezoneItems(Entity):
            """
            
            
            .. attribute:: hours
            
            	Hours offset from UTC
            	**type**\: int
            
            	**range:** \-12..14
            
            .. attribute:: minutes
            
            	Minutes offset from UTC
            	**type**\: int
            
            	**range:** 0..59
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: namet
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ClockItems.TimezoneItems, self).__init__()

                self.yang_name = "timezone-items"
                self.yang_parent_name = "clock-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('hours', (YLeaf(YType.int16, 'hours'), ['int'])),
                    ('minutes', (YLeaf(YType.uint16, 'minutes'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('namet', (YLeaf(YType.str, 'nameT'), ['str'])),
                ])
                self.hours = None
                self.minutes = None
                self.name = None
                self.descr = None
                self.namet = None
                self._segment_path = lambda: "timezone-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/clock-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ClockItems.TimezoneItems, ['hours', 'minutes', 'name', 'descr', 'namet'], name, value)



        class SummertimeItems(Entity):
            """
            
            
            .. attribute:: startweek
            
            	Week number to start
            	**type**\: int
            
            	**range:** 1..5
            
            .. attribute:: startday
            
            	
            	**type**\: str
            
            	**default value**\: Sun
            
            .. attribute:: startmon
            
            	
            	**type**\: str
            
            	**default value**\: Mar
            
            .. attribute:: starttime
            
            	
            	**type**\: str
            
            	**default value**\: 02:00
            
            .. attribute:: endweek
            
            	Week number to end
            	**type**\: int
            
            	**range:** 1..5
            
            .. attribute:: endday
            
            	
            	**type**\: str
            
            	**default value**\: Sun
            
            .. attribute:: endmon
            
            	
            	**type**\: str
            
            	**default value**\: Nov
            
            .. attribute:: endtime
            
            	
            	**type**\: str
            
            	**default value**\: 02:00
            
            .. attribute:: offsetmin
            
            	Offset to add in minutes
            	**type**\: int
            
            	**range:** 1..1440
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: namet
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ClockItems.SummertimeItems, self).__init__()

                self.yang_name = "summertime-items"
                self.yang_parent_name = "clock-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('startweek', (YLeaf(YType.uint16, 'startWeek'), ['int'])),
                    ('startday', (YLeaf(YType.str, 'startDay'), ['str'])),
                    ('startmon', (YLeaf(YType.str, 'startMon'), ['str'])),
                    ('starttime', (YLeaf(YType.str, 'startTime'), ['str'])),
                    ('endweek', (YLeaf(YType.uint16, 'endWeek'), ['int'])),
                    ('endday', (YLeaf(YType.str, 'endDay'), ['str'])),
                    ('endmon', (YLeaf(YType.str, 'endMon'), ['str'])),
                    ('endtime', (YLeaf(YType.str, 'endTime'), ['str'])),
                    ('offsetmin', (YLeaf(YType.uint16, 'offsetMin'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('namet', (YLeaf(YType.str, 'nameT'), ['str'])),
                ])
                self.startweek = None
                self.startday = None
                self.startmon = None
                self.starttime = None
                self.endweek = None
                self.endday = None
                self.endmon = None
                self.endtime = None
                self.offsetmin = None
                self.name = None
                self.descr = None
                self.namet = None
                self._segment_path = lambda: "summertime-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/clock-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ClockItems.SummertimeItems, ['startweek', 'startday', 'startmon', 'starttime', 'endweek', 'endday', 'endmon', 'endtime', 'offsetmin', 'name', 'descr', 'namet'], name, value)




    class TimeItems(Entity):
        """
        
        
        .. attribute:: flags
        
        	System Status Flags (time sync status)
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: leap
        
        	Leap Indicator
        	**type**\: int
        
        	**range:** 0..255
        
        	**config**\: False
        
        .. attribute:: stratum
        
        	Clock Stratum
        	**type**\: int
        
        	**range:** 0..255
        
        	**config**\: False
        
        .. attribute:: precision
        
        	
        	**type**\: int
        
        	**range:** \-2147483648..2147483647
        
        	**config**\: False
        
        .. attribute:: rootdelay
        
        	RootDelay
        	**type**\: int
        
        	**range:** \-2147483648..2147483647
        
        	**config**\: False
        
        .. attribute:: rootdispersion
        
        	RootDispersion
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: refid
        
        	RefId
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: reftime
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: reftimeraw
        
        	
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        .. attribute:: poll
        
        	Polling Interval
        	**type**\: int
        
        	**range:** \-20..20
        
        	**config**\: False
        
        .. attribute:: peer
        
        	The Current Synchronization Source/Peer
        	**type**\: int
        
        	**range:** 0..2147483647
        
        	**config**\: False
        
        .. attribute:: clock
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: clockraw
        
        	
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        .. attribute:: srvstatus
        
        	NTP Daemon State
        	**type**\:  :py:class:`DatetimeNtpSrvStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeNtpSrvStatus>`
        
        	**config**\: False
        
        .. attribute:: logging
        
        	NTP Logging Status
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: logginglevel
        
        	NTP Logging Level
        	**type**\:  :py:class:`DatetimeLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeLoggingLevel>`
        
        .. attribute:: master
        
        	NTP Master Configuration
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: masterstratum
        
        	NTP Master Stratum Level
        	**type**\: int
        
        	**range:** 1..15
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        	**config**\: False
        
        .. attribute:: ownerkey
        
        	TBD
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: ownertag
        
        	TBD
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: authst
        
        	Authentication  State
        	**type**\:  :py:class:`DatetimeAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeAdminState>`
        
        .. attribute:: auth_items
        
        	
        	**type**\:  :py:class:`AuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.AuthItems>`
        
        .. attribute:: prov_items
        
        	
        	**type**\:  :py:class:`ProvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.ProvItems>`
        
        .. attribute:: accessgroup_items
        
        	
        	**type**\:  :py:class:`AccessgroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.AccessgroupItems>`
        
        .. attribute:: srcip_items
        
        	
        	**type**\:  :py:class:`SrcIpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.SrcIpItems>`
        
        .. attribute:: srcif_items
        
        	
        	**type**\:  :py:class:`SrcIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.SrcIfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TimeItems, self).__init__()

            self.yang_name = "time-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("auth-items", ("auth_items", System.TimeItems.AuthItems)), ("prov-items", ("prov_items", System.TimeItems.ProvItems)), ("accessgroup-items", ("accessgroup_items", System.TimeItems.AccessgroupItems)), ("srcIp-items", ("srcip_items", System.TimeItems.SrcIpItems)), ("srcIf-items", ("srcif_items", System.TimeItems.SrcIfItems))])
            self._leafs = OrderedDict([
                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                ('leap', (YLeaf(YType.uint8, 'leap'), ['int'])),
                ('stratum', (YLeaf(YType.uint8, 'stratum'), ['int'])),
                ('precision', (YLeaf(YType.int32, 'precision'), ['int'])),
                ('rootdelay', (YLeaf(YType.int32, 'rootDelay'), ['int'])),
                ('rootdispersion', (YLeaf(YType.uint32, 'rootDispersion'), ['int'])),
                ('refid', (YLeaf(YType.str, 'refId'), ['str'])),
                ('reftime', (YLeaf(YType.str, 'refTime'), ['str'])),
                ('reftimeraw', (YLeaf(YType.uint64, 'refTimeRaw'), ['int'])),
                ('poll', (YLeaf(YType.int32, 'poll'), ['int'])),
                ('peer', (YLeaf(YType.uint32, 'peer'), ['int'])),
                ('clock', (YLeaf(YType.str, 'clock'), ['str'])),
                ('clockraw', (YLeaf(YType.uint64, 'clockRaw'), ['int'])),
                ('srvstatus', (YLeaf(YType.enumeration, 'srvStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeNtpSrvStatus', '')])),
                ('logging', (YLeaf(YType.enumeration, 'logging'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
                ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeLoggingLevel', '')])),
                ('master', (YLeaf(YType.enumeration, 'master'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
                ('masterstratum', (YLeaf(YType.uint8, 'masterStratum'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
                ('authst', (YLeaf(YType.enumeration, 'authSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeAdminState', '')])),
            ])
            self.flags = None
            self.leap = None
            self.stratum = None
            self.precision = None
            self.rootdelay = None
            self.rootdispersion = None
            self.refid = None
            self.reftime = None
            self.reftimeraw = None
            self.poll = None
            self.peer = None
            self.clock = None
            self.clockraw = None
            self.srvstatus = None
            self.logging = None
            self.logginglevel = None
            self.master = None
            self.masterstratum = None
            self.name = None
            self.ownerkey = None
            self.ownertag = None
            self.descr = None
            self.adminst = None
            self.authst = None

            self.auth_items = System.TimeItems.AuthItems()
            self.auth_items.parent = self
            self._children_name_map["auth_items"] = "auth-items"

            self.prov_items = System.TimeItems.ProvItems()
            self.prov_items.parent = self
            self._children_name_map["prov_items"] = "prov-items"

            self.accessgroup_items = System.TimeItems.AccessgroupItems()
            self.accessgroup_items.parent = self
            self._children_name_map["accessgroup_items"] = "accessgroup-items"

            self.srcip_items = System.TimeItems.SrcIpItems()
            self.srcip_items.parent = self
            self._children_name_map["srcip_items"] = "srcIp-items"

            self.srcif_items = System.TimeItems.SrcIfItems()
            self.srcif_items.parent = self
            self._children_name_map["srcif_items"] = "srcIf-items"
            self._segment_path = lambda: "time-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TimeItems, ['flags', 'leap', 'stratum', 'precision', 'rootdelay', 'rootdispersion', 'refid', 'reftime', 'reftimeraw', 'poll', 'peer', 'clock', 'clockraw', 'srvstatus', 'logging', 'logginglevel', 'master', 'masterstratum', 'name', 'ownerkey', 'ownertag', 'descr', 'adminst', 'authst'], name, value)


        class AuthItems(Entity):
            """
            
            
            .. attribute:: ntpauth_list
            
            	
            	**type**\: list of  		 :py:class:`NtpAuthList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.AuthItems.NtpAuthList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TimeItems.AuthItems, self).__init__()

                self.yang_name = "auth-items"
                self.yang_parent_name = "time-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NtpAuth-list", ("ntpauth_list", System.TimeItems.AuthItems.NtpAuthList))])
                self._leafs = OrderedDict()

                self.ntpauth_list = YList(self)
                self._segment_path = lambda: "auth-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TimeItems.AuthItems, [], name, value)


            class NtpAuthList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Auth Key Id
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: encryptedkey
                
                	Encrypted Key
                	**type**\: str
                
                .. attribute:: isencrypt
                
                	Is Encrypted Flag
                	**type**\: bool
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: key
                
                	Key
                	**type**\: str
                
                .. attribute:: trusted
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TimeItems.AuthItems.NtpAuthList, self).__init__()

                    self.yang_name = "NtpAuth-list"
                    self.yang_parent_name = "auth-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                        ('encryptedkey', (YLeaf(YType.str, 'encryptedKey'), ['str'])),
                        ('isencrypt', (YLeaf(YType.boolean, 'isEncrypt'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('key', (YLeaf(YType.str, 'key'), ['str'])),
                        ('trusted', (YLeaf(YType.boolean, 'trusted'), ['bool'])),
                    ])
                    self.id = None
                    self.encryptedkey = None
                    self.isencrypt = None
                    self.name = None
                    self.descr = None
                    self.key = None
                    self.trusted = None
                    self._segment_path = lambda: "NtpAuth-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/auth-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TimeItems.AuthItems.NtpAuthList, ['id', 'encryptedkey', 'isencrypt', 'name', 'descr', 'key', 'trusted'], name, value)




        class ProvItems(Entity):
            """
            
            
            .. attribute:: ntpprovider_list
            
            	
            	**type**\: list of  		 :py:class:`NtpProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.ProvItems.NtpProviderList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TimeItems.ProvItems, self).__init__()

                self.yang_name = "prov-items"
                self.yang_parent_name = "time-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NtpProvider-list", ("ntpprovider_list", System.TimeItems.ProvItems.NtpProviderList))])
                self._leafs = OrderedDict()

                self.ntpprovider_list = YList(self)
                self._segment_path = lambda: "prov-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TimeItems.ProvItems, [], name, value)


            class NtpProviderList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	NTP Server/Peer Name Or Address
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: provt
                
                	NTP Server Or Peer
                	**type**\:  :py:class:`DatetimeProvT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeProvT>`
                
                .. attribute:: vrf
                
                	VRF
                	**type**\: str
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: preferred
                
                	
                	**type**\: bool
                
                .. attribute:: minpoll
                
                	Min Poll
                	**type**\: int
                
                	**range:** 4..16
                
                .. attribute:: maxpoll
                
                	Max Poll
                	**type**\: int
                
                	**range:** 4..16
                
                .. attribute:: keyid
                
                	Key Id
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: status_items
                
                	
                	**type**\:  :py:class:`StatusItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.ProvItems.NtpProviderList.StatusItems>`
                
                .. attribute:: rsntpprovidertontpauth_items
                
                	
                	**type**\:  :py:class:`RsntpProviderToNtpAuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TimeItems.ProvItems.NtpProviderList, self).__init__()

                    self.yang_name = "NtpProvider-list"
                    self.yang_parent_name = "prov-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("status-items", ("status_items", System.TimeItems.ProvItems.NtpProviderList.StatusItems)), ("rsntpProviderToNtpAuth-items", ("rsntpprovidertontpauth_items", System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('provt', (YLeaf(YType.enumeration, 'provT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeProvT', '')])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('preferred', (YLeaf(YType.boolean, 'preferred'), ['bool'])),
                        ('minpoll', (YLeaf(YType.uint8, 'minPoll'), ['int'])),
                        ('maxpoll', (YLeaf(YType.uint8, 'maxPoll'), ['int'])),
                        ('keyid', (YLeaf(YType.uint16, 'keyId'), ['int'])),
                    ])
                    self.name = None
                    self.provt = None
                    self.vrf = None
                    self.descr = None
                    self.preferred = None
                    self.minpoll = None
                    self.maxpoll = None
                    self.keyid = None

                    self.status_items = System.TimeItems.ProvItems.NtpProviderList.StatusItems()
                    self.status_items.parent = self
                    self._children_name_map["status_items"] = "status-items"

                    self.rsntpprovidertontpauth_items = System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems()
                    self.rsntpprovidertontpauth_items.parent = self
                    self._children_name_map["rsntpprovidertontpauth_items"] = "rsntpProviderToNtpAuth-items"
                    self._segment_path = lambda: "NtpProvider-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/prov-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TimeItems.ProvItems.NtpProviderList, ['name', 'provt', 'vrf', 'descr', 'preferred', 'minpoll', 'maxpoll', 'keyid'], name, value)


                class StatusItems(Entity):
                    """
                    
                    
                    .. attribute:: flags
                    
                    	Peer Specific Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mode
                    
                    	The Association Mode Of NTP Server
                    	**type**\:  :py:class:`DatetimeNTPPeerMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DatetimeNTPPeerMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: stratum
                    
                    	Stratum
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: peerpoll
                    
                    	PeerPoll
                    	**type**\: int
                    
                    	**range:** \-20..20
                    
                    	**config**\: False
                    
                    .. attribute:: hostpoll
                    
                    	HostPoll
                    	**type**\: int
                    
                    	**range:** \-20..20
                    
                    	**config**\: False
                    
                    .. attribute:: reach
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: delay
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: delayraw
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: dispersion
                    
                    	Dispersion
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TimeItems.ProvItems.NtpProviderList.StatusItems, self).__init__()

                        self.yang_name = "status-items"
                        self.yang_parent_name = "NtpProvider-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DatetimeNTPPeerMode', '')])),
                            ('stratum', (YLeaf(YType.uint8, 'stratum'), ['int'])),
                            ('peerpoll', (YLeaf(YType.int32, 'peerPoll'), ['int'])),
                            ('hostpoll', (YLeaf(YType.int32, 'hostPoll'), ['int'])),
                            ('reach', (YLeaf(YType.uint8, 'reach'), ['int'])),
                            ('delay', (YLeaf(YType.str, 'delay'), ['str'])),
                            ('delayraw', (YLeaf(YType.int32, 'delayRaw'), ['int'])),
                            ('dispersion', (YLeaf(YType.uint32, 'dispersion'), ['int'])),
                        ])
                        self.flags = None
                        self.mode = None
                        self.stratum = None
                        self.peerpoll = None
                        self.hostpoll = None
                        self.reach = None
                        self.delay = None
                        self.delayraw = None
                        self.dispersion = None
                        self._segment_path = lambda: "status-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TimeItems.ProvItems.NtpProviderList.StatusItems, ['flags', 'mode', 'stratum', 'peerpoll', 'hostpoll', 'reach', 'delay', 'delayraw', 'dispersion'], name, value)



                class RsntpProviderToNtpAuthItems(Entity):
                    """
                    
                    
                    .. attribute:: rsntpprovidertontpauth_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsNtpProviderToNtpAuthList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems.RsNtpProviderToNtpAuthList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems, self).__init__()

                        self.yang_name = "rsntpProviderToNtpAuth-items"
                        self.yang_parent_name = "NtpProvider-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsNtpProviderToNtpAuth-list", ("rsntpprovidertontpauth_list", System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems.RsNtpProviderToNtpAuthList))])
                        self._leafs = OrderedDict()

                        self.rsntpprovidertontpauth_list = YList(self)
                        self._segment_path = lambda: "rsntpProviderToNtpAuth-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems, [], name, value)


                    class RsNtpProviderToNtpAuthList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems.RsNtpProviderToNtpAuthList, self).__init__()

                            self.yang_name = "RsNtpProviderToNtpAuth-list"
                            self.yang_parent_name = "rsntpProviderToNtpAuth-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RsNtpProviderToNtpAuth-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TimeItems.ProvItems.NtpProviderList.RsntpProviderToNtpAuthItems.RsNtpProviderToNtpAuthList, ['tdn', 'tcl'], name, value)






        class AccessgroupItems(Entity):
            """
            
            
            .. attribute:: peer
            
            	
            	**type**\: str
            
            .. attribute:: serveonly
            
            	
            	**type**\: str
            
            .. attribute:: serve
            
            	
            	**type**\: str
            
            .. attribute:: queryonly
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TimeItems.AccessgroupItems, self).__init__()

                self.yang_name = "accessgroup-items"
                self.yang_parent_name = "time-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('peer', (YLeaf(YType.str, 'peer'), ['str'])),
                    ('serveonly', (YLeaf(YType.str, 'serveOnly'), ['str'])),
                    ('serve', (YLeaf(YType.str, 'serve'), ['str'])),
                    ('queryonly', (YLeaf(YType.str, 'queryOnly'), ['str'])),
                ])
                self.peer = None
                self.serveonly = None
                self.serve = None
                self.queryonly = None
                self._segment_path = lambda: "accessgroup-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TimeItems.AccessgroupItems, ['peer', 'serveonly', 'serve', 'queryonly'], name, value)



        class SrcIpItems(Entity):
            """
            
            
            .. attribute:: srcip
            
            	
            	**type**\: str
            
            .. attribute:: srcipv6
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TimeItems.SrcIpItems, self).__init__()

                self.yang_name = "srcIp-items"
                self.yang_parent_name = "time-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                    ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                ])
                self.srcip = None
                self.srcipv6 = None
                self._segment_path = lambda: "srcIp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TimeItems.SrcIpItems, ['srcip', 'srcipv6'], name, value)



        class SrcIfItems(Entity):
            """
            
            
            .. attribute:: srcif
            
            	Source Interface
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TimeItems.SrcIfItems, self).__init__()

                self.yang_name = "srcIf-items"
                self.yang_parent_name = "time-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                ])
                self.srcif = None
                self._segment_path = lambda: "srcIf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/time-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TimeItems.SrcIfItems, ['srcif'], name, value)




    class NtpqItems(Entity):
        """
        
        
        .. attribute:: ntpq_list
        
        	
        	**type**\: list of  		 :py:class:`NtpqList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NtpqItems.NtpqList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NtpqItems, self).__init__()

            self.yang_name = "ntpq-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Ntpq-list", ("ntpq_list", System.NtpqItems.NtpqList))])
            self._leafs = OrderedDict()

            self.ntpq_list = YList(self)
            self._segment_path = lambda: "ntpq-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NtpqItems, [], name, value)


        class NtpqList(Entity):
            """
            
            
            .. attribute:: remote  (key)
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tally
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: refid
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: stratum
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: t
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: when
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: poll
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: reach
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: delay
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: offset
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: jitter
            
            	
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NtpqItems.NtpqList, self).__init__()

                self.yang_name = "Ntpq-list"
                self.yang_parent_name = "ntpq-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['remote']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('remote', (YLeaf(YType.str, 'remote'), ['str'])),
                    ('tally', (YLeaf(YType.str, 'tally'), ['str'])),
                    ('refid', (YLeaf(YType.str, 'refid'), ['str'])),
                    ('stratum', (YLeaf(YType.str, 'stratum'), ['str'])),
                    ('t', (YLeaf(YType.str, 't'), ['str'])),
                    ('when', (YLeaf(YType.str, 'when'), ['str'])),
                    ('poll', (YLeaf(YType.str, 'poll'), ['str'])),
                    ('reach', (YLeaf(YType.str, 'reach'), ['str'])),
                    ('delay', (YLeaf(YType.str, 'delay'), ['str'])),
                    ('offset', (YLeaf(YType.str, 'offset'), ['str'])),
                    ('jitter', (YLeaf(YType.str, 'jitter'), ['str'])),
                ])
                self.remote = None
                self.tally = None
                self.refid = None
                self.stratum = None
                self.t = None
                self.when = None
                self.poll = None
                self.reach = None
                self.delay = None
                self.offset = None
                self.jitter = None
                self._segment_path = lambda: "Ntpq-list" + "[remote='" + str(self.remote) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ntpq-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NtpqItems.NtpqList, ['remote', 'tally', 'refid', 'stratum', 't', 'when', 'poll', 'reach', 'delay', 'offset', 'jitter'], name, value)




    class AcctItems(Entity):
        """
        
        
        .. attribute:: sessionnum
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: sessionid
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: sourceid
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.AcctItems, self).__init__()

            self.yang_name = "acct-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('sessionnum', (YLeaf(YType.uint32, 'sessionNum'), ['int'])),
                ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                ('sourceid', (YLeaf(YType.uint32, 'sourceId'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.sessionnum = None
            self.sessionid = None
            self.sourceid = None
            self.name = None
            self.adminst = None
            self.operst = None
            self._segment_path = lambda: "acct-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.AcctItems, ['sessionnum', 'sessionid', 'sourceid', 'name', 'adminst', 'operst'], name, value)



    class RetryItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: src_items
        
        	
        	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RetryItems.SrcItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RetryItems, self).__init__()

            self.yang_name = "retry-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("src-items", ("src_items", System.RetryItems.SrcItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.src_items = System.RetryItems.SrcItems()
            self.src_items.parent = self
            self._children_name_map["src_items"] = "src-items"
            self._segment_path = lambda: "retry-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RetryItems, ['name', 'adminst', 'operst'], name, value)


        class SrcItems(Entity):
            """
            
            
            .. attribute:: retrysrc_list
            
            	
            	**type**\: list of  		 :py:class:`RetrySrcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RetryItems.SrcItems.RetrySrcList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RetryItems.SrcItems, self).__init__()

                self.yang_name = "src-items"
                self.yang_parent_name = "retry-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RetrySrc-list", ("retrysrc_list", System.RetryItems.SrcItems.RetrySrcList))])
                self._leafs = OrderedDict()

                self.retrysrc_list = YList(self)
                self._segment_path = lambda: "src-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/retry-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RetryItems.SrcItems, [], name, value)


            class RetrySrcList(Entity):
                """
                
                
                .. attribute:: srcdn  (key)
                
                	RetrySrc Dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
                
                	**config**\: False
                
                .. attribute:: tgt_items
                
                	
                	**type**\:  :py:class:`TgtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RetryItems.SrcItems.RetrySrcList.TgtItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RetryItems.SrcItems.RetrySrcList, self).__init__()

                    self.yang_name = "RetrySrc-list"
                    self.yang_parent_name = "src-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['srcdn']
                    self._child_classes = OrderedDict([("tgt-items", ("tgt_items", System.RetryItems.SrcItems.RetrySrcList.TgtItems))])
                    self._leafs = OrderedDict([
                        ('srcdn', (YLeaf(YType.str, 'srcDn'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                    ])
                    self.srcdn = None
                    self.name = None
                    self.adminst = None
                    self.operst = None

                    self.tgt_items = System.RetryItems.SrcItems.RetrySrcList.TgtItems()
                    self.tgt_items.parent = self
                    self._children_name_map["tgt_items"] = "tgt-items"
                    self._segment_path = lambda: "RetrySrc-list" + "[srcDn='" + str(self.srcdn) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/retry-items/src-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RetryItems.SrcItems.RetrySrcList, ['srcdn', 'name', 'adminst', 'operst'], name, value)


                class TgtItems(Entity):
                    """
                    
                    
                    .. attribute:: retrytarget_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RetryTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RetryItems.SrcItems.RetrySrcList.TgtItems.RetryTargetList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RetryItems.SrcItems.RetrySrcList.TgtItems, self).__init__()

                        self.yang_name = "tgt-items"
                        self.yang_parent_name = "RetrySrc-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RetryTarget-list", ("retrytarget_list", System.RetryItems.SrcItems.RetrySrcList.TgtItems.RetryTargetList))])
                        self._leafs = OrderedDict()

                        self.retrytarget_list = YList(self)
                        self._segment_path = lambda: "tgt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RetryItems.SrcItems.RetrySrcList.TgtItems, [], name, value)


                    class RetryTargetList(Entity):
                        """
                        
                        
                        .. attribute:: targetdn  (key)
                        
                        	RetryTarget Dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RetryItems.SrcItems.RetrySrcList.TgtItems.RetryTargetList, self).__init__()

                            self.yang_name = "RetryTarget-list"
                            self.yang_parent_name = "tgt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['targetdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('targetdn', (YLeaf(YType.str, 'targetDn'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                            ])
                            self.targetdn = None
                            self.name = None
                            self.adminst = None
                            self.operst = None
                            self._segment_path = lambda: "RetryTarget-list" + "[targetDn='" + str(self.targetdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RetryItems.SrcItems.RetrySrcList.TgtItems.RetryTargetList, ['targetdn', 'name', 'adminst', 'operst'], name, value)







    class SpanItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: db_items
        
        	
        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.DbItems>`
        
        .. attribute:: session_items
        
        	
        	**type**\:  :py:class:`SessionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SpanItems, self).__init__()

            self.yang_name = "span-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("db-items", ("db_items", System.SpanItems.DbItems)), ("session-items", ("session_items", System.SpanItems.SessionItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.db_items = System.SpanItems.DbItems()
            self.db_items.parent = self
            self._children_name_map["db_items"] = "db-items"

            self.session_items = System.SpanItems.SessionItems()
            self.session_items.parent = self
            self._children_name_map["session_items"] = "session-items"
            self._segment_path = lambda: "span-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SpanItems, ['name', 'adminst', 'operst'], name, value)


        class DbItems(Entity):
            """
            
            
            .. attribute:: db_list
            
            	
            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.DbItems.DbList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SpanItems.DbItems, self).__init__()

                self.yang_name = "db-items"
                self.yang_parent_name = "span-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Db-list", ("db_list", System.SpanItems.DbItems.DbList))])
                self._leafs = OrderedDict()

                self.db_list = YList(self)
                self._segment_path = lambda: "db-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/span-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SpanItems.DbItems, [], name, value)


            class DbList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	Type
                	**type**\:  :py:class:`SpanDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanDbT>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: epr_items
                
                	
                	**type**\:  :py:class:`EprItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.DbItems.DbList.EprItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SpanItems.DbItems.DbList, self).__init__()

                    self.yang_name = "Db-list"
                    self.yang_parent_name = "db-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type']
                    self._child_classes = OrderedDict([("epr-items", ("epr_items", System.SpanItems.DbItems.DbList.EprItems))])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanDbT', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.type = None
                    self.name = None

                    self.epr_items = System.SpanItems.DbItems.DbList.EprItems()
                    self.epr_items.parent = self
                    self._children_name_map["epr_items"] = "epr-items"
                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/span-items/db-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SpanItems.DbItems.DbList, ['type', 'name'], name, value)


                class EprItems(Entity):
                    """
                    
                    
                    .. attribute:: eprec_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.DbItems.DbList.EprItems.EpRecList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.DbItems.DbList.EprItems, self).__init__()

                        self.yang_name = "epr-items"
                        self.yang_parent_name = "Db-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("EpRec-list", ("eprec_list", System.SpanItems.DbItems.DbList.EprItems.EpRecList))])
                        self._leafs = OrderedDict()

                        self.eprec_list = YList(self)
                        self._segment_path = lambda: "epr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.DbItems.DbList.EprItems, [], name, value)


                    class EpRecList(Entity):
                        """
                        
                        
                        .. attribute:: vnid  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ip  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SpanItems.DbItems.DbList.EprItems.EpRecList, self).__init__()

                            self.yang_name = "EpRec-list"
                            self.yang_parent_name = "epr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['vnid','ip']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                                ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.vnid = None
                            self.ip = None
                            self.name = None
                            self._segment_path = lambda: "EpRec-list" + "[vnid='" + str(self.vnid) + "']" + "[ip='" + str(self.ip) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SpanItems.DbItems.DbList.EprItems.EpRecList, ['vnid', 'ip', 'name'], name, value)






        class SessionItems(Entity):
            """
            
            
            .. attribute:: session_list
            
            	
            	**type**\: list of  		 :py:class:`SessionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SpanItems.SessionItems, self).__init__()

                self.yang_name = "session-items"
                self.yang_parent_name = "span-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Session-list", ("session_list", System.SpanItems.SessionItems.SessionList))])
                self._leafs = OrderedDict()

                self.session_list = YList(self)
                self._segment_path = lambda: "session-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/span-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SpanItems.SessionItems, [], name, value)


            class SessionList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: id
                
                	ID
                	**type**\: int
                
                	**range:** 1..48
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: asrcgrpdn
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: src_items
                
                	
                	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.SrcItems>`
                
                	**config**\: False
                
                .. attribute:: fabsrc_items
                
                	
                	**type**\:  :py:class:`FabsrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.FabsrcItems>`
                
                	**config**\: False
                
                .. attribute:: erdst_items
                
                	
                	**type**\:  :py:class:`ErdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.ErdstItems>`
                
                	**config**\: False
                
                .. attribute:: ldst_items
                
                	
                	**type**\:  :py:class:`LdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.LdstItems>`
                
                	**config**\: False
                
                .. attribute:: idomain_items
                
                	
                	**type**\:  :py:class:`IdomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.IdomainItems>`
                
                	**config**\: False
                
                .. attribute:: rssessiontodomainref_items
                
                	
                	**type**\:  :py:class:`RssessionToDomainRefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.RssessionToDomainRefItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SpanItems.SessionItems.SessionList, self).__init__()

                    self.yang_name = "Session-list"
                    self.yang_parent_name = "session-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("src-items", ("src_items", System.SpanItems.SessionItems.SessionList.SrcItems)), ("fabsrc-items", ("fabsrc_items", System.SpanItems.SessionItems.SessionList.FabsrcItems)), ("erdst-items", ("erdst_items", System.SpanItems.SessionItems.SessionList.ErdstItems)), ("ldst-items", ("ldst_items", System.SpanItems.SessionItems.SessionList.LdstItems)), ("idomain-items", ("idomain_items", System.SpanItems.SessionItems.SessionList.IdomainItems)), ("rssessionToDomainRef-items", ("rssessiontodomainref_items", System.SpanItems.SessionItems.SessionList.RssessionToDomainRefItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('asrcgrpdn', (YLeaf(YType.str, 'ASrcGrpDn'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.id = None
                    self.adminst = None
                    self.asrcgrpdn = None
                    self.descr = None

                    self.src_items = System.SpanItems.SessionItems.SessionList.SrcItems()
                    self.src_items.parent = self
                    self._children_name_map["src_items"] = "src-items"

                    self.fabsrc_items = System.SpanItems.SessionItems.SessionList.FabsrcItems()
                    self.fabsrc_items.parent = self
                    self._children_name_map["fabsrc_items"] = "fabsrc-items"

                    self.erdst_items = System.SpanItems.SessionItems.SessionList.ErdstItems()
                    self.erdst_items.parent = self
                    self._children_name_map["erdst_items"] = "erdst-items"

                    self.ldst_items = System.SpanItems.SessionItems.SessionList.LdstItems()
                    self.ldst_items.parent = self
                    self._children_name_map["ldst_items"] = "ldst-items"

                    self.idomain_items = System.SpanItems.SessionItems.SessionList.IdomainItems()
                    self.idomain_items.parent = self
                    self._children_name_map["idomain_items"] = "idomain-items"

                    self.rssessiontodomainref_items = System.SpanItems.SessionItems.SessionList.RssessionToDomainRefItems()
                    self.rssessiontodomainref_items.parent = self
                    self._children_name_map["rssessiontodomainref_items"] = "rssessionToDomainRef-items"
                    self._segment_path = lambda: "Session-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/span-items/session-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SpanItems.SessionItems.SessionList, ['name', 'id', 'adminst', 'asrcgrpdn', 'descr'], name, value)


                class SrcItems(Entity):
                    """
                    
                    
                    .. attribute:: source_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.SrcItems.SourceList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.SrcItems, self).__init__()

                        self.yang_name = "src-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Source-list", ("source_list", System.SpanItems.SessionItems.SessionList.SrcItems.SourceList))])
                        self._leafs = OrderedDict()

                        self.source_list = YList(self)
                        self._segment_path = lambda: "src-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.SrcItems, [], name, value)


                    class SourceList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`SpanSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanSrcT>`
                        
                        	**config**\: False
                        
                        .. attribute:: dir
                        
                        	Direction
                        	**type**\:  :py:class:`SpanDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: domain
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rsspansrctol2cktepatt_items
                        
                        	
                        	**type**\:  :py:class:`RsspanSrcToL2CktEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.SrcItems.SourceList.RsspanSrcToL2CktEpAttItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SpanItems.SessionItems.SessionList.SrcItems.SourceList, self).__init__()

                            self.yang_name = "Source-list"
                            self.yang_parent_name = "src-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("rsspanSrcToL2CktEpAtt-items", ("rsspansrctol2cktepatt_items", System.SpanItems.SessionItems.SessionList.SrcItems.SourceList.RsspanSrcToL2CktEpAttItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanSrcT', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanDirection', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanMode', '')])),
                                ('domain', (YLeaf(YType.str, 'domain'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.type = None
                            self.dir = None
                            self.mode = None
                            self.domain = None

                            self.rsspansrctol2cktepatt_items = System.SpanItems.SessionItems.SessionList.SrcItems.SourceList.RsspanSrcToL2CktEpAttItems()
                            self.rsspansrctol2cktepatt_items.parent = self
                            self._children_name_map["rsspansrctol2cktepatt_items"] = "rsspanSrcToL2CktEpAtt-items"
                            self._segment_path = lambda: "Source-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SpanItems.SessionItems.SessionList.SrcItems.SourceList, ['name', 'descr', 'type', 'dir', 'mode', 'domain'], name, value)


                        class RsspanSrcToL2CktEpAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	State
                            	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                            
                            	**config**\: False
                            
                            .. attribute:: statequal
                            
                            	State Qualifier
                            	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: ttype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                            
                            	**config**\: False
                            
                            .. attribute:: forceresolve
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            	**default value**\: true
                            
                            .. attribute:: id
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`SpanOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: operstqual
                            
                            	Operational State Qualifier
                            	**type**\:  :py:class:`SpanOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanOperStQual>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SpanItems.SessionItems.SessionList.SrcItems.SourceList.RsspanSrcToL2CktEpAttItems, self).__init__()

                                self.yang_name = "rsspanSrcToL2CktEpAtt-items"
                                self.yang_parent_name = "Source-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                    ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                    ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                    ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                    ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanOperSt', '')])),
                                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanOperStQual', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self.state = None
                                self.statequal = None
                                self.ttype = None
                                self.rtype = None
                                self.forceresolve = None
                                self.id = None
                                self.operst = None
                                self.operstqual = None
                                self._segment_path = lambda: "rsspanSrcToL2CktEpAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SpanItems.SessionItems.SessionList.SrcItems.SourceList.RsspanSrcToL2CktEpAttItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve', 'id', 'operst', 'operstqual'], name, value)





                class FabsrcItems(Entity):
                    """
                    
                    
                    .. attribute:: fabsource_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FabSourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.FabsrcItems.FabSourceList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.FabsrcItems, self).__init__()

                        self.yang_name = "fabsrc-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FabSource-list", ("fabsource_list", System.SpanItems.SessionItems.SessionList.FabsrcItems.FabSourceList))])
                        self._leafs = OrderedDict()

                        self.fabsource_list = YList(self)
                        self._segment_path = lambda: "fabsrc-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.FabsrcItems, [], name, value)


                    class FabSourceList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ctxencap
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: bdencap
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`SpanSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanSrcT>`
                        
                        	**config**\: False
                        
                        .. attribute:: dir
                        
                        	Direction
                        	**type**\:  :py:class:`SpanDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: domain
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SpanItems.SessionItems.SessionList.FabsrcItems.FabSourceList, self).__init__()

                            self.yang_name = "FabSource-list"
                            self.yang_parent_name = "fabsrc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ctxencap', (YLeaf(YType.str, 'ctxEncap'), ['str'])),
                                ('bdencap', (YLeaf(YType.str, 'bdEncap'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanSrcT', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanDirection', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanMode', '')])),
                                ('domain', (YLeaf(YType.str, 'domain'), ['str'])),
                            ])
                            self.name = None
                            self.ctxencap = None
                            self.bdencap = None
                            self.descr = None
                            self.type = None
                            self.dir = None
                            self.mode = None
                            self.domain = None
                            self._segment_path = lambda: "FabSource-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SpanItems.SessionItems.SessionList.FabsrcItems.FabSourceList, ['name', 'ctxencap', 'bdencap', 'descr', 'type', 'dir', 'mode', 'domain'], name, value)




                class ErdstItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`SpanDestEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanDestEncapT>`
                    
                    	**config**\: False
                    
                    .. attribute:: srcip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dstip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	Version
                    	**type**\:  :py:class:`SpanErSpanVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanErSpanVer>`
                    
                    	**config**\: False
                    
                    .. attribute:: flowid
                    
                    	Flow ID
                    	**type**\: int
                    
                    	**range:** 1..1023
                    
                    	**config**\: False
                    
                    .. attribute:: ttl
                    
                    	TTL
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vrfname
                    
                    	VRF
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vnid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dscp
                    
                    	Dscp
                    	**type**\: int
                    
                    	**range:** 0..63
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: mtu
                    
                    	MTU
                    	**type**\: int
                    
                    	**range:** 64..9216
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`SpanOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanOperSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.ErdstItems, self).__init__()

                        self.yang_name = "erdst-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanDestEncapT', '')])),
                            ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                            ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                            ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanErSpanVer', '')])),
                            ('flowid', (YLeaf(YType.uint16, 'flowId'), ['int'])),
                            ('ttl', (YLeaf(YType.uint8, 'ttl'), ['int'])),
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                            ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanOperSt', '')])),
                        ])
                        self.type = None
                        self.srcip = None
                        self.dstip = None
                        self.ver = None
                        self.flowid = None
                        self.ttl = None
                        self.vrfname = None
                        self.vnid = None
                        self.dscp = None
                        self.name = None
                        self.descr = None
                        self.mtu = None
                        self.operst = None
                        self._segment_path = lambda: "erdst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.ErdstItems, ['type', 'srcip', 'dstip', 'ver', 'flowid', 'ttl', 'vrfname', 'vnid', 'dscp', 'name', 'descr', 'mtu', 'operst'], name, value)



                class LdstItems(Entity):
                    """
                    
                    
                    .. attribute:: port
                    
                    	Port
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: mtu
                    
                    	MTU
                    	**type**\: int
                    
                    	**range:** 64..9216
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`SpanOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SpanOperSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.LdstItems, self).__init__()

                        self.yang_name = "ldst-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('port', (YLeaf(YType.str, 'port'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SpanOperSt', '')])),
                        ])
                        self.port = None
                        self.name = None
                        self.descr = None
                        self.mtu = None
                        self.operst = None
                        self._segment_path = lambda: "ldst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.LdstItems, ['port', 'name', 'descr', 'mtu', 'operst'], name, value)



                class IdomainItems(Entity):
                    """
                    
                    
                    .. attribute:: idomainref_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IDomainRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SpanItems.SessionItems.SessionList.IdomainItems.IDomainRefList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.IdomainItems, self).__init__()

                        self.yang_name = "idomain-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IDomainRef-list", ("idomainref_list", System.SpanItems.SessionItems.SessionList.IdomainItems.IDomainRefList))])
                        self._leafs = OrderedDict()

                        self.idomainref_list = YList(self)
                        self._segment_path = lambda: "idomain-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.IdomainItems, [], name, value)


                    class IDomainRefList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SpanItems.SessionItems.SessionList.IdomainItems.IDomainRefList, self).__init__()

                            self.yang_name = "IDomainRef-list"
                            self.yang_parent_name = "idomain-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self._segment_path = lambda: "IDomainRef-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SpanItems.SessionItems.SessionList.IdomainItems.IDomainRefList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)




                class RssessionToDomainRefItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SpanItems.SessionItems.SessionList.RssessionToDomainRefItems, self).__init__()

                        self.yang_name = "rssessionToDomainRef-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rssessionToDomainRef-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SpanItems.SessionItems.SessionList.RssessionToDomainRefItems, ['tdn', 'tcl'], name, value)






    class DhcpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.DhcpItems, self).__init__()

            self.yang_name = "dhcp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.DhcpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.DhcpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "dhcp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.DhcpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: v4relayenabled
            
            	
            	**type**\: bool
            
            .. attribute:: v6relayenabled
            
            	
            	**type**\: bool
            
            .. attribute:: snoopingenabled
            
            	
            	**type**\: bool
            
            .. attribute:: snoopingverifymacaddressenabled
            
            	
            	**type**\: bool
            
            .. attribute:: snoopinginformationoptionenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relayinformationoptionenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relayinformationoptionvpnenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relayinformationoptiontrustenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relayinformationtrustallenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relaysuboptioncircuitidcustomizedenabled
            
            	
            	**type**\: bool
            
            .. attribute:: relaysuboptioncircuitidformatstring
            
            	
            	**type**\: str
            
            .. attribute:: relaysuboptiontypeciscoenabled
            
            	
            	**type**\: bool
            
            .. attribute:: smartrelayglobalenabled
            
            	
            	**type**\: bool
            
            .. attribute:: ipv6relayinformationoptionvpnenabled
            
            	
            	**type**\: bool
            
            .. attribute:: ipv6relayoptiontypeciscoenabled
            
            	
            	**type**\: bool
            
            .. attribute:: daivalidatesrc
            
            	
            	**type**\: bool
            
            .. attribute:: daivalidatedst
            
            	
            	**type**\: bool
            
            .. attribute:: daivalidateip
            
            	
            	**type**\: bool
            
            .. attribute:: dailogbufentries
            
            	DAI Log Buffer Entries
            	**type**\: int
            
            	**range:** 1..1024
            
            .. attribute:: pktstrictval
            
            	
            	**type**\: bool
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: daivlan_items
            
            	
            	**type**\:  :py:class:`DaivlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.DaivlanItems>`
            
            .. attribute:: clientif_items
            
            	
            	**type**\:  :py:class:`ClientifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems>`
            
            .. attribute:: relayif_items
            
            	
            	**type**\:  :py:class:`RelayifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems>`
            
            .. attribute:: serverif_items
            
            	
            	**type**\:  :py:class:`ServerifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems>`
            
            .. attribute:: srcif_items
            
            	
            	**type**\:  :py:class:`SrcifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SrcifItems>`
            
            .. attribute:: v6srcif_items
            
            	
            	**type**\:  :py:class:`V6srcifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.V6srcifItems>`
            
            .. attribute:: ipsrcbindip_items
            
            	
            	**type**\:  :py:class:`IpsrcbindipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsrcbindipItems>`
            
            .. attribute:: ipsgif_items
            
            	
            	**type**\:  :py:class:`IpsgifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems>`
            
            .. attribute:: ipsgexvlan_items
            
            	
            	**type**\:  :py:class:`IpsgexvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgexvlanItems>`
            
            .. attribute:: snoopvlan_items
            
            	
            	**type**\:  :py:class:`SnoopvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopvlanItems>`
            
            .. attribute:: snoopif_items
            
            	
            	**type**\:  :py:class:`SnoopifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.DhcpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "dhcp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("daivlan-items", ("daivlan_items", System.DhcpItems.InstItems.DaivlanItems)), ("clientif-items", ("clientif_items", System.DhcpItems.InstItems.ClientifItems)), ("relayif-items", ("relayif_items", System.DhcpItems.InstItems.RelayifItems)), ("serverif-items", ("serverif_items", System.DhcpItems.InstItems.ServerifItems)), ("srcif-items", ("srcif_items", System.DhcpItems.InstItems.SrcifItems)), ("v6srcif-items", ("v6srcif_items", System.DhcpItems.InstItems.V6srcifItems)), ("ipsrcbindip-items", ("ipsrcbindip_items", System.DhcpItems.InstItems.IpsrcbindipItems)), ("ipsgif-items", ("ipsgif_items", System.DhcpItems.InstItems.IpsgifItems)), ("ipsgexvlan-items", ("ipsgexvlan_items", System.DhcpItems.InstItems.IpsgexvlanItems)), ("snoopvlan-items", ("snoopvlan_items", System.DhcpItems.InstItems.SnoopvlanItems)), ("snoopif-items", ("snoopif_items", System.DhcpItems.InstItems.SnoopifItems))])
                self._leafs = OrderedDict([
                    ('v4relayenabled', (YLeaf(YType.boolean, 'v4RelayEnabled'), ['bool'])),
                    ('v6relayenabled', (YLeaf(YType.boolean, 'v6RelayEnabled'), ['bool'])),
                    ('snoopingenabled', (YLeaf(YType.boolean, 'SnoopingEnabled'), ['bool'])),
                    ('snoopingverifymacaddressenabled', (YLeaf(YType.boolean, 'SnoopingVerifyMacAddressEnabled'), ['bool'])),
                    ('snoopinginformationoptionenabled', (YLeaf(YType.boolean, 'SnoopingInformationOptionEnabled'), ['bool'])),
                    ('relayinformationoptionenabled', (YLeaf(YType.boolean, 'RelayInformationOptionEnabled'), ['bool'])),
                    ('relayinformationoptionvpnenabled', (YLeaf(YType.boolean, 'RelayInformationOptionVpnEnabled'), ['bool'])),
                    ('relayinformationoptiontrustenabled', (YLeaf(YType.boolean, 'RelayInformationOptionTrustEnabled'), ['bool'])),
                    ('relayinformationtrustallenabled', (YLeaf(YType.boolean, 'RelayInformationTrustAllEnabled'), ['bool'])),
                    ('relaysuboptioncircuitidcustomizedenabled', (YLeaf(YType.boolean, 'RelaySubOptionCircuitIdCustomizedEnabled'), ['bool'])),
                    ('relaysuboptioncircuitidformatstring', (YLeaf(YType.str, 'RelaySubOptionCircuitIdFormatString'), ['str'])),
                    ('relaysuboptiontypeciscoenabled', (YLeaf(YType.boolean, 'RelaySubOptionTypeCiscoEnabled'), ['bool'])),
                    ('smartrelayglobalenabled', (YLeaf(YType.boolean, 'SmartRelayGlobalEnabled'), ['bool'])),
                    ('ipv6relayinformationoptionvpnenabled', (YLeaf(YType.boolean, 'Ipv6RelayInformationOptionVpnEnabled'), ['bool'])),
                    ('ipv6relayoptiontypeciscoenabled', (YLeaf(YType.boolean, 'Ipv6RelayOptionTypeCiscoEnabled'), ['bool'])),
                    ('daivalidatesrc', (YLeaf(YType.boolean, 'daiValidateSrc'), ['bool'])),
                    ('daivalidatedst', (YLeaf(YType.boolean, 'daiValidateDst'), ['bool'])),
                    ('daivalidateip', (YLeaf(YType.boolean, 'daiValidateIp'), ['bool'])),
                    ('dailogbufentries', (YLeaf(YType.uint16, 'daiLogBufEntries'), ['int'])),
                    ('pktstrictval', (YLeaf(YType.boolean, 'pktStrictVal'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.v4relayenabled = None
                self.v6relayenabled = None
                self.snoopingenabled = None
                self.snoopingverifymacaddressenabled = None
                self.snoopinginformationoptionenabled = None
                self.relayinformationoptionenabled = None
                self.relayinformationoptionvpnenabled = None
                self.relayinformationoptiontrustenabled = None
                self.relayinformationtrustallenabled = None
                self.relaysuboptioncircuitidcustomizedenabled = None
                self.relaysuboptioncircuitidformatstring = None
                self.relaysuboptiontypeciscoenabled = None
                self.smartrelayglobalenabled = None
                self.ipv6relayinformationoptionvpnenabled = None
                self.ipv6relayoptiontypeciscoenabled = None
                self.daivalidatesrc = None
                self.daivalidatedst = None
                self.daivalidateip = None
                self.dailogbufentries = None
                self.pktstrictval = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.daivlan_items = System.DhcpItems.InstItems.DaivlanItems()
                self.daivlan_items.parent = self
                self._children_name_map["daivlan_items"] = "daivlan-items"

                self.clientif_items = System.DhcpItems.InstItems.ClientifItems()
                self.clientif_items.parent = self
                self._children_name_map["clientif_items"] = "clientif-items"

                self.relayif_items = System.DhcpItems.InstItems.RelayifItems()
                self.relayif_items.parent = self
                self._children_name_map["relayif_items"] = "relayif-items"

                self.serverif_items = System.DhcpItems.InstItems.ServerifItems()
                self.serverif_items.parent = self
                self._children_name_map["serverif_items"] = "serverif-items"

                self.srcif_items = System.DhcpItems.InstItems.SrcifItems()
                self.srcif_items.parent = self
                self._children_name_map["srcif_items"] = "srcif-items"

                self.v6srcif_items = System.DhcpItems.InstItems.V6srcifItems()
                self.v6srcif_items.parent = self
                self._children_name_map["v6srcif_items"] = "v6srcif-items"

                self.ipsrcbindip_items = System.DhcpItems.InstItems.IpsrcbindipItems()
                self.ipsrcbindip_items.parent = self
                self._children_name_map["ipsrcbindip_items"] = "ipsrcbindip-items"

                self.ipsgif_items = System.DhcpItems.InstItems.IpsgifItems()
                self.ipsgif_items.parent = self
                self._children_name_map["ipsgif_items"] = "ipsgif-items"

                self.ipsgexvlan_items = System.DhcpItems.InstItems.IpsgexvlanItems()
                self.ipsgexvlan_items.parent = self
                self._children_name_map["ipsgexvlan_items"] = "ipsgexvlan-items"

                self.snoopvlan_items = System.DhcpItems.InstItems.SnoopvlanItems()
                self.snoopvlan_items.parent = self
                self._children_name_map["snoopvlan_items"] = "snoopvlan-items"

                self.snoopif_items = System.DhcpItems.InstItems.SnoopifItems()
                self.snoopif_items.parent = self
                self._children_name_map["snoopif_items"] = "snoopif-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.DhcpItems.InstItems, ['v4relayenabled', 'v6relayenabled', 'snoopingenabled', 'snoopingverifymacaddressenabled', 'snoopinginformationoptionenabled', 'relayinformationoptionenabled', 'relayinformationoptionvpnenabled', 'relayinformationoptiontrustenabled', 'relayinformationtrustallenabled', 'relaysuboptioncircuitidcustomizedenabled', 'relaysuboptioncircuitidformatstring', 'relaysuboptiontypeciscoenabled', 'smartrelayglobalenabled', 'ipv6relayinformationoptionvpnenabled', 'ipv6relayoptiontypeciscoenabled', 'daivalidatesrc', 'daivalidatedst', 'daivalidateip', 'dailogbufentries', 'pktstrictval', 'name', 'adminst', 'ctrl'], name, value)


            class DaivlanItems(Entity):
                """
                
                
                .. attribute:: daivlan_list
                
                	
                	**type**\: list of  		 :py:class:`DAIVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.DaivlanItems.DAIVlanList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.DaivlanItems, self).__init__()

                    self.yang_name = "daivlan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DAIVlan-list", ("daivlan_list", System.DhcpItems.InstItems.DaivlanItems.DAIVlanList))])
                    self._leafs = OrderedDict()

                    self.daivlan_list = YList(self)
                    self._segment_path = lambda: "daivlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.DaivlanItems, [], name, value)


                class DAIVlanList(Entity):
                    """
                    
                    
                    .. attribute:: daivlannum  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: dailogtypeonvlan
                    
                    	Log All/Permit/None DAI on Vlan matching DHCP Bindings
                    	**type**\:  :py:class:`DhcpDAILogType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DhcpDAILogType>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.DaivlanItems.DAIVlanList, self).__init__()

                        self.yang_name = "DAIVlan-list"
                        self.yang_parent_name = "daivlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['daivlannum']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('daivlannum', (YLeaf(YType.uint16, 'daiVlanNum'), ['int'])),
                            ('dailogtypeonvlan', (YLeaf(YType.enumeration, 'daiLogTypeOnVlan'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DhcpDAILogType', '')])),
                        ])
                        self.daivlannum = None
                        self.dailogtypeonvlan = None
                        self._segment_path = lambda: "DAIVlan-list" + "[daiVlanNum='" + str(self.daivlannum) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/daivlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.DaivlanItems.DAIVlanList, ['daivlannum', 'dailogtypeonvlan'], name, value)




            class ClientifItems(Entity):
                """
                
                
                .. attribute:: clientif_list
                
                	
                	**type**\: list of  		 :py:class:`ClientIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.ClientifItems, self).__init__()

                    self.yang_name = "clientif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ClientIf-list", ("clientif_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList))])
                    self._leafs = OrderedDict()

                    self.clientif_list = YList(self)
                    self._segment_path = lambda: "clientif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems, [], name, value)


                class ClientIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`DhcpClIfOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.DhcpClIfOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: addr_items
                    
                    	
                    	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: addrv6_items
                    
                    	
                    	**type**\:  :py:class:`Addrv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: resp_items
                    
                    	
                    	**type**\:  :py:class:`RespItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: complex_items
                    
                    	
                    	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: text_items
                    
                    	
                    	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint64_items
                    
                    	
                    	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint32_items
                    
                    	
                    	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint16_items
                    
                    	
                    	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: ubyte_items
                    
                    	
                    	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rspseudoif_items
                    
                    	
                    	**type**\:  :py:class:`RspseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtvrfMbrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList, self).__init__()

                        self.yang_name = "ClientIf-list"
                        self.yang_parent_name = "clientif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("addr-items", ("addr_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems)), ("addrv6-items", ("addrv6_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items)), ("resp-items", ("resp_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems)), ("complex-items", ("complex_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems)), ("ip-items", ("ip_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems)), ("rspseudoIf-items", ("rspseudoif_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'DhcpClIfOperSt', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.addr_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems()
                        self.addr_items.parent = self
                        self._children_name_map["addr_items"] = "addr-items"

                        self.addrv6_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items()
                        self.addrv6_items.parent = self
                        self._children_name_map["addrv6_items"] = "addrv6-items"

                        self.resp_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems()
                        self.resp_items.parent = self
                        self._children_name_map["resp_items"] = "resp-items"

                        self.complex_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems()
                        self.complex_items.parent = self
                        self._children_name_map["complex_items"] = "complex-items"

                        self.text_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems()
                        self.text_items.parent = self
                        self._children_name_map["text_items"] = "text-items"

                        self.ip_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"

                        self.uint64_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items()
                        self.uint64_items.parent = self
                        self._children_name_map["uint64_items"] = "uint64-items"

                        self.uint32_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items()
                        self.uint32_items.parent = self
                        self._children_name_map["uint32_items"] = "uint32-items"

                        self.uint16_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items()
                        self.uint16_items.parent = self
                        self._children_name_map["uint16_items"] = "uint16-items"

                        self.ubyte_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems()
                        self.ubyte_items.parent = self
                        self._children_name_map["ubyte_items"] = "ubyte-items"

                        self.rspseudoif_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems()
                        self.rspseudoif_items.parent = self
                        self._children_name_map["rspseudoif_items"] = "rspseudoIf-items"

                        self.rtvrfmbr_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "ClientIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/clientif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList, ['id', 'operst', 'name', 'descr', 'adminst'], name, value)


                    class AddrItems(Entity):
                        """
                        
                        
                        .. attribute:: clientaddr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ClientAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems.ClientAddrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems, self).__init__()

                            self.yang_name = "addr-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ClientAddr-list", ("clientaddr_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems.ClientAddrList))])
                            self._leafs = OrderedDict()

                            self.clientaddr_list = YList(self)
                            self._segment_path = lambda: "addr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems, [], name, value)


                        class ClientAddrList(Entity):
                            """
                            
                            
                            .. attribute:: address  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems.ClientAddrList, self).__init__()

                                self.yang_name = "ClientAddr-list"
                                self.yang_parent_name = "addr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['address']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                ])
                                self.address = None
                                self._segment_path = lambda: "ClientAddr-list" + "[address='" + str(self.address) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.AddrItems.ClientAddrList, ['address'], name, value)




                    class Addrv6Items(Entity):
                        """
                        
                        
                        .. attribute:: clientv6addr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`Clientv6AddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items.Clientv6AddrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items, self).__init__()

                            self.yang_name = "addrv6-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Clientv6Addr-list", ("clientv6addr_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items.Clientv6AddrList))])
                            self._leafs = OrderedDict()

                            self.clientv6addr_list = YList(self)
                            self._segment_path = lambda: "addrv6-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items, [], name, value)


                        class Clientv6AddrList(Entity):
                            """
                            
                            
                            .. attribute:: address  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items.Clientv6AddrList, self).__init__()

                                self.yang_name = "Clientv6Addr-list"
                                self.yang_parent_name = "addrv6-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['address']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                ])
                                self.address = None
                                self._segment_path = lambda: "Clientv6Addr-list" + "[address='" + str(self.address) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Addrv6Items.Clientv6AddrList, ['address'], name, value)




                    class RespItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_items
                        
                        	
                        	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mac_items
                        
                        	
                        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: uint64_items
                        
                        	
                        	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items>`
                        
                        	**config**\: False
                        
                        .. attribute:: uint32_items
                        
                        	
                        	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items>`
                        
                        	**config**\: False
                        
                        .. attribute:: uint16_items
                        
                        	
                        	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items>`
                        
                        	**config**\: False
                        
                        .. attribute:: ubyte_items
                        
                        	
                        	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: text_items
                        
                        	
                        	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: complex_items
                        
                        	
                        	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems, self).__init__()

                            self.yang_name = "resp-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems)), ("complex-items", ("complex_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems))])
                            self._leafs = OrderedDict()

                            self.ip_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems()
                            self.ip_items.parent = self
                            self._children_name_map["ip_items"] = "ip-items"

                            self.mac_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems()
                            self.mac_items.parent = self
                            self._children_name_map["mac_items"] = "mac-items"

                            self.uint64_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items()
                            self.uint64_items.parent = self
                            self._children_name_map["uint64_items"] = "uint64-items"

                            self.uint32_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items()
                            self.uint32_items.parent = self
                            self._children_name_map["uint32_items"] = "uint32-items"

                            self.uint16_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items()
                            self.uint16_items.parent = self
                            self._children_name_map["uint16_items"] = "uint16-items"

                            self.ubyte_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems()
                            self.ubyte_items.parent = self
                            self._children_name_map["ubyte_items"] = "ubyte-items"

                            self.text_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems()
                            self.text_items.parent = self
                            self._children_name_map["text_items"] = "text-items"

                            self.complex_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems()
                            self.complex_items.parent = self
                            self._children_name_map["complex_items"] = "complex-items"
                            self._segment_path = lambda: "resp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems, [], name, value)


                        class IpItems(Entity):
                            """
                            
                            
                            .. attribute:: ip_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems.IpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems, self).__init__()

                                self.yang_name = "ip-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems.IpList))])
                                self._leafs = OrderedDict()

                                self.ip_list = YList(self)
                                self._segment_path = lambda: "ip-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems, [], name, value)


                            class IpList(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems.IpList, self).__init__()

                                    self.yang_name = "Ip-list"
                                    self.yang_parent_name = "ip-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.IpItems.IpList, ['code', 'value'], name, value)




                        class MacItems(Entity):
                            """
                            
                            
                            .. attribute:: mac_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems.MacList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems, self).__init__()

                                self.yang_name = "mac-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems.MacList))])
                                self._leafs = OrderedDict()

                                self.mac_list = YList(self)
                                self._segment_path = lambda: "mac-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems, [], name, value)


                            class MacList(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems.MacList, self).__init__()

                                    self.yang_name = "Mac-list"
                                    self.yang_parent_name = "mac-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.MacItems.MacList, ['code', 'value'], name, value)




                        class Uint64Items(Entity):
                            """
                            
                            
                            .. attribute:: uint64_list
                            
                            	
                            	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items.UInt64List>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items, self).__init__()

                                self.yang_name = "uint64-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items.UInt64List))])
                                self._leafs = OrderedDict()

                                self.uint64_list = YList(self)
                                self._segment_path = lambda: "uint64-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items, [], name, value)


                            class UInt64List(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items.UInt64List, self).__init__()

                                    self.yang_name = "UInt64-list"
                                    self.yang_parent_name = "uint64-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint64Items.UInt64List, ['code', 'value'], name, value)




                        class Uint32Items(Entity):
                            """
                            
                            
                            .. attribute:: uint32_list
                            
                            	
                            	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items.UInt32List>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items, self).__init__()

                                self.yang_name = "uint32-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items.UInt32List))])
                                self._leafs = OrderedDict()

                                self.uint32_list = YList(self)
                                self._segment_path = lambda: "uint32-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items, [], name, value)


                            class UInt32List(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items.UInt32List, self).__init__()

                                    self.yang_name = "UInt32-list"
                                    self.yang_parent_name = "uint32-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint32Items.UInt32List, ['code', 'value'], name, value)




                        class Uint16Items(Entity):
                            """
                            
                            
                            .. attribute:: uint16_list
                            
                            	
                            	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items.UInt16List>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items, self).__init__()

                                self.yang_name = "uint16-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items.UInt16List))])
                                self._leafs = OrderedDict()

                                self.uint16_list = YList(self)
                                self._segment_path = lambda: "uint16-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items, [], name, value)


                            class UInt16List(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items.UInt16List, self).__init__()

                                    self.yang_name = "UInt16-list"
                                    self.yang_parent_name = "uint16-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.Uint16Items.UInt16List, ['code', 'value'], name, value)




                        class UbyteItems(Entity):
                            """
                            
                            
                            .. attribute:: ubyte_list
                            
                            	
                            	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems.UByteList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems, self).__init__()

                                self.yang_name = "ubyte-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems.UByteList))])
                                self._leafs = OrderedDict()

                                self.ubyte_list = YList(self)
                                self._segment_path = lambda: "ubyte-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems, [], name, value)


                            class UByteList(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems.UByteList, self).__init__()

                                    self.yang_name = "UByte-list"
                                    self.yang_parent_name = "ubyte-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','value']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.UbyteItems.UByteList, ['code', 'value'], name, value)




                        class TextItems(Entity):
                            """
                            
                            
                            .. attribute:: text_list
                            
                            	
                            	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems.TextList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems, self).__init__()

                                self.yang_name = "text-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems.TextList))])
                                self._leafs = OrderedDict()

                                self.text_list = YList(self)
                                self._segment_path = lambda: "text-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems, [], name, value)


                            class TextList(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems.TextList, self).__init__()

                                    self.yang_name = "Text-list"
                                    self.yang_parent_name = "text-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                    ])
                                    self.code = None
                                    self.value = None
                                    self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.TextItems.TextList, ['code', 'value'], name, value)




                        class ComplexItems(Entity):
                            """
                            
                            
                            .. attribute:: complex_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems, self).__init__()

                                self.yang_name = "complex-items"
                                self.yang_parent_name = "resp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList))])
                                self._leafs = OrderedDict()

                                self.complex_list = YList(self)
                                self._segment_path = lambda: "complex-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems, [], name, value)


                            class ComplexList(Entity):
                                """
                                
                                
                                .. attribute:: code  (key)
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: id  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ip_items
                                
                                	
                                	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: mac_items
                                
                                	
                                	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: uint64_items
                                
                                	
                                	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items>`
                                
                                	**config**\: False
                                
                                .. attribute:: uint32_items
                                
                                	
                                	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items>`
                                
                                	**config**\: False
                                
                                .. attribute:: uint16_items
                                
                                	
                                	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items>`
                                
                                	**config**\: False
                                
                                .. attribute:: ubyte_items
                                
                                	
                                	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: text_items
                                
                                	
                                	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList, self).__init__()

                                    self.yang_name = "Complex-list"
                                    self.yang_parent_name = "complex-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['code','id']
                                    self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems))])
                                    self._leafs = OrderedDict([
                                        ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ])
                                    self.code = None
                                    self.id = None

                                    self.ip_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems()
                                    self.ip_items.parent = self
                                    self._children_name_map["ip_items"] = "ip-items"

                                    self.mac_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems()
                                    self.mac_items.parent = self
                                    self._children_name_map["mac_items"] = "mac-items"

                                    self.uint64_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items()
                                    self.uint64_items.parent = self
                                    self._children_name_map["uint64_items"] = "uint64-items"

                                    self.uint32_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items()
                                    self.uint32_items.parent = self
                                    self._children_name_map["uint32_items"] = "uint32-items"

                                    self.uint16_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items()
                                    self.uint16_items.parent = self
                                    self._children_name_map["uint16_items"] = "uint16-items"

                                    self.ubyte_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems()
                                    self.ubyte_items.parent = self
                                    self._children_name_map["ubyte_items"] = "ubyte-items"

                                    self.text_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems()
                                    self.text_items.parent = self
                                    self._children_name_map["text_items"] = "text-items"
                                    self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList, ['code', 'id'], name, value)


                                class IpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems.IpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems, self).__init__()

                                        self.yang_name = "ip-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems.IpList))])
                                        self._leafs = OrderedDict()

                                        self.ip_list = YList(self)
                                        self._segment_path = lambda: "ip-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems, [], name, value)


                                    class IpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                            self.yang_name = "Ip-list"
                                            self.yang_parent_name = "ip-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                                class MacItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mac_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems.MacList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems, self).__init__()

                                        self.yang_name = "mac-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems.MacList))])
                                        self._leafs = OrderedDict()

                                        self.mac_list = YList(self)
                                        self._segment_path = lambda: "mac-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems, [], name, value)


                                    class MacList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                            self.yang_name = "Mac-list"
                                            self.yang_parent_name = "mac-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                                class Uint64Items(Entity):
                                    """
                                    
                                    
                                    .. attribute:: uint64_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                        self.yang_name = "uint64-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                        self._leafs = OrderedDict()

                                        self.uint64_list = YList(self)
                                        self._segment_path = lambda: "uint64-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                    class UInt64List(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                            self.yang_name = "UInt64-list"
                                            self.yang_parent_name = "uint64-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                                class Uint32Items(Entity):
                                    """
                                    
                                    
                                    .. attribute:: uint32_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                        self.yang_name = "uint32-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                        self._leafs = OrderedDict()

                                        self.uint32_list = YList(self)
                                        self._segment_path = lambda: "uint32-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                    class UInt32List(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                            self.yang_name = "UInt32-list"
                                            self.yang_parent_name = "uint32-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                                class Uint16Items(Entity):
                                    """
                                    
                                    
                                    .. attribute:: uint16_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                        self.yang_name = "uint16-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                        self._leafs = OrderedDict()

                                        self.uint16_list = YList(self)
                                        self._segment_path = lambda: "uint16-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                    class UInt16List(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                            self.yang_name = "UInt16-list"
                                            self.yang_parent_name = "uint16-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                                class UbyteItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ubyte_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                        self.yang_name = "ubyte-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                        self._leafs = OrderedDict()

                                        self.ubyte_list = YList(self)
                                        self._segment_path = lambda: "ubyte-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                    class UByteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                            self.yang_name = "UByte-list"
                                            self.yang_parent_name = "ubyte-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code','value']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                                class TextItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: text_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems.TextList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems, self).__init__()

                                        self.yang_name = "text-items"
                                        self.yang_parent_name = "Complex-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems.TextList))])
                                        self._leafs = OrderedDict()

                                        self.text_list = YList(self)
                                        self._segment_path = lambda: "text-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems, [], name, value)


                                    class TextList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: code  (key)
                                        
                                        	TBD
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                            self.yang_name = "Text-list"
                                            self.yang_parent_name = "text-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['code']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                                ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                            ])
                                            self.code = None
                                            self.value = None
                                            self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RespItems.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)







                    class ComplexItems(Entity):
                        """
                        
                        
                        .. attribute:: complex_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems, self).__init__()

                            self.yang_name = "complex-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList))])
                            self._leafs = OrderedDict()

                            self.complex_list = YList(self)
                            self._segment_path = lambda: "complex-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems, [], name, value)


                        class ComplexList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: id  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint64_items
                            
                            	
                            	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint32_items
                            
                            	
                            	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint16_items
                            
                            	
                            	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: ubyte_items
                            
                            	
                            	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: text_items
                            
                            	
                            	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList, self).__init__()

                                self.yang_name = "Complex-list"
                                self.yang_parent_name = "complex-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems))])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.code = None
                                self.id = None

                                self.ip_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"

                                self.mac_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.uint64_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items()
                                self.uint64_items.parent = self
                                self._children_name_map["uint64_items"] = "uint64-items"

                                self.uint32_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items()
                                self.uint32_items.parent = self
                                self._children_name_map["uint32_items"] = "uint32-items"

                                self.uint16_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items()
                                self.uint16_items.parent = self
                                self._children_name_map["uint16_items"] = "uint16-items"

                                self.ubyte_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems()
                                self.ubyte_items.parent = self
                                self._children_name_map["ubyte_items"] = "ubyte-items"

                                self.text_items = System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems()
                                self.text_items.parent = self
                                self._children_name_map["text_items"] = "text-items"
                                self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList, ['code', 'id'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems.IpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems.IpList))])
                                    self._leafs = OrderedDict()

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems, [], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                        self.yang_name = "Ip-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: mac_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems.MacList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems.MacList))])
                                    self._leafs = OrderedDict()

                                    self.mac_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems, [], name, value)


                                class MacList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                        self.yang_name = "Mac-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                            class Uint64Items(Entity):
                                """
                                
                                
                                .. attribute:: uint64_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                    self.yang_name = "uint64-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                    self._leafs = OrderedDict()

                                    self.uint64_list = YList(self)
                                    self._segment_path = lambda: "uint64-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                class UInt64List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                        self.yang_name = "UInt64-list"
                                        self.yang_parent_name = "uint64-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                            class Uint32Items(Entity):
                                """
                                
                                
                                .. attribute:: uint32_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                    self.yang_name = "uint32-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                    self._leafs = OrderedDict()

                                    self.uint32_list = YList(self)
                                    self._segment_path = lambda: "uint32-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                class UInt32List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                        self.yang_name = "UInt32-list"
                                        self.yang_parent_name = "uint32-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                            class Uint16Items(Entity):
                                """
                                
                                
                                .. attribute:: uint16_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                    self.yang_name = "uint16-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                    self._leafs = OrderedDict()

                                    self.uint16_list = YList(self)
                                    self._segment_path = lambda: "uint16-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                class UInt16List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                        self.yang_name = "UInt16-list"
                                        self.yang_parent_name = "uint16-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                            class UbyteItems(Entity):
                                """
                                
                                
                                .. attribute:: ubyte_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                    self.yang_name = "ubyte-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                    self._leafs = OrderedDict()

                                    self.ubyte_list = YList(self)
                                    self._segment_path = lambda: "ubyte-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                class UByteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                        self.yang_name = "UByte-list"
                                        self.yang_parent_name = "ubyte-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                            class TextItems(Entity):
                                """
                                
                                
                                .. attribute:: text_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems.TextList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems, self).__init__()

                                    self.yang_name = "text-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems.TextList))])
                                    self._leafs = OrderedDict()

                                    self.text_list = YList(self)
                                    self._segment_path = lambda: "text-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems, [], name, value)


                                class TextList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                        self.yang_name = "Text-list"
                                        self.yang_parent_name = "text-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)






                    class TextItems(Entity):
                        """
                        
                        
                        .. attribute:: text_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems.TextList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems, self).__init__()

                            self.yang_name = "text-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems.TextList))])
                            self._leafs = OrderedDict()

                            self.text_list = YList(self)
                            self._segment_path = lambda: "text-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems, [], name, value)


                        class TextList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems.TextList, self).__init__()

                                self.yang_name = "Text-list"
                                self.yang_parent_name = "text-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.TextItems.TextList, ['code', 'value'], name, value)




                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems.IpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems.IpList))])
                            self._leafs = OrderedDict()

                            self.ip_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems, [], name, value)


                        class IpList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems.IpList, self).__init__()

                                self.yang_name = "Ip-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.IpItems.IpList, ['code', 'value'], name, value)




                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: mac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems.MacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems.MacList))])
                            self._leafs = OrderedDict()

                            self.mac_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems, [], name, value)


                        class MacList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems.MacList, self).__init__()

                                self.yang_name = "Mac-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.MacItems.MacList, ['code', 'value'], name, value)




                    class Uint64Items(Entity):
                        """
                        
                        
                        .. attribute:: uint64_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items.UInt64List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items, self).__init__()

                            self.yang_name = "uint64-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items.UInt64List))])
                            self._leafs = OrderedDict()

                            self.uint64_list = YList(self)
                            self._segment_path = lambda: "uint64-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items, [], name, value)


                        class UInt64List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items.UInt64List, self).__init__()

                                self.yang_name = "UInt64-list"
                                self.yang_parent_name = "uint64-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                    class Uint32Items(Entity):
                        """
                        
                        
                        .. attribute:: uint32_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items.UInt32List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items, self).__init__()

                            self.yang_name = "uint32-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items.UInt32List))])
                            self._leafs = OrderedDict()

                            self.uint32_list = YList(self)
                            self._segment_path = lambda: "uint32-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items, [], name, value)


                        class UInt32List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items.UInt32List, self).__init__()

                                self.yang_name = "UInt32-list"
                                self.yang_parent_name = "uint32-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                    class Uint16Items(Entity):
                        """
                        
                        
                        .. attribute:: uint16_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items.UInt16List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items, self).__init__()

                            self.yang_name = "uint16-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items.UInt16List))])
                            self._leafs = OrderedDict()

                            self.uint16_list = YList(self)
                            self._segment_path = lambda: "uint16-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items, [], name, value)


                        class UInt16List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items.UInt16List, self).__init__()

                                self.yang_name = "UInt16-list"
                                self.yang_parent_name = "uint16-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                    class UbyteItems(Entity):
                        """
                        
                        
                        .. attribute:: ubyte_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems.UByteList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems, self).__init__()

                            self.yang_name = "ubyte-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems.UByteList))])
                            self._leafs = OrderedDict()

                            self.ubyte_list = YList(self)
                            self._segment_path = lambda: "ubyte-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems, [], name, value)


                        class UByteList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems.UByteList, self).__init__()

                                self.yang_name = "UByte-list"
                                self.yang_parent_name = "ubyte-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.UbyteItems.UByteList, ['code', 'value'], name, value)




                    class RspseudoIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rspseudoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsPseudoIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems.RsPseudoIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems, self).__init__()

                            self.yang_name = "rspseudoIf-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsPseudoIf-list", ("rspseudoif_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems.RsPseudoIfList))])
                            self._leafs = OrderedDict()

                            self.rspseudoif_list = YList(self)
                            self._segment_path = lambda: "rspseudoIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems, [], name, value)


                        class RsPseudoIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems.RsPseudoIfList, self).__init__()

                                self.yang_name = "RsPseudoIf-list"
                                self.yang_parent_name = "rspseudoIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsPseudoIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RspseudoIfItems.RsPseudoIfList, ['tdn', 'tcl'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "ClientIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ClientifItems.ClientIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class RelayifItems(Entity):
                """
                
                
                .. attribute:: relayif_list
                
                	
                	**type**\: list of  		 :py:class:`RelayIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.RelayifItems, self).__init__()

                    self.yang_name = "relayif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RelayIf-list", ("relayif_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList))])
                    self._leafs = OrderedDict()

                    self.relayif_list = YList(self)
                    self._segment_path = lambda: "relayif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems, [], name, value)


                class RelayIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: options
                    
                    	DHCP Options
                    	**type**\: str
                    
                    .. attribute:: smartrelayenabled
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: subnetbroadcastenabled
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: informationtrustedenabled
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: opt_items
                    
                    	
                    	**type**\:  :py:class:`OptItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems>`
                    
                    .. attribute:: addr_items
                    
                    	
                    	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems>`
                    
                    .. attribute:: addrv6_items
                    
                    	
                    	**type**\:  :py:class:`Addrv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items>`
                    
                    .. attribute:: srcif_items
                    
                    	
                    	**type**\:  :py:class:`SrcifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.SrcifItems>`
                    
                    .. attribute:: v6srcif_items
                    
                    	
                    	**type**\:  :py:class:`V6srcifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.V6srcifItems>`
                    
                    .. attribute:: complex_items
                    
                    	
                    	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems>`
                    
                    .. attribute:: text_items
                    
                    	
                    	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems>`
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems>`
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems>`
                    
                    .. attribute:: uint64_items
                    
                    	
                    	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items>`
                    
                    .. attribute:: uint32_items
                    
                    	
                    	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items>`
                    
                    .. attribute:: uint16_items
                    
                    	
                    	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items>`
                    
                    .. attribute:: ubyte_items
                    
                    	
                    	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList, self).__init__()

                        self.yang_name = "RelayIf-list"
                        self.yang_parent_name = "relayif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("opt-items", ("opt_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems)), ("addr-items", ("addr_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems)), ("addrv6-items", ("addrv6_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items)), ("srcif-items", ("srcif_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.SrcifItems)), ("v6srcif-items", ("v6srcif_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.V6srcifItems)), ("complex-items", ("complex_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems)), ("ip-items", ("ip_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('options', (YLeaf(YType.str, 'options'), ['str'])),
                            ('smartrelayenabled', (YLeaf(YType.boolean, 'SmartRelayEnabled'), ['bool'])),
                            ('subnetbroadcastenabled', (YLeaf(YType.boolean, 'SubnetBroadcastEnabled'), ['bool'])),
                            ('informationtrustedenabled', (YLeaf(YType.boolean, 'InformationTrustedEnabled'), ['bool'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.options = None
                        self.smartrelayenabled = None
                        self.subnetbroadcastenabled = None
                        self.informationtrustedenabled = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.opt_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems()
                        self.opt_items.parent = self
                        self._children_name_map["opt_items"] = "opt-items"

                        self.addr_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems()
                        self.addr_items.parent = self
                        self._children_name_map["addr_items"] = "addr-items"

                        self.addrv6_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items()
                        self.addrv6_items.parent = self
                        self._children_name_map["addrv6_items"] = "addrv6-items"

                        self.srcif_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.SrcifItems()
                        self.srcif_items.parent = self
                        self._children_name_map["srcif_items"] = "srcif-items"

                        self.v6srcif_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.V6srcifItems()
                        self.v6srcif_items.parent = self
                        self._children_name_map["v6srcif_items"] = "v6srcif-items"

                        self.complex_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems()
                        self.complex_items.parent = self
                        self._children_name_map["complex_items"] = "complex-items"

                        self.text_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems()
                        self.text_items.parent = self
                        self._children_name_map["text_items"] = "text-items"

                        self.ip_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"

                        self.uint64_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items()
                        self.uint64_items.parent = self
                        self._children_name_map["uint64_items"] = "uint64-items"

                        self.uint32_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items()
                        self.uint32_items.parent = self
                        self._children_name_map["uint32_items"] = "uint32-items"

                        self.uint16_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items()
                        self.uint16_items.parent = self
                        self._children_name_map["uint16_items"] = "uint16-items"

                        self.ubyte_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems()
                        self.ubyte_items.parent = self
                        self._children_name_map["ubyte_items"] = "ubyte-items"

                        self.rtvrfmbr_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "RelayIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/relayif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList, ['id', 'options', 'smartrelayenabled', 'subnetbroadcastenabled', 'informationtrustedenabled', 'name', 'descr', 'adminst'], name, value)


                    class OptItems(Entity):
                        """
                        
                        
                        .. attribute:: optiondef_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OptionDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems, self).__init__()

                            self.yang_name = "opt-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OptionDef-list", ("optiondef_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList))])
                            self._leafs = OrderedDict()

                            self.optiondef_list = YList(self)
                            self._segment_path = lambda: "opt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems, [], name, value)


                        class OptionDefList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: data
                            
                            	Model Regex
                            	**type**\: str
                            
                            	**length:** 0..256
                            
                            	**config**\: False
                            
                            .. attribute:: bd_items
                            
                            	
                            	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList, self).__init__()

                                self.yang_name = "OptionDef-list"
                                self.yang_parent_name = "opt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("bd-items", ("bd_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ('data', (YLeaf(YType.str, 'data'), ['str'])),
                                ])
                                self.name = None
                                self.id = None
                                self.data = None

                                self.bd_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems()
                                self.bd_items.parent = self
                                self._children_name_map["bd_items"] = "bd-items"
                                self._segment_path = lambda: "OptionDef-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList, ['name', 'id', 'data'], name, value)


                            class BdItems(Entity):
                                """
                                
                                
                                .. attribute:: discnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`DiscNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems.DiscNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems, self).__init__()

                                    self.yang_name = "bd-items"
                                    self.yang_parent_name = "OptionDef-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("DiscNode-list", ("discnode_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems.DiscNodeList))])
                                    self._leafs = OrderedDict()

                                    self.discnode_list = YList(self)
                                    self._segment_path = lambda: "bd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems, [], name, value)


                                class DiscNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encap  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mac  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ciaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ctxencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: fabencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems.DiscNodeList, self).__init__()

                                        self.yang_name = "DiscNode-list"
                                        self.yang_parent_name = "bd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['encap','mac','ciaddr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                            ('ciaddr', (YLeaf(YType.str, 'ciAddr'), ['str','str'])),
                                            ('ctxencap', (YLeaf(YType.str, 'ctxEncap'), ['str'])),
                                            ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                                        ])
                                        self.encap = None
                                        self.mac = None
                                        self.ciaddr = None
                                        self.ctxencap = None
                                        self.fabencap = None
                                        self._segment_path = lambda: "DiscNode-list" + "[encap='" + str(self.encap) + "']" + "[mac='" + str(self.mac) + "']" + "[ciAddr='" + str(self.ciaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.OptItems.OptionDefList.BdItems.DiscNodeList, ['encap', 'mac', 'ciaddr', 'ctxencap', 'fabencap'], name, value)






                    class AddrItems(Entity):
                        """
                        
                        
                        .. attribute:: relayaddr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RelayAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems, self).__init__()

                            self.yang_name = "addr-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RelayAddr-list", ("relayaddr_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList))])
                            self._leafs = OrderedDict()

                            self.relayaddr_list = YList(self)
                            self._segment_path = lambda: "addr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems, [], name, value)


                        class RelayAddrList(Entity):
                            """
                            
                            
                            .. attribute:: vrf  (key)
                            
                            	vrf in which the dhcp server is present. Valid only when the client is in a different vrf from the server vrf
                            	**type**\: str
                            
                            .. attribute:: address  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: counter
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: gw_items
                            
                            	
                            	**type**\:  :py:class:`GwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList, self).__init__()

                                self.yang_name = "RelayAddr-list"
                                self.yang_parent_name = "addr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vrf','address']
                                self._child_classes = OrderedDict([("gw-items", ("gw_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems))])
                                self._leafs = OrderedDict([
                                    ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                    ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                    ('counter', (YLeaf(YType.uint16, 'counter'), ['int'])),
                                ])
                                self.vrf = None
                                self.address = None
                                self.counter = None

                                self.gw_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems()
                                self.gw_items.parent = self
                                self._children_name_map["gw_items"] = "gw-items"
                                self._segment_path = lambda: "RelayAddr-list" + "[vrf='" + str(self.vrf) + "']" + "[address='" + str(self.address) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList, ['vrf', 'address', 'counter'], name, value)


                            class GwItems(Entity):
                                """
                                
                                
                                .. attribute:: relaygw_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RelayGwList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems.RelayGwList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems, self).__init__()

                                    self.yang_name = "gw-items"
                                    self.yang_parent_name = "RelayAddr-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RelayGw-list", ("relaygw_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems.RelayGwList))])
                                    self._leafs = OrderedDict()

                                    self.relaygw_list = YList(self)
                                    self._segment_path = lambda: "gw-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems, [], name, value)


                                class RelayGwList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: address  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems.RelayGwList, self).__init__()

                                        self.yang_name = "RelayGw-list"
                                        self.yang_parent_name = "gw-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['address']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                        ])
                                        self.address = None
                                        self._segment_path = lambda: "RelayGw-list" + "[address='" + str(self.address) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.AddrItems.RelayAddrList.GwItems.RelayGwList, ['address'], name, value)






                    class Addrv6Items(Entity):
                        """
                        
                        
                        .. attribute:: v6relayaddr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`V6RelayAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items, self).__init__()

                            self.yang_name = "addrv6-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("V6RelayAddr-list", ("v6relayaddr_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList))])
                            self._leafs = OrderedDict()

                            self.v6relayaddr_list = YList(self)
                            self._segment_path = lambda: "addrv6-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items, [], name, value)


                        class V6RelayAddrList(Entity):
                            """
                            
                            
                            .. attribute:: vrf  (key)
                            
                            	VRF
                            	**type**\: str
                            
                            .. attribute:: address  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: dstif  (key)
                            
                            	Destination Interface
                            	**type**\: str
                            
                            .. attribute:: counter
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: gw_items
                            
                            	
                            	**type**\:  :py:class:`GwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList, self).__init__()

                                self.yang_name = "V6RelayAddr-list"
                                self.yang_parent_name = "addrv6-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vrf','address','dstif']
                                self._child_classes = OrderedDict([("gw-items", ("gw_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems))])
                                self._leafs = OrderedDict([
                                    ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                    ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                    ('dstif', (YLeaf(YType.str, 'dstif'), ['str'])),
                                    ('counter', (YLeaf(YType.uint16, 'counter'), ['int'])),
                                ])
                                self.vrf = None
                                self.address = None
                                self.dstif = None
                                self.counter = None

                                self.gw_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems()
                                self.gw_items.parent = self
                                self._children_name_map["gw_items"] = "gw-items"
                                self._segment_path = lambda: "V6RelayAddr-list" + "[vrf='" + str(self.vrf) + "']" + "[address='" + str(self.address) + "']" + "[dstif='" + str(self.dstif) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList, ['vrf', 'address', 'dstif', 'counter'], name, value)


                            class GwItems(Entity):
                                """
                                
                                
                                .. attribute:: v6relaygw_list
                                
                                	
                                	**type**\: list of  		 :py:class:`V6RelayGwList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems.V6RelayGwList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems, self).__init__()

                                    self.yang_name = "gw-items"
                                    self.yang_parent_name = "V6RelayAddr-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("V6RelayGw-list", ("v6relaygw_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems.V6RelayGwList))])
                                    self._leafs = OrderedDict()

                                    self.v6relaygw_list = YList(self)
                                    self._segment_path = lambda: "gw-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems, [], name, value)


                                class V6RelayGwList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: address  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems.V6RelayGwList, self).__init__()

                                        self.yang_name = "V6RelayGw-list"
                                        self.yang_parent_name = "gw-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['address']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('address', (YLeaf(YType.str, 'address'), ['str','str'])),
                                        ])
                                        self.address = None
                                        self._segment_path = lambda: "V6RelayGw-list" + "[address='" + str(self.address) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Addrv6Items.V6RelayAddrList.GwItems.V6RelayGwList, ['address'], name, value)






                    class SrcifItems(Entity):
                        """
                        
                        
                        .. attribute:: sourceinterface
                        
                        	Source Interface
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.SrcifItems, self).__init__()

                            self.yang_name = "srcif-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('sourceinterface', (YLeaf(YType.str, 'sourceInterface'), ['str'])),
                            ])
                            self.sourceinterface = None
                            self._segment_path = lambda: "srcif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.SrcifItems, ['sourceinterface'], name, value)



                    class V6srcifItems(Entity):
                        """
                        
                        
                        .. attribute:: v6sourceinterface
                        
                        	Source Interface
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.V6srcifItems, self).__init__()

                            self.yang_name = "v6srcif-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('v6sourceinterface', (YLeaf(YType.str, 'v6sourceInterface'), ['str'])),
                            ])
                            self.v6sourceinterface = None
                            self._segment_path = lambda: "v6srcif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.V6srcifItems, ['v6sourceinterface'], name, value)



                    class ComplexItems(Entity):
                        """
                        
                        
                        .. attribute:: complex_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems, self).__init__()

                            self.yang_name = "complex-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList))])
                            self._leafs = OrderedDict()

                            self.complex_list = YList(self)
                            self._segment_path = lambda: "complex-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems, [], name, value)


                        class ComplexList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: id  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint64_items
                            
                            	
                            	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint32_items
                            
                            	
                            	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint16_items
                            
                            	
                            	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: ubyte_items
                            
                            	
                            	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: text_items
                            
                            	
                            	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList, self).__init__()

                                self.yang_name = "Complex-list"
                                self.yang_parent_name = "complex-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems))])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.code = None
                                self.id = None

                                self.ip_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"

                                self.mac_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.uint64_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items()
                                self.uint64_items.parent = self
                                self._children_name_map["uint64_items"] = "uint64-items"

                                self.uint32_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items()
                                self.uint32_items.parent = self
                                self._children_name_map["uint32_items"] = "uint32-items"

                                self.uint16_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items()
                                self.uint16_items.parent = self
                                self._children_name_map["uint16_items"] = "uint16-items"

                                self.ubyte_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems()
                                self.ubyte_items.parent = self
                                self._children_name_map["ubyte_items"] = "ubyte-items"

                                self.text_items = System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems()
                                self.text_items.parent = self
                                self._children_name_map["text_items"] = "text-items"
                                self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList, ['code', 'id'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems.IpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems.IpList))])
                                    self._leafs = OrderedDict()

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems, [], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                        self.yang_name = "Ip-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: mac_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems.MacList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems.MacList))])
                                    self._leafs = OrderedDict()

                                    self.mac_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems, [], name, value)


                                class MacList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                        self.yang_name = "Mac-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                            class Uint64Items(Entity):
                                """
                                
                                
                                .. attribute:: uint64_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                    self.yang_name = "uint64-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                    self._leafs = OrderedDict()

                                    self.uint64_list = YList(self)
                                    self._segment_path = lambda: "uint64-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                class UInt64List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                        self.yang_name = "UInt64-list"
                                        self.yang_parent_name = "uint64-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                            class Uint32Items(Entity):
                                """
                                
                                
                                .. attribute:: uint32_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                    self.yang_name = "uint32-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                    self._leafs = OrderedDict()

                                    self.uint32_list = YList(self)
                                    self._segment_path = lambda: "uint32-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                class UInt32List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                        self.yang_name = "UInt32-list"
                                        self.yang_parent_name = "uint32-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                            class Uint16Items(Entity):
                                """
                                
                                
                                .. attribute:: uint16_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                    self.yang_name = "uint16-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                    self._leafs = OrderedDict()

                                    self.uint16_list = YList(self)
                                    self._segment_path = lambda: "uint16-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                class UInt16List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                        self.yang_name = "UInt16-list"
                                        self.yang_parent_name = "uint16-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                            class UbyteItems(Entity):
                                """
                                
                                
                                .. attribute:: ubyte_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                    self.yang_name = "ubyte-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                    self._leafs = OrderedDict()

                                    self.ubyte_list = YList(self)
                                    self._segment_path = lambda: "ubyte-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                class UByteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                        self.yang_name = "UByte-list"
                                        self.yang_parent_name = "ubyte-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                            class TextItems(Entity):
                                """
                                
                                
                                .. attribute:: text_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems.TextList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems, self).__init__()

                                    self.yang_name = "text-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems.TextList))])
                                    self._leafs = OrderedDict()

                                    self.text_list = YList(self)
                                    self._segment_path = lambda: "text-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems, [], name, value)


                                class TextList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                        self.yang_name = "Text-list"
                                        self.yang_parent_name = "text-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)






                    class TextItems(Entity):
                        """
                        
                        
                        .. attribute:: text_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems.TextList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems, self).__init__()

                            self.yang_name = "text-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems.TextList))])
                            self._leafs = OrderedDict()

                            self.text_list = YList(self)
                            self._segment_path = lambda: "text-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems, [], name, value)


                        class TextList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems.TextList, self).__init__()

                                self.yang_name = "Text-list"
                                self.yang_parent_name = "text-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.TextItems.TextList, ['code', 'value'], name, value)




                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems.IpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems.IpList))])
                            self._leafs = OrderedDict()

                            self.ip_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems, [], name, value)


                        class IpList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems.IpList, self).__init__()

                                self.yang_name = "Ip-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.IpItems.IpList, ['code', 'value'], name, value)




                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: mac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems.MacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems.MacList))])
                            self._leafs = OrderedDict()

                            self.mac_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems, [], name, value)


                        class MacList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems.MacList, self).__init__()

                                self.yang_name = "Mac-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.MacItems.MacList, ['code', 'value'], name, value)




                    class Uint64Items(Entity):
                        """
                        
                        
                        .. attribute:: uint64_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items.UInt64List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items, self).__init__()

                            self.yang_name = "uint64-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items.UInt64List))])
                            self._leafs = OrderedDict()

                            self.uint64_list = YList(self)
                            self._segment_path = lambda: "uint64-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items, [], name, value)


                        class UInt64List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items.UInt64List, self).__init__()

                                self.yang_name = "UInt64-list"
                                self.yang_parent_name = "uint64-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                    class Uint32Items(Entity):
                        """
                        
                        
                        .. attribute:: uint32_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items.UInt32List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items, self).__init__()

                            self.yang_name = "uint32-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items.UInt32List))])
                            self._leafs = OrderedDict()

                            self.uint32_list = YList(self)
                            self._segment_path = lambda: "uint32-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items, [], name, value)


                        class UInt32List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items.UInt32List, self).__init__()

                                self.yang_name = "UInt32-list"
                                self.yang_parent_name = "uint32-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                    class Uint16Items(Entity):
                        """
                        
                        
                        .. attribute:: uint16_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items.UInt16List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items, self).__init__()

                            self.yang_name = "uint16-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items.UInt16List))])
                            self._leafs = OrderedDict()

                            self.uint16_list = YList(self)
                            self._segment_path = lambda: "uint16-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items, [], name, value)


                        class UInt16List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items.UInt16List, self).__init__()

                                self.yang_name = "UInt16-list"
                                self.yang_parent_name = "uint16-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                    class UbyteItems(Entity):
                        """
                        
                        
                        .. attribute:: ubyte_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems.UByteList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems, self).__init__()

                            self.yang_name = "ubyte-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems.UByteList))])
                            self._leafs = OrderedDict()

                            self.ubyte_list = YList(self)
                            self._segment_path = lambda: "ubyte-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems, [], name, value)


                        class UByteList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems.UByteList, self).__init__()

                                self.yang_name = "UByte-list"
                                self.yang_parent_name = "ubyte-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.UbyteItems.UByteList, ['code', 'value'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "RelayIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.RelayifItems.RelayIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class ServerifItems(Entity):
                """
                
                
                .. attribute:: serverif_list
                
                	
                	**type**\: list of  		 :py:class:`ServerIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.ServerifItems, self).__init__()

                    self.yang_name = "serverif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServerIf-list", ("serverif_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList))])
                    self._leafs = OrderedDict()

                    self.serverif_list = YList(self)
                    self._segment_path = lambda: "serverif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems, [], name, value)


                class ServerIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: complex_items
                    
                    	
                    	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: text_items
                    
                    	
                    	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint64_items
                    
                    	
                    	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint32_items
                    
                    	
                    	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint16_items
                    
                    	
                    	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: ubyte_items
                    
                    	
                    	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtvrfMbrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList, self).__init__()

                        self.yang_name = "ServerIf-list"
                        self.yang_parent_name = "serverif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("complex-items", ("complex_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems)), ("ip-items", ("ip_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.complex_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems()
                        self.complex_items.parent = self
                        self._children_name_map["complex_items"] = "complex-items"

                        self.text_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems()
                        self.text_items.parent = self
                        self._children_name_map["text_items"] = "text-items"

                        self.ip_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"

                        self.uint64_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items()
                        self.uint64_items.parent = self
                        self._children_name_map["uint64_items"] = "uint64-items"

                        self.uint32_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items()
                        self.uint32_items.parent = self
                        self._children_name_map["uint32_items"] = "uint32-items"

                        self.uint16_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items()
                        self.uint16_items.parent = self
                        self._children_name_map["uint16_items"] = "uint16-items"

                        self.ubyte_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems()
                        self.ubyte_items.parent = self
                        self._children_name_map["ubyte_items"] = "ubyte-items"

                        self.rtvrfmbr_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "ServerIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/serverif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class ComplexItems(Entity):
                        """
                        
                        
                        .. attribute:: complex_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems, self).__init__()

                            self.yang_name = "complex-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList))])
                            self._leafs = OrderedDict()

                            self.complex_list = YList(self)
                            self._segment_path = lambda: "complex-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems, [], name, value)


                        class ComplexList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: id  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint64_items
                            
                            	
                            	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint32_items
                            
                            	
                            	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint16_items
                            
                            	
                            	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: ubyte_items
                            
                            	
                            	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: text_items
                            
                            	
                            	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList, self).__init__()

                                self.yang_name = "Complex-list"
                                self.yang_parent_name = "complex-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems))])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.code = None
                                self.id = None

                                self.ip_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"

                                self.mac_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.uint64_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items()
                                self.uint64_items.parent = self
                                self._children_name_map["uint64_items"] = "uint64-items"

                                self.uint32_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items()
                                self.uint32_items.parent = self
                                self._children_name_map["uint32_items"] = "uint32-items"

                                self.uint16_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items()
                                self.uint16_items.parent = self
                                self._children_name_map["uint16_items"] = "uint16-items"

                                self.ubyte_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems()
                                self.ubyte_items.parent = self
                                self._children_name_map["ubyte_items"] = "ubyte-items"

                                self.text_items = System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems()
                                self.text_items.parent = self
                                self._children_name_map["text_items"] = "text-items"
                                self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList, ['code', 'id'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems.IpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems.IpList))])
                                    self._leafs = OrderedDict()

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems, [], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                        self.yang_name = "Ip-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: mac_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems.MacList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems.MacList))])
                                    self._leafs = OrderedDict()

                                    self.mac_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems, [], name, value)


                                class MacList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                        self.yang_name = "Mac-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                            class Uint64Items(Entity):
                                """
                                
                                
                                .. attribute:: uint64_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                    self.yang_name = "uint64-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                    self._leafs = OrderedDict()

                                    self.uint64_list = YList(self)
                                    self._segment_path = lambda: "uint64-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                class UInt64List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                        self.yang_name = "UInt64-list"
                                        self.yang_parent_name = "uint64-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                            class Uint32Items(Entity):
                                """
                                
                                
                                .. attribute:: uint32_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                    self.yang_name = "uint32-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                    self._leafs = OrderedDict()

                                    self.uint32_list = YList(self)
                                    self._segment_path = lambda: "uint32-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                class UInt32List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                        self.yang_name = "UInt32-list"
                                        self.yang_parent_name = "uint32-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                            class Uint16Items(Entity):
                                """
                                
                                
                                .. attribute:: uint16_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                    self.yang_name = "uint16-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                    self._leafs = OrderedDict()

                                    self.uint16_list = YList(self)
                                    self._segment_path = lambda: "uint16-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                class UInt16List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                        self.yang_name = "UInt16-list"
                                        self.yang_parent_name = "uint16-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                            class UbyteItems(Entity):
                                """
                                
                                
                                .. attribute:: ubyte_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                    self.yang_name = "ubyte-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                    self._leafs = OrderedDict()

                                    self.ubyte_list = YList(self)
                                    self._segment_path = lambda: "ubyte-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                class UByteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                        self.yang_name = "UByte-list"
                                        self.yang_parent_name = "ubyte-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                            class TextItems(Entity):
                                """
                                
                                
                                .. attribute:: text_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems.TextList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems, self).__init__()

                                    self.yang_name = "text-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems.TextList))])
                                    self._leafs = OrderedDict()

                                    self.text_list = YList(self)
                                    self._segment_path = lambda: "text-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems, [], name, value)


                                class TextList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                        self.yang_name = "Text-list"
                                        self.yang_parent_name = "text-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)






                    class TextItems(Entity):
                        """
                        
                        
                        .. attribute:: text_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems.TextList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems, self).__init__()

                            self.yang_name = "text-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems.TextList))])
                            self._leafs = OrderedDict()

                            self.text_list = YList(self)
                            self._segment_path = lambda: "text-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems, [], name, value)


                        class TextList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems.TextList, self).__init__()

                                self.yang_name = "Text-list"
                                self.yang_parent_name = "text-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.TextItems.TextList, ['code', 'value'], name, value)




                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems.IpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems.IpList))])
                            self._leafs = OrderedDict()

                            self.ip_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems, [], name, value)


                        class IpList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems.IpList, self).__init__()

                                self.yang_name = "Ip-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.IpItems.IpList, ['code', 'value'], name, value)




                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: mac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems.MacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems.MacList))])
                            self._leafs = OrderedDict()

                            self.mac_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems, [], name, value)


                        class MacList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems.MacList, self).__init__()

                                self.yang_name = "Mac-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.MacItems.MacList, ['code', 'value'], name, value)




                    class Uint64Items(Entity):
                        """
                        
                        
                        .. attribute:: uint64_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items.UInt64List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items, self).__init__()

                            self.yang_name = "uint64-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items.UInt64List))])
                            self._leafs = OrderedDict()

                            self.uint64_list = YList(self)
                            self._segment_path = lambda: "uint64-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items, [], name, value)


                        class UInt64List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items.UInt64List, self).__init__()

                                self.yang_name = "UInt64-list"
                                self.yang_parent_name = "uint64-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                    class Uint32Items(Entity):
                        """
                        
                        
                        .. attribute:: uint32_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items.UInt32List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items, self).__init__()

                            self.yang_name = "uint32-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items.UInt32List))])
                            self._leafs = OrderedDict()

                            self.uint32_list = YList(self)
                            self._segment_path = lambda: "uint32-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items, [], name, value)


                        class UInt32List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items.UInt32List, self).__init__()

                                self.yang_name = "UInt32-list"
                                self.yang_parent_name = "uint32-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                    class Uint16Items(Entity):
                        """
                        
                        
                        .. attribute:: uint16_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items.UInt16List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items, self).__init__()

                            self.yang_name = "uint16-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items.UInt16List))])
                            self._leafs = OrderedDict()

                            self.uint16_list = YList(self)
                            self._segment_path = lambda: "uint16-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items, [], name, value)


                        class UInt16List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items.UInt16List, self).__init__()

                                self.yang_name = "UInt16-list"
                                self.yang_parent_name = "uint16-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                    class UbyteItems(Entity):
                        """
                        
                        
                        .. attribute:: ubyte_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems.UByteList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems, self).__init__()

                            self.yang_name = "ubyte-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems.UByteList))])
                            self._leafs = OrderedDict()

                            self.ubyte_list = YList(self)
                            self._segment_path = lambda: "ubyte-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems, [], name, value)


                        class UByteList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems.UByteList, self).__init__()

                                self.yang_name = "UByte-list"
                                self.yang_parent_name = "ubyte-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.UbyteItems.UByteList, ['code', 'value'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "ServerIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.ServerifItems.ServerIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class SrcifItems(Entity):
                """
                
                
                .. attribute:: sourceinterface
                
                	Global Source Interface
                	**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.SrcifItems, self).__init__()

                    self.yang_name = "srcif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('sourceinterface', (YLeaf(YType.str, 'sourceInterface'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.sourceinterface = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self._segment_path = lambda: "srcif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.SrcifItems, ['sourceinterface', 'name', 'adminst', 'ctrl'], name, value)



            class V6srcifItems(Entity):
                """
                
                
                .. attribute:: v6sourceinterface
                
                	Global Source Interface
                	**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.V6srcifItems, self).__init__()

                    self.yang_name = "v6srcif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('v6sourceinterface', (YLeaf(YType.str, 'v6sourceInterface'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.v6sourceinterface = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self._segment_path = lambda: "v6srcif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.V6srcifItems, ['v6sourceinterface', 'name', 'adminst', 'ctrl'], name, value)



            class IpsrcbindipItems(Entity):
                """
                
                
                .. attribute:: ipsrcbind_list
                
                	
                	**type**\: list of  		 :py:class:`IpSrcBindList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsrcbindipItems.IpSrcBindList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.IpsrcbindipItems, self).__init__()

                    self.yang_name = "ipsrcbindip-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IpSrcBind-list", ("ipsrcbind_list", System.DhcpItems.InstItems.IpsrcbindipItems.IpSrcBindList))])
                    self._leafs = OrderedDict()

                    self.ipsrcbind_list = YList(self)
                    self._segment_path = lambda: "ipsrcbindip-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.IpsrcbindipItems, [], name, value)


                class IpSrcBindList(Entity):
                    """
                    
                    
                    .. attribute:: bindip  (key)
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: bindvlan  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: bindmac  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: bindintf  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.IpsrcbindipItems.IpSrcBindList, self).__init__()

                        self.yang_name = "IpSrcBind-list"
                        self.yang_parent_name = "ipsrcbindip-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['bindip','bindvlan','bindmac','bindintf']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('bindip', (YLeaf(YType.str, 'bindIp'), ['str','str'])),
                            ('bindvlan', (YLeaf(YType.uint16, 'bindVlan'), ['int'])),
                            ('bindmac', (YLeaf(YType.str, 'bindMac'), ['str'])),
                            ('bindintf', (YLeaf(YType.str, 'bindIntf'), ['str'])),
                        ])
                        self.bindip = None
                        self.bindvlan = None
                        self.bindmac = None
                        self.bindintf = None
                        self._segment_path = lambda: "IpSrcBind-list" + "[bindIp='" + str(self.bindip) + "']" + "[bindVlan='" + str(self.bindvlan) + "']" + "[bindMac='" + str(self.bindmac) + "']" + "[bindIntf='" + str(self.bindintf) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/ipsrcbindip-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.IpsrcbindipItems.IpSrcBindList, ['bindip', 'bindvlan', 'bindmac', 'bindintf'], name, value)




            class IpsgifItems(Entity):
                """
                
                
                .. attribute:: ipsgif_list
                
                	
                	**type**\: list of  		 :py:class:`IpsgIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.IpsgifItems, self).__init__()

                    self.yang_name = "ipsgif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IpsgIf-list", ("ipsgif_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList))])
                    self._leafs = OrderedDict()

                    self.ipsgif_list = YList(self)
                    self._segment_path = lambda: "ipsgif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems, [], name, value)


                class IpsgIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ipsgenabled
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: complex_items
                    
                    	
                    	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: text_items
                    
                    	
                    	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint64_items
                    
                    	
                    	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint32_items
                    
                    	
                    	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint16_items
                    
                    	
                    	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: ubyte_items
                    
                    	
                    	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtvrfMbrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList, self).__init__()

                        self.yang_name = "IpsgIf-list"
                        self.yang_parent_name = "ipsgif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("complex-items", ("complex_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems)), ("ip-items", ("ip_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('ipsgenabled', (YLeaf(YType.boolean, 'ipsgEnabled'), ['bool'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.ipsgenabled = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.complex_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems()
                        self.complex_items.parent = self
                        self._children_name_map["complex_items"] = "complex-items"

                        self.text_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems()
                        self.text_items.parent = self
                        self._children_name_map["text_items"] = "text-items"

                        self.ip_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"

                        self.uint64_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items()
                        self.uint64_items.parent = self
                        self._children_name_map["uint64_items"] = "uint64-items"

                        self.uint32_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items()
                        self.uint32_items.parent = self
                        self._children_name_map["uint32_items"] = "uint32-items"

                        self.uint16_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items()
                        self.uint16_items.parent = self
                        self._children_name_map["uint16_items"] = "uint16-items"

                        self.ubyte_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems()
                        self.ubyte_items.parent = self
                        self._children_name_map["ubyte_items"] = "ubyte-items"

                        self.rtvrfmbr_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "IpsgIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/ipsgif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList, ['id', 'ipsgenabled', 'name', 'descr', 'adminst'], name, value)


                    class ComplexItems(Entity):
                        """
                        
                        
                        .. attribute:: complex_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems, self).__init__()

                            self.yang_name = "complex-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList))])
                            self._leafs = OrderedDict()

                            self.complex_list = YList(self)
                            self._segment_path = lambda: "complex-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems, [], name, value)


                        class ComplexList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: id  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint64_items
                            
                            	
                            	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint32_items
                            
                            	
                            	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint16_items
                            
                            	
                            	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: ubyte_items
                            
                            	
                            	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: text_items
                            
                            	
                            	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList, self).__init__()

                                self.yang_name = "Complex-list"
                                self.yang_parent_name = "complex-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems))])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.code = None
                                self.id = None

                                self.ip_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"

                                self.mac_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.uint64_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items()
                                self.uint64_items.parent = self
                                self._children_name_map["uint64_items"] = "uint64-items"

                                self.uint32_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items()
                                self.uint32_items.parent = self
                                self._children_name_map["uint32_items"] = "uint32-items"

                                self.uint16_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items()
                                self.uint16_items.parent = self
                                self._children_name_map["uint16_items"] = "uint16-items"

                                self.ubyte_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems()
                                self.ubyte_items.parent = self
                                self._children_name_map["ubyte_items"] = "ubyte-items"

                                self.text_items = System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems()
                                self.text_items.parent = self
                                self._children_name_map["text_items"] = "text-items"
                                self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList, ['code', 'id'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems.IpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems.IpList))])
                                    self._leafs = OrderedDict()

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems, [], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                        self.yang_name = "Ip-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: mac_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems.MacList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems.MacList))])
                                    self._leafs = OrderedDict()

                                    self.mac_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems, [], name, value)


                                class MacList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                        self.yang_name = "Mac-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                            class Uint64Items(Entity):
                                """
                                
                                
                                .. attribute:: uint64_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                    self.yang_name = "uint64-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                    self._leafs = OrderedDict()

                                    self.uint64_list = YList(self)
                                    self._segment_path = lambda: "uint64-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                class UInt64List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                        self.yang_name = "UInt64-list"
                                        self.yang_parent_name = "uint64-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                            class Uint32Items(Entity):
                                """
                                
                                
                                .. attribute:: uint32_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                    self.yang_name = "uint32-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                    self._leafs = OrderedDict()

                                    self.uint32_list = YList(self)
                                    self._segment_path = lambda: "uint32-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                class UInt32List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                        self.yang_name = "UInt32-list"
                                        self.yang_parent_name = "uint32-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                            class Uint16Items(Entity):
                                """
                                
                                
                                .. attribute:: uint16_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                    self.yang_name = "uint16-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                    self._leafs = OrderedDict()

                                    self.uint16_list = YList(self)
                                    self._segment_path = lambda: "uint16-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                class UInt16List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                        self.yang_name = "UInt16-list"
                                        self.yang_parent_name = "uint16-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                            class UbyteItems(Entity):
                                """
                                
                                
                                .. attribute:: ubyte_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                    self.yang_name = "ubyte-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                    self._leafs = OrderedDict()

                                    self.ubyte_list = YList(self)
                                    self._segment_path = lambda: "ubyte-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                class UByteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                        self.yang_name = "UByte-list"
                                        self.yang_parent_name = "ubyte-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                            class TextItems(Entity):
                                """
                                
                                
                                .. attribute:: text_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems.TextList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems, self).__init__()

                                    self.yang_name = "text-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems.TextList))])
                                    self._leafs = OrderedDict()

                                    self.text_list = YList(self)
                                    self._segment_path = lambda: "text-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems, [], name, value)


                                class TextList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                        self.yang_name = "Text-list"
                                        self.yang_parent_name = "text-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)






                    class TextItems(Entity):
                        """
                        
                        
                        .. attribute:: text_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems.TextList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems, self).__init__()

                            self.yang_name = "text-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems.TextList))])
                            self._leafs = OrderedDict()

                            self.text_list = YList(self)
                            self._segment_path = lambda: "text-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems, [], name, value)


                        class TextList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems.TextList, self).__init__()

                                self.yang_name = "Text-list"
                                self.yang_parent_name = "text-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.TextItems.TextList, ['code', 'value'], name, value)




                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems.IpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems.IpList))])
                            self._leafs = OrderedDict()

                            self.ip_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems, [], name, value)


                        class IpList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems.IpList, self).__init__()

                                self.yang_name = "Ip-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.IpItems.IpList, ['code', 'value'], name, value)




                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: mac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems.MacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems.MacList))])
                            self._leafs = OrderedDict()

                            self.mac_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems, [], name, value)


                        class MacList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems.MacList, self).__init__()

                                self.yang_name = "Mac-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.MacItems.MacList, ['code', 'value'], name, value)




                    class Uint64Items(Entity):
                        """
                        
                        
                        .. attribute:: uint64_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items.UInt64List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items, self).__init__()

                            self.yang_name = "uint64-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items.UInt64List))])
                            self._leafs = OrderedDict()

                            self.uint64_list = YList(self)
                            self._segment_path = lambda: "uint64-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items, [], name, value)


                        class UInt64List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items.UInt64List, self).__init__()

                                self.yang_name = "UInt64-list"
                                self.yang_parent_name = "uint64-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                    class Uint32Items(Entity):
                        """
                        
                        
                        .. attribute:: uint32_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items.UInt32List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items, self).__init__()

                            self.yang_name = "uint32-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items.UInt32List))])
                            self._leafs = OrderedDict()

                            self.uint32_list = YList(self)
                            self._segment_path = lambda: "uint32-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items, [], name, value)


                        class UInt32List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items.UInt32List, self).__init__()

                                self.yang_name = "UInt32-list"
                                self.yang_parent_name = "uint32-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                    class Uint16Items(Entity):
                        """
                        
                        
                        .. attribute:: uint16_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items.UInt16List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items, self).__init__()

                            self.yang_name = "uint16-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items.UInt16List))])
                            self._leafs = OrderedDict()

                            self.uint16_list = YList(self)
                            self._segment_path = lambda: "uint16-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items, [], name, value)


                        class UInt16List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items.UInt16List, self).__init__()

                                self.yang_name = "UInt16-list"
                                self.yang_parent_name = "uint16-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                    class UbyteItems(Entity):
                        """
                        
                        
                        .. attribute:: ubyte_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems.UByteList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems, self).__init__()

                            self.yang_name = "ubyte-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems.UByteList))])
                            self._leafs = OrderedDict()

                            self.ubyte_list = YList(self)
                            self._segment_path = lambda: "ubyte-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems, [], name, value)


                        class UByteList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems.UByteList, self).__init__()

                                self.yang_name = "UByte-list"
                                self.yang_parent_name = "ubyte-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.UbyteItems.UByteList, ['code', 'value'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "IpsgIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.IpsgifItems.IpsgIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class IpsgexvlanItems(Entity):
                """
                
                
                .. attribute:: ipsgexvlan_list
                
                	
                	**type**\: list of  		 :py:class:`IpsgExVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.IpsgexvlanItems.IpsgExVlanList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.IpsgexvlanItems, self).__init__()

                    self.yang_name = "ipsgexvlan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IpsgExVlan-list", ("ipsgexvlan_list", System.DhcpItems.InstItems.IpsgexvlanItems.IpsgExVlanList))])
                    self._leafs = OrderedDict()

                    self.ipsgexvlan_list = YList(self)
                    self._segment_path = lambda: "ipsgexvlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.IpsgexvlanItems, [], name, value)


                class IpsgExVlanList(Entity):
                    """
                    
                    
                    .. attribute:: ipsgexvlannum  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.IpsgexvlanItems.IpsgExVlanList, self).__init__()

                        self.yang_name = "IpsgExVlan-list"
                        self.yang_parent_name = "ipsgexvlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['ipsgexvlannum']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ipsgexvlannum', (YLeaf(YType.uint16, 'ipsgExVlanNum'), ['int'])),
                        ])
                        self.ipsgexvlannum = None
                        self._segment_path = lambda: "IpsgExVlan-list" + "[ipsgExVlanNum='" + str(self.ipsgexvlannum) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/ipsgexvlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.IpsgexvlanItems.IpsgExVlanList, ['ipsgexvlannum'], name, value)




            class SnoopvlanItems(Entity):
                """
                
                
                .. attribute:: snoopvlan_list
                
                	
                	**type**\: list of  		 :py:class:`SnoopVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopvlanItems.SnoopVlanList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.SnoopvlanItems, self).__init__()

                    self.yang_name = "snoopvlan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SnoopVlan-list", ("snoopvlan_list", System.DhcpItems.InstItems.SnoopvlanItems.SnoopVlanList))])
                    self._leafs = OrderedDict()

                    self.snoopvlan_list = YList(self)
                    self._segment_path = lambda: "snoopvlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.SnoopvlanItems, [], name, value)


                class SnoopVlanList(Entity):
                    """
                    
                    
                    .. attribute:: snoopvlannum  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.SnoopvlanItems.SnoopVlanList, self).__init__()

                        self.yang_name = "SnoopVlan-list"
                        self.yang_parent_name = "snoopvlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['snoopvlannum']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('snoopvlannum', (YLeaf(YType.uint16, 'snoopVlanNum'), ['int'])),
                        ])
                        self.snoopvlannum = None
                        self._segment_path = lambda: "SnoopVlan-list" + "[snoopVlanNum='" + str(self.snoopvlannum) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/snoopvlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.SnoopvlanItems.SnoopVlanList, ['snoopvlannum'], name, value)




            class SnoopifItems(Entity):
                """
                
                
                .. attribute:: snoopif_list
                
                	
                	**type**\: list of  		 :py:class:`SnoopIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DhcpItems.InstItems.SnoopifItems, self).__init__()

                    self.yang_name = "snoopif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SnoopIf-list", ("snoopif_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList))])
                    self._leafs = OrderedDict()

                    self.snoopif_list = YList(self)
                    self._segment_path = lambda: "snoopif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems, [], name, value)


                class SnoopIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: trustenabled
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: complex_items
                    
                    	
                    	**type**\:  :py:class:`ComplexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: text_items
                    
                    	
                    	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint64_items
                    
                    	
                    	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint32_items
                    
                    	
                    	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: uint16_items
                    
                    	
                    	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items>`
                    
                    	**config**\: False
                    
                    .. attribute:: ubyte_items
                    
                    	
                    	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtvrfMbrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList, self).__init__()

                        self.yang_name = "SnoopIf-list"
                        self.yang_parent_name = "snoopif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("complex-items", ("complex_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems)), ("ip-items", ("ip_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('trustenabled', (YLeaf(YType.boolean, 'trustEnabled'), ['bool'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.trustenabled = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.complex_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems()
                        self.complex_items.parent = self
                        self._children_name_map["complex_items"] = "complex-items"

                        self.text_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems()
                        self.text_items.parent = self
                        self._children_name_map["text_items"] = "text-items"

                        self.ip_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"

                        self.uint64_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items()
                        self.uint64_items.parent = self
                        self._children_name_map["uint64_items"] = "uint64-items"

                        self.uint32_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items()
                        self.uint32_items.parent = self
                        self._children_name_map["uint32_items"] = "uint32-items"

                        self.uint16_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items()
                        self.uint16_items.parent = self
                        self._children_name_map["uint16_items"] = "uint16-items"

                        self.ubyte_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems()
                        self.ubyte_items.parent = self
                        self._children_name_map["ubyte_items"] = "ubyte-items"

                        self.rtvrfmbr_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "SnoopIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/dhcp-items/inst-items/snoopif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList, ['id', 'trustenabled', 'name', 'descr', 'adminst'], name, value)


                    class ComplexItems(Entity):
                        """
                        
                        
                        .. attribute:: complex_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ComplexList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems, self).__init__()

                            self.yang_name = "complex-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Complex-list", ("complex_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList))])
                            self._leafs = OrderedDict()

                            self.complex_list = YList(self)
                            self._segment_path = lambda: "complex-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems, [], name, value)


                        class ComplexList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: id  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac_items
                            
                            	
                            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint64_items
                            
                            	
                            	**type**\:  :py:class:`Uint64Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint32_items
                            
                            	
                            	**type**\:  :py:class:`Uint32Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: uint16_items
                            
                            	
                            	**type**\:  :py:class:`Uint16Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items>`
                            
                            	**config**\: False
                            
                            .. attribute:: ubyte_items
                            
                            	
                            	**type**\:  :py:class:`UbyteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: text_items
                            
                            	
                            	**type**\:  :py:class:`TextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList, self).__init__()

                                self.yang_name = "Complex-list"
                                self.yang_parent_name = "complex-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems)), ("mac-items", ("mac_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems)), ("uint64-items", ("uint64_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items)), ("uint32-items", ("uint32_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items)), ("uint16-items", ("uint16_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items)), ("ubyte-items", ("ubyte_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems)), ("text-items", ("text_items", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems))])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.code = None
                                self.id = None

                                self.ip_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"

                                self.mac_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems()
                                self.mac_items.parent = self
                                self._children_name_map["mac_items"] = "mac-items"

                                self.uint64_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items()
                                self.uint64_items.parent = self
                                self._children_name_map["uint64_items"] = "uint64-items"

                                self.uint32_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items()
                                self.uint32_items.parent = self
                                self._children_name_map["uint32_items"] = "uint32-items"

                                self.uint16_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items()
                                self.uint16_items.parent = self
                                self._children_name_map["uint16_items"] = "uint16-items"

                                self.ubyte_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems()
                                self.ubyte_items.parent = self
                                self._children_name_map["ubyte_items"] = "ubyte-items"

                                self.text_items = System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems()
                                self.text_items.parent = self
                                self._children_name_map["text_items"] = "text-items"
                                self._segment_path = lambda: "Complex-list" + "[code='" + str(self.code) + "']" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList, ['code', 'id'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems.IpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems.IpList))])
                                    self._leafs = OrderedDict()

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems, [], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems.IpList, self).__init__()

                                        self.yang_name = "Ip-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.IpItems.IpList, ['code', 'value'], name, value)




                            class MacItems(Entity):
                                """
                                
                                
                                .. attribute:: mac_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems.MacList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems, self).__init__()

                                    self.yang_name = "mac-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems.MacList))])
                                    self._leafs = OrderedDict()

                                    self.mac_list = YList(self)
                                    self._segment_path = lambda: "mac-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems, [], name, value)


                                class MacList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems.MacList, self).__init__()

                                        self.yang_name = "Mac-list"
                                        self.yang_parent_name = "mac-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.MacItems.MacList, ['code', 'value'], name, value)




                            class Uint64Items(Entity):
                                """
                                
                                
                                .. attribute:: uint64_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items.UInt64List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items, self).__init__()

                                    self.yang_name = "uint64-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items.UInt64List))])
                                    self._leafs = OrderedDict()

                                    self.uint64_list = YList(self)
                                    self._segment_path = lambda: "uint64-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items, [], name, value)


                                class UInt64List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, self).__init__()

                                        self.yang_name = "UInt64-list"
                                        self.yang_parent_name = "uint64-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                            class Uint32Items(Entity):
                                """
                                
                                
                                .. attribute:: uint32_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items.UInt32List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items, self).__init__()

                                    self.yang_name = "uint32-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items.UInt32List))])
                                    self._leafs = OrderedDict()

                                    self.uint32_list = YList(self)
                                    self._segment_path = lambda: "uint32-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items, [], name, value)


                                class UInt32List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, self).__init__()

                                        self.yang_name = "UInt32-list"
                                        self.yang_parent_name = "uint32-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                            class Uint16Items(Entity):
                                """
                                
                                
                                .. attribute:: uint16_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items.UInt16List>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items, self).__init__()

                                    self.yang_name = "uint16-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items.UInt16List))])
                                    self._leafs = OrderedDict()

                                    self.uint16_list = YList(self)
                                    self._segment_path = lambda: "uint16-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items, [], name, value)


                                class UInt16List(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, self).__init__()

                                        self.yang_name = "UInt16-list"
                                        self.yang_parent_name = "uint16-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                            class UbyteItems(Entity):
                                """
                                
                                
                                .. attribute:: ubyte_list
                                
                                	
                                	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems.UByteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems, self).__init__()

                                    self.yang_name = "ubyte-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems.UByteList))])
                                    self._leafs = OrderedDict()

                                    self.ubyte_list = YList(self)
                                    self._segment_path = lambda: "ubyte-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems, [], name, value)


                                class UByteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems.UByteList, self).__init__()

                                        self.yang_name = "UByte-list"
                                        self.yang_parent_name = "ubyte-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code','value']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.UbyteItems.UByteList, ['code', 'value'], name, value)




                            class TextItems(Entity):
                                """
                                
                                
                                .. attribute:: text_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems.TextList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems, self).__init__()

                                    self.yang_name = "text-items"
                                    self.yang_parent_name = "Complex-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems.TextList))])
                                    self._leafs = OrderedDict()

                                    self.text_list = YList(self)
                                    self._segment_path = lambda: "text-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems, [], name, value)


                                class TextList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: code  (key)
                                    
                                    	TBD
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems.TextList, self).__init__()

                                        self.yang_name = "Text-list"
                                        self.yang_parent_name = "text-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['code']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                            ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                        ])
                                        self.code = None
                                        self.value = None
                                        self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.ComplexItems.ComplexList.TextItems.TextList, ['code', 'value'], name, value)






                    class TextItems(Entity):
                        """
                        
                        
                        .. attribute:: text_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TextList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems.TextList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems, self).__init__()

                            self.yang_name = "text-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Text-list", ("text_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems.TextList))])
                            self._leafs = OrderedDict()

                            self.text_list = YList(self)
                            self._segment_path = lambda: "text-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems, [], name, value)


                        class TextList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems.TextList, self).__init__()

                                self.yang_name = "Text-list"
                                self.yang_parent_name = "text-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Text-list" + "[code='" + str(self.code) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.TextItems.TextList, ['code', 'value'], name, value)




                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ip_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems.IpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ip-list", ("ip_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems.IpList))])
                            self._leafs = OrderedDict()

                            self.ip_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems, [], name, value)


                        class IpList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems.IpList, self).__init__()

                                self.yang_name = "Ip-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str','str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Ip-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.IpItems.IpList, ['code', 'value'], name, value)




                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: mac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems.MacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Mac-list", ("mac_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems.MacList))])
                            self._leafs = OrderedDict()

                            self.mac_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems, [], name, value)


                        class MacList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems.MacList, self).__init__()

                                self.yang_name = "Mac-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "Mac-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.MacItems.MacList, ['code', 'value'], name, value)




                    class Uint64Items(Entity):
                        """
                        
                        
                        .. attribute:: uint64_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt64List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items.UInt64List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items, self).__init__()

                            self.yang_name = "uint64-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt64-list", ("uint64_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items.UInt64List))])
                            self._leafs = OrderedDict()

                            self.uint64_list = YList(self)
                            self._segment_path = lambda: "uint64-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items, [], name, value)


                        class UInt64List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items.UInt64List, self).__init__()

                                self.yang_name = "UInt64-list"
                                self.yang_parent_name = "uint64-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint64, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt64-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint64Items.UInt64List, ['code', 'value'], name, value)




                    class Uint32Items(Entity):
                        """
                        
                        
                        .. attribute:: uint32_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt32List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items.UInt32List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items, self).__init__()

                            self.yang_name = "uint32-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt32-list", ("uint32_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items.UInt32List))])
                            self._leafs = OrderedDict()

                            self.uint32_list = YList(self)
                            self._segment_path = lambda: "uint32-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items, [], name, value)


                        class UInt32List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items.UInt32List, self).__init__()

                                self.yang_name = "UInt32-list"
                                self.yang_parent_name = "uint32-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint32, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt32-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint32Items.UInt32List, ['code', 'value'], name, value)




                    class Uint16Items(Entity):
                        """
                        
                        
                        .. attribute:: uint16_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UInt16List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items.UInt16List>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items, self).__init__()

                            self.yang_name = "uint16-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UInt16-list", ("uint16_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items.UInt16List))])
                            self._leafs = OrderedDict()

                            self.uint16_list = YList(self)
                            self._segment_path = lambda: "uint16-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items, [], name, value)


                        class UInt16List(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items.UInt16List, self).__init__()

                                self.yang_name = "UInt16-list"
                                self.yang_parent_name = "uint16-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UInt16-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.Uint16Items.UInt16List, ['code', 'value'], name, value)




                    class UbyteItems(Entity):
                        """
                        
                        
                        .. attribute:: ubyte_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UByteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems.UByteList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems, self).__init__()

                            self.yang_name = "ubyte-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UByte-list", ("ubyte_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems.UByteList))])
                            self._leafs = OrderedDict()

                            self.ubyte_list = YList(self)
                            self._segment_path = lambda: "ubyte-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems, [], name, value)


                        class UByteList(Entity):
                            """
                            
                            
                            .. attribute:: code  (key)
                            
                            	TBD
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: value  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems.UByteList, self).__init__()

                                self.yang_name = "UByte-list"
                                self.yang_parent_name = "ubyte-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['code','value']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('code', (YLeaf(YType.uint16, 'code'), ['int'])),
                                    ('value', (YLeaf(YType.uint8, 'value'), ['int'])),
                                ])
                                self.code = None
                                self.value = None
                                self._segment_path = lambda: "UByte-list" + "[code='" + str(self.code) + "']" + "[value='" + str(self.value) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.UbyteItems.UByteList, ['code', 'value'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "SnoopIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DhcpItems.InstItems.SnoopifItems.SnoopIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class DnsItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: prof_items
        
        	
        	**type**\:  :py:class:`ProfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.DnsItems, self).__init__()

            self.yang_name = "dns-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("prof-items", ("prof_items", System.DnsItems.ProfItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.prof_items = System.DnsItems.ProfItems()
            self.prof_items.parent = self
            self._children_name_map["prof_items"] = "prof-items"
            self._segment_path = lambda: "dns-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.DnsItems, ['name', 'adminst', 'operst'], name, value)


        class ProfItems(Entity):
            """
            
            
            .. attribute:: prof_list
            
            	
            	**type**\: list of  		 :py:class:`ProfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.DnsItems.ProfItems, self).__init__()

                self.yang_name = "prof-items"
                self.yang_parent_name = "dns-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Prof-list", ("prof_list", System.DnsItems.ProfItems.ProfList))])
                self._leafs = OrderedDict()

                self.prof_list = YList(self)
                self._segment_path = lambda: "prof-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/dns-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.DnsItems.ProfItems, [], name, value)


            class ProfList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: prov_items
                
                	
                	**type**\:  :py:class:`ProvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.ProvItems>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems>`
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.DomItems>`
                
                .. attribute:: domext_items
                
                	
                	**type**\:  :py:class:`DomextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.DomextItems>`
                
                .. attribute:: host_items
                
                	
                	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.HostItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DnsItems.ProfItems.ProfList, self).__init__()

                    self.yang_name = "Prof-list"
                    self.yang_parent_name = "prof-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("prov-items", ("prov_items", System.DnsItems.ProfItems.ProfList.ProvItems)), ("vrf-items", ("vrf_items", System.DnsItems.ProfItems.ProfList.VrfItems)), ("dom-items", ("dom_items", System.DnsItems.ProfItems.ProfList.DomItems)), ("domext-items", ("domext_items", System.DnsItems.ProfItems.ProfList.DomextItems)), ("host-items", ("host_items", System.DnsItems.ProfItems.ProfList.HostItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.prov_items = System.DnsItems.ProfItems.ProfList.ProvItems()
                    self.prov_items.parent = self
                    self._children_name_map["prov_items"] = "prov-items"

                    self.vrf_items = System.DnsItems.ProfItems.ProfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.dom_items = System.DnsItems.ProfItems.ProfList.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"

                    self.domext_items = System.DnsItems.ProfItems.ProfList.DomextItems()
                    self.domext_items.parent = self
                    self._children_name_map["domext_items"] = "domext-items"

                    self.host_items = System.DnsItems.ProfItems.ProfList.HostItems()
                    self.host_items.parent = self
                    self._children_name_map["host_items"] = "host-items"
                    self._segment_path = lambda: "Prof-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/dns-items/prof-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DnsItems.ProfItems.ProfList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


                class ProvItems(Entity):
                    """
                    
                    
                    .. attribute:: provider_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.ProvItems.ProviderList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DnsItems.ProfItems.ProfList.ProvItems, self).__init__()

                        self.yang_name = "prov-items"
                        self.yang_parent_name = "Prof-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Provider-list", ("provider_list", System.DnsItems.ProfItems.ProfList.ProvItems.ProviderList))])
                        self._leafs = OrderedDict()

                        self.provider_list = YList(self)
                        self._segment_path = lambda: "prov-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DnsItems.ProfItems.ProfList.ProvItems, [], name, value)


                    class ProviderList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DnsItems.ProfItems.ProfList.ProvItems.ProviderList, self).__init__()

                            self.yang_name = "Provider-list"
                            self.yang_parent_name = "prov-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.addr = None
                            self.name = None
                            self._segment_path = lambda: "Provider-list" + "[addr='" + str(self.addr) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DnsItems.ProfItems.ProfList.ProvItems.ProviderList, ['addr', 'name'], name, value)




                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DnsItems.ProfItems.ProfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "Prof-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList))])
                        self._leafs = OrderedDict()

                        self.vrf_list = YList(self)
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems, [], name, value)


                    class VrfList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Vrf Name
                        	**type**\: str
                        
                        .. attribute:: prov_items
                        
                        	
                        	**type**\:  :py:class:`ProvItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems>`
                        
                        .. attribute:: dom_items
                        
                        	
                        	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomItems>`
                        
                        .. attribute:: domext_items
                        
                        	
                        	**type**\:  :py:class:`DomextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList, self).__init__()

                            self.yang_name = "Vrf-list"
                            self.yang_parent_name = "vrf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("prov-items", ("prov_items", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems)), ("dom-items", ("dom_items", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomItems)), ("domext-items", ("domext_items", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.prov_items = System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems()
                            self.prov_items.parent = self
                            self._children_name_map["prov_items"] = "prov-items"

                            self.dom_items = System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomItems()
                            self.dom_items.parent = self
                            self._children_name_map["dom_items"] = "dom-items"

                            self.domext_items = System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems()
                            self.domext_items.parent = self
                            self._children_name_map["domext_items"] = "domext-items"
                            self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList, ['name'], name, value)


                        class ProvItems(Entity):
                            """
                            
                            
                            .. attribute:: provider_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems.ProviderList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems, self).__init__()

                                self.yang_name = "prov-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Provider-list", ("provider_list", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems.ProviderList))])
                                self._leafs = OrderedDict()

                                self.provider_list = YList(self)
                                self._segment_path = lambda: "prov-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems, [], name, value)


                            class ProviderList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems.ProviderList, self).__init__()

                                    self.yang_name = "Provider-list"
                                    self.yang_parent_name = "prov-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self._segment_path = lambda: "Provider-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.ProvItems.ProviderList, ['addr', 'name'], name, value)




                        class DomItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomItems, self).__init__()

                                self.yang_name = "dom-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self._segment_path = lambda: "dom-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomItems, ['name', 'descr'], name, value)



                        class DomextItems(Entity):
                            """
                            
                            
                            .. attribute:: domext_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DomExtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems.DomExtList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems, self).__init__()

                                self.yang_name = "domext-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("DomExt-list", ("domext_list", System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems.DomExtList))])
                                self._leafs = OrderedDict()

                                self.domext_list = YList(self)
                                self._segment_path = lambda: "domext-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems, [], name, value)


                            class DomExtList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems.DomExtList, self).__init__()

                                    self.yang_name = "DomExt-list"
                                    self.yang_parent_name = "domext-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "DomExt-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DnsItems.ProfItems.ProfList.VrfItems.VrfList.DomextItems.DomExtList, ['name', 'descr'], name, value)






                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DnsItems.ProfItems.ProfList.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "Prof-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.descr = None
                        self._segment_path = lambda: "dom-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DnsItems.ProfItems.ProfList.DomItems, ['name', 'descr'], name, value)



                class DomextItems(Entity):
                    """
                    
                    
                    .. attribute:: domext_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomExtList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.DomextItems.DomExtList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DnsItems.ProfItems.ProfList.DomextItems, self).__init__()

                        self.yang_name = "domext-items"
                        self.yang_parent_name = "Prof-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DomExt-list", ("domext_list", System.DnsItems.ProfItems.ProfList.DomextItems.DomExtList))])
                        self._leafs = OrderedDict()

                        self.domext_list = YList(self)
                        self._segment_path = lambda: "domext-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DnsItems.ProfItems.ProfList.DomextItems, [], name, value)


                    class DomExtList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DnsItems.ProfItems.ProfList.DomextItems.DomExtList, self).__init__()

                            self.yang_name = "DomExt-list"
                            self.yang_parent_name = "domext-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self._segment_path = lambda: "DomExt-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DnsItems.ProfItems.ProfList.DomextItems.DomExtList, ['name', 'descr'], name, value)




                class HostItems(Entity):
                    """
                    
                    
                    .. attribute:: host_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HostList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.HostItems.HostList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DnsItems.ProfItems.ProfList.HostItems, self).__init__()

                        self.yang_name = "host-items"
                        self.yang_parent_name = "Prof-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Host-list", ("host_list", System.DnsItems.ProfItems.ProfList.HostItems.HostList))])
                        self._leafs = OrderedDict()

                        self.host_list = YList(self)
                        self._segment_path = lambda: "host-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DnsItems.ProfItems.ProfList.HostItems, [], name, value)


                    class HostList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ipv4host_items
                        
                        	
                        	**type**\:  :py:class:`Ipv4hostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv4hostItems>`
                        
                        .. attribute:: ipv6host_items
                        
                        	
                        	**type**\:  :py:class:`Ipv6hostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv6hostItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DnsItems.ProfItems.ProfList.HostItems.HostList, self).__init__()

                            self.yang_name = "Host-list"
                            self.yang_parent_name = "host-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("ipv4host-items", ("ipv4host_items", System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv4hostItems)), ("ipv6host-items", ("ipv6host_items", System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv6hostItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.ipv4host_items = System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv4hostItems()
                            self.ipv4host_items.parent = self
                            self._children_name_map["ipv4host_items"] = "ipv4host-items"

                            self.ipv6host_items = System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv6hostItems()
                            self.ipv6host_items.parent = self
                            self._children_name_map["ipv6host_items"] = "ipv6host-items"
                            self._segment_path = lambda: "Host-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DnsItems.ProfItems.ProfList.HostItems.HostList, ['name'], name, value)


                        class Ipv4hostItems(Entity):
                            """
                            
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv4hostItems, self).__init__()

                                self.yang_name = "ipv4host-items"
                                self.yang_parent_name = "Host-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                ])
                                self.addr = None
                                self._segment_path = lambda: "ipv4host-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv4hostItems, ['addr'], name, value)



                        class Ipv6hostItems(Entity):
                            """
                            
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv6hostItems, self).__init__()

                                self.yang_name = "ipv6host-items"
                                self.yang_parent_name = "Host-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                ])
                                self.addr = None
                                self._segment_path = lambda: "ipv6host-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DnsItems.ProfItems.ProfList.HostItems.HostList.Ipv6hostItems, ['addr'], name, value)








    class DecommissionItems(Entity):
        """
        
        
        .. attribute:: nodedn
        
        	TBD
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: wipe
        
        	
        	**type**\: bool
        
        	**config**\: False
        
        .. attribute:: targetid
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: tickcount
        
        	TBD
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.DecommissionItems, self).__init__()

            self.yang_name = "decommission-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('nodedn', (YLeaf(YType.str, 'nodeDn'), ['str'])),
                ('wipe', (YLeaf(YType.boolean, 'wipe'), ['bool'])),
                ('targetid', (YLeaf(YType.uint32, 'targetId'), ['int'])),
                ('tickcount', (YLeaf(YType.uint32, 'tickCount'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
            ])
            self.nodedn = None
            self.wipe = None
            self.targetid = None
            self.tickcount = None
            self.name = None
            self.descr = None
            self._segment_path = lambda: "decommission-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.DecommissionItems, ['nodedn', 'wipe', 'targetid', 'tickcount', 'name', 'descr'], name, value)



    class InbItems(Entity):
        """
        
        
        .. attribute:: inbandif_list
        
        	
        	**type**\: list of  		 :py:class:`InbandIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.InbItems, self).__init__()

            self.yang_name = "inb-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("InbandIf-list", ("inbandif_list", System.InbItems.InbandIfList))])
            self._leafs = OrderedDict()

            self.inbandif_list = YList(self)
            self._segment_path = lambda: "inb-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.InbItems, [], name, value)


        class InbandIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..1024
            
            .. attribute:: dep_items
            
            	
            	**type**\:  :py:class:`DepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.DepItems>`
            
            .. attribute:: vnode_items
            
            	
            	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems>`
            
            .. attribute:: idep_items
            
            	
            	**type**\:  :py:class:`IdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems>`
            
            .. attribute:: odev_items
            
            	
            	**type**\:  :py:class:`OdevItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems>`
            
            .. attribute:: rsinbandconf_items
            
            	
            	**type**\:  :py:class:`RsinbandConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.RsinbandConfItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.RtvrfMbrItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.RtnwPathToIfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.InbItems.InbandIfList, self).__init__()

                self.yang_name = "InbandIf-list"
                self.yang_parent_name = "inb-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dep-items", ("dep_items", System.InbItems.InbandIfList.DepItems)), ("vnode-items", ("vnode_items", System.InbItems.InbandIfList.VnodeItems)), ("idep-items", ("idep_items", System.InbItems.InbandIfList.IdepItems)), ("odev-items", ("odev_items", System.InbItems.InbandIfList.OdevItems)), ("rsinbandConf-items", ("rsinbandconf_items", System.InbItems.InbandIfList.RsinbandConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.InbItems.InbandIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.InbItems.InbandIfList.RtnwPathToIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.name = None
                self.descr = None

                self.dep_items = System.InbItems.InbandIfList.DepItems()
                self.dep_items.parent = self
                self._children_name_map["dep_items"] = "dep-items"

                self.vnode_items = System.InbItems.InbandIfList.VnodeItems()
                self.vnode_items.parent = self
                self._children_name_map["vnode_items"] = "vnode-items"

                self.idep_items = System.InbItems.InbandIfList.IdepItems()
                self.idep_items.parent = self
                self._children_name_map["idep_items"] = "idep-items"

                self.odev_items = System.InbItems.InbandIfList.OdevItems()
                self.odev_items.parent = self
                self._children_name_map["odev_items"] = "odev-items"

                self.rsinbandconf_items = System.InbItems.InbandIfList.RsinbandConfItems()
                self.rsinbandconf_items.parent = self
                self._children_name_map["rsinbandconf_items"] = "rsinbandConf-items"

                self.rtvrfmbr_items = System.InbItems.InbandIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.InbItems.InbandIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                self._segment_path = lambda: "InbandIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/inb-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.InbItems.InbandIfList, ['id', 'name', 'descr'], name, value)


            class DepItems(Entity):
                """
                
                
                .. attribute:: dep_list
                
                	
                	**type**\: list of  		 :py:class:`DEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.DepItems.DEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.DepItems, self).__init__()

                    self.yang_name = "dep-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DEp-list", ("dep_list", System.InbItems.InbandIfList.DepItems.DEpList))])
                    self._leafs = OrderedDict()

                    self.dep_list = YList(self)
                    self._segment_path = lambda: "dep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.DepItems, [], name, value)


                class DEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InbItems.InbandIfList.DepItems.DEpList, self).__init__()

                        self.yang_name = "DEp-list"
                        self.yang_parent_name = "dep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.name = None
                        self.id = None
                        self.uuid = None
                        self._segment_path = lambda: "DEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InbItems.InbandIfList.DepItems.DEpList, ['mac', 'encap', 'name', 'id', 'uuid'], name, value)




            class VnodeItems(Entity):
                """
                
                
                .. attribute:: vnode_list
                
                	
                	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems.VNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.VnodeItems, self).__init__()

                    self.yang_name = "vnode-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.InbItems.InbandIfList.VnodeItems.VNodeList))])
                    self._leafs = OrderedDict()

                    self.vnode_list = YList(self)
                    self._segment_path = lambda: "vnode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.VnodeItems, [], name, value)


                class VNodeList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvvnode_items
                    
                    	
                    	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rslnode_items
                    
                    	
                    	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InbItems.InbandIfList.VnodeItems.VNodeList, self).__init__()

                        self.yang_name = "VNode-list"
                        self.yang_parent_name = "vnode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.name = None
                        self.id = None

                        self.rtfvvnode_items = System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems()
                        self.rtfvvnode_items.parent = self
                        self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                        self.rslnode_items = System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems()
                        self.rslnode_items.parent = self
                        self._children_name_map["rslnode_items"] = "rslNode-items"
                        self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InbItems.InbandIfList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                    class RtfvVNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvvnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                            self.yang_name = "rtfvVNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                            self._leafs = OrderedDict()

                            self.rtfvvnode_list = YList(self)
                            self._segment_path = lambda: "rtfvVNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                        class RtFvVNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                self.yang_name = "RtFvVNode-list"
                                self.yang_parent_name = "rtfvVNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                    class RslNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rslnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                            self.yang_name = "rslNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                            self._leafs = OrderedDict()

                            self.rslnode_list = YList(self)
                            self._segment_path = lambda: "rslNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                        class RsLNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                self.yang_name = "RsLNode-list"
                                self.yang_parent_name = "rslNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






            class IdepItems(Entity):
                """
                
                
                .. attribute:: idep_list
                
                	
                	**type**\: list of  		 :py:class:`IDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.IdepItems, self).__init__()

                    self.yang_name = "idep-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IDEp-list", ("idep_list", System.InbItems.InbandIfList.IdepItems.IDEpList))])
                    self._leafs = OrderedDict()

                    self.idep_list = YList(self)
                    self._segment_path = lambda: "idep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.IdepItems, [], name, value)


                class IDEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: eppdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: compvmdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: comphvdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: epgid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ephostaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hypervisorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: containername
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: eppdownloadhint
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEppDownloadHint <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEppDownloadHint>`
                    
                    	**config**\: False
                    
                    .. attribute:: handle
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: insttype
                    
                    	TBD
                    	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: idepcntr_items
                    
                    	
                    	**type**\:  :py:class:`IdepcntrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vdep_items
                    
                    	
                    	**type**\:  :py:class:`VdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InbItems.InbandIfList.IdepItems.IDEpList, self).__init__()

                        self.yang_name = "IDEp-list"
                        self.yang_parent_name = "idep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([("idepcntr-items", ("idepcntr_items", System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems)), ("vdep-items", ("vdep_items", System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('eppdn', (YLeaf(YType.str, 'eppdn'), ['str'])),
                            ('compvmdn', (YLeaf(YType.str, 'compVmDn'), ['str'])),
                            ('comphvdn', (YLeaf(YType.str, 'compHvDn'), ['str'])),
                            ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                            ('ephostaddr', (YLeaf(YType.str, 'epHostAddr'), ['str'])),
                            ('hypervisorname', (YLeaf(YType.str, 'hypervisorName'), ['str'])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('containername', (YLeaf(YType.str, 'containerName'), ['str'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('eppdownloadhint', (YLeaf(YType.enumeration, 'eppDownloadHint'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEppDownloadHint', '')])),
                            ('handle', (YLeaf(YType.uint64, 'handle'), ['int'])),
                            ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.eppdn = None
                        self.compvmdn = None
                        self.comphvdn = None
                        self.epgid = None
                        self.ephostaddr = None
                        self.hypervisorname = None
                        self.portid = None
                        self.containername = None
                        self.transitionstatus = None
                        self.eppdownloadhint = None
                        self.handle = None
                        self.insttype = None
                        self.pcifid = None
                        self.state = None
                        self.name = None
                        self.id = None
                        self.uuid = None

                        self.idepcntr_items = System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems()
                        self.idepcntr_items.parent = self
                        self._children_name_map["idepcntr_items"] = "idepcntr-items"

                        self.vdep_items = System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems()
                        self.vdep_items.parent = self
                        self._children_name_map["vdep_items"] = "vdep-items"
                        self._segment_path = lambda: "IDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList, ['mac', 'encap', 'eppdn', 'compvmdn', 'comphvdn', 'epgid', 'ephostaddr', 'hypervisorname', 'portid', 'containername', 'transitionstatus', 'eppdownloadhint', 'handle', 'insttype', 'pcifid', 'state', 'name', 'id', 'uuid'], name, value)


                    class IdepcntrItems(Entity):
                        """
                        
                        
                        .. attribute:: idepcntr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IDEpCntrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems, self).__init__()

                            self.yang_name = "idepcntr-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IDEpCntr-list", ("idepcntr_list", System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList))])
                            self._leafs = OrderedDict()

                            self.idepcntr_list = YList(self)
                            self._segment_path = lambda: "idepcntr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems, [], name, value)


                        class IDEpCntrList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: direction
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDirection>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, self).__init__()

                                self.yang_name = "IDEpCntr-list"
                                self.yang_parent_name = "idepcntr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDirection', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.direction = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "IDEpCntr-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, ['mac', 'encap', 'direction', 'name', 'id'], name, value)




                    class VdepItems(Entity):
                        """
                        
                        
                        .. attribute:: vdep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems, self).__init__()

                            self.yang_name = "vdep-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VDEp-list", ("vdep_list", System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList))])
                            self._leafs = OrderedDict()

                            self.vdep_list = YList(self)
                            self._segment_path = lambda: "vdep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems, [], name, value)


                        class VDEpList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: brifid  (key)
                            
                            	TBD
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: epgid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: insttype
                            
                            	TBD
                            	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: uuid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsvnode_items
                            
                            	
                            	**type**\:  :py:class:`RsvNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList, self).__init__()

                                self.yang_name = "VDEp-list"
                                self.yang_parent_name = "vdep-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap','brifid']
                                self._child_classes = OrderedDict([("rsvNode-items", ("rsvnode_items", System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems))])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('brifid', (YLeaf(YType.str, 'brIfId'), ['str'])),
                                    ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                                    ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                    ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.brifid = None
                                self.epgid = None
                                self.insttype = None
                                self.name = None
                                self.id = None
                                self.uuid = None

                                self.rsvnode_items = System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems()
                                self.rsvnode_items.parent = self
                                self._children_name_map["rsvnode_items"] = "rsvNode-items"
                                self._segment_path = lambda: "VDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']" + "[brIfId='" + str(self.brifid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList, ['mac', 'encap', 'brifid', 'epgid', 'insttype', 'name', 'id', 'uuid'], name, value)


                            class RsvNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, self).__init__()

                                    self.yang_name = "rsvNode-items"
                                    self.yang_parent_name = "VDEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsVNode-list", ("rsvnode_list", System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rsvnode_list = YList(self)
                                    self._segment_path = lambda: "rsvNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, [], name, value)


                                class RsVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, self).__init__()

                                        self.yang_name = "RsVNode-list"
                                        self.yang_parent_name = "rsvNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.InbItems.InbandIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, ['tdn', 'tcl'], name, value)








            class OdevItems(Entity):
                """
                
                
                .. attribute:: odev_list
                
                	
                	**type**\: list of  		 :py:class:`ODevList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.OdevItems, self).__init__()

                    self.yang_name = "odev-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ODev-list", ("odev_list", System.InbItems.InbandIfList.OdevItems.ODevList))])
                    self._leafs = OrderedDict()

                    self.odev_list = YList(self)
                    self._segment_path = lambda: "odev-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.OdevItems, [], name, value)


                class ODevList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ipaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lastnumhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: hbstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexHbStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexHbStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Status
                    	**type**\:  :py:class:`OpflexDevOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDevOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: maxmisshb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompHostState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompHostState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: odevcap_items
                    
                    	
                    	**type**\:  :py:class:`OdevcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.OdevcapItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vnode_items
                    
                    	
                    	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: opnic_items
                    
                    	
                    	**type**\:  :py:class:`OpnicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InbItems.InbandIfList.OdevItems.ODevList, self).__init__()

                        self.yang_name = "ODev-list"
                        self.yang_parent_name = "odev-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("odevcap-items", ("odevcap_items", System.InbItems.InbandIfList.OdevItems.ODevList.OdevcapItems)), ("vnode-items", ("vnode_items", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems)), ("opnic-items", ("opnic_items", System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('hostname', (YLeaf(YType.str, 'hostName'), ['str'])),
                            ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str'])),
                            ('numhb', (YLeaf(YType.uint32, 'numHB'), ['int'])),
                            ('lastnumhb', (YLeaf(YType.uint32, 'lastNumHB'), ['int'])),
                            ('hbstatus', (YLeaf(YType.enumeration, 'hbStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexHbStatus', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDevOperState', '')])),
                            ('maxmisshb', (YLeaf(YType.uint32, 'maxMissHb'), ['int'])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompHostState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.encap = None
                        self.hostname = None
                        self.ipaddr = None
                        self.numhb = None
                        self.lastnumhb = None
                        self.hbstatus = None
                        self.operst = None
                        self.maxmisshb = None
                        self.pcifid = None
                        self.transitionstatus = None
                        self.portid = None
                        self.state = None
                        self.name = None
                        self.id = None

                        self.odevcap_items = System.InbItems.InbandIfList.OdevItems.ODevList.OdevcapItems()
                        self.odevcap_items.parent = self
                        self._children_name_map["odevcap_items"] = "odevcap-items"

                        self.vnode_items = System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems()
                        self.vnode_items.parent = self
                        self._children_name_map["vnode_items"] = "vnode-items"

                        self.opnic_items = System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems()
                        self.opnic_items.parent = self
                        self._children_name_map["opnic_items"] = "opnic-items"
                        self._segment_path = lambda: "ODev-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList, ['devid', 'devtype', 'lnodedn', 'encap', 'hostname', 'ipaddr', 'numhb', 'lastnumhb', 'hbstatus', 'operst', 'maxmisshb', 'pcifid', 'transitionstatus', 'portid', 'state', 'name', 'id'], name, value)


                    class OdevcapItems(Entity):
                        """
                        
                        
                        .. attribute:: version
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: devid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lnodedn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	Id
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.OdevItems.ODevList.OdevcapItems, self).__init__()

                            self.yang_name = "odevcap-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ])
                            self.version = None
                            self.devid = None
                            self.lnodedn = None
                            self.name = None
                            self.id = None
                            self._segment_path = lambda: "odevcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.OdevcapItems, ['version', 'devid', 'lnodedn', 'name', 'id'], name, value)



                    class VnodeItems(Entity):
                        """
                        
                        
                        .. attribute:: vnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems, self).__init__()

                            self.yang_name = "vnode-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList))])
                            self._leafs = OrderedDict()

                            self.vnode_list = YList(self)
                            self._segment_path = lambda: "vnode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems, [], name, value)


                        class VNodeList(Entity):
                            """
                            
                            
                            .. attribute:: devid  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: devtype
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                            
                            	**config**\: False
                            
                            .. attribute:: lnodedn
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rtfvvnode_items
                            
                            	
                            	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rslnode_items
                            
                            	
                            	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList, self).__init__()

                                self.yang_name = "VNode-list"
                                self.yang_parent_name = "vnode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['devid']
                                self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems))])
                                self._leafs = OrderedDict([
                                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                    ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                                    ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.devid = None
                                self.devtype = None
                                self.lnodedn = None
                                self.name = None
                                self.id = None

                                self.rtfvvnode_items = System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems()
                                self.rtfvvnode_items.parent = self
                                self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                                self.rslnode_items = System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems()
                                self.rslnode_items.parent = self
                                self._children_name_map["rslnode_items"] = "rslNode-items"
                                self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                            class RtfvVNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rtfvvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                                    self.yang_name = "rtfvVNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rtfvvnode_list = YList(self)
                                    self._segment_path = lambda: "rtfvVNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                                class RtFvVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                        self.yang_name = "RtFvVNode-list"
                                        self.yang_parent_name = "rtfvVNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                            class RslNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rslnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                                    self.yang_name = "rslNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rslnode_list = YList(self)
                                    self._segment_path = lambda: "rslNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                                class RsLNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                        self.yang_name = "RsLNode-list"
                                        self.yang_parent_name = "rslNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






                    class OpnicItems(Entity):
                        """
                        
                        
                        .. attribute:: opnic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OPNicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems.OPNicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems, self).__init__()

                            self.yang_name = "opnic-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OPNic-list", ("opnic_list", System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems.OPNicList))])
                            self._leafs = OrderedDict()

                            self.opnic_list = YList(self)
                            self._segment_path = lambda: "opnic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems, [], name, value)


                        class OPNicList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	TBD
                            	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems.OPNicList, self).__init__()

                                self.yang_name = "OPNic-list"
                                self.yang_parent_name = "opnic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.state = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "OPNic-list" + "[mac='" + str(self.mac) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InbItems.InbandIfList.OdevItems.ODevList.OpnicItems.OPNicList, ['mac', 'state', 'name', 'id'], name, value)






            class RsinbandConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.RsinbandConfItems, self).__init__()

                    self.yang_name = "rsinbandConf-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rsinbandConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.RsinbandConfItems, ['tdn', 'tcl'], name, value)



            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InbItems.InbandIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InbItems.InbandIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "InbandIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.InbItems.InbandIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InbItems.InbandIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InbItems.InbandIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InbItems.InbandIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






    class ExtItems(Entity):
        """
        
        
        .. attribute:: extif_list
        
        	
        	**type**\: list of  		 :py:class:`ExtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ExtItems, self).__init__()

            self.yang_name = "ext-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ExtIf-list", ("extif_list", System.ExtItems.ExtIfList))])
            self._leafs = OrderedDict()

            self.extif_list = YList(self)
            self._segment_path = lambda: "ext-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ExtItems, [], name, value)


        class ExtIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            .. attribute:: extchasid
            
            	Extension Chassis ID
            	**type**\: int
            
            	**range:** 100..200
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..1024
            
            .. attribute:: dep_items
            
            	
            	**type**\:  :py:class:`DepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.DepItems>`
            
            .. attribute:: vnode_items
            
            	
            	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems>`
            
            .. attribute:: idep_items
            
            	
            	**type**\:  :py:class:`IdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems>`
            
            .. attribute:: odev_items
            
            	
            	**type**\:  :py:class:`OdevItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems>`
            
            .. attribute:: rsextconf_items
            
            	
            	**type**\:  :py:class:`RsextConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.RsextConfItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.RtvrfMbrItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.RtnwPathToIfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ExtItems.ExtIfList, self).__init__()

                self.yang_name = "ExtIf-list"
                self.yang_parent_name = "ext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dep-items", ("dep_items", System.ExtItems.ExtIfList.DepItems)), ("vnode-items", ("vnode_items", System.ExtItems.ExtIfList.VnodeItems)), ("idep-items", ("idep_items", System.ExtItems.ExtIfList.IdepItems)), ("odev-items", ("odev_items", System.ExtItems.ExtIfList.OdevItems)), ("rsextConf-items", ("rsextconf_items", System.ExtItems.ExtIfList.RsextConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.ExtItems.ExtIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.ExtItems.ExtIfList.RtnwPathToIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('extchasid', (YLeaf(YType.uint16, 'extChasId'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.extchasid = None
                self.name = None
                self.descr = None

                self.dep_items = System.ExtItems.ExtIfList.DepItems()
                self.dep_items.parent = self
                self._children_name_map["dep_items"] = "dep-items"

                self.vnode_items = System.ExtItems.ExtIfList.VnodeItems()
                self.vnode_items.parent = self
                self._children_name_map["vnode_items"] = "vnode-items"

                self.idep_items = System.ExtItems.ExtIfList.IdepItems()
                self.idep_items.parent = self
                self._children_name_map["idep_items"] = "idep-items"

                self.odev_items = System.ExtItems.ExtIfList.OdevItems()
                self.odev_items.parent = self
                self._children_name_map["odev_items"] = "odev-items"

                self.rsextconf_items = System.ExtItems.ExtIfList.RsextConfItems()
                self.rsextconf_items.parent = self
                self._children_name_map["rsextconf_items"] = "rsextConf-items"

                self.rtvrfmbr_items = System.ExtItems.ExtIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.ExtItems.ExtIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                self._segment_path = lambda: "ExtIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ExtItems.ExtIfList, ['id', 'extchasid', 'name', 'descr'], name, value)


            class DepItems(Entity):
                """
                
                
                .. attribute:: dep_list
                
                	
                	**type**\: list of  		 :py:class:`DEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.DepItems.DEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.DepItems, self).__init__()

                    self.yang_name = "dep-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DEp-list", ("dep_list", System.ExtItems.ExtIfList.DepItems.DEpList))])
                    self._leafs = OrderedDict()

                    self.dep_list = YList(self)
                    self._segment_path = lambda: "dep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.DepItems, [], name, value)


                class DEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtItems.ExtIfList.DepItems.DEpList, self).__init__()

                        self.yang_name = "DEp-list"
                        self.yang_parent_name = "dep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.name = None
                        self.id = None
                        self.uuid = None
                        self._segment_path = lambda: "DEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtItems.ExtIfList.DepItems.DEpList, ['mac', 'encap', 'name', 'id', 'uuid'], name, value)




            class VnodeItems(Entity):
                """
                
                
                .. attribute:: vnode_list
                
                	
                	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems.VNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.VnodeItems, self).__init__()

                    self.yang_name = "vnode-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.ExtItems.ExtIfList.VnodeItems.VNodeList))])
                    self._leafs = OrderedDict()

                    self.vnode_list = YList(self)
                    self._segment_path = lambda: "vnode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems, [], name, value)


                class VNodeList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvvnode_items
                    
                    	
                    	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rslnode_items
                    
                    	
                    	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtItems.ExtIfList.VnodeItems.VNodeList, self).__init__()

                        self.yang_name = "VNode-list"
                        self.yang_parent_name = "vnode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.name = None
                        self.id = None

                        self.rtfvvnode_items = System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems()
                        self.rtfvvnode_items.parent = self
                        self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                        self.rslnode_items = System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems()
                        self.rslnode_items.parent = self
                        self._children_name_map["rslnode_items"] = "rslNode-items"
                        self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                    class RtfvVNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvvnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                            self.yang_name = "rtfvVNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                            self._leafs = OrderedDict()

                            self.rtfvvnode_list = YList(self)
                            self._segment_path = lambda: "rtfvVNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                        class RtFvVNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                self.yang_name = "RtFvVNode-list"
                                self.yang_parent_name = "rtfvVNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                    class RslNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rslnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                            self.yang_name = "rslNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                            self._leafs = OrderedDict()

                            self.rslnode_list = YList(self)
                            self._segment_path = lambda: "rslNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                        class RsLNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                self.yang_name = "RsLNode-list"
                                self.yang_parent_name = "rslNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






            class IdepItems(Entity):
                """
                
                
                .. attribute:: idep_list
                
                	
                	**type**\: list of  		 :py:class:`IDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.IdepItems, self).__init__()

                    self.yang_name = "idep-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IDEp-list", ("idep_list", System.ExtItems.ExtIfList.IdepItems.IDEpList))])
                    self._leafs = OrderedDict()

                    self.idep_list = YList(self)
                    self._segment_path = lambda: "idep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.IdepItems, [], name, value)


                class IDEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: eppdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: compvmdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: comphvdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: epgid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ephostaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hypervisorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: containername
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: eppdownloadhint
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEppDownloadHint <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEppDownloadHint>`
                    
                    	**config**\: False
                    
                    .. attribute:: handle
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: insttype
                    
                    	TBD
                    	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: idepcntr_items
                    
                    	
                    	**type**\:  :py:class:`IdepcntrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vdep_items
                    
                    	
                    	**type**\:  :py:class:`VdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtItems.ExtIfList.IdepItems.IDEpList, self).__init__()

                        self.yang_name = "IDEp-list"
                        self.yang_parent_name = "idep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([("idepcntr-items", ("idepcntr_items", System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems)), ("vdep-items", ("vdep_items", System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('eppdn', (YLeaf(YType.str, 'eppdn'), ['str'])),
                            ('compvmdn', (YLeaf(YType.str, 'compVmDn'), ['str'])),
                            ('comphvdn', (YLeaf(YType.str, 'compHvDn'), ['str'])),
                            ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                            ('ephostaddr', (YLeaf(YType.str, 'epHostAddr'), ['str'])),
                            ('hypervisorname', (YLeaf(YType.str, 'hypervisorName'), ['str'])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('containername', (YLeaf(YType.str, 'containerName'), ['str'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('eppdownloadhint', (YLeaf(YType.enumeration, 'eppDownloadHint'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEppDownloadHint', '')])),
                            ('handle', (YLeaf(YType.uint64, 'handle'), ['int'])),
                            ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.eppdn = None
                        self.compvmdn = None
                        self.comphvdn = None
                        self.epgid = None
                        self.ephostaddr = None
                        self.hypervisorname = None
                        self.portid = None
                        self.containername = None
                        self.transitionstatus = None
                        self.eppdownloadhint = None
                        self.handle = None
                        self.insttype = None
                        self.pcifid = None
                        self.state = None
                        self.name = None
                        self.id = None
                        self.uuid = None

                        self.idepcntr_items = System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems()
                        self.idepcntr_items.parent = self
                        self._children_name_map["idepcntr_items"] = "idepcntr-items"

                        self.vdep_items = System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems()
                        self.vdep_items.parent = self
                        self._children_name_map["vdep_items"] = "vdep-items"
                        self._segment_path = lambda: "IDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList, ['mac', 'encap', 'eppdn', 'compvmdn', 'comphvdn', 'epgid', 'ephostaddr', 'hypervisorname', 'portid', 'containername', 'transitionstatus', 'eppdownloadhint', 'handle', 'insttype', 'pcifid', 'state', 'name', 'id', 'uuid'], name, value)


                    class IdepcntrItems(Entity):
                        """
                        
                        
                        .. attribute:: idepcntr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IDEpCntrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems, self).__init__()

                            self.yang_name = "idepcntr-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IDEpCntr-list", ("idepcntr_list", System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList))])
                            self._leafs = OrderedDict()

                            self.idepcntr_list = YList(self)
                            self._segment_path = lambda: "idepcntr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems, [], name, value)


                        class IDEpCntrList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: direction
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDirection>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, self).__init__()

                                self.yang_name = "IDEpCntr-list"
                                self.yang_parent_name = "idepcntr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDirection', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.direction = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "IDEpCntr-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, ['mac', 'encap', 'direction', 'name', 'id'], name, value)




                    class VdepItems(Entity):
                        """
                        
                        
                        .. attribute:: vdep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems, self).__init__()

                            self.yang_name = "vdep-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VDEp-list", ("vdep_list", System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList))])
                            self._leafs = OrderedDict()

                            self.vdep_list = YList(self)
                            self._segment_path = lambda: "vdep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems, [], name, value)


                        class VDEpList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: brifid  (key)
                            
                            	TBD
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: epgid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: insttype
                            
                            	TBD
                            	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: uuid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsvnode_items
                            
                            	
                            	**type**\:  :py:class:`RsvNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList, self).__init__()

                                self.yang_name = "VDEp-list"
                                self.yang_parent_name = "vdep-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap','brifid']
                                self._child_classes = OrderedDict([("rsvNode-items", ("rsvnode_items", System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems))])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('brifid', (YLeaf(YType.str, 'brIfId'), ['str'])),
                                    ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                                    ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                    ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.brifid = None
                                self.epgid = None
                                self.insttype = None
                                self.name = None
                                self.id = None
                                self.uuid = None

                                self.rsvnode_items = System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems()
                                self.rsvnode_items.parent = self
                                self._children_name_map["rsvnode_items"] = "rsvNode-items"
                                self._segment_path = lambda: "VDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']" + "[brIfId='" + str(self.brifid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList, ['mac', 'encap', 'brifid', 'epgid', 'insttype', 'name', 'id', 'uuid'], name, value)


                            class RsvNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, self).__init__()

                                    self.yang_name = "rsvNode-items"
                                    self.yang_parent_name = "VDEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsVNode-list", ("rsvnode_list", System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rsvnode_list = YList(self)
                                    self._segment_path = lambda: "rsvNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, [], name, value)


                                class RsVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, self).__init__()

                                        self.yang_name = "RsVNode-list"
                                        self.yang_parent_name = "rsvNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ExtItems.ExtIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, ['tdn', 'tcl'], name, value)








            class OdevItems(Entity):
                """
                
                
                .. attribute:: odev_list
                
                	
                	**type**\: list of  		 :py:class:`ODevList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.OdevItems, self).__init__()

                    self.yang_name = "odev-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ODev-list", ("odev_list", System.ExtItems.ExtIfList.OdevItems.ODevList))])
                    self._leafs = OrderedDict()

                    self.odev_list = YList(self)
                    self._segment_path = lambda: "odev-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.OdevItems, [], name, value)


                class ODevList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ipaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lastnumhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: hbstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexHbStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexHbStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Status
                    	**type**\:  :py:class:`OpflexDevOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDevOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: maxmisshb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompHostState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompHostState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: odevcap_items
                    
                    	
                    	**type**\:  :py:class:`OdevcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.OdevcapItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vnode_items
                    
                    	
                    	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: opnic_items
                    
                    	
                    	**type**\:  :py:class:`OpnicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtItems.ExtIfList.OdevItems.ODevList, self).__init__()

                        self.yang_name = "ODev-list"
                        self.yang_parent_name = "odev-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("odevcap-items", ("odevcap_items", System.ExtItems.ExtIfList.OdevItems.ODevList.OdevcapItems)), ("vnode-items", ("vnode_items", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems)), ("opnic-items", ("opnic_items", System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('hostname', (YLeaf(YType.str, 'hostName'), ['str'])),
                            ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str'])),
                            ('numhb', (YLeaf(YType.uint32, 'numHB'), ['int'])),
                            ('lastnumhb', (YLeaf(YType.uint32, 'lastNumHB'), ['int'])),
                            ('hbstatus', (YLeaf(YType.enumeration, 'hbStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexHbStatus', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDevOperState', '')])),
                            ('maxmisshb', (YLeaf(YType.uint32, 'maxMissHb'), ['int'])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompHostState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.encap = None
                        self.hostname = None
                        self.ipaddr = None
                        self.numhb = None
                        self.lastnumhb = None
                        self.hbstatus = None
                        self.operst = None
                        self.maxmisshb = None
                        self.pcifid = None
                        self.transitionstatus = None
                        self.portid = None
                        self.state = None
                        self.name = None
                        self.id = None

                        self.odevcap_items = System.ExtItems.ExtIfList.OdevItems.ODevList.OdevcapItems()
                        self.odevcap_items.parent = self
                        self._children_name_map["odevcap_items"] = "odevcap-items"

                        self.vnode_items = System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems()
                        self.vnode_items.parent = self
                        self._children_name_map["vnode_items"] = "vnode-items"

                        self.opnic_items = System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems()
                        self.opnic_items.parent = self
                        self._children_name_map["opnic_items"] = "opnic-items"
                        self._segment_path = lambda: "ODev-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList, ['devid', 'devtype', 'lnodedn', 'encap', 'hostname', 'ipaddr', 'numhb', 'lastnumhb', 'hbstatus', 'operst', 'maxmisshb', 'pcifid', 'transitionstatus', 'portid', 'state', 'name', 'id'], name, value)


                    class OdevcapItems(Entity):
                        """
                        
                        
                        .. attribute:: version
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: devid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lnodedn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	Id
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.OdevItems.ODevList.OdevcapItems, self).__init__()

                            self.yang_name = "odevcap-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ])
                            self.version = None
                            self.devid = None
                            self.lnodedn = None
                            self.name = None
                            self.id = None
                            self._segment_path = lambda: "odevcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.OdevcapItems, ['version', 'devid', 'lnodedn', 'name', 'id'], name, value)



                    class VnodeItems(Entity):
                        """
                        
                        
                        .. attribute:: vnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems, self).__init__()

                            self.yang_name = "vnode-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList))])
                            self._leafs = OrderedDict()

                            self.vnode_list = YList(self)
                            self._segment_path = lambda: "vnode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems, [], name, value)


                        class VNodeList(Entity):
                            """
                            
                            
                            .. attribute:: devid  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: devtype
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                            
                            	**config**\: False
                            
                            .. attribute:: lnodedn
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rtfvvnode_items
                            
                            	
                            	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rslnode_items
                            
                            	
                            	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList, self).__init__()

                                self.yang_name = "VNode-list"
                                self.yang_parent_name = "vnode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['devid']
                                self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems))])
                                self._leafs = OrderedDict([
                                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                    ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                                    ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.devid = None
                                self.devtype = None
                                self.lnodedn = None
                                self.name = None
                                self.id = None

                                self.rtfvvnode_items = System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems()
                                self.rtfvvnode_items.parent = self
                                self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                                self.rslnode_items = System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems()
                                self.rslnode_items.parent = self
                                self._children_name_map["rslnode_items"] = "rslNode-items"
                                self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                            class RtfvVNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rtfvvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                                    self.yang_name = "rtfvVNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rtfvvnode_list = YList(self)
                                    self._segment_path = lambda: "rtfvVNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                                class RtFvVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                        self.yang_name = "RtFvVNode-list"
                                        self.yang_parent_name = "rtfvVNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                            class RslNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rslnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                                    self.yang_name = "rslNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rslnode_list = YList(self)
                                    self._segment_path = lambda: "rslNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                                class RsLNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                        self.yang_name = "RsLNode-list"
                                        self.yang_parent_name = "rslNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






                    class OpnicItems(Entity):
                        """
                        
                        
                        .. attribute:: opnic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OPNicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems.OPNicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems, self).__init__()

                            self.yang_name = "opnic-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OPNic-list", ("opnic_list", System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems.OPNicList))])
                            self._leafs = OrderedDict()

                            self.opnic_list = YList(self)
                            self._segment_path = lambda: "opnic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems, [], name, value)


                        class OPNicList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	TBD
                            	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems.OPNicList, self).__init__()

                                self.yang_name = "OPNic-list"
                                self.yang_parent_name = "opnic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.state = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "OPNic-list" + "[mac='" + str(self.mac) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtItems.ExtIfList.OdevItems.ODevList.OpnicItems.OPNicList, ['mac', 'state', 'name', 'id'], name, value)






            class RsextConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                .. attribute:: state
                
                	State
                	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                
                	**config**\: False
                
                .. attribute:: statequal
                
                	State Qualifier
                	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                
                	**config**\: False
                
                .. attribute:: ttype
                
                	TBD
                	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                
                	**config**\: False
                
                .. attribute:: rtype
                
                	TBD
                	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                
                	**config**\: False
                
                .. attribute:: forceresolve
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                	**default value**\: true
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.RsextConfItems, self).__init__()

                    self.yang_name = "rsextConf-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                        ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                        ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                        ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                        ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self.state = None
                    self.statequal = None
                    self.ttype = None
                    self.rtype = None
                    self.forceresolve = None
                    self._segment_path = lambda: "rsextConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.RsextConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtItems.ExtIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "ExtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.ExtItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtItems.ExtIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






    class BrItems(Entity):
        """
        
        
        .. attribute:: brif_list
        
        	
        	**type**\: list of  		 :py:class:`BrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BrItems, self).__init__()

            self.yang_name = "br-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("BrIf-list", ("brif_list", System.BrItems.BrIfList))])
            self._leafs = OrderedDict()

            self.brif_list = YList(self)
            self._segment_path = lambda: "br-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BrItems, [], name, value)


        class BrIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..1024
            
            .. attribute:: dep_items
            
            	
            	**type**\:  :py:class:`DepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.DepItems>`
            
            .. attribute:: vnode_items
            
            	
            	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems>`
            
            .. attribute:: idep_items
            
            	
            	**type**\:  :py:class:`IdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems>`
            
            .. attribute:: odev_items
            
            	
            	**type**\:  :py:class:`OdevItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems>`
            
            .. attribute:: rsbrconf_items
            
            	
            	**type**\:  :py:class:`RsbrConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.RsbrConfItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.RtvrfMbrItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.RtnwPathToIfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BrItems.BrIfList, self).__init__()

                self.yang_name = "BrIf-list"
                self.yang_parent_name = "br-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dep-items", ("dep_items", System.BrItems.BrIfList.DepItems)), ("vnode-items", ("vnode_items", System.BrItems.BrIfList.VnodeItems)), ("idep-items", ("idep_items", System.BrItems.BrIfList.IdepItems)), ("odev-items", ("odev_items", System.BrItems.BrIfList.OdevItems)), ("rsbrConf-items", ("rsbrconf_items", System.BrItems.BrIfList.RsbrConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.BrItems.BrIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.BrItems.BrIfList.RtnwPathToIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.name = None
                self.descr = None

                self.dep_items = System.BrItems.BrIfList.DepItems()
                self.dep_items.parent = self
                self._children_name_map["dep_items"] = "dep-items"

                self.vnode_items = System.BrItems.BrIfList.VnodeItems()
                self.vnode_items.parent = self
                self._children_name_map["vnode_items"] = "vnode-items"

                self.idep_items = System.BrItems.BrIfList.IdepItems()
                self.idep_items.parent = self
                self._children_name_map["idep_items"] = "idep-items"

                self.odev_items = System.BrItems.BrIfList.OdevItems()
                self.odev_items.parent = self
                self._children_name_map["odev_items"] = "odev-items"

                self.rsbrconf_items = System.BrItems.BrIfList.RsbrConfItems()
                self.rsbrconf_items.parent = self
                self._children_name_map["rsbrconf_items"] = "rsbrConf-items"

                self.rtvrfmbr_items = System.BrItems.BrIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.BrItems.BrIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                self._segment_path = lambda: "BrIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/br-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BrItems.BrIfList, ['id', 'name', 'descr'], name, value)


            class DepItems(Entity):
                """
                
                
                .. attribute:: dep_list
                
                	
                	**type**\: list of  		 :py:class:`DEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.DepItems.DEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.DepItems, self).__init__()

                    self.yang_name = "dep-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DEp-list", ("dep_list", System.BrItems.BrIfList.DepItems.DEpList))])
                    self._leafs = OrderedDict()

                    self.dep_list = YList(self)
                    self._segment_path = lambda: "dep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.DepItems, [], name, value)


                class DEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BrItems.BrIfList.DepItems.DEpList, self).__init__()

                        self.yang_name = "DEp-list"
                        self.yang_parent_name = "dep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.name = None
                        self.id = None
                        self.uuid = None
                        self._segment_path = lambda: "DEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BrItems.BrIfList.DepItems.DEpList, ['mac', 'encap', 'name', 'id', 'uuid'], name, value)




            class VnodeItems(Entity):
                """
                
                
                .. attribute:: vnode_list
                
                	
                	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems.VNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.VnodeItems, self).__init__()

                    self.yang_name = "vnode-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.BrItems.BrIfList.VnodeItems.VNodeList))])
                    self._leafs = OrderedDict()

                    self.vnode_list = YList(self)
                    self._segment_path = lambda: "vnode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.VnodeItems, [], name, value)


                class VNodeList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvvnode_items
                    
                    	
                    	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rslnode_items
                    
                    	
                    	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BrItems.BrIfList.VnodeItems.VNodeList, self).__init__()

                        self.yang_name = "VNode-list"
                        self.yang_parent_name = "vnode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.name = None
                        self.id = None

                        self.rtfvvnode_items = System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems()
                        self.rtfvvnode_items.parent = self
                        self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                        self.rslnode_items = System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems()
                        self.rslnode_items.parent = self
                        self._children_name_map["rslnode_items"] = "rslNode-items"
                        self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BrItems.BrIfList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                    class RtfvVNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvvnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                            self.yang_name = "rtfvVNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                            self._leafs = OrderedDict()

                            self.rtfvvnode_list = YList(self)
                            self._segment_path = lambda: "rtfvVNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                        class RtFvVNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                self.yang_name = "RtFvVNode-list"
                                self.yang_parent_name = "rtfvVNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                    class RslNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rslnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                            self.yang_name = "rslNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                            self._leafs = OrderedDict()

                            self.rslnode_list = YList(self)
                            self._segment_path = lambda: "rslNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                        class RsLNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                self.yang_name = "RsLNode-list"
                                self.yang_parent_name = "rslNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






            class IdepItems(Entity):
                """
                
                
                .. attribute:: idep_list
                
                	
                	**type**\: list of  		 :py:class:`IDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.IdepItems, self).__init__()

                    self.yang_name = "idep-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IDEp-list", ("idep_list", System.BrItems.BrIfList.IdepItems.IDEpList))])
                    self._leafs = OrderedDict()

                    self.idep_list = YList(self)
                    self._segment_path = lambda: "idep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.IdepItems, [], name, value)


                class IDEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: eppdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: compvmdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: comphvdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: epgid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ephostaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hypervisorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: containername
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: eppdownloadhint
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEppDownloadHint <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEppDownloadHint>`
                    
                    	**config**\: False
                    
                    .. attribute:: handle
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: insttype
                    
                    	TBD
                    	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: idepcntr_items
                    
                    	
                    	**type**\:  :py:class:`IdepcntrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vdep_items
                    
                    	
                    	**type**\:  :py:class:`VdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BrItems.BrIfList.IdepItems.IDEpList, self).__init__()

                        self.yang_name = "IDEp-list"
                        self.yang_parent_name = "idep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([("idepcntr-items", ("idepcntr_items", System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems)), ("vdep-items", ("vdep_items", System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('eppdn', (YLeaf(YType.str, 'eppdn'), ['str'])),
                            ('compvmdn', (YLeaf(YType.str, 'compVmDn'), ['str'])),
                            ('comphvdn', (YLeaf(YType.str, 'compHvDn'), ['str'])),
                            ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                            ('ephostaddr', (YLeaf(YType.str, 'epHostAddr'), ['str'])),
                            ('hypervisorname', (YLeaf(YType.str, 'hypervisorName'), ['str'])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('containername', (YLeaf(YType.str, 'containerName'), ['str'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('eppdownloadhint', (YLeaf(YType.enumeration, 'eppDownloadHint'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEppDownloadHint', '')])),
                            ('handle', (YLeaf(YType.uint64, 'handle'), ['int'])),
                            ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.eppdn = None
                        self.compvmdn = None
                        self.comphvdn = None
                        self.epgid = None
                        self.ephostaddr = None
                        self.hypervisorname = None
                        self.portid = None
                        self.containername = None
                        self.transitionstatus = None
                        self.eppdownloadhint = None
                        self.handle = None
                        self.insttype = None
                        self.pcifid = None
                        self.state = None
                        self.name = None
                        self.id = None
                        self.uuid = None

                        self.idepcntr_items = System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems()
                        self.idepcntr_items.parent = self
                        self._children_name_map["idepcntr_items"] = "idepcntr-items"

                        self.vdep_items = System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems()
                        self.vdep_items.parent = self
                        self._children_name_map["vdep_items"] = "vdep-items"
                        self._segment_path = lambda: "IDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList, ['mac', 'encap', 'eppdn', 'compvmdn', 'comphvdn', 'epgid', 'ephostaddr', 'hypervisorname', 'portid', 'containername', 'transitionstatus', 'eppdownloadhint', 'handle', 'insttype', 'pcifid', 'state', 'name', 'id', 'uuid'], name, value)


                    class IdepcntrItems(Entity):
                        """
                        
                        
                        .. attribute:: idepcntr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IDEpCntrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems, self).__init__()

                            self.yang_name = "idepcntr-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IDEpCntr-list", ("idepcntr_list", System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList))])
                            self._leafs = OrderedDict()

                            self.idepcntr_list = YList(self)
                            self._segment_path = lambda: "idepcntr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems, [], name, value)


                        class IDEpCntrList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: direction
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDirection>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, self).__init__()

                                self.yang_name = "IDEpCntr-list"
                                self.yang_parent_name = "idepcntr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDirection', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.direction = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "IDEpCntr-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, ['mac', 'encap', 'direction', 'name', 'id'], name, value)




                    class VdepItems(Entity):
                        """
                        
                        
                        .. attribute:: vdep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems, self).__init__()

                            self.yang_name = "vdep-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VDEp-list", ("vdep_list", System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList))])
                            self._leafs = OrderedDict()

                            self.vdep_list = YList(self)
                            self._segment_path = lambda: "vdep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems, [], name, value)


                        class VDEpList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: brifid  (key)
                            
                            	TBD
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: epgid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: insttype
                            
                            	TBD
                            	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: uuid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsvnode_items
                            
                            	
                            	**type**\:  :py:class:`RsvNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList, self).__init__()

                                self.yang_name = "VDEp-list"
                                self.yang_parent_name = "vdep-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap','brifid']
                                self._child_classes = OrderedDict([("rsvNode-items", ("rsvnode_items", System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems))])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('brifid', (YLeaf(YType.str, 'brIfId'), ['str'])),
                                    ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                                    ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                    ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.brifid = None
                                self.epgid = None
                                self.insttype = None
                                self.name = None
                                self.id = None
                                self.uuid = None

                                self.rsvnode_items = System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems()
                                self.rsvnode_items.parent = self
                                self._children_name_map["rsvnode_items"] = "rsvNode-items"
                                self._segment_path = lambda: "VDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']" + "[brIfId='" + str(self.brifid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList, ['mac', 'encap', 'brifid', 'epgid', 'insttype', 'name', 'id', 'uuid'], name, value)


                            class RsvNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, self).__init__()

                                    self.yang_name = "rsvNode-items"
                                    self.yang_parent_name = "VDEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsVNode-list", ("rsvnode_list", System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rsvnode_list = YList(self)
                                    self._segment_path = lambda: "rsvNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, [], name, value)


                                class RsVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, self).__init__()

                                        self.yang_name = "RsVNode-list"
                                        self.yang_parent_name = "rsvNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BrItems.BrIfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, ['tdn', 'tcl'], name, value)








            class OdevItems(Entity):
                """
                
                
                .. attribute:: odev_list
                
                	
                	**type**\: list of  		 :py:class:`ODevList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.OdevItems, self).__init__()

                    self.yang_name = "odev-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ODev-list", ("odev_list", System.BrItems.BrIfList.OdevItems.ODevList))])
                    self._leafs = OrderedDict()

                    self.odev_list = YList(self)
                    self._segment_path = lambda: "odev-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.OdevItems, [], name, value)


                class ODevList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ipaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lastnumhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: hbstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexHbStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexHbStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Status
                    	**type**\:  :py:class:`OpflexDevOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDevOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: maxmisshb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompHostState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompHostState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: odevcap_items
                    
                    	
                    	**type**\:  :py:class:`OdevcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.OdevcapItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vnode_items
                    
                    	
                    	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: opnic_items
                    
                    	
                    	**type**\:  :py:class:`OpnicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BrItems.BrIfList.OdevItems.ODevList, self).__init__()

                        self.yang_name = "ODev-list"
                        self.yang_parent_name = "odev-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("odevcap-items", ("odevcap_items", System.BrItems.BrIfList.OdevItems.ODevList.OdevcapItems)), ("vnode-items", ("vnode_items", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems)), ("opnic-items", ("opnic_items", System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('hostname', (YLeaf(YType.str, 'hostName'), ['str'])),
                            ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str'])),
                            ('numhb', (YLeaf(YType.uint32, 'numHB'), ['int'])),
                            ('lastnumhb', (YLeaf(YType.uint32, 'lastNumHB'), ['int'])),
                            ('hbstatus', (YLeaf(YType.enumeration, 'hbStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexHbStatus', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDevOperState', '')])),
                            ('maxmisshb', (YLeaf(YType.uint32, 'maxMissHb'), ['int'])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompHostState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.encap = None
                        self.hostname = None
                        self.ipaddr = None
                        self.numhb = None
                        self.lastnumhb = None
                        self.hbstatus = None
                        self.operst = None
                        self.maxmisshb = None
                        self.pcifid = None
                        self.transitionstatus = None
                        self.portid = None
                        self.state = None
                        self.name = None
                        self.id = None

                        self.odevcap_items = System.BrItems.BrIfList.OdevItems.ODevList.OdevcapItems()
                        self.odevcap_items.parent = self
                        self._children_name_map["odevcap_items"] = "odevcap-items"

                        self.vnode_items = System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems()
                        self.vnode_items.parent = self
                        self._children_name_map["vnode_items"] = "vnode-items"

                        self.opnic_items = System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems()
                        self.opnic_items.parent = self
                        self._children_name_map["opnic_items"] = "opnic-items"
                        self._segment_path = lambda: "ODev-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList, ['devid', 'devtype', 'lnodedn', 'encap', 'hostname', 'ipaddr', 'numhb', 'lastnumhb', 'hbstatus', 'operst', 'maxmisshb', 'pcifid', 'transitionstatus', 'portid', 'state', 'name', 'id'], name, value)


                    class OdevcapItems(Entity):
                        """
                        
                        
                        .. attribute:: version
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: devid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lnodedn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	Id
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.OdevItems.ODevList.OdevcapItems, self).__init__()

                            self.yang_name = "odevcap-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ])
                            self.version = None
                            self.devid = None
                            self.lnodedn = None
                            self.name = None
                            self.id = None
                            self._segment_path = lambda: "odevcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.OdevcapItems, ['version', 'devid', 'lnodedn', 'name', 'id'], name, value)



                    class VnodeItems(Entity):
                        """
                        
                        
                        .. attribute:: vnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems, self).__init__()

                            self.yang_name = "vnode-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList))])
                            self._leafs = OrderedDict()

                            self.vnode_list = YList(self)
                            self._segment_path = lambda: "vnode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems, [], name, value)


                        class VNodeList(Entity):
                            """
                            
                            
                            .. attribute:: devid  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: devtype
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                            
                            	**config**\: False
                            
                            .. attribute:: lnodedn
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rtfvvnode_items
                            
                            	
                            	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rslnode_items
                            
                            	
                            	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList, self).__init__()

                                self.yang_name = "VNode-list"
                                self.yang_parent_name = "vnode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['devid']
                                self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems))])
                                self._leafs = OrderedDict([
                                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                    ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                                    ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.devid = None
                                self.devtype = None
                                self.lnodedn = None
                                self.name = None
                                self.id = None

                                self.rtfvvnode_items = System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems()
                                self.rtfvvnode_items.parent = self
                                self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                                self.rslnode_items = System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems()
                                self.rslnode_items.parent = self
                                self._children_name_map["rslnode_items"] = "rslNode-items"
                                self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                            class RtfvVNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rtfvvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                                    self.yang_name = "rtfvVNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rtfvvnode_list = YList(self)
                                    self._segment_path = lambda: "rtfvVNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                                class RtFvVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                        self.yang_name = "RtFvVNode-list"
                                        self.yang_parent_name = "rtfvVNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                            class RslNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rslnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                                    self.yang_name = "rslNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rslnode_list = YList(self)
                                    self._segment_path = lambda: "rslNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                                class RsLNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                        self.yang_name = "RsLNode-list"
                                        self.yang_parent_name = "rslNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






                    class OpnicItems(Entity):
                        """
                        
                        
                        .. attribute:: opnic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OPNicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems.OPNicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems, self).__init__()

                            self.yang_name = "opnic-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OPNic-list", ("opnic_list", System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems.OPNicList))])
                            self._leafs = OrderedDict()

                            self.opnic_list = YList(self)
                            self._segment_path = lambda: "opnic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems, [], name, value)


                        class OPNicList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	TBD
                            	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems.OPNicList, self).__init__()

                                self.yang_name = "OPNic-list"
                                self.yang_parent_name = "opnic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.state = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "OPNic-list" + "[mac='" + str(self.mac) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BrItems.BrIfList.OdevItems.ODevList.OpnicItems.OPNicList, ['mac', 'state', 'name', 'id'], name, value)






            class RsbrConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                .. attribute:: state
                
                	State
                	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                
                	**config**\: False
                
                .. attribute:: statequal
                
                	State Qualifier
                	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                
                	**config**\: False
                
                .. attribute:: ttype
                
                	TBD
                	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                
                	**config**\: False
                
                .. attribute:: rtype
                
                	TBD
                	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                
                	**config**\: False
                
                .. attribute:: forceresolve
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                	**default value**\: true
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.RsbrConfItems, self).__init__()

                    self.yang_name = "rsbrConf-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                        ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                        ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                        ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                        ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self.state = None
                    self.statequal = None
                    self.ttype = None
                    self.rtype = None
                    self.forceresolve = None
                    self._segment_path = lambda: "rsbrConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.RsbrConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BrItems.BrIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BrItems.BrIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "BrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.BrItems.BrIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BrItems.BrIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BrItems.BrIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BrItems.BrIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






    class MacItems(Entity):
        """
        
        
        .. attribute:: aging
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**default value**\: 1800
        
        .. attribute:: static_items
        
        	
        	**type**\:  :py:class:`StaticItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.StaticItems>`
        
        .. attribute:: table_items
        
        	
        	**type**\:  :py:class:`TableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.TableItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MacItems, self).__init__()

            self.yang_name = "mac-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("static-items", ("static_items", System.MacItems.StaticItems)), ("table-items", ("table_items", System.MacItems.TableItems))])
            self._leafs = OrderedDict([
                ('aging', (YLeaf(YType.uint32, 'aging'), ['int'])),
            ])
            self.aging = None

            self.static_items = System.MacItems.StaticItems()
            self.static_items.parent = self
            self._children_name_map["static_items"] = "static-items"

            self.table_items = System.MacItems.TableItems()
            self.table_items.parent = self
            self._children_name_map["table_items"] = "table-items"
            self._segment_path = lambda: "mac-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MacItems, ['aging'], name, value)


        class StaticItems(Entity):
            """
            
            
            .. attribute:: vlan_items
            
            	
            	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.StaticItems.VlanItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MacItems.StaticItems, self).__init__()

                self.yang_name = "static-items"
                self.yang_parent_name = "mac-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.MacItems.StaticItems.VlanItems))])
                self._leafs = OrderedDict()

                self.vlan_items = System.MacItems.StaticItems.VlanItems()
                self.vlan_items.parent = self
                self._children_name_map["vlan_items"] = "vlan-items"
                self._segment_path = lambda: "static-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MacItems.StaticItems, [], name, value)


            class VlanItems(Entity):
                """
                
                
                .. attribute:: staticentry_list
                
                	
                	**type**\: list of  		 :py:class:`StaticEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.StaticItems.VlanItems.StaticEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MacItems.StaticItems.VlanItems, self).__init__()

                    self.yang_name = "vlan-items"
                    self.yang_parent_name = "static-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("StaticEntry-list", ("staticentry_list", System.MacItems.StaticItems.VlanItems.StaticEntryList))])
                    self._leafs = OrderedDict()

                    self.staticentry_list = YList(self)
                    self._segment_path = lambda: "vlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/static-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MacItems.StaticItems.VlanItems, [], name, value)


                class StaticEntryList(Entity):
                    """
                    
                    
                    .. attribute:: vlan  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: staticmacaddress  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: dropaction
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: interface
                    
                    	Interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MacItems.StaticItems.VlanItems.StaticEntryList, self).__init__()

                        self.yang_name = "StaticEntry-list"
                        self.yang_parent_name = "vlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['vlan','staticmacaddress']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                            ('staticmacaddress', (YLeaf(YType.str, 'staticMacAddress'), ['str'])),
                            ('dropaction', (YLeaf(YType.boolean, 'dropAction'), ['bool'])),
                            ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                        ])
                        self.vlan = None
                        self.staticmacaddress = None
                        self.dropaction = None
                        self.interface = None
                        self._segment_path = lambda: "StaticEntry-list" + "[vlan='" + str(self.vlan) + "']" + "[staticMacAddress='" + str(self.staticmacaddress) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/static-items/vlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MacItems.StaticItems.VlanItems.StaticEntryList, ['vlan', 'staticmacaddress', 'dropaction', 'interface'], name, value)





        class TableItems(Entity):
            """
            
            
            .. attribute:: vlan_items
            
            	
            	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.TableItems.VlanItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MacItems.TableItems, self).__init__()

                self.yang_name = "table-items"
                self.yang_parent_name = "mac-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.MacItems.TableItems.VlanItems))])
                self._leafs = OrderedDict()

                self.vlan_items = System.MacItems.TableItems.VlanItems()
                self.vlan_items.parent = self
                self._children_name_map["vlan_items"] = "vlan-items"
                self._segment_path = lambda: "table-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MacItems.TableItems, [], name, value)


            class VlanItems(Entity):
                """
                
                
                .. attribute:: macaddressentry_list
                
                	
                	**type**\: list of  		 :py:class:`MacAddressEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacItems.TableItems.VlanItems.MacAddressEntryList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MacItems.TableItems.VlanItems, self).__init__()

                    self.yang_name = "vlan-items"
                    self.yang_parent_name = "table-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MacAddressEntry-list", ("macaddressentry_list", System.MacItems.TableItems.VlanItems.MacAddressEntryList))])
                    self._leafs = OrderedDict()

                    self.macaddressentry_list = YList(self)
                    self._segment_path = lambda: "vlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/table-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MacItems.TableItems.VlanItems, [], name, value)


                class MacAddressEntryList(Entity):
                    """
                    
                    
                    .. attribute:: vlan  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: macaddress  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`L2MacType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2MacType>`
                    
                    	**config**\: False
                    
                    .. attribute:: static
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: secure
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: ntfy
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: routed
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: age
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: port
                    
                    	Port
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: macinfo
                    
                    	Additional Information on the MAC
                    	**type**\:  :py:class:`L2MacInfo <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2MacInfo>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MacItems.TableItems.VlanItems.MacAddressEntryList, self).__init__()

                        self.yang_name = "MacAddressEntry-list"
                        self.yang_parent_name = "vlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['vlan','macaddress']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                            ('macaddress', (YLeaf(YType.str, 'macAddress'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2MacType', '')])),
                            ('static', (YLeaf(YType.boolean, 'static'), ['bool'])),
                            ('secure', (YLeaf(YType.boolean, 'secure'), ['bool'])),
                            ('ntfy', (YLeaf(YType.boolean, 'ntfy'), ['bool'])),
                            ('routed', (YLeaf(YType.boolean, 'routed'), ['bool'])),
                            ('age', (YLeaf(YType.uint32, 'age'), ['int'])),
                            ('port', (YLeaf(YType.str, 'port'), ['str'])),
                            ('macinfo', (YLeaf(YType.enumeration, 'macInfo'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2MacInfo', '')])),
                        ])
                        self.vlan = None
                        self.macaddress = None
                        self.type = None
                        self.static = None
                        self.secure = None
                        self.ntfy = None
                        self.routed = None
                        self.age = None
                        self.port = None
                        self.macinfo = None
                        self._segment_path = lambda: "MacAddressEntry-list" + "[vlan='" + str(self.vlan) + "']" + "[macAddress='" + str(self.macaddress) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mac-items/table-items/vlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MacItems.TableItems.VlanItems.MacAddressEntryList, ['vlan', 'macaddress', 'type', 'static', 'secure', 'ntfy', 'routed', 'age', 'port', 'macinfo'], name, value)






    class CdpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CdpItems, self).__init__()

            self.yang_name = "cdp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.CdpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.CdpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "cdp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CdpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: ver
            
            	Version
            	**type**\:  :py:class:`CdpVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CdpVer>`
            
            .. attribute:: devidtype
            
            	Device ID Type
            	**type**\:  :py:class:`CdpDevIdT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CdpDevIdT>`
            
            .. attribute:: holdintvl
            
            	Hold Interval
            	**type**\: int
            
            	**range:** 10..255
            
            .. attribute:: txfreq
            
            	Transmit Frequency
            	**type**\: int
            
            	**range:** 5..254
            
            .. attribute:: sysname
            
            	System Name
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CdpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "cdp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.CdpItems.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CdpVer', '')])),
                    ('devidtype', (YLeaf(YType.enumeration, 'devIdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CdpDevIdT', '')])),
                    ('holdintvl', (YLeaf(YType.uint16, 'holdIntvl'), ['int'])),
                    ('txfreq', (YLeaf(YType.uint16, 'txFreq'), ['int'])),
                    ('sysname', (YLeaf(YType.str, 'sysName'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.ver = None
                self.devidtype = None
                self.holdintvl = None
                self.txfreq = None
                self.sysname = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.if_items = System.CdpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/cdp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CdpItems.InstItems, ['ver', 'devidtype', 'holdintvl', 'txfreq', 'sysname', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CdpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.CdpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/cdp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CdpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: portdesc
                    
                    	Port Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: locdesc
                    
                    	Location Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`CdpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CdpOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Qualifier
                    	**type**\:  :py:class:`CdpOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CdpOperStQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: nativevlan
                    
                    	Native Vlan
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: adj_items
                    
                    	
                    	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems>`
                    
                    .. attribute:: ifstats_items
                    
                    	
                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.IfstatsItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CdpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("adj-items", ("adj_items", System.CdpItems.InstItems.IfItems.IfList.AdjItems)), ("ifstats-items", ("ifstats_items", System.CdpItems.InstItems.IfItems.IfList.IfstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.CdpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('portdesc', (YLeaf(YType.str, 'portDesc'), ['str'])),
                            ('locdesc', (YLeaf(YType.str, 'locDesc'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CdpOperSt', '')])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CdpOperStQual', '')])),
                            ('nativevlan', (YLeaf(YType.uint16, 'nativeVlan'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.portdesc = None
                        self.locdesc = None
                        self.operst = None
                        self.operstqual = None
                        self.nativevlan = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.adj_items = System.CdpItems.InstItems.IfItems.IfList.AdjItems()
                        self.adj_items.parent = self
                        self._children_name_map["adj_items"] = "adj-items"

                        self.ifstats_items = System.CdpItems.InstItems.IfItems.IfList.IfstatsItems()
                        self.ifstats_items.parent = self
                        self._children_name_map["ifstats_items"] = "ifstats-items"

                        self.rtvrfmbr_items = System.CdpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/cdp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList, ['id', 'portdesc', 'locdesc', 'operst', 'operstqual', 'nativevlan', 'name', 'descr', 'adminst'], name, value)


                    class AdjItems(Entity):
                        """
                        
                        
                        .. attribute:: adjep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CdpItems.InstItems.IfItems.IfList.AdjItems, self).__init__()

                            self.yang_name = "adj-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList))])
                            self._leafs = OrderedDict()

                            self.adjep_list = YList(self)
                            self._segment_path = lambda: "adj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems, [], name, value)


                        class AdjEpList(Entity):
                            """
                            
                            
                            .. attribute:: index  (key)
                            
                            	Index
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	Version
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: devid
                            
                            	Device ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: portid
                            
                            	Port ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: platid
                            
                            	Platform ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	Capabilities
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: duplex
                            
                            	Duplex
                            	**type**\:  :py:class:`CdpDuplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CdpDuplex>`
                            
                            	**config**\: False
                            
                            .. attribute:: nativevlan
                            
                            	Native Vlan
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: mtu
                            
                            	MTU
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: sysname
                            
                            	System Name
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sysloc
                            
                            	System Location
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: mgmt_items
                            
                            	
                            	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: intf_items
                            
                            	
                            	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: adjstats_items
                            
                            	
                            	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList, self).__init__()

                                self.yang_name = "AdjEp-list"
                                self.yang_parent_name = "adj-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['index']
                                self._child_classes = OrderedDict([("mgmt-items", ("mgmt_items", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems)), ("intf-items", ("intf_items", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems)), ("adjstats-items", ("adjstats_items", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems))])
                                self._leafs = OrderedDict([
                                    ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                    ('ver', (YLeaf(YType.str, 'ver'), ['str'])),
                                    ('devid', (YLeaf(YType.str, 'devId'), ['str'])),
                                    ('portid', (YLeaf(YType.str, 'portId'), ['str'])),
                                    ('platid', (YLeaf(YType.str, 'platId'), ['str'])),
                                    ('cap', (YLeaf(YType.str, 'cap'), ['str'])),
                                    ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CdpDuplex', '')])),
                                    ('nativevlan', (YLeaf(YType.uint16, 'nativeVlan'), ['int'])),
                                    ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                                    ('sysname', (YLeaf(YType.str, 'sysName'), ['str'])),
                                    ('sysloc', (YLeaf(YType.str, 'sysLoc'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.index = None
                                self.ver = None
                                self.devid = None
                                self.portid = None
                                self.platid = None
                                self.cap = None
                                self.duplex = None
                                self.nativevlan = None
                                self.mtu = None
                                self.sysname = None
                                self.sysloc = None
                                self.name = None

                                self.mgmt_items = System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems()
                                self.mgmt_items.parent = self
                                self._children_name_map["mgmt_items"] = "mgmt-items"

                                self.intf_items = System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems()
                                self.intf_items.parent = self
                                self._children_name_map["intf_items"] = "intf-items"

                                self.adjstats_items = System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems()
                                self.adjstats_items.parent = self
                                self._children_name_map["adjstats_items"] = "adjstats-items"
                                self._segment_path = lambda: "AdjEp-list" + "[index='" + str(self.index) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList, ['index', 'ver', 'devid', 'portid', 'platid', 'cap', 'duplex', 'nativevlan', 'mtu', 'sysname', 'sysloc', 'name'], name, value)


                            class MgmtItems(Entity):
                                """
                                
                                
                                .. attribute:: mgmtaddr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MgmtAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems.MgmtAddrList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems, self).__init__()

                                    self.yang_name = "mgmt-items"
                                    self.yang_parent_name = "AdjEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("MgmtAddr-list", ("mgmtaddr_list", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems.MgmtAddrList))])
                                    self._leafs = OrderedDict()

                                    self.mgmtaddr_list = YList(self)
                                    self._segment_path = lambda: "mgmt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems, [], name, value)


                                class MgmtAddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems.MgmtAddrList, self).__init__()

                                        self.yang_name = "MgmtAddr-list"
                                        self.yang_parent_name = "mgmt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ])
                                        self.addr = None
                                        self._segment_path = lambda: "MgmtAddr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.MgmtItems.MgmtAddrList, ['addr'], name, value)




                            class IntfItems(Entity):
                                """
                                
                                
                                .. attribute:: intfaddr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IntfAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems.IntfAddrList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems, self).__init__()

                                    self.yang_name = "intf-items"
                                    self.yang_parent_name = "AdjEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("IntfAddr-list", ("intfaddr_list", System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems.IntfAddrList))])
                                    self._leafs = OrderedDict()

                                    self.intfaddr_list = YList(self)
                                    self._segment_path = lambda: "intf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems, [], name, value)


                                class IntfAddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems.IntfAddrList, self).__init__()

                                        self.yang_name = "IntfAddr-list"
                                        self.yang_parent_name = "intf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ])
                                        self.addr = None
                                        self._segment_path = lambda: "IntfAddr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.IntfItems.IntfAddrList, ['addr'], name, value)




                            class AdjstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: adjexpts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems, self).__init__()

                                    self.yang_name = "adjstats-items"
                                    self.yang_parent_name = "AdjEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('adjexpts', (YLeaf(YType.str, 'adjExpTs'), ['str'])),
                                    ])
                                    self.adjexpts = None
                                    self._segment_path = lambda: "adjstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems, ['adjexpts'], name, value)





                    class IfstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: v1sent
                        
                        	Number of V1 Packets Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: v2sent
                        
                        	Number of V2 Packets Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: failedsent
                        
                        	Number of Packets Failed to Send
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: validv1rcvd
                        
                        	Number of Valid V1 Packets Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: validv2rcvd
                        
                        	Number of Valid V2 Packets Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: unsupverrcvd
                        
                        	Number of Unsupported Version Packets Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cksumerrrcvd
                        
                        	Number of Checksum Error Packets Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: malformrcvd
                        
                        	Number of Malform Packets Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CdpItems.InstItems.IfItems.IfList.IfstatsItems, self).__init__()

                            self.yang_name = "ifstats-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('v1sent', (YLeaf(YType.uint32, 'v1Sent'), ['int'])),
                                ('v2sent', (YLeaf(YType.uint32, 'v2Sent'), ['int'])),
                                ('failedsent', (YLeaf(YType.uint32, 'failedSent'), ['int'])),
                                ('validv1rcvd', (YLeaf(YType.uint32, 'validV1Rcvd'), ['int'])),
                                ('validv2rcvd', (YLeaf(YType.uint32, 'validV2Rcvd'), ['int'])),
                                ('unsupverrcvd', (YLeaf(YType.uint32, 'unSupVerRcvd'), ['int'])),
                                ('cksumerrrcvd', (YLeaf(YType.uint32, 'cksumErrRcvd'), ['int'])),
                                ('malformrcvd', (YLeaf(YType.uint32, 'malformRcvd'), ['int'])),
                            ])
                            self.v1sent = None
                            self.v2sent = None
                            self.failedsent = None
                            self.validv1rcvd = None
                            self.validv2rcvd = None
                            self.unsupverrcvd = None
                            self.cksumerrrcvd = None
                            self.malformrcvd = None
                            self._segment_path = lambda: "ifstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.IfstatsItems, ['v1sent', 'v2sent', 'failedsent', 'validv1rcvd', 'validv2rcvd', 'unsupverrcvd', 'cksumerrrcvd', 'malformrcvd'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CdpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CdpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class LldpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.LldpItems, self).__init__()

            self.yang_name = "lldp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.LldpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.LldpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "lldp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.LldpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: holdtime
            
            	Hold Time
            	**type**\: int
            
            	**range:** 1..255
            
            .. attribute:: initdelaytime
            
            	Init Delay Time
            	**type**\: int
            
            	**range:** 1..10
            
            .. attribute:: txfreq
            
            	Transmission Frequency
            	**type**\: int
            
            	**range:** 1..254
            
            .. attribute:: opttlvsel
            
            	Optional TLV Selector
            	**type**\: str
            
            .. attribute:: sysdesc
            
            	System Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: portidsubtype
            
            	PortId SubType
            	**type**\:  :py:class:`LldpPortIdSubType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LldpPortIdSubType>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: mgmt_items
            
            	
            	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.MgmtItems>`
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems>`
            
            .. attribute:: inststats_items
            
            	
            	**type**\:  :py:class:`InststatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.InststatsItems>`
            
            .. attribute:: rslldpinstpolcons_items
            
            	
            	**type**\:  :py:class:`RslldpInstPolConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.RslldpInstPolConsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LldpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "lldp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("mgmt-items", ("mgmt_items", System.LldpItems.InstItems.MgmtItems)), ("if-items", ("if_items", System.LldpItems.InstItems.IfItems)), ("inststats-items", ("inststats_items", System.LldpItems.InstItems.InststatsItems)), ("rslldpInstPolCons-items", ("rslldpinstpolcons_items", System.LldpItems.InstItems.RslldpInstPolConsItems))])
                self._leafs = OrderedDict([
                    ('holdtime', (YLeaf(YType.uint16, 'holdTime'), ['int'])),
                    ('initdelaytime', (YLeaf(YType.uint16, 'initDelayTime'), ['int'])),
                    ('txfreq', (YLeaf(YType.uint16, 'txFreq'), ['int'])),
                    ('opttlvsel', (YLeaf(YType.str, 'optTlvSel'), ['str'])),
                    ('sysdesc', (YLeaf(YType.str, 'sysDesc'), ['str'])),
                    ('portidsubtype', (YLeaf(YType.enumeration, 'portIdSubType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LldpPortIdSubType', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.holdtime = None
                self.initdelaytime = None
                self.txfreq = None
                self.opttlvsel = None
                self.sysdesc = None
                self.portidsubtype = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.mgmt_items = System.LldpItems.InstItems.MgmtItems()
                self.mgmt_items.parent = self
                self._children_name_map["mgmt_items"] = "mgmt-items"

                self.if_items = System.LldpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"

                self.inststats_items = System.LldpItems.InstItems.InststatsItems()
                self.inststats_items.parent = self
                self._children_name_map["inststats_items"] = "inststats-items"

                self.rslldpinstpolcons_items = System.LldpItems.InstItems.RslldpInstPolConsItems()
                self.rslldpinstpolcons_items.parent = self
                self._children_name_map["rslldpinstpolcons_items"] = "rslldpInstPolCons-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LldpItems.InstItems, ['holdtime', 'initdelaytime', 'txfreq', 'opttlvsel', 'sysdesc', 'portidsubtype', 'name', 'adminst', 'ctrl'], name, value)


            class MgmtItems(Entity):
                """
                
                
                .. attribute:: mgmtaddr_list
                
                	
                	**type**\: list of  		 :py:class:`MgmtAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.MgmtItems.MgmtAddrList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LldpItems.InstItems.MgmtItems, self).__init__()

                    self.yang_name = "mgmt-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MgmtAddr-list", ("mgmtaddr_list", System.LldpItems.InstItems.MgmtItems.MgmtAddrList))])
                    self._leafs = OrderedDict()

                    self.mgmtaddr_list = YList(self)
                    self._segment_path = lambda: "mgmt-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LldpItems.InstItems.MgmtItems, [], name, value)


                class MgmtAddrList(Entity):
                    """
                    
                    
                    .. attribute:: addr  (key)
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LldpItems.InstItems.MgmtItems.MgmtAddrList, self).__init__()

                        self.yang_name = "MgmtAddr-list"
                        self.yang_parent_name = "mgmt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['addr']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                        ])
                        self.addr = None
                        self._segment_path = lambda: "MgmtAddr-list" + "[addr='" + str(self.addr) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/mgmt-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LldpItems.InstItems.MgmtItems.MgmtAddrList, ['addr'], name, value)




            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LldpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.LldpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LldpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: adminrxst
                    
                    	Admin Receive State
                    	**type**\:  :py:class:`LldpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LldpAdminSt>`
                    
                    .. attribute:: admintxst
                    
                    	Admin Transmit State
                    	**type**\:  :py:class:`LldpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LldpAdminSt>`
                    
                    .. attribute:: sysdesc
                    
                    	System Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: tlvsetvlan
                    
                    	Tlv vlan
                    	**type**\: int
                    
                    	**range:** 0..4094
                    
                    .. attribute:: tlvsetmgmtipv4
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: tlvsetmgmtipv6
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: portdesc
                    
                    	Port Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: adj_items
                    
                    	
                    	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.AdjItems>`
                    
                    .. attribute:: ctrlradj_items
                    
                    	
                    	**type**\:  :py:class:`CtrlradjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems>`
                    
                    .. attribute:: ifstats_items
                    
                    	
                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.IfstatsItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LldpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("adj-items", ("adj_items", System.LldpItems.InstItems.IfItems.IfList.AdjItems)), ("ctrlradj-items", ("ctrlradj_items", System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems)), ("ifstats-items", ("ifstats_items", System.LldpItems.InstItems.IfItems.IfList.IfstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.LldpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('adminrxst', (YLeaf(YType.enumeration, 'adminRxSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LldpAdminSt', '')])),
                            ('admintxst', (YLeaf(YType.enumeration, 'adminTxSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LldpAdminSt', '')])),
                            ('sysdesc', (YLeaf(YType.str, 'sysDesc'), ['str'])),
                            ('tlvsetvlan', (YLeaf(YType.uint16, 'tlvSetVlan'), ['int'])),
                            ('tlvsetmgmtipv4', (YLeaf(YType.str, 'tlvSetMgmtIpv4'), ['str','str'])),
                            ('tlvsetmgmtipv6', (YLeaf(YType.str, 'tlvSetMgmtIpv6'), ['str','str'])),
                            ('portdesc', (YLeaf(YType.str, 'portDesc'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.adminrxst = None
                        self.admintxst = None
                        self.sysdesc = None
                        self.tlvsetvlan = None
                        self.tlvsetmgmtipv4 = None
                        self.tlvsetmgmtipv6 = None
                        self.portdesc = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.adj_items = System.LldpItems.InstItems.IfItems.IfList.AdjItems()
                        self.adj_items.parent = self
                        self._children_name_map["adj_items"] = "adj-items"

                        self.ctrlradj_items = System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems()
                        self.ctrlradj_items.parent = self
                        self._children_name_map["ctrlradj_items"] = "ctrlradj-items"

                        self.ifstats_items = System.LldpItems.InstItems.IfItems.IfList.IfstatsItems()
                        self.ifstats_items.parent = self
                        self._children_name_map["ifstats_items"] = "ifstats-items"

                        self.rtvrfmbr_items = System.LldpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList, ['id', 'adminrxst', 'admintxst', 'sysdesc', 'tlvsetvlan', 'tlvsetmgmtipv4', 'tlvsetmgmtipv6', 'portdesc', 'name', 'descr', 'adminst'], name, value)


                    class AdjItems(Entity):
                        """
                        
                        
                        .. attribute:: adjep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LldpItems.InstItems.IfItems.IfList.AdjItems, self).__init__()

                            self.yang_name = "adj-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList))])
                            self._leafs = OrderedDict()

                            self.adjep_list = YList(self)
                            self._segment_path = lambda: "adj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.AdjItems, [], name, value)


                        class AdjEpList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: chassisidt
                            
                            	Chassis ID Type
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: chassisidv
                            
                            	Chassis ID Value
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: portidt
                            
                            	Port ID Type
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: portidv
                            
                            	Port ID Value
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sysname
                            
                            	System Name
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sysdesc
                            
                            	System Description
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: portdesc
                            
                            	Port Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: capability
                            
                            	Capability
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap
                            
                            	Enabled Capability
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mgmtip
                            
                            	Management Address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: portvlan
                            
                            	Port Vlan
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: adjstats_items
                            
                            	
                            	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList, self).__init__()

                                self.yang_name = "AdjEp-list"
                                self.yang_parent_name = "adj-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                    ('chassisidt', (YLeaf(YType.uint8, 'chassisIdT'), ['int'])),
                                    ('chassisidv', (YLeaf(YType.str, 'chassisIdV'), ['str'])),
                                    ('portidt', (YLeaf(YType.uint8, 'portIdT'), ['int'])),
                                    ('portidv', (YLeaf(YType.str, 'portIdV'), ['str'])),
                                    ('sysname', (YLeaf(YType.str, 'sysName'), ['str'])),
                                    ('sysdesc', (YLeaf(YType.str, 'sysDesc'), ['str'])),
                                    ('portdesc', (YLeaf(YType.str, 'portDesc'), ['str'])),
                                    ('capability', (YLeaf(YType.str, 'capability'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'enCap'), ['str'])),
                                    ('mgmtip', (YLeaf(YType.str, 'mgmtIp'), ['str','str'])),
                                    ('portvlan', (YLeaf(YType.uint16, 'portVlan'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.id = None
                                self.chassisidt = None
                                self.chassisidv = None
                                self.portidt = None
                                self.portidv = None
                                self.sysname = None
                                self.sysdesc = None
                                self.portdesc = None
                                self.capability = None
                                self.encap = None
                                self.mgmtip = None
                                self.portvlan = None
                                self.name = None

                                self.adjstats_items = System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems()
                                self.adjstats_items.parent = self
                                self._children_name_map["adjstats_items"] = "adjstats-items"
                                self._segment_path = lambda: "AdjEp-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList, ['id', 'chassisidt', 'chassisidv', 'portidt', 'portidv', 'sysname', 'sysdesc', 'portdesc', 'capability', 'encap', 'mgmtip', 'portvlan', 'name'], name, value)


                            class AdjstatsItems(Entity):
                                """
                                
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.LldpItems.InstItems.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems, self).__init__()

                                    self.yang_name = "adjstats-items"
                                    self.yang_parent_name = "AdjEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict()
                                    self._segment_path = lambda: "adjstats-items"
                                    self._is_frozen = True





                    class CtrlradjItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	Controller ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: rsctrlradjeptostadjep_items
                        
                        	
                        	**type**\:  :py:class:`RsctrlrAdjEpToStAdjEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems.RsctrlrAdjEpToStAdjEpItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems, self).__init__()

                            self.yang_name = "ctrlradj-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rsctrlrAdjEpToStAdjEp-items", ("rsctrlradjeptostadjep_items", System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems.RsctrlrAdjEpToStAdjEpItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                            ])
                            self.id = None

                            self.rsctrlradjeptostadjep_items = System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems.RsctrlrAdjEpToStAdjEpItems()
                            self.rsctrlradjeptostadjep_items.parent = self
                            self._children_name_map["rsctrlradjeptostadjep_items"] = "rsctrlrAdjEpToStAdjEp-items"
                            self._segment_path = lambda: "ctrlradj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems, ['id'], name, value)


                        class RsctrlrAdjEpToStAdjEpItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems.RsctrlrAdjEpToStAdjEpItems, self).__init__()

                                self.yang_name = "rsctrlrAdjEpToStAdjEp-items"
                                self.yang_parent_name = "ctrlradj-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsctrlrAdjEpToStAdjEp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.CtrlradjItems.RsctrlrAdjEpToStAdjEpItems, ['tdn', 'tcl'], name, value)




                    class IfstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: pktsent
                        
                        	Number of Packets Sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: pktrcvd
                        
                        	Number of Packets Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: entriesaged
                        
                        	Number of Entries Aged
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: errpktrcvd
                        
                        	Number of Packets Received in Error
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: pktdiscarded
                        
                        	Number of Packets Discarded
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: unrecogtlv
                        
                        	Number of Unrecognized TLVs
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LldpItems.InstItems.IfItems.IfList.IfstatsItems, self).__init__()

                            self.yang_name = "ifstats-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pktsent', (YLeaf(YType.uint64, 'pktSent'), ['int'])),
                                ('pktrcvd', (YLeaf(YType.uint64, 'pktRcvd'), ['int'])),
                                ('entriesaged', (YLeaf(YType.uint64, 'entriesAged'), ['int'])),
                                ('errpktrcvd', (YLeaf(YType.uint64, 'errPktRcvd'), ['int'])),
                                ('pktdiscarded', (YLeaf(YType.uint64, 'pktDiscarded'), ['int'])),
                                ('unrecogtlv', (YLeaf(YType.uint64, 'unrecogTLV'), ['int'])),
                            ])
                            self.pktsent = None
                            self.pktrcvd = None
                            self.entriesaged = None
                            self.errpktrcvd = None
                            self.pktdiscarded = None
                            self.unrecogtlv = None
                            self._segment_path = lambda: "ifstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.IfstatsItems, ['pktsent', 'pktrcvd', 'entriesaged', 'errpktrcvd', 'pktdiscarded', 'unrecogtlv'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LldpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.LldpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class InststatsItems(Entity):
                """
                
                
                .. attribute:: pktsent
                
                	Number of Packets Sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pktrcvd
                
                	Number of Packets Received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: entriesaged
                
                	Number of Entries Aged
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errpktrcvd
                
                	Number of Packets Received in Error
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pktdiscarded
                
                	Number of Packets Discarded
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: unrecogtlv
                
                	Number of Unrecognized TLVs
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LldpItems.InstItems.InststatsItems, self).__init__()

                    self.yang_name = "inststats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('pktsent', (YLeaf(YType.uint64, 'pktSent'), ['int'])),
                        ('pktrcvd', (YLeaf(YType.uint64, 'pktRcvd'), ['int'])),
                        ('entriesaged', (YLeaf(YType.uint64, 'entriesAged'), ['int'])),
                        ('errpktrcvd', (YLeaf(YType.uint64, 'errPktRcvd'), ['int'])),
                        ('pktdiscarded', (YLeaf(YType.uint64, 'pktDiscarded'), ['int'])),
                        ('unrecogtlv', (YLeaf(YType.uint64, 'unrecogTLV'), ['int'])),
                    ])
                    self.pktsent = None
                    self.pktrcvd = None
                    self.entriesaged = None
                    self.errpktrcvd = None
                    self.pktdiscarded = None
                    self.unrecogtlv = None
                    self._segment_path = lambda: "inststats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LldpItems.InstItems.InststatsItems, ['pktsent', 'pktrcvd', 'entriesaged', 'errpktrcvd', 'pktdiscarded', 'unrecogtlv'], name, value)



            class RslldpInstPolConsItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LldpItems.InstItems.RslldpInstPolConsItems, self).__init__()

                    self.yang_name = "rslldpInstPolCons-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rslldpInstPolCons-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/lldp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LldpItems.InstItems.RslldpInstPolConsItems, ['tdn', 'tcl'], name, value)





    class McpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.McpItems, self).__init__()

            self.yang_name = "mcp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.McpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.McpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "mcp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.McpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: txfreq
            
            	Transmission Frequency
            	**type**\: int
            
            	**range:** 2..300
            
            	**config**\: False
            
            .. attribute:: loopdetectmult
            
            	TBD
            	**type**\: int
            
            	**range:** 1..32
            
            	**config**\: False
            
            .. attribute:: key
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.McpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "mcp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.McpItems.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('txfreq', (YLeaf(YType.uint16, 'txFreq'), ['int'])),
                    ('loopdetectmult', (YLeaf(YType.uint8, 'loopDetectMult'), ['int'])),
                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.txfreq = None
                self.loopdetectmult = None
                self.key = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.McpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.McpItems.InstItems, ['txfreq', 'loopdetectmult', 'key', 'name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems.IfItems.IfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.McpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.McpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.McpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	TBD
                    	**type**\:  :py:class:`McpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McpOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.McpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.McpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McpOperSt', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.rtvrfmbr_items = System.McpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.McpItems.InstItems.IfItems.IfList, ['id', 'operst', 'name', 'descr', 'adminst'], name, value)


                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.McpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.McpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.McpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class VpcItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VpcItems, self).__init__()

            self.yang_name = "vpc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.VpcItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.VpcItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vpc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VpcItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: orphan_items
            
            	
            	**type**\:  :py:class:`OrphanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.OrphanItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VpcItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vpc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("orphan-items", ("orphan_items", System.VpcItems.InstItems.OrphanItems)), ("dom-items", ("dom_items", System.VpcItems.InstItems.DomItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.orphan_items = System.VpcItems.InstItems.OrphanItems()
                self.orphan_items.parent = self
                self._children_name_map["orphan_items"] = "orphan-items"

                self.dom_items = System.VpcItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VpcItems.InstItems, ['name', 'adminst', 'ctrl', 'opererr'], name, value)


            class OrphanItems(Entity):
                """
                
                
                .. attribute:: orphanport_list
                
                	
                	**type**\: list of  		 :py:class:`OrphanPortList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.OrphanItems.OrphanPortList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VpcItems.InstItems.OrphanItems, self).__init__()

                    self.yang_name = "orphan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("OrphanPort-list", ("orphanport_list", System.VpcItems.InstItems.OrphanItems.OrphanPortList))])
                    self._leafs = OrderedDict()

                    self.orphanport_list = YList(self)
                    self._segment_path = lambda: "orphan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VpcItems.InstItems.OrphanItems, [], name, value)


                class OrphanPortList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcItems.InstItems.OrphanItems.OrphanPortList, self).__init__()

                        self.yang_name = "OrphanPort-list"
                        self.yang_parent_name = "orphan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.rtvrfmbr_items = System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "OrphanPort-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/orphan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcItems.InstItems.OrphanItems.OrphanPortList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "OrphanPort-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "OrphanPort-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.OrphanItems.OrphanPortList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class DomItems(Entity):
                """
                
                
                .. attribute:: id
                
                	Domain ID
                	**type**\: int
                
                	**range:** 1..1000
                
                .. attribute:: peerip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: virtualip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: dscp
                
                	DSCP
                	**type**\: int
                
                	**range:** 0..63
                
                .. attribute:: sysprio
                
                	System Priority
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: sysmac
                
                	
                	**type**\: str
                
                .. attribute:: roleprio
                
                	Role Priority
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: peergwexcludevlan
                
                	Exclude VLAN List
                	**type**\: str
                
                .. attribute:: peergw
                
                	Peer Gateway
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: grcflcnstncychck
                
                	Graceful Type\-1 Consistency Check
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: track
                
                	Tracking object to suspend vPC if object goes down
                	**type**\: int
                
                	**range:** 0..500
                
                .. attribute:: autorecovery
                
                	Auto Recovery
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: autorecoveryintvl
                
                	Auto Recovery interval
                	**type**\: int
                
                	**range:** 60..86400
                
                .. attribute:: peerswitch
                
                	vPC pair switches
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: delayrestorevpc
                
                	Delay restore for vPC links
                	**type**\: int
                
                	**range:** 1..3600
                
                .. attribute:: delayrestoresvi
                
                	Delay restore for SVI
                	**type**\: int
                
                	**range:** 1..3600
                
                .. attribute:: delaypeerlinkbringup
                
                	Peer link delay timer
                	**type**\: int
                
                	**range:** 0..7200
                
                .. attribute:: excludesvi
                
                	SVI List excluded from suspension when dual\-active
                	**type**\: str
                
                .. attribute:: adminst
                
                	vPC suspend locally
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: fastconvergence
                
                	Fast Convergence
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: l3peerrouter
                
                	L3 Peer Router
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: l3peerroutersyslog
                
                	L3 Peer Router Syslog
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: l3peerroutersysloginterval
                
                	L3 Peer Router Syslog Interval
                	**type**\: int
                
                	**range:** 1..3600
                
                .. attribute:: operrole
                
                	Operational Role
                	**type**\:  :py:class:`VpcRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcRole>`
                
                	**config**\: False
                
                .. attribute:: oldrole
                
                	Old Role
                	**type**\:  :py:class:`VpcRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcRole>`
                
                	**config**\: False
                
                .. attribute:: lacprole
                
                	Lacp Role
                	**type**\:  :py:class:`VpcRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcRole>`
                
                	**config**\: False
                
                .. attribute:: summoperrole
                
                	Summarized Oper Role
                	**type**\:  :py:class:`VpcSummRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcSummRole>`
                
                	**config**\: False
                
                .. attribute:: localprio
                
                	Local System Priority
                	**type**\: int
                
                	**range:** 1..65535
                
                	**config**\: False
                
                .. attribute:: peerprio
                
                	Peer System Priority
                	**type**\: int
                
                	**range:** 1..65535
                
                	**config**\: False
                
                .. attribute:: vpcprio
                
                	Vpc System Priority
                	**type**\: int
                
                	**range:** 1..65535
                
                	**config**\: False
                
                .. attribute:: localmac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peermac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: vpcmac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peerversion
                
                	Peer Version
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: batchedvpcinv
                
                	Batched Vpc Inventory
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: issufromver
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: issutover
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peerst
                
                	Peer State
                	**type**\:  :py:class:`VpcPeerSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcPeerSt>`
                
                	**config**\: False
                
                .. attribute:: peerstqual
                
                	Peer Status Qualifier
                	**type**\:  :py:class:`VpcPeerStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcPeerStQual>`
                
                	**config**\: False
                
                .. attribute:: dualactivest
                
                	Dual Active Status
                	**type**\:  :py:class:`VpcDualActiveSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcDualActiveSt>`
                
                	**config**\: False
                
                .. attribute:: compatst
                
                	Compatibility Status
                	**type**\:  :py:class:`VpcCompatSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcCompatSt>`
                
                	**config**\: False
                
                .. attribute:: compatqual
                
                	Compatibility Qualifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: compatqualstr
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: type2compatst
                
                	Type\-2 Compatibility Status
                	**type**\:  :py:class:`VpcCompatSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcCompatSt>`
                
                	**config**\: False
                
                .. attribute:: type2compatqual
                
                	Type\-2 Compatibility Qualifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type2compatqualstr
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: if_items
                
                	
                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems>`
                
                .. attribute:: keepalive_items
                
                	
                	**type**\:  :py:class:`KeepaliveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.KeepaliveItems>`
                
                .. attribute:: params_items
                
                	
                	**type**\:  :py:class:`ParamsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.ParamsItems>`
                
                .. attribute:: rsvpcinstpolcons_items
                
                	
                	**type**\:  :py:class:`RsvpcInstPolConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.RsvpcInstPolConsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VpcItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("if-items", ("if_items", System.VpcItems.InstItems.DomItems.IfItems)), ("keepalive-items", ("keepalive_items", System.VpcItems.InstItems.DomItems.KeepaliveItems)), ("params-items", ("params_items", System.VpcItems.InstItems.DomItems.ParamsItems)), ("rsvpcInstPolCons-items", ("rsvpcinstpolcons_items", System.VpcItems.InstItems.DomItems.RsvpcInstPolConsItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                        ('peerip', (YLeaf(YType.str, 'peerIp'), ['str','str'])),
                        ('virtualip', (YLeaf(YType.str, 'virtualIp'), ['str','str'])),
                        ('dscp', (YLeaf(YType.uint16, 'dscp'), ['int'])),
                        ('sysprio', (YLeaf(YType.uint16, 'sysPrio'), ['int'])),
                        ('sysmac', (YLeaf(YType.str, 'sysMac'), ['str'])),
                        ('roleprio', (YLeaf(YType.uint16, 'rolePrio'), ['int'])),
                        ('peergwexcludevlan', (YLeaf(YType.str, 'peerGWExcludeVLAN'), ['str'])),
                        ('peergw', (YLeaf(YType.enumeration, 'peerGw'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('grcflcnstncychck', (YLeaf(YType.enumeration, 'grcflCnstncyChck'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('track', (YLeaf(YType.uint16, 'track'), ['int'])),
                        ('autorecovery', (YLeaf(YType.enumeration, 'autoRecovery'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('autorecoveryintvl', (YLeaf(YType.uint32, 'autoRecoveryIntvl'), ['int'])),
                        ('peerswitch', (YLeaf(YType.enumeration, 'peerSwitch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('delayrestorevpc', (YLeaf(YType.uint16, 'delayRestoreVPC'), ['int'])),
                        ('delayrestoresvi', (YLeaf(YType.uint16, 'delayRestoreSVI'), ['int'])),
                        ('delaypeerlinkbringup', (YLeaf(YType.uint16, 'delayPeerLinkBringup'), ['int'])),
                        ('excludesvi', (YLeaf(YType.str, 'excludeSVI'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('fastconvergence', (YLeaf(YType.enumeration, 'fastConvergence'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('l3peerrouter', (YLeaf(YType.enumeration, 'l3PeerRouter'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('l3peerroutersyslog', (YLeaf(YType.enumeration, 'l3PeerRouterSyslog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('l3peerroutersysloginterval', (YLeaf(YType.uint16, 'l3PeerRouterSyslogInterval'), ['int'])),
                        ('operrole', (YLeaf(YType.enumeration, 'operRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcRole', '')])),
                        ('oldrole', (YLeaf(YType.enumeration, 'oldRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcRole', '')])),
                        ('lacprole', (YLeaf(YType.enumeration, 'lacpRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcRole', '')])),
                        ('summoperrole', (YLeaf(YType.enumeration, 'summOperRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcSummRole', '')])),
                        ('localprio', (YLeaf(YType.uint16, 'localPrio'), ['int'])),
                        ('peerprio', (YLeaf(YType.uint16, 'peerPrio'), ['int'])),
                        ('vpcprio', (YLeaf(YType.uint16, 'vpcPrio'), ['int'])),
                        ('localmac', (YLeaf(YType.str, 'localMAC'), ['str'])),
                        ('peermac', (YLeaf(YType.str, 'peerMAC'), ['str'])),
                        ('vpcmac', (YLeaf(YType.str, 'vpcMAC'), ['str'])),
                        ('operst', (YLeaf(YType.str, 'operSt'), ['str'])),
                        ('peerversion', (YLeaf(YType.uint32, 'peerVersion'), ['int'])),
                        ('batchedvpcinv', (YLeaf(YType.str, 'batchedVpcInv'), ['str'])),
                        ('issufromver', (YLeaf(YType.str, 'issuFromVer'), ['str'])),
                        ('issutover', (YLeaf(YType.str, 'issuToVer'), ['str'])),
                        ('peerst', (YLeaf(YType.enumeration, 'peerSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcPeerSt', '')])),
                        ('peerstqual', (YLeaf(YType.enumeration, 'peerStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcPeerStQual', '')])),
                        ('dualactivest', (YLeaf(YType.enumeration, 'dualActiveSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcDualActiveSt', '')])),
                        ('compatst', (YLeaf(YType.enumeration, 'compatSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcCompatSt', '')])),
                        ('compatqual', (YLeaf(YType.uint32, 'compatQual'), ['int'])),
                        ('compatqualstr', (YLeaf(YType.str, 'compatQualStr'), ['str'])),
                        ('type2compatst', (YLeaf(YType.enumeration, 'type2CompatSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcCompatSt', '')])),
                        ('type2compatqual', (YLeaf(YType.uint32, 'type2CompatQual'), ['int'])),
                        ('type2compatqualstr', (YLeaf(YType.str, 'type2CompatQualStr'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.id = None
                    self.peerip = None
                    self.virtualip = None
                    self.dscp = None
                    self.sysprio = None
                    self.sysmac = None
                    self.roleprio = None
                    self.peergwexcludevlan = None
                    self.peergw = None
                    self.grcflcnstncychck = None
                    self.track = None
                    self.autorecovery = None
                    self.autorecoveryintvl = None
                    self.peerswitch = None
                    self.delayrestorevpc = None
                    self.delayrestoresvi = None
                    self.delaypeerlinkbringup = None
                    self.excludesvi = None
                    self.adminst = None
                    self.fastconvergence = None
                    self.l3peerrouter = None
                    self.l3peerroutersyslog = None
                    self.l3peerroutersysloginterval = None
                    self.operrole = None
                    self.oldrole = None
                    self.lacprole = None
                    self.summoperrole = None
                    self.localprio = None
                    self.peerprio = None
                    self.vpcprio = None
                    self.localmac = None
                    self.peermac = None
                    self.vpcmac = None
                    self.operst = None
                    self.peerversion = None
                    self.batchedvpcinv = None
                    self.issufromver = None
                    self.issutover = None
                    self.peerst = None
                    self.peerstqual = None
                    self.dualactivest = None
                    self.compatst = None
                    self.compatqual = None
                    self.compatqualstr = None
                    self.type2compatst = None
                    self.type2compatqual = None
                    self.type2compatqualstr = None
                    self.name = None

                    self.if_items = System.VpcItems.InstItems.DomItems.IfItems()
                    self.if_items.parent = self
                    self._children_name_map["if_items"] = "if-items"

                    self.keepalive_items = System.VpcItems.InstItems.DomItems.KeepaliveItems()
                    self.keepalive_items.parent = self
                    self._children_name_map["keepalive_items"] = "keepalive-items"

                    self.params_items = System.VpcItems.InstItems.DomItems.ParamsItems()
                    self.params_items.parent = self
                    self._children_name_map["params_items"] = "params-items"

                    self.rsvpcinstpolcons_items = System.VpcItems.InstItems.DomItems.RsvpcInstPolConsItems()
                    self.rsvpcinstpolcons_items.parent = self
                    self._children_name_map["rsvpcinstpolcons_items"] = "rsvpcInstPolCons-items"
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VpcItems.InstItems.DomItems, ['id', 'peerip', 'virtualip', 'dscp', 'sysprio', 'sysmac', 'roleprio', 'peergwexcludevlan', 'peergw', 'grcflcnstncychck', 'track', 'autorecovery', 'autorecoveryintvl', 'peerswitch', 'delayrestorevpc', 'delayrestoresvi', 'delaypeerlinkbringup', 'excludesvi', 'adminst', 'fastconvergence', 'l3peerrouter', 'l3peerroutersyslog', 'l3peerroutersysloginterval', 'operrole', 'oldrole', 'lacprole', 'summoperrole', 'localprio', 'peerprio', 'vpcprio', 'localmac', 'peermac', 'vpcmac', 'operst', 'peerversion', 'batchedvpcinv', 'issufromver', 'issutover', 'peerst', 'peerstqual', 'dualactivest', 'compatst', 'compatqual', 'compatqualstr', 'type2compatst', 'type2compatqual', 'type2compatqualstr', 'name'], name, value)


                class IfItems(Entity):
                    """
                    
                    
                    .. attribute:: if_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcItems.InstItems.DomItems.IfItems, self).__init__()

                        self.yang_name = "if-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("If-list", ("if_list", System.VpcItems.InstItems.DomItems.IfItems.IfList))])
                        self._leafs = OrderedDict()

                        self.if_list = YList(self)
                        self._segment_path = lambda: "if-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems, [], name, value)


                    class IfList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	VPC ID
                        	**type**\: int
                        
                        	**range:** 1..16384
                        
                        .. attribute:: localoperst
                        
                        	Local Operational State
                        	**type**\:  :py:class:`VpcOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: remoteoperst
                        
                        	Remote Operational State
                        	**type**\:  :py:class:`VpcOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: compatst
                        
                        	Compatibility Status
                        	**type**\:  :py:class:`VpcCompatSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcCompatSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: compatqual
                        
                        	Compatibility Qualifier
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: compatqualstr
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: cfgdvlans
                        
                        	Configured Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: cfgdtrunkvlans
                        
                        	Configured Trunk Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: cfgdaccessvlan
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upvlans
                        
                        	Up Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: suspvlans
                        
                        	Suspended Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peercfgdvlans
                        
                        	Peer Configured Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerupvlans
                        
                        	Peer Up Vlans
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: params_items
                        
                        	
                        	**type**\:  :py:class:`ParamsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems>`
                        
                        .. attribute:: rsvpcconf_items
                        
                        	
                        	**type**\:  :py:class:`RsvpcConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList.RsvpcConfItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcItems.InstItems.DomItems.IfItems.IfList, self).__init__()

                            self.yang_name = "If-list"
                            self.yang_parent_name = "if-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("params-items", ("params_items", System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems)), ("rsvpcConf-items", ("rsvpcconf_items", System.VpcItems.InstItems.DomItems.IfItems.IfList.RsvpcConfItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                ('localoperst', (YLeaf(YType.enumeration, 'localOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcOperSt', '')])),
                                ('remoteoperst', (YLeaf(YType.enumeration, 'remoteOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcOperSt', '')])),
                                ('compatst', (YLeaf(YType.enumeration, 'compatSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcCompatSt', '')])),
                                ('compatqual', (YLeaf(YType.uint32, 'compatQual'), ['int'])),
                                ('compatqualstr', (YLeaf(YType.str, 'compatQualStr'), ['str'])),
                                ('cfgdvlans', (YLeaf(YType.str, 'cfgdVlans'), ['str'])),
                                ('cfgdtrunkvlans', (YLeaf(YType.str, 'cfgdTrunkVlans'), ['str'])),
                                ('cfgdaccessvlan', (YLeaf(YType.str, 'cfgdAccessVlan'), ['str'])),
                                ('upvlans', (YLeaf(YType.str, 'upVlans'), ['str'])),
                                ('suspvlans', (YLeaf(YType.str, 'suspVlans'), ['str'])),
                                ('peercfgdvlans', (YLeaf(YType.str, 'peerCfgdVlans'), ['str'])),
                                ('peerupvlans', (YLeaf(YType.str, 'peerUpVlans'), ['str'])),
                            ])
                            self.id = None
                            self.localoperst = None
                            self.remoteoperst = None
                            self.compatst = None
                            self.compatqual = None
                            self.compatqualstr = None
                            self.cfgdvlans = None
                            self.cfgdtrunkvlans = None
                            self.cfgdaccessvlan = None
                            self.upvlans = None
                            self.suspvlans = None
                            self.peercfgdvlans = None
                            self.peerupvlans = None

                            self.params_items = System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems()
                            self.params_items.parent = self
                            self._children_name_map["params_items"] = "params-items"

                            self.rsvpcconf_items = System.VpcItems.InstItems.DomItems.IfItems.IfList.RsvpcConfItems()
                            self.rsvpcconf_items.parent = self
                            self._children_name_map["rsvpcconf_items"] = "rsvpcConf-items"
                            self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/if-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList, ['id', 'localoperst', 'remoteoperst', 'compatst', 'compatqual', 'compatqualstr', 'cfgdvlans', 'cfgdtrunkvlans', 'cfgdaccessvlan', 'upvlans', 'suspvlans', 'peercfgdvlans', 'peerupvlans'], name, value)


                        class ParamsItems(Entity):
                            """
                            
                            
                            .. attribute:: appparams_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AppParamsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems, self).__init__()

                                self.yang_name = "params-items"
                                self.yang_parent_name = "If-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AppParams-list", ("appparams_list", System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList))])
                                self._leafs = OrderedDict()

                                self.appparams_list = YList(self)
                                self._segment_path = lambda: "params-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems, [], name, value)


                            class AppParamsList(Entity):
                                """
                                
                                
                                .. attribute:: appid  (key)
                                
                                	Application SAP ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: locrsncode
                                
                                	Local Reason Code
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: locparamlen
                                
                                	Local Param Length
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: locparamval
                                
                                	Local Param Value
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: remrsncode
                                
                                	Remoe Reason Code
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: remparamlen
                                
                                	Remote Param Length
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: remparamval
                                
                                	Remote Param Value
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: param_items
                                
                                	
                                	**type**\:  :py:class:`ParamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList, self).__init__()

                                    self.yang_name = "AppParams-list"
                                    self.yang_parent_name = "params-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['appid']
                                    self._child_classes = OrderedDict([("param-items", ("param_items", System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems))])
                                    self._leafs = OrderedDict([
                                        ('appid', (YLeaf(YType.uint32, 'appId'), ['int'])),
                                        ('locrsncode', (YLeaf(YType.uint32, 'locRsnCode'), ['int'])),
                                        ('locparamlen', (YLeaf(YType.uint32, 'locParamLen'), ['int'])),
                                        ('locparamval', (YLeaf(YType.str, 'locParamVal'), ['str'])),
                                        ('remrsncode', (YLeaf(YType.uint32, 'remRsnCode'), ['int'])),
                                        ('remparamlen', (YLeaf(YType.uint32, 'remParamLen'), ['int'])),
                                        ('remparamval', (YLeaf(YType.str, 'remParamVal'), ['str'])),
                                    ])
                                    self.appid = None
                                    self.locrsncode = None
                                    self.locparamlen = None
                                    self.locparamval = None
                                    self.remrsncode = None
                                    self.remparamlen = None
                                    self.remparamval = None

                                    self.param_items = System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems()
                                    self.param_items.parent = self
                                    self._children_name_map["param_items"] = "param-items"
                                    self._segment_path = lambda: "AppParams-list" + "[appId='" + str(self.appid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList, ['appid', 'locrsncode', 'locparamlen', 'locparamval', 'remrsncode', 'remparamlen', 'remparamval'], name, value)


                                class ParamItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: appparaminfo_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AppParamInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems.AppParamInfoList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems, self).__init__()

                                        self.yang_name = "param-items"
                                        self.yang_parent_name = "AppParams-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("AppParamInfo-list", ("appparaminfo_list", System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems.AppParamInfoList))])
                                        self._leafs = OrderedDict()

                                        self.appparaminfo_list = YList(self)
                                        self._segment_path = lambda: "param-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems, [], name, value)


                                    class AppParamInfoList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: paramname  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: paramtype
                                        
                                        	Parameter Type
                                        	**type**\:  :py:class:`VpcParamType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcParamType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: locparamval
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: remparamval
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems.AppParamInfoList, self).__init__()

                                            self.yang_name = "AppParamInfo-list"
                                            self.yang_parent_name = "param-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['paramname']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('paramname', (YLeaf(YType.str, 'paramName'), ['str'])),
                                                ('paramtype', (YLeaf(YType.enumeration, 'paramType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcParamType', '')])),
                                                ('locparamval', (YLeaf(YType.str, 'locParamVal'), ['str'])),
                                                ('remparamval', (YLeaf(YType.str, 'remParamVal'), ['str'])),
                                            ])
                                            self.paramname = None
                                            self.paramtype = None
                                            self.locparamval = None
                                            self.remparamval = None
                                            self._segment_path = lambda: "AppParamInfo-list" + "[paramName='" + str(self.paramname) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList.ParamsItems.AppParamsList.ParamItems.AppParamInfoList, ['paramname', 'paramtype', 'locparamval', 'remparamval'], name, value)






                        class RsvpcConfItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	State
                            	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                            
                            	**config**\: False
                            
                            .. attribute:: statequal
                            
                            	State Qualifier
                            	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: ttype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                            
                            	**config**\: False
                            
                            .. attribute:: forceresolve
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            	**default value**\: true
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.DomItems.IfItems.IfList.RsvpcConfItems, self).__init__()

                                self.yang_name = "rsvpcConf-items"
                                self.yang_parent_name = "If-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                    ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                    ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                    ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                    ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self.state = None
                                self.statequal = None
                                self.ttype = None
                                self.rtype = None
                                self.forceresolve = None
                                self._segment_path = lambda: "rsvpcConf-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.DomItems.IfItems.IfList.RsvpcConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                class KeepaliveItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	VRF
                    	**type**\: str
                    
                    .. attribute:: srcip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: destip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: udpport
                    
                    	UDP Port
                    	**type**\: int
                    
                    	**range:** 1024..65000
                    
                    .. attribute:: interval
                    
                    	Interval
                    	**type**\: int
                    
                    	**range:** 400..10000
                    
                    .. attribute:: timeout
                    
                    	Timeout
                    	**type**\: int
                    
                    	**range:** 3..20
                    
                    .. attribute:: toscfgtype
                    
                    	TOS Type
                    	**type**\:  :py:class:`VpcTosCfgType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcTosCfgType>`
                    
                    .. attribute:: tosbyte
                    
                    	TOS Byte
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tosvalue
                    
                    	TOS Value
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    .. attribute:: tostype
                    
                    	TOS Type
                    	**type**\:  :py:class:`VpcTosType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcTosType>`
                    
                    .. attribute:: precvalue
                    
                    	Precedence Value
                    	**type**\: int
                    
                    	**range:** 0..7
                    
                    .. attribute:: prectype
                    
                    	Precedence Type
                    	**type**\:  :py:class:`VpcPrecType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcPrecType>`
                    
                    .. attribute:: flushtout
                    
                    	Flush Timeout
                    	**type**\: int
                    
                    	**range:** 3..10
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sendif
                    
                    	Send Interface
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: recvif
                    
                    	Received Interface
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sendtime
                    
                    	Last Send Time
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: recvtime
                    
                    	Last Received Time
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: firstrecvtime
                    
                    	First Received Time
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    .. attribute:: peerlink_items
                    
                    	
                    	**type**\:  :py:class:`PeerlinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcItems.InstItems.DomItems.KeepaliveItems, self).__init__()

                        self.yang_name = "keepalive-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("peerlink-items", ("peerlink_items", System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems))])
                        self._leafs = OrderedDict([
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                            ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                            ('destip', (YLeaf(YType.str, 'destIp'), ['str','str'])),
                            ('udpport', (YLeaf(YType.uint32, 'udpPort'), ['int'])),
                            ('interval', (YLeaf(YType.uint32, 'interval'), ['int'])),
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                            ('toscfgtype', (YLeaf(YType.enumeration, 'tosCfgType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcTosCfgType', '')])),
                            ('tosbyte', (YLeaf(YType.uint8, 'tosByte'), ['int'])),
                            ('tosvalue', (YLeaf(YType.uint8, 'tosValue'), ['int'])),
                            ('tostype', (YLeaf(YType.enumeration, 'tosType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcTosType', '')])),
                            ('precvalue', (YLeaf(YType.uint8, 'precValue'), ['int'])),
                            ('prectype', (YLeaf(YType.enumeration, 'precType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcPrecType', '')])),
                            ('flushtout', (YLeaf(YType.uint32, 'flushTout'), ['int'])),
                            ('operst', (YLeaf(YType.str, 'operSt'), ['str'])),
                            ('sendif', (YLeaf(YType.str, 'sendIf'), ['str'])),
                            ('recvif', (YLeaf(YType.str, 'recvIf'), ['str'])),
                            ('sendtime', (YLeaf(YType.str, 'sendTime'), ['str'])),
                            ('recvtime', (YLeaf(YType.str, 'recvTime'), ['str'])),
                            ('firstrecvtime', (YLeaf(YType.str, 'firstRecvTime'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.vrf = None
                        self.srcip = None
                        self.destip = None
                        self.udpport = None
                        self.interval = None
                        self.timeout = None
                        self.toscfgtype = None
                        self.tosbyte = None
                        self.tosvalue = None
                        self.tostype = None
                        self.precvalue = None
                        self.prectype = None
                        self.flushtout = None
                        self.operst = None
                        self.sendif = None
                        self.recvif = None
                        self.sendtime = None
                        self.recvtime = None
                        self.firstrecvtime = None
                        self.name = None

                        self.peerlink_items = System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems()
                        self.peerlink_items.parent = self
                        self._children_name_map["peerlink_items"] = "peerlink-items"
                        self._segment_path = lambda: "keepalive-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcItems.InstItems.DomItems.KeepaliveItems, ['vrf', 'srcip', 'destip', 'udpport', 'interval', 'timeout', 'toscfgtype', 'tosbyte', 'tosvalue', 'tostype', 'precvalue', 'prectype', 'flushtout', 'operst', 'sendif', 'recvif', 'sendtime', 'recvtime', 'firstrecvtime', 'name'], name, value)


                    class PeerlinkItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..1024
                        
                        .. attribute:: id
                        
                        	Interface ID
                        	**type**\: str
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        .. attribute:: rtvrfmbr_items
                        
                        	
                        	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtvrfMbrItems>`
                        
                        .. attribute:: rtnwpathtoif_items
                        
                        	
                        	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems, self).__init__()

                            self.yang_name = "peerlink-items"
                            self.yang_parent_name = "keepalive-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ])
                            self.name = None
                            self.descr = None
                            self.id = None
                            self.adminst = None

                            self.rtvrfmbr_items = System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtvrfMbrItems()
                            self.rtvrfmbr_items.parent = self
                            self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                            self.rtnwpathtoif_items = System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems()
                            self.rtnwpathtoif_items.parent = self
                            self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                            self._segment_path = lambda: "peerlink-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/keepalive-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems, ['name', 'descr', 'id', 'adminst'], name, value)


                        class RtvrfMbrItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtvrfMbrItems, self).__init__()

                                self.yang_name = "rtvrfMbr-items"
                                self.yang_parent_name = "peerlink-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rtvrfMbr-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/keepalive-items/peerlink-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                        class RtnwPathToIfItems(Entity):
                            """
                            
                            
                            .. attribute:: rtnwpathtoif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems.RtNwPathToIfList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems, self).__init__()

                                self.yang_name = "rtnwPathToIf-items"
                                self.yang_parent_name = "peerlink-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems.RtNwPathToIfList))])
                                self._leafs = OrderedDict()

                                self.rtnwpathtoif_list = YList(self)
                                self._segment_path = lambda: "rtnwPathToIf-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/keepalive-items/peerlink-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems, [], name, value)


                            class RtNwPathToIfList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                    self.yang_name = "RtNwPathToIf-list"
                                    self.yang_parent_name = "rtnwPathToIf-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/keepalive-items/peerlink-items/rtnwPathToIf-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VpcItems.InstItems.DomItems.KeepaliveItems.PeerlinkItems.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                class ParamsItems(Entity):
                    """
                    
                    
                    .. attribute:: appparams_list
                    
                    	
                    	**type**\: list of  		 :py:class:`AppParamsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcItems.InstItems.DomItems.ParamsItems, self).__init__()

                        self.yang_name = "params-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("AppParams-list", ("appparams_list", System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList))])
                        self._leafs = OrderedDict()

                        self.appparams_list = YList(self)
                        self._segment_path = lambda: "params-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcItems.InstItems.DomItems.ParamsItems, [], name, value)


                    class AppParamsList(Entity):
                        """
                        
                        
                        .. attribute:: appid  (key)
                        
                        	Application SAP ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: locrsncode
                        
                        	Local Reason Code
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: locparamlen
                        
                        	Local Param Length
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: locparamval
                        
                        	Local Param Value
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: remrsncode
                        
                        	Remoe Reason Code
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: remparamlen
                        
                        	Remote Param Length
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: remparamval
                        
                        	Remote Param Value
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: param_items
                        
                        	
                        	**type**\:  :py:class:`ParamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList, self).__init__()

                            self.yang_name = "AppParams-list"
                            self.yang_parent_name = "params-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['appid']
                            self._child_classes = OrderedDict([("param-items", ("param_items", System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems))])
                            self._leafs = OrderedDict([
                                ('appid', (YLeaf(YType.uint32, 'appId'), ['int'])),
                                ('locrsncode', (YLeaf(YType.uint32, 'locRsnCode'), ['int'])),
                                ('locparamlen', (YLeaf(YType.uint32, 'locParamLen'), ['int'])),
                                ('locparamval', (YLeaf(YType.str, 'locParamVal'), ['str'])),
                                ('remrsncode', (YLeaf(YType.uint32, 'remRsnCode'), ['int'])),
                                ('remparamlen', (YLeaf(YType.uint32, 'remParamLen'), ['int'])),
                                ('remparamval', (YLeaf(YType.str, 'remParamVal'), ['str'])),
                            ])
                            self.appid = None
                            self.locrsncode = None
                            self.locparamlen = None
                            self.locparamval = None
                            self.remrsncode = None
                            self.remparamlen = None
                            self.remparamval = None

                            self.param_items = System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems()
                            self.param_items.parent = self
                            self._children_name_map["param_items"] = "param-items"
                            self._segment_path = lambda: "AppParams-list" + "[appId='" + str(self.appid) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/params-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList, ['appid', 'locrsncode', 'locparamlen', 'locparamval', 'remrsncode', 'remparamlen', 'remparamval'], name, value)


                        class ParamItems(Entity):
                            """
                            
                            
                            .. attribute:: appparaminfo_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AppParamInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems.AppParamInfoList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems, self).__init__()

                                self.yang_name = "param-items"
                                self.yang_parent_name = "AppParams-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AppParamInfo-list", ("appparaminfo_list", System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems.AppParamInfoList))])
                                self._leafs = OrderedDict()

                                self.appparaminfo_list = YList(self)
                                self._segment_path = lambda: "param-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems, [], name, value)


                            class AppParamInfoList(Entity):
                                """
                                
                                
                                .. attribute:: paramname  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: paramtype
                                
                                	Parameter Type
                                	**type**\:  :py:class:`VpcParamType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcParamType>`
                                
                                	**config**\: False
                                
                                .. attribute:: locparamval
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: remparamval
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems.AppParamInfoList, self).__init__()

                                    self.yang_name = "AppParamInfo-list"
                                    self.yang_parent_name = "param-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['paramname']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('paramname', (YLeaf(YType.str, 'paramName'), ['str'])),
                                        ('paramtype', (YLeaf(YType.enumeration, 'paramType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcParamType', '')])),
                                        ('locparamval', (YLeaf(YType.str, 'locParamVal'), ['str'])),
                                        ('remparamval', (YLeaf(YType.str, 'remParamVal'), ['str'])),
                                    ])
                                    self.paramname = None
                                    self.paramtype = None
                                    self.locparamval = None
                                    self.remparamval = None
                                    self._segment_path = lambda: "AppParamInfo-list" + "[paramName='" + str(self.paramname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VpcItems.InstItems.DomItems.ParamsItems.AppParamsList.ParamItems.AppParamInfoList, ['paramname', 'paramtype', 'locparamval', 'remparamval'], name, value)






                class RsvpcInstPolConsItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: protgep
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcItems.InstItems.DomItems.RsvpcInstPolConsItems, self).__init__()

                        self.yang_name = "rsvpcInstPolCons-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('protgep', (YLeaf(YType.str, 'protGEp'), ['str'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.protgep = None
                        self._segment_path = lambda: "rsvpcInstPolCons-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpc-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcItems.InstItems.DomItems.RsvpcInstPolConsItems, ['tdn', 'tcl', 'protgep'], name, value)






    class EpnsItems(Entity):
        """
        
        
        .. attribute:: epcount
        
        	TBD
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.EpnsItems, self).__init__()

            self.yang_name = "epns-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('epcount', (YLeaf(YType.uint32, 'epCount'), ['int'])),
            ])
            self.epcount = None
            self._segment_path = lambda: "epns-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.EpnsItems, ['epcount'], name, value)



    class GoldItems(Entity):
        """
        
        
        .. attribute:: description
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: module_items
        
        	
        	**type**\:  :py:class:`ModuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GoldItems.ModuleItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.GoldItems, self).__init__()

            self.yang_name = "gold-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("module-items", ("module_items", System.GoldItems.ModuleItems))])
            self._leafs = OrderedDict([
                ('description', (YLeaf(YType.str, 'description'), ['str'])),
            ])
            self.description = None

            self.module_items = System.GoldItems.ModuleItems()
            self.module_items.parent = self
            self._children_name_map["module_items"] = "module-items"
            self._segment_path = lambda: "gold-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.GoldItems, ['description'], name, value)


        class ModuleItems(Entity):
            """
            
            
            .. attribute:: module_list
            
            	
            	**type**\: list of  		 :py:class:`ModuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GoldItems.ModuleItems.ModuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.GoldItems.ModuleItems, self).__init__()

                self.yang_name = "module-items"
                self.yang_parent_name = "gold-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Module-list", ("module_list", System.GoldItems.ModuleItems.ModuleList))])
                self._leafs = OrderedDict()

                self.module_list = YList(self)
                self._segment_path = lambda: "module-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/gold-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.GoldItems.ModuleItems, [], name, value)


            class ModuleList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Module Id
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: description
                
                	Module Description
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: diagbootlevel
                
                	Module Diagnostic Bootup Level
                	**type**\:  :py:class:`GoldBootLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.GoldBootLevel>`
                
                	**config**\: False
                
                .. attribute:: diagstatus
                
                	Module Diagnostic Status
                	**type**\:  :py:class:`GoldModuleDiagStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.GoldModuleDiagStatus>`
                
                	**config**\: False
                
                .. attribute:: test_items
                
                	
                	**type**\:  :py:class:`TestItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GoldItems.ModuleItems.ModuleList.TestItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.GoldItems.ModuleItems.ModuleList, self).__init__()

                    self.yang_name = "Module-list"
                    self.yang_parent_name = "module-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("test-items", ("test_items", System.GoldItems.ModuleItems.ModuleList.TestItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('diagbootlevel', (YLeaf(YType.enumeration, 'diagBootLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'GoldBootLevel', '')])),
                        ('diagstatus', (YLeaf(YType.enumeration, 'diagStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'GoldModuleDiagStatus', '')])),
                    ])
                    self.id = None
                    self.description = None
                    self.diagbootlevel = None
                    self.diagstatus = None

                    self.test_items = System.GoldItems.ModuleItems.ModuleList.TestItems()
                    self.test_items.parent = self
                    self._children_name_map["test_items"] = "test-items"
                    self._segment_path = lambda: "Module-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/gold-items/module-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.GoldItems.ModuleItems.ModuleList, ['id', 'description', 'diagbootlevel', 'diagstatus'], name, value)


                class TestItems(Entity):
                    """
                    
                    
                    .. attribute:: test_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TestList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GoldItems.ModuleItems.ModuleList.TestItems.TestList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.GoldItems.ModuleItems.ModuleList.TestItems, self).__init__()

                        self.yang_name = "test-items"
                        self.yang_parent_name = "Module-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Test-list", ("test_list", System.GoldItems.ModuleItems.ModuleList.TestItems.TestList))])
                        self._leafs = OrderedDict()

                        self.test_list = YList(self)
                        self._segment_path = lambda: "test-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.GoldItems.ModuleItems.ModuleList.TestItems, [], name, value)


                    class TestList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Test Id
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Test Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: firstfailtime
                        
                        	Test First Failure Time
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: lastfailtime
                        
                        	Test Last Failure Time
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: lastexecutiontime
                        
                        	Test Last Execution Time
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: lastpasstime
                        
                        	Test Last Pass Time
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nextexecutiontime
                        
                        	Test Next Execution Time
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: result
                        
                        	Test Result
                        	**type**\:  :py:class:`GoldResult <ydk.models.cisco_nx_os.Cisco_NX_OS_device.GoldResult>`
                        
                        	**config**\: False
                        
                        .. attribute:: resultreason
                        
                        	Test Failure Reason
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: runcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: failcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: consecutivefailcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: portsaborted
                        
                        	List of Aborted Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portserrordisabled
                        
                        	List of Error Disabled Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portsfailing
                        
                        	List of Failing Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portsincomplete
                        
                        	List of Incomplete Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portspassing
                        
                        	List of Passing Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portsuntested
                        
                        	List of Untested Ports
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: testattributes
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: testinterval
                        
                        	Health Monitor Test Interval
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.GoldItems.ModuleItems.ModuleList.TestItems.TestList, self).__init__()

                            self.yang_name = "Test-list"
                            self.yang_parent_name = "test-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('firstfailtime', (YLeaf(YType.str, 'firstFailTime'), ['str'])),
                                ('lastfailtime', (YLeaf(YType.str, 'lastFailTime'), ['str'])),
                                ('lastexecutiontime', (YLeaf(YType.str, 'lastExecutionTime'), ['str'])),
                                ('lastpasstime', (YLeaf(YType.str, 'lastPassTime'), ['str'])),
                                ('nextexecutiontime', (YLeaf(YType.str, 'nextExecutionTime'), ['str'])),
                                ('result', (YLeaf(YType.enumeration, 'result'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'GoldResult', '')])),
                                ('resultreason', (YLeaf(YType.str, 'resultReason'), ['str'])),
                                ('runcount', (YLeaf(YType.uint32, 'runCount'), ['int'])),
                                ('failcount', (YLeaf(YType.uint32, 'failCount'), ['int'])),
                                ('consecutivefailcount', (YLeaf(YType.uint32, 'consecutiveFailCount'), ['int'])),
                                ('portsaborted', (YLeaf(YType.str, 'portsAborted'), ['str'])),
                                ('portserrordisabled', (YLeaf(YType.str, 'portsErrorDisabled'), ['str'])),
                                ('portsfailing', (YLeaf(YType.str, 'portsFailing'), ['str'])),
                                ('portsincomplete', (YLeaf(YType.str, 'portsIncomplete'), ['str'])),
                                ('portspassing', (YLeaf(YType.str, 'portsPassing'), ['str'])),
                                ('portsuntested', (YLeaf(YType.str, 'portsUntested'), ['str'])),
                                ('testattributes', (YLeaf(YType.str, 'testAttributes'), ['str'])),
                                ('testinterval', (YLeaf(YType.str, 'testInterval'), ['str'])),
                            ])
                            self.id = None
                            self.name = None
                            self.firstfailtime = None
                            self.lastfailtime = None
                            self.lastexecutiontime = None
                            self.lastpasstime = None
                            self.nextexecutiontime = None
                            self.result = None
                            self.resultreason = None
                            self.runcount = None
                            self.failcount = None
                            self.consecutivefailcount = None
                            self.portsaborted = None
                            self.portserrordisabled = None
                            self.portsfailing = None
                            self.portsincomplete = None
                            self.portspassing = None
                            self.portsuntested = None
                            self.testattributes = None
                            self.testinterval = None
                            self._segment_path = lambda: "Test-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.GoldItems.ModuleItems.ModuleList.TestItems.TestList, ['id', 'name', 'firstfailtime', 'lastfailtime', 'lastexecutiontime', 'lastpasstime', 'nextexecutiontime', 'result', 'resultreason', 'runcount', 'failcount', 'consecutivefailcount', 'portsaborted', 'portserrordisabled', 'portsfailing', 'portsincomplete', 'portspassing', 'portsuntested', 'testattributes', 'testinterval'], name, value)







    class IgmpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IgmpItems, self).__init__()

            self.yang_name = "igmp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.IgmpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.IgmpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "igmp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IgmpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: heavytemplate
            
            	
            	**type**\: bool
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: instctrl
            
            	Inst Controls
            	**type**\: str
            
            .. attribute:: bootupdelay
            
            	Bootup Route Add Delay
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: flushroute
            
            	
            	**type**\: bool
            
            .. attribute:: rtralert
            
            	
            	**type**\: bool
            
            .. attribute:: anyquerydest
            
            	
            	**type**\: bool
            
            .. attribute:: extdom_items
            
            	
            	**type**\:  :py:class:`ExtdomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems>`
            
            .. attribute:: routedb_items
            
            	
            	**type**\:  :py:class:`RoutedbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IgmpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "igmp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("extdom-items", ("extdom_items", System.IgmpItems.InstItems.ExtdomItems)), ("dom-items", ("dom_items", System.IgmpItems.InstItems.DomItems)), ("routedb-items", ("routedb_items", System.IgmpItems.InstItems.RoutedbItems))])
                self._leafs = OrderedDict([
                    ('heavytemplate', (YLeaf(YType.boolean, 'heavyTemplate'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('instctrl', (YLeaf(YType.str, 'instCtrl'), ['str'])),
                    ('bootupdelay', (YLeaf(YType.uint16, 'bootupDelay'), ['int'])),
                    ('flushroute', (YLeaf(YType.boolean, 'flushRoute'), ['bool'])),
                    ('rtralert', (YLeaf(YType.boolean, 'rtrAlert'), ['bool'])),
                    ('anyquerydest', (YLeaf(YType.boolean, 'anyQueryDest'), ['bool'])),
                ])
                self.heavytemplate = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.instctrl = None
                self.bootupdelay = None
                self.flushroute = None
                self.rtralert = None
                self.anyquerydest = None

                self.extdom_items = System.IgmpItems.InstItems.ExtdomItems()
                self.extdom_items.parent = self
                self._children_name_map["extdom_items"] = "extdom-items"

                self.dom_items = System.IgmpItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.routedb_items = System.IgmpItems.InstItems.RoutedbItems()
                self.routedb_items.parent = self
                self._children_name_map["routedb_items"] = "routedb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IgmpItems.InstItems, ['heavytemplate', 'name', 'adminst', 'ctrl', 'instctrl', 'bootupdelay', 'flushroute', 'rtralert', 'anyquerydest'], name, value)


            class ExtdomItems(Entity):
                """
                
                
                .. attribute:: extdom_list
                
                	
                	**type**\: list of  		 :py:class:`ExtDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IgmpItems.InstItems.ExtdomItems, self).__init__()

                    self.yang_name = "extdom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ExtDom-list", ("extdom_list", System.IgmpItems.InstItems.ExtdomItems.ExtDomList))])
                    self._leafs = OrderedDict()

                    self.extdom_list = YList(self)
                    self._segment_path = lambda: "extdom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems, [], name, value)


                class ExtDomList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Domain ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ver
                    
                    	IGMP Version
                    	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: extif_items
                    
                    	
                    	**type**\:  :py:class:`ExtifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList, self).__init__()

                        self.yang_name = "ExtDom-list"
                        self.yang_parent_name = "extdom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("extif-items", ("extif_items", System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.ver = None
                        self.name = None

                        self.extif_items = System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems()
                        self.extif_items.parent = self
                        self._children_name_map["extif_items"] = "extif-items"
                        self._segment_path = lambda: "ExtDom-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/extdom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList, ['id', 'ver', 'name'], name, value)


                    class ExtifItems(Entity):
                        """
                        
                        
                        .. attribute:: extif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ExtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems, self).__init__()

                            self.yang_name = "extif-items"
                            self.yang_parent_name = "ExtDom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ExtIf-list", ("extif_list", System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList))])
                            self._leafs = OrderedDict()

                            self.extif_list = YList(self)
                            self._segment_path = lambda: "extif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems, [], name, value)


                        class ExtIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList, self).__init__()

                                self.yang_name = "ExtIf-list"
                                self.yang_parent_name = "extif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None
                                self.adminst = None

                                self.rtvrfmbr_items = System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "ExtIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList, ['id', 'name', 'descr', 'adminst'], name, value)


                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "ExtIf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "ExtIf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.ExtdomItems.ExtDomList.ExtifItems.ExtIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IgmpItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.IgmpItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IgmpItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventHistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.EventHistItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: ssmxlate_items
                    
                    	
                    	**type**\:  :py:class:`SsmxlateItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.IgmpItems.InstItems.DomItems.DomList.DbItems)), ("eventHist-items", ("eventhist_items", System.IgmpItems.InstItems.DomItems.DomList.EventHistItems)), ("if-items", ("if_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems)), ("ssmxlate-items", ("ssmxlate_items", System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.db_items = System.IgmpItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.eventhist_items = System.IgmpItems.InstItems.DomItems.DomList.EventHistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventHist-items"

                        self.if_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.ssmxlate_items = System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems()
                        self.ssmxlate_items.parent = self
                        self._children_name_map["ssmxlate_items"] = "ssmxlate-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList, ['name'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Database type for different show commands
                            	**type**\:  :py:class:`IgmpDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IgmpDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: src_items
                            
                            	
                            	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("src-items", ("src_items", System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IgmpDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.src_items = System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems()
                                self.src_items.parent = self
                                self._children_name_map["src_items"] = "src-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class SrcItems(Entity):
                                """
                                
                                
                                .. attribute:: route_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, self).__init__()

                                    self.yang_name = "src-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Route-list", ("route_list", System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList))])
                                    self._leafs = OrderedDict()

                                    self.route_list = YList(self)
                                    self._segment_path = lambda: "src-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, [], name, value)


                                class RouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: src  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grp  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: oif_items
                                    
                                    	
                                    	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, self).__init__()

                                        self.yang_name = "Route-list"
                                        self.yang_parent_name = "src-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['src','grp']
                                        self._child_classes = OrderedDict([("oif-items", ("oif_items", System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems))])
                                        self._leafs = OrderedDict([
                                            ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                            ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                        ])
                                        self.src = None
                                        self.grp = None

                                        self.oif_items = System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems()
                                        self.oif_items.parent = self
                                        self._children_name_map["oif_items"] = "oif-items"
                                        self._segment_path = lambda: "Route-list" + "[src='" + str(self.src) + "']" + "[grp='" + str(self.grp) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, ['src', 'grp'], name, value)


                                    class OifItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: oif_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems.OifList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems, self).__init__()

                                            self.yang_name = "oif-items"
                                            self.yang_parent_name = "Route-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems.OifList))])
                                            self._leafs = OrderedDict()

                                            self.oif_list = YList(self)
                                            self._segment_path = lambda: "oif-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems, [], name, value)


                                        class OifList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oif  (key)
                                            
                                            	Outgoing interface
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiryts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: createts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastrep
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Join type
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems.OifList, self).__init__()

                                                self.yang_name = "Oif-list"
                                                self.yang_parent_name = "oif-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['oif']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('oif', (YLeaf(YType.str, 'oif'), ['str'])),
                                                    ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                                    ('lastrep', (YLeaf(YType.str, 'lastRep'), ['str','str'])),
                                                    ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                ])
                                                self.oif = None
                                                self.expiryts = None
                                                self.createts = None
                                                self.lastrep = None
                                                self.type = None
                                                self._segment_path = lambda: "Oif-list" + "[oif='" + str(self.oif) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList.OifItems.OifList, ['oif', 'expiryts', 'createts', 'lastrep', 'type'], name, value)








                    class EventHistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.DomItems.DomList.EventHistItems, self).__init__()

                            self.yang_name = "eventHist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.IgmpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventHist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.EventHistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Configures type of event history
                            	**type**\:  :py:class:`IgmpEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IgmpEhType>`
                            
                            .. attribute:: size
                            
                            	Configures buffer size in text per kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventHist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IgmpEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, ['type', 'size'], name, value)




                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ifctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: ver
                            
                            	Version
                            	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                            
                            .. attribute:: grptimeout
                            
                            	Group Membership Timeout
                            	**type**\: int
                            
                            	**range:** 3..65535
                            
                            .. attribute:: actquer
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: nextquertime
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Flags
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: entrycount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: stentrycount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: querexpiry
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: reportll
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: immediateleave
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: allowv3asm
                            
                            	Allow v3 ASM
                            	**type**\: bool
                            
                            .. attribute:: ifstats_items
                            
                            	
                            	**type**\:  :py:class:`IfStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.IfStatsItems>`
                            
                            .. attribute:: jointype_items
                            
                            	
                            	**type**\:  :py:class:`JointypeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems>`
                            
                            .. attribute:: limit_items
                            
                            	
                            	**type**\:  :py:class:`LimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.LimitItems>`
                            
                            .. attribute:: reppol_items
                            
                            	
                            	**type**\:  :py:class:`ReppolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.ReppolItems>`
                            
                            .. attribute:: streppol_items
                            
                            	
                            	**type**\:  :py:class:`StreppolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems>`
                            
                            .. attribute:: querierp_items
                            
                            	
                            	**type**\:  :py:class:`QuerierpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.QuerierpItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("IfStats-items", ("ifstats_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.IfStatsItems)), ("jointype-items", ("jointype_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems)), ("limit-items", ("limit_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.LimitItems)), ("reppol-items", ("reppol_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.ReppolItems)), ("streppol-items", ("streppol_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems)), ("querierp-items", ("querierp_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.QuerierpItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ifctrl', (YLeaf(YType.str, 'ifCtrl'), ['str'])),
                                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                    ('grptimeout', (YLeaf(YType.uint16, 'grpTimeout'), ['int'])),
                                    ('actquer', (YLeaf(YType.str, 'actQuer'), ['str','str'])),
                                    ('nextquertime', (YLeaf(YType.str, 'nextQuerTime'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ('entrycount', (YLeaf(YType.uint32, 'entryCount'), ['int'])),
                                    ('stentrycount', (YLeaf(YType.uint32, 'stEntryCount'), ['int'])),
                                    ('querexpiry', (YLeaf(YType.str, 'querExpiry'), ['str'])),
                                    ('reportll', (YLeaf(YType.boolean, 'reportLl'), ['bool'])),
                                    ('immediateleave', (YLeaf(YType.boolean, 'immediateLeave'), ['bool'])),
                                    ('allowv3asm', (YLeaf(YType.boolean, 'allowv3Asm'), ['bool'])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.ifctrl = None
                                self.ver = None
                                self.grptimeout = None
                                self.actquer = None
                                self.nextquertime = None
                                self.flags = None
                                self.entrycount = None
                                self.stentrycount = None
                                self.querexpiry = None
                                self.reportll = None
                                self.immediateleave = None
                                self.allowv3asm = None

                                self.ifstats_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.IfStatsItems()
                                self.ifstats_items.parent = self
                                self._children_name_map["ifstats_items"] = "IfStats-items"

                                self.jointype_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems()
                                self.jointype_items.parent = self
                                self._children_name_map["jointype_items"] = "jointype-items"

                                self.limit_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.LimitItems()
                                self.limit_items.parent = self
                                self._children_name_map["limit_items"] = "limit-items"

                                self.reppol_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.ReppolItems()
                                self.reppol_items.parent = self
                                self._children_name_map["reppol_items"] = "reppol-items"

                                self.streppol_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems()
                                self.streppol_items.parent = self
                                self._children_name_map["streppol_items"] = "streppol-items"

                                self.querierp_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.QuerierpItems()
                                self.querierp_items.parent = self
                                self._children_name_map["querierp_items"] = "querierp-items"

                                self.rtvrfmbr_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'name', 'descr', 'adminst', 'ifctrl', 'ver', 'grptimeout', 'actquer', 'nextquertime', 'flags', 'entrycount', 'stentrycount', 'querexpiry', 'reportll', 'immediateleave', 'allowv3asm'], name, value)


                            class IfStatsItems(Entity):
                                """
                                
                                
                                .. attribute:: v2quersent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2querrcvd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3quersent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3querrcvd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2rprtsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2rprtrcvd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3rprtsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3rprtrcvd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2leavesent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2leavercvd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.IfStatsItems, self).__init__()

                                    self.yang_name = "IfStats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('v2quersent', (YLeaf(YType.uint32, 'v2querSent'), ['int'])),
                                        ('v2querrcvd', (YLeaf(YType.uint32, 'v2querRcvd'), ['int'])),
                                        ('v3quersent', (YLeaf(YType.uint32, 'v3querSent'), ['int'])),
                                        ('v3querrcvd', (YLeaf(YType.uint32, 'v3querRcvd'), ['int'])),
                                        ('v2rprtsent', (YLeaf(YType.uint32, 'v2rprtSent'), ['int'])),
                                        ('v2rprtrcvd', (YLeaf(YType.uint32, 'v2rprtRcvd'), ['int'])),
                                        ('v3rprtsent', (YLeaf(YType.uint32, 'v3rprtSent'), ['int'])),
                                        ('v3rprtrcvd', (YLeaf(YType.uint32, 'v3rprtRcvd'), ['int'])),
                                        ('v2leavesent', (YLeaf(YType.uint32, 'v2leaveSent'), ['int'])),
                                        ('v2leavercvd', (YLeaf(YType.uint32, 'v2leaveRcvd'), ['int'])),
                                    ])
                                    self.v2quersent = None
                                    self.v2querrcvd = None
                                    self.v3quersent = None
                                    self.v3querrcvd = None
                                    self.v2rprtsent = None
                                    self.v2rprtrcvd = None
                                    self.v3rprtsent = None
                                    self.v3rprtrcvd = None
                                    self.v2leavesent = None
                                    self.v2leavercvd = None
                                    self._segment_path = lambda: "IfStats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.IfStatsItems, ['v2quersent', 'v2querrcvd', 'v3quersent', 'v3querrcvd', 'v2rprtsent', 'v2rprtrcvd', 'v3rprtsent', 'v3rprtrcvd', 'v2leavesent', 'v2leavercvd'], name, value)



                            class JointypeItems(Entity):
                                """
                                
                                
                                .. attribute:: jointype_list
                                
                                	
                                	**type**\: list of  		 :py:class:`JoinTypeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems, self).__init__()

                                    self.yang_name = "jointype-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("JoinType-list", ("jointype_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList))])
                                    self._leafs = OrderedDict()

                                    self.jointype_list = YList(self)
                                    self._segment_path = lambda: "jointype-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems, [], name, value)


                                class JoinTypeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Join Type of the groups
                                    	**type**\:  :py:class:`IpmcJoinType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcJoinType>`
                                    
                                    .. attribute:: ver_items
                                    
                                    	
                                    	**type**\:  :py:class:`VerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList, self).__init__()

                                        self.yang_name = "JoinType-list"
                                        self.yang_parent_name = "jointype-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("ver-items", ("ver_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcJoinType', '')])),
                                        ])
                                        self.type = None

                                        self.ver_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems()
                                        self.ver_items.parent = self
                                        self._children_name_map["ver_items"] = "ver-items"
                                        self._segment_path = lambda: "JoinType-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList, ['type'], name, value)


                                    class VerItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: version_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VersionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems, self).__init__()

                                            self.yang_name = "ver-items"
                                            self.yang_parent_name = "JoinType-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Version-list", ("version_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList))])
                                            self._leafs = OrderedDict()

                                            self.version_list = YList(self)
                                            self._segment_path = lambda: "ver-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems, [], name, value)


                                        class VersionList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: version  (key)
                                            
                                            	Group version
                                            	**type**\:  :py:class:`IpmcVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcVer>`
                                            
                                            .. attribute:: group_items
                                            
                                            	
                                            	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList, self).__init__()

                                                self.yang_name = "Version-list"
                                                self.yang_parent_name = "ver-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['version']
                                                self._child_classes = OrderedDict([("group-items", ("group_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems))])
                                                self._leafs = OrderedDict([
                                                    ('version', (YLeaf(YType.enumeration, 'version'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcVer', '')])),
                                                ])
                                                self.version = None

                                                self.group_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems()
                                                self.group_items.parent = self
                                                self._children_name_map["group_items"] = "group-items"
                                                self._segment_path = lambda: "Version-list" + "[version='" + str(self.version) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList, ['version'], name, value)


                                            class GroupItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: group_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList>`
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems, self).__init__()

                                                    self.yang_name = "group-items"
                                                    self.yang_parent_name = "Version-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Group-list", ("group_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList))])
                                                    self._leafs = OrderedDict()

                                                    self.group_list = YList(self)
                                                    self._segment_path = lambda: "group-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems, [], name, value)


                                                class GroupList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: grp  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: usestaticoif
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**default value**\: true
                                                    
                                                    .. attribute:: source_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList, self).__init__()

                                                        self.yang_name = "Group-list"
                                                        self.yang_parent_name = "group-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['grp']
                                                        self._child_classes = OrderedDict([("source-items", ("source_items", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems))])
                                                        self._leafs = OrderedDict([
                                                            ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                                            ('usestaticoif', (YLeaf(YType.boolean, 'useStaticOif'), ['bool'])),
                                                        ])
                                                        self.grp = None
                                                        self.usestaticoif = None

                                                        self.source_items = System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems()
                                                        self.source_items.parent = self
                                                        self._children_name_map["source_items"] = "source-items"
                                                        self._segment_path = lambda: "Group-list" + "[grp='" + str(self.grp) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList, ['grp', 'usestaticoif'], name, value)


                                                    class SourceItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: source_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems.SourceList>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems, self).__init__()

                                                            self.yang_name = "source-items"
                                                            self.yang_parent_name = "Group-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("Source-list", ("source_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems.SourceList))])
                                                            self._leafs = OrderedDict()

                                                            self.source_list = YList(self)
                                                            self._segment_path = lambda: "source-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems, [], name, value)


                                                        class SourceList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: src  (key)
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            .. attribute:: usestaticoif
                                                            
                                                            	
                                                            	**type**\: bool
                                                            
                                                            	**default value**\: true
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                                self.yang_name = "Source-list"
                                                                self.yang_parent_name = "source-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['src']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                                                    ('usestaticoif', (YLeaf(YType.boolean, 'useStaticOif'), ['bool'])),
                                                                ])
                                                                self.src = None
                                                                self.usestaticoif = None
                                                                self._segment_path = lambda: "Source-list" + "[src='" + str(self.src) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.JointypeItems.JoinTypeList.VerItems.VersionList.GroupItems.GroupList.SourceItems.SourceList, ['src', 'usestaticoif'], name, value)










                            class LimitItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvdentries
                                
                                	Reserved entries availability status
                                	**type**\:  :py:class:`IgmpLimitSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IgmpLimitSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: regentries
                                
                                	Regular entries availability status
                                	**type**\:  :py:class:`IgmpLimitSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IgmpLimitSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: availrsvdentries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: availregentries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: max
                                
                                	Maximum Multicast Entries
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rsvd
                                
                                	Reserved Multicast Entries
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.LimitItems, self).__init__()

                                    self.yang_name = "limit-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rsvdentries', (YLeaf(YType.enumeration, 'rsvdEntries'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IgmpLimitSt', '')])),
                                        ('regentries', (YLeaf(YType.enumeration, 'regEntries'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IgmpLimitSt', '')])),
                                        ('availrsvdentries', (YLeaf(YType.uint32, 'availRsvdEntries'), ['int'])),
                                        ('availregentries', (YLeaf(YType.uint32, 'availRegEntries'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('max', (YLeaf(YType.uint32, 'max'), ['int'])),
                                        ('rsvd', (YLeaf(YType.uint32, 'rsvd'), ['int'])),
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ])
                                    self.rsvdentries = None
                                    self.regentries = None
                                    self.availrsvdentries = None
                                    self.availregentries = None
                                    self.name = None
                                    self.descr = None
                                    self.max = None
                                    self.rsvd = None
                                    self.rtmap = None
                                    self._segment_path = lambda: "limit-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.LimitItems, ['rsvdentries', 'regentries', 'availrsvdentries', 'availregentries', 'name', 'descr', 'max', 'rsvd', 'rtmap'], name, value)



                            class ReppolItems(Entity):
                                """
                                
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: pfxlist
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: useaccessgrpcommand
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.ReppolItems, self).__init__()

                                    self.yang_name = "reppol-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                        ('useaccessgrpcommand', (YLeaf(YType.boolean, 'useAccessGrpCommand'), ['bool'])),
                                    ])
                                    self.rtmap = None
                                    self.pfxlist = None
                                    self.useaccessgrpcommand = None
                                    self._segment_path = lambda: "reppol-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.ReppolItems, ['rtmap', 'pfxlist', 'useaccessgrpcommand'], name, value)



                            class StreppolItems(Entity):
                                """
                                
                                
                                .. attribute:: strepp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StRepPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems.StRepPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems, self).__init__()

                                    self.yang_name = "streppol-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("StRepP-list", ("strepp_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems.StRepPList))])
                                    self._leafs = OrderedDict()

                                    self.strepp_list = YList(self)
                                    self._segment_path = lambda: "streppol-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems, [], name, value)


                                class StRepPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: jointype  (key)
                                    
                                    	Join Type of Groups
                                    	**type**\:  :py:class:`IpmcJoinType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcJoinType>`
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: useaccessgrpcommand
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems.StRepPList, self).__init__()

                                        self.yang_name = "StRepP-list"
                                        self.yang_parent_name = "streppol-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['jointype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('jointype', (YLeaf(YType.enumeration, 'joinType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcJoinType', '')])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('useaccessgrpcommand', (YLeaf(YType.boolean, 'useAccessGrpCommand'), ['bool'])),
                                        ])
                                        self.jointype = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.useaccessgrpcommand = None
                                        self._segment_path = lambda: "StRepP-list" + "[joinType='" + str(self.jointype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.StreppolItems.StRepPList, ['jointype', 'rtmap', 'pfxlist', 'useaccessgrpcommand'], name, value)




                            class QuerierpItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: ver
                                
                                	Version
                                	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                
                                .. attribute:: addr
                                
                                	Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: queryintvl
                                
                                	Query Interval
                                	**type**\: int
                                
                                	**range:** 1..18000
                                
                                .. attribute:: rspintvl
                                
                                	Response Interval
                                	**type**\: int
                                
                                	**range:** 1..25
                                
                                .. attribute:: robustfac
                                
                                	Robustness Factor
                                	**type**\: int
                                
                                	**range:** 1..7
                                
                                .. attribute:: startqueryintvl
                                
                                	Startup Query Interval
                                	**type**\: int
                                
                                	**range:** 1..18000
                                
                                .. attribute:: startquerycnt
                                
                                	Startup Query Count
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                .. attribute:: queriertimeout
                                
                                	Querier Timeout
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: lastmbrcnt
                                
                                	Last Member Query Count
                                	**type**\: int
                                
                                	**range:** 1..5
                                
                                .. attribute:: lastmbrresptime
                                
                                	Last Member Response Time
                                	**type**\: int
                                
                                	**range:** 1..25
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.QuerierpItems, self).__init__()

                                    self.yang_name = "querierp-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                        ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                        ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                        ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                        ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                        ('queriertimeout', (YLeaf(YType.uint16, 'querierTimeout'), ['int'])),
                                        ('lastmbrcnt', (YLeaf(YType.uint16, 'lastMbrCnt'), ['int'])),
                                        ('lastmbrresptime', (YLeaf(YType.uint16, 'lastMbrRespTime'), ['int'])),
                                    ])
                                    self.name = None
                                    self.descr = None
                                    self.ver = None
                                    self.addr = None
                                    self.queryintvl = None
                                    self.rspintvl = None
                                    self.robustfac = None
                                    self.startqueryintvl = None
                                    self.startquerycnt = None
                                    self.queriertimeout = None
                                    self.lastmbrcnt = None
                                    self.lastmbrresptime = None
                                    self._segment_path = lambda: "querierp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.QuerierpItems, ['name', 'descr', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'queriertimeout', 'lastmbrcnt', 'lastmbrresptime'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class SsmxlateItems(Entity):
                        """
                        
                        
                        .. attribute:: ssmxlate_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SSMXlateList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems.SSMXlateList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems, self).__init__()

                            self.yang_name = "ssmxlate-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SSMXlate-list", ("ssmxlate_list", System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems.SSMXlateList))])
                            self._leafs = OrderedDict()

                            self.ssmxlate_list = YList(self)
                            self._segment_path = lambda: "ssmxlate-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems, [], name, value)


                        class SSMXlateList(Entity):
                            """
                            
                            
                            .. attribute:: srcaddr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grppfx  (key)
                            
                            	Address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems.SSMXlateList, self).__init__()

                                self.yang_name = "SSMXlate-list"
                                self.yang_parent_name = "ssmxlate-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['srcaddr','grppfx']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                    ('grppfx', (YLeaf(YType.str, 'grpPfx'), ['str','str'])),
                                ])
                                self.srcaddr = None
                                self.grppfx = None
                                self._segment_path = lambda: "SSMXlate-list" + "[srcAddr='" + str(self.srcaddr) + "']" + "[grpPfx='" + str(self.grppfx) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.DomItems.DomList.SsmxlateItems.SSMXlateList, ['srcaddr', 'grppfx'], name, value)






            class RoutedbItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: type
                
                	Type
                	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                
                	**config**\: False
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IgmpItems.InstItems.RoutedbItems, self).__init__()

                    self.yang_name = "routedb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.IgmpItems.InstItems.RoutedbItems.VrfItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                    ])
                    self.name = None
                    self.type = None

                    self.vrf_items = System.IgmpItems.InstItems.RoutedbItems.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"
                    self._segment_path = lambda: "routedb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems, ['name', 'type'], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpItems.InstItems.RoutedbItems.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "routedb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList))])
                        self._leafs = OrderedDict()

                        self.vrf_list = YList(self)
                        self._segment_path = lambda: "vrf-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/routedb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems, [], name, value)


                    class VrfList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: group_items
                        
                        	
                        	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList, self).__init__()

                            self.yang_name = "Vrf-list"
                            self.yang_parent_name = "vrf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("group-items", ("group_items", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.group_items = System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems()
                            self.group_items.parent = self
                            self._children_name_map["group_items"] = "group-items"
                            self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmp-items/inst-items/routedb-items/vrf-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList, ['name'], name, value)


                        class GroupItems(Entity):
                            """
                            
                            
                            .. attribute:: routegroup_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RouteGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, self).__init__()

                                self.yang_name = "group-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RouteGroup-list", ("routegroup_list", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList))])
                                self._leafs = OrderedDict()

                                self.routegroup_list = YList(self)
                                self._segment_path = lambda: "group-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, [], name, value)


                            class RouteGroupList(Entity):
                                """
                                
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: source_items
                                
                                	
                                	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList, self).__init__()

                                    self.yang_name = "RouteGroup-list"
                                    self.yang_parent_name = "group-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpaddr']
                                    self._child_classes = OrderedDict([("source-items", ("source_items", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems))])
                                    self._leafs = OrderedDict([
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                    ])
                                    self.grpaddr = None

                                    self.source_items = System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems()
                                    self.source_items.parent = self
                                    self._children_name_map["source_items"] = "source-items"
                                    self._segment_path = lambda: "RouteGroup-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList, ['grpaddr'], name, value)


                                class SourceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: routesource_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteSourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems, self).__init__()

                                        self.yang_name = "source-items"
                                        self.yang_parent_name = "RouteGroup-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RouteSource-list", ("routesource_list", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList))])
                                        self._leafs = OrderedDict()

                                        self.routesource_list = YList(self)
                                        self._segment_path = lambda: "source-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems, [], name, value)


                                    class RouteSourceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: srcaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifcount
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList, self).__init__()

                                            self.yang_name = "RouteSource-list"
                                            self.yang_parent_name = "source-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['srcaddr']
                                            self._child_classes = OrderedDict([("oif-items", ("oif_items", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                            ])
                                            self.srcaddr = None
                                            self.oifcount = None

                                            self.oif_items = System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "RouteSource-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList, ['srcaddr', 'oifcount'], name, value)


                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: routeoif_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteOifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems.RouteOifList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "RouteSource-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RouteOif-list", ("routeoif_list", System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems.RouteOifList))])
                                                self._leafs = OrderedDict()

                                                self.routeoif_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems, [], name, value)


                                            class RouteOifList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oif  (key)
                                                
                                                	Outgoing interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: local
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: static
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: hostproxy
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: uptime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: expiryts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: createts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lastrep
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Join type
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems.RouteOifList, self).__init__()

                                                    self.yang_name = "RouteOif-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['oif']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('oif', (YLeaf(YType.str, 'oif'), ['str'])),
                                                        ('local', (YLeaf(YType.boolean, 'local'), ['bool'])),
                                                        ('static', (YLeaf(YType.boolean, 'static'), ['bool'])),
                                                        ('hostproxy', (YLeaf(YType.boolean, 'hostProxy'), ['bool'])),
                                                        ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                        ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                                        ('lastrep', (YLeaf(YType.str, 'lastRep'), ['str','str'])),
                                                        ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                    ])
                                                    self.oif = None
                                                    self.local = None
                                                    self.static = None
                                                    self.hostproxy = None
                                                    self.uptime = None
                                                    self.expiryts = None
                                                    self.createts = None
                                                    self.lastrep = None
                                                    self.type = None
                                                    self._segment_path = lambda: "RouteOif-list" + "[oif='" + str(self.oif) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.RouteGroupList.SourceItems.RouteSourceList.OifItems.RouteOifList, ['oif', 'local', 'static', 'hostproxy', 'uptime', 'expiryts', 'createts', 'lastrep', 'type'], name, value)













    class CtrlrfwstatuscontItems(Entity):
        """
        
        
        .. attribute:: ctrlrrunning_items
        
        	
        	**type**\:  :py:class:`CtrlrrunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems.CtrlrrunningItems>`
        
        .. attribute:: upgjob_items
        
        	
        	**type**\:  :py:class:`UpgjobItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems.UpgjobItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CtrlrfwstatuscontItems, self).__init__()

            self.yang_name = "ctrlrfwstatuscont-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ctrlrrunning-items", ("ctrlrrunning_items", System.CtrlrfwstatuscontItems.CtrlrrunningItems)), ("upgjob-items", ("upgjob_items", System.CtrlrfwstatuscontItems.UpgjobItems))])
            self._leafs = OrderedDict()

            self.ctrlrrunning_items = System.CtrlrfwstatuscontItems.CtrlrrunningItems()
            self.ctrlrrunning_items.parent = self
            self._children_name_map["ctrlrrunning_items"] = "ctrlrrunning-items"

            self.upgjob_items = System.CtrlrfwstatuscontItems.UpgjobItems()
            self.upgjob_items.parent = self
            self._children_name_map["upgjob_items"] = "upgjob-items"
            self._segment_path = lambda: "ctrlrfwstatuscont-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CtrlrfwstatuscontItems, [], name, value)


        class CtrlrrunningItems(Entity):
            """
            
            
            .. attribute:: version
            
            	Version
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: internallabel
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: type
            
            	Type
            	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
            
            	**config**\: False
            
            .. attribute:: mode
            
            	Mode
            	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
            
            	**config**\: False
            
            .. attribute:: ts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CtrlrfwstatuscontItems.CtrlrrunningItems, self).__init__()

                self.yang_name = "ctrlrrunning-items"
                self.yang_parent_name = "ctrlrfwstatuscont-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                    ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.version = None
                self.internallabel = None
                self.type = None
                self.mode = None
                self.ts = None
                self.descr = None
                self._segment_path = lambda: "ctrlrrunning-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctrlrfwstatuscont-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CtrlrfwstatuscontItems.CtrlrrunningItems, ['version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



        class UpgjobItems(Entity):
            """
            
            
            .. attribute:: grpprikey
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: internallabel
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: node_items
            
            	
            	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems>`
            
            .. attribute:: upgjobfault_items
            
            	
            	**type**\:  :py:class:`UpgjobfaultItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems.UpgjobItems.UpgjobfaultItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CtrlrfwstatuscontItems.UpgjobItems, self).__init__()

                self.yang_name = "upgjob-items"
                self.yang_parent_name = "ctrlrfwstatuscont-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("node-items", ("node_items", System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems)), ("upgjobfault-items", ("upgjobfault_items", System.CtrlrfwstatuscontItems.UpgjobItems.UpgjobfaultItems))])
                self._leafs = OrderedDict([
                    ('grpprikey', (YLeaf(YType.str, 'grpPriKey'), ['str'])),
                    ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                ])
                self.grpprikey = None
                self.internallabel = None

                self.node_items = System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems()
                self.node_items.parent = self
                self._children_name_map["node_items"] = "node-items"

                self.upgjobfault_items = System.CtrlrfwstatuscontItems.UpgjobItems.UpgjobfaultItems()
                self.upgjobfault_items.parent = self
                self._children_name_map["upgjobfault_items"] = "upgjobfault-items"
                self._segment_path = lambda: "upgjob-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctrlrfwstatuscont-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CtrlrfwstatuscontItems.UpgjobItems, ['grpprikey', 'internallabel'], name, value)


            class NodeItems(Entity):
                """
                
                
                .. attribute:: nodeinmaint_list
                
                	
                	**type**\: list of  		 :py:class:`NodeInMaintList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems, self).__init__()

                    self.yang_name = "node-items"
                    self.yang_parent_name = "upgjob-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("NodeInMaint-list", ("nodeinmaint_list", System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList))])
                    self._leafs = OrderedDict()

                    self.nodeinmaint_list = YList(self)
                    self._segment_path = lambda: "node-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctrlrfwstatuscont-items/upgjob-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems, [], name, value)


                class NodeInMaintList(Entity):
                    """
                    
                    
                    .. attribute:: nodeid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: windowstarttime
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: windowtimecap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList, self).__init__()

                        self.yang_name = "NodeInMaint-list"
                        self.yang_parent_name = "node-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['nodeid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('nodeid', (YLeaf(YType.uint32, 'nodeId'), ['int'])),
                            ('windowstarttime', (YLeaf(YType.str, 'windowStartTime'), ['str'])),
                            ('windowtimecap', (YLeaf(YType.str, 'windowTimeCap'), ['str'])),
                        ])
                        self.nodeid = None
                        self.windowstarttime = None
                        self.windowtimecap = None
                        self._segment_path = lambda: "NodeInMaint-list" + "[nodeId='" + str(self.nodeid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctrlrfwstatuscont-items/upgjob-items/node-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CtrlrfwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList, ['nodeid', 'windowstarttime', 'windowtimecap'], name, value)




            class UpgjobfaultItems(Entity):
                """
                
                
                .. attribute:: faultdelegatekey
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtrlrfwstatuscontItems.UpgjobItems.UpgjobfaultItems, self).__init__()

                    self.yang_name = "upgjobfault-items"
                    self.yang_parent_name = "upgjob-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('faultdelegatekey', (YLeaf(YType.str, 'faultDelegateKey'), ['str'])),
                    ])
                    self.faultdelegatekey = None
                    self._segment_path = lambda: "upgjobfault-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctrlrfwstatuscont-items/upgjob-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtrlrfwstatuscontItems.UpgjobItems.UpgjobfaultItems, ['faultdelegatekey'], name, value)





    class FwstatuscontItems(Entity):
        """
        
        
        .. attribute:: running_items
        
        	
        	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems.RunningItems>`
        
        .. attribute:: upgjob_items
        
        	
        	**type**\:  :py:class:`UpgjobItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems.UpgjobItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FwstatuscontItems, self).__init__()

            self.yang_name = "fwstatuscont-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("running-items", ("running_items", System.FwstatuscontItems.RunningItems)), ("upgjob-items", ("upgjob_items", System.FwstatuscontItems.UpgjobItems))])
            self._leafs = OrderedDict()

            self.running_items = System.FwstatuscontItems.RunningItems()
            self.running_items.parent = self
            self._children_name_map["running_items"] = "running-items"

            self.upgjob_items = System.FwstatuscontItems.UpgjobItems()
            self.upgjob_items.parent = self
            self._children_name_map["upgjob_items"] = "upgjob-items"
            self._segment_path = lambda: "fwstatuscont-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FwstatuscontItems, [], name, value)


        class RunningItems(Entity):
            """
            
            
            .. attribute:: pever
            
            	A property that indicates Policy Element Version
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: biosver
            
            	A property that indicates BIOS Version
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: biosts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: ksfile
            
            	A property that indicates kickstart file name
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: sysfile
            
            	A property that indicates system file name
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: version
            
            	Version
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: internallabel
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: type
            
            	Type
            	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
            
            	**config**\: False
            
            .. attribute:: mode
            
            	Mode
            	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
            
            	**config**\: False
            
            .. attribute:: ts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FwstatuscontItems.RunningItems, self).__init__()

                self.yang_name = "running-items"
                self.yang_parent_name = "fwstatuscont-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('pever', (YLeaf(YType.str, 'peVer'), ['str'])),
                    ('biosver', (YLeaf(YType.str, 'biosVer'), ['str'])),
                    ('biosts', (YLeaf(YType.str, 'biosTs'), ['str'])),
                    ('ksfile', (YLeaf(YType.str, 'ksFile'), ['str'])),
                    ('sysfile', (YLeaf(YType.str, 'sysFile'), ['str'])),
                    ('version', (YLeaf(YType.str, 'version'), ['str'])),
                    ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                    ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.pever = None
                self.biosver = None
                self.biosts = None
                self.ksfile = None
                self.sysfile = None
                self.version = None
                self.internallabel = None
                self.type = None
                self.mode = None
                self.ts = None
                self.descr = None
                self._segment_path = lambda: "running-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fwstatuscont-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FwstatuscontItems.RunningItems, ['pever', 'biosver', 'biosts', 'ksfile', 'sysfile', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



        class UpgjobItems(Entity):
            """
            
            
            .. attribute:: grpprikey
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: internallabel
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: node_items
            
            	
            	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems.UpgjobItems.NodeItems>`
            
            .. attribute:: upgjobfault_items
            
            	
            	**type**\:  :py:class:`UpgjobfaultItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems.UpgjobItems.UpgjobfaultItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FwstatuscontItems.UpgjobItems, self).__init__()

                self.yang_name = "upgjob-items"
                self.yang_parent_name = "fwstatuscont-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("node-items", ("node_items", System.FwstatuscontItems.UpgjobItems.NodeItems)), ("upgjobfault-items", ("upgjobfault_items", System.FwstatuscontItems.UpgjobItems.UpgjobfaultItems))])
                self._leafs = OrderedDict([
                    ('grpprikey', (YLeaf(YType.str, 'grpPriKey'), ['str'])),
                    ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                ])
                self.grpprikey = None
                self.internallabel = None

                self.node_items = System.FwstatuscontItems.UpgjobItems.NodeItems()
                self.node_items.parent = self
                self._children_name_map["node_items"] = "node-items"

                self.upgjobfault_items = System.FwstatuscontItems.UpgjobItems.UpgjobfaultItems()
                self.upgjobfault_items.parent = self
                self._children_name_map["upgjobfault_items"] = "upgjobfault-items"
                self._segment_path = lambda: "upgjob-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fwstatuscont-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FwstatuscontItems.UpgjobItems, ['grpprikey', 'internallabel'], name, value)


            class NodeItems(Entity):
                """
                
                
                .. attribute:: nodeinmaint_list
                
                	
                	**type**\: list of  		 :py:class:`NodeInMaintList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FwstatuscontItems.UpgjobItems.NodeItems, self).__init__()

                    self.yang_name = "node-items"
                    self.yang_parent_name = "upgjob-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("NodeInMaint-list", ("nodeinmaint_list", System.FwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList))])
                    self._leafs = OrderedDict()

                    self.nodeinmaint_list = YList(self)
                    self._segment_path = lambda: "node-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fwstatuscont-items/upgjob-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FwstatuscontItems.UpgjobItems.NodeItems, [], name, value)


                class NodeInMaintList(Entity):
                    """
                    
                    
                    .. attribute:: nodeid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: windowstarttime
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: windowtimecap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList, self).__init__()

                        self.yang_name = "NodeInMaint-list"
                        self.yang_parent_name = "node-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['nodeid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('nodeid', (YLeaf(YType.uint32, 'nodeId'), ['int'])),
                            ('windowstarttime', (YLeaf(YType.str, 'windowStartTime'), ['str'])),
                            ('windowtimecap', (YLeaf(YType.str, 'windowTimeCap'), ['str'])),
                        ])
                        self.nodeid = None
                        self.windowstarttime = None
                        self.windowtimecap = None
                        self._segment_path = lambda: "NodeInMaint-list" + "[nodeId='" + str(self.nodeid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fwstatuscont-items/upgjob-items/node-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FwstatuscontItems.UpgjobItems.NodeItems.NodeInMaintList, ['nodeid', 'windowstarttime', 'windowtimecap'], name, value)




            class UpgjobfaultItems(Entity):
                """
                
                
                .. attribute:: faultdelegatekey
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FwstatuscontItems.UpgjobItems.UpgjobfaultItems, self).__init__()

                    self.yang_name = "upgjobfault-items"
                    self.yang_parent_name = "upgjob-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('faultdelegatekey', (YLeaf(YType.str, 'faultDelegateKey'), ['str'])),
                    ])
                    self.faultdelegatekey = None
                    self._segment_path = lambda: "upgjobfault-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fwstatuscont-items/upgjob-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FwstatuscontItems.UpgjobItems.UpgjobfaultItems, ['faultdelegatekey'], name, value)





    class CatfwstatuscontItems(Entity):
        """
        
        
        .. attribute:: catupgjob_items
        
        	
        	**type**\:  :py:class:`CatupgjobItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CatfwstatuscontItems.CatupgjobItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CatfwstatuscontItems, self).__init__()

            self.yang_name = "catfwstatuscont-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("catupgjob-items", ("catupgjob_items", System.CatfwstatuscontItems.CatupgjobItems))])
            self._leafs = OrderedDict()

            self.catupgjob_items = System.CatfwstatuscontItems.CatupgjobItems()
            self.catupgjob_items.parent = self
            self._children_name_map["catupgjob_items"] = "catupgjob-items"
            self._segment_path = lambda: "catfwstatuscont-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CatfwstatuscontItems, [], name, value)


        class CatupgjobItems(Entity):
            """
            
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CatfwstatuscontItems.CatupgjobItems, self).__init__()

                self.yang_name = "catupgjob-items"
                self.yang_parent_name = "catfwstatuscont-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict()
                self._segment_path = lambda: "catupgjob-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/catfwstatuscont-items/%s" % self._segment_path()
                self._is_frozen = True




    class IsisItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems>`
        
        .. attribute:: if_items
        
        	
        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IsisItems, self).__init__()

            self.yang_name = "isis-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.IsisItems.InstItems)), ("if-items", ("if_items", System.IsisItems.IfItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.IsisItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"

            self.if_items = System.IsisItems.IfItems()
            self.if_items.parent = self
            self._children_name_map["if_items"] = "if-items"
            self._segment_path = lambda: "isis-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IsisItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: inst_list
            
            	
            	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IsisItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "isis-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.IsisItems.InstItems.InstList))])
                self._leafs = OrderedDict()

                self.inst_list = YList(self)
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/isis-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IsisItems.InstItems, [], name, value)


            class InstList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: operst
                
                	Holds ISIS Instance Operational State
                	**type**\:  :py:class:`IsisOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisOperSt>`
                
                	**config**\: False
                
                .. attribute:: flushroutes
                
                	
                	**type**\: bool
                
                .. attribute:: isolate
                
                	
                	**type**\: bool
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IsisItems.InstItems.InstList, self).__init__()

                    self.yang_name = "Inst-list"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.IsisItems.InstItems.InstList.DomItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisOperSt', '')])),
                        ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                        ('isolate', (YLeaf(YType.boolean, 'isolate'), ['bool'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.name = None
                    self.operst = None
                    self.flushroutes = None
                    self.isolate = None
                    self.adminst = None
                    self.ctrl = None

                    self.dom_items = System.IsisItems.InstItems.InstList.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "Inst-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/isis-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IsisItems.InstItems.InstList, ['name', 'operst', 'flushroutes', 'isolate', 'adminst', 'ctrl'], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: dom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.InstItems.InstList.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.IsisItems.InstItems.InstList.DomItems.DomList))])
                        self._leafs = OrderedDict()

                        self.dom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems, [], name, value)


                    class DomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: net
                        
                        	Holds ISIS Domain Net value
                        	**type**\: str
                        
                        .. attribute:: mtu
                        
                        	Holds ISIS Domain Maximum Transmission Unit
                        	**type**\: int
                        
                        	**range:** 256..4352
                        
                        .. attribute:: bwref
                        
                        	Holds ISIS Domain Bandwidth Reference
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bwrefunit
                        
                        	Holds ISIS Domain  Bandwidth Reference Unit (Mbps or Gbps)
                        	**type**\:  :py:class:`IsisBwRefUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisBwRefUnit>`
                        
                        .. attribute:: metricstyle
                        
                        	Holds ISIS Domain Metric Style
                        	**type**\:  :py:class:`IsisMetricStyle <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisMetricStyle>`
                        
                        .. attribute:: istype
                        
                        	Holds ISIS Domain IS[Level] Type
                        	**type**\:  :py:class:`IsisIsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisIsT>`
                        
                        .. attribute:: lsplifetime
                        
                        	Holds ISIS Domain LSP Lifetime
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: adminst
                        
                        	Holds ISIS Domain Administative state
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        .. attribute:: ctrl
                        
                        	Holds ISIS Domain Control messages
                        	**type**\: str
                        
                        .. attribute:: authchecklvl1
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: authchecklvl2
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`IsisOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: db_items
                        
                        	
                        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems>`
                        
                        .. attribute:: overload_items
                        
                        	
                        	**type**\:  :py:class:`OverloadItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.OverloadItems>`
                        
                        .. attribute:: lvl_items
                        
                        	
                        	**type**\:  :py:class:`LvlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems>`
                        
                        .. attribute:: fmtree_items
                        
                        	
                        	**type**\:  :py:class:`FmtreeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems>`
                        
                        .. attribute:: gr_items
                        
                        	
                        	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.GrItems>`
                        
                        .. attribute:: if_items
                        
                        	
                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems>`
                        
                        .. attribute:: defrtleak_items
                        
                        	
                        	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DefrtleakItems>`
                        
                        .. attribute:: interleak_items
                        
                        	
                        	**type**\:  :py:class:`InterleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IsisItems.InstItems.InstList.DomItems.DomList, self).__init__()

                            self.yang_name = "Dom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("db-items", ("db_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems)), ("overload-items", ("overload_items", System.IsisItems.InstItems.InstList.DomItems.DomList.OverloadItems)), ("lvl-items", ("lvl_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems)), ("fmtree-items", ("fmtree_items", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems)), ("gr-items", ("gr_items", System.IsisItems.InstItems.InstList.DomItems.DomList.GrItems)), ("if-items", ("if_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems)), ("defrtleak-items", ("defrtleak_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DefrtleakItems)), ("interleak-items", ("interleak_items", System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('net', (YLeaf(YType.str, 'net'), ['str'])),
                                ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                                ('bwref', (YLeaf(YType.uint32, 'bwRef'), ['int'])),
                                ('bwrefunit', (YLeaf(YType.enumeration, 'bwRefUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisBwRefUnit', '')])),
                                ('metricstyle', (YLeaf(YType.enumeration, 'metricStyle'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisMetricStyle', '')])),
                                ('istype', (YLeaf(YType.enumeration, 'isType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisIsT', '')])),
                                ('lsplifetime', (YLeaf(YType.uint32, 'lspLifetime'), ['int'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('authchecklvl1', (YLeaf(YType.boolean, 'authCheckLvl1'), ['bool'])),
                                ('authchecklvl2', (YLeaf(YType.boolean, 'authCheckLvl2'), ['bool'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisOperSt', '')])),
                            ])
                            self.name = None
                            self.net = None
                            self.mtu = None
                            self.bwref = None
                            self.bwrefunit = None
                            self.metricstyle = None
                            self.istype = None
                            self.lsplifetime = None
                            self.adminst = None
                            self.ctrl = None
                            self.authchecklvl1 = None
                            self.authchecklvl2 = None
                            self.operst = None

                            self.db_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems()
                            self.db_items.parent = self
                            self._children_name_map["db_items"] = "db-items"

                            self.overload_items = System.IsisItems.InstItems.InstList.DomItems.DomList.OverloadItems()
                            self.overload_items.parent = self
                            self._children_name_map["overload_items"] = "overload-items"

                            self.lvl_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems()
                            self.lvl_items.parent = self
                            self._children_name_map["lvl_items"] = "lvl-items"

                            self.fmtree_items = System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems()
                            self.fmtree_items.parent = self
                            self._children_name_map["fmtree_items"] = "fmtree-items"

                            self.gr_items = System.IsisItems.InstItems.InstList.DomItems.DomList.GrItems()
                            self.gr_items.parent = self
                            self._children_name_map["gr_items"] = "gr-items"

                            self.if_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems()
                            self.if_items.parent = self
                            self._children_name_map["if_items"] = "if-items"

                            self.defrtleak_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DefrtleakItems()
                            self.defrtleak_items.parent = self
                            self._children_name_map["defrtleak_items"] = "defrtleak-items"

                            self.interleak_items = System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems()
                            self.interleak_items.parent = self
                            self._children_name_map["interleak_items"] = "interleak-items"
                            self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList, ['name', 'net', 'mtu', 'bwref', 'bwrefunit', 'metricstyle', 'istype', 'lsplifetime', 'adminst', 'ctrl', 'authchecklvl1', 'authchecklvl2', 'operst'], name, value)


                        class DbItems(Entity):
                            """
                            
                            
                            .. attribute:: db_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems, self).__init__()

                                self.yang_name = "db-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Db-list", ("db_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList))])
                                self._leafs = OrderedDict()

                                self.db_list = YList(self)
                                self._segment_path = lambda: "db-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems, [], name, value)


                            class DbList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`IsisDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisDbT>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: grp_items
                                
                                	
                                	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: node_items
                                
                                	
                                	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: lsp_items
                                
                                	
                                	**type**\:  :py:class:`LspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: nh_items
                                
                                	
                                	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: dtep_items
                                
                                	
                                	**type**\:  :py:class:`DtepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList, self).__init__()

                                    self.yang_name = "Db-list"
                                    self.yang_parent_name = "db-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("grp-items", ("grp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems)), ("node-items", ("node_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems)), ("lsp-items", ("lsp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems)), ("nh-items", ("nh_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems)), ("rt-items", ("rt_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems)), ("dtep-items", ("dtep_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisDbT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None

                                    self.grp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems()
                                    self.grp_items.parent = self
                                    self._children_name_map["grp_items"] = "grp-items"

                                    self.node_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems()
                                    self.node_items.parent = self
                                    self._children_name_map["node_items"] = "node-items"

                                    self.lsp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems()
                                    self.lsp_items.parent = self
                                    self._children_name_map["lsp_items"] = "lsp-items"

                                    self.nh_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems()
                                    self.nh_items.parent = self
                                    self._children_name_map["nh_items"] = "nh-items"

                                    self.rt_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.dtep_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems()
                                    self.dtep_items.parent = self
                                    self._children_name_map["dtep_items"] = "dtep-items"
                                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                                class GrpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grprec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`GrpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems, self).__init__()

                                        self.yang_name = "grp-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("GrpRec-list", ("grprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList))])
                                        self._leafs = OrderedDict()

                                        self.grprec_list = YList(self)
                                        self._segment_path = lambda: "grp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems, [], name, value)


                                    class GrpRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	Address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ftagoif_items
                                        
                                        	
                                        	**type**\:  :py:class:`FtagoifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bd_items
                                        
                                        	
                                        	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: node_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifleaf_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifleafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifspine_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifspineItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList, self).__init__()

                                            self.yang_name = "GrpRec-list"
                                            self.yang_parent_name = "grp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("ftagoif-items", ("ftagoif_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems)), ("bd-items", ("bd_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems)), ("node-items", ("node_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems)), ("oifleaf-items", ("oifleaf_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems)), ("oifspine-items", ("oifspine_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None

                                            self.ftagoif_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems()
                                            self.ftagoif_items.parent = self
                                            self._children_name_map["ftagoif_items"] = "ftagoif-items"

                                            self.bd_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems()
                                            self.bd_items.parent = self
                                            self._children_name_map["bd_items"] = "bd-items"

                                            self.node_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems()
                                            self.node_items.parent = self
                                            self._children_name_map["node_items"] = "node-items"

                                            self.oifleaf_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems()
                                            self.oifleaf_items.parent = self
                                            self._children_name_map["oifleaf_items"] = "oifleaf-items"

                                            self.oifspine_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems()
                                            self.oifspine_items.parent = self
                                            self._children_name_map["oifspine_items"] = "oifspine-items"
                                            self._segment_path = lambda: "GrpRec-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList, ['addr', 'name'], name, value)


                                        class FtagoifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ftagoifrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`FtagOifRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems, self).__init__()

                                                self.yang_name = "ftagoif-items"
                                                self.yang_parent_name = "GrpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("FtagOifRec-list", ("ftagoifrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList))])
                                                self._leafs = OrderedDict()

                                                self.ftagoifrec_list = YList(self)
                                                self._segment_path = lambda: "ftagoif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems, [], name, value)


                                            class FtagOifRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id  (key)
                                                
                                                	Ftag ID
                                                	**type**\: int
                                                
                                                	**range:** 0..12
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifleaf_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifleafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifspine_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifspineItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList, self).__init__()

                                                    self.yang_name = "FtagOifRec-list"
                                                    self.yang_parent_name = "ftagoif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['id']
                                                    self._child_classes = OrderedDict([("oifleaf-items", ("oifleaf_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems)), ("oifspine-items", ("oifspine_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems))])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.id = None
                                                    self.name = None

                                                    self.oifleaf_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems()
                                                    self.oifleaf_items.parent = self
                                                    self._children_name_map["oifleaf_items"] = "oifleaf-items"

                                                    self.oifspine_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems()
                                                    self.oifspine_items.parent = self
                                                    self._children_name_map["oifspine_items"] = "oifspine-items"
                                                    self._segment_path = lambda: "FtagOifRec-list" + "[id='" + str(self.id) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList, ['id', 'name'], name, value)


                                                class OifleafItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oiflistleaf_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifListLeafList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems, self).__init__()

                                                        self.yang_name = "oifleaf-items"
                                                        self.yang_parent_name = "FtagOifRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifListLeaf-list", ("oiflistleaf_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList))])
                                                        self._leafs = OrderedDict()

                                                        self.oiflistleaf_list = YList(self)
                                                        self._segment_path = lambda: "oifleaf-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems, [], name, value)


                                                    class OifListLeafList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: idx  (key)
                                                        
                                                        	Index
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..12
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList, self).__init__()

                                                            self.yang_name = "OifListLeaf-list"
                                                            self.yang_parent_name = "oifleaf-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['idx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.idx = None
                                                            self.name = None
                                                            self._segment_path = lambda: "OifListLeaf-list" + "[idx='" + str(self.idx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList, ['idx', 'name'], name, value)




                                                class OifspineItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oiflistspine_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifListSpineList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems, self).__init__()

                                                        self.yang_name = "oifspine-items"
                                                        self.yang_parent_name = "FtagOifRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifListSpine-list", ("oiflistspine_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList))])
                                                        self._leafs = OrderedDict()

                                                        self.oiflistspine_list = YList(self)
                                                        self._segment_path = lambda: "oifspine-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems, [], name, value)


                                                    class OifListSpineList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: idx  (key)
                                                        
                                                        	Index
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..12
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList, self).__init__()

                                                            self.yang_name = "OifListSpine-list"
                                                            self.yang_parent_name = "oifspine-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['idx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.idx = None
                                                            self.name = None
                                                            self._segment_path = lambda: "OifListSpine-list" + "[idx='" + str(self.idx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList, ['idx', 'name'], name, value)






                                        class BdItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: bdidrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BdIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems, self).__init__()

                                                self.yang_name = "bd-items"
                                                self.yang_parent_name = "GrpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("BdIdRec-list", ("bdidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList))])
                                                self._leafs = OrderedDict()

                                                self.bdidrec_list = YList(self)
                                                self._segment_path = lambda: "bd-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems, [], name, value)


                                            class BdIdRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: encap  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList, self).__init__()

                                                    self.yang_name = "BdIdRec-list"
                                                    self.yang_parent_name = "bd-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['encap']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.encap = None
                                                    self.name = None
                                                    self._segment_path = lambda: "BdIdRec-list" + "[encap='" + str(self.encap) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList, ['encap', 'name'], name, value)




                                        class NodeItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nodeidrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodeIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems, self).__init__()

                                                self.yang_name = "node-items"
                                                self.yang_parent_name = "GrpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("NodeIdRec-list", ("nodeidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList))])
                                                self._leafs = OrderedDict()

                                                self.nodeidrec_list = YList(self)
                                                self._segment_path = lambda: "node-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems, [], name, value)


                                            class NodeIdRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList, self).__init__()

                                                    self.yang_name = "NodeIdRec-list"
                                                    self.yang_parent_name = "node-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.addr = None
                                                    self.name = None
                                                    self._segment_path = lambda: "NodeIdRec-list" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList, ['addr', 'name'], name, value)




                                        class OifleafItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oiflistleaf_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OifListLeafList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems, self).__init__()

                                                self.yang_name = "oifleaf-items"
                                                self.yang_parent_name = "GrpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("OifListLeaf-list", ("oiflistleaf_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList))])
                                                self._leafs = OrderedDict()

                                                self.oiflistleaf_list = YList(self)
                                                self._segment_path = lambda: "oifleaf-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems, [], name, value)


                                            class OifListLeafList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: idx  (key)
                                                
                                                	Index
                                                	**type**\: int
                                                
                                                	**range:** 0..12
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList, self).__init__()

                                                    self.yang_name = "OifListLeaf-list"
                                                    self.yang_parent_name = "oifleaf-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['idx']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.idx = None
                                                    self.name = None
                                                    self._segment_path = lambda: "OifListLeaf-list" + "[idx='" + str(self.idx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList, ['idx', 'name'], name, value)




                                        class OifspineItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oiflistspine_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OifListSpineList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems, self).__init__()

                                                self.yang_name = "oifspine-items"
                                                self.yang_parent_name = "GrpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("OifListSpine-list", ("oiflistspine_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList))])
                                                self._leafs = OrderedDict()

                                                self.oiflistspine_list = YList(self)
                                                self._segment_path = lambda: "oifspine-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems, [], name, value)


                                            class OifListSpineList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: idx  (key)
                                                
                                                	Index
                                                	**type**\: int
                                                
                                                	**range:** 0..12
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList, self).__init__()

                                                    self.yang_name = "OifListSpine-list"
                                                    self.yang_parent_name = "oifspine-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['idx']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.idx = None
                                                    self.name = None
                                                    self._segment_path = lambda: "OifListSpine-list" + "[idx='" + str(self.idx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList, ['idx', 'name'], name, value)






                                class NodeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: noderec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodeRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems, self).__init__()

                                        self.yang_name = "node-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodeRec-list", ("noderec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList))])
                                        self._leafs = OrderedDict()

                                        self.noderec_list = YList(self)
                                        self._segment_path = lambda: "node-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems, [], name, value)


                                    class NodeRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: sysid  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grp_items
                                        
                                        	
                                        	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList, self).__init__()

                                            self.yang_name = "NodeRec-list"
                                            self.yang_parent_name = "node-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['sysid']
                                            self._child_classes = OrderedDict([("grp-items", ("grp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems))])
                                            self._leafs = OrderedDict([
                                                ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.sysid = None
                                            self.addr = None
                                            self.name = None

                                            self.grp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems()
                                            self.grp_items.parent = self
                                            self._children_name_map["grp_items"] = "grp-items"
                                            self._segment_path = lambda: "NodeRec-list" + "[sysId='" + str(self.sysid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList, ['sysid', 'addr', 'name'], name, value)


                                        class GrpItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: grpidrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`GrpIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems, self).__init__()

                                                self.yang_name = "grp-items"
                                                self.yang_parent_name = "NodeRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("GrpIdRec-list", ("grpidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList))])
                                                self._leafs = OrderedDict()

                                                self.grpidrec_list = YList(self)
                                                self._segment_path = lambda: "grp-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems, [], name, value)


                                            class GrpIdRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	Address
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList, self).__init__()

                                                    self.yang_name = "GrpIdRec-list"
                                                    self.yang_parent_name = "grp-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.addr = None
                                                    self.name = None
                                                    self._segment_path = lambda: "GrpIdRec-list" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList, ['addr', 'name'], name, value)






                                class LspItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lsprec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LspRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems, self).__init__()

                                        self.yang_name = "lsp-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LspRec-list", ("lsprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList))])
                                        self._leafs = OrderedDict()

                                        self.lsprec_list = YList(self)
                                        self._segment_path = lambda: "lsp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems, [], name, value)


                                    class LspRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: sysid  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lanid  (key)
                                        
                                        	LAN ID
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: frag  (key)
                                        
                                        	Fragment Number
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	Level Type
                                        	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: extisrec_items
                                        
                                        	
                                        	**type**\:  :py:class:`ExtisrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tlvrec_items
                                        
                                        	
                                        	**type**\:  :py:class:`TlvRecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: iprec_items
                                        
                                        	
                                        	**type**\:  :py:class:`IprecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList, self).__init__()

                                            self.yang_name = "LspRec-list"
                                            self.yang_parent_name = "lsp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['sysid','lanid','frag']
                                            self._child_classes = OrderedDict([("extisrec-items", ("extisrec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems)), ("tlvRec-items", ("tlvrec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems)), ("iprec-items", ("iprec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems))])
                                            self._leafs = OrderedDict([
                                                ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                                ('lanid', (YLeaf(YType.uint8, 'lanId'), ['int'])),
                                                ('frag', (YLeaf(YType.uint8, 'frag'), ['int'])),
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.sysid = None
                                            self.lanid = None
                                            self.frag = None
                                            self.type = None
                                            self.name = None

                                            self.extisrec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems()
                                            self.extisrec_items.parent = self
                                            self._children_name_map["extisrec_items"] = "extisrec-items"

                                            self.tlvrec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems()
                                            self.tlvrec_items.parent = self
                                            self._children_name_map["tlvrec_items"] = "tlvRec-items"

                                            self.iprec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems()
                                            self.iprec_items.parent = self
                                            self._children_name_map["iprec_items"] = "iprec-items"
                                            self._segment_path = lambda: "LspRec-list" + "[sysId='" + str(self.sysid) + "']" + "[lanId='" + str(self.lanid) + "']" + "[frag='" + str(self.frag) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList, ['sysid', 'lanid', 'frag', 'type', 'name'], name, value)


                                        class ExtisrecItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: extisrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`ExtIsRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems, self).__init__()

                                                self.yang_name = "extisrec-items"
                                                self.yang_parent_name = "LspRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("ExtIsRec-list", ("extisrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList))])
                                                self._leafs = OrderedDict()

                                                self.extisrec_list = YList(self)
                                                self._segment_path = lambda: "extisrec-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems, [], name, value)


                                            class ExtIsRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  (key)
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList, self).__init__()

                                                    self.yang_name = "ExtIsRec-list"
                                                    self.yang_parent_name = "extisrec-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['name']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.name = None
                                                    self._segment_path = lambda: "ExtIsRec-list" + "[name='" + str(self.name) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList, ['name'], name, value)




                                        class TlvRecItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tlvrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`TlvRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems, self).__init__()

                                                self.yang_name = "tlvRec-items"
                                                self.yang_parent_name = "LspRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("TlvRec-list", ("tlvrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList))])
                                                self._leafs = OrderedDict()

                                                self.tlvrec_list = YList(self)
                                                self._segment_path = lambda: "tlvRec-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems, [], name, value)


                                            class TlvRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type  (key)
                                                
                                                	TLV
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: value
                                                
                                                	Value
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList, self).__init__()

                                                    self.yang_name = "TlvRec-list"
                                                    self.yang_parent_name = "tlvRec-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['type']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('type', (YLeaf(YType.uint8, 'type'), ['int'])),
                                                        ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.type = None
                                                    self.value = None
                                                    self.name = None
                                                    self._segment_path = lambda: "TlvRec-list" + "[type='" + str(self.type) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList, ['type', 'value', 'name'], name, value)




                                        class IprecItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: iprec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems, self).__init__()

                                                self.yang_name = "iprec-items"
                                                self.yang_parent_name = "LspRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("IpRec-list", ("iprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList))])
                                                self._leafs = OrderedDict()

                                                self.iprec_list = YList(self)
                                                self._segment_path = lambda: "iprec-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems, [], name, value)


                                            class IpRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList, self).__init__()

                                                    self.yang_name = "IpRec-list"
                                                    self.yang_parent_name = "iprec-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self._segment_path = lambda: "IpRec-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList, ['pfx', 'name'], name, value)






                                class NhItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nexthop_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems.NexthopList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems, self).__init__()

                                        self.yang_name = "nh-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems.NexthopList))])
                                        self._leafs = OrderedDict()

                                        self.nexthop_list = YList(self)
                                        self._segment_path = lambda: "nh-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems, [], name, value)


                                    class NexthopList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: nhif  (key)
                                        
                                        	Interface
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: if_
                                        
                                        	Interface (IOD Internal)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems.NexthopList, self).__init__()

                                            self.yang_name = "Nexthop-list"
                                            self.yang_parent_name = "nh-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['nhif','addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('if_', (YLeaf(YType.uint32, 'if'), ['int'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.nhif = None
                                            self.addr = None
                                            self.if_ = None
                                            self.name = None
                                            self._segment_path = lambda: "Nexthop-list" + "[nhIf='" + str(self.nhif) + "']" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.NhItems.NexthopList, ['nhif', 'addr', 'if_', 'name'], name, value)




                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rsnhatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RsnhAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("rsnhAtt-items", ("rsnhatt_items", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.pfx = None
                                            self.name = None

                                            self.rsnhatt_items = System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems()
                                            self.rsnhatt_items.parent = self
                                            self._children_name_map["rsnhatt_items"] = "rsnhAtt-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList, ['pfx', 'name'], name, value)


                                        class RsnhAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rsnhatt_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RsNhAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems, self).__init__()

                                                self.yang_name = "rsnhAtt-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RsNhAtt-list", ("rsnhatt_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList))])
                                                self._leafs = OrderedDict()

                                                self.rsnhatt_list = YList(self)
                                                self._segment_path = lambda: "rsnhAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems, [], name, value)


                                            class RsNhAttList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn  (key)
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList, self).__init__()

                                                    self.yang_name = "RsNhAtt-list"
                                                    self.yang_parent_name = "rsnhAtt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['tdn']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "RsNhAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList, ['tdn', 'tcl'], name, value)






                                class DtepItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dtep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DTEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems.DTEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems, self).__init__()

                                        self.yang_name = "dtep-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("DTEp-list", ("dtep_list", System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems.DTEpList))])
                                        self._leafs = OrderedDict()

                                        self.dtep_list = YList(self)
                                        self._segment_path = lambda: "dtep-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems, [], name, value)


                                    class DTEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: encapt
                                        
                                        	Encapsulation Type
                                        	**type**\:  :py:class:`TunnelEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelEncapT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	Type
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: role
                                        
                                        	Role
                                        	**type**\:  :py:class:`TopNodeRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TopNodeRole>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems.DTEpList, self).__init__()

                                            self.yang_name = "DTEp-list"
                                            self.yang_parent_name = "dtep-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('encapt', (YLeaf(YType.enumeration, 'encapt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelEncapT', '')])),
                                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                ('role', (YLeaf(YType.enumeration, 'role'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TopNodeRole', '')])),
                                            ])
                                            self.id = None
                                            self.name = None
                                            self.encapt = None
                                            self.type = None
                                            self.role = None
                                            self._segment_path = lambda: "DTEp-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.DtepItems.DTEpList, ['id', 'name', 'encapt', 'type', 'role'], name, value)






                        class OverloadItems(Entity):
                            """
                            
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`IsisOverloadAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisOverloadAdminSt>`
                            
                            .. attribute:: startuptime
                            
                            	Startup Time
                            	**type**\: int
                            
                            	**range:** 5..86400
                            
                            .. attribute:: bgpasnum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: suppress
                            
                            	Suppress Internal/External
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.OverloadItems, self).__init__()

                                self.yang_name = "overload-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisOverloadAdminSt', '')])),
                                    ('startuptime', (YLeaf(YType.uint32, 'startupTime'), ['int'])),
                                    ('bgpasnum', (YLeaf(YType.uint16, 'bgpAsNum'), ['int'])),
                                    ('suppress', (YLeaf(YType.str, 'suppress'), ['str'])),
                                ])
                                self.adminst = None
                                self.startuptime = None
                                self.bgpasnum = None
                                self.suppress = None
                                self._segment_path = lambda: "overload-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.OverloadItems, ['adminst', 'startuptime', 'bgpasnum', 'suppress'], name, value)



                        class LvlItems(Entity):
                            """
                            
                            
                            .. attribute:: domlvl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DomLvlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems, self).__init__()

                                self.yang_name = "lvl-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("DomLvl-list", ("domlvl_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList))])
                                self._leafs = OrderedDict()

                                self.domlvl_list = YList(self)
                                self._segment_path = lambda: "lvl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems, [], name, value)


                            class DomLvlList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                                
                                .. attribute:: ctrl
                                
                                	Controls
                                	**type**\: str
                                
                                .. attribute:: authtypelvl1
                                
                                	Holds ISIS DOM Authentication\-Type for Level\-1
                                	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                                
                                .. attribute:: authtypelvl2
                                
                                	Holds ISIS DOM Authentication\-Type for Level\-2
                                	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                                
                                .. attribute:: authkeylvl1
                                
                                	Holds Authentication Key for ISIS DOM on Level\-1
                                	**type**\: str
                                
                                .. attribute:: authkeylvl2
                                
                                	Holds Authentication Key for ISIS DOM on Level\-2
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: db_items
                                
                                	
                                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems>`
                                
                                .. attribute:: lspgen_items
                                
                                	
                                	**type**\:  :py:class:`LspgenItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.LspgenItems>`
                                
                                .. attribute:: spfcomp_items
                                
                                	
                                	**type**\:  :py:class:`SpfcompItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.SpfcompItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList, self).__init__()

                                    self.yang_name = "DomLvl-list"
                                    self.yang_parent_name = "lvl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("db-items", ("db_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems)), ("lspgen-items", ("lspgen_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.LspgenItems)), ("spfcomp-items", ("spfcomp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.SpfcompItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ('authtypelvl1', (YLeaf(YType.enumeration, 'authTypeLvl1'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                        ('authtypelvl2', (YLeaf(YType.enumeration, 'authTypeLvl2'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                        ('authkeylvl1', (YLeaf(YType.str, 'authKeyLvl1'), ['str'])),
                                        ('authkeylvl2', (YLeaf(YType.str, 'authKeyLvl2'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.ctrl = None
                                    self.authtypelvl1 = None
                                    self.authtypelvl2 = None
                                    self.authkeylvl1 = None
                                    self.authkeylvl2 = None
                                    self.name = None

                                    self.db_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems()
                                    self.db_items.parent = self
                                    self._children_name_map["db_items"] = "db-items"

                                    self.lspgen_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.LspgenItems()
                                    self.lspgen_items.parent = self
                                    self._children_name_map["lspgen_items"] = "lspgen-items"

                                    self.spfcomp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.SpfcompItems()
                                    self.spfcomp_items.parent = self
                                    self._children_name_map["spfcomp_items"] = "spfcomp-items"
                                    self._segment_path = lambda: "DomLvl-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList, ['type', 'ctrl', 'authtypelvl1', 'authtypelvl2', 'authkeylvl1', 'authkeylvl2', 'name'], name, value)


                                class DbItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: db_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems, self).__init__()

                                        self.yang_name = "db-items"
                                        self.yang_parent_name = "DomLvl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList))])
                                        self._leafs = OrderedDict()

                                        self.db_list = YList(self)
                                        self._segment_path = lambda: "db-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems, [], name, value)


                                    class DbList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`IsisDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisDbT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grp_items
                                        
                                        	
                                        	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: node_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lsp_items
                                        
                                        	
                                        	**type**\:  :py:class:`LspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nh_items
                                        
                                        	
                                        	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dtep_items
                                        
                                        	
                                        	**type**\:  :py:class:`DtepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList, self).__init__()

                                            self.yang_name = "Db-list"
                                            self.yang_parent_name = "db-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("grp-items", ("grp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems)), ("node-items", ("node_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems)), ("lsp-items", ("lsp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems)), ("nh-items", ("nh_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems)), ("rt-items", ("rt_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems)), ("dtep-items", ("dtep_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisDbT', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.name = None

                                            self.grp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems()
                                            self.grp_items.parent = self
                                            self._children_name_map["grp_items"] = "grp-items"

                                            self.node_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems()
                                            self.node_items.parent = self
                                            self._children_name_map["node_items"] = "node-items"

                                            self.lsp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems()
                                            self.lsp_items.parent = self
                                            self._children_name_map["lsp_items"] = "lsp-items"

                                            self.nh_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems()
                                            self.nh_items.parent = self
                                            self._children_name_map["nh_items"] = "nh-items"

                                            self.rt_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"

                                            self.dtep_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems()
                                            self.dtep_items.parent = self
                                            self._children_name_map["dtep_items"] = "dtep-items"
                                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList, ['type', 'name'], name, value)


                                        class GrpItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: grprec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`GrpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems, self).__init__()

                                                self.yang_name = "grp-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("GrpRec-list", ("grprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList))])
                                                self._leafs = OrderedDict()

                                                self.grprec_list = YList(self)
                                                self._segment_path = lambda: "grp-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems, [], name, value)


                                            class GrpRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	Address
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ftagoif_items
                                                
                                                	
                                                	**type**\:  :py:class:`FtagoifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bd_items
                                                
                                                	
                                                	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: node_items
                                                
                                                	
                                                	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifleaf_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifleafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifspine_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifspineItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList, self).__init__()

                                                    self.yang_name = "GrpRec-list"
                                                    self.yang_parent_name = "grp-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['addr']
                                                    self._child_classes = OrderedDict([("ftagoif-items", ("ftagoif_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems)), ("bd-items", ("bd_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems)), ("node-items", ("node_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems)), ("oifleaf-items", ("oifleaf_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems)), ("oifspine-items", ("oifspine_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems))])
                                                    self._leafs = OrderedDict([
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.addr = None
                                                    self.name = None

                                                    self.ftagoif_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems()
                                                    self.ftagoif_items.parent = self
                                                    self._children_name_map["ftagoif_items"] = "ftagoif-items"

                                                    self.bd_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems()
                                                    self.bd_items.parent = self
                                                    self._children_name_map["bd_items"] = "bd-items"

                                                    self.node_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems()
                                                    self.node_items.parent = self
                                                    self._children_name_map["node_items"] = "node-items"

                                                    self.oifleaf_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems()
                                                    self.oifleaf_items.parent = self
                                                    self._children_name_map["oifleaf_items"] = "oifleaf-items"

                                                    self.oifspine_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems()
                                                    self.oifspine_items.parent = self
                                                    self._children_name_map["oifspine_items"] = "oifspine-items"
                                                    self._segment_path = lambda: "GrpRec-list" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList, ['addr', 'name'], name, value)


                                                class FtagoifItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ftagoifrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`FtagOifRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems, self).__init__()

                                                        self.yang_name = "ftagoif-items"
                                                        self.yang_parent_name = "GrpRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("FtagOifRec-list", ("ftagoifrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.ftagoifrec_list = YList(self)
                                                        self._segment_path = lambda: "ftagoif-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems, [], name, value)


                                                    class FtagOifRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	Ftag ID
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..12
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: oifleaf_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`OifleafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: oifspine_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`OifspineItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList, self).__init__()

                                                            self.yang_name = "FtagOifRec-list"
                                                            self.yang_parent_name = "ftagoif-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['id']
                                                            self._child_classes = OrderedDict([("oifleaf-items", ("oifleaf_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems)), ("oifspine-items", ("oifspine_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems))])
                                                            self._leafs = OrderedDict([
                                                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.id = None
                                                            self.name = None

                                                            self.oifleaf_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems()
                                                            self.oifleaf_items.parent = self
                                                            self._children_name_map["oifleaf_items"] = "oifleaf-items"

                                                            self.oifspine_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems()
                                                            self.oifspine_items.parent = self
                                                            self._children_name_map["oifspine_items"] = "oifspine-items"
                                                            self._segment_path = lambda: "FtagOifRec-list" + "[id='" + str(self.id) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList, ['id', 'name'], name, value)


                                                        class OifleafItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: oiflistleaf_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`OifListLeafList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems, self).__init__()

                                                                self.yang_name = "oifleaf-items"
                                                                self.yang_parent_name = "FtagOifRec-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("OifListLeaf-list", ("oiflistleaf_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList))])
                                                                self._leafs = OrderedDict()

                                                                self.oiflistleaf_list = YList(self)
                                                                self._segment_path = lambda: "oifleaf-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems, [], name, value)


                                                            class OifListLeafList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: idx  (key)
                                                                
                                                                	Index
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..12
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name
                                                                	**type**\: str
                                                                
                                                                	**length:** 1..64
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList, self).__init__()

                                                                    self.yang_name = "OifListLeaf-list"
                                                                    self.yang_parent_name = "oifleaf-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['idx']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                    ])
                                                                    self.idx = None
                                                                    self.name = None
                                                                    self._segment_path = lambda: "OifListLeaf-list" + "[idx='" + str(self.idx) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifleafItems.OifListLeafList, ['idx', 'name'], name, value)




                                                        class OifspineItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: oiflistspine_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`OifListSpineList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems, self).__init__()

                                                                self.yang_name = "oifspine-items"
                                                                self.yang_parent_name = "FtagOifRec-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("OifListSpine-list", ("oiflistspine_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList))])
                                                                self._leafs = OrderedDict()

                                                                self.oiflistspine_list = YList(self)
                                                                self._segment_path = lambda: "oifspine-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems, [], name, value)


                                                            class OifListSpineList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: idx  (key)
                                                                
                                                                	Index
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..12
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name
                                                                	**type**\: str
                                                                
                                                                	**length:** 1..64
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList, self).__init__()

                                                                    self.yang_name = "OifListSpine-list"
                                                                    self.yang_parent_name = "oifspine-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['idx']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                    ])
                                                                    self.idx = None
                                                                    self.name = None
                                                                    self._segment_path = lambda: "OifListSpine-list" + "[idx='" + str(self.idx) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.FtagoifItems.FtagOifRecList.OifspineItems.OifListSpineList, ['idx', 'name'], name, value)






                                                class BdItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: bdidrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BdIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems, self).__init__()

                                                        self.yang_name = "bd-items"
                                                        self.yang_parent_name = "GrpRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("BdIdRec-list", ("bdidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.bdidrec_list = YList(self)
                                                        self._segment_path = lambda: "bd-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems, [], name, value)


                                                    class BdIdRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: encap  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList, self).__init__()

                                                            self.yang_name = "BdIdRec-list"
                                                            self.yang_parent_name = "bd-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['encap']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.encap = None
                                                            self.name = None
                                                            self._segment_path = lambda: "BdIdRec-list" + "[encap='" + str(self.encap) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.BdItems.BdIdRecList, ['encap', 'name'], name, value)




                                                class NodeItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: nodeidrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`NodeIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems, self).__init__()

                                                        self.yang_name = "node-items"
                                                        self.yang_parent_name = "GrpRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("NodeIdRec-list", ("nodeidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.nodeidrec_list = YList(self)
                                                        self._segment_path = lambda: "node-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems, [], name, value)


                                                    class NodeIdRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList, self).__init__()

                                                            self.yang_name = "NodeIdRec-list"
                                                            self.yang_parent_name = "node-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.addr = None
                                                            self.name = None
                                                            self._segment_path = lambda: "NodeIdRec-list" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.NodeItems.NodeIdRecList, ['addr', 'name'], name, value)




                                                class OifleafItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oiflistleaf_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifListLeafList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems, self).__init__()

                                                        self.yang_name = "oifleaf-items"
                                                        self.yang_parent_name = "GrpRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifListLeaf-list", ("oiflistleaf_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList))])
                                                        self._leafs = OrderedDict()

                                                        self.oiflistleaf_list = YList(self)
                                                        self._segment_path = lambda: "oifleaf-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems, [], name, value)


                                                    class OifListLeafList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: idx  (key)
                                                        
                                                        	Index
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..12
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList, self).__init__()

                                                            self.yang_name = "OifListLeaf-list"
                                                            self.yang_parent_name = "oifleaf-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['idx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.idx = None
                                                            self.name = None
                                                            self._segment_path = lambda: "OifListLeaf-list" + "[idx='" + str(self.idx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifleafItems.OifListLeafList, ['idx', 'name'], name, value)




                                                class OifspineItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oiflistspine_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifListSpineList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems, self).__init__()

                                                        self.yang_name = "oifspine-items"
                                                        self.yang_parent_name = "GrpRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifListSpine-list", ("oiflistspine_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList))])
                                                        self._leafs = OrderedDict()

                                                        self.oiflistspine_list = YList(self)
                                                        self._segment_path = lambda: "oifspine-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems, [], name, value)


                                                    class OifListSpineList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: idx  (key)
                                                        
                                                        	Index
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..12
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList, self).__init__()

                                                            self.yang_name = "OifListSpine-list"
                                                            self.yang_parent_name = "oifspine-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['idx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.idx = None
                                                            self.name = None
                                                            self._segment_path = lambda: "OifListSpine-list" + "[idx='" + str(self.idx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.GrpItems.GrpRecList.OifspineItems.OifListSpineList, ['idx', 'name'], name, value)






                                        class NodeItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: noderec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodeRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems, self).__init__()

                                                self.yang_name = "node-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("NodeRec-list", ("noderec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList))])
                                                self._leafs = OrderedDict()

                                                self.noderec_list = YList(self)
                                                self._segment_path = lambda: "node-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems, [], name, value)


                                            class NodeRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: sysid  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: grp_items
                                                
                                                	
                                                	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList, self).__init__()

                                                    self.yang_name = "NodeRec-list"
                                                    self.yang_parent_name = "node-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['sysid']
                                                    self._child_classes = OrderedDict([("grp-items", ("grp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems))])
                                                    self._leafs = OrderedDict([
                                                        ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.sysid = None
                                                    self.addr = None
                                                    self.name = None

                                                    self.grp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems()
                                                    self.grp_items.parent = self
                                                    self._children_name_map["grp_items"] = "grp-items"
                                                    self._segment_path = lambda: "NodeRec-list" + "[sysId='" + str(self.sysid) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList, ['sysid', 'addr', 'name'], name, value)


                                                class GrpItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: grpidrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`GrpIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems, self).__init__()

                                                        self.yang_name = "grp-items"
                                                        self.yang_parent_name = "NodeRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("GrpIdRec-list", ("grpidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.grpidrec_list = YList(self)
                                                        self._segment_path = lambda: "grp-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems, [], name, value)


                                                    class GrpIdRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	Address
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList, self).__init__()

                                                            self.yang_name = "GrpIdRec-list"
                                                            self.yang_parent_name = "grp-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.addr = None
                                                            self.name = None
                                                            self._segment_path = lambda: "GrpIdRec-list" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NodeItems.NodeRecList.GrpItems.GrpIdRecList, ['addr', 'name'], name, value)






                                        class LspItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lsprec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LspRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems, self).__init__()

                                                self.yang_name = "lsp-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LspRec-list", ("lsprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList))])
                                                self._leafs = OrderedDict()

                                                self.lsprec_list = YList(self)
                                                self._segment_path = lambda: "lsp-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems, [], name, value)


                                            class LspRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: sysid  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lanid  (key)
                                                
                                                	LAN ID
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: frag  (key)
                                                
                                                	Fragment Number
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Level Type
                                                	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: extisrec_items
                                                
                                                	
                                                	**type**\:  :py:class:`ExtisrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tlvrec_items
                                                
                                                	
                                                	**type**\:  :py:class:`TlvRecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: iprec_items
                                                
                                                	
                                                	**type**\:  :py:class:`IprecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList, self).__init__()

                                                    self.yang_name = "LspRec-list"
                                                    self.yang_parent_name = "lsp-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['sysid','lanid','frag']
                                                    self._child_classes = OrderedDict([("extisrec-items", ("extisrec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems)), ("tlvRec-items", ("tlvrec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems)), ("iprec-items", ("iprec_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems))])
                                                    self._leafs = OrderedDict([
                                                        ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                                        ('lanid', (YLeaf(YType.uint8, 'lanId'), ['int'])),
                                                        ('frag', (YLeaf(YType.uint8, 'frag'), ['int'])),
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.sysid = None
                                                    self.lanid = None
                                                    self.frag = None
                                                    self.type = None
                                                    self.name = None

                                                    self.extisrec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems()
                                                    self.extisrec_items.parent = self
                                                    self._children_name_map["extisrec_items"] = "extisrec-items"

                                                    self.tlvrec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems()
                                                    self.tlvrec_items.parent = self
                                                    self._children_name_map["tlvrec_items"] = "tlvRec-items"

                                                    self.iprec_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems()
                                                    self.iprec_items.parent = self
                                                    self._children_name_map["iprec_items"] = "iprec-items"
                                                    self._segment_path = lambda: "LspRec-list" + "[sysId='" + str(self.sysid) + "']" + "[lanId='" + str(self.lanid) + "']" + "[frag='" + str(self.frag) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList, ['sysid', 'lanid', 'frag', 'type', 'name'], name, value)


                                                class ExtisrecItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: extisrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`ExtIsRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems, self).__init__()

                                                        self.yang_name = "extisrec-items"
                                                        self.yang_parent_name = "LspRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("ExtIsRec-list", ("extisrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.extisrec_list = YList(self)
                                                        self._segment_path = lambda: "extisrec-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems, [], name, value)


                                                    class ExtIsRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: name  (key)
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList, self).__init__()

                                                            self.yang_name = "ExtIsRec-list"
                                                            self.yang_parent_name = "extisrec-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['name']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.name = None
                                                            self._segment_path = lambda: "ExtIsRec-list" + "[name='" + str(self.name) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.ExtisrecItems.ExtIsRecList, ['name'], name, value)




                                                class TlvRecItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: tlvrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`TlvRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems, self).__init__()

                                                        self.yang_name = "tlvRec-items"
                                                        self.yang_parent_name = "LspRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("TlvRec-list", ("tlvrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.tlvrec_list = YList(self)
                                                        self._segment_path = lambda: "tlvRec-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems, [], name, value)


                                                    class TlvRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: type  (key)
                                                        
                                                        	TLV
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: value
                                                        
                                                        	Value
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList, self).__init__()

                                                            self.yang_name = "TlvRec-list"
                                                            self.yang_parent_name = "tlvRec-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['type']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('type', (YLeaf(YType.uint8, 'type'), ['int'])),
                                                                ('value', (YLeaf(YType.str, 'value'), ['str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.type = None
                                                            self.value = None
                                                            self.name = None
                                                            self._segment_path = lambda: "TlvRec-list" + "[type='" + str(self.type) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.TlvRecItems.TlvRecList, ['type', 'value', 'name'], name, value)




                                                class IprecItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: iprec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`IpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems, self).__init__()

                                                        self.yang_name = "iprec-items"
                                                        self.yang_parent_name = "LspRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("IpRec-list", ("iprec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.iprec_list = YList(self)
                                                        self._segment_path = lambda: "iprec-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems, [], name, value)


                                                    class IpRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: pfx  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList, self).__init__()

                                                            self.yang_name = "IpRec-list"
                                                            self.yang_parent_name = "iprec-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['pfx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ])
                                                            self.pfx = None
                                                            self.name = None
                                                            self._segment_path = lambda: "IpRec-list" + "[pfx='" + str(self.pfx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.LspItems.LspRecList.IprecItems.IpRecList, ['pfx', 'name'], name, value)






                                        class NhItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nexthop_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems.NexthopList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems, self).__init__()

                                                self.yang_name = "nh-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems.NexthopList))])
                                                self._leafs = OrderedDict()

                                                self.nexthop_list = YList(self)
                                                self._segment_path = lambda: "nh-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems, [], name, value)


                                            class NexthopList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: nhif  (key)
                                                
                                                	Interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: if_
                                                
                                                	Interface (IOD Internal)
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems.NexthopList, self).__init__()

                                                    self.yang_name = "Nexthop-list"
                                                    self.yang_parent_name = "nh-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['nhif','addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('if_', (YLeaf(YType.uint32, 'if'), ['int'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.nhif = None
                                                    self.addr = None
                                                    self.if_ = None
                                                    self.name = None
                                                    self._segment_path = lambda: "Nexthop-list" + "[nhIf='" + str(self.nhif) + "']" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.NhItems.NexthopList, ['nhif', 'addr', 'if_', 'name'], name, value)




                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rsnhatt_items
                                                
                                                	
                                                	**type**\:  :py:class:`RsnhAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("rsnhAtt-items", ("rsnhatt_items", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None

                                                    self.rsnhatt_items = System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems()
                                                    self.rsnhatt_items.parent = self
                                                    self._children_name_map["rsnhatt_items"] = "rsnhAtt-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList, ['pfx', 'name'], name, value)


                                                class RsnhAttItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: rsnhatt_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`RsNhAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems, self).__init__()

                                                        self.yang_name = "rsnhAtt-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("RsNhAtt-list", ("rsnhatt_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList))])
                                                        self._leafs = OrderedDict()

                                                        self.rsnhatt_list = YList(self)
                                                        self._segment_path = lambda: "rsnhAtt-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems, [], name, value)


                                                    class RsNhAttList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: tdn  (key)
                                                        
                                                        	Target\-dn
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: tcl
                                                        
                                                        	Target\-class
                                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList, self).__init__()

                                                            self.yang_name = "RsNhAtt-list"
                                                            self.yang_parent_name = "rsnhAtt-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['tdn']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                            ])
                                                            self.tdn = None
                                                            self.tcl = None
                                                            self._segment_path = lambda: "RsNhAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.RtItems.RouteList.RsnhAttItems.RsNhAttList, ['tdn', 'tcl'], name, value)






                                        class DtepItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: dtep_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`DTEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems.DTEpList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems, self).__init__()

                                                self.yang_name = "dtep-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("DTEp-list", ("dtep_list", System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems.DTEpList))])
                                                self._leafs = OrderedDict()

                                                self.dtep_list = YList(self)
                                                self._segment_path = lambda: "dtep-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems, [], name, value)


                                            class DTEpList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: encapt
                                                
                                                	Encapsulation Type
                                                	**type**\:  :py:class:`TunnelEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelEncapT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: role
                                                
                                                	Role
                                                	**type**\:  :py:class:`TopNodeRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TopNodeRole>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems.DTEpList, self).__init__()

                                                    self.yang_name = "DTEp-list"
                                                    self.yang_parent_name = "dtep-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['id']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.str, 'id'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('encapt', (YLeaf(YType.enumeration, 'encapt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelEncapT', '')])),
                                                        ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                        ('role', (YLeaf(YType.enumeration, 'role'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TopNodeRole', '')])),
                                                    ])
                                                    self.id = None
                                                    self.name = None
                                                    self.encapt = None
                                                    self.type = None
                                                    self.role = None
                                                    self._segment_path = lambda: "DTEp-list" + "[id='" + str(self.id) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.DbItems.DbList.DtepItems.DTEpList, ['id', 'name', 'encapt', 'type', 'role'], name, value)






                                class LspgenItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: initintvl
                                    
                                    	Initial Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    .. attribute:: secintvl
                                    
                                    	Second Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    .. attribute:: maxintvl
                                    
                                    	Maximum Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.LspgenItems, self).__init__()

                                        self.yang_name = "lspgen-items"
                                        self.yang_parent_name = "DomLvl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('initintvl', (YLeaf(YType.uint32, 'initIntvl'), ['int'])),
                                            ('secintvl', (YLeaf(YType.uint32, 'secIntvl'), ['int'])),
                                            ('maxintvl', (YLeaf(YType.uint32, 'maxIntvl'), ['int'])),
                                        ])
                                        self.initintvl = None
                                        self.secintvl = None
                                        self.maxintvl = None
                                        self._segment_path = lambda: "lspgen-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.LspgenItems, ['initintvl', 'secintvl', 'maxintvl'], name, value)



                                class SpfcompItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: initintvl
                                    
                                    	Initial Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    .. attribute:: secintvl
                                    
                                    	Second Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    .. attribute:: maxintvl
                                    
                                    	Maximum Wait Interval
                                    	**type**\: int
                                    
                                    	**range:** 50..120000
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.SpfcompItems, self).__init__()

                                        self.yang_name = "spfcomp-items"
                                        self.yang_parent_name = "DomLvl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('initintvl', (YLeaf(YType.uint32, 'initIntvl'), ['int'])),
                                            ('secintvl', (YLeaf(YType.uint32, 'secIntvl'), ['int'])),
                                            ('maxintvl', (YLeaf(YType.uint32, 'maxIntvl'), ['int'])),
                                        ])
                                        self.initintvl = None
                                        self.secintvl = None
                                        self.maxintvl = None
                                        self._segment_path = lambda: "spfcomp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.LvlItems.DomLvlList.SpfcompItems, ['initintvl', 'secintvl', 'maxintvl'], name, value)





                        class FmtreeItems(Entity):
                            """
                            
                            
                            .. attribute:: fmcasttree_list
                            
                            	
                            	**type**\: list of  		 :py:class:`FmcastTreeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems, self).__init__()

                                self.yang_name = "fmtree-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("FmcastTree-list", ("fmcasttree_list", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList))])
                                self._leafs = OrderedDict()

                                self.fmcasttree_list = YList(self)
                                self._segment_path = lambda: "fmtree-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems, [], name, value)


                            class FmcastTreeList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Tree ID
                                	**type**\: int
                                
                                	**range:** 0..12
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`FmcastOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmcastOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: node_items
                                
                                	
                                	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: oifleaf_items
                                
                                	
                                	**type**\:  :py:class:`OifleafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: oifspine_items
                                
                                	
                                	**type**\:  :py:class:`OifspineItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList, self).__init__()

                                    self.yang_name = "FmcastTree-list"
                                    self.yang_parent_name = "fmtree-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("node-items", ("node_items", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems)), ("oifleaf-items", ("oifleaf_items", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems)), ("oifspine-items", ("oifspine_items", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmcastOperSt', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.id = None
                                    self.operst = None
                                    self.name = None

                                    self.node_items = System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems()
                                    self.node_items.parent = self
                                    self._children_name_map["node_items"] = "node-items"

                                    self.oifleaf_items = System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems()
                                    self.oifleaf_items.parent = self
                                    self._children_name_map["oifleaf_items"] = "oifleaf-items"

                                    self.oifspine_items = System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems()
                                    self.oifspine_items.parent = self
                                    self._children_name_map["oifspine_items"] = "oifspine-items"
                                    self._segment_path = lambda: "FmcastTree-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList, ['id', 'operst', 'name'], name, value)


                                class NodeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nodeidrec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodeIdRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems.NodeIdRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems, self).__init__()

                                        self.yang_name = "node-items"
                                        self.yang_parent_name = "FmcastTree-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodeIdRec-list", ("nodeidrec_list", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems.NodeIdRecList))])
                                        self._leafs = OrderedDict()

                                        self.nodeidrec_list = YList(self)
                                        self._segment_path = lambda: "node-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems, [], name, value)


                                    class NodeIdRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems.NodeIdRecList, self).__init__()

                                            self.yang_name = "NodeIdRec-list"
                                            self.yang_parent_name = "node-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self._segment_path = lambda: "NodeIdRec-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.NodeItems.NodeIdRecList, ['addr', 'name'], name, value)




                                class OifleafItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: oiflistleaf_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`OifListLeafList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems.OifListLeafList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems, self).__init__()

                                        self.yang_name = "oifleaf-items"
                                        self.yang_parent_name = "FmcastTree-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("OifListLeaf-list", ("oiflistleaf_list", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems.OifListLeafList))])
                                        self._leafs = OrderedDict()

                                        self.oiflistleaf_list = YList(self)
                                        self._segment_path = lambda: "oifleaf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems, [], name, value)


                                    class OifListLeafList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: idx  (key)
                                        
                                        	Index
                                        	**type**\: int
                                        
                                        	**range:** 0..12
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems.OifListLeafList, self).__init__()

                                            self.yang_name = "OifListLeaf-list"
                                            self.yang_parent_name = "oifleaf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['idx']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.idx = None
                                            self.name = None
                                            self._segment_path = lambda: "OifListLeaf-list" + "[idx='" + str(self.idx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifleafItems.OifListLeafList, ['idx', 'name'], name, value)




                                class OifspineItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: oiflistspine_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`OifListSpineList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems.OifListSpineList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems, self).__init__()

                                        self.yang_name = "oifspine-items"
                                        self.yang_parent_name = "FmcastTree-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("OifListSpine-list", ("oiflistspine_list", System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems.OifListSpineList))])
                                        self._leafs = OrderedDict()

                                        self.oiflistspine_list = YList(self)
                                        self._segment_path = lambda: "oifspine-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems, [], name, value)


                                    class OifListSpineList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: idx  (key)
                                        
                                        	Index
                                        	**type**\: int
                                        
                                        	**range:** 0..12
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems.OifListSpineList, self).__init__()

                                            self.yang_name = "OifListSpine-list"
                                            self.yang_parent_name = "oifspine-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['idx']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('idx', (YLeaf(YType.uint8, 'idx'), ['int'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.idx = None
                                            self.name = None
                                            self._segment_path = lambda: "OifListSpine-list" + "[idx='" + str(self.idx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.FmtreeItems.FmcastTreeList.OifspineItems.OifListSpineList, ['idx', 'name'], name, value)






                        class GrItems(Entity):
                            """
                            
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: grt3intvl
                            
                            	T3 Interval
                            	**type**\: int
                            
                            	**range:** 30..65535
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.GrItems, self).__init__()

                                self.yang_name = "gr-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('grt3intvl', (YLeaf(YType.uint16, 'grT3Intvl'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.adminst = None
                                self.grt3intvl = None
                                self.name = None
                                self.descr = None
                                self._segment_path = lambda: "gr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.GrItems, ['adminst', 'grt3intvl', 'name', 'descr'], name, value)



                        class IfItems(Entity):
                            """
                            
                            
                            .. attribute:: if_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems, self).__init__()

                                self.yang_name = "if-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("If-list", ("if_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList))])
                                self._leafs = OrderedDict()

                                self.if_list = YList(self)
                                self._segment_path = lambda: "if-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems, [], name, value)


                            class IfList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Interface ID
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..1024
                                
                                .. attribute:: adminst
                                
                                	Admin State
                                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                
                                .. attribute:: cktt
                                
                                	Holds ISIS interface Circuit Type
                                	**type**\:  :py:class:`IsisIsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisIsT>`
                                
                                .. attribute:: metric
                                
                                	Holds ISIS interface Metric
                                	**type**\: int
                                
                                	**range:** 1..63
                                
                                .. attribute:: ctrl
                                
                                	Holds ISIS interface Control messages
                                	**type**\: str
                                
                                .. attribute:: v4enable
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: v6enable
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: authchecklvl1
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: authchecklvl2
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: authcheck
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: networktypep2p
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: lsprefreshintvl
                                
                                	Holds ISIS Interface LSP Refresh Interval
                                	**type**\: int
                                
                                	**range:** 10..65535
                                
                                .. attribute:: retransinterval
                                
                                	Holds ISIS Interface Retransmit Interval
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: retransthrottleinterval
                                
                                	Holds ISIS Interface Retransmit Throttle Interval
                                	**type**\: int
                                
                                	**range:** 20..65535
                                
                                .. attribute:: passive
                                
                                	Holds ISIS Passive Interface Info
                                	**type**\:  :py:class:`IsisPassiveIntfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisPassiveIntfT>`
                                
                                .. attribute:: hellopad
                                
                                	Holds ISIS Interface Hello Padding Info
                                	**type**\:  :py:class:`IsisHelloPadT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisHelloPadT>`
                                
                                .. attribute:: adj_items
                                
                                	
                                	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems>`
                                
                                .. attribute:: meshgrp_items
                                
                                	
                                	**type**\:  :py:class:`MeshgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems>`
                                
                                .. attribute:: lvl_items
                                
                                	
                                	**type**\:  :py:class:`LvlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems>`
                                
                                .. attribute:: traffic_items
                                
                                	
                                	**type**\:  :py:class:`TrafficItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrafficItems>`
                                
                                .. attribute:: rtvrfmbr_items
                                
                                	
                                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                                
                                .. attribute:: rtnwpathtoif_items
                                
                                	
                                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList, self).__init__()

                                    self.yang_name = "If-list"
                                    self.yang_parent_name = "if-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("adj-items", ("adj_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems)), ("meshgrp-items", ("meshgrp_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems)), ("lvl-items", ("lvl_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems)), ("traffic-items", ("traffic_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrafficItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ('cktt', (YLeaf(YType.enumeration, 'cktT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisIsT', '')])),
                                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ('v4enable', (YLeaf(YType.boolean, 'v4enable'), ['bool'])),
                                        ('v6enable', (YLeaf(YType.boolean, 'v6enable'), ['bool'])),
                                        ('authchecklvl1', (YLeaf(YType.boolean, 'authCheckLvl1'), ['bool'])),
                                        ('authchecklvl2', (YLeaf(YType.boolean, 'authCheckLvl2'), ['bool'])),
                                        ('authcheck', (YLeaf(YType.boolean, 'authCheck'), ['bool'])),
                                        ('networktypep2p', (YLeaf(YType.boolean, 'networkTypeP2P'), ['bool'])),
                                        ('lsprefreshintvl', (YLeaf(YType.uint32, 'lspRefreshIntvl'), ['int'])),
                                        ('retransinterval', (YLeaf(YType.uint16, 'retransInterval'), ['int'])),
                                        ('retransthrottleinterval', (YLeaf(YType.uint16, 'retransThrottleInterval'), ['int'])),
                                        ('passive', (YLeaf(YType.enumeration, 'passive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisPassiveIntfT', '')])),
                                        ('hellopad', (YLeaf(YType.enumeration, 'helloPad'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisHelloPadT', '')])),
                                    ])
                                    self.id = None
                                    self.name = None
                                    self.descr = None
                                    self.adminst = None
                                    self.cktt = None
                                    self.metric = None
                                    self.ctrl = None
                                    self.v4enable = None
                                    self.v6enable = None
                                    self.authchecklvl1 = None
                                    self.authchecklvl2 = None
                                    self.authcheck = None
                                    self.networktypep2p = None
                                    self.lsprefreshintvl = None
                                    self.retransinterval = None
                                    self.retransthrottleinterval = None
                                    self.passive = None
                                    self.hellopad = None

                                    self.adj_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems()
                                    self.adj_items.parent = self
                                    self._children_name_map["adj_items"] = "adj-items"

                                    self.meshgrp_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems()
                                    self.meshgrp_items.parent = self
                                    self._children_name_map["meshgrp_items"] = "meshgrp-items"

                                    self.lvl_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems()
                                    self.lvl_items.parent = self
                                    self._children_name_map["lvl_items"] = "lvl-items"

                                    self.traffic_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrafficItems()
                                    self.traffic_items.parent = self
                                    self._children_name_map["traffic_items"] = "traffic-items"

                                    self.rtvrfmbr_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                    self.rtvrfmbr_items.parent = self
                                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                    self.rtnwpathtoif_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                    self.rtnwpathtoif_items.parent = self
                                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList, ['id', 'name', 'descr', 'adminst', 'cktt', 'metric', 'ctrl', 'v4enable', 'v6enable', 'authchecklvl1', 'authchecklvl2', 'authcheck', 'networktypep2p', 'lsprefreshintvl', 'retransinterval', 'retransthrottleinterval', 'passive', 'hellopad'], name, value)


                                class AdjItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: adjep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems, self).__init__()

                                        self.yang_name = "adj-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList))])
                                        self._leafs = OrderedDict()

                                        self.adjep_list = YList(self)
                                        self._segment_path = lambda: "adj-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems, [], name, value)


                                    class AdjEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Level Type
                                        	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: sysid  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: operst
                                        
                                        	Operational State
                                        	**type**\:  :py:class:`IsisAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAdjOperSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr_items
                                        
                                        	
                                        	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, self).__init__()

                                            self.yang_name = "AdjEp-list"
                                            self.yang_parent_name = "adj-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type','sysid']
                                            self._child_classes = OrderedDict([("addr-items", ("addr_items", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                                ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAdjOperSt', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.sysid = None
                                            self.operst = None
                                            self.name = None

                                            self.addr_items = System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems()
                                            self.addr_items.parent = self
                                            self._children_name_map["addr_items"] = "addr-items"
                                            self._segment_path = lambda: "AdjEp-list" + "[type='" + str(self.type) + "']" + "[sysId='" + str(self.sysid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, ['type', 'sysid', 'operst', 'name'], name, value)


                                        class AddrItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: peeripaddr_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`PeerIpAddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems.PeerIpAddrList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems, self).__init__()

                                                self.yang_name = "addr-items"
                                                self.yang_parent_name = "AdjEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("PeerIpAddr-list", ("peeripaddr_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems.PeerIpAddrList))])
                                                self._leafs = OrderedDict()

                                                self.peeripaddr_list = YList(self)
                                                self._segment_path = lambda: "addr-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems, [], name, value)


                                            class PeerIpAddrList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems.PeerIpAddrList, self).__init__()

                                                    self.yang_name = "PeerIpAddr-list"
                                                    self.yang_parent_name = "addr-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ])
                                                    self.addr = None
                                                    self._segment_path = lambda: "PeerIpAddr-list" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AddrItems.PeerIpAddrList, ['addr'], name, value)






                                class MeshgrpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: meshgrp_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MeshGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems.MeshGrpList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems, self).__init__()

                                        self.yang_name = "meshgrp-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MeshGrp-list", ("meshgrp_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems.MeshGrpList))])
                                        self._leafs = OrderedDict()

                                        self.meshgrp_list = YList(self)
                                        self._segment_path = lambda: "meshgrp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems, [], name, value)


                                    class MeshGrpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Holds ISIS Mesh Group ID per Interface
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: ctrl
                                        
                                        	Holds ISIS Mesh Group Control Info per Interface
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 0..64
                                        
                                        .. attribute:: descr
                                        
                                        	Description
                                        	**type**\: str
                                        
                                        	**length:** 0..128
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems.MeshGrpList, self).__init__()

                                            self.yang_name = "MeshGrp-list"
                                            self.yang_parent_name = "meshgrp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ])
                                            self.id = None
                                            self.ctrl = None
                                            self.name = None
                                            self.descr = None
                                            self._segment_path = lambda: "MeshGrp-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MeshgrpItems.MeshGrpList, ['id', 'ctrl', 'name', 'descr'], name, value)




                                class LvlItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: iflvl_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfLvlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems.IfLvlList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems, self).__init__()

                                        self.yang_name = "lvl-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("IfLvl-list", ("iflvl_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems.IfLvlList))])
                                        self._leafs = OrderedDict()

                                        self.iflvl_list = YList(self)
                                        self._segment_path = lambda: "lvl-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems, [], name, value)


                                    class IfLvlList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                                        
                                        .. attribute:: prioritylvl1
                                        
                                        	Holds ISIS Interface Level\-1 Circuit Priority
                                        	**type**\: int
                                        
                                        	**range:** 0..127
                                        
                                        .. attribute:: prioritylvl2
                                        
                                        	Holds ISIS Interface Level\-2 Circuit Priority
                                        	**type**\: int
                                        
                                        	**range:** 0..127
                                        
                                        .. attribute:: hellointvl
                                        
                                        	Holds Interface Hello Interval value
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: hellointvllvl1
                                        
                                        	Holds ISIS interface Hello Interval Level\-1 value
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: hellointvllvl2
                                        
                                        	Holds ISIS interface Hello Interval Level\-2 value
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: hellomult
                                        
                                        	Holds Interface Hello Multiplier value
                                        	**type**\: int
                                        
                                        	**range:** 3..1000
                                        
                                        .. attribute:: hellomultlvl1
                                        
                                        	Holds ISIS interface Hello Multiplier Level\-1 value
                                        	**type**\: int
                                        
                                        	**range:** 3..1000
                                        
                                        .. attribute:: hellomultlvl2
                                        
                                        	Holds ISIS interface Hello Multiplier Level\-2 value
                                        	**type**\: int
                                        
                                        	**range:** 3..1000
                                        
                                        .. attribute:: csnpintvllvl1
                                        
                                        	Holds ISIS Interface Level\-1 CSNP Interval
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: mt0metriclvl1
                                        
                                        	Holds ISIS interface IPV4 wide metric value for Level\-1
                                        	**type**\: int
                                        
                                        	**range:** 1..16777215
                                        
                                        .. attribute:: mt0metriclvl2
                                        
                                        	Holds ISIS interface IPV4 wide metric value for Level\-2
                                        	**type**\: int
                                        
                                        	**range:** 1..16777215
                                        
                                        .. attribute:: mt2metriclvl1
                                        
                                        	Holds ISIS interface IPV6 wide metric value for Level\-1
                                        	**type**\: int
                                        
                                        	**range:** 1..16777215
                                        
                                        .. attribute:: mt2metriclvl2
                                        
                                        	Holds ISIS interface IPV6 wide metric value for Level\-2
                                        	**type**\: int
                                        
                                        	**range:** 1..16777215
                                        
                                        .. attribute:: authtype
                                        
                                        	Holds Authentication Type value for ISIS Interface
                                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                                        
                                        .. attribute:: authtypelvl1
                                        
                                        	Holds ISIS Level\-1 Authentication Type value for Interface
                                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                                        
                                        .. attribute:: authtypelvl2
                                        
                                        	Holds ISIS Level\-2 Authentication Type value for Interface
                                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                                        
                                        .. attribute:: authkey
                                        
                                        	Holds Authentication Key for ISIS Interface
                                        	**type**\: str
                                        
                                        .. attribute:: authkeylvl1
                                        
                                        	Holds Authentication Key for ISIS Interface on Level\-1
                                        	**type**\: str
                                        
                                        .. attribute:: authkeylvl2
                                        
                                        	Holds Authentication Key for ISIS Interface on Level\-2
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems.IfLvlList, self).__init__()

                                            self.yang_name = "IfLvl-list"
                                            self.yang_parent_name = "lvl-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                                ('prioritylvl1', (YLeaf(YType.uint8, 'priorityLvl1'), ['int'])),
                                                ('prioritylvl2', (YLeaf(YType.uint8, 'priorityLvl2'), ['int'])),
                                                ('hellointvl', (YLeaf(YType.uint16, 'helloIntvl'), ['int'])),
                                                ('hellointvllvl1', (YLeaf(YType.uint16, 'helloIntvlLvl1'), ['int'])),
                                                ('hellointvllvl2', (YLeaf(YType.uint16, 'helloIntvlLvl2'), ['int'])),
                                                ('hellomult', (YLeaf(YType.uint16, 'helloMult'), ['int'])),
                                                ('hellomultlvl1', (YLeaf(YType.uint16, 'helloMultLvl1'), ['int'])),
                                                ('hellomultlvl2', (YLeaf(YType.uint16, 'helloMultLvl2'), ['int'])),
                                                ('csnpintvllvl1', (YLeaf(YType.uint16, 'csnpIntvlLvl1'), ['int'])),
                                                ('mt0metriclvl1', (YLeaf(YType.uint32, 'mt0MetricLvl1'), ['int'])),
                                                ('mt0metriclvl2', (YLeaf(YType.uint32, 'mt0MetricLvl2'), ['int'])),
                                                ('mt2metriclvl1', (YLeaf(YType.uint32, 'mt2MetricLvl1'), ['int'])),
                                                ('mt2metriclvl2', (YLeaf(YType.uint32, 'mt2MetricLvl2'), ['int'])),
                                                ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                                ('authtypelvl1', (YLeaf(YType.enumeration, 'authTypeLvl1'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                                ('authtypelvl2', (YLeaf(YType.enumeration, 'authTypeLvl2'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                                ('authkey', (YLeaf(YType.str, 'authKey'), ['str'])),
                                                ('authkeylvl1', (YLeaf(YType.str, 'authKeyLvl1'), ['str'])),
                                                ('authkeylvl2', (YLeaf(YType.str, 'authKeyLvl2'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.prioritylvl1 = None
                                            self.prioritylvl2 = None
                                            self.hellointvl = None
                                            self.hellointvllvl1 = None
                                            self.hellointvllvl2 = None
                                            self.hellomult = None
                                            self.hellomultlvl1 = None
                                            self.hellomultlvl2 = None
                                            self.csnpintvllvl1 = None
                                            self.mt0metriclvl1 = None
                                            self.mt0metriclvl2 = None
                                            self.mt2metriclvl1 = None
                                            self.mt2metriclvl2 = None
                                            self.authtype = None
                                            self.authtypelvl1 = None
                                            self.authtypelvl2 = None
                                            self.authkey = None
                                            self.authkeylvl1 = None
                                            self.authkeylvl2 = None
                                            self.name = None
                                            self._segment_path = lambda: "IfLvl-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.LvlItems.IfLvlList, ['type', 'prioritylvl1', 'prioritylvl2', 'hellointvl', 'hellointvllvl1', 'hellointvllvl2', 'hellomult', 'hellomultlvl1', 'hellomultlvl2', 'csnpintvllvl1', 'mt0metriclvl1', 'mt0metriclvl2', 'mt2metriclvl1', 'mt2metriclvl2', 'authtype', 'authtypelvl1', 'authtypelvl2', 'authkey', 'authkeylvl1', 'authkeylvl2', 'name'], name, value)




                                class TrafficItems(Entity):
                                    """
                                    
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrafficItems, self).__init__()

                                        self.yang_name = "traffic-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict()
                                        self._segment_path = lambda: "traffic-items"
                                        self._is_frozen = True



                                class RtvrfMbrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                        self.yang_name = "rtvrfMbr-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtvrfMbr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                                class RtnwPathToIfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rtnwpathtoif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                        self.yang_name = "rtnwPathToIf-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                        self._leafs = OrderedDict()

                                        self.rtnwpathtoif_list = YList(self)
                                        self._segment_path = lambda: "rtnwPathToIf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                    class RtNwPathToIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                            self.yang_name = "RtNwPathToIf-list"
                                            self.yang_parent_name = "rtnwPathToIf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                        class DefrtleakItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.DefrtleakItems, self).__init__()

                                self.yang_name = "defrtleak-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.scope = None
                                self.rtmap = None
                                self._segment_path = lambda: "defrtleak-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.DefrtleakItems, ['name', 'descr', 'scope', 'rtmap'], name, value)



                        class InterleakItems(Entity):
                            """
                            
                            
                            .. attribute:: interleakp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InterLeakPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems, self).__init__()

                                self.yang_name = "interleak-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("InterLeakP-list", ("interleakp_list", System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList))])
                                self._leafs = OrderedDict()

                                self.interleakp_list = YList(self)
                                self._segment_path = lambda: "interleak-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems, [], name, value)


                            class InterLeakPList(Entity):
                                """
                                
                                
                                .. attribute:: proto  (key)
                                
                                	Protocol
                                	**type**\:  :py:class:`RtleakProto <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakProto>`
                                
                                	**config**\: False
                                
                                .. attribute:: inst  (key)
                                
                                	Instance
                                	**type**\: str
                                
                                	**length:** 1..20
                                
                                	**config**\: False
                                
                                .. attribute:: asn  (key)
                                
                                	Autonomous System Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: scope
                                
                                	Scope
                                	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                
                                	**config**\: False
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList, self).__init__()

                                    self.yang_name = "InterLeakP-list"
                                    self.yang_parent_name = "interleak-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['proto','inst','asn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakProto', '')])),
                                        ('inst', (YLeaf(YType.str, 'inst'), ['str'])),
                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ])
                                    self.proto = None
                                    self.inst = None
                                    self.asn = None
                                    self.name = None
                                    self.descr = None
                                    self.scope = None
                                    self.rtmap = None
                                    self._segment_path = lambda: "InterLeakP-list" + "[proto='" + str(self.proto) + "']" + "[inst='" + str(self.inst) + "']" + "[asn='" + str(self.asn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IsisItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList, ['proto', 'inst', 'asn', 'name', 'descr', 'scope', 'rtmap'], name, value)








        class IfItems(Entity):
            """
            
            
            .. attribute:: internalif_list
            
            	
            	**type**\: list of  		 :py:class:`InternalIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IsisItems.IfItems, self).__init__()

                self.yang_name = "if-items"
                self.yang_parent_name = "isis-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("InternalIf-list", ("internalif_list", System.IsisItems.IfItems.InternalIfList))])
                self._leafs = OrderedDict()

                self.internalif_list = YList(self)
                self._segment_path = lambda: "if-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/isis-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IsisItems.IfItems, [], name, value)


            class InternalIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: cktt
                
                	Holds ISIS interface Circuit Type
                	**type**\:  :py:class:`IsisIsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisIsT>`
                
                .. attribute:: metric
                
                	Holds ISIS interface Metric
                	**type**\: int
                
                	**range:** 1..63
                
                .. attribute:: ctrl
                
                	Holds ISIS interface Control messages
                	**type**\: str
                
                .. attribute:: v4enable
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: v6enable
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: authchecklvl1
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: authchecklvl2
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: authcheck
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: networktypep2p
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: lsprefreshintvl
                
                	Holds ISIS Interface LSP Refresh Interval
                	**type**\: int
                
                	**range:** 10..65535
                
                .. attribute:: retransinterval
                
                	Holds ISIS Interface Retransmit Interval
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: retransthrottleinterval
                
                	Holds ISIS Interface Retransmit Throttle Interval
                	**type**\: int
                
                	**range:** 20..65535
                
                .. attribute:: passive
                
                	Holds ISIS Passive Interface Info
                	**type**\:  :py:class:`IsisPassiveIntfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisPassiveIntfT>`
                
                .. attribute:: hellopad
                
                	Holds ISIS Interface Hello Padding Info
                	**type**\:  :py:class:`IsisHelloPadT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisHelloPadT>`
                
                .. attribute:: instance
                
                	Instance to which the interface belongs to
                	**type**\: str
                
                .. attribute:: dom
                
                	Dom to which the interface belongs to
                	**type**\: str
                
                .. attribute:: meshgrp_items
                
                	
                	**type**\:  :py:class:`MeshgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.MeshgrpItems>`
                
                .. attribute:: lvl_items
                
                	
                	**type**\:  :py:class:`LvlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.LvlItems>`
                
                .. attribute:: traffic_items
                
                	
                	**type**\:  :py:class:`TrafficItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.TrafficItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IsisItems.IfItems.InternalIfList, self).__init__()

                    self.yang_name = "InternalIf-list"
                    self.yang_parent_name = "if-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("meshgrp-items", ("meshgrp_items", System.IsisItems.IfItems.InternalIfList.MeshgrpItems)), ("lvl-items", ("lvl_items", System.IsisItems.IfItems.InternalIfList.LvlItems)), ("traffic-items", ("traffic_items", System.IsisItems.IfItems.InternalIfList.TrafficItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IsisItems.IfItems.InternalIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('cktt', (YLeaf(YType.enumeration, 'cktT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisIsT', '')])),
                        ('metric', (YLeaf(YType.uint32, 'metric'), ['int'])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('v4enable', (YLeaf(YType.boolean, 'v4enable'), ['bool'])),
                        ('v6enable', (YLeaf(YType.boolean, 'v6enable'), ['bool'])),
                        ('authchecklvl1', (YLeaf(YType.boolean, 'authCheckLvl1'), ['bool'])),
                        ('authchecklvl2', (YLeaf(YType.boolean, 'authCheckLvl2'), ['bool'])),
                        ('authcheck', (YLeaf(YType.boolean, 'authCheck'), ['bool'])),
                        ('networktypep2p', (YLeaf(YType.boolean, 'networkTypeP2P'), ['bool'])),
                        ('lsprefreshintvl', (YLeaf(YType.uint32, 'lspRefreshIntvl'), ['int'])),
                        ('retransinterval', (YLeaf(YType.uint16, 'retransInterval'), ['int'])),
                        ('retransthrottleinterval', (YLeaf(YType.uint16, 'retransThrottleInterval'), ['int'])),
                        ('passive', (YLeaf(YType.enumeration, 'passive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisPassiveIntfT', '')])),
                        ('hellopad', (YLeaf(YType.enumeration, 'helloPad'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisHelloPadT', '')])),
                        ('instance', (YLeaf(YType.str, 'instance'), ['str'])),
                        ('dom', (YLeaf(YType.str, 'dom'), ['str'])),
                    ])
                    self.id = None
                    self.name = None
                    self.descr = None
                    self.adminst = None
                    self.cktt = None
                    self.metric = None
                    self.ctrl = None
                    self.v4enable = None
                    self.v6enable = None
                    self.authchecklvl1 = None
                    self.authchecklvl2 = None
                    self.authcheck = None
                    self.networktypep2p = None
                    self.lsprefreshintvl = None
                    self.retransinterval = None
                    self.retransthrottleinterval = None
                    self.passive = None
                    self.hellopad = None
                    self.instance = None
                    self.dom = None

                    self.meshgrp_items = System.IsisItems.IfItems.InternalIfList.MeshgrpItems()
                    self.meshgrp_items.parent = self
                    self._children_name_map["meshgrp_items"] = "meshgrp-items"

                    self.lvl_items = System.IsisItems.IfItems.InternalIfList.LvlItems()
                    self.lvl_items.parent = self
                    self._children_name_map["lvl_items"] = "lvl-items"

                    self.traffic_items = System.IsisItems.IfItems.InternalIfList.TrafficItems()
                    self.traffic_items.parent = self
                    self._children_name_map["traffic_items"] = "traffic-items"

                    self.rtvrfmbr_items = System.IsisItems.IfItems.InternalIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "InternalIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/isis-items/if-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IsisItems.IfItems.InternalIfList, ['id', 'name', 'descr', 'adminst', 'cktt', 'metric', 'ctrl', 'v4enable', 'v6enable', 'authchecklvl1', 'authchecklvl2', 'authcheck', 'networktypep2p', 'lsprefreshintvl', 'retransinterval', 'retransthrottleinterval', 'passive', 'hellopad', 'instance', 'dom'], name, value)


                class MeshgrpItems(Entity):
                    """
                    
                    
                    .. attribute:: meshgrp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MeshGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.MeshgrpItems.MeshGrpList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.IfItems.InternalIfList.MeshgrpItems, self).__init__()

                        self.yang_name = "meshgrp-items"
                        self.yang_parent_name = "InternalIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MeshGrp-list", ("meshgrp_list", System.IsisItems.IfItems.InternalIfList.MeshgrpItems.MeshGrpList))])
                        self._leafs = OrderedDict()

                        self.meshgrp_list = YList(self)
                        self._segment_path = lambda: "meshgrp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IsisItems.IfItems.InternalIfList.MeshgrpItems, [], name, value)


                    class MeshGrpList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Holds ISIS Mesh Group ID per Interface
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: ctrl
                        
                        	Holds ISIS Mesh Group Control Info per Interface
                        	**type**\: str
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IsisItems.IfItems.InternalIfList.MeshgrpItems.MeshGrpList, self).__init__()

                            self.yang_name = "MeshGrp-list"
                            self.yang_parent_name = "meshgrp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.id = None
                            self.ctrl = None
                            self.name = None
                            self.descr = None
                            self._segment_path = lambda: "MeshGrp-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IsisItems.IfItems.InternalIfList.MeshgrpItems.MeshGrpList, ['id', 'ctrl', 'name', 'descr'], name, value)




                class LvlItems(Entity):
                    """
                    
                    
                    .. attribute:: iflvl_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IfLvlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.LvlItems.IfLvlList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.IfItems.InternalIfList.LvlItems, self).__init__()

                        self.yang_name = "lvl-items"
                        self.yang_parent_name = "InternalIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IfLvl-list", ("iflvl_list", System.IsisItems.IfItems.InternalIfList.LvlItems.IfLvlList))])
                        self._leafs = OrderedDict()

                        self.iflvl_list = YList(self)
                        self._segment_path = lambda: "lvl-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IsisItems.IfItems.InternalIfList.LvlItems, [], name, value)


                    class IfLvlList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`IsisLvlT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisLvlT>`
                        
                        .. attribute:: prioritylvl1
                        
                        	Holds ISIS Interface Level\-1 Circuit Priority
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        .. attribute:: prioritylvl2
                        
                        	Holds ISIS Interface Level\-2 Circuit Priority
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        .. attribute:: hellointvl
                        
                        	Holds Interface Hello Interval value
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: hellointvllvl1
                        
                        	Holds ISIS interface Hello Interval Level\-1 value
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: hellointvllvl2
                        
                        	Holds ISIS interface Hello Interval Level\-2 value
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: hellomult
                        
                        	Holds Interface Hello Multiplier value
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        .. attribute:: hellomultlvl1
                        
                        	Holds ISIS interface Hello Multiplier Level\-1 value
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        .. attribute:: hellomultlvl2
                        
                        	Holds ISIS interface Hello Multiplier Level\-2 value
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        .. attribute:: csnpintvllvl1
                        
                        	Holds ISIS Interface Level\-1 CSNP Interval
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: mt0metriclvl1
                        
                        	Holds ISIS interface IPV4 wide metric value for Level\-1
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: mt0metriclvl2
                        
                        	Holds ISIS interface IPV4 wide metric value for Level\-2
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: mt2metriclvl1
                        
                        	Holds ISIS interface IPV6 wide metric value for Level\-1
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: mt2metriclvl2
                        
                        	Holds ISIS interface IPV6 wide metric value for Level\-2
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: authtype
                        
                        	Holds Authentication Type value for ISIS Interface
                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                        
                        .. attribute:: authtypelvl1
                        
                        	Holds ISIS Level\-1 Authentication Type value for Interface
                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                        
                        .. attribute:: authtypelvl2
                        
                        	Holds ISIS Level\-2 Authentication Type value for Interface
                        	**type**\:  :py:class:`IsisAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IsisAuthT>`
                        
                        .. attribute:: authkey
                        
                        	Holds Authentication Key for ISIS Interface
                        	**type**\: str
                        
                        .. attribute:: authkeylvl1
                        
                        	Holds Authentication Key for ISIS Interface on Level\-1
                        	**type**\: str
                        
                        .. attribute:: authkeylvl2
                        
                        	Holds Authentication Key for ISIS Interface on Level\-2
                        	**type**\: str
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IsisItems.IfItems.InternalIfList.LvlItems.IfLvlList, self).__init__()

                            self.yang_name = "IfLvl-list"
                            self.yang_parent_name = "lvl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisLvlT', '')])),
                                ('prioritylvl1', (YLeaf(YType.uint8, 'priorityLvl1'), ['int'])),
                                ('prioritylvl2', (YLeaf(YType.uint8, 'priorityLvl2'), ['int'])),
                                ('hellointvl', (YLeaf(YType.uint16, 'helloIntvl'), ['int'])),
                                ('hellointvllvl1', (YLeaf(YType.uint16, 'helloIntvlLvl1'), ['int'])),
                                ('hellointvllvl2', (YLeaf(YType.uint16, 'helloIntvlLvl2'), ['int'])),
                                ('hellomult', (YLeaf(YType.uint16, 'helloMult'), ['int'])),
                                ('hellomultlvl1', (YLeaf(YType.uint16, 'helloMultLvl1'), ['int'])),
                                ('hellomultlvl2', (YLeaf(YType.uint16, 'helloMultLvl2'), ['int'])),
                                ('csnpintvllvl1', (YLeaf(YType.uint16, 'csnpIntvlLvl1'), ['int'])),
                                ('mt0metriclvl1', (YLeaf(YType.uint32, 'mt0MetricLvl1'), ['int'])),
                                ('mt0metriclvl2', (YLeaf(YType.uint32, 'mt0MetricLvl2'), ['int'])),
                                ('mt2metriclvl1', (YLeaf(YType.uint32, 'mt2MetricLvl1'), ['int'])),
                                ('mt2metriclvl2', (YLeaf(YType.uint32, 'mt2MetricLvl2'), ['int'])),
                                ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                ('authtypelvl1', (YLeaf(YType.enumeration, 'authTypeLvl1'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                ('authtypelvl2', (YLeaf(YType.enumeration, 'authTypeLvl2'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IsisAuthT', '')])),
                                ('authkey', (YLeaf(YType.str, 'authKey'), ['str'])),
                                ('authkeylvl1', (YLeaf(YType.str, 'authKeyLvl1'), ['str'])),
                                ('authkeylvl2', (YLeaf(YType.str, 'authKeyLvl2'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.prioritylvl1 = None
                            self.prioritylvl2 = None
                            self.hellointvl = None
                            self.hellointvllvl1 = None
                            self.hellointvllvl2 = None
                            self.hellomult = None
                            self.hellomultlvl1 = None
                            self.hellomultlvl2 = None
                            self.csnpintvllvl1 = None
                            self.mt0metriclvl1 = None
                            self.mt0metriclvl2 = None
                            self.mt2metriclvl1 = None
                            self.mt2metriclvl2 = None
                            self.authtype = None
                            self.authtypelvl1 = None
                            self.authtypelvl2 = None
                            self.authkey = None
                            self.authkeylvl1 = None
                            self.authkeylvl2 = None
                            self.name = None
                            self._segment_path = lambda: "IfLvl-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IsisItems.IfItems.InternalIfList.LvlItems.IfLvlList, ['type', 'prioritylvl1', 'prioritylvl2', 'hellointvl', 'hellointvllvl1', 'hellointvllvl2', 'hellomult', 'hellomultlvl1', 'hellomultlvl2', 'csnpintvllvl1', 'mt0metriclvl1', 'mt0metriclvl2', 'mt2metriclvl1', 'mt2metriclvl2', 'authtype', 'authtypelvl1', 'authtypelvl2', 'authkey', 'authkeylvl1', 'authkeylvl2', 'name'], name, value)




                class TrafficItems(Entity):
                    """
                    
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.IfItems.InternalIfList.TrafficItems, self).__init__()

                        self.yang_name = "traffic-items"
                        self.yang_parent_name = "InternalIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict()
                        self._segment_path = lambda: "traffic-items"
                        self._is_frozen = True



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.IfItems.InternalIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "InternalIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IsisItems.IfItems.InternalIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "InternalIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IsisItems.IfItems.InternalIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







    class LacpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.LacpItems, self).__init__()

            self.yang_name = "lacp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.LacpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.LacpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "lacp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.LacpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: adminprio
            
            	LACP instance adminstrative priority
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: adminsysmac
            
            	System MAC
            	**type**\: str
            
            .. attribute:: adminrole
            
            	System Role
            	**type**\:  :py:class:`LacpSysRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LacpSysRole>`
            
            .. attribute:: lacpctrl
            
            	Instance Control
            	**type**\: str
            
            .. attribute:: operprio
            
            	Specifies the LACP instance operational system priority
            	**type**\: int
            
            	**range:** 1..65535
            
            	**config**\: False
            
            .. attribute:: sysmac
            
            	System MAC
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: operrole
            
            	System Role
            	**type**\:  :py:class:`LacpSysRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LacpSysRole>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LacpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "lacp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.LacpItems.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('adminprio', (YLeaf(YType.uint16, 'adminPrio'), ['int'])),
                    ('adminsysmac', (YLeaf(YType.str, 'adminSysMac'), ['str'])),
                    ('adminrole', (YLeaf(YType.enumeration, 'adminRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LacpSysRole', '')])),
                    ('lacpctrl', (YLeaf(YType.str, 'lacpctrl'), ['str'])),
                    ('operprio', (YLeaf(YType.uint16, 'operPrio'), ['int'])),
                    ('sysmac', (YLeaf(YType.str, 'sysMac'), ['str'])),
                    ('operrole', (YLeaf(YType.enumeration, 'operRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LacpSysRole', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.adminprio = None
                self.adminsysmac = None
                self.adminrole = None
                self.lacpctrl = None
                self.operprio = None
                self.sysmac = None
                self.operrole = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.if_items = System.LacpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/lacp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LacpItems.InstItems, ['adminprio', 'adminsysmac', 'adminrole', 'lacpctrl', 'operprio', 'sysmac', 'operrole', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LacpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.LacpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/lacp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LacpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: prio
                    
                    	Specifies the LACP Interface Port Priority
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: txrate
                    
                    	Specifies the rate at which the LACP Packets are transmitted
                    	**type**\:  :py:class:`LacpTxRate <ydk.models.cisco_nx_os.Cisco_NX_OS_device.LacpTxRate>`
                    
                    .. attribute:: activityflags
                    
                    	Specifies the LACP interface activity flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: lastactive
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: port
                    
                    	Specifies the LACP interface local port number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: operprio
                    
                    	Specifies the LACP Interface Operational Port Priority
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    	**config**\: False
                    
                    .. attribute:: key
                    
                    	Specifies the LACP Interface Operational Key
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: adj_items
                    
                    	
                    	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList.AdjItems>`
                    
                    .. attribute:: ifstats_items
                    
                    	
                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList.IfstatsItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LacpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("adj-items", ("adj_items", System.LacpItems.InstItems.IfItems.IfList.AdjItems)), ("ifstats-items", ("ifstats_items", System.LacpItems.InstItems.IfItems.IfList.IfstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.LacpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                            ('txrate', (YLeaf(YType.enumeration, 'txRate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'LacpTxRate', '')])),
                            ('activityflags', (YLeaf(YType.str, 'activityFlags'), ['str'])),
                            ('lastactive', (YLeaf(YType.str, 'lastActive'), ['str'])),
                            ('port', (YLeaf(YType.uint16, 'port'), ['int'])),
                            ('operprio', (YLeaf(YType.uint16, 'operPrio'), ['int'])),
                            ('key', (YLeaf(YType.uint16, 'key'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.prio = None
                        self.txrate = None
                        self.activityflags = None
                        self.lastactive = None
                        self.port = None
                        self.operprio = None
                        self.key = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.adj_items = System.LacpItems.InstItems.IfItems.IfList.AdjItems()
                        self.adj_items.parent = self
                        self._children_name_map["adj_items"] = "adj-items"

                        self.ifstats_items = System.LacpItems.InstItems.IfItems.IfList.IfstatsItems()
                        self.ifstats_items.parent = self
                        self._children_name_map["ifstats_items"] = "ifstats-items"

                        self.rtvrfmbr_items = System.LacpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/lacp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList, ['id', 'prio', 'txrate', 'activityflags', 'lastactive', 'port', 'operprio', 'key', 'name', 'descr', 'adminst'], name, value)


                    class AdjItems(Entity):
                        """
                        
                        
                        .. attribute:: sysprio
                        
                        	Specifies the Adjacency Neighbor System Priority
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        	**config**\: False
                        
                        .. attribute:: sysid
                        
                        	Specifies the Adjacency Neighbor System ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: port
                        
                        	Specifies the Adjacency Neighbor Port Number
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: portprio
                        
                        	Neighbor Port Priority
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        	**config**\: False
                        
                        .. attribute:: activityflags
                        
                        	Specifies the LACP Adjacency Neighbor Activity Flags
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: key
                        
                        	Specifies the Adjacency Neighbor Operational Key
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LacpItems.InstItems.IfItems.IfList.AdjItems, self).__init__()

                            self.yang_name = "adj-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('sysprio', (YLeaf(YType.uint16, 'sysPrio'), ['int'])),
                                ('sysid', (YLeaf(YType.str, 'sysId'), ['str'])),
                                ('port', (YLeaf(YType.uint16, 'port'), ['int'])),
                                ('portprio', (YLeaf(YType.uint16, 'portPrio'), ['int'])),
                                ('activityflags', (YLeaf(YType.str, 'activityFlags'), ['str'])),
                                ('key', (YLeaf(YType.uint16, 'key'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.sysprio = None
                            self.sysid = None
                            self.port = None
                            self.portprio = None
                            self.activityflags = None
                            self.key = None
                            self.name = None
                            self._segment_path = lambda: "adj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList.AdjItems, ['sysprio', 'sysid', 'port', 'portprio', 'activityflags', 'key', 'name'], name, value)



                    class IfstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: pdusent
                        
                        	Number of PDUs Sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: pdurcvd
                        
                        	Number of PDUs Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: markersent
                        
                        	Number of Markers Sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: markerrcvd
                        
                        	Number of Markers Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: markerrspsent
                        
                        	Number of Marker Responses Sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: markerrsprcvd
                        
                        	Number of Marker Responses Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: errpktrcvd
                        
                        	Number of Error Packets Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LacpItems.InstItems.IfItems.IfList.IfstatsItems, self).__init__()

                            self.yang_name = "ifstats-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pdusent', (YLeaf(YType.uint64, 'pduSent'), ['int'])),
                                ('pdurcvd', (YLeaf(YType.uint64, 'pduRcvd'), ['int'])),
                                ('markersent', (YLeaf(YType.uint64, 'markerSent'), ['int'])),
                                ('markerrcvd', (YLeaf(YType.uint64, 'markerRcvd'), ['int'])),
                                ('markerrspsent', (YLeaf(YType.uint64, 'markerRspSent'), ['int'])),
                                ('markerrsprcvd', (YLeaf(YType.uint64, 'markerRspRcvd'), ['int'])),
                                ('errpktrcvd', (YLeaf(YType.uint64, 'errPktRcvd'), ['int'])),
                            ])
                            self.pdusent = None
                            self.pdurcvd = None
                            self.markersent = None
                            self.markerrcvd = None
                            self.markerrspsent = None
                            self.markerrsprcvd = None
                            self.errpktrcvd = None
                            self._segment_path = lambda: "ifstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList.IfstatsItems, ['pdusent', 'pdurcvd', 'markersent', 'markerrcvd', 'markerrspsent', 'markerrsprcvd', 'errpktrcvd'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LacpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.LacpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class MgmtItems(Entity):
        """
        
        
        .. attribute:: mgmtif_list
        
        	
        	**type**\: list of  		 :py:class:`MgmtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MgmtItems, self).__init__()

            self.yang_name = "mgmt-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("MgmtIf-list", ("mgmtif_list", System.MgmtItems.MgmtIfList))])
            self._leafs = OrderedDict()

            self.mgmtif_list = YList(self)
            self._segment_path = lambda: "mgmt-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MgmtItems, [], name, value)


        class MgmtIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: descr
            
            	descr
            	**type**\: str
            
            	**length:** 0..254
            
            .. attribute:: adminst
            
            	Administrative Port State
            	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
            
            .. attribute:: speed
            
            	Administrative Port Speed
            	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
            
            .. attribute:: duplex
            
            	Duplex
            	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
            
            .. attribute:: autoneg
            
            	Administrative Port Auto\-Negotiation
            	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
            
            .. attribute:: mtu
            
            	Administrative port MTU
            	**type**\: int
            
            	**range:** 576..9216
            
            .. attribute:: snmptrapst
            
            	Administrative Port Snmp Trap State
            	**type**\:  :py:class:`L1SnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SnmpTrapSt>`
            
            .. attribute:: mgmt_items
            
            	
            	**type**\:  :py:class:`MgmtItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.MgmtItems_>`
            
            .. attribute:: portcap_items
            
            	
            	**type**\:  :py:class:`PortcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.PortcapItems>`
            
            .. attribute:: rtrtdmgmtconf_items
            
            	
            	**type**\:  :py:class:`RtrtdMgmtConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.RtrtdMgmtConfItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.RtvrfMbrItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.RtnwPathToIfItems>`
            
            .. attribute:: dbgifin_items
            
            	
            	**type**\:  :py:class:`DbgIfInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIfInItems>`
            
            .. attribute:: dbgifout_items
            
            	
            	**type**\:  :py:class:`DbgIfOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIfOutItems>`
            
            .. attribute:: dbgipin_items
            
            	
            	**type**\:  :py:class:`DbgIpInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIpInItems>`
            
            .. attribute:: dbgdot1d_items
            
            	
            	**type**\:  :py:class:`DbgDot1dItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgDot1dItems>`
            
            .. attribute:: dbgetherstats_items
            
            	
            	**type**\:  :py:class:`DbgEtherStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgEtherStatsItems>`
            
            .. attribute:: dbgdot3stats_items
            
            	
            	**type**\:  :py:class:`DbgDot3StatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgDot3StatsItems>`
            
            .. attribute:: dbgifhcin_items
            
            	
            	**type**\:  :py:class:`DbgIfHCInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIfHCInItems>`
            
            .. attribute:: dbgifhcout_items
            
            	
            	**type**\:  :py:class:`DbgIfHCOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIfHCOutItems>`
            
            .. attribute:: dbgipv6ifstats_items
            
            	
            	**type**\:  :py:class:`DbgIpv6IfStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIpv6IfStatsItems>`
            
            .. attribute:: dbgifstorm_items
            
            	
            	**type**\:  :py:class:`DbgIfStormItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.DbgIfStormItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MgmtItems.MgmtIfList, self).__init__()

                self.yang_name = "MgmtIf-list"
                self.yang_parent_name = "mgmt-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("mgmt-items", ("mgmt_items", System.MgmtItems.MgmtIfList.MgmtItems_)), ("portcap-items", ("portcap_items", System.MgmtItems.MgmtIfList.PortcapItems)), ("rtrtdMgmtConf-items", ("rtrtdmgmtconf_items", System.MgmtItems.MgmtIfList.RtrtdMgmtConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.MgmtItems.MgmtIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.MgmtItems.MgmtIfList.RtnwPathToIfItems)), ("dbgIfIn-items", ("dbgifin_items", System.MgmtItems.MgmtIfList.DbgIfInItems)), ("dbgIfOut-items", ("dbgifout_items", System.MgmtItems.MgmtIfList.DbgIfOutItems)), ("dbgIpIn-items", ("dbgipin_items", System.MgmtItems.MgmtIfList.DbgIpInItems)), ("dbgDot1d-items", ("dbgdot1d_items", System.MgmtItems.MgmtIfList.DbgDot1dItems)), ("dbgEtherStats-items", ("dbgetherstats_items", System.MgmtItems.MgmtIfList.DbgEtherStatsItems)), ("dbgDot3Stats-items", ("dbgdot3stats_items", System.MgmtItems.MgmtIfList.DbgDot3StatsItems)), ("dbgIfHCIn-items", ("dbgifhcin_items", System.MgmtItems.MgmtIfList.DbgIfHCInItems)), ("dbgIfHCOut-items", ("dbgifhcout_items", System.MgmtItems.MgmtIfList.DbgIfHCOutItems)), ("dbgIpv6IfStats-items", ("dbgipv6ifstats_items", System.MgmtItems.MgmtIfList.DbgIpv6IfStatsItems)), ("dbgIfStorm-items", ("dbgifstorm_items", System.MgmtItems.MgmtIfList.DbgIfStormItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ('speed', (YLeaf(YType.enumeration, 'speed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                    ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                    ('autoneg', (YLeaf(YType.enumeration, 'autoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                    ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                    ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SnmpTrapSt', '')])),
                ])
                self.id = None
                self.name = None
                self.descr = None
                self.adminst = None
                self.speed = None
                self.duplex = None
                self.autoneg = None
                self.mtu = None
                self.snmptrapst = None

                self.mgmt_items = System.MgmtItems.MgmtIfList.MgmtItems_()
                self.mgmt_items.parent = self
                self._children_name_map["mgmt_items"] = "mgmt-items"

                self.portcap_items = System.MgmtItems.MgmtIfList.PortcapItems()
                self.portcap_items.parent = self
                self._children_name_map["portcap_items"] = "portcap-items"

                self.rtrtdmgmtconf_items = System.MgmtItems.MgmtIfList.RtrtdMgmtConfItems()
                self.rtrtdmgmtconf_items.parent = self
                self._children_name_map["rtrtdmgmtconf_items"] = "rtrtdMgmtConf-items"

                self.rtvrfmbr_items = System.MgmtItems.MgmtIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.MgmtItems.MgmtIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                self.dbgifin_items = System.MgmtItems.MgmtIfList.DbgIfInItems()
                self.dbgifin_items.parent = self
                self._children_name_map["dbgifin_items"] = "dbgIfIn-items"

                self.dbgifout_items = System.MgmtItems.MgmtIfList.DbgIfOutItems()
                self.dbgifout_items.parent = self
                self._children_name_map["dbgifout_items"] = "dbgIfOut-items"

                self.dbgipin_items = System.MgmtItems.MgmtIfList.DbgIpInItems()
                self.dbgipin_items.parent = self
                self._children_name_map["dbgipin_items"] = "dbgIpIn-items"

                self.dbgdot1d_items = System.MgmtItems.MgmtIfList.DbgDot1dItems()
                self.dbgdot1d_items.parent = self
                self._children_name_map["dbgdot1d_items"] = "dbgDot1d-items"

                self.dbgetherstats_items = System.MgmtItems.MgmtIfList.DbgEtherStatsItems()
                self.dbgetherstats_items.parent = self
                self._children_name_map["dbgetherstats_items"] = "dbgEtherStats-items"

                self.dbgdot3stats_items = System.MgmtItems.MgmtIfList.DbgDot3StatsItems()
                self.dbgdot3stats_items.parent = self
                self._children_name_map["dbgdot3stats_items"] = "dbgDot3Stats-items"

                self.dbgifhcin_items = System.MgmtItems.MgmtIfList.DbgIfHCInItems()
                self.dbgifhcin_items.parent = self
                self._children_name_map["dbgifhcin_items"] = "dbgIfHCIn-items"

                self.dbgifhcout_items = System.MgmtItems.MgmtIfList.DbgIfHCOutItems()
                self.dbgifhcout_items.parent = self
                self._children_name_map["dbgifhcout_items"] = "dbgIfHCOut-items"

                self.dbgipv6ifstats_items = System.MgmtItems.MgmtIfList.DbgIpv6IfStatsItems()
                self.dbgipv6ifstats_items.parent = self
                self._children_name_map["dbgipv6ifstats_items"] = "dbgIpv6IfStats-items"

                self.dbgifstorm_items = System.MgmtItems.MgmtIfList.DbgIfStormItems()
                self.dbgifstorm_items.parent = self
                self._children_name_map["dbgifstorm_items"] = "dbgIfStorm-items"
                self._segment_path = lambda: "MgmtIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mgmt-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MgmtItems.MgmtIfList, ['id', 'name', 'descr', 'adminst', 'speed', 'duplex', 'autoneg', 'mtu', 'snmptrapst'], name, value)


            class MgmtItems_(Entity):
                """
                
                
                .. attribute:: operst
                
                	Runtime state of the object or policy
                	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                
                	**config**\: False
                
                .. attribute:: operstqual
                
                	Chassis Operational Port Status Qualifier
                	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                
                	**config**\: False
                
                .. attribute:: operspeed
                
                	Operational Port Speed
                	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
                
                	**config**\: False
                
                .. attribute:: operduplex
                
                	Operational Duplex
                	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
                
                	**config**\: False
                
                .. attribute:: operphylayer
                
                	Operational Physical Port Layer
                	**type**\:  :py:class:`L1PhyLayer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PhyLayer>`
                
                	**config**\: False
                
                .. attribute:: backplanemac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operroutermac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: portinitevalflag
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: opermtu
                
                	Operational Mtu
                	**type**\: int
                
                	**range:** 576..9216
                
                	**config**\: False
                
                .. attribute:: iod
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: vdcid
                
                	Vdc Id
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: lastlinkstchg
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.MgmtItems_, self).__init__()

                    self.yang_name = "mgmt-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                        ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                        ('operspeed', (YLeaf(YType.enumeration, 'operSpeed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                        ('operduplex', (YLeaf(YType.enumeration, 'operDuplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                        ('operphylayer', (YLeaf(YType.enumeration, 'operPhyLayer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PhyLayer', '')])),
                        ('backplanemac', (YLeaf(YType.str, 'backplaneMac'), ['str'])),
                        ('operroutermac', (YLeaf(YType.str, 'operRouterMac'), ['str'])),
                        ('portinitevalflag', (YLeaf(YType.uint8, 'portInitEvalFlag'), ['int'])),
                        ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                        ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                        ('vdcid', (YLeaf(YType.uint16, 'vdcId'), ['int'])),
                        ('lastlinkstchg', (YLeaf(YType.str, 'lastLinkStChg'), ['str'])),
                    ])
                    self.operst = None
                    self.operstqual = None
                    self.operspeed = None
                    self.operduplex = None
                    self.operphylayer = None
                    self.backplanemac = None
                    self.operroutermac = None
                    self.portinitevalflag = None
                    self.opermtu = None
                    self.iod = None
                    self.vdcid = None
                    self.lastlinkstchg = None
                    self._segment_path = lambda: "mgmt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.MgmtItems_, ['operst', 'operstqual', 'operspeed', 'operduplex', 'operphylayer', 'backplanemac', 'operroutermac', 'portinitevalflag', 'opermtu', 'iod', 'vdcid', 'lastlinkstchg'], name, value)



            class PortcapItems(Entity):
                """
                
                
                .. attribute:: portcap
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.PortcapItems, self).__init__()

                    self.yang_name = "portcap-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('portcap', (YLeaf(YType.uint32, 'portCap'), ['int'])),
                    ])
                    self.portcap = None
                    self._segment_path = lambda: "portcap-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.PortcapItems, ['portcap'], name, value)



            class RtrtdMgmtConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.RtrtdMgmtConfItems, self).__init__()

                    self.yang_name = "rtrtdMgmtConf-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtrtdMgmtConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.RtrtdMgmtConfItems, ['tdn', 'tcl'], name, value)



            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MgmtItems.MgmtIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.MgmtItems.MgmtIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MgmtItems.MgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MgmtItems.MgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




            class DbgIfInItems(Entity):
                """
                
                
                .. attribute:: octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: discards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: unknownprotos
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: unknownetype
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multicastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nobuffer
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rateinterval
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: octetrate
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: packetrate
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIfInItems, self).__init__()

                    self.yang_name = "dbgIfIn-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                        ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                        ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                        ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                        ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                        ('unknownprotos', (YLeaf(YType.uint64, 'unknownProtos'), ['int'])),
                        ('unknownetype', (YLeaf(YType.uint64, 'unknownEtype'), ['int'])),
                        ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                        ('nobuffer', (YLeaf(YType.uint64, 'noBuffer'), ['int'])),
                        ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                        ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                        ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                    ])
                    self.octets = None
                    self.ucastpkts = None
                    self.nucastpkts = None
                    self.discards = None
                    self.errors = None
                    self.unknownprotos = None
                    self.unknownetype = None
                    self.broadcastpkts = None
                    self.multicastpkts = None
                    self.nobuffer = None
                    self.rateinterval = None
                    self.octetrate = None
                    self.packetrate = None
                    self._segment_path = lambda: "dbgIfIn-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIfInItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'unknownprotos', 'unknownetype', 'broadcastpkts', 'multicastpkts', 'nobuffer', 'rateinterval', 'octetrate', 'packetrate'], name, value)



            class DbgIfOutItems(Entity):
                """
                
                
                .. attribute:: octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: discards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: qlen
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multicastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rateinterval
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: octetrate
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: packetrate
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIfOutItems, self).__init__()

                    self.yang_name = "dbgIfOut-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                        ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                        ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                        ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                        ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                        ('qlen', (YLeaf(YType.uint64, 'qLen'), ['int'])),
                        ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                        ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                        ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                        ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                    ])
                    self.octets = None
                    self.ucastpkts = None
                    self.nucastpkts = None
                    self.discards = None
                    self.errors = None
                    self.qlen = None
                    self.broadcastpkts = None
                    self.multicastpkts = None
                    self.rateinterval = None
                    self.octetrate = None
                    self.packetrate = None
                    self._segment_path = lambda: "dbgIfOut-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIfOutItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'qlen', 'broadcastpkts', 'multicastpkts', 'rateinterval', 'octetrate', 'packetrate'], name, value)



            class DbgIpInItems(Entity):
                """
                
                
                .. attribute:: receives
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: hdrerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: forwdatagrams
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: discards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIpInItems, self).__init__()

                    self.yang_name = "dbgIpIn-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('receives', (YLeaf(YType.uint64, 'receives'), ['int'])),
                        ('hdrerrors', (YLeaf(YType.uint64, 'hdrErrors'), ['int'])),
                        ('forwdatagrams', (YLeaf(YType.uint64, 'forwDatagrams'), ['int'])),
                        ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                    ])
                    self.receives = None
                    self.hdrerrors = None
                    self.forwdatagrams = None
                    self.discards = None
                    self._segment_path = lambda: "dbgIpIn-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIpInItems, ['receives', 'hdrerrors', 'forwdatagrams', 'discards'], name, value)



            class DbgDot1dItems(Entity):
                """
                
                
                .. attribute:: baseportdelayexceededdiscards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: baseportmtuexceededdiscards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tpportinframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tpportoutframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: portindiscards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgDot1dItems, self).__init__()

                    self.yang_name = "dbgDot1d-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('baseportdelayexceededdiscards', (YLeaf(YType.uint64, 'basePortDelayExceededDiscards'), ['int'])),
                        ('baseportmtuexceededdiscards', (YLeaf(YType.uint64, 'basePortMtuExceededDiscards'), ['int'])),
                        ('tpportinframes', (YLeaf(YType.uint64, 'tpPortInFrames'), ['int'])),
                        ('tpportoutframes', (YLeaf(YType.uint64, 'tpPortOutFrames'), ['int'])),
                        ('portindiscards', (YLeaf(YType.uint64, 'portInDiscards'), ['int'])),
                    ])
                    self.baseportdelayexceededdiscards = None
                    self.baseportmtuexceededdiscards = None
                    self.tpportinframes = None
                    self.tpportoutframes = None
                    self.portindiscards = None
                    self._segment_path = lambda: "dbgDot1d-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgDot1dItems, ['baseportdelayexceededdiscards', 'baseportmtuexceededdiscards', 'tpportinframes', 'tpportoutframes', 'portindiscards'], name, value)



            class DbgEtherStatsItems(Entity):
                """
                
                
                .. attribute:: dropevents
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multicastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: undersizepkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: giantpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: stormsupressedpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fragments
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts64octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts65to127octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts128to255octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts256to511octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts512to1023octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts1024to1518octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts1519to1548octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts64octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts64octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts65to127octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts65to127octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts128to255octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts128to255octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts256to511octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts256to511octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts512to1023octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts512to1023octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts1024to1518octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts1024to1518octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxpkts1519to1548octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txpkts1519to1548octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: oversizepkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: jabbers
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: collisions
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: crcalignerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txnoerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxnoerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rxoversizepkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: txoversizepkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: overrun
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: underrun
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ignored
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: watchdog
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ifdowndrop
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgEtherStatsItems, self).__init__()

                    self.yang_name = "dbgEtherStats-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('dropevents', (YLeaf(YType.uint64, 'dropEvents'), ['int'])),
                        ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                        ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ('undersizepkts', (YLeaf(YType.uint64, 'undersizePkts'), ['int'])),
                        ('giantpkts', (YLeaf(YType.uint64, 'giantPkts'), ['int'])),
                        ('stormsupressedpkts', (YLeaf(YType.uint64, 'stormSupressedPkts'), ['int'])),
                        ('fragments', (YLeaf(YType.uint64, 'fragments'), ['int'])),
                        ('pkts64octets', (YLeaf(YType.uint64, 'pkts64Octets'), ['int'])),
                        ('pkts65to127octets', (YLeaf(YType.uint64, 'pkts65to127Octets'), ['int'])),
                        ('pkts128to255octets', (YLeaf(YType.uint64, 'pkts128to255Octets'), ['int'])),
                        ('pkts256to511octets', (YLeaf(YType.uint64, 'pkts256to511Octets'), ['int'])),
                        ('pkts512to1023octets', (YLeaf(YType.uint64, 'pkts512to1023Octets'), ['int'])),
                        ('pkts1024to1518octets', (YLeaf(YType.uint64, 'pkts1024to1518Octets'), ['int'])),
                        ('pkts1519to1548octets', (YLeaf(YType.uint64, 'pkts1519to1548Octets'), ['int'])),
                        ('rxpkts64octets', (YLeaf(YType.uint64, 'rxPkts64Octets'), ['int'])),
                        ('txpkts64octets', (YLeaf(YType.uint64, 'txPkts64Octets'), ['int'])),
                        ('rxpkts65to127octets', (YLeaf(YType.uint64, 'rxPkts65to127Octets'), ['int'])),
                        ('txpkts65to127octets', (YLeaf(YType.uint64, 'txPkts65to127Octets'), ['int'])),
                        ('rxpkts128to255octets', (YLeaf(YType.uint64, 'rxPkts128to255Octets'), ['int'])),
                        ('txpkts128to255octets', (YLeaf(YType.uint64, 'txPkts128to255Octets'), ['int'])),
                        ('rxpkts256to511octets', (YLeaf(YType.uint64, 'rxPkts256to511Octets'), ['int'])),
                        ('txpkts256to511octets', (YLeaf(YType.uint64, 'txPkts256to511Octets'), ['int'])),
                        ('rxpkts512to1023octets', (YLeaf(YType.uint64, 'rxPkts512to1023Octets'), ['int'])),
                        ('txpkts512to1023octets', (YLeaf(YType.uint64, 'txPkts512to1023Octets'), ['int'])),
                        ('rxpkts1024to1518octets', (YLeaf(YType.uint64, 'rxPkts1024to1518Octets'), ['int'])),
                        ('txpkts1024to1518octets', (YLeaf(YType.uint64, 'txPkts1024to1518Octets'), ['int'])),
                        ('rxpkts1519to1548octets', (YLeaf(YType.uint64, 'rxPkts1519to1548Octets'), ['int'])),
                        ('txpkts1519to1548octets', (YLeaf(YType.uint64, 'txPkts1519to1548Octets'), ['int'])),
                        ('oversizepkts', (YLeaf(YType.uint64, 'oversizePkts'), ['int'])),
                        ('jabbers', (YLeaf(YType.uint64, 'jabbers'), ['int'])),
                        ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                        ('pkts', (YLeaf(YType.uint64, 'pkts'), ['int'])),
                        ('collisions', (YLeaf(YType.uint64, 'collisions'), ['int'])),
                        ('crcalignerrors', (YLeaf(YType.uint64, 'cRCAlignErrors'), ['int'])),
                        ('txnoerrors', (YLeaf(YType.uint64, 'tXNoErrors'), ['int'])),
                        ('rxnoerrors', (YLeaf(YType.uint64, 'rXNoErrors'), ['int'])),
                        ('rxoversizepkts', (YLeaf(YType.uint64, 'rxOversizePkts'), ['int'])),
                        ('txoversizepkts', (YLeaf(YType.uint64, 'txOversizePkts'), ['int'])),
                        ('overrun', (YLeaf(YType.uint64, 'overrun'), ['int'])),
                        ('underrun', (YLeaf(YType.uint64, 'underrun'), ['int'])),
                        ('ignored', (YLeaf(YType.uint64, 'ignored'), ['int'])),
                        ('watchdog', (YLeaf(YType.uint64, 'watchdog'), ['int'])),
                        ('ifdowndrop', (YLeaf(YType.uint64, 'ifdowndrop'), ['int'])),
                    ])
                    self.dropevents = None
                    self.multicastpkts = None
                    self.broadcastpkts = None
                    self.undersizepkts = None
                    self.giantpkts = None
                    self.stormsupressedpkts = None
                    self.fragments = None
                    self.pkts64octets = None
                    self.pkts65to127octets = None
                    self.pkts128to255octets = None
                    self.pkts256to511octets = None
                    self.pkts512to1023octets = None
                    self.pkts1024to1518octets = None
                    self.pkts1519to1548octets = None
                    self.rxpkts64octets = None
                    self.txpkts64octets = None
                    self.rxpkts65to127octets = None
                    self.txpkts65to127octets = None
                    self.rxpkts128to255octets = None
                    self.txpkts128to255octets = None
                    self.rxpkts256to511octets = None
                    self.txpkts256to511octets = None
                    self.rxpkts512to1023octets = None
                    self.txpkts512to1023octets = None
                    self.rxpkts1024to1518octets = None
                    self.txpkts1024to1518octets = None
                    self.rxpkts1519to1548octets = None
                    self.txpkts1519to1548octets = None
                    self.oversizepkts = None
                    self.jabbers = None
                    self.octets = None
                    self.pkts = None
                    self.collisions = None
                    self.crcalignerrors = None
                    self.txnoerrors = None
                    self.rxnoerrors = None
                    self.rxoversizepkts = None
                    self.txoversizepkts = None
                    self.overrun = None
                    self.underrun = None
                    self.ignored = None
                    self.watchdog = None
                    self.ifdowndrop = None
                    self._segment_path = lambda: "dbgEtherStats-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgEtherStatsItems, ['dropevents', 'multicastpkts', 'broadcastpkts', 'undersizepkts', 'giantpkts', 'stormsupressedpkts', 'fragments', 'pkts64octets', 'pkts65to127octets', 'pkts128to255octets', 'pkts256to511octets', 'pkts512to1023octets', 'pkts1024to1518octets', 'pkts1519to1548octets', 'rxpkts64octets', 'txpkts64octets', 'rxpkts65to127octets', 'txpkts65to127octets', 'rxpkts128to255octets', 'txpkts128to255octets', 'rxpkts256to511octets', 'txpkts256to511octets', 'rxpkts512to1023octets', 'txpkts512to1023octets', 'rxpkts1024to1518octets', 'txpkts1024to1518octets', 'rxpkts1519to1548octets', 'txpkts1519to1548octets', 'oversizepkts', 'jabbers', 'octets', 'pkts', 'collisions', 'crcalignerrors', 'txnoerrors', 'rxnoerrors', 'rxoversizepkts', 'txoversizepkts', 'overrun', 'underrun', 'ignored', 'watchdog', 'ifdowndrop'], name, value)



            class DbgDot3StatsItems(Entity):
                """
                
                
                .. attribute:: alignmenterrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fcserrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: singlecollisionframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multiplecollisionframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: sqettesterrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: deferredtransmissions
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: latecollisions
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: excessivecollisions
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: internalmactransmiterrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: carriersenseerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: frametoolongs
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: internalmacreceiveerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: symbolerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: controlinunknownopcodes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: inpauseframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: outpauseframes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: lostcarriererrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nocarriererrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: inputdribble
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: babble
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: runts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgDot3StatsItems, self).__init__()

                    self.yang_name = "dbgDot3Stats-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('alignmenterrors', (YLeaf(YType.uint64, 'alignmentErrors'), ['int'])),
                        ('fcserrors', (YLeaf(YType.uint64, 'fCSErrors'), ['int'])),
                        ('singlecollisionframes', (YLeaf(YType.uint64, 'singleCollisionFrames'), ['int'])),
                        ('multiplecollisionframes', (YLeaf(YType.uint64, 'multipleCollisionFrames'), ['int'])),
                        ('sqettesterrors', (YLeaf(YType.uint64, 'sQETTestErrors'), ['int'])),
                        ('deferredtransmissions', (YLeaf(YType.uint64, 'deferredTransmissions'), ['int'])),
                        ('latecollisions', (YLeaf(YType.uint64, 'lateCollisions'), ['int'])),
                        ('excessivecollisions', (YLeaf(YType.uint64, 'excessiveCollisions'), ['int'])),
                        ('internalmactransmiterrors', (YLeaf(YType.uint64, 'internalMacTransmitErrors'), ['int'])),
                        ('carriersenseerrors', (YLeaf(YType.uint64, 'carrierSenseErrors'), ['int'])),
                        ('frametoolongs', (YLeaf(YType.uint64, 'frameTooLongs'), ['int'])),
                        ('internalmacreceiveerrors', (YLeaf(YType.uint64, 'internalMacReceiveErrors'), ['int'])),
                        ('symbolerrors', (YLeaf(YType.uint64, 'symbolErrors'), ['int'])),
                        ('controlinunknownopcodes', (YLeaf(YType.uint64, 'controlInUnknownOpcodes'), ['int'])),
                        ('inpauseframes', (YLeaf(YType.uint64, 'inPauseFrames'), ['int'])),
                        ('outpauseframes', (YLeaf(YType.uint64, 'outPauseFrames'), ['int'])),
                        ('lostcarriererrors', (YLeaf(YType.uint64, 'lostCarrierErrors'), ['int'])),
                        ('nocarriererrors', (YLeaf(YType.uint64, 'noCarrierErrors'), ['int'])),
                        ('inputdribble', (YLeaf(YType.uint64, 'inputdribble'), ['int'])),
                        ('babble', (YLeaf(YType.uint64, 'babble'), ['int'])),
                        ('runts', (YLeaf(YType.uint64, 'runts'), ['int'])),
                    ])
                    self.alignmenterrors = None
                    self.fcserrors = None
                    self.singlecollisionframes = None
                    self.multiplecollisionframes = None
                    self.sqettesterrors = None
                    self.deferredtransmissions = None
                    self.latecollisions = None
                    self.excessivecollisions = None
                    self.internalmactransmiterrors = None
                    self.carriersenseerrors = None
                    self.frametoolongs = None
                    self.internalmacreceiveerrors = None
                    self.symbolerrors = None
                    self.controlinunknownopcodes = None
                    self.inpauseframes = None
                    self.outpauseframes = None
                    self.lostcarriererrors = None
                    self.nocarriererrors = None
                    self.inputdribble = None
                    self.babble = None
                    self.runts = None
                    self._segment_path = lambda: "dbgDot3Stats-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgDot3StatsItems, ['alignmenterrors', 'fcserrors', 'singlecollisionframes', 'multiplecollisionframes', 'sqettesterrors', 'deferredtransmissions', 'latecollisions', 'excessivecollisions', 'internalmactransmiterrors', 'carriersenseerrors', 'frametoolongs', 'internalmacreceiveerrors', 'symbolerrors', 'controlinunknownopcodes', 'inpauseframes', 'outpauseframes', 'lostcarriererrors', 'nocarriererrors', 'inputdribble', 'babble', 'runts'], name, value)



            class DbgIfHCInItems(Entity):
                """
                
                
                .. attribute:: octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multicastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIfHCInItems, self).__init__()

                    self.yang_name = "dbgIfHCIn-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                        ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                        ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                        ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                    ])
                    self.octets = None
                    self.ucastpkts = None
                    self.multicastpkts = None
                    self.broadcastpkts = None
                    self._segment_path = lambda: "dbgIfHCIn-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIfHCInItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpkts'], name, value)



            class DbgIfHCOutItems(Entity):
                """
                
                
                .. attribute:: octets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ucastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: multicastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpckts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: broadcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIfHCOutItems, self).__init__()

                    self.yang_name = "dbgIfHCOut-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                        ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                        ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                        ('broadcastpckts', (YLeaf(YType.uint64, 'broadcastPckts'), ['int'])),
                        ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                    ])
                    self.octets = None
                    self.ucastpkts = None
                    self.multicastpkts = None
                    self.broadcastpckts = None
                    self.broadcastpkts = None
                    self._segment_path = lambda: "dbgIfHCOut-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIfHCOutItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpckts', 'broadcastpkts'], name, value)



            class DbgIpv6IfStatsItems(Entity):
                """
                
                
                .. attribute:: inreceives
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: inhdrerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: inaddrerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: indiscards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: outforwdatagrams
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: outdiscards
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: inmcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: outmcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIpv6IfStatsItems, self).__init__()

                    self.yang_name = "dbgIpv6IfStats-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('inreceives', (YLeaf(YType.uint64, 'inReceives'), ['int'])),
                        ('inhdrerrors', (YLeaf(YType.uint64, 'inHdrErrors'), ['int'])),
                        ('inaddrerrors', (YLeaf(YType.uint64, 'inAddrErrors'), ['int'])),
                        ('indiscards', (YLeaf(YType.uint64, 'inDiscards'), ['int'])),
                        ('outforwdatagrams', (YLeaf(YType.uint64, 'outForwDatagrams'), ['int'])),
                        ('outdiscards', (YLeaf(YType.uint64, 'outDiscards'), ['int'])),
                        ('inmcastpkts', (YLeaf(YType.uint64, 'inMcastPkts'), ['int'])),
                        ('outmcastpkts', (YLeaf(YType.uint64, 'outMcastPkts'), ['int'])),
                    ])
                    self.inreceives = None
                    self.inhdrerrors = None
                    self.inaddrerrors = None
                    self.indiscards = None
                    self.outforwdatagrams = None
                    self.outdiscards = None
                    self.inmcastpkts = None
                    self.outmcastpkts = None
                    self._segment_path = lambda: "dbgIpv6IfStats-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIpv6IfStatsItems, ['inreceives', 'inhdrerrors', 'inaddrerrors', 'indiscards', 'outforwdatagrams', 'outdiscards', 'inmcastpkts', 'outmcastpkts'], name, value)



            class DbgIfStormItems(Entity):
                """
                
                
                .. attribute:: dropbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MgmtItems.MgmtIfList.DbgIfStormItems, self).__init__()

                    self.yang_name = "dbgIfStorm-items"
                    self.yang_parent_name = "MgmtIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                    ])
                    self.dropbytes = None
                    self._segment_path = lambda: "dbgIfStorm-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MgmtItems.MgmtIfList.DbgIfStormItems, ['dropbytes'], name, value)





    class SnmpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SnmpItems, self).__init__()

            self.yang_name = "snmp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.SnmpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.SnmpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "snmp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SnmpItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: engid
            
            	Engine Id
            	**type**\: str
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: clgrp_items
            
            	
            	**type**\:  :py:class:`ClgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems>`
            
            .. attribute:: globals_items
            
            	
            	**type**\:  :py:class:`GlobalsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.GlobalsItems>`
            
            .. attribute:: host_items
            
            	
            	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.HostItems>`
            
            .. attribute:: rmon_items
            
            	
            	**type**\:  :py:class:`RmonItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmonItems>`
            
            .. attribute:: community_items
            
            	
            	**type**\:  :py:class:`CommunityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CommunityItems>`
            
            .. attribute:: user_items
            
            	
            	**type**\:  :py:class:`UserItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.UserItems>`
            
            .. attribute:: ctx_items
            
            	
            	**type**\:  :py:class:`CtxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CtxItems>`
            
            .. attribute:: sysinfo_items
            
            	
            	**type**\:  :py:class:`SysinfoItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.SysinfoItems>`
            
            .. attribute:: traps_items
            
            	
            	**type**\:  :py:class:`TrapsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems>`
            
            .. attribute:: rmtuser_items
            
            	
            	**type**\:  :py:class:`RmtUserItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmtUserItems>`
            
            .. attribute:: lcluser_items
            
            	
            	**type**\:  :py:class:`LclUserItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.LclUserItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SnmpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "snmp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("clgrp-items", ("clgrp_items", System.SnmpItems.InstItems.ClgrpItems)), ("globals-items", ("globals_items", System.SnmpItems.InstItems.GlobalsItems)), ("host-items", ("host_items", System.SnmpItems.InstItems.HostItems)), ("rmon-items", ("rmon_items", System.SnmpItems.InstItems.RmonItems)), ("community-items", ("community_items", System.SnmpItems.InstItems.CommunityItems)), ("user-items", ("user_items", System.SnmpItems.InstItems.UserItems)), ("ctx-items", ("ctx_items", System.SnmpItems.InstItems.CtxItems)), ("sysinfo-items", ("sysinfo_items", System.SnmpItems.InstItems.SysinfoItems)), ("traps-items", ("traps_items", System.SnmpItems.InstItems.TrapsItems)), ("rmtUser-items", ("rmtuser_items", System.SnmpItems.InstItems.RmtUserItems)), ("lclUser-items", ("lcluser_items", System.SnmpItems.InstItems.LclUserItems))])
                self._leafs = OrderedDict([
                    ('engid', (YLeaf(YType.str, 'engId'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ])
                self.engid = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.adminst = None

                self.clgrp_items = System.SnmpItems.InstItems.ClgrpItems()
                self.clgrp_items.parent = self
                self._children_name_map["clgrp_items"] = "clgrp-items"

                self.globals_items = System.SnmpItems.InstItems.GlobalsItems()
                self.globals_items.parent = self
                self._children_name_map["globals_items"] = "globals-items"

                self.host_items = System.SnmpItems.InstItems.HostItems()
                self.host_items.parent = self
                self._children_name_map["host_items"] = "host-items"

                self.rmon_items = System.SnmpItems.InstItems.RmonItems()
                self.rmon_items.parent = self
                self._children_name_map["rmon_items"] = "rmon-items"

                self.community_items = System.SnmpItems.InstItems.CommunityItems()
                self.community_items.parent = self
                self._children_name_map["community_items"] = "community-items"

                self.user_items = System.SnmpItems.InstItems.UserItems()
                self.user_items.parent = self
                self._children_name_map["user_items"] = "user-items"

                self.ctx_items = System.SnmpItems.InstItems.CtxItems()
                self.ctx_items.parent = self
                self._children_name_map["ctx_items"] = "ctx-items"

                self.sysinfo_items = System.SnmpItems.InstItems.SysinfoItems()
                self.sysinfo_items.parent = self
                self._children_name_map["sysinfo_items"] = "sysinfo-items"

                self.traps_items = System.SnmpItems.InstItems.TrapsItems()
                self.traps_items.parent = self
                self._children_name_map["traps_items"] = "traps-items"

                self.rmtuser_items = System.SnmpItems.InstItems.RmtUserItems()
                self.rmtuser_items.parent = self
                self._children_name_map["rmtuser_items"] = "rmtUser-items"

                self.lcluser_items = System.SnmpItems.InstItems.LclUserItems()
                self.lcluser_items.parent = self
                self._children_name_map["lcluser_items"] = "lclUser-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SnmpItems.InstItems, ['engid', 'name', 'ownerkey', 'ownertag', 'descr', 'adminst'], name, value)


            class ClgrpItems(Entity):
                """
                
                
                .. attribute:: clientgrp_list
                
                	
                	**type**\: list of  		 :py:class:`ClientGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems.ClientGrpList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.ClgrpItems, self).__init__()

                    self.yang_name = "clgrp-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ClientGrp-list", ("clientgrp_list", System.SnmpItems.InstItems.ClgrpItems.ClientGrpList))])
                    self._leafs = OrderedDict()

                    self.clientgrp_list = YList(self)
                    self._segment_path = lambda: "clgrp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems, [], name, value)


                class ClientGrpList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: vrf
                    
                    	VRF
                    	**type**\: str
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: epgdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: client_items
                    
                    	
                    	**type**\:  :py:class:`ClientItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems>`
                    
                    .. attribute:: rscommsecpclientgrpatt_items
                    
                    	
                    	**type**\:  :py:class:`RscommSecPClientGrpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList, self).__init__()

                        self.yang_name = "ClientGrp-list"
                        self.yang_parent_name = "clgrp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("client-items", ("client_items", System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems)), ("rscommSecPClientGrpAtt-items", ("rscommsecpclientgrpatt_items", System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                        ])
                        self.name = None
                        self.vrf = None
                        self.operst = None
                        self.descr = None
                        self.epgdn = None

                        self.client_items = System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems()
                        self.client_items.parent = self
                        self._children_name_map["client_items"] = "client-items"

                        self.rscommsecpclientgrpatt_items = System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems()
                        self.rscommsecpclientgrpatt_items.parent = self
                        self._children_name_map["rscommsecpclientgrpatt_items"] = "rscommSecPClientGrpAtt-items"
                        self._segment_path = lambda: "ClientGrp-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/clgrp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList, ['name', 'vrf', 'operst', 'descr', 'epgdn'], name, value)


                    class ClientItems(Entity):
                        """
                        
                        
                        .. attribute:: client_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ClientList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems.ClientList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems, self).__init__()

                            self.yang_name = "client-items"
                            self.yang_parent_name = "ClientGrp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Client-list", ("client_list", System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems.ClientList))])
                            self._leafs = OrderedDict()

                            self.client_list = YList(self)
                            self._segment_path = lambda: "client-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems, [], name, value)


                        class ClientList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems.ClientList, self).__init__()

                                self.yang_name = "Client-list"
                                self.yang_parent_name = "client-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.addr = None
                                self.operst = None
                                self.name = None
                                self._segment_path = lambda: "Client-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.ClientItems.ClientList, ['addr', 'operst', 'name'], name, value)




                    class RscommSecPClientGrpAttItems(Entity):
                        """
                        
                        
                        .. attribute:: rscommsecpclientgrpatt_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsCommSecPClientGrpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems.RsCommSecPClientGrpAttList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems, self).__init__()

                            self.yang_name = "rscommSecPClientGrpAtt-items"
                            self.yang_parent_name = "ClientGrp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsCommSecPClientGrpAtt-list", ("rscommsecpclientgrpatt_list", System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems.RsCommSecPClientGrpAttList))])
                            self._leafs = OrderedDict()

                            self.rscommsecpclientgrpatt_list = YList(self)
                            self._segment_path = lambda: "rscommSecPClientGrpAtt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems, [], name, value)


                        class RsCommSecPClientGrpAttList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems.RsCommSecPClientGrpAttList, self).__init__()

                                self.yang_name = "RsCommSecPClientGrpAtt-list"
                                self.yang_parent_name = "rscommSecPClientGrpAtt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsCommSecPClientGrpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.ClgrpItems.ClientGrpList.RscommSecPClientGrpAttItems.RsCommSecPClientGrpAttList, ['tdn', 'tcl'], name, value)






            class GlobalsItems(Entity):
                """
                
                
                .. attribute:: aaausercachetimeout
                
                	Timeout for AAA Cache
                	**type**\: int
                
                	**range:** 1..86400
                
                .. attribute:: protocolenable
                
                	Enable/Disable snmp protocol operations
                	**type**\:  :py:class:`SnmpBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpBoolean>`
                
                .. attribute:: countercacheenable
                
                	Enable port stats cache
                	**type**\:  :py:class:`SnmpBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpBoolean>`
                
                .. attribute:: countercachetimeout
                
                	Timeout for port stats cache
                	**type**\: int
                
                	**range:** 1..3600
                
                .. attribute:: pktsize
                
                	Packet size config
                	**type**\: int
                
                	**range:** 484..17382
                
                .. attribute:: tcpsessionauth
                
                	tcp\-session auth config
                	**type**\:  :py:class:`SnmpTcpSessionAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpTcpSessionAuthT>`
                
                .. attribute:: srcinterfacetraps_items
                
                	
                	**type**\:  :py:class:`SrcInterfaceTrapsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceTrapsItems>`
                
                .. attribute:: srcinterfaceinforms_items
                
                	
                	**type**\:  :py:class:`SrcInterfaceInformsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceInformsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.GlobalsItems, self).__init__()

                    self.yang_name = "globals-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("srcInterfaceTraps-items", ("srcinterfacetraps_items", System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceTrapsItems)), ("srcInterfaceInforms-items", ("srcinterfaceinforms_items", System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceInformsItems))])
                    self._leafs = OrderedDict([
                        ('aaausercachetimeout', (YLeaf(YType.uint32, 'aaaUserCacheTimeout'), ['int'])),
                        ('protocolenable', (YLeaf(YType.enumeration, 'protocolEnable'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpBoolean', '')])),
                        ('countercacheenable', (YLeaf(YType.enumeration, 'counterCacheEnable'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpBoolean', '')])),
                        ('countercachetimeout', (YLeaf(YType.uint16, 'counterCacheTimeout'), ['int'])),
                        ('pktsize', (YLeaf(YType.uint16, 'pktSize'), ['int'])),
                        ('tcpsessionauth', (YLeaf(YType.enumeration, 'tcpSessionAuth'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpTcpSessionAuthT', '')])),
                    ])
                    self.aaausercachetimeout = None
                    self.protocolenable = None
                    self.countercacheenable = None
                    self.countercachetimeout = None
                    self.pktsize = None
                    self.tcpsessionauth = None

                    self.srcinterfacetraps_items = System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceTrapsItems()
                    self.srcinterfacetraps_items.parent = self
                    self._children_name_map["srcinterfacetraps_items"] = "srcInterfaceTraps-items"

                    self.srcinterfaceinforms_items = System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceInformsItems()
                    self.srcinterfaceinforms_items.parent = self
                    self._children_name_map["srcinterfaceinforms_items"] = "srcInterfaceInforms-items"
                    self._segment_path = lambda: "globals-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.GlobalsItems, ['aaausercachetimeout', 'protocolenable', 'countercacheenable', 'countercachetimeout', 'pktsize', 'tcpsessionauth'], name, value)


                class SrcInterfaceTrapsItems(Entity):
                    """
                    
                    
                    .. attribute:: ifname
                    
                    	Source interface name for Traps
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceTrapsItems, self).__init__()

                        self.yang_name = "srcInterfaceTraps-items"
                        self.yang_parent_name = "globals-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifname', (YLeaf(YType.str, 'ifname'), ['str'])),
                        ])
                        self.ifname = None
                        self._segment_path = lambda: "srcInterfaceTraps-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/globals-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceTrapsItems, ['ifname'], name, value)



                class SrcInterfaceInformsItems(Entity):
                    """
                    
                    
                    .. attribute:: ifname
                    
                    	Source interface name for informs
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceInformsItems, self).__init__()

                        self.yang_name = "srcInterfaceInforms-items"
                        self.yang_parent_name = "globals-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifname', (YLeaf(YType.str, 'ifname'), ['str'])),
                        ])
                        self.ifname = None
                        self._segment_path = lambda: "srcInterfaceInforms-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/globals-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.GlobalsItems.SrcInterfaceInformsItems, ['ifname'], name, value)




            class HostItems(Entity):
                """
                
                
                .. attribute:: host_list
                
                	
                	**type**\: list of  		 :py:class:`HostList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.HostItems.HostList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.HostItems, self).__init__()

                    self.yang_name = "host-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Host-list", ("host_list", System.SnmpItems.InstItems.HostItems.HostList))])
                    self._leafs = OrderedDict()

                    self.host_list = YList(self)
                    self._segment_path = lambda: "host-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.HostItems, [], name, value)


                class HostList(Entity):
                    """
                    
                    
                    .. attribute:: hostname  (key)
                    
                    	snmp\-server host name
                    	**type**\: str
                    
                    	**length:** 1..255
                    
                    .. attribute:: udpportid  (key)
                    
                    	snmp\-server host udp\-port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: commname
                    
                    	community to be associated to the host
                    	**type**\: str
                    
                    .. attribute:: notiftype
                    
                    	Ctrl bits indicating traps/informs config
                    	**type**\:  :py:class:`SnmpNotificationType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpNotificationType>`
                    
                    .. attribute:: version
                    
                    	Ctrl bits indicating version
                    	**type**\:  :py:class:`SnmpVersion <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpVersion>`
                    
                    .. attribute:: seclevel
                    
                    	Ctrl bits indicating  auth/ priv/ noauth for v3
                    	**type**\:  :py:class:`SnmpV3SecLvl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpV3SecLvl>`
                    
                    .. attribute:: usevrf_items
                    
                    	
                    	**type**\:  :py:class:`UsevrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.HostItems.HostList, self).__init__()

                        self.yang_name = "Host-list"
                        self.yang_parent_name = "host-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['hostname','udpportid']
                        self._child_classes = OrderedDict([("usevrf-items", ("usevrf_items", System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems))])
                        self._leafs = OrderedDict([
                            ('hostname', (YLeaf(YType.str, 'hostName'), ['str'])),
                            ('udpportid', (YLeaf(YType.uint32, 'udpPortID'), ['int'])),
                            ('commname', (YLeaf(YType.str, 'commName'), ['str'])),
                            ('notiftype', (YLeaf(YType.enumeration, 'notifType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpNotificationType', '')])),
                            ('version', (YLeaf(YType.enumeration, 'version'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpVersion', '')])),
                            ('seclevel', (YLeaf(YType.enumeration, 'secLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpV3SecLvl', '')])),
                        ])
                        self.hostname = None
                        self.udpportid = None
                        self.commname = None
                        self.notiftype = None
                        self.version = None
                        self.seclevel = None

                        self.usevrf_items = System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems()
                        self.usevrf_items.parent = self
                        self._children_name_map["usevrf_items"] = "usevrf-items"
                        self._segment_path = lambda: "Host-list" + "[hostName='" + str(self.hostname) + "']" + "[udpPortID='" + str(self.udpportid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/host-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.HostItems.HostList, ['hostname', 'udpportid', 'commname', 'notiftype', 'version', 'seclevel'], name, value)


                    class UsevrfItems(Entity):
                        """
                        
                        
                        .. attribute:: usevrf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UseVrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems.UseVrfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems, self).__init__()

                            self.yang_name = "usevrf-items"
                            self.yang_parent_name = "Host-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UseVrf-list", ("usevrf_list", System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems.UseVrfList))])
                            self._leafs = OrderedDict()

                            self.usevrf_list = YList(self)
                            self._segment_path = lambda: "usevrf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems, [], name, value)


                        class UseVrfList(Entity):
                            """
                            
                            
                            .. attribute:: vrfname  (key)
                            
                            	vrfname to be used by host
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems.UseVrfList, self).__init__()

                                self.yang_name = "UseVrf-list"
                                self.yang_parent_name = "usevrf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vrfname']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('vrfname', (YLeaf(YType.str, 'vrfname'), ['str'])),
                                ])
                                self.vrfname = None
                                self._segment_path = lambda: "UseVrf-list" + "[vrfname='" + str(self.vrfname) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.HostItems.HostList.UsevrfItems.UseVrfList, ['vrfname'], name, value)






            class RmonItems(Entity):
                """
                
                
                .. attribute:: event_items
                
                	
                	**type**\:  :py:class:`EventItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmonItems.EventItems>`
                
                .. attribute:: alarm_items
                
                	
                	**type**\:  :py:class:`AlarmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmonItems.AlarmItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.RmonItems, self).__init__()

                    self.yang_name = "rmon-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("event-items", ("event_items", System.SnmpItems.InstItems.RmonItems.EventItems)), ("alarm-items", ("alarm_items", System.SnmpItems.InstItems.RmonItems.AlarmItems))])
                    self._leafs = OrderedDict()

                    self.event_items = System.SnmpItems.InstItems.RmonItems.EventItems()
                    self.event_items.parent = self
                    self._children_name_map["event_items"] = "event-items"

                    self.alarm_items = System.SnmpItems.InstItems.RmonItems.AlarmItems()
                    self.alarm_items.parent = self
                    self._children_name_map["alarm_items"] = "alarm-items"
                    self._segment_path = lambda: "rmon-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.RmonItems, [], name, value)


                class EventItems(Entity):
                    """
                    
                    
                    .. attribute:: event_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EventList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmonItems.EventItems.EventList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.RmonItems.EventItems, self).__init__()

                        self.yang_name = "event-items"
                        self.yang_parent_name = "rmon-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Event-list", ("event_list", System.SnmpItems.InstItems.RmonItems.EventItems.EventList))])
                        self._leafs = OrderedDict()

                        self.event_list = YList(self)
                        self._segment_path = lambda: "event-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/rmon-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.RmonItems.EventItems, [], name, value)


                    class EventList(Entity):
                        """
                        
                        
                        .. attribute:: num  (key)
                        
                        	rmon event number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: log
                        
                        	Whether to generate / not log when alarm event is fired
                        	**type**\:  :py:class:`SnmpLogEnableType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpLogEnableType>`
                        
                        .. attribute:: owner
                        
                        	rmon event owner
                        	**type**\: str
                        
                        .. attribute:: description
                        
                        	rmon event description
                        	**type**\: str
                        
                        .. attribute:: trap
                        
                        	rmon event description
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.RmonItems.EventItems.EventList, self).__init__()

                            self.yang_name = "Event-list"
                            self.yang_parent_name = "event-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['num']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('num', (YLeaf(YType.uint16, 'num'), ['int'])),
                                ('log', (YLeaf(YType.enumeration, 'log'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpLogEnableType', '')])),
                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('trap', (YLeaf(YType.str, 'trap'), ['str'])),
                            ])
                            self.num = None
                            self.log = None
                            self.owner = None
                            self.description = None
                            self.trap = None
                            self._segment_path = lambda: "Event-list" + "[num='" + str(self.num) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/rmon-items/event-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.RmonItems.EventItems.EventList, ['num', 'log', 'owner', 'description', 'trap'], name, value)




                class AlarmItems(Entity):
                    """
                    
                    
                    .. attribute:: alarm_list
                    
                    	
                    	**type**\: list of  		 :py:class:`AlarmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmonItems.AlarmItems.AlarmList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.RmonItems.AlarmItems, self).__init__()

                        self.yang_name = "alarm-items"
                        self.yang_parent_name = "rmon-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Alarm-list", ("alarm_list", System.SnmpItems.InstItems.RmonItems.AlarmItems.AlarmList))])
                        self._leafs = OrderedDict()

                        self.alarm_list = YList(self)
                        self._segment_path = lambda: "alarm-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/rmon-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.RmonItems.AlarmItems, [], name, value)


                    class AlarmList(Entity):
                        """
                        
                        
                        .. attribute:: num  (key)
                        
                        	rmon alarm number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: oid
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: sampleinterval
                        
                        	rmon alarm sample interval
                        	**type**\: int
                        
                        	**range:** 1..700000
                        
                        .. attribute:: sampletype
                        
                        	rmon alarm sample interval type
                        	**type**\:  :py:class:`SnmpSmplType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSmplType>`
                        
                        .. attribute:: risingthr
                        
                        	rmon alarm rising threshold
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: risingevntindx
                        
                        	rmon alarm rising threshold event index
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: fallingthr
                        
                        	rmon alarm falling threshold
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: fallingevntindx
                        
                        	rmon alarm falling threshold event index
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: owner
                        
                        	rmon alarm owner
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.RmonItems.AlarmItems.AlarmList, self).__init__()

                            self.yang_name = "Alarm-list"
                            self.yang_parent_name = "alarm-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['num']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('num', (YLeaf(YType.uint16, 'num'), ['int'])),
                                ('oid', (YLeaf(YType.str, 'oid'), ['str'])),
                                ('sampleinterval', (YLeaf(YType.uint32, 'sampleInterval'), ['int'])),
                                ('sampletype', (YLeaf(YType.enumeration, 'sampleType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSmplType', '')])),
                                ('risingthr', (YLeaf(YType.int32, 'risingThr'), ['int'])),
                                ('risingevntindx', (YLeaf(YType.uint16, 'risingEvntIndx'), ['int'])),
                                ('fallingthr', (YLeaf(YType.int32, 'fallingThr'), ['int'])),
                                ('fallingevntindx', (YLeaf(YType.uint16, 'fallingEvntIndx'), ['int'])),
                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                            ])
                            self.num = None
                            self.oid = None
                            self.sampleinterval = None
                            self.sampletype = None
                            self.risingthr = None
                            self.risingevntindx = None
                            self.fallingthr = None
                            self.fallingevntindx = None
                            self.owner = None
                            self._segment_path = lambda: "Alarm-list" + "[num='" + str(self.num) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/rmon-items/alarm-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.RmonItems.AlarmItems.AlarmList, ['num', 'oid', 'sampleinterval', 'sampletype', 'risingthr', 'risingevntindx', 'fallingthr', 'fallingevntindx', 'owner'], name, value)





            class CommunityItems(Entity):
                """
                
                
                .. attribute:: commsecp_list
                
                	
                	**type**\: list of  		 :py:class:`CommSecPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CommunityItems.CommSecPList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.CommunityItems, self).__init__()

                    self.yang_name = "community-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("CommSecP-list", ("commsecp_list", System.SnmpItems.InstItems.CommunityItems.CommSecPList))])
                    self._leafs = OrderedDict()

                    self.commsecp_list = YList(self)
                    self._segment_path = lambda: "community-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.CommunityItems, [], name, value)


                class CommSecPList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: grpname
                    
                    	SNMP community group
                    	**type**\: str
                    
                    .. attribute:: commacess
                    
                    	SNMP community group
                    	**type**\:  :py:class:`SnmpCommAcessT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpCommAcessT>`
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: acl_items
                    
                    	
                    	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CommunityItems.CommSecPList.AclItems>`
                    
                    .. attribute:: rscommtoctxatt_items
                    
                    	
                    	**type**\:  :py:class:`RscommToCtxAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CommunityItems.CommSecPList.RscommToCtxAttItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.CommunityItems.CommSecPList, self).__init__()

                        self.yang_name = "CommSecP-list"
                        self.yang_parent_name = "community-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("acl-items", ("acl_items", System.SnmpItems.InstItems.CommunityItems.CommSecPList.AclItems)), ("rscommToCtxAtt-items", ("rscommtoctxatt_items", System.SnmpItems.InstItems.CommunityItems.CommSecPList.RscommToCtxAttItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('grpname', (YLeaf(YType.str, 'grpName'), ['str'])),
                            ('commacess', (YLeaf(YType.enumeration, 'commAcess'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpCommAcessT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.grpname = None
                        self.commacess = None
                        self.operst = None
                        self.descr = None

                        self.acl_items = System.SnmpItems.InstItems.CommunityItems.CommSecPList.AclItems()
                        self.acl_items.parent = self
                        self._children_name_map["acl_items"] = "acl-items"

                        self.rscommtoctxatt_items = System.SnmpItems.InstItems.CommunityItems.CommSecPList.RscommToCtxAttItems()
                        self.rscommtoctxatt_items.parent = self
                        self._children_name_map["rscommtoctxatt_items"] = "rscommToCtxAtt-items"
                        self._segment_path = lambda: "CommSecP-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/community-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.CommunityItems.CommSecPList, ['name', 'grpname', 'commacess', 'operst', 'descr'], name, value)


                    class AclItems(Entity):
                        """
                        
                        
                        .. attribute:: useaclname
                        
                        	SNMP community acl name
                        	**type**\: str
                        
                        .. attribute:: useipv4aclname
                        
                        	SNMP community acl name
                        	**type**\: str
                        
                        .. attribute:: useipv6aclname
                        
                        	SNMP community acl name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.CommunityItems.CommSecPList.AclItems, self).__init__()

                            self.yang_name = "acl-items"
                            self.yang_parent_name = "CommSecP-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('useaclname', (YLeaf(YType.str, 'useAclName'), ['str'])),
                                ('useipv4aclname', (YLeaf(YType.str, 'useIpv4AclName'), ['str'])),
                                ('useipv6aclname', (YLeaf(YType.str, 'useIpv6AclName'), ['str'])),
                            ])
                            self.useaclname = None
                            self.useipv4aclname = None
                            self.useipv6aclname = None
                            self._segment_path = lambda: "acl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.CommunityItems.CommSecPList.AclItems, ['useaclname', 'useipv4aclname', 'useipv6aclname'], name, value)



                    class RscommToCtxAttItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                        
                        	**config**\: False
                        
                        .. attribute:: operstqual
                        
                        	Operational State Qualifier
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.CommunityItems.CommSecPList.RscommToCtxAttItems, self).__init__()

                            self.yang_name = "rscommToCtxAtt-items"
                            self.yang_parent_name = "CommSecP-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                                ('operstqual', (YLeaf(YType.str, 'operStQual'), ['str'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.operst = None
                            self.operstqual = None
                            self._segment_path = lambda: "rscommToCtxAtt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.CommunityItems.CommSecPList.RscommToCtxAttItems, ['tdn', 'tcl', 'operst', 'operstqual'], name, value)





            class UserItems(Entity):
                """
                
                
                .. attribute:: usersecp_list
                
                	
                	**type**\: list of  		 :py:class:`UserSecPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.UserItems.UserSecPList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.UserItems, self).__init__()

                    self.yang_name = "user-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("UserSecP-list", ("usersecp_list", System.SnmpItems.InstItems.UserItems.UserSecPList))])
                    self._leafs = OrderedDict()

                    self.usersecp_list = YList(self)
                    self._segment_path = lambda: "user-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.UserItems, [], name, value)


                class UserSecPList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: authtype
                    
                    	Authentication Type
                    	**type**\:  :py:class:`SnmpAuthType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpAuthType>`
                    
                    .. attribute:: authkey
                    
                    	Authentication Key
                    	**type**\: str
                    
                    .. attribute:: privtype
                    
                    	Privacy
                    	**type**\:  :py:class:`SnmpPrivType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpPrivType>`
                    
                    .. attribute:: privkey
                    
                    	Privacy Key
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.UserItems.UserSecPList, self).__init__()

                        self.yang_name = "UserSecP-list"
                        self.yang_parent_name = "user-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpAuthType', '')])),
                            ('authkey', (YLeaf(YType.str, 'authKey'), ['str'])),
                            ('privtype', (YLeaf(YType.enumeration, 'privType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpPrivType', '')])),
                            ('privkey', (YLeaf(YType.str, 'privKey'), ['str'])),
                        ])
                        self.name = None
                        self.operst = None
                        self.descr = None
                        self.authtype = None
                        self.authkey = None
                        self.privtype = None
                        self.privkey = None
                        self._segment_path = lambda: "UserSecP-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/user-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.UserItems.UserSecPList, ['name', 'operst', 'descr', 'authtype', 'authkey', 'privtype', 'privkey'], name, value)




            class CtxItems(Entity):
                """
                
                
                .. attribute:: ctx_list
                
                	
                	**type**\: list of  		 :py:class:`CtxList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.CtxItems.CtxList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.CtxItems, self).__init__()

                    self.yang_name = "ctx-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Ctx-list", ("ctx_list", System.SnmpItems.InstItems.CtxItems.CtxList))])
                    self._leafs = OrderedDict()

                    self.ctx_list = YList(self)
                    self._segment_path = lambda: "ctx-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.CtxItems, [], name, value)


                class CtxList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`NwOSSum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwOSSum>`
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.CtxItems.CtxList, self).__init__()

                        self.yang_name = "Ctx-list"
                        self.yang_parent_name = "ctx-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwOSSum', '')])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.operst = None
                        self.descr = None
                        self._segment_path = lambda: "Ctx-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/ctx-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.CtxItems.CtxList, ['name', 'operst', 'descr'], name, value)




            class SysinfoItems(Entity):
                """
                
                
                .. attribute:: syslocation
                
                	System Location
                	**type**\: str
                
                .. attribute:: syscontact
                
                	System Contact
                	**type**\: str
                
                .. attribute:: sysdescription
                
                	System Description
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.SysinfoItems, self).__init__()

                    self.yang_name = "sysinfo-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('syslocation', (YLeaf(YType.str, 'sysLocation'), ['str'])),
                        ('syscontact', (YLeaf(YType.str, 'sysContact'), ['str'])),
                        ('sysdescription', (YLeaf(YType.str, 'sysDescription'), ['str'])),
                    ])
                    self.syslocation = None
                    self.syscontact = None
                    self.sysdescription = None
                    self._segment_path = lambda: "sysinfo-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.SysinfoItems, ['syslocation', 'syscontact', 'sysdescription'], name, value)



            class TrapsItems(Entity):
                """
                
                
                .. attribute:: stormcontrol_items
                
                	
                	**type**\:  :py:class:`StormcontrolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StormcontrolItems>`
                
                .. attribute:: aaa_items
                
                	
                	**type**\:  :py:class:`AaaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.AaaItems>`
                
                .. attribute:: bfd_items
                
                	
                	**type**\:  :py:class:`BfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BfdItems>`
                
                .. attribute:: bridge_items
                
                	
                	**type**\:  :py:class:`BridgeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BridgeItems>`
                
                .. attribute:: callhome_items
                
                	
                	**type**\:  :py:class:`CallhomeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CallhomeItems>`
                
                .. attribute:: cfs_items
                
                	
                	**type**\:  :py:class:`CfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CfsItems>`
                
                .. attribute:: config_items
                
                	
                	**type**\:  :py:class:`ConfigItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.ConfigItems>`
                
                .. attribute:: entity_items
                
                	
                	**type**\:  :py:class:`EntityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems>`
                
                .. attribute:: featurecontrol_items
                
                	
                	**type**\:  :py:class:`FeaturecontrolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems>`
                
                .. attribute:: hsrp_items
                
                	
                	**type**\:  :py:class:`HsrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.HsrpItems>`
                
                .. attribute:: generic_items
                
                	
                	**type**\:  :py:class:`GenericItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.GenericItems>`
                
                .. attribute:: ip_items
                
                	
                	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.IpItems>`
                
                .. attribute:: license_items
                
                	
                	**type**\:  :py:class:`LicenseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LicenseItems>`
                
                .. attribute:: poe_items
                
                	
                	**type**\:  :py:class:`PoeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PoeItems>`
                
                .. attribute:: link_items
                
                	
                	**type**\:  :py:class:`LinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems>`
                
                .. attribute:: lldp_items
                
                	
                	**type**\:  :py:class:`LldpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LldpItems>`
                
                .. attribute:: msdp_items
                
                	
                	**type**\:  :py:class:`MsdpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MsdpItems>`
                
                .. attribute:: mmode_items
                
                	
                	**type**\:  :py:class:`MmodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MmodeItems>`
                
                .. attribute:: pim_items
                
                	
                	**type**\:  :py:class:`PimItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PimItems>`
                
                .. attribute:: rf_items
                
                	
                	**type**\:  :py:class:`RfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RfItems>`
                
                .. attribute:: rmon_items
                
                	
                	**type**\:  :py:class:`RmonItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RmonItems>`
                
                .. attribute:: snmp_items
                
                	
                	**type**\:  :py:class:`SnmpItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SnmpItems_>`
                
                .. attribute:: stpx_items
                
                	
                	**type**\:  :py:class:`StpxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StpxItems>`
                
                .. attribute:: sysmgr_items
                
                	
                	**type**\:  :py:class:`SysmgrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SysmgrItems>`
                
                .. attribute:: system_items
                
                	
                	**type**\:  :py:class:`SystemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SystemItems>`
                
                .. attribute:: upgrade_items
                
                	
                	**type**\:  :py:class:`UpgradeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.UpgradeItems>`
                
                .. attribute:: vsan_items
                
                	
                	**type**\:  :py:class:`VsanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VsanItems>`
                
                .. attribute:: vtp_items
                
                	
                	**type**\:  :py:class:`VtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VtpItems>`
                
                .. attribute:: portsecurity_items
                
                	
                	**type**\:  :py:class:`PortsecurityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PortsecurityItems>`
                
                .. attribute:: mpls_items
                
                	
                	**type**\:  :py:class:`MplsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MplsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.TrapsItems, self).__init__()

                    self.yang_name = "traps-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("stormcontrol-items", ("stormcontrol_items", System.SnmpItems.InstItems.TrapsItems.StormcontrolItems)), ("aaa-items", ("aaa_items", System.SnmpItems.InstItems.TrapsItems.AaaItems)), ("bfd-items", ("bfd_items", System.SnmpItems.InstItems.TrapsItems.BfdItems)), ("bridge-items", ("bridge_items", System.SnmpItems.InstItems.TrapsItems.BridgeItems)), ("callhome-items", ("callhome_items", System.SnmpItems.InstItems.TrapsItems.CallhomeItems)), ("cfs-items", ("cfs_items", System.SnmpItems.InstItems.TrapsItems.CfsItems)), ("config-items", ("config_items", System.SnmpItems.InstItems.TrapsItems.ConfigItems)), ("entity-items", ("entity_items", System.SnmpItems.InstItems.TrapsItems.EntityItems)), ("featurecontrol-items", ("featurecontrol_items", System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems)), ("hsrp-items", ("hsrp_items", System.SnmpItems.InstItems.TrapsItems.HsrpItems)), ("generic-items", ("generic_items", System.SnmpItems.InstItems.TrapsItems.GenericItems)), ("ip-items", ("ip_items", System.SnmpItems.InstItems.TrapsItems.IpItems)), ("license-items", ("license_items", System.SnmpItems.InstItems.TrapsItems.LicenseItems)), ("poe-items", ("poe_items", System.SnmpItems.InstItems.TrapsItems.PoeItems)), ("link-items", ("link_items", System.SnmpItems.InstItems.TrapsItems.LinkItems)), ("lldp-items", ("lldp_items", System.SnmpItems.InstItems.TrapsItems.LldpItems)), ("msdp-items", ("msdp_items", System.SnmpItems.InstItems.TrapsItems.MsdpItems)), ("mmode-items", ("mmode_items", System.SnmpItems.InstItems.TrapsItems.MmodeItems)), ("pim-items", ("pim_items", System.SnmpItems.InstItems.TrapsItems.PimItems)), ("rf-items", ("rf_items", System.SnmpItems.InstItems.TrapsItems.RfItems)), ("rmon-items", ("rmon_items", System.SnmpItems.InstItems.TrapsItems.RmonItems)), ("snmp-items", ("snmp_items", System.SnmpItems.InstItems.TrapsItems.SnmpItems_)), ("stpx-items", ("stpx_items", System.SnmpItems.InstItems.TrapsItems.StpxItems)), ("sysmgr-items", ("sysmgr_items", System.SnmpItems.InstItems.TrapsItems.SysmgrItems)), ("system-items", ("system_items", System.SnmpItems.InstItems.TrapsItems.SystemItems)), ("upgrade-items", ("upgrade_items", System.SnmpItems.InstItems.TrapsItems.UpgradeItems)), ("vsan-items", ("vsan_items", System.SnmpItems.InstItems.TrapsItems.VsanItems)), ("vtp-items", ("vtp_items", System.SnmpItems.InstItems.TrapsItems.VtpItems)), ("portsecurity-items", ("portsecurity_items", System.SnmpItems.InstItems.TrapsItems.PortsecurityItems)), ("mpls-items", ("mpls_items", System.SnmpItems.InstItems.TrapsItems.MplsItems))])
                    self._leafs = OrderedDict()

                    self.stormcontrol_items = System.SnmpItems.InstItems.TrapsItems.StormcontrolItems()
                    self.stormcontrol_items.parent = self
                    self._children_name_map["stormcontrol_items"] = "stormcontrol-items"

                    self.aaa_items = System.SnmpItems.InstItems.TrapsItems.AaaItems()
                    self.aaa_items.parent = self
                    self._children_name_map["aaa_items"] = "aaa-items"

                    self.bfd_items = System.SnmpItems.InstItems.TrapsItems.BfdItems()
                    self.bfd_items.parent = self
                    self._children_name_map["bfd_items"] = "bfd-items"

                    self.bridge_items = System.SnmpItems.InstItems.TrapsItems.BridgeItems()
                    self.bridge_items.parent = self
                    self._children_name_map["bridge_items"] = "bridge-items"

                    self.callhome_items = System.SnmpItems.InstItems.TrapsItems.CallhomeItems()
                    self.callhome_items.parent = self
                    self._children_name_map["callhome_items"] = "callhome-items"

                    self.cfs_items = System.SnmpItems.InstItems.TrapsItems.CfsItems()
                    self.cfs_items.parent = self
                    self._children_name_map["cfs_items"] = "cfs-items"

                    self.config_items = System.SnmpItems.InstItems.TrapsItems.ConfigItems()
                    self.config_items.parent = self
                    self._children_name_map["config_items"] = "config-items"

                    self.entity_items = System.SnmpItems.InstItems.TrapsItems.EntityItems()
                    self.entity_items.parent = self
                    self._children_name_map["entity_items"] = "entity-items"

                    self.featurecontrol_items = System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems()
                    self.featurecontrol_items.parent = self
                    self._children_name_map["featurecontrol_items"] = "featurecontrol-items"

                    self.hsrp_items = System.SnmpItems.InstItems.TrapsItems.HsrpItems()
                    self.hsrp_items.parent = self
                    self._children_name_map["hsrp_items"] = "hsrp-items"

                    self.generic_items = System.SnmpItems.InstItems.TrapsItems.GenericItems()
                    self.generic_items.parent = self
                    self._children_name_map["generic_items"] = "generic-items"

                    self.ip_items = System.SnmpItems.InstItems.TrapsItems.IpItems()
                    self.ip_items.parent = self
                    self._children_name_map["ip_items"] = "ip-items"

                    self.license_items = System.SnmpItems.InstItems.TrapsItems.LicenseItems()
                    self.license_items.parent = self
                    self._children_name_map["license_items"] = "license-items"

                    self.poe_items = System.SnmpItems.InstItems.TrapsItems.PoeItems()
                    self.poe_items.parent = self
                    self._children_name_map["poe_items"] = "poe-items"

                    self.link_items = System.SnmpItems.InstItems.TrapsItems.LinkItems()
                    self.link_items.parent = self
                    self._children_name_map["link_items"] = "link-items"

                    self.lldp_items = System.SnmpItems.InstItems.TrapsItems.LldpItems()
                    self.lldp_items.parent = self
                    self._children_name_map["lldp_items"] = "lldp-items"

                    self.msdp_items = System.SnmpItems.InstItems.TrapsItems.MsdpItems()
                    self.msdp_items.parent = self
                    self._children_name_map["msdp_items"] = "msdp-items"

                    self.mmode_items = System.SnmpItems.InstItems.TrapsItems.MmodeItems()
                    self.mmode_items.parent = self
                    self._children_name_map["mmode_items"] = "mmode-items"

                    self.pim_items = System.SnmpItems.InstItems.TrapsItems.PimItems()
                    self.pim_items.parent = self
                    self._children_name_map["pim_items"] = "pim-items"

                    self.rf_items = System.SnmpItems.InstItems.TrapsItems.RfItems()
                    self.rf_items.parent = self
                    self._children_name_map["rf_items"] = "rf-items"

                    self.rmon_items = System.SnmpItems.InstItems.TrapsItems.RmonItems()
                    self.rmon_items.parent = self
                    self._children_name_map["rmon_items"] = "rmon-items"

                    self.snmp_items = System.SnmpItems.InstItems.TrapsItems.SnmpItems_()
                    self.snmp_items.parent = self
                    self._children_name_map["snmp_items"] = "snmp-items"

                    self.stpx_items = System.SnmpItems.InstItems.TrapsItems.StpxItems()
                    self.stpx_items.parent = self
                    self._children_name_map["stpx_items"] = "stpx-items"

                    self.sysmgr_items = System.SnmpItems.InstItems.TrapsItems.SysmgrItems()
                    self.sysmgr_items.parent = self
                    self._children_name_map["sysmgr_items"] = "sysmgr-items"

                    self.system_items = System.SnmpItems.InstItems.TrapsItems.SystemItems()
                    self.system_items.parent = self
                    self._children_name_map["system_items"] = "system-items"

                    self.upgrade_items = System.SnmpItems.InstItems.TrapsItems.UpgradeItems()
                    self.upgrade_items.parent = self
                    self._children_name_map["upgrade_items"] = "upgrade-items"

                    self.vsan_items = System.SnmpItems.InstItems.TrapsItems.VsanItems()
                    self.vsan_items.parent = self
                    self._children_name_map["vsan_items"] = "vsan-items"

                    self.vtp_items = System.SnmpItems.InstItems.TrapsItems.VtpItems()
                    self.vtp_items.parent = self
                    self._children_name_map["vtp_items"] = "vtp-items"

                    self.portsecurity_items = System.SnmpItems.InstItems.TrapsItems.PortsecurityItems()
                    self.portsecurity_items.parent = self
                    self._children_name_map["portsecurity_items"] = "portsecurity-items"

                    self.mpls_items = System.SnmpItems.InstItems.TrapsItems.MplsItems()
                    self.mpls_items.parent = self
                    self._children_name_map["mpls_items"] = "mpls-items"
                    self._segment_path = lambda: "traps-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.TrapsItems, [], name, value)


                class StormcontrolItems(Entity):
                    """
                    
                    
                    .. attribute:: traprate
                    
                    	Number of traps per minute
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: cpsceventrev1_items
                    
                    	
                    	**type**\:  :py:class:`CpscEventRev1Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StormcontrolItems.CpscEventRev1Items>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.StormcontrolItems, self).__init__()

                        self.yang_name = "stormcontrol-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("cpscEventRev1-items", ("cpsceventrev1_items", System.SnmpItems.InstItems.TrapsItems.StormcontrolItems.CpscEventRev1Items))])
                        self._leafs = OrderedDict([
                            ('traprate', (YLeaf(YType.uint16, 'traprate'), ['int'])),
                        ])
                        self.traprate = None

                        self.cpsceventrev1_items = System.SnmpItems.InstItems.TrapsItems.StormcontrolItems.CpscEventRev1Items()
                        self.cpsceventrev1_items.parent = self
                        self._children_name_map["cpsceventrev1_items"] = "cpscEventRev1-items"
                        self._segment_path = lambda: "stormcontrol-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StormcontrolItems, ['traprate'], name, value)


                    class CpscEventRev1Items(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.StormcontrolItems.CpscEventRev1Items, self).__init__()

                            self.yang_name = "cpscEventRev1-items"
                            self.yang_parent_name = "stormcontrol-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cpscEventRev1-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/stormcontrol-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StormcontrolItems.CpscEventRev1Items, ['trapstatus', 'istoggleaction'], name, value)




                class AaaItems(Entity):
                    """
                    
                    
                    .. attribute:: serverstatechange_items
                    
                    	
                    	**type**\:  :py:class:`ServerstatechangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.AaaItems.ServerstatechangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.AaaItems, self).__init__()

                        self.yang_name = "aaa-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("serverstatechange-items", ("serverstatechange_items", System.SnmpItems.InstItems.TrapsItems.AaaItems.ServerstatechangeItems))])
                        self._leafs = OrderedDict()

                        self.serverstatechange_items = System.SnmpItems.InstItems.TrapsItems.AaaItems.ServerstatechangeItems()
                        self.serverstatechange_items.parent = self
                        self._children_name_map["serverstatechange_items"] = "serverstatechange-items"
                        self._segment_path = lambda: "aaa-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.AaaItems, [], name, value)


                    class ServerstatechangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.AaaItems.ServerstatechangeItems, self).__init__()

                            self.yang_name = "serverstatechange-items"
                            self.yang_parent_name = "aaa-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "serverstatechange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/aaa-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.AaaItems.ServerstatechangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class BfdItems(Entity):
                    """
                    
                    
                    .. attribute:: sessiondown_items
                    
                    	
                    	**type**\:  :py:class:`SessiondownItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BfdItems.SessiondownItems>`
                    
                    .. attribute:: sessionup_items
                    
                    	
                    	**type**\:  :py:class:`SessionupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BfdItems.SessionupItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.BfdItems, self).__init__()

                        self.yang_name = "bfd-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("sessiondown-items", ("sessiondown_items", System.SnmpItems.InstItems.TrapsItems.BfdItems.SessiondownItems)), ("sessionup-items", ("sessionup_items", System.SnmpItems.InstItems.TrapsItems.BfdItems.SessionupItems))])
                        self._leafs = OrderedDict()

                        self.sessiondown_items = System.SnmpItems.InstItems.TrapsItems.BfdItems.SessiondownItems()
                        self.sessiondown_items.parent = self
                        self._children_name_map["sessiondown_items"] = "sessiondown-items"

                        self.sessionup_items = System.SnmpItems.InstItems.TrapsItems.BfdItems.SessionupItems()
                        self.sessionup_items.parent = self
                        self._children_name_map["sessionup_items"] = "sessionup-items"
                        self._segment_path = lambda: "bfd-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BfdItems, [], name, value)


                    class SessiondownItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.BfdItems.SessiondownItems, self).__init__()

                            self.yang_name = "sessiondown-items"
                            self.yang_parent_name = "bfd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "sessiondown-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/bfd-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BfdItems.SessiondownItems, ['trapstatus', 'istoggleaction'], name, value)



                    class SessionupItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.BfdItems.SessionupItems, self).__init__()

                            self.yang_name = "sessionup-items"
                            self.yang_parent_name = "bfd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "sessionup-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/bfd-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BfdItems.SessionupItems, ['trapstatus', 'istoggleaction'], name, value)




                class BridgeItems(Entity):
                    """
                    
                    
                    .. attribute:: newroot_items
                    
                    	
                    	**type**\:  :py:class:`NewrootItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BridgeItems.NewrootItems>`
                    
                    .. attribute:: topologychange_items
                    
                    	
                    	**type**\:  :py:class:`TopologychangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.BridgeItems.TopologychangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.BridgeItems, self).__init__()

                        self.yang_name = "bridge-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("newroot-items", ("newroot_items", System.SnmpItems.InstItems.TrapsItems.BridgeItems.NewrootItems)), ("topologychange-items", ("topologychange_items", System.SnmpItems.InstItems.TrapsItems.BridgeItems.TopologychangeItems))])
                        self._leafs = OrderedDict()

                        self.newroot_items = System.SnmpItems.InstItems.TrapsItems.BridgeItems.NewrootItems()
                        self.newroot_items.parent = self
                        self._children_name_map["newroot_items"] = "newroot-items"

                        self.topologychange_items = System.SnmpItems.InstItems.TrapsItems.BridgeItems.TopologychangeItems()
                        self.topologychange_items.parent = self
                        self._children_name_map["topologychange_items"] = "topologychange-items"
                        self._segment_path = lambda: "bridge-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BridgeItems, [], name, value)


                    class NewrootItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.BridgeItems.NewrootItems, self).__init__()

                            self.yang_name = "newroot-items"
                            self.yang_parent_name = "bridge-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "newroot-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/bridge-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BridgeItems.NewrootItems, ['trapstatus', 'istoggleaction'], name, value)



                    class TopologychangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.BridgeItems.TopologychangeItems, self).__init__()

                            self.yang_name = "topologychange-items"
                            self.yang_parent_name = "bridge-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "topologychange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/bridge-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.BridgeItems.TopologychangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class CallhomeItems(Entity):
                    """
                    
                    
                    .. attribute:: eventnotify_items
                    
                    	
                    	**type**\:  :py:class:`EventnotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CallhomeItems.EventnotifyItems>`
                    
                    .. attribute:: smtpsendfail_items
                    
                    	
                    	**type**\:  :py:class:`SmtpsendfailItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CallhomeItems.SmtpsendfailItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.CallhomeItems, self).__init__()

                        self.yang_name = "callhome-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("eventnotify-items", ("eventnotify_items", System.SnmpItems.InstItems.TrapsItems.CallhomeItems.EventnotifyItems)), ("smtpsendfail-items", ("smtpsendfail_items", System.SnmpItems.InstItems.TrapsItems.CallhomeItems.SmtpsendfailItems))])
                        self._leafs = OrderedDict()

                        self.eventnotify_items = System.SnmpItems.InstItems.TrapsItems.CallhomeItems.EventnotifyItems()
                        self.eventnotify_items.parent = self
                        self._children_name_map["eventnotify_items"] = "eventnotify-items"

                        self.smtpsendfail_items = System.SnmpItems.InstItems.TrapsItems.CallhomeItems.SmtpsendfailItems()
                        self.smtpsendfail_items.parent = self
                        self._children_name_map["smtpsendfail_items"] = "smtpsendfail-items"
                        self._segment_path = lambda: "callhome-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CallhomeItems, [], name, value)


                    class EventnotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.CallhomeItems.EventnotifyItems, self).__init__()

                            self.yang_name = "eventnotify-items"
                            self.yang_parent_name = "callhome-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "eventnotify-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/callhome-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CallhomeItems.EventnotifyItems, ['trapstatus', 'istoggleaction'], name, value)



                    class SmtpsendfailItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.CallhomeItems.SmtpsendfailItems, self).__init__()

                            self.yang_name = "smtpsendfail-items"
                            self.yang_parent_name = "callhome-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "smtpsendfail-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/callhome-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CallhomeItems.SmtpsendfailItems, ['trapstatus', 'istoggleaction'], name, value)




                class CfsItems(Entity):
                    """
                    
                    
                    .. attribute:: statechangenotif_items
                    
                    	
                    	**type**\:  :py:class:`StatechangenotifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CfsItems.StatechangenotifItems>`
                    
                    .. attribute:: mergefailure_items
                    
                    	
                    	**type**\:  :py:class:`MergefailureItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.CfsItems.MergefailureItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.CfsItems, self).__init__()

                        self.yang_name = "cfs-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("statechangenotif-items", ("statechangenotif_items", System.SnmpItems.InstItems.TrapsItems.CfsItems.StatechangenotifItems)), ("mergefailure-items", ("mergefailure_items", System.SnmpItems.InstItems.TrapsItems.CfsItems.MergefailureItems))])
                        self._leafs = OrderedDict()

                        self.statechangenotif_items = System.SnmpItems.InstItems.TrapsItems.CfsItems.StatechangenotifItems()
                        self.statechangenotif_items.parent = self
                        self._children_name_map["statechangenotif_items"] = "statechangenotif-items"

                        self.mergefailure_items = System.SnmpItems.InstItems.TrapsItems.CfsItems.MergefailureItems()
                        self.mergefailure_items.parent = self
                        self._children_name_map["mergefailure_items"] = "mergefailure-items"
                        self._segment_path = lambda: "cfs-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CfsItems, [], name, value)


                    class StatechangenotifItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.CfsItems.StatechangenotifItems, self).__init__()

                            self.yang_name = "statechangenotif-items"
                            self.yang_parent_name = "cfs-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "statechangenotif-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/cfs-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CfsItems.StatechangenotifItems, ['trapstatus', 'istoggleaction'], name, value)



                    class MergefailureItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.CfsItems.MergefailureItems, self).__init__()

                            self.yang_name = "mergefailure-items"
                            self.yang_parent_name = "cfs-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "mergefailure-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/cfs-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.CfsItems.MergefailureItems, ['trapstatus', 'istoggleaction'], name, value)




                class ConfigItems(Entity):
                    """
                    
                    
                    .. attribute:: ccmclirunningconfigchanged_items
                    
                    	
                    	**type**\:  :py:class:`CcmCLIRunningConfigChangedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.ConfigItems.CcmCLIRunningConfigChangedItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.ConfigItems, self).__init__()

                        self.yang_name = "config-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ccmCLIRunningConfigChanged-items", ("ccmclirunningconfigchanged_items", System.SnmpItems.InstItems.TrapsItems.ConfigItems.CcmCLIRunningConfigChangedItems))])
                        self._leafs = OrderedDict()

                        self.ccmclirunningconfigchanged_items = System.SnmpItems.InstItems.TrapsItems.ConfigItems.CcmCLIRunningConfigChangedItems()
                        self.ccmclirunningconfigchanged_items.parent = self
                        self._children_name_map["ccmclirunningconfigchanged_items"] = "ccmCLIRunningConfigChanged-items"
                        self._segment_path = lambda: "config-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.ConfigItems, [], name, value)


                    class CcmCLIRunningConfigChangedItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.ConfigItems.CcmCLIRunningConfigChangedItems, self).__init__()

                            self.yang_name = "ccmCLIRunningConfigChanged-items"
                            self.yang_parent_name = "config-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "ccmCLIRunningConfigChanged-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/config-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.ConfigItems.CcmCLIRunningConfigChangedItems, ['trapstatus', 'istoggleaction'], name, value)




                class EntityItems(Entity):
                    """
                    
                    
                    .. attribute:: entitymibchange_items
                    
                    	
                    	**type**\:  :py:class:`EntitymibchangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymibchangeItems>`
                    
                    .. attribute:: entitymodulestatuschange_items
                    
                    	
                    	**type**\:  :py:class:`EntitymodulestatuschangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymodulestatuschangeItems>`
                    
                    .. attribute:: entitypowerstatuschange_items
                    
                    	
                    	**type**\:  :py:class:`EntitypowerstatuschangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypowerstatuschangeItems>`
                    
                    .. attribute:: entitymoduleinserted_items
                    
                    	
                    	**type**\:  :py:class:`EntitymoduleinsertedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleinsertedItems>`
                    
                    .. attribute:: entitymoduleremoved_items
                    
                    	
                    	**type**\:  :py:class:`EntitymoduleremovedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleremovedItems>`
                    
                    .. attribute:: entityunrecognisedmodule_items
                    
                    	
                    	**type**\:  :py:class:`EntityunrecognisedmoduleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityunrecognisedmoduleItems>`
                    
                    .. attribute:: entityfanstatuschange_items
                    
                    	
                    	**type**\:  :py:class:`EntityfanstatuschangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityfanstatuschangeItems>`
                    
                    .. attribute:: entitypoweroutchange_items
                    
                    	
                    	**type**\:  :py:class:`EntitypoweroutchangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypoweroutchangeItems>`
                    
                    .. attribute:: entitysensor_items
                    
                    	
                    	**type**\:  :py:class:`EntitysensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitysensorItems>`
                    
                    .. attribute:: cefcmibenablestatusnotification_items
                    
                    	
                    	**type**\:  :py:class:`CefcMIBEnableStatusNotificationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.EntityItems.CefcMIBEnableStatusNotificationItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.EntityItems, self).__init__()

                        self.yang_name = "entity-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("entitymibchange-items", ("entitymibchange_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymibchangeItems)), ("entitymodulestatuschange-items", ("entitymodulestatuschange_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymodulestatuschangeItems)), ("entitypowerstatuschange-items", ("entitypowerstatuschange_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypowerstatuschangeItems)), ("entitymoduleinserted-items", ("entitymoduleinserted_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleinsertedItems)), ("entitymoduleremoved-items", ("entitymoduleremoved_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleremovedItems)), ("entityunrecognisedmodule-items", ("entityunrecognisedmodule_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityunrecognisedmoduleItems)), ("entityfanstatuschange-items", ("entityfanstatuschange_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityfanstatuschangeItems)), ("entitypoweroutchange-items", ("entitypoweroutchange_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypoweroutchangeItems)), ("entitysensor-items", ("entitysensor_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitysensorItems)), ("cefcMIBEnableStatusNotification-items", ("cefcmibenablestatusnotification_items", System.SnmpItems.InstItems.TrapsItems.EntityItems.CefcMIBEnableStatusNotificationItems))])
                        self._leafs = OrderedDict()

                        self.entitymibchange_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymibchangeItems()
                        self.entitymibchange_items.parent = self
                        self._children_name_map["entitymibchange_items"] = "entitymibchange-items"

                        self.entitymodulestatuschange_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymodulestatuschangeItems()
                        self.entitymodulestatuschange_items.parent = self
                        self._children_name_map["entitymodulestatuschange_items"] = "entitymodulestatuschange-items"

                        self.entitypowerstatuschange_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypowerstatuschangeItems()
                        self.entitypowerstatuschange_items.parent = self
                        self._children_name_map["entitypowerstatuschange_items"] = "entitypowerstatuschange-items"

                        self.entitymoduleinserted_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleinsertedItems()
                        self.entitymoduleinserted_items.parent = self
                        self._children_name_map["entitymoduleinserted_items"] = "entitymoduleinserted-items"

                        self.entitymoduleremoved_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleremovedItems()
                        self.entitymoduleremoved_items.parent = self
                        self._children_name_map["entitymoduleremoved_items"] = "entitymoduleremoved-items"

                        self.entityunrecognisedmodule_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityunrecognisedmoduleItems()
                        self.entityunrecognisedmodule_items.parent = self
                        self._children_name_map["entityunrecognisedmodule_items"] = "entityunrecognisedmodule-items"

                        self.entityfanstatuschange_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityfanstatuschangeItems()
                        self.entityfanstatuschange_items.parent = self
                        self._children_name_map["entityfanstatuschange_items"] = "entityfanstatuschange-items"

                        self.entitypoweroutchange_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypoweroutchangeItems()
                        self.entitypoweroutchange_items.parent = self
                        self._children_name_map["entitypoweroutchange_items"] = "entitypoweroutchange-items"

                        self.entitysensor_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitysensorItems()
                        self.entitysensor_items.parent = self
                        self._children_name_map["entitysensor_items"] = "entitysensor-items"

                        self.cefcmibenablestatusnotification_items = System.SnmpItems.InstItems.TrapsItems.EntityItems.CefcMIBEnableStatusNotificationItems()
                        self.cefcmibenablestatusnotification_items.parent = self
                        self._children_name_map["cefcmibenablestatusnotification_items"] = "cefcMIBEnableStatusNotification-items"
                        self._segment_path = lambda: "entity-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems, [], name, value)


                    class EntitymibchangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymibchangeItems, self).__init__()

                            self.yang_name = "entitymibchange-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitymibchange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymibchangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitymodulestatuschangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymodulestatuschangeItems, self).__init__()

                            self.yang_name = "entitymodulestatuschange-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitymodulestatuschange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymodulestatuschangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitypowerstatuschangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypowerstatuschangeItems, self).__init__()

                            self.yang_name = "entitypowerstatuschange-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitypowerstatuschange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypowerstatuschangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitymoduleinsertedItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleinsertedItems, self).__init__()

                            self.yang_name = "entitymoduleinserted-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitymoduleinserted-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleinsertedItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitymoduleremovedItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleremovedItems, self).__init__()

                            self.yang_name = "entitymoduleremoved-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitymoduleremoved-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitymoduleremovedItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntityunrecognisedmoduleItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityunrecognisedmoduleItems, self).__init__()

                            self.yang_name = "entityunrecognisedmodule-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entityunrecognisedmodule-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityunrecognisedmoduleItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntityfanstatuschangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityfanstatuschangeItems, self).__init__()

                            self.yang_name = "entityfanstatuschange-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entityfanstatuschange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntityfanstatuschangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitypoweroutchangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypoweroutchangeItems, self).__init__()

                            self.yang_name = "entitypoweroutchange-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitypoweroutchange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitypoweroutchangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class EntitysensorItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitysensorItems, self).__init__()

                            self.yang_name = "entitysensor-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "entitysensor-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.EntitysensorItems, ['trapstatus', 'istoggleaction'], name, value)



                    class CefcMIBEnableStatusNotificationItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.EntityItems.CefcMIBEnableStatusNotificationItems, self).__init__()

                            self.yang_name = "cefcMIBEnableStatusNotification-items"
                            self.yang_parent_name = "entity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cefcMIBEnableStatusNotification-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/entity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.EntityItems.CefcMIBEnableStatusNotificationItems, ['trapstatus', 'istoggleaction'], name, value)




                class FeaturecontrolItems(Entity):
                    """
                    
                    
                    .. attribute:: featureopstatuschange_items
                    
                    	
                    	**type**\:  :py:class:`FeatureOpStatusChangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.FeatureOpStatusChangeItems>`
                    
                    .. attribute:: ciscofeatopstatuschange_items
                    
                    	
                    	**type**\:  :py:class:`CiscoFeatOpStatusChangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.CiscoFeatOpStatusChangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems, self).__init__()

                        self.yang_name = "featurecontrol-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FeatureOpStatusChange-items", ("featureopstatuschange_items", System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.FeatureOpStatusChangeItems)), ("ciscoFeatOpStatusChange-items", ("ciscofeatopstatuschange_items", System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.CiscoFeatOpStatusChangeItems))])
                        self._leafs = OrderedDict()

                        self.featureopstatuschange_items = System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.FeatureOpStatusChangeItems()
                        self.featureopstatuschange_items.parent = self
                        self._children_name_map["featureopstatuschange_items"] = "FeatureOpStatusChange-items"

                        self.ciscofeatopstatuschange_items = System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.CiscoFeatOpStatusChangeItems()
                        self.ciscofeatopstatuschange_items.parent = self
                        self._children_name_map["ciscofeatopstatuschange_items"] = "ciscoFeatOpStatusChange-items"
                        self._segment_path = lambda: "featurecontrol-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems, [], name, value)


                    class FeatureOpStatusChangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.FeatureOpStatusChangeItems, self).__init__()

                            self.yang_name = "FeatureOpStatusChange-items"
                            self.yang_parent_name = "featurecontrol-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "FeatureOpStatusChange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/featurecontrol-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.FeatureOpStatusChangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class CiscoFeatOpStatusChangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.CiscoFeatOpStatusChangeItems, self).__init__()

                            self.yang_name = "ciscoFeatOpStatusChange-items"
                            self.yang_parent_name = "featurecontrol-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "ciscoFeatOpStatusChange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/featurecontrol-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.FeaturecontrolItems.CiscoFeatOpStatusChangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class HsrpItems(Entity):
                    """
                    
                    
                    .. attribute:: statechange_items
                    
                    	
                    	**type**\:  :py:class:`StatechangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.HsrpItems.StatechangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.HsrpItems, self).__init__()

                        self.yang_name = "hsrp-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("statechange-items", ("statechange_items", System.SnmpItems.InstItems.TrapsItems.HsrpItems.StatechangeItems))])
                        self._leafs = OrderedDict()

                        self.statechange_items = System.SnmpItems.InstItems.TrapsItems.HsrpItems.StatechangeItems()
                        self.statechange_items.parent = self
                        self._children_name_map["statechange_items"] = "statechange-items"
                        self._segment_path = lambda: "hsrp-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.HsrpItems, [], name, value)


                    class StatechangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.HsrpItems.StatechangeItems, self).__init__()

                            self.yang_name = "statechange-items"
                            self.yang_parent_name = "hsrp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "statechange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/hsrp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.HsrpItems.StatechangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class GenericItems(Entity):
                    """
                    
                    
                    .. attribute:: coldstart_items
                    
                    	
                    	**type**\:  :py:class:`ColdStartItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.GenericItems.ColdStartItems>`
                    
                    .. attribute:: warmstart_items
                    
                    	
                    	**type**\:  :py:class:`WarmStartItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.GenericItems.WarmStartItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.GenericItems, self).__init__()

                        self.yang_name = "generic-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("coldStart-items", ("coldstart_items", System.SnmpItems.InstItems.TrapsItems.GenericItems.ColdStartItems)), ("warmStart-items", ("warmstart_items", System.SnmpItems.InstItems.TrapsItems.GenericItems.WarmStartItems))])
                        self._leafs = OrderedDict()

                        self.coldstart_items = System.SnmpItems.InstItems.TrapsItems.GenericItems.ColdStartItems()
                        self.coldstart_items.parent = self
                        self._children_name_map["coldstart_items"] = "coldStart-items"

                        self.warmstart_items = System.SnmpItems.InstItems.TrapsItems.GenericItems.WarmStartItems()
                        self.warmstart_items.parent = self
                        self._children_name_map["warmstart_items"] = "warmStart-items"
                        self._segment_path = lambda: "generic-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.GenericItems, [], name, value)


                    class ColdStartItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.GenericItems.ColdStartItems, self).__init__()

                            self.yang_name = "coldStart-items"
                            self.yang_parent_name = "generic-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "coldStart-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/generic-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.GenericItems.ColdStartItems, ['trapstatus', 'istoggleaction'], name, value)



                    class WarmStartItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.GenericItems.WarmStartItems, self).__init__()

                            self.yang_name = "warmStart-items"
                            self.yang_parent_name = "generic-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "warmStart-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/generic-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.GenericItems.WarmStartItems, ['trapstatus', 'istoggleaction'], name, value)




                class IpItems(Entity):
                    """
                    
                    
                    .. attribute:: sla_items
                    
                    	
                    	**type**\:  :py:class:`SlaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.IpItems.SlaItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.IpItems, self).__init__()

                        self.yang_name = "ip-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("sla-items", ("sla_items", System.SnmpItems.InstItems.TrapsItems.IpItems.SlaItems))])
                        self._leafs = OrderedDict()

                        self.sla_items = System.SnmpItems.InstItems.TrapsItems.IpItems.SlaItems()
                        self.sla_items.parent = self
                        self._children_name_map["sla_items"] = "sla-items"
                        self._segment_path = lambda: "ip-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.IpItems, [], name, value)


                    class SlaItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.IpItems.SlaItems, self).__init__()

                            self.yang_name = "sla-items"
                            self.yang_parent_name = "ip-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "sla-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/ip-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.IpItems.SlaItems, ['trapstatus', 'istoggleaction'], name, value)




                class LicenseItems(Entity):
                    """
                    
                    
                    .. attribute:: notifylicenseexpiry_items
                    
                    	
                    	**type**\:  :py:class:`NotifylicenseexpiryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpiryItems>`
                    
                    .. attribute:: notifylicenseexpirywarning_items
                    
                    	
                    	**type**\:  :py:class:`NotifylicenseexpirywarningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpirywarningItems>`
                    
                    .. attribute:: notifylicensefilemissing_items
                    
                    	
                    	**type**\:  :py:class:`NotifylicensefilemissingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicensefilemissingItems>`
                    
                    .. attribute:: notifynolicenseforfeature_items
                    
                    	
                    	**type**\:  :py:class:`NotifynolicenseforfeatureItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifynolicenseforfeatureItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.LicenseItems, self).__init__()

                        self.yang_name = "license-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("notifylicenseexpiry-items", ("notifylicenseexpiry_items", System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpiryItems)), ("notifylicenseexpirywarning-items", ("notifylicenseexpirywarning_items", System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpirywarningItems)), ("notifylicensefilemissing-items", ("notifylicensefilemissing_items", System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicensefilemissingItems)), ("notifynolicenseforfeature-items", ("notifynolicenseforfeature_items", System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifynolicenseforfeatureItems))])
                        self._leafs = OrderedDict()

                        self.notifylicenseexpiry_items = System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpiryItems()
                        self.notifylicenseexpiry_items.parent = self
                        self._children_name_map["notifylicenseexpiry_items"] = "notifylicenseexpiry-items"

                        self.notifylicenseexpirywarning_items = System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpirywarningItems()
                        self.notifylicenseexpirywarning_items.parent = self
                        self._children_name_map["notifylicenseexpirywarning_items"] = "notifylicenseexpirywarning-items"

                        self.notifylicensefilemissing_items = System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicensefilemissingItems()
                        self.notifylicensefilemissing_items.parent = self
                        self._children_name_map["notifylicensefilemissing_items"] = "notifylicensefilemissing-items"

                        self.notifynolicenseforfeature_items = System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifynolicenseforfeatureItems()
                        self.notifynolicenseforfeature_items.parent = self
                        self._children_name_map["notifynolicenseforfeature_items"] = "notifynolicenseforfeature-items"
                        self._segment_path = lambda: "license-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LicenseItems, [], name, value)


                    class NotifylicenseexpiryItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpiryItems, self).__init__()

                            self.yang_name = "notifylicenseexpiry-items"
                            self.yang_parent_name = "license-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "notifylicenseexpiry-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/license-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpiryItems, ['trapstatus', 'istoggleaction'], name, value)



                    class NotifylicenseexpirywarningItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpirywarningItems, self).__init__()

                            self.yang_name = "notifylicenseexpirywarning-items"
                            self.yang_parent_name = "license-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "notifylicenseexpirywarning-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/license-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicenseexpirywarningItems, ['trapstatus', 'istoggleaction'], name, value)



                    class NotifylicensefilemissingItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicensefilemissingItems, self).__init__()

                            self.yang_name = "notifylicensefilemissing-items"
                            self.yang_parent_name = "license-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "notifylicensefilemissing-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/license-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifylicensefilemissingItems, ['trapstatus', 'istoggleaction'], name, value)



                    class NotifynolicenseforfeatureItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifynolicenseforfeatureItems, self).__init__()

                            self.yang_name = "notifynolicenseforfeature-items"
                            self.yang_parent_name = "license-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "notifynolicenseforfeature-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/license-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LicenseItems.NotifynolicenseforfeatureItems, ['trapstatus', 'istoggleaction'], name, value)




                class PoeItems(Entity):
                    """
                    
                    
                    .. attribute:: policenotify_items
                    
                    	
                    	**type**\:  :py:class:`PolicenotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PoeItems.PolicenotifyItems>`
                    
                    .. attribute:: controlenable_items
                    
                    	
                    	**type**\:  :py:class:`ControlenableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PoeItems.ControlenableItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.PoeItems, self).__init__()

                        self.yang_name = "poe-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("policenotify-items", ("policenotify_items", System.SnmpItems.InstItems.TrapsItems.PoeItems.PolicenotifyItems)), ("controlenable-items", ("controlenable_items", System.SnmpItems.InstItems.TrapsItems.PoeItems.ControlenableItems))])
                        self._leafs = OrderedDict()

                        self.policenotify_items = System.SnmpItems.InstItems.TrapsItems.PoeItems.PolicenotifyItems()
                        self.policenotify_items.parent = self
                        self._children_name_map["policenotify_items"] = "policenotify-items"

                        self.controlenable_items = System.SnmpItems.InstItems.TrapsItems.PoeItems.ControlenableItems()
                        self.controlenable_items.parent = self
                        self._children_name_map["controlenable_items"] = "controlenable-items"
                        self._segment_path = lambda: "poe-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PoeItems, [], name, value)


                    class PolicenotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: togglestate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: togglestatecount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.PoeItems.PolicenotifyItems, self).__init__()

                            self.yang_name = "policenotify-items"
                            self.yang_parent_name = "poe-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.togglestate = None
                            self.togglestatecount = None
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "policenotify-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/poe-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PoeItems.PolicenotifyItems, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)



                    class ControlenableItems(Entity):
                        """
                        
                        
                        .. attribute:: togglestate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: togglestatecount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.PoeItems.ControlenableItems, self).__init__()

                            self.yang_name = "controlenable-items"
                            self.yang_parent_name = "poe-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.togglestate = None
                            self.togglestatecount = None
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "controlenable-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/poe-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PoeItems.ControlenableItems, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)




                class LinkItems(Entity):
                    """
                    
                    
                    .. attribute:: ciscoxcvrmonstatuschg_items
                    
                    	
                    	**type**\:  :py:class:`CiscoxcvrmonstatuschgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.CiscoxcvrmonstatuschgItems>`
                    
                    .. attribute:: linkdown_items
                    
                    	
                    	**type**\:  :py:class:`LinkDownItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkDownItems>`
                    
                    .. attribute:: linkup_items
                    
                    	
                    	**type**\:  :py:class:`LinkUpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkUpItems>`
                    
                    .. attribute:: extendedlinkdown_items
                    
                    	
                    	**type**\:  :py:class:`ExtendedlinkDownItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkDownItems>`
                    
                    .. attribute:: extendedlinkup_items
                    
                    	
                    	**type**\:  :py:class:`ExtendedlinkUpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkUpItems>`
                    
                    .. attribute:: cielinkdown_items
                    
                    	
                    	**type**\:  :py:class:`CieLinkDownItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkDownItems>`
                    
                    .. attribute:: cielinkup_items
                    
                    	
                    	**type**\:  :py:class:`CieLinkUpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkUpItems>`
                    
                    .. attribute:: delayedlinkstatechange_items
                    
                    	
                    	**type**\:  :py:class:`DelayedlinkstatechangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.DelayedlinkstatechangeItems>`
                    
                    .. attribute:: cerrdisableinterfaceeventrev1_items
                    
                    	
                    	**type**\:  :py:class:`Cerrdisableinterfaceeventrev1Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.Cerrdisableinterfaceeventrev1Items>`
                    
                    .. attribute:: cmnmacmovenotification_items
                    
                    	
                    	**type**\:  :py:class:`CmnmacmovenotificationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LinkItems.CmnmacmovenotificationItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.LinkItems, self).__init__()

                        self.yang_name = "link-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ciscoxcvrmonstatuschg-items", ("ciscoxcvrmonstatuschg_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.CiscoxcvrmonstatuschgItems)), ("linkDown-items", ("linkdown_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkDownItems)), ("linkUp-items", ("linkup_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkUpItems)), ("extendedlinkDown-items", ("extendedlinkdown_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkDownItems)), ("extendedlinkUp-items", ("extendedlinkup_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkUpItems)), ("cieLinkDown-items", ("cielinkdown_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkDownItems)), ("cieLinkUp-items", ("cielinkup_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkUpItems)), ("delayedlinkstatechange-items", ("delayedlinkstatechange_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.DelayedlinkstatechangeItems)), ("cerrdisableinterfaceeventrev1-items", ("cerrdisableinterfaceeventrev1_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.Cerrdisableinterfaceeventrev1Items)), ("cmnmacmovenotification-items", ("cmnmacmovenotification_items", System.SnmpItems.InstItems.TrapsItems.LinkItems.CmnmacmovenotificationItems))])
                        self._leafs = OrderedDict()

                        self.ciscoxcvrmonstatuschg_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.CiscoxcvrmonstatuschgItems()
                        self.ciscoxcvrmonstatuschg_items.parent = self
                        self._children_name_map["ciscoxcvrmonstatuschg_items"] = "ciscoxcvrmonstatuschg-items"

                        self.linkdown_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkDownItems()
                        self.linkdown_items.parent = self
                        self._children_name_map["linkdown_items"] = "linkDown-items"

                        self.linkup_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkUpItems()
                        self.linkup_items.parent = self
                        self._children_name_map["linkup_items"] = "linkUp-items"

                        self.extendedlinkdown_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkDownItems()
                        self.extendedlinkdown_items.parent = self
                        self._children_name_map["extendedlinkdown_items"] = "extendedlinkDown-items"

                        self.extendedlinkup_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkUpItems()
                        self.extendedlinkup_items.parent = self
                        self._children_name_map["extendedlinkup_items"] = "extendedlinkUp-items"

                        self.cielinkdown_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkDownItems()
                        self.cielinkdown_items.parent = self
                        self._children_name_map["cielinkdown_items"] = "cieLinkDown-items"

                        self.cielinkup_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkUpItems()
                        self.cielinkup_items.parent = self
                        self._children_name_map["cielinkup_items"] = "cieLinkUp-items"

                        self.delayedlinkstatechange_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.DelayedlinkstatechangeItems()
                        self.delayedlinkstatechange_items.parent = self
                        self._children_name_map["delayedlinkstatechange_items"] = "delayedlinkstatechange-items"

                        self.cerrdisableinterfaceeventrev1_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.Cerrdisableinterfaceeventrev1Items()
                        self.cerrdisableinterfaceeventrev1_items.parent = self
                        self._children_name_map["cerrdisableinterfaceeventrev1_items"] = "cerrdisableinterfaceeventrev1-items"

                        self.cmnmacmovenotification_items = System.SnmpItems.InstItems.TrapsItems.LinkItems.CmnmacmovenotificationItems()
                        self.cmnmacmovenotification_items.parent = self
                        self._children_name_map["cmnmacmovenotification_items"] = "cmnmacmovenotification-items"
                        self._segment_path = lambda: "link-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems, [], name, value)


                    class CiscoxcvrmonstatuschgItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.CiscoxcvrmonstatuschgItems, self).__init__()

                            self.yang_name = "ciscoxcvrmonstatuschg-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "ciscoxcvrmonstatuschg-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.CiscoxcvrmonstatuschgItems, ['trapstatus', 'istoggleaction'], name, value)



                    class LinkDownItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkDownItems, self).__init__()

                            self.yang_name = "linkDown-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "linkDown-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkDownItems, ['trapstatus', 'istoggleaction'], name, value)



                    class LinkUpItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkUpItems, self).__init__()

                            self.yang_name = "linkUp-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "linkUp-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.LinkUpItems, ['trapstatus', 'istoggleaction'], name, value)



                    class ExtendedlinkDownItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkDownItems, self).__init__()

                            self.yang_name = "extendedlinkDown-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "extendedlinkDown-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkDownItems, ['trapstatus', 'istoggleaction'], name, value)



                    class ExtendedlinkUpItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkUpItems, self).__init__()

                            self.yang_name = "extendedlinkUp-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "extendedlinkUp-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.ExtendedlinkUpItems, ['trapstatus', 'istoggleaction'], name, value)



                    class CieLinkDownItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkDownItems, self).__init__()

                            self.yang_name = "cieLinkDown-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cieLinkDown-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkDownItems, ['trapstatus', 'istoggleaction'], name, value)



                    class CieLinkUpItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkUpItems, self).__init__()

                            self.yang_name = "cieLinkUp-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cieLinkUp-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.CieLinkUpItems, ['trapstatus', 'istoggleaction'], name, value)



                    class DelayedlinkstatechangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.DelayedlinkstatechangeItems, self).__init__()

                            self.yang_name = "delayedlinkstatechange-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "delayedlinkstatechange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.DelayedlinkstatechangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class Cerrdisableinterfaceeventrev1Items(Entity):
                        """
                        
                        
                        .. attribute:: togglestate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: togglestatecount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.Cerrdisableinterfaceeventrev1Items, self).__init__()

                            self.yang_name = "cerrdisableinterfaceeventrev1-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.togglestate = None
                            self.togglestatecount = None
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cerrdisableinterfaceeventrev1-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.Cerrdisableinterfaceeventrev1Items, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)



                    class CmnmacmovenotificationItems(Entity):
                        """
                        
                        
                        .. attribute:: togglestate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: togglestatecount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LinkItems.CmnmacmovenotificationItems, self).__init__()

                            self.yang_name = "cmnmacmovenotification-items"
                            self.yang_parent_name = "link-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.togglestate = None
                            self.togglestatecount = None
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cmnmacmovenotification-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/link-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LinkItems.CmnmacmovenotificationItems, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)




                class LldpItems(Entity):
                    """
                    
                    
                    .. attribute:: lldpremtableschange_items
                    
                    	
                    	**type**\:  :py:class:`LldpRemTablesChangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.LldpItems.LldpRemTablesChangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.LldpItems, self).__init__()

                        self.yang_name = "lldp-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("lldpRemTablesChange-items", ("lldpremtableschange_items", System.SnmpItems.InstItems.TrapsItems.LldpItems.LldpRemTablesChangeItems))])
                        self._leafs = OrderedDict()

                        self.lldpremtableschange_items = System.SnmpItems.InstItems.TrapsItems.LldpItems.LldpRemTablesChangeItems()
                        self.lldpremtableschange_items.parent = self
                        self._children_name_map["lldpremtableschange_items"] = "lldpRemTablesChange-items"
                        self._segment_path = lambda: "lldp-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LldpItems, [], name, value)


                    class LldpRemTablesChangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.LldpItems.LldpRemTablesChangeItems, self).__init__()

                            self.yang_name = "lldpRemTablesChange-items"
                            self.yang_parent_name = "lldp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "lldpRemTablesChange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/lldp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.LldpItems.LldpRemTablesChangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class MsdpItems(Entity):
                    """
                    
                    
                    .. attribute:: msdpbackwardtransition_items
                    
                    	
                    	**type**\:  :py:class:`MsdpBackwardTransitionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MsdpItems.MsdpBackwardTransitionItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.MsdpItems, self).__init__()

                        self.yang_name = "msdp-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("msdpBackwardTransition-items", ("msdpbackwardtransition_items", System.SnmpItems.InstItems.TrapsItems.MsdpItems.MsdpBackwardTransitionItems))])
                        self._leafs = OrderedDict()

                        self.msdpbackwardtransition_items = System.SnmpItems.InstItems.TrapsItems.MsdpItems.MsdpBackwardTransitionItems()
                        self.msdpbackwardtransition_items.parent = self
                        self._children_name_map["msdpbackwardtransition_items"] = "msdpBackwardTransition-items"
                        self._segment_path = lambda: "msdp-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MsdpItems, [], name, value)


                    class MsdpBackwardTransitionItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.MsdpItems.MsdpBackwardTransitionItems, self).__init__()

                            self.yang_name = "msdpBackwardTransition-items"
                            self.yang_parent_name = "msdp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "msdpBackwardTransition-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/msdp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MsdpItems.MsdpBackwardTransitionItems, ['trapstatus', 'istoggleaction'], name, value)




                class MmodeItems(Entity):
                    """
                    
                    
                    .. attribute:: csemaintmodechangenotify_items
                    
                    	
                    	**type**\:  :py:class:`CseMaintModeChangeNotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseMaintModeChangeNotifyItems>`
                    
                    .. attribute:: csenormalmodechangenotify_items
                    
                    	
                    	**type**\:  :py:class:`CseNormalModeChangeNotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseNormalModeChangeNotifyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.MmodeItems, self).__init__()

                        self.yang_name = "mmode-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("cseMaintModeChangeNotify-items", ("csemaintmodechangenotify_items", System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseMaintModeChangeNotifyItems)), ("cseNormalModeChangeNotify-items", ("csenormalmodechangenotify_items", System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseNormalModeChangeNotifyItems))])
                        self._leafs = OrderedDict()

                        self.csemaintmodechangenotify_items = System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseMaintModeChangeNotifyItems()
                        self.csemaintmodechangenotify_items.parent = self
                        self._children_name_map["csemaintmodechangenotify_items"] = "cseMaintModeChangeNotify-items"

                        self.csenormalmodechangenotify_items = System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseNormalModeChangeNotifyItems()
                        self.csenormalmodechangenotify_items.parent = self
                        self._children_name_map["csenormalmodechangenotify_items"] = "cseNormalModeChangeNotify-items"
                        self._segment_path = lambda: "mmode-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MmodeItems, [], name, value)


                    class CseMaintModeChangeNotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseMaintModeChangeNotifyItems, self).__init__()

                            self.yang_name = "cseMaintModeChangeNotify-items"
                            self.yang_parent_name = "mmode-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cseMaintModeChangeNotify-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/mmode-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseMaintModeChangeNotifyItems, ['trapstatus', 'istoggleaction'], name, value)



                    class CseNormalModeChangeNotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseNormalModeChangeNotifyItems, self).__init__()

                            self.yang_name = "cseNormalModeChangeNotify-items"
                            self.yang_parent_name = "mmode-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cseNormalModeChangeNotify-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/mmode-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MmodeItems.CseNormalModeChangeNotifyItems, ['trapstatus', 'istoggleaction'], name, value)




                class PimItems(Entity):
                    """
                    
                    
                    .. attribute:: pimneighborloss_items
                    
                    	
                    	**type**\:  :py:class:`PimNeighborLossItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PimItems.PimNeighborLossItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.PimItems, self).__init__()

                        self.yang_name = "pim-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("pimNeighborLoss-items", ("pimneighborloss_items", System.SnmpItems.InstItems.TrapsItems.PimItems.PimNeighborLossItems))])
                        self._leafs = OrderedDict()

                        self.pimneighborloss_items = System.SnmpItems.InstItems.TrapsItems.PimItems.PimNeighborLossItems()
                        self.pimneighborloss_items.parent = self
                        self._children_name_map["pimneighborloss_items"] = "pimNeighborLoss-items"
                        self._segment_path = lambda: "pim-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PimItems, [], name, value)


                    class PimNeighborLossItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.PimItems.PimNeighborLossItems, self).__init__()

                            self.yang_name = "pimNeighborLoss-items"
                            self.yang_parent_name = "pim-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "pimNeighborLoss-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/pim-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PimItems.PimNeighborLossItems, ['trapstatus', 'istoggleaction'], name, value)




                class RfItems(Entity):
                    """
                    
                    
                    .. attribute:: redundancyframework_items
                    
                    	
                    	**type**\:  :py:class:`RedundancyframeworkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RfItems.RedundancyframeworkItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.RfItems, self).__init__()

                        self.yang_name = "rf-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("redundancyframework-items", ("redundancyframework_items", System.SnmpItems.InstItems.TrapsItems.RfItems.RedundancyframeworkItems))])
                        self._leafs = OrderedDict()

                        self.redundancyframework_items = System.SnmpItems.InstItems.TrapsItems.RfItems.RedundancyframeworkItems()
                        self.redundancyframework_items.parent = self
                        self._children_name_map["redundancyframework_items"] = "redundancyframework-items"
                        self._segment_path = lambda: "rf-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RfItems, [], name, value)


                    class RedundancyframeworkItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.RfItems.RedundancyframeworkItems, self).__init__()

                            self.yang_name = "redundancyframework-items"
                            self.yang_parent_name = "rf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "redundancyframework-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/rf-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RfItems.RedundancyframeworkItems, ['trapstatus', 'istoggleaction'], name, value)




                class RmonItems(Entity):
                    """
                    
                    
                    .. attribute:: risingalarm_items
                    
                    	
                    	**type**\:  :py:class:`RisingAlarmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RmonItems.RisingAlarmItems>`
                    
                    .. attribute:: fallingalarm_items
                    
                    	
                    	**type**\:  :py:class:`FallingAlarmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RmonItems.FallingAlarmItems>`
                    
                    .. attribute:: hcrisingalarm_items
                    
                    	
                    	**type**\:  :py:class:`HcRisingAlarmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RmonItems.HcRisingAlarmItems>`
                    
                    .. attribute:: hcfallingalarm_items
                    
                    	
                    	**type**\:  :py:class:`HcFallingAlarmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.RmonItems.HcFallingAlarmItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.RmonItems, self).__init__()

                        self.yang_name = "rmon-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("risingAlarm-items", ("risingalarm_items", System.SnmpItems.InstItems.TrapsItems.RmonItems.RisingAlarmItems)), ("fallingAlarm-items", ("fallingalarm_items", System.SnmpItems.InstItems.TrapsItems.RmonItems.FallingAlarmItems)), ("hcRisingAlarm-items", ("hcrisingalarm_items", System.SnmpItems.InstItems.TrapsItems.RmonItems.HcRisingAlarmItems)), ("hcFallingAlarm-items", ("hcfallingalarm_items", System.SnmpItems.InstItems.TrapsItems.RmonItems.HcFallingAlarmItems))])
                        self._leafs = OrderedDict()

                        self.risingalarm_items = System.SnmpItems.InstItems.TrapsItems.RmonItems.RisingAlarmItems()
                        self.risingalarm_items.parent = self
                        self._children_name_map["risingalarm_items"] = "risingAlarm-items"

                        self.fallingalarm_items = System.SnmpItems.InstItems.TrapsItems.RmonItems.FallingAlarmItems()
                        self.fallingalarm_items.parent = self
                        self._children_name_map["fallingalarm_items"] = "fallingAlarm-items"

                        self.hcrisingalarm_items = System.SnmpItems.InstItems.TrapsItems.RmonItems.HcRisingAlarmItems()
                        self.hcrisingalarm_items.parent = self
                        self._children_name_map["hcrisingalarm_items"] = "hcRisingAlarm-items"

                        self.hcfallingalarm_items = System.SnmpItems.InstItems.TrapsItems.RmonItems.HcFallingAlarmItems()
                        self.hcfallingalarm_items.parent = self
                        self._children_name_map["hcfallingalarm_items"] = "hcFallingAlarm-items"
                        self._segment_path = lambda: "rmon-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RmonItems, [], name, value)


                    class RisingAlarmItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.RmonItems.RisingAlarmItems, self).__init__()

                            self.yang_name = "risingAlarm-items"
                            self.yang_parent_name = "rmon-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "risingAlarm-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/rmon-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RmonItems.RisingAlarmItems, ['trapstatus', 'istoggleaction'], name, value)



                    class FallingAlarmItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.RmonItems.FallingAlarmItems, self).__init__()

                            self.yang_name = "fallingAlarm-items"
                            self.yang_parent_name = "rmon-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "fallingAlarm-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/rmon-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RmonItems.FallingAlarmItems, ['trapstatus', 'istoggleaction'], name, value)



                    class HcRisingAlarmItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.RmonItems.HcRisingAlarmItems, self).__init__()

                            self.yang_name = "hcRisingAlarm-items"
                            self.yang_parent_name = "rmon-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "hcRisingAlarm-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/rmon-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RmonItems.HcRisingAlarmItems, ['trapstatus', 'istoggleaction'], name, value)



                    class HcFallingAlarmItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.RmonItems.HcFallingAlarmItems, self).__init__()

                            self.yang_name = "hcFallingAlarm-items"
                            self.yang_parent_name = "rmon-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "hcFallingAlarm-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/rmon-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.RmonItems.HcFallingAlarmItems, ['trapstatus', 'istoggleaction'], name, value)




                class SnmpItems_(Entity):
                    """
                    
                    
                    .. attribute:: authentication_items
                    
                    	
                    	**type**\:  :py:class:`AuthenticationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SnmpItems_.AuthenticationItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.SnmpItems_, self).__init__()

                        self.yang_name = "snmp-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("authentication-items", ("authentication_items", System.SnmpItems.InstItems.TrapsItems.SnmpItems_.AuthenticationItems))])
                        self._leafs = OrderedDict()

                        self.authentication_items = System.SnmpItems.InstItems.TrapsItems.SnmpItems_.AuthenticationItems()
                        self.authentication_items.parent = self
                        self._children_name_map["authentication_items"] = "authentication-items"
                        self._segment_path = lambda: "snmp-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SnmpItems_, [], name, value)


                    class AuthenticationItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.SnmpItems_.AuthenticationItems, self).__init__()

                            self.yang_name = "authentication-items"
                            self.yang_parent_name = "snmp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "authentication-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/snmp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SnmpItems_.AuthenticationItems, ['trapstatus', 'istoggleaction'], name, value)




                class StpxItems(Entity):
                    """
                    
                    
                    .. attribute:: inconsistency_items
                    
                    	
                    	**type**\:  :py:class:`InconsistencyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StpxItems.InconsistencyItems>`
                    
                    .. attribute:: rootinconsistency_items
                    
                    	
                    	**type**\:  :py:class:`RootinconsistencyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StpxItems.RootinconsistencyItems>`
                    
                    .. attribute:: loopinconsistency_items
                    
                    	
                    	**type**\:  :py:class:`LoopinconsistencyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.StpxItems.LoopinconsistencyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.StpxItems, self).__init__()

                        self.yang_name = "stpx-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("inconsistency-items", ("inconsistency_items", System.SnmpItems.InstItems.TrapsItems.StpxItems.InconsistencyItems)), ("rootinconsistency-items", ("rootinconsistency_items", System.SnmpItems.InstItems.TrapsItems.StpxItems.RootinconsistencyItems)), ("loopinconsistency-items", ("loopinconsistency_items", System.SnmpItems.InstItems.TrapsItems.StpxItems.LoopinconsistencyItems))])
                        self._leafs = OrderedDict()

                        self.inconsistency_items = System.SnmpItems.InstItems.TrapsItems.StpxItems.InconsistencyItems()
                        self.inconsistency_items.parent = self
                        self._children_name_map["inconsistency_items"] = "inconsistency-items"

                        self.rootinconsistency_items = System.SnmpItems.InstItems.TrapsItems.StpxItems.RootinconsistencyItems()
                        self.rootinconsistency_items.parent = self
                        self._children_name_map["rootinconsistency_items"] = "rootinconsistency-items"

                        self.loopinconsistency_items = System.SnmpItems.InstItems.TrapsItems.StpxItems.LoopinconsistencyItems()
                        self.loopinconsistency_items.parent = self
                        self._children_name_map["loopinconsistency_items"] = "loopinconsistency-items"
                        self._segment_path = lambda: "stpx-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StpxItems, [], name, value)


                    class InconsistencyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.StpxItems.InconsistencyItems, self).__init__()

                            self.yang_name = "inconsistency-items"
                            self.yang_parent_name = "stpx-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "inconsistency-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/stpx-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StpxItems.InconsistencyItems, ['trapstatus', 'istoggleaction'], name, value)



                    class RootinconsistencyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.StpxItems.RootinconsistencyItems, self).__init__()

                            self.yang_name = "rootinconsistency-items"
                            self.yang_parent_name = "stpx-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "rootinconsistency-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/stpx-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StpxItems.RootinconsistencyItems, ['trapstatus', 'istoggleaction'], name, value)



                    class LoopinconsistencyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.StpxItems.LoopinconsistencyItems, self).__init__()

                            self.yang_name = "loopinconsistency-items"
                            self.yang_parent_name = "stpx-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "loopinconsistency-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/stpx-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.StpxItems.LoopinconsistencyItems, ['trapstatus', 'istoggleaction'], name, value)




                class SysmgrItems(Entity):
                    """
                    
                    
                    .. attribute:: csefailswcorenotifyextended_items
                    
                    	
                    	**type**\:  :py:class:`CseFailSwCoreNotifyExtendedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SysmgrItems.CseFailSwCoreNotifyExtendedItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.SysmgrItems, self).__init__()

                        self.yang_name = "sysmgr-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("cseFailSwCoreNotifyExtended-items", ("csefailswcorenotifyextended_items", System.SnmpItems.InstItems.TrapsItems.SysmgrItems.CseFailSwCoreNotifyExtendedItems))])
                        self._leafs = OrderedDict()

                        self.csefailswcorenotifyextended_items = System.SnmpItems.InstItems.TrapsItems.SysmgrItems.CseFailSwCoreNotifyExtendedItems()
                        self.csefailswcorenotifyextended_items.parent = self
                        self._children_name_map["csefailswcorenotifyextended_items"] = "cseFailSwCoreNotifyExtended-items"
                        self._segment_path = lambda: "sysmgr-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SysmgrItems, [], name, value)


                    class CseFailSwCoreNotifyExtendedItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.SysmgrItems.CseFailSwCoreNotifyExtendedItems, self).__init__()

                            self.yang_name = "cseFailSwCoreNotifyExtended-items"
                            self.yang_parent_name = "sysmgr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "cseFailSwCoreNotifyExtended-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/sysmgr-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SysmgrItems.CseFailSwCoreNotifyExtendedItems, ['trapstatus', 'istoggleaction'], name, value)




                class SystemItems(Entity):
                    """
                    
                    
                    .. attribute:: clockchangenotification_items
                    
                    	
                    	**type**\:  :py:class:`ClockchangenotificationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.SystemItems.ClockchangenotificationItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.SystemItems, self).__init__()

                        self.yang_name = "system-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Clockchangenotification-items", ("clockchangenotification_items", System.SnmpItems.InstItems.TrapsItems.SystemItems.ClockchangenotificationItems))])
                        self._leafs = OrderedDict()

                        self.clockchangenotification_items = System.SnmpItems.InstItems.TrapsItems.SystemItems.ClockchangenotificationItems()
                        self.clockchangenotification_items.parent = self
                        self._children_name_map["clockchangenotification_items"] = "Clockchangenotification-items"
                        self._segment_path = lambda: "system-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SystemItems, [], name, value)


                    class ClockchangenotificationItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.SystemItems.ClockchangenotificationItems, self).__init__()

                            self.yang_name = "Clockchangenotification-items"
                            self.yang_parent_name = "system-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "Clockchangenotification-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/system-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.SystemItems.ClockchangenotificationItems, ['trapstatus', 'istoggleaction'], name, value)




                class UpgradeItems(Entity):
                    """
                    
                    
                    .. attribute:: upgradejobstatusnotify_items
                    
                    	
                    	**type**\:  :py:class:`UpgradeJobStatusNotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.UpgradeItems.UpgradeJobStatusNotifyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.UpgradeItems, self).__init__()

                        self.yang_name = "upgrade-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("UpgradeJobStatusNotify-items", ("upgradejobstatusnotify_items", System.SnmpItems.InstItems.TrapsItems.UpgradeItems.UpgradeJobStatusNotifyItems))])
                        self._leafs = OrderedDict()

                        self.upgradejobstatusnotify_items = System.SnmpItems.InstItems.TrapsItems.UpgradeItems.UpgradeJobStatusNotifyItems()
                        self.upgradejobstatusnotify_items.parent = self
                        self._children_name_map["upgradejobstatusnotify_items"] = "UpgradeJobStatusNotify-items"
                        self._segment_path = lambda: "upgrade-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.UpgradeItems, [], name, value)


                    class UpgradeJobStatusNotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.UpgradeItems.UpgradeJobStatusNotifyItems, self).__init__()

                            self.yang_name = "UpgradeJobStatusNotify-items"
                            self.yang_parent_name = "upgrade-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "UpgradeJobStatusNotify-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/upgrade-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.UpgradeItems.UpgradeJobStatusNotifyItems, ['trapstatus', 'istoggleaction'], name, value)




                class VsanItems(Entity):
                    """
                    
                    
                    .. attribute:: vsanportmembershipchange_items
                    
                    	
                    	**type**\:  :py:class:`VsanPortMembershipChangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanPortMembershipChangeItems>`
                    
                    .. attribute:: vsanstatuschange_items
                    
                    	
                    	**type**\:  :py:class:`VsanStatusChangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanStatusChangeItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.VsanItems, self).__init__()

                        self.yang_name = "vsan-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vsanPortMembershipChange-items", ("vsanportmembershipchange_items", System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanPortMembershipChangeItems)), ("vsanStatusChange-items", ("vsanstatuschange_items", System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanStatusChangeItems))])
                        self._leafs = OrderedDict()

                        self.vsanportmembershipchange_items = System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanPortMembershipChangeItems()
                        self.vsanportmembershipchange_items.parent = self
                        self._children_name_map["vsanportmembershipchange_items"] = "vsanPortMembershipChange-items"

                        self.vsanstatuschange_items = System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanStatusChangeItems()
                        self.vsanstatuschange_items.parent = self
                        self._children_name_map["vsanstatuschange_items"] = "vsanStatusChange-items"
                        self._segment_path = lambda: "vsan-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VsanItems, [], name, value)


                    class VsanPortMembershipChangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanPortMembershipChangeItems, self).__init__()

                            self.yang_name = "vsanPortMembershipChange-items"
                            self.yang_parent_name = "vsan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "vsanPortMembershipChange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/vsan-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanPortMembershipChangeItems, ['trapstatus', 'istoggleaction'], name, value)



                    class VsanStatusChangeItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanStatusChangeItems, self).__init__()

                            self.yang_name = "vsanStatusChange-items"
                            self.yang_parent_name = "vsan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "vsanStatusChange-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/vsan-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VsanItems.VsanStatusChangeItems, ['trapstatus', 'istoggleaction'], name, value)




                class VtpItems(Entity):
                    """
                    
                    
                    .. attribute:: notifs_items
                    
                    	
                    	**type**\:  :py:class:`NotifsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VtpItems.NotifsItems>`
                    
                    .. attribute:: vlancreate_items
                    
                    	
                    	**type**\:  :py:class:`VlancreateItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VtpItems.VlancreateItems>`
                    
                    .. attribute:: vlandelete_items
                    
                    	
                    	**type**\:  :py:class:`VlandeleteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.VtpItems.VlandeleteItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.VtpItems, self).__init__()

                        self.yang_name = "vtp-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("notifs-items", ("notifs_items", System.SnmpItems.InstItems.TrapsItems.VtpItems.NotifsItems)), ("vlancreate-items", ("vlancreate_items", System.SnmpItems.InstItems.TrapsItems.VtpItems.VlancreateItems)), ("vlandelete-items", ("vlandelete_items", System.SnmpItems.InstItems.TrapsItems.VtpItems.VlandeleteItems))])
                        self._leafs = OrderedDict()

                        self.notifs_items = System.SnmpItems.InstItems.TrapsItems.VtpItems.NotifsItems()
                        self.notifs_items.parent = self
                        self._children_name_map["notifs_items"] = "notifs-items"

                        self.vlancreate_items = System.SnmpItems.InstItems.TrapsItems.VtpItems.VlancreateItems()
                        self.vlancreate_items.parent = self
                        self._children_name_map["vlancreate_items"] = "vlancreate-items"

                        self.vlandelete_items = System.SnmpItems.InstItems.TrapsItems.VtpItems.VlandeleteItems()
                        self.vlandelete_items.parent = self
                        self._children_name_map["vlandelete_items"] = "vlandelete-items"
                        self._segment_path = lambda: "vtp-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VtpItems, [], name, value)


                    class NotifsItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.VtpItems.NotifsItems, self).__init__()

                            self.yang_name = "notifs-items"
                            self.yang_parent_name = "vtp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "notifs-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/vtp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VtpItems.NotifsItems, ['trapstatus', 'istoggleaction'], name, value)



                    class VlancreateItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.VtpItems.VlancreateItems, self).__init__()

                            self.yang_name = "vlancreate-items"
                            self.yang_parent_name = "vtp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "vlancreate-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/vtp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VtpItems.VlancreateItems, ['trapstatus', 'istoggleaction'], name, value)



                    class VlandeleteItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.VtpItems.VlandeleteItems, self).__init__()

                            self.yang_name = "vlandelete-items"
                            self.yang_parent_name = "vtp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "vlandelete-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/vtp-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.VtpItems.VlandeleteItems, ['trapstatus', 'istoggleaction'], name, value)




                class PortsecurityItems(Entity):
                    """
                    
                    
                    .. attribute:: accesssecuremacviolation_items
                    
                    	
                    	**type**\:  :py:class:`AccesssecuremacviolationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.AccesssecuremacviolationItems>`
                    
                    .. attribute:: trunksecuremacviolation_items
                    
                    	
                    	**type**\:  :py:class:`TrunksecuremacviolationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.TrunksecuremacviolationItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems, self).__init__()

                        self.yang_name = "portsecurity-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("accesssecuremacviolation-items", ("accesssecuremacviolation_items", System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.AccesssecuremacviolationItems)), ("trunksecuremacviolation-items", ("trunksecuremacviolation_items", System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.TrunksecuremacviolationItems))])
                        self._leafs = OrderedDict()

                        self.accesssecuremacviolation_items = System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.AccesssecuremacviolationItems()
                        self.accesssecuremacviolation_items.parent = self
                        self._children_name_map["accesssecuremacviolation_items"] = "accesssecuremacviolation-items"

                        self.trunksecuremacviolation_items = System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.TrunksecuremacviolationItems()
                        self.trunksecuremacviolation_items.parent = self
                        self._children_name_map["trunksecuremacviolation_items"] = "trunksecuremacviolation-items"
                        self._segment_path = lambda: "portsecurity-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems, [], name, value)


                    class AccesssecuremacviolationItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.AccesssecuremacviolationItems, self).__init__()

                            self.yang_name = "accesssecuremacviolation-items"
                            self.yang_parent_name = "portsecurity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "accesssecuremacviolation-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/portsecurity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.AccesssecuremacviolationItems, ['trapstatus', 'istoggleaction'], name, value)



                    class TrunksecuremacviolationItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.TrunksecuremacviolationItems, self).__init__()

                            self.yang_name = "trunksecuremacviolation-items"
                            self.yang_parent_name = "portsecurity-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None
                            self._segment_path = lambda: "trunksecuremacviolation-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/portsecurity-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.PortsecurityItems.TrunksecuremacviolationItems, ['trapstatus', 'istoggleaction'], name, value)




                class MplsItems(Entity):
                    """
                    
                    
                    .. attribute:: ldp_items
                    
                    	
                    	**type**\:  :py:class:`LdpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.TrapsItems.MplsItems, self).__init__()

                        self.yang_name = "mpls-items"
                        self.yang_parent_name = "traps-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ldp-items", ("ldp_items", System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems))])
                        self._leafs = OrderedDict()

                        self.ldp_items = System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems()
                        self.ldp_items.parent = self
                        self._children_name_map["ldp_items"] = "ldp-items"
                        self._segment_path = lambda: "mpls-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MplsItems, [], name, value)


                    class LdpItems(Entity):
                        """
                        
                        
                        .. attribute:: trapstatus
                        
                        	Status to show enabled/disable trap
                        	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                        
                        .. attribute:: istoggleaction
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: ldpsessiondown_items
                        
                        	
                        	**type**\:  :py:class:`LdpsessiondownItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessiondownItems>`
                        
                        .. attribute:: ldpsessionup_items
                        
                        	
                        	**type**\:  :py:class:`LdpsessionupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessionupItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems, self).__init__()

                            self.yang_name = "ldp-items"
                            self.yang_parent_name = "mpls-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ldpsessiondown-items", ("ldpsessiondown_items", System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessiondownItems)), ("ldpsessionup-items", ("ldpsessionup_items", System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessionupItems))])
                            self._leafs = OrderedDict([
                                ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                            ])
                            self.trapstatus = None
                            self.istoggleaction = None

                            self.ldpsessiondown_items = System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessiondownItems()
                            self.ldpsessiondown_items.parent = self
                            self._children_name_map["ldpsessiondown_items"] = "ldpsessiondown-items"

                            self.ldpsessionup_items = System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessionupItems()
                            self.ldpsessionup_items.parent = self
                            self._children_name_map["ldpsessionup_items"] = "ldpsessionup-items"
                            self._segment_path = lambda: "ldp-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/mpls-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems, ['trapstatus', 'istoggleaction'], name, value)


                        class LdpsessiondownItems(Entity):
                            """
                            
                            
                            .. attribute:: togglestate
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: togglestatecount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: trapstatus
                            
                            	Status to show enabled/disable trap
                            	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                            
                            .. attribute:: istoggleaction
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessiondownItems, self).__init__()

                                self.yang_name = "ldpsessiondown-items"
                                self.yang_parent_name = "ldp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                    ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                    ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                    ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                                ])
                                self.togglestate = None
                                self.togglestatecount = None
                                self.trapstatus = None
                                self.istoggleaction = None
                                self._segment_path = lambda: "ldpsessiondown-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/mpls-items/ldp-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessiondownItems, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)



                        class LdpsessionupItems(Entity):
                            """
                            
                            
                            .. attribute:: togglestate
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: togglestatecount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: trapstatus
                            
                            	Status to show enabled/disable trap
                            	**type**\:  :py:class:`SnmpSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpSnmpTrapSt>`
                            
                            .. attribute:: istoggleaction
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessionupItems, self).__init__()

                                self.yang_name = "ldpsessionup-items"
                                self.yang_parent_name = "ldp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('togglestate', (YLeaf(YType.uint16, 'toggleState'), ['int'])),
                                    ('togglestatecount', (YLeaf(YType.uint16, 'toggleStateCount'), ['int'])),
                                    ('trapstatus', (YLeaf(YType.enumeration, 'trapstatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpSnmpTrapSt', '')])),
                                    ('istoggleaction', (YLeaf(YType.uint16, 'isToggleAction'), ['int'])),
                                ])
                                self.togglestate = None
                                self.togglestatecount = None
                                self.trapstatus = None
                                self.istoggleaction = None
                                self._segment_path = lambda: "ldpsessionup-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/traps-items/mpls-items/ldp-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.TrapsItems.MplsItems.LdpItems.LdpsessionupItems, ['togglestate', 'togglestatecount', 'trapstatus', 'istoggleaction'], name, value)






            class RmtUserItems(Entity):
                """
                
                
                .. attribute:: remoteuser_list
                
                	
                	**type**\: list of  		 :py:class:`RemoteUserList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.RmtUserItems.RemoteUserList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.RmtUserItems, self).__init__()

                    self.yang_name = "rmtUser-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RemoteUser-list", ("remoteuser_list", System.SnmpItems.InstItems.RmtUserItems.RemoteUserList))])
                    self._leafs = OrderedDict()

                    self.remoteuser_list = YList(self)
                    self._segment_path = lambda: "rmtUser-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.RmtUserItems, [], name, value)


                class RemoteUserList(Entity):
                    """
                    
                    
                    .. attribute:: username  (key)
                    
                    	snmp\-server user name
                    	**type**\: str
                    
                    .. attribute:: usrengineid  (key)
                    
                    	Configured Engine Id
                    	**type**\: str
                    
                    .. attribute:: authpwd
                    
                    	Auth Password
                    	**type**\: str
                    
                    	**length:** 0..130
                    
                    .. attribute:: authtype
                    
                    	Auth Protocol Type
                    	**type**\:  :py:class:`SnmpAuthTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpAuthTypeT>`
                    
                    .. attribute:: privpwd
                    
                    	Priv Password
                    	**type**\: str
                    
                    	**length:** 0..130
                    
                    .. attribute:: privtype
                    
                    	Priv Protocol Type
                    	**type**\:  :py:class:`SnmpPrivTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpPrivTypeT>`
                    
                    .. attribute:: islocalizedkey
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: isenforcepriv
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: usrengineidlen
                    
                    	Configured Engine Id len
                    	**type**\: int
                    
                    	**range:** 0..162
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.RmtUserItems.RemoteUserList, self).__init__()

                        self.yang_name = "RemoteUser-list"
                        self.yang_parent_name = "rmtUser-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['username','usrengineid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('username', (YLeaf(YType.str, 'userName'), ['str'])),
                            ('usrengineid', (YLeaf(YType.str, 'usrengineId'), ['str'])),
                            ('authpwd', (YLeaf(YType.str, 'authpwd'), ['str'])),
                            ('authtype', (YLeaf(YType.enumeration, 'authtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpAuthTypeT', '')])),
                            ('privpwd', (YLeaf(YType.str, 'privpwd'), ['str'])),
                            ('privtype', (YLeaf(YType.enumeration, 'privtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpPrivTypeT', '')])),
                            ('islocalizedkey', (YLeaf(YType.boolean, 'islocalizedkey'), ['bool'])),
                            ('isenforcepriv', (YLeaf(YType.boolean, 'isenforcepriv'), ['bool'])),
                            ('usrengineidlen', (YLeaf(YType.uint8, 'usrengineIdlen'), ['int'])),
                        ])
                        self.username = None
                        self.usrengineid = None
                        self.authpwd = None
                        self.authtype = None
                        self.privpwd = None
                        self.privtype = None
                        self.islocalizedkey = None
                        self.isenforcepriv = None
                        self.usrengineidlen = None
                        self._segment_path = lambda: "RemoteUser-list" + "[userName='" + str(self.username) + "']" + "[usrengineId='" + str(self.usrengineid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/rmtUser-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.RmtUserItems.RemoteUserList, ['username', 'usrengineid', 'authpwd', 'authtype', 'privpwd', 'privtype', 'islocalizedkey', 'isenforcepriv', 'usrengineidlen'], name, value)




            class LclUserItems(Entity):
                """
                
                
                .. attribute:: localuser_list
                
                	
                	**type**\: list of  		 :py:class:`LocalUserList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.LclUserItems.LocalUserList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SnmpItems.InstItems.LclUserItems, self).__init__()

                    self.yang_name = "lclUser-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("LocalUser-list", ("localuser_list", System.SnmpItems.InstItems.LclUserItems.LocalUserList))])
                    self._leafs = OrderedDict()

                    self.localuser_list = YList(self)
                    self._segment_path = lambda: "lclUser-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SnmpItems.InstItems.LclUserItems, [], name, value)


                class LocalUserList(Entity):
                    """
                    
                    
                    .. attribute:: username  (key)
                    
                    	snmp\-server user name
                    	**type**\: str
                    
                    .. attribute:: authpwd
                    
                    	Auth Password
                    	**type**\: str
                    
                    	**length:** 0..130
                    
                    .. attribute:: authtype
                    
                    	Auth Protocol Type
                    	**type**\:  :py:class:`SnmpAuthTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpAuthTypeT>`
                    
                    .. attribute:: privpwd
                    
                    	Priv Password
                    	**type**\: str
                    
                    	**length:** 0..130
                    
                    .. attribute:: privtype
                    
                    	Priv Protocol Type
                    	**type**\:  :py:class:`SnmpPrivTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SnmpPrivTypeT>`
                    
                    .. attribute:: islocalizedkey
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: isenforcepriv
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: usrengineid
                    
                    	Configured Engine Id
                    	**type**\: str
                    
                    .. attribute:: usrengineidlen
                    
                    	Configured Engine Id len
                    	**type**\: int
                    
                    	**range:** 0..162
                    
                    .. attribute:: group_items
                    
                    	
                    	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SnmpItems.InstItems.LclUserItems.LocalUserList, self).__init__()

                        self.yang_name = "LocalUser-list"
                        self.yang_parent_name = "lclUser-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['username']
                        self._child_classes = OrderedDict([("group-items", ("group_items", System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems))])
                        self._leafs = OrderedDict([
                            ('username', (YLeaf(YType.str, 'userName'), ['str'])),
                            ('authpwd', (YLeaf(YType.str, 'authpwd'), ['str'])),
                            ('authtype', (YLeaf(YType.enumeration, 'authtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpAuthTypeT', '')])),
                            ('privpwd', (YLeaf(YType.str, 'privpwd'), ['str'])),
                            ('privtype', (YLeaf(YType.enumeration, 'privtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SnmpPrivTypeT', '')])),
                            ('islocalizedkey', (YLeaf(YType.boolean, 'islocalizedkey'), ['bool'])),
                            ('isenforcepriv', (YLeaf(YType.boolean, 'isenforcepriv'), ['bool'])),
                            ('usrengineid', (YLeaf(YType.str, 'usrengineId'), ['str'])),
                            ('usrengineidlen', (YLeaf(YType.uint8, 'usrengineIdlen'), ['int'])),
                        ])
                        self.username = None
                        self.authpwd = None
                        self.authtype = None
                        self.privpwd = None
                        self.privtype = None
                        self.islocalizedkey = None
                        self.isenforcepriv = None
                        self.usrengineid = None
                        self.usrengineidlen = None

                        self.group_items = System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems()
                        self.group_items.parent = self
                        self._children_name_map["group_items"] = "group-items"
                        self._segment_path = lambda: "LocalUser-list" + "[userName='" + str(self.username) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/snmp-items/inst-items/lclUser-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SnmpItems.InstItems.LclUserItems.LocalUserList, ['username', 'authpwd', 'authtype', 'privpwd', 'privtype', 'islocalizedkey', 'isenforcepriv', 'usrengineid', 'usrengineidlen'], name, value)


                    class GroupItems(Entity):
                        """
                        
                        
                        .. attribute:: usergroup_list
                        
                        	
                        	**type**\: list of  		 :py:class:`UserGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems.UserGroupList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems, self).__init__()

                            self.yang_name = "group-items"
                            self.yang_parent_name = "LocalUser-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("UserGroup-list", ("usergroup_list", System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems.UserGroupList))])
                            self._leafs = OrderedDict()

                            self.usergroup_list = YList(self)
                            self._segment_path = lambda: "group-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems, [], name, value)


                        class UserGroupList(Entity):
                            """
                            
                            
                            .. attribute:: groupname  (key)
                            
                            	snmp\-server user name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems.UserGroupList, self).__init__()

                                self.yang_name = "UserGroup-list"
                                self.yang_parent_name = "group-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['groupname']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('groupname', (YLeaf(YType.str, 'groupName'), ['str'])),
                                ])
                                self.groupname = None
                                self._segment_path = lambda: "UserGroup-list" + "[groupName='" + str(self.groupname) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SnmpItems.InstItems.LclUserItems.LocalUserList.GroupItems.UserGroupList, ['groupname'], name, value)








    class SyslogacctItems(Entity):
        """
        
        
        .. attribute:: timertick
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SyslogacctItems, self).__init__()

            self.yang_name = "syslogacct-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('timertick', (YLeaf(YType.uint32, 'timerTick'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.timertick = None
            self.name = None
            self.adminst = None
            self.operst = None
            self._segment_path = lambda: "syslogacct-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SyslogacctItems, ['timertick', 'name', 'adminst', 'operst'], name, value)



    class SyslogItems(Entity):
        """
        
        
        .. attribute:: timestamp_items
        
        	
        	**type**\:  :py:class:`TimestampItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.TimestampItems>`
        
        .. attribute:: level_items
        
        	
        	**type**\:  :py:class:`LevelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.LevelItems>`
        
        .. attribute:: monitor_items
        
        	
        	**type**\:  :py:class:`MonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.MonitorItems>`
        
        .. attribute:: console_items
        
        	
        	**type**\:  :py:class:`ConsoleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.ConsoleItems>`
        
        .. attribute:: originid_items
        
        	
        	**type**\:  :py:class:`OriginidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.OriginidItems>`
        
        .. attribute:: rdst_items
        
        	
        	**type**\:  :py:class:`RdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems>`
        
        .. attribute:: source_items
        
        	
        	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.SourceItems>`
        
        .. attribute:: file_items
        
        	
        	**type**\:  :py:class:`FileItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.FileItems>`
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SyslogItems, self).__init__()

            self.yang_name = "syslog-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("timestamp-items", ("timestamp_items", System.SyslogItems.TimestampItems)), ("level-items", ("level_items", System.SyslogItems.LevelItems)), ("monitor-items", ("monitor_items", System.SyslogItems.MonitorItems)), ("console-items", ("console_items", System.SyslogItems.ConsoleItems)), ("originid-items", ("originid_items", System.SyslogItems.OriginidItems)), ("rdst-items", ("rdst_items", System.SyslogItems.RdstItems)), ("source-items", ("source_items", System.SyslogItems.SourceItems)), ("file-items", ("file_items", System.SyslogItems.FileItems)), ("inst-items", ("inst_items", System.SyslogItems.InstItems))])
            self._leafs = OrderedDict()

            self.timestamp_items = System.SyslogItems.TimestampItems()
            self.timestamp_items.parent = self
            self._children_name_map["timestamp_items"] = "timestamp-items"

            self.level_items = System.SyslogItems.LevelItems()
            self.level_items.parent = self
            self._children_name_map["level_items"] = "level-items"

            self.monitor_items = System.SyslogItems.MonitorItems()
            self.monitor_items.parent = self
            self._children_name_map["monitor_items"] = "monitor-items"

            self.console_items = System.SyslogItems.ConsoleItems()
            self.console_items.parent = self
            self._children_name_map["console_items"] = "console-items"

            self.originid_items = System.SyslogItems.OriginidItems()
            self.originid_items.parent = self
            self._children_name_map["originid_items"] = "originid-items"

            self.rdst_items = System.SyslogItems.RdstItems()
            self.rdst_items.parent = self
            self._children_name_map["rdst_items"] = "rdst-items"

            self.source_items = System.SyslogItems.SourceItems()
            self.source_items.parent = self
            self._children_name_map["source_items"] = "source-items"

            self.file_items = System.SyslogItems.FileItems()
            self.file_items.parent = self
            self._children_name_map["file_items"] = "file-items"

            self.inst_items = System.SyslogItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "syslog-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SyslogItems, [], name, value)


        class TimestampItems(Entity):
            """
            
            
            .. attribute:: format
            
            	Format
            	**type**\:  :py:class:`SyslogTimeStampFormat <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogTimeStampFormat>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.TimestampItems, self).__init__()

                self.yang_name = "timestamp-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('format', (YLeaf(YType.enumeration, 'format'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogTimeStampFormat', '')])),
                ])
                self.format = None
                self._segment_path = lambda: "timestamp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.TimestampItems, ['format'], name, value)



        class LevelItems(Entity):
            """
            
            
            .. attribute:: level_list
            
            	
            	**type**\: list of  		 :py:class:`LevelList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.LevelItems.LevelList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.LevelItems, self).__init__()

                self.yang_name = "level-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Level-list", ("level_list", System.SyslogItems.LevelItems.LevelList))])
                self._leafs = OrderedDict()

                self.level_list = YList(self)
                self._segment_path = lambda: "level-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.LevelItems, [], name, value)


            class LevelList(Entity):
                """
                
                
                .. attribute:: facility  (key)
                
                	Facility Name
                	**type**\:  :py:class:`SyslogFacility <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogFacility>`
                
                .. attribute:: severity
                
                	Severity
                	**type**\:  :py:class:`SyslogSeverityLevelSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverityLevelSeverity>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SyslogItems.LevelItems.LevelList, self).__init__()

                    self.yang_name = "Level-list"
                    self.yang_parent_name = "level-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['facility']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('facility', (YLeaf(YType.enumeration, 'facility'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogFacility', '')])),
                        ('severity', (YLeaf(YType.enumeration, 'severity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverityLevelSeverity', '')])),
                    ])
                    self.facility = None
                    self.severity = None
                    self._segment_path = lambda: "Level-list" + "[facility='" + str(self.facility) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/level-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SyslogItems.LevelItems.LevelList, ['facility', 'severity'], name, value)




        class MonitorItems(Entity):
            """
            
            
            .. attribute:: adminstate
            
            	TBD
            	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
            
            .. attribute:: severity
            
            	Severity
            	**type**\:  :py:class:`SyslogSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverity>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.MonitorItems, self).__init__()

                self.yang_name = "monitor-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                    ('severity', (YLeaf(YType.enumeration, 'severity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverity', '')])),
                ])
                self.adminstate = None
                self.severity = None
                self._segment_path = lambda: "monitor-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.MonitorItems, ['adminstate', 'severity'], name, value)



        class ConsoleItems(Entity):
            """
            
            
            .. attribute:: adminstate
            
            	TBD
            	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
            
            .. attribute:: severity
            
            	Severity
            	**type**\:  :py:class:`SyslogSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverity>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.ConsoleItems, self).__init__()

                self.yang_name = "console-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                    ('severity', (YLeaf(YType.enumeration, 'severity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverity', '')])),
                ])
                self.adminstate = None
                self.severity = None
                self._segment_path = lambda: "console-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.ConsoleItems, ['adminstate', 'severity'], name, value)



        class OriginidItems(Entity):
            """
            
            
            .. attribute:: idtype
            
            	OriginId type for Hostname, IP or String
            	**type**\:  :py:class:`SyslogOriginIdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogOriginIdType>`
            
            .. attribute:: idvalue
            
            	OriginId value for Hostname, IP or String
            	**type**\: str
            
            	**length:** 0..199
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.OriginidItems, self).__init__()

                self.yang_name = "originid-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('idtype', (YLeaf(YType.enumeration, 'idtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogOriginIdType', '')])),
                    ('idvalue', (YLeaf(YType.str, 'idvalue'), ['str'])),
                ])
                self.idtype = None
                self.idvalue = None
                self._segment_path = lambda: "originid-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.OriginidItems, ['idtype', 'idvalue'], name, value)



        class RdstItems(Entity):
            """
            
            
            .. attribute:: remotedest_list
            
            	
            	**type**\: list of  		 :py:class:`RemoteDestList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems.RemoteDestList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.RdstItems, self).__init__()

                self.yang_name = "rdst-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RemoteDest-list", ("remotedest_list", System.SyslogItems.RdstItems.RemoteDestList))])
                self._leafs = OrderedDict()

                self.remotedest_list = YList(self)
                self._segment_path = lambda: "rdst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.RdstItems, [], name, value)


            class RemoteDestList(Entity):
                """
                
                
                .. attribute:: host  (key)
                
                	Host
                	**type**\: str
                
                	**length:** 1..255
                
                .. attribute:: severity
                
                	Severity
                	**type**\:  :py:class:`SyslogSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverity>`
                
                .. attribute:: port
                
                	Port
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: transport
                
                	Transport
                	**type**\:  :py:class:`MonTransport <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonTransport>`
                
                .. attribute:: trustpointclientidentity
                
                	
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: forwardingfacility
                
                	Forward Facility
                	**type**\:  :py:class:`SyslogFacility <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogFacility>`
                
                .. attribute:: adminstate
                
                	TBD
                	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
                
                .. attribute:: vrfid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: ip
                
                	ip address
                	**type**\: str
                
                	**length:** 1..256
                
                .. attribute:: operstate
                
                	TBD
                	**type**\:  :py:class:`SyslogOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogOperState>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: epgdn
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: vrfname
                
                	Vrf Name
                	**type**\: str
                
                .. attribute:: destst_items
                
                	
                	**type**\:  :py:class:`DeststItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems.RemoteDestList.DeststItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SyslogItems.RdstItems.RemoteDestList, self).__init__()

                    self.yang_name = "RemoteDest-list"
                    self.yang_parent_name = "rdst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['host']
                    self._child_classes = OrderedDict([("destst-items", ("destst_items", System.SyslogItems.RdstItems.RemoteDestList.DeststItems))])
                    self._leafs = OrderedDict([
                        ('host', (YLeaf(YType.str, 'host'), ['str'])),
                        ('severity', (YLeaf(YType.enumeration, 'severity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverity', '')])),
                        ('port', (YLeaf(YType.uint32, 'port'), ['int'])),
                        ('transport', (YLeaf(YType.enumeration, 'transport'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonTransport', '')])),
                        ('trustpointclientidentity', (YLeaf(YType.str, 'trustpointClientIdentity'), ['str'])),
                        ('forwardingfacility', (YLeaf(YType.enumeration, 'forwardingFacility'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogFacility', '')])),
                        ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                        ('vrfid', (YLeaf(YType.uint32, 'vrfId'), ['int'])),
                        ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                        ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogOperState', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                        ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                    ])
                    self.host = None
                    self.severity = None
                    self.port = None
                    self.transport = None
                    self.trustpointclientidentity = None
                    self.forwardingfacility = None
                    self.adminstate = None
                    self.vrfid = None
                    self.ip = None
                    self.operstate = None
                    self.name = None
                    self.descr = None
                    self.epgdn = None
                    self.vrfname = None

                    self.destst_items = System.SyslogItems.RdstItems.RemoteDestList.DeststItems()
                    self.destst_items.parent = self
                    self._children_name_map["destst_items"] = "destst-items"
                    self._segment_path = lambda: "RemoteDest-list" + "[host='" + str(self.host) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/rdst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SyslogItems.RdstItems.RemoteDestList, ['host', 'severity', 'port', 'transport', 'trustpointclientidentity', 'forwardingfacility', 'adminstate', 'vrfid', 'ip', 'operstate', 'name', 'descr', 'epgdn', 'vrfname'], name, value)


                class DeststItems(Entity):
                    """
                    
                    
                    .. attribute:: deststate_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DestStateList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SyslogItems.RdstItems.RemoteDestList.DeststItems, self).__init__()

                        self.yang_name = "destst-items"
                        self.yang_parent_name = "RemoteDest-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DestState-list", ("deststate_list", System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList))])
                        self._leafs = OrderedDict()

                        self.deststate_list = YList(self)
                        self._segment_path = lambda: "destst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SyslogItems.RdstItems.RemoteDestList.DeststItems, [], name, value)


                    class DestStateList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: operstate
                        
                        	TBD
                        	**type**\:  :py:class:`SyslogOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogOperState>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrfid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: ip
                        
                        	ip address
                        	**type**\: str
                        
                        	**length:** 1..256
                        
                        	**config**\: False
                        
                        .. attribute:: totalbufferedmsgs
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: totaldroppedmsgs
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: msg_items
                        
                        	
                        	**type**\:  :py:class:`MsgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList, self).__init__()

                            self.yang_name = "DestState-list"
                            self.yang_parent_name = "destst-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("msg-items", ("msg_items", System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogOperState', '')])),
                                ('vrfid', (YLeaf(YType.uint32, 'vrfId'), ['int'])),
                                ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                ('totalbufferedmsgs', (YLeaf(YType.uint32, 'totalBufferedMsgs'), ['int'])),
                                ('totaldroppedmsgs', (YLeaf(YType.uint32, 'totalDroppedMsgs'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.operstate = None
                            self.vrfid = None
                            self.ip = None
                            self.totalbufferedmsgs = None
                            self.totaldroppedmsgs = None
                            self.descr = None

                            self.msg_items = System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems()
                            self.msg_items.parent = self
                            self._children_name_map["msg_items"] = "msg-items"
                            self._segment_path = lambda: "DestState-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList, ['name', 'operstate', 'vrfid', 'ip', 'totalbufferedmsgs', 'totaldroppedmsgs', 'descr'], name, value)


                        class MsgItems(Entity):
                            """
                            
                            
                            .. attribute:: logmsg_list
                            
                            	
                            	**type**\: list of  		 :py:class:`LogMsgList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems.LogMsgList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems, self).__init__()

                                self.yang_name = "msg-items"
                                self.yang_parent_name = "DestState-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("LogMsg-list", ("logmsg_list", System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems.LogMsgList))])
                                self._leafs = OrderedDict()

                                self.logmsg_list = YList(self)
                                self._segment_path = lambda: "msg-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems, [], name, value)


                            class LogMsgList(Entity):
                                """
                                
                                
                                .. attribute:: index  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: message
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: facility
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: severity
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems.LogMsgList, self).__init__()

                                    self.yang_name = "LogMsg-list"
                                    self.yang_parent_name = "msg-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['index']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                        ('message', (YLeaf(YType.str, 'message'), ['str'])),
                                        ('facility', (YLeaf(YType.str, 'facility'), ['str'])),
                                        ('severity', (YLeaf(YType.uint16, 'severity'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.index = None
                                    self.message = None
                                    self.facility = None
                                    self.severity = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "LogMsg-list" + "[index='" + str(self.index) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.SyslogItems.RdstItems.RemoteDestList.DeststItems.DestStateList.MsgItems.LogMsgList, ['index', 'message', 'facility', 'severity', 'name', 'descr'], name, value)








        class SourceItems(Entity):
            """
            
            
            .. attribute:: adminstate
            
            	TBD
            	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
            
            .. attribute:: ifname
            
            	Interface
            	**type**\: str
            
            .. attribute:: operstate
            
            	TBD
            	**type**\:  :py:class:`SyslogOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogOperState>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.SourceItems, self).__init__()

                self.yang_name = "source-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                    ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                    ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogOperState', '')])),
                ])
                self.adminstate = None
                self.ifname = None
                self.operstate = None
                self._segment_path = lambda: "source-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.SourceItems, ['adminstate', 'ifname', 'operstate'], name, value)



        class FileItems(Entity):
            """
            
            
            .. attribute:: adminstate
            
            	TBD
            	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
            
            .. attribute:: severity
            
            	Severity
            	**type**\:  :py:class:`SyslogSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverity>`
            
            .. attribute:: size
            
            	Size
            	**type**\: int
            
            	**range:** 4096..4194304
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.FileItems, self).__init__()

                self.yang_name = "file-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                    ('severity', (YLeaf(YType.enumeration, 'severity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverity', '')])),
                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.adminstate = None
                self.severity = None
                self.size = None
                self.name = None
                self.descr = None
                self._segment_path = lambda: "file-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.FileItems, ['adminstate', 'severity', 'size', 'name', 'descr'], name, value)



        class InstItems(Entity):
            """
            
            
            .. attribute:: modadminstate
            
            	TBD
            	**type**\:  :py:class:`MonAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonAdminState>`
            
            .. attribute:: modseverity
            
            	Severity level
            	**type**\:  :py:class:`SyslogSeverity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SyslogSeverity>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SyslogItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "syslog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('modadminstate', (YLeaf(YType.enumeration, 'modAdminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonAdminState', '')])),
                    ('modseverity', (YLeaf(YType.enumeration, 'modSeverity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SyslogSeverity', '')])),
                ])
                self.modadminstate = None
                self.modseverity = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/syslog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SyslogItems.InstItems, ['modadminstate', 'modseverity'], name, value)




    class MtsItems(Entity):
        """
        
        
        .. attribute:: topsaps_items
        
        	
        	**type**\:  :py:class:`TopsapsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.TopsapsItems>`
        
        .. attribute:: qfullsaps_items
        
        	
        	**type**\:  :py:class:`QfullsapsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.QfullsapsItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MtsItems, self).__init__()

            self.yang_name = "mts-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("topsaps-items", ("topsaps_items", System.MtsItems.TopsapsItems)), ("qfullsaps-items", ("qfullsaps_items", System.MtsItems.QfullsapsItems))])
            self._leafs = OrderedDict()

            self.topsaps_items = System.MtsItems.TopsapsItems()
            self.topsaps_items.parent = self
            self._children_name_map["topsaps_items"] = "topsaps-items"

            self.qfullsaps_items = System.MtsItems.QfullsapsItems()
            self.qfullsaps_items.parent = self
            self._children_name_map["qfullsaps_items"] = "qfullsaps-items"
            self._segment_path = lambda: "mts-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MtsItems, [], name, value)


        class TopsapsItems(Entity):
            """
            
            
            .. attribute:: memused
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: tsap_items
            
            	
            	**type**\:  :py:class:`TsapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.TopsapsItems.TsapItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MtsItems.TopsapsItems, self).__init__()

                self.yang_name = "topsaps-items"
                self.yang_parent_name = "mts-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("tsap-items", ("tsap_items", System.MtsItems.TopsapsItems.TsapItems))])
                self._leafs = OrderedDict([
                    ('memused', (YLeaf(YType.uint32, 'memUsed'), ['int'])),
                ])
                self.memused = None

                self.tsap_items = System.MtsItems.TopsapsItems.TsapItems()
                self.tsap_items.parent = self
                self._children_name_map["tsap_items"] = "tsap-items"
                self._segment_path = lambda: "topsaps-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MtsItems.TopsapsItems, ['memused'], name, value)


            class TsapItems(Entity):
                """
                
                
                .. attribute:: tsap_list
                
                	
                	**type**\: list of  		 :py:class:`TSapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.TopsapsItems.TsapItems.TSapList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MtsItems.TopsapsItems.TsapItems, self).__init__()

                    self.yang_name = "tsap-items"
                    self.yang_parent_name = "topsaps-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("TSap-list", ("tsap_list", System.MtsItems.TopsapsItems.TsapItems.TSapList))])
                    self._leafs = OrderedDict()

                    self.tsap_list = YList(self)
                    self._segment_path = lambda: "tsap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/topsaps-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MtsItems.TopsapsItems.TsapItems, [], name, value)


                class TSapList(Entity):
                    """
                    
                    
                    .. attribute:: index  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: sapid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: desc
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: msgcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: bytescount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: memusedintotalmem
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: memusedinsapshare
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nodeid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MtsItems.TopsapsItems.TsapItems.TSapList, self).__init__()

                        self.yang_name = "TSap-list"
                        self.yang_parent_name = "tsap-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['index']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                            ('sapid', (YLeaf(YType.uint32, 'sapId'), ['int'])),
                            ('desc', (YLeaf(YType.str, 'desc'), ['str'])),
                            ('process', (YLeaf(YType.str, 'process'), ['str'])),
                            ('timestamp', (YLeaf(YType.str, 'timestamp'), ['str'])),
                            ('msgcount', (YLeaf(YType.uint32, 'msgCount'), ['int'])),
                            ('bytescount', (YLeaf(YType.uint32, 'bytesCount'), ['int'])),
                            ('memusedintotalmem', (YLeaf(YType.uint32, 'memUsedInTotalMem'), ['int'])),
                            ('memusedinsapshare', (YLeaf(YType.uint32, 'memUsedInSapShare'), ['int'])),
                            ('nodeid', (YLeaf(YType.uint32, 'nodeId'), ['int'])),
                        ])
                        self.index = None
                        self.sapid = None
                        self.desc = None
                        self.process = None
                        self.timestamp = None
                        self.msgcount = None
                        self.bytescount = None
                        self.memusedintotalmem = None
                        self.memusedinsapshare = None
                        self.nodeid = None
                        self._segment_path = lambda: "TSap-list" + "[index='" + str(self.index) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/topsaps-items/tsap-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MtsItems.TopsapsItems.TsapItems.TSapList, ['index', 'sapid', 'desc', 'process', 'timestamp', 'msgcount', 'bytescount', 'memusedintotalmem', 'memusedinsapshare', 'nodeid'], name, value)





        class QfullsapsItems(Entity):
            """
            
            
            .. attribute:: qsap_items
            
            	
            	**type**\:  :py:class:`QsapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.QfullsapsItems.QsapItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MtsItems.QfullsapsItems, self).__init__()

                self.yang_name = "qfullsaps-items"
                self.yang_parent_name = "mts-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("qsap-items", ("qsap_items", System.MtsItems.QfullsapsItems.QsapItems))])
                self._leafs = OrderedDict()

                self.qsap_items = System.MtsItems.QfullsapsItems.QsapItems()
                self.qsap_items.parent = self
                self._children_name_map["qsap_items"] = "qsap-items"
                self._segment_path = lambda: "qfullsaps-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MtsItems.QfullsapsItems, [], name, value)


            class QsapItems(Entity):
                """
                
                
                .. attribute:: qsap_list
                
                	
                	**type**\: list of  		 :py:class:`QSapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MtsItems.QfullsapsItems.QsapItems.QSapList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MtsItems.QfullsapsItems.QsapItems, self).__init__()

                    self.yang_name = "qsap-items"
                    self.yang_parent_name = "qfullsaps-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("QSap-list", ("qsap_list", System.MtsItems.QfullsapsItems.QsapItems.QSapList))])
                    self._leafs = OrderedDict()

                    self.qsap_list = YList(self)
                    self._segment_path = lambda: "qsap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/qfullsaps-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MtsItems.QfullsapsItems.QsapItems, [], name, value)


                class QSapList(Entity):
                    """
                    
                    
                    .. attribute:: sapid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: qstate
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: desc
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: msgcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: bytescount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: memusedintotalmem
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: memusedinsapshare
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: index
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nodeid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MtsItems.QfullsapsItems.QsapItems.QSapList, self).__init__()

                        self.yang_name = "QSap-list"
                        self.yang_parent_name = "qsap-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['sapid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('sapid', (YLeaf(YType.uint32, 'sapId'), ['int'])),
                            ('qstate', (YLeaf(YType.str, 'qstate'), ['str'])),
                            ('desc', (YLeaf(YType.str, 'desc'), ['str'])),
                            ('process', (YLeaf(YType.str, 'process'), ['str'])),
                            ('timestamp', (YLeaf(YType.str, 'timestamp'), ['str'])),
                            ('msgcount', (YLeaf(YType.uint32, 'msgCount'), ['int'])),
                            ('bytescount', (YLeaf(YType.uint32, 'bytesCount'), ['int'])),
                            ('memusedintotalmem', (YLeaf(YType.uint32, 'memUsedInTotalMem'), ['int'])),
                            ('memusedinsapshare', (YLeaf(YType.uint32, 'memUsedInSapShare'), ['int'])),
                            ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                            ('nodeid', (YLeaf(YType.uint32, 'nodeId'), ['int'])),
                        ])
                        self.sapid = None
                        self.qstate = None
                        self.desc = None
                        self.process = None
                        self.timestamp = None
                        self.msgcount = None
                        self.bytescount = None
                        self.memusedintotalmem = None
                        self.memusedinsapshare = None
                        self.index = None
                        self.nodeid = None
                        self._segment_path = lambda: "QSap-list" + "[sapId='" + str(self.sapid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mts-items/qfullsaps-items/qsap-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MtsItems.QfullsapsItems.QsapItems.QSapList, ['sapid', 'qstate', 'desc', 'process', 'timestamp', 'msgcount', 'bytescount', 'memusedintotalmem', 'memusedinsapshare', 'index', 'nodeid'], name, value)






    class NatItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NatItems, self).__init__()

            self.yang_name = "nat-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.NatItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.NatItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "nat-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NatItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: tcptimeout
            
            	NAT tcp timeout values 
            	**type**\: int
            
            	**range:** 60..172800
            
            .. attribute:: udptimeout
            
            	NAT udp timeout value
            	**type**\: int
            
            	**range:** 60..172800
            
            .. attribute:: icmptimeout
            
            	NAT icmp timeout value
            	**type**\: int
            
            	**range:** 60..172800
            
            .. attribute:: timeout
            
            	NAT timeout value
            	**type**\: int
            
            	**range:** 60..172800
            
            .. attribute:: finrsttimeout
            
            	FIN or RST Timeout
            	**type**\: int
            
            	**range:** \-1..172800
            
            .. attribute:: syntimeout
            
            	SYN Timeout value
            	**type**\: int
            
            	**range:** \-1..172800
            
            .. attribute:: configerror
            
            	Config error FINRST SYN timers
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: maxtranslation
            
            	NAT max trasnaltions
            	**type**\: int
            
            	**range:** 1..1023
            
            .. attribute:: allhost
            
            	NAT max trasnaltions all host
            	**type**\: int
            
            	**range:** 0..1023
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: pool_items
            
            	
            	**type**\:  :py:class:`PoolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems.InstItems.PoolItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NatItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "nat-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("pool-items", ("pool_items", System.NatItems.InstItems.PoolItems))])
                self._leafs = OrderedDict([
                    ('tcptimeout', (YLeaf(YType.uint32, 'tcpTimeout'), ['int'])),
                    ('udptimeout', (YLeaf(YType.uint32, 'udpTimeout'), ['int'])),
                    ('icmptimeout', (YLeaf(YType.uint32, 'icmpTimeout'), ['int'])),
                    ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                    ('finrsttimeout', (YLeaf(YType.int32, 'finrstTimeout'), ['int'])),
                    ('syntimeout', (YLeaf(YType.int32, 'synTimeout'), ['int'])),
                    ('configerror', (YLeaf(YType.str, 'configError'), ['str'])),
                    ('maxtranslation', (YLeaf(YType.uint32, 'maxtranslation'), ['int'])),
                    ('allhost', (YLeaf(YType.uint32, 'allhost'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.tcptimeout = None
                self.udptimeout = None
                self.icmptimeout = None
                self.timeout = None
                self.finrsttimeout = None
                self.syntimeout = None
                self.configerror = None
                self.maxtranslation = None
                self.allhost = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.pool_items = System.NatItems.InstItems.PoolItems()
                self.pool_items.parent = self
                self._children_name_map["pool_items"] = "pool-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nat-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NatItems.InstItems, ['tcptimeout', 'udptimeout', 'icmptimeout', 'timeout', 'finrsttimeout', 'syntimeout', 'configerror', 'maxtranslation', 'allhost', 'name', 'adminst', 'ctrl'], name, value)


            class PoolItems(Entity):
                """
                
                
                .. attribute:: pool_list
                
                	
                	**type**\: list of  		 :py:class:`PoolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems.InstItems.PoolItems.PoolList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NatItems.InstItems.PoolItems, self).__init__()

                    self.yang_name = "pool-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Pool-list", ("pool_list", System.NatItems.InstItems.PoolItems.PoolList))])
                    self._leafs = OrderedDict()

                    self.pool_list = YList(self)
                    self._segment_path = lambda: "pool-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nat-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NatItems.InstItems.PoolItems, [], name, value)


                class PoolList(Entity):
                    """
                    
                    
                    .. attribute:: poolname  (key)
                    
                    	NAT pool name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: prefixlen
                    
                    	NAT prefix len
                    	**type**\: int
                    
                    	**range:** 0..32
                    
                    .. attribute:: noalias
                    
                    	NAT no alias
                    	**type**\: bool
                    
                    .. attribute:: startip_items
                    
                    	
                    	**type**\:  :py:class:`StartipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems.InstItems.PoolItems.PoolList.StartipItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NatItems.InstItems.PoolItems.PoolList, self).__init__()

                        self.yang_name = "Pool-list"
                        self.yang_parent_name = "pool-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['poolname']
                        self._child_classes = OrderedDict([("startip-items", ("startip_items", System.NatItems.InstItems.PoolItems.PoolList.StartipItems))])
                        self._leafs = OrderedDict([
                            ('poolname', (YLeaf(YType.str, 'poolname'), ['str'])),
                            ('mask', (YLeaf(YType.str, 'mask'), ['str','str'])),
                            ('prefixlen', (YLeaf(YType.uint32, 'prefixlen'), ['int'])),
                            ('noalias', (YLeaf(YType.boolean, 'noalias'), ['bool'])),
                        ])
                        self.poolname = None
                        self.mask = None
                        self.prefixlen = None
                        self.noalias = None

                        self.startip_items = System.NatItems.InstItems.PoolItems.PoolList.StartipItems()
                        self.startip_items.parent = self
                        self._children_name_map["startip_items"] = "startip-items"
                        self._segment_path = lambda: "Pool-list" + "[poolname='" + str(self.poolname) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nat-items/inst-items/pool-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NatItems.InstItems.PoolItems.PoolList, ['poolname', 'mask', 'prefixlen', 'noalias'], name, value)


                    class StartipItems(Entity):
                        """
                        
                        
                        .. attribute:: pooladdress_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PoolAddressList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NatItems.InstItems.PoolItems.PoolList.StartipItems.PoolAddressList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NatItems.InstItems.PoolItems.PoolList.StartipItems, self).__init__()

                            self.yang_name = "startip-items"
                            self.yang_parent_name = "Pool-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PoolAddress-list", ("pooladdress_list", System.NatItems.InstItems.PoolItems.PoolList.StartipItems.PoolAddressList))])
                            self._leafs = OrderedDict()

                            self.pooladdress_list = YList(self)
                            self._segment_path = lambda: "startip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NatItems.InstItems.PoolItems.PoolList.StartipItems, [], name, value)


                        class PoolAddressList(Entity):
                            """
                            
                            
                            .. attribute:: startip  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: endip  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: configerr
                            
                            	Config error pool address
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pooladdrdeleted
                            
                            	Pool address deleted
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NatItems.InstItems.PoolItems.PoolList.StartipItems.PoolAddressList, self).__init__()

                                self.yang_name = "PoolAddress-list"
                                self.yang_parent_name = "startip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['startip','endip']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('startip', (YLeaf(YType.str, 'startip'), ['str','str'])),
                                    ('endip', (YLeaf(YType.str, 'endip'), ['str','str'])),
                                    ('configerr', (YLeaf(YType.str, 'configErr'), ['str'])),
                                    ('pooladdrdeleted', (YLeaf(YType.boolean, 'poolAddrDeleted'), ['bool'])),
                                ])
                                self.startip = None
                                self.endip = None
                                self.configerr = None
                                self.pooladdrdeleted = None
                                self._segment_path = lambda: "PoolAddress-list" + "[startip='" + str(self.startip) + "']" + "[endip='" + str(self.endip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NatItems.InstItems.PoolItems.PoolList.StartipItems.PoolAddressList, ['startip', 'endip', 'configerr', 'pooladdrdeleted'], name, value)








    class OdcreqItems(Entity):
        """
        
        
        .. attribute:: odevcmdreq_list
        
        	
        	**type**\: list of  		 :py:class:`ODevCmdReqList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OdcreqItems.ODevCmdReqList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.OdcreqItems, self).__init__()

            self.yang_name = "odcreq-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ODevCmdReq-list", ("odevcmdreq_list", System.OdcreqItems.ODevCmdReqList))])
            self._leafs = OrderedDict()

            self.odevcmdreq_list = YList(self)
            self._segment_path = lambda: "odcreq-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.OdcreqItems, [], name, value)


        class ODevCmdReqList(Entity):
            """
            
            
            .. attribute:: devid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: sessid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: cmdid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: req
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            .. attribute:: id
            
            	Id
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OdcreqItems.ODevCmdReqList, self).__init__()

                self.yang_name = "ODevCmdReq-list"
                self.yang_parent_name = "odcreq-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['devid','sessid','cmdid']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                    ('sessid', (YLeaf(YType.uint32, 'sessId'), ['int'])),
                    ('cmdid', (YLeaf(YType.uint32, 'cmdId'), ['int'])),
                    ('req', (YLeaf(YType.str, 'req'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                ])
                self.devid = None
                self.sessid = None
                self.cmdid = None
                self.req = None
                self.name = None
                self.id = None
                self._segment_path = lambda: "ODevCmdReq-list" + "[devId='" + str(self.devid) + "']" + "[sessId='" + str(self.sessid) + "']" + "[cmdId='" + str(self.cmdid) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/odcreq-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OdcreqItems.ODevCmdReqList, ['devid', 'sessid', 'cmdid', 'req', 'name', 'id'], name, value)




    class OdcrespItems(Entity):
        """
        
        
        .. attribute:: odevcmdresp_list
        
        	
        	**type**\: list of  		 :py:class:`ODevCmdRespList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OdcrespItems.ODevCmdRespList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.OdcrespItems, self).__init__()

            self.yang_name = "odcresp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ODevCmdResp-list", ("odevcmdresp_list", System.OdcrespItems.ODevCmdRespList))])
            self._leafs = OrderedDict()

            self.odevcmdresp_list = YList(self)
            self._segment_path = lambda: "odcresp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.OdcrespItems, [], name, value)


        class ODevCmdRespList(Entity):
            """
            
            
            .. attribute:: devid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: sessid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: cmdid  (key)
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: resp
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            .. attribute:: id
            
            	Id
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OdcrespItems.ODevCmdRespList, self).__init__()

                self.yang_name = "ODevCmdResp-list"
                self.yang_parent_name = "odcresp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['devid','sessid','cmdid']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                    ('sessid', (YLeaf(YType.uint32, 'sessId'), ['int'])),
                    ('cmdid', (YLeaf(YType.uint32, 'cmdId'), ['int'])),
                    ('resp', (YLeaf(YType.str, 'resp'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                ])
                self.devid = None
                self.sessid = None
                self.cmdid = None
                self.resp = None
                self.name = None
                self.id = None
                self._segment_path = lambda: "ODevCmdResp-list" + "[devId='" + str(self.devid) + "']" + "[sessId='" + str(self.sessid) + "']" + "[cmdId='" + str(self.cmdid) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/odcresp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OdcrespItems.ODevCmdRespList, ['devid', 'sessid', 'cmdid', 'resp', 'name', 'id'], name, value)




    class OspfItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.OspfItems, self).__init__()

            self.yang_name = "ospf-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.OspfItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.OspfItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "ospf-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.OspfItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: inst_list
            
            	
            	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OspfItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "ospf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.OspfItems.InstItems.InstList))])
                self._leafs = OrderedDict()

                self.inst_list = YList(self)
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ospf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OspfItems.InstItems, [], name, value)


            class InstList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: memalert
                
                	Memory Alert Level
                	**type**\:  :py:class:`NwMemAlertLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwMemAlertLevel>`
                
                	**config**\: False
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems>`
                
                .. attribute:: evtlogs_items
                
                	
                	**type**\:  :py:class:`EvtlogsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.EvtlogsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.OspfItems.InstItems.InstList, self).__init__()

                    self.yang_name = "Inst-list"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.OspfItems.InstItems.InstList.DomItems)), ("evtlogs-items", ("evtlogs_items", System.OspfItems.InstItems.InstList.EvtlogsItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                        ('memalert', (YLeaf(YType.enumeration, 'memAlert'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwMemAlertLevel', '')])),
                    ])
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.opererr = None
                    self.memalert = None

                    self.dom_items = System.OspfItems.InstItems.InstList.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"

                    self.evtlogs_items = System.OspfItems.InstItems.InstList.EvtlogsItems()
                    self.evtlogs_items.parent = self
                    self._children_name_map["evtlogs_items"] = "evtlogs-items"
                    self._segment_path = lambda: "Inst-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ospf-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.OspfItems.InstItems.InstList, ['name', 'adminst', 'ctrl', 'opererr', 'memalert'], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: dom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.OspfItems.InstItems.InstList.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.OspfItems.InstItems.InstList.DomItems.DomList))])
                        self._leafs = OrderedDict()

                        self.dom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems, [], name, value)


                    class DomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: rtrid
                        
                        	Router ID
                        	**type**\: str
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        .. attribute:: adminst
                        
                        	Administrative state
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        .. attribute:: dist
                        
                        	Distance
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: maxecmp
                        
                        	Max ECMP
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        .. attribute:: bwref
                        
                        	Bandwidth Reference value
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bwrefunit
                        
                        	Bandwidth Reference Unit (Mbps or Gbps)
                        	**type**\:  :py:class:`OspfBwRefUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfBwRefUnit>`
                        
                        .. attribute:: defmetric
                        
                        	Default metric cost
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: rfc1583compat
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: adjchangeloglevel
                        
                        	Adjacency change logging level
                        	**type**\:  :py:class:`OspfAdjChangeLogLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAdjChangeLogLevel>`
                        
                        .. attribute:: operst
                        
                        	L3vm Operational State
                        	**type**\:  :py:class:`OspfOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: operrtrid
                        
                        	Operational Router ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: opersrgbstart
                        
                        	Segment Routing Global Block Start Index for OSPF
                        	**type**\: int
                        
                        	**range:** 0..471804
                        
                        	**config**\: False
                        
                        .. attribute:: opersrgbend
                        
                        	Segment Routing Global Block End Index for OSPF
                        	**type**\: int
                        
                        	**range:** 0..471804
                        
                        	**config**\: False
                        
                        .. attribute:: operstsgmntrtgmpls
                        
                        	Segment Routing MPLS Operational State in OSPF which is Enable/Disable
                        	**type**\:  :py:class:`OspfSgmntRtgMplsOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfSgmntRtgMplsOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: discardroute
                        
                        	Ctrl bits for discard\-route external and internal
                        	**type**\: str
                        
                        .. attribute:: downbitignore
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: capvrflite
                        
                        	capability vrf\-lite
                        	**type**\:  :py:class:`OspfVrfLiteControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfVrfLiteControl>`
                        
                        .. attribute:: area_items
                        
                        	
                        	**type**\:  :py:class:`AreaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems>`
                        
                        .. attribute:: db_items
                        
                        	
                        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems>`
                        
                        .. attribute:: spfcomp_items
                        
                        	
                        	**type**\:  :py:class:`SpfcompItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.SpfcompItems>`
                        
                        .. attribute:: lsactrl_items
                        
                        	
                        	**type**\:  :py:class:`LsactrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.LsactrlItems>`
                        
                        .. attribute:: domstats_items
                        
                        	
                        	**type**\:  :py:class:`DomstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DomstatsItems>`
                        
                        .. attribute:: gr_items
                        
                        	
                        	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.GrItems>`
                        
                        .. attribute:: if_items
                        
                        	
                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems>`
                        
                        .. attribute:: maxlsap_items
                        
                        	
                        	**type**\:  :py:class:`MaxlsapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.MaxlsapItems>`
                        
                        .. attribute:: maxmetriclsap_items
                        
                        	
                        	**type**\:  :py:class:`MaxmetriclsapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.MaxmetriclsapItems>`
                        
                        .. attribute:: defrtleak_items
                        
                        	
                        	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DefrtleakItems>`
                        
                        .. attribute:: interleak_items
                        
                        	
                        	**type**\:  :py:class:`InterleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems>`
                        
                        .. attribute:: leakctrl_items
                        
                        	
                        	**type**\:  :py:class:`LeakctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.LeakctrlItems>`
                        
                        .. attribute:: ribleak_items
                        
                        	
                        	**type**\:  :py:class:`RibleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.RibleakItems>`
                        
                        .. attribute:: extrtsum_items
                        
                        	
                        	**type**\:  :py:class:`ExtrtsumItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems>`
                        
                        .. attribute:: trstats_items
                        
                        	
                        	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.TrstatsItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.OspfItems.InstItems.InstList.DomItems.DomList, self).__init__()

                            self.yang_name = "Dom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("area-items", ("area_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems)), ("db-items", ("db_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems)), ("spfcomp-items", ("spfcomp_items", System.OspfItems.InstItems.InstList.DomItems.DomList.SpfcompItems)), ("lsactrl-items", ("lsactrl_items", System.OspfItems.InstItems.InstList.DomItems.DomList.LsactrlItems)), ("domstats-items", ("domstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DomstatsItems)), ("gr-items", ("gr_items", System.OspfItems.InstItems.InstList.DomItems.DomList.GrItems)), ("if-items", ("if_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems)), ("maxlsap-items", ("maxlsap_items", System.OspfItems.InstItems.InstList.DomItems.DomList.MaxlsapItems)), ("maxmetriclsap-items", ("maxmetriclsap_items", System.OspfItems.InstItems.InstList.DomItems.DomList.MaxmetriclsapItems)), ("defrtleak-items", ("defrtleak_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DefrtleakItems)), ("interleak-items", ("interleak_items", System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems)), ("leakctrl-items", ("leakctrl_items", System.OspfItems.InstItems.InstList.DomItems.DomList.LeakctrlItems)), ("ribleak-items", ("ribleak_items", System.OspfItems.InstItems.InstList.DomItems.DomList.RibleakItems)), ("extrtsum-items", ("extrtsum_items", System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems)), ("trstats-items", ("trstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.TrstatsItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('rtrid', (YLeaf(YType.str, 'rtrId'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ('dist', (YLeaf(YType.uint8, 'dist'), ['int'])),
                                ('maxecmp', (YLeaf(YType.uint8, 'maxEcmp'), ['int'])),
                                ('bwref', (YLeaf(YType.uint32, 'bwRef'), ['int'])),
                                ('bwrefunit', (YLeaf(YType.enumeration, 'bwRefUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfBwRefUnit', '')])),
                                ('defmetric', (YLeaf(YType.uint32, 'defMetric'), ['int'])),
                                ('rfc1583compat', (YLeaf(YType.boolean, 'rfc1583Compat'), ['bool'])),
                                ('adjchangeloglevel', (YLeaf(YType.enumeration, 'adjChangeLogLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAdjChangeLogLevel', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfOperSt', '')])),
                                ('operrtrid', (YLeaf(YType.str, 'operRtrId'), ['str'])),
                                ('opersrgbstart', (YLeaf(YType.uint32, 'operSrgbStart'), ['int'])),
                                ('opersrgbend', (YLeaf(YType.uint32, 'operSrgbEnd'), ['int'])),
                                ('operstsgmntrtgmpls', (YLeaf(YType.enumeration, 'operStSgmntRtgMpls'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfSgmntRtgMplsOperSt', '')])),
                                ('discardroute', (YLeaf(YType.str, 'discardRoute'), ['str'])),
                                ('downbitignore', (YLeaf(YType.boolean, 'downbitIgnore'), ['bool'])),
                                ('capvrflite', (YLeaf(YType.enumeration, 'capVrfLite'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfVrfLiteControl', '')])),
                            ])
                            self.name = None
                            self.rtrid = None
                            self.ctrl = None
                            self.adminst = None
                            self.dist = None
                            self.maxecmp = None
                            self.bwref = None
                            self.bwrefunit = None
                            self.defmetric = None
                            self.rfc1583compat = None
                            self.adjchangeloglevel = None
                            self.operst = None
                            self.operrtrid = None
                            self.opersrgbstart = None
                            self.opersrgbend = None
                            self.operstsgmntrtgmpls = None
                            self.discardroute = None
                            self.downbitignore = None
                            self.capvrflite = None

                            self.area_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems()
                            self.area_items.parent = self
                            self._children_name_map["area_items"] = "area-items"

                            self.db_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems()
                            self.db_items.parent = self
                            self._children_name_map["db_items"] = "db-items"

                            self.spfcomp_items = System.OspfItems.InstItems.InstList.DomItems.DomList.SpfcompItems()
                            self.spfcomp_items.parent = self
                            self._children_name_map["spfcomp_items"] = "spfcomp-items"

                            self.lsactrl_items = System.OspfItems.InstItems.InstList.DomItems.DomList.LsactrlItems()
                            self.lsactrl_items.parent = self
                            self._children_name_map["lsactrl_items"] = "lsactrl-items"

                            self.domstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DomstatsItems()
                            self.domstats_items.parent = self
                            self._children_name_map["domstats_items"] = "domstats-items"

                            self.gr_items = System.OspfItems.InstItems.InstList.DomItems.DomList.GrItems()
                            self.gr_items.parent = self
                            self._children_name_map["gr_items"] = "gr-items"

                            self.if_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems()
                            self.if_items.parent = self
                            self._children_name_map["if_items"] = "if-items"

                            self.maxlsap_items = System.OspfItems.InstItems.InstList.DomItems.DomList.MaxlsapItems()
                            self.maxlsap_items.parent = self
                            self._children_name_map["maxlsap_items"] = "maxlsap-items"

                            self.maxmetriclsap_items = System.OspfItems.InstItems.InstList.DomItems.DomList.MaxmetriclsapItems()
                            self.maxmetriclsap_items.parent = self
                            self._children_name_map["maxmetriclsap_items"] = "maxmetriclsap-items"

                            self.defrtleak_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DefrtleakItems()
                            self.defrtleak_items.parent = self
                            self._children_name_map["defrtleak_items"] = "defrtleak-items"

                            self.interleak_items = System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems()
                            self.interleak_items.parent = self
                            self._children_name_map["interleak_items"] = "interleak-items"

                            self.leakctrl_items = System.OspfItems.InstItems.InstList.DomItems.DomList.LeakctrlItems()
                            self.leakctrl_items.parent = self
                            self._children_name_map["leakctrl_items"] = "leakctrl-items"

                            self.ribleak_items = System.OspfItems.InstItems.InstList.DomItems.DomList.RibleakItems()
                            self.ribleak_items.parent = self
                            self._children_name_map["ribleak_items"] = "ribleak-items"

                            self.extrtsum_items = System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems()
                            self.extrtsum_items.parent = self
                            self._children_name_map["extrtsum_items"] = "extrtsum-items"

                            self.trstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.TrstatsItems()
                            self.trstats_items.parent = self
                            self._children_name_map["trstats_items"] = "trstats-items"
                            self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList, ['name', 'rtrid', 'ctrl', 'adminst', 'dist', 'maxecmp', 'bwref', 'bwrefunit', 'defmetric', 'rfc1583compat', 'adjchangeloglevel', 'operst', 'operrtrid', 'opersrgbstart', 'opersrgbend', 'operstsgmntrtgmpls', 'discardroute', 'downbitignore', 'capvrflite'], name, value)


                        class AreaItems(Entity):
                            """
                            
                            
                            .. attribute:: area_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AreaList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems, self).__init__()

                                self.yang_name = "area-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Area-list", ("area_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList))])
                                self._leafs = OrderedDict()

                                self.area_list = YList(self)
                                self._segment_path = lambda: "area-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems, [], name, value)


                            class AreaList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Area ID
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`OspfAreaT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAreaT>`
                                
                                .. attribute:: ctrl
                                
                                	Controls
                                	**type**\: str
                                
                                .. attribute:: cost
                                
                                	Cost
                                	**type**\: int
                                
                                	**range:** 0..16777215
                                
                                .. attribute:: sgmntrtgmpls
                                
                                	Segment Routing Control
                                	**type**\:  :py:class:`OspfSegRtControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfSegRtControl>`
                                
                                .. attribute:: nssatransrole
                                
                                	NSSA Translator Role
                                	**type**\:  :py:class:`OspfNssaTransRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfNssaTransRole>`
                                
                                .. attribute:: brcnt
                                
                                	Area Border Router Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: asbrcnt
                                
                                	AS Border Router Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: lsacksumsum
                                
                                	LSA Checksum Sum
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nssatransst
                                
                                	NSSA Translator State
                                	**type**\:  :py:class:`OspfNssaTransSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfNssaTransSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: nssatransstabintvl
                                
                                	NSSA Translator Stability Interval
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: operstsgmntrtgmpls
                                
                                	Segment Routing MPLS Operational State in OSPF Area which is Enable/Disable
                                	**type**\:  :py:class:`OspfSgmntRtgMplsOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfSgmntRtgMplsOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: authtype
                                
                                	Type
                                	**type**\:  :py:class:`OspfAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAuthT>`
                                
                                .. attribute:: areastats_items
                                
                                	
                                	**type**\:  :py:class:`AreastatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.AreastatsItems>`
                                
                                .. attribute:: db_items
                                
                                	
                                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems>`
                                
                                .. attribute:: vlink_items
                                
                                	
                                	**type**\:  :py:class:`VlinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems>`
                                
                                .. attribute:: slink_items
                                
                                	
                                	**type**\:  :py:class:`SlinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems>`
                                
                                .. attribute:: lsaleakp_items
                                
                                	
                                	**type**\:  :py:class:`LsaleakpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakpItems>`
                                
                                .. attribute:: lsaleakctrlp_items
                                
                                	
                                	**type**\:  :py:class:`LsaleakctrlpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems>`
                                
                                .. attribute:: defrtleak_items
                                
                                	
                                	**type**\:  :py:class:`DefrtleakItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DefrtleakItems>`
                                
                                .. attribute:: iartsum_items
                                
                                	
                                	**type**\:  :py:class:`IartsumItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList, self).__init__()

                                    self.yang_name = "Area-list"
                                    self.yang_parent_name = "area-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("areastats-items", ("areastats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.AreastatsItems)), ("db-items", ("db_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems)), ("vlink-items", ("vlink_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems)), ("slink-items", ("slink_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems)), ("lsaleakp-items", ("lsaleakp_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakpItems)), ("lsaleakctrlp-items", ("lsaleakctrlp_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems)), ("defrtleak-items", ("defrtleak_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DefrtleakItems)), ("iartsum-items", ("iartsum_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAreaT', '')])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ('cost', (YLeaf(YType.uint32, 'cost'), ['int'])),
                                        ('sgmntrtgmpls', (YLeaf(YType.enumeration, 'sgmntRtgMpls'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfSegRtControl', '')])),
                                        ('nssatransrole', (YLeaf(YType.enumeration, 'nssaTransRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfNssaTransRole', '')])),
                                        ('brcnt', (YLeaf(YType.uint32, 'brCnt'), ['int'])),
                                        ('asbrcnt', (YLeaf(YType.uint32, 'asbrCnt'), ['int'])),
                                        ('lsacksumsum', (YLeaf(YType.uint32, 'lsaCksumSum'), ['int'])),
                                        ('nssatransst', (YLeaf(YType.enumeration, 'nssaTransSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfNssaTransSt', '')])),
                                        ('nssatransstabintvl', (YLeaf(YType.uint32, 'nssaTransStabIntvl'), ['int'])),
                                        ('operstsgmntrtgmpls', (YLeaf(YType.enumeration, 'operStSgmntRtgMpls'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfSgmntRtgMplsOperSt', '')])),
                                        ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAuthT', '')])),
                                    ])
                                    self.id = None
                                    self.name = None
                                    self.type = None
                                    self.ctrl = None
                                    self.cost = None
                                    self.sgmntrtgmpls = None
                                    self.nssatransrole = None
                                    self.brcnt = None
                                    self.asbrcnt = None
                                    self.lsacksumsum = None
                                    self.nssatransst = None
                                    self.nssatransstabintvl = None
                                    self.operstsgmntrtgmpls = None
                                    self.authtype = None

                                    self.areastats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.AreastatsItems()
                                    self.areastats_items.parent = self
                                    self._children_name_map["areastats_items"] = "areastats-items"

                                    self.db_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems()
                                    self.db_items.parent = self
                                    self._children_name_map["db_items"] = "db-items"

                                    self.vlink_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems()
                                    self.vlink_items.parent = self
                                    self._children_name_map["vlink_items"] = "vlink-items"

                                    self.slink_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems()
                                    self.slink_items.parent = self
                                    self._children_name_map["slink_items"] = "slink-items"

                                    self.lsaleakp_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakpItems()
                                    self.lsaleakp_items.parent = self
                                    self._children_name_map["lsaleakp_items"] = "lsaleakp-items"

                                    self.lsaleakctrlp_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems()
                                    self.lsaleakctrlp_items.parent = self
                                    self._children_name_map["lsaleakctrlp_items"] = "lsaleakctrlp-items"

                                    self.defrtleak_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DefrtleakItems()
                                    self.defrtleak_items.parent = self
                                    self._children_name_map["defrtleak_items"] = "defrtleak-items"

                                    self.iartsum_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems()
                                    self.iartsum_items.parent = self
                                    self._children_name_map["iartsum_items"] = "iartsum-items"
                                    self._segment_path = lambda: "Area-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList, ['id', 'name', 'type', 'ctrl', 'cost', 'sgmntrtgmpls', 'nssatransrole', 'brcnt', 'asbrcnt', 'lsacksumsum', 'nssatransst', 'nssatransstabintvl', 'operstsgmntrtgmpls', 'authtype'], name, value)


                                class AreastatsItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: areacreatedts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: spfruns
                                    
                                    	SPF Runs
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsacnt
                                    
                                    	LSA Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lastspfduration
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifcnt
                                    
                                    	Interface Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: activeifcnt
                                    
                                    	Active Interface Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: passiveifcnt
                                    
                                    	Passive Interface Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lpbkifcnt
                                    
                                    	Loopback Interface Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: adjcnt
                                    
                                    	Adjacency Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grhelperpeercnt
                                    
                                    	GR Helper Peer Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.AreastatsItems, self).__init__()

                                        self.yang_name = "areastats-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('areacreatedts', (YLeaf(YType.str, 'areaCreatedTs'), ['str'])),
                                            ('spfruns', (YLeaf(YType.uint32, 'spfRuns'), ['int'])),
                                            ('lsacnt', (YLeaf(YType.uint32, 'lsaCnt'), ['int'])),
                                            ('lastspfduration', (YLeaf(YType.uint32, 'lastSpfDuration'), ['int'])),
                                            ('ifcnt', (YLeaf(YType.uint32, 'ifCnt'), ['int'])),
                                            ('activeifcnt', (YLeaf(YType.uint32, 'activeIfCnt'), ['int'])),
                                            ('passiveifcnt', (YLeaf(YType.uint32, 'passiveIfCnt'), ['int'])),
                                            ('lpbkifcnt', (YLeaf(YType.uint32, 'lpbkIfCnt'), ['int'])),
                                            ('adjcnt', (YLeaf(YType.uint32, 'adjCnt'), ['int'])),
                                            ('grhelperpeercnt', (YLeaf(YType.uint32, 'grHelperPeerCnt'), ['int'])),
                                        ])
                                        self.areacreatedts = None
                                        self.spfruns = None
                                        self.lsacnt = None
                                        self.lastspfduration = None
                                        self.ifcnt = None
                                        self.activeifcnt = None
                                        self.passiveifcnt = None
                                        self.lpbkifcnt = None
                                        self.adjcnt = None
                                        self.grhelperpeercnt = None
                                        self._segment_path = lambda: "areastats-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.AreastatsItems, ['areacreatedts', 'spfruns', 'lsacnt', 'lastspfduration', 'ifcnt', 'activeifcnt', 'passiveifcnt', 'lpbkifcnt', 'adjcnt', 'grhelperpeercnt'], name, value)



                                class DbItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: db_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems, self).__init__()

                                        self.yang_name = "db-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList))])
                                        self._leafs = OrderedDict()

                                        self.db_list = YList(self)
                                        self._segment_path = lambda: "db-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems, [], name, value)


                                    class DbList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`OspfDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfDbT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lsa_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList, self).__init__()

                                            self.yang_name = "Db-list"
                                            self.yang_parent_name = "db-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("lsa-items", ("lsa_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems)), ("rt-items", ("rt_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfDbT', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.name = None

                                            self.lsa_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems()
                                            self.lsa_items.parent = self
                                            self._children_name_map["lsa_items"] = "lsa-items"

                                            self.rt_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"
                                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList, ['type', 'name'], name, value)


                                        class LsaItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lsarec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LsaRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems.LsaRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems, self).__init__()

                                                self.yang_name = "lsa-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LsaRec-list", ("lsarec_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems.LsaRecList))])
                                                self._leafs = OrderedDict()

                                                self.lsarec_list = YList(self)
                                                self._segment_path = lambda: "lsa-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems, [], name, value)


                                            class LsaRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type  (key)
                                                
                                                	Type
                                                	**type**\:  :py:class:`OspfLsaT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfLsaT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: advrtr  (key)
                                                
                                                	Advertising Router
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seq
                                                
                                                	Sequence Number
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: age
                                                
                                                	Age
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: arrivalts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: cksum
                                                
                                                	Checksum
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: advert
                                                
                                                	LSA Advertisement
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems.LsaRecList, self).__init__()

                                                    self.yang_name = "LsaRec-list"
                                                    self.yang_parent_name = "lsa-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['type','id','advrtr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfLsaT', '')])),
                                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                        ('advrtr', (YLeaf(YType.str, 'advRtr'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('seq', (YLeaf(YType.uint32, 'seq'), ['int'])),
                                                        ('age', (YLeaf(YType.uint32, 'age'), ['int'])),
                                                        ('arrivalts', (YLeaf(YType.str, 'arrivalTs'), ['str'])),
                                                        ('cksum', (YLeaf(YType.uint32, 'cksum'), ['int'])),
                                                        ('advert', (YLeaf(YType.str, 'advert'), ['str'])),
                                                    ])
                                                    self.type = None
                                                    self.id = None
                                                    self.advrtr = None
                                                    self.name = None
                                                    self.seq = None
                                                    self.age = None
                                                    self.arrivalts = None
                                                    self.cksum = None
                                                    self.advert = None
                                                    self._segment_path = lambda: "LsaRec-list" + "[type='" + str(self.type) + "']" + "[id='" + str(self.id) + "']" + "[advRtr='" + str(self.advrtr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.LsaItems.LsaRecList, ['type', 'id', 'advrtr', 'name', 'seq', 'age', 'arrivalts', 'cksum', 'advert'], name, value)




                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: patht
                                                
                                                	Path Type
                                                	**type**\:  :py:class:`OspfPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: area
                                                
                                                	Area ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ucastcost
                                                
                                                	Unicast Cost
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: mcastcost
                                                
                                                	Multicast Cost
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tag
                                                
                                                	Route Tag
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dist
                                                
                                                	Distance
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplssid
                                                
                                                	MPLS Segment ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplsinlabel
                                                
                                                	Segment Routing MPLS in\-label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ucnh_items
                                                
                                                	
                                                	**type**\:  :py:class:`UcnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: mcnh_items
                                                
                                                	
                                                	**type**\:  :py:class:`McnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("ucnh-items", ("ucnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems)), ("mcnh-items", ("mcnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('patht', (YLeaf(YType.enumeration, 'pathT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfPathT', '')])),
                                                        ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('ucastcost', (YLeaf(YType.uint16, 'ucastCost'), ['int'])),
                                                        ('mcastcost', (YLeaf(YType.uint16, 'mcastCost'), ['int'])),
                                                        ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                                        ('dist', (YLeaf(YType.uint8, 'dist'), ['int'])),
                                                        ('sgmntrtgmplssid', (YLeaf(YType.uint32, 'sgmntRtgMplsSid'), ['int'])),
                                                        ('sgmntrtgmplsinlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsInLabel'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.patht = None
                                                    self.area = None
                                                    self.flags = None
                                                    self.ucastcost = None
                                                    self.mcastcost = None
                                                    self.tag = None
                                                    self.dist = None
                                                    self.sgmntrtgmplssid = None
                                                    self.sgmntrtgmplsinlabel = None

                                                    self.ucnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems()
                                                    self.ucnh_items.parent = self
                                                    self._children_name_map["ucnh_items"] = "ucnh-items"

                                                    self.mcnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems()
                                                    self.mcnh_items.parent = self
                                                    self._children_name_map["mcnh_items"] = "mcnh-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList, ['pfx', 'name', 'patht', 'area', 'flags', 'ucastcost', 'mcastcost', 'tag', 'dist', 'sgmntrtgmplssid', 'sgmntrtgmplsinlabel'], name, value)


                                                class UcnhItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ucnexthop_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`UcNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems, self).__init__()

                                                        self.yang_name = "ucnh-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("UcNexthop-list", ("ucnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList))])
                                                        self._leafs = OrderedDict()

                                                        self.ucnexthop_list = YList(self)
                                                        self._segment_path = lambda: "ucnh-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems, [], name, value)


                                                    class UcNexthopList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: if_  (key)
                                                        
                                                        	Interface
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: sgmntrtgmplsoutlabel
                                                        
                                                        	Segment Routing MPLS out\-label
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, self).__init__()

                                                            self.yang_name = "UcNexthop-list"
                                                            self.yang_parent_name = "ucnh-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['if_','addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                            ])
                                                            self.if_ = None
                                                            self.addr = None
                                                            self.name = None
                                                            self.flags = None
                                                            self.sgmntrtgmplsoutlabel = None
                                                            self._segment_path = lambda: "UcNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)




                                                class McnhItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: mcnexthop_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`McNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems, self).__init__()

                                                        self.yang_name = "mcnh-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("McNexthop-list", ("mcnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList))])
                                                        self._leafs = OrderedDict()

                                                        self.mcnexthop_list = YList(self)
                                                        self._segment_path = lambda: "mcnh-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems, [], name, value)


                                                    class McNexthopList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: if_  (key)
                                                        
                                                        	Interface
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: sgmntrtgmplsoutlabel
                                                        
                                                        	Segment Routing MPLS out\-label
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, self).__init__()

                                                            self.yang_name = "McNexthop-list"
                                                            self.yang_parent_name = "mcnh-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['if_','addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                            ])
                                                            self.if_ = None
                                                            self.addr = None
                                                            self.name = None
                                                            self.flags = None
                                                            self.sgmntrtgmplsoutlabel = None
                                                            self._segment_path = lambda: "McNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)








                                class VlinkItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vlink_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VLinkList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems, self).__init__()

                                        self.yang_name = "vlink-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("VLink-list", ("vlink_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList))])
                                        self._leafs = OrderedDict()

                                        self.vlink_list = YList(self)
                                        self._segment_path = lambda: "vlink-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems, [], name, value)


                                    class VLinkList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: nbrrtrid  (key)
                                        
                                        	Router ID
                                        	**type**\: str
                                        
                                        .. attribute:: hellointvl
                                        
                                        	Hello Interval
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: deadintvl
                                        
                                        	Dead Interval
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: rexmitintvl
                                        
                                        	Retransmit Interval
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: xmitdelay
                                        
                                        	Transmit Delay
                                        	**type**\: int
                                        
                                        	**range:** 1..450
                                        
                                        .. attribute:: adj_items
                                        
                                        	
                                        	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems>`
                                        
                                        .. attribute:: authnew_items
                                        
                                        	
                                        	**type**\:  :py:class:`AuthnewItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AuthnewItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList, self).__init__()

                                            self.yang_name = "VLink-list"
                                            self.yang_parent_name = "vlink-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['nbrrtrid']
                                            self._child_classes = OrderedDict([("adj-items", ("adj_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems)), ("authnew-items", ("authnew_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AuthnewItems))])
                                            self._leafs = OrderedDict([
                                                ('nbrrtrid', (YLeaf(YType.str, 'nbrRtrId'), ['str'])),
                                                ('hellointvl', (YLeaf(YType.uint16, 'helloIntvl'), ['int'])),
                                                ('deadintvl', (YLeaf(YType.uint32, 'deadIntvl'), ['int'])),
                                                ('rexmitintvl', (YLeaf(YType.uint16, 'rexmitIntvl'), ['int'])),
                                                ('xmitdelay', (YLeaf(YType.uint16, 'xmitDelay'), ['int'])),
                                            ])
                                            self.nbrrtrid = None
                                            self.hellointvl = None
                                            self.deadintvl = None
                                            self.rexmitintvl = None
                                            self.xmitdelay = None

                                            self.adj_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems()
                                            self.adj_items.parent = self
                                            self._children_name_map["adj_items"] = "adj-items"

                                            self.authnew_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AuthnewItems()
                                            self.authnew_items.parent = self
                                            self._children_name_map["authnew_items"] = "authnew-items"
                                            self._segment_path = lambda: "VLink-list" + "[nbrRtrId='" + str(self.nbrrtrid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList, ['nbrrtrid', 'hellointvl', 'deadintvl', 'rexmitintvl', 'xmitdelay'], name, value)


                                        class AdjItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: adjep_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems, self).__init__()

                                                self.yang_name = "adj-items"
                                                self.yang_parent_name = "VLink-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList))])
                                                self._leafs = OrderedDict()

                                                self.adjep_list = YList(self)
                                                self._segment_path = lambda: "adj-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems, [], name, value)


                                            class AdjEpList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ifid
                                                
                                                	Interface ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: operst
                                                
                                                	Operational State
                                                	**type**\:  :py:class:`OspfAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAdjOperSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfdst
                                                
                                                	BFD State
                                                	**type**\:  :py:class:`OspfBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfBfdOperSt>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: area
                                                
                                                	Area ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: prio
                                                
                                                	Priority
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dr
                                                
                                                	Designated Router
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bdr
                                                
                                                	Backup Designated Router
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peerip
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: hellooptions
                                                
                                                	Hello Options
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dbdoptions
                                                
                                                	DBD Options
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: peername
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: adjstats_items
                                                
                                                	
                                                	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.AdjstatsItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: gr_items
                                                
                                                	
                                                	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.GrItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList, self).__init__()

                                                    self.yang_name = "AdjEp-list"
                                                    self.yang_parent_name = "adj-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['id']
                                                    self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.AdjstatsItems)), ("gr-items", ("gr_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.GrItems))])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('ifid', (YLeaf(YType.uint32, 'ifId'), ['int'])),
                                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAdjOperSt', '')])),
                                                        ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfBfdOperSt', '')])),
                                                        ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                                        ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                                        ('dr', (YLeaf(YType.str, 'dr'), ['str','str'])),
                                                        ('bdr', (YLeaf(YType.str, 'bdr'), ['str','str'])),
                                                        ('peerip', (YLeaf(YType.str, 'peerIp'), ['str','str'])),
                                                        ('hellooptions', (YLeaf(YType.uint32, 'helloOptions'), ['int'])),
                                                        ('dbdoptions', (YLeaf(YType.uint32, 'dbdOptions'), ['int'])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('peername', (YLeaf(YType.str, 'peerName'), ['str'])),
                                                    ])
                                                    self.id = None
                                                    self.name = None
                                                    self.ifid = None
                                                    self.operst = None
                                                    self.bfdst = None
                                                    self.area = None
                                                    self.prio = None
                                                    self.dr = None
                                                    self.bdr = None
                                                    self.peerip = None
                                                    self.hellooptions = None
                                                    self.dbdoptions = None
                                                    self.flags = None
                                                    self.peername = None

                                                    self.adjstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.AdjstatsItems()
                                                    self.adjstats_items.parent = self
                                                    self._children_name_map["adjstats_items"] = "adjstats-items"

                                                    self.gr_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.GrItems()
                                                    self.gr_items.parent = self
                                                    self._children_name_map["gr_items"] = "gr-items"
                                                    self._segment_path = lambda: "AdjEp-list" + "[id='" + str(self.id) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList, ['id', 'name', 'ifid', 'operst', 'bfdst', 'area', 'prio', 'dr', 'bdr', 'peerip', 'hellooptions', 'dbdoptions', 'flags', 'peername'], name, value)


                                                class AdjstatsItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: stchgcnt
                                                    
                                                    	State Change Count
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: laststchgts
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lastnonhellopktts
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: dbdseqnum
                                                    
                                                    	DBD Sequence Number
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: reqlsacnt
                                                    
                                                    	Request LSA Count
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: outstandinglsacnt
                                                    
                                                    	Outstanding LSA Count
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lsareqrexmitcnt
                                                    
                                                    	LSA Request Retransmission Count
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: deadtimerexpts
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.AdjstatsItems, self).__init__()

                                                        self.yang_name = "adjstats-items"
                                                        self.yang_parent_name = "AdjEp-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('stchgcnt', (YLeaf(YType.uint32, 'stChgCnt'), ['int'])),
                                                            ('laststchgts', (YLeaf(YType.str, 'lastStChgTs'), ['str'])),
                                                            ('lastnonhellopktts', (YLeaf(YType.str, 'lastNonHelloPktTs'), ['str'])),
                                                            ('dbdseqnum', (YLeaf(YType.uint32, 'dbdSeqNum'), ['int'])),
                                                            ('reqlsacnt', (YLeaf(YType.uint32, 'reqLsaCnt'), ['int'])),
                                                            ('outstandinglsacnt', (YLeaf(YType.uint32, 'outstandingLsaCnt'), ['int'])),
                                                            ('lsareqrexmitcnt', (YLeaf(YType.uint32, 'lsaReqRexmitCnt'), ['int'])),
                                                            ('deadtimerexpts', (YLeaf(YType.str, 'deadTimerExpTs'), ['str'])),
                                                        ])
                                                        self.stchgcnt = None
                                                        self.laststchgts = None
                                                        self.lastnonhellopktts = None
                                                        self.dbdseqnum = None
                                                        self.reqlsacnt = None
                                                        self.outstandinglsacnt = None
                                                        self.lsareqrexmitcnt = None
                                                        self.deadtimerexpts = None
                                                        self._segment_path = lambda: "adjstats-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.AdjstatsItems, ['stchgcnt', 'laststchgts', 'lastnonhellopktts', 'dbdseqnum', 'reqlsacnt', 'outstandinglsacnt', 'lsareqrexmitcnt', 'deadtimerexpts'], name, value)



                                                class GrItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: helperst
                                                    
                                                    	Peer Restart Helper Status
                                                    	**type**\:  :py:class:`OspfHelperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfHelperSt>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: helperage
                                                    
                                                    	Peer Restart Helper Age
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: helperexitqual
                                                    
                                                    	Peer Restart Helper Exit Qualifier
                                                    	**type**\:  :py:class:`OspfHelperExitQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfHelperExitQual>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.GrItems, self).__init__()

                                                        self.yang_name = "gr-items"
                                                        self.yang_parent_name = "AdjEp-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('helperst', (YLeaf(YType.enumeration, 'helperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfHelperSt', '')])),
                                                            ('helperage', (YLeaf(YType.uint32, 'helperAge'), ['int'])),
                                                            ('helperexitqual', (YLeaf(YType.enumeration, 'helperExitQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfHelperExitQual', '')])),
                                                        ])
                                                        self.helperst = None
                                                        self.helperage = None
                                                        self.helperexitqual = None
                                                        self._segment_path = lambda: "gr-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AdjItems.AdjEpList.GrItems, ['helperst', 'helperage', 'helperexitqual'], name, value)





                                        class AuthnewItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`OspfAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAuthT>`
                                            
                                            .. attribute:: keyid
                                            
                                            	Key ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: key
                                            
                                            	Key
                                            	**type**\: str
                                            
                                            .. attribute:: keysecuremode
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: md5key
                                            
                                            	Key
                                            	**type**\: str
                                            
                                            .. attribute:: md5keysecuremode
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: keychain
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AuthnewItems, self).__init__()

                                                self.yang_name = "authnew-items"
                                                self.yang_parent_name = "VLink-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAuthT', '')])),
                                                    ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                                    ('keysecuremode', (YLeaf(YType.boolean, 'keySecureMode'), ['bool'])),
                                                    ('md5key', (YLeaf(YType.str, 'md5key'), ['str'])),
                                                    ('md5keysecuremode', (YLeaf(YType.boolean, 'md5keySecureMode'), ['bool'])),
                                                    ('keychain', (YLeaf(YType.str, 'keychain'), ['str'])),
                                                ])
                                                self.name = None
                                                self.descr = None
                                                self.type = None
                                                self.keyid = None
                                                self.key = None
                                                self.keysecuremode = None
                                                self.md5key = None
                                                self.md5keysecuremode = None
                                                self.keychain = None
                                                self._segment_path = lambda: "authnew-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.VlinkItems.VLinkList.AuthnewItems, ['name', 'descr', 'type', 'keyid', 'key', 'keysecuremode', 'md5key', 'md5keysecuremode', 'keychain'], name, value)





                                class SlinkItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: slink_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`SLinkList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems, self).__init__()

                                        self.yang_name = "slink-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("SLink-list", ("slink_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList))])
                                        self._leafs = OrderedDict()

                                        self.slink_list = YList(self)
                                        self._segment_path = lambda: "slink-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems, [], name, value)


                                    class SLinkList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: srcaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dstaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: demandckt
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: hellointvl
                                        
                                        	Hello Interval
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: deadintvl
                                        
                                        	Dead Interval
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rexmitintvl
                                        
                                        	Retransmit Interval
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: xmitdelay
                                        
                                        	Transmit Delay
                                        	**type**\: int
                                        
                                        	**range:** 1..450
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: cost
                                        
                                        	Cost
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: authnew_items
                                        
                                        	
                                        	**type**\:  :py:class:`AuthnewItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList.AuthnewItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList, self).__init__()

                                            self.yang_name = "SLink-list"
                                            self.yang_parent_name = "slink-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['srcaddr','dstaddr']
                                            self._child_classes = OrderedDict([("authnew-items", ("authnew_items", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList.AuthnewItems))])
                                            self._leafs = OrderedDict([
                                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str','str'])),
                                                ('demandckt', (YLeaf(YType.boolean, 'demandCkt'), ['bool'])),
                                                ('hellointvl', (YLeaf(YType.uint16, 'helloIntvl'), ['int'])),
                                                ('deadintvl', (YLeaf(YType.uint32, 'deadIntvl'), ['int'])),
                                                ('rexmitintvl', (YLeaf(YType.uint16, 'rexmitIntvl'), ['int'])),
                                                ('xmitdelay', (YLeaf(YType.uint16, 'xmitDelay'), ['int'])),
                                                ('cost', (YLeaf(YType.uint16, 'cost'), ['int'])),
                                            ])
                                            self.srcaddr = None
                                            self.dstaddr = None
                                            self.demandckt = None
                                            self.hellointvl = None
                                            self.deadintvl = None
                                            self.rexmitintvl = None
                                            self.xmitdelay = None
                                            self.cost = None

                                            self.authnew_items = System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList.AuthnewItems()
                                            self.authnew_items.parent = self
                                            self._children_name_map["authnew_items"] = "authnew-items"
                                            self._segment_path = lambda: "SLink-list" + "[srcAddr='" + str(self.srcaddr) + "']" + "[dstAddr='" + str(self.dstaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList, ['srcaddr', 'dstaddr', 'demandckt', 'hellointvl', 'deadintvl', 'rexmitintvl', 'xmitdelay', 'cost'], name, value)


                                        class AuthnewItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 0..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: descr
                                            
                                            	Description
                                            	**type**\: str
                                            
                                            	**length:** 0..128
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:  :py:class:`OspfAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAuthT>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: keyid
                                            
                                            	Key ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: key
                                            
                                            	Key
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: keysecuremode
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: md5key
                                            
                                            	Key
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: md5keysecuremode
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: keychain
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList.AuthnewItems, self).__init__()

                                                self.yang_name = "authnew-items"
                                                self.yang_parent_name = "SLink-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAuthT', '')])),
                                                    ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                                    ('keysecuremode', (YLeaf(YType.boolean, 'keySecureMode'), ['bool'])),
                                                    ('md5key', (YLeaf(YType.str, 'md5key'), ['str'])),
                                                    ('md5keysecuremode', (YLeaf(YType.boolean, 'md5keySecureMode'), ['bool'])),
                                                    ('keychain', (YLeaf(YType.str, 'keychain'), ['str'])),
                                                ])
                                                self.name = None
                                                self.descr = None
                                                self.type = None
                                                self.keyid = None
                                                self.key = None
                                                self.keysecuremode = None
                                                self.md5key = None
                                                self.md5keysecuremode = None
                                                self.keychain = None
                                                self._segment_path = lambda: "authnew-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.SlinkItems.SLinkList.AuthnewItems, ['name', 'descr', 'type', 'keyid', 'key', 'keysecuremode', 'md5key', 'md5keysecuremode', 'keychain'], name, value)





                                class LsaleakpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: scope
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`OspfLsaLeakOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfLsaLeakOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakpItems, self).__init__()

                                        self.yang_name = "lsaleakp-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfLsaLeakOperSt', '')])),
                                        ])
                                        self.name = None
                                        self.descr = None
                                        self.scope = None
                                        self.rtmap = None
                                        self.operst = None
                                        self._segment_path = lambda: "lsaleakp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakpItems, ['name', 'descr', 'scope', 'rtmap', 'operst'], name, value)



                                class LsaleakctrlpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lsaleakctrlp_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LsaLeakCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems.LsaLeakCtrlPList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems, self).__init__()

                                        self.yang_name = "lsaleakctrlp-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LsaLeakCtrlP-list", ("lsaleakctrlp_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems.LsaLeakCtrlPList))])
                                        self._leafs = OrderedDict()

                                        self.lsaleakctrlp_list = YList(self)
                                        self._segment_path = lambda: "lsaleakctrlp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems, [], name, value)


                                    class LsaLeakCtrlPList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: dir  (key)
                                        
                                        	Filter Type
                                        	**type**\:  :py:class:`RtleakRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakRtCtrlDir>`
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 0..64
                                        
                                        .. attribute:: descr
                                        
                                        	Description
                                        	**type**\: str
                                        
                                        	**length:** 0..128
                                        
                                        .. attribute:: scope
                                        
                                        	Scope
                                        	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: operst
                                        
                                        	Operational State
                                        	**type**\:  :py:class:`OspfLsaLeakOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfLsaLeakOperSt>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems.LsaLeakCtrlPList, self).__init__()

                                            self.yang_name = "LsaLeakCtrlP-list"
                                            self.yang_parent_name = "lsaleakctrlp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['dir']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakRtCtrlDir', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfLsaLeakOperSt', '')])),
                                            ])
                                            self.dir = None
                                            self.name = None
                                            self.descr = None
                                            self.scope = None
                                            self.rtmap = None
                                            self.operst = None
                                            self._segment_path = lambda: "LsaLeakCtrlP-list" + "[dir='" + str(self.dir) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.LsaleakctrlpItems.LsaLeakCtrlPList, ['dir', 'name', 'descr', 'scope', 'rtmap', 'operst'], name, value)




                                class DefrtleakItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: scope
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: always
                                    
                                    	Always advertise default leak
                                    	**type**\:  :py:class:`OspfAlways <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAlways>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DefrtleakItems, self).__init__()

                                        self.yang_name = "defrtleak-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('always', (YLeaf(YType.enumeration, 'always'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAlways', '')])),
                                        ])
                                        self.name = None
                                        self.descr = None
                                        self.scope = None
                                        self.rtmap = None
                                        self.always = None
                                        self._segment_path = lambda: "defrtleak-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.DefrtleakItems, ['name', 'descr', 'scope', 'rtmap', 'always'], name, value)



                                class IartsumItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: interareartsum_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`InterAreaRtSumList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems.InterAreaRtSumList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems, self).__init__()

                                        self.yang_name = "iartsum-items"
                                        self.yang_parent_name = "Area-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("InterAreaRtSum-list", ("interareartsum_list", System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems.InterAreaRtSumList))])
                                        self._leafs = OrderedDict()

                                        self.interareartsum_list = YList(self)
                                        self._segment_path = lambda: "iartsum-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems, [], name, value)


                                    class InterAreaRtSumList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 0..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: descr
                                        
                                        	Description
                                        	**type**\: str
                                        
                                        	**length:** 0..128
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ctrl
                                        
                                        	Controls
                                        	**type**\: str
                                        
                                        .. attribute:: comprtcnt
                                        
                                        	Number of component routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: opercost
                                        
                                        	Route Summary Operational Cost
                                        	**type**\: int
                                        
                                        	**range:** 0..16777216
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: cost
                                        
                                        	Area range cost
                                        	**type**\: int
                                        
                                        	**range:** 0..16777216
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems.InterAreaRtSumList, self).__init__()

                                            self.yang_name = "InterAreaRtSum-list"
                                            self.yang_parent_name = "iartsum-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                                ('comprtcnt', (YLeaf(YType.uint32, 'compRtCnt'), ['int'])),
                                                ('opercost', (YLeaf(YType.uint32, 'operCost'), ['int'])),
                                                ('cost', (YLeaf(YType.uint32, 'cost'), ['int'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.descr = None
                                            self.ctrl = None
                                            self.comprtcnt = None
                                            self.opercost = None
                                            self.cost = None
                                            self._segment_path = lambda: "InterAreaRtSum-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.AreaItems.AreaList.IartsumItems.InterAreaRtSumList, ['addr', 'name', 'descr', 'ctrl', 'comprtcnt', 'opercost', 'cost'], name, value)






                        class DbItems(Entity):
                            """
                            
                            
                            .. attribute:: db_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems, self).__init__()

                                self.yang_name = "db-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Db-list", ("db_list", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList))])
                                self._leafs = OrderedDict()

                                self.db_list = YList(self)
                                self._segment_path = lambda: "db-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems, [], name, value)


                            class DbList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`OspfDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfDbT>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: lsa_items
                                
                                	
                                	**type**\:  :py:class:`LsaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList, self).__init__()

                                    self.yang_name = "Db-list"
                                    self.yang_parent_name = "db-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("lsa-items", ("lsa_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems)), ("rt-items", ("rt_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfDbT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None

                                    self.lsa_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems()
                                    self.lsa_items.parent = self
                                    self._children_name_map["lsa_items"] = "lsa-items"

                                    self.rt_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"
                                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                                class LsaItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lsarec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`LsaRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems.LsaRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems, self).__init__()

                                        self.yang_name = "lsa-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("LsaRec-list", ("lsarec_list", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems.LsaRecList))])
                                        self._leafs = OrderedDict()

                                        self.lsarec_list = YList(self)
                                        self._segment_path = lambda: "lsa-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems, [], name, value)


                                    class LsaRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`OspfLsaT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfLsaT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: advrtr  (key)
                                        
                                        	Advertising Router
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: seq
                                        
                                        	Sequence Number
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: age
                                        
                                        	Age
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: arrivalts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: cksum
                                        
                                        	Checksum
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: advert
                                        
                                        	LSA Advertisement
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems.LsaRecList, self).__init__()

                                            self.yang_name = "LsaRec-list"
                                            self.yang_parent_name = "lsa-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type','id','advrtr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfLsaT', '')])),
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                ('advrtr', (YLeaf(YType.str, 'advRtr'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('seq', (YLeaf(YType.uint32, 'seq'), ['int'])),
                                                ('age', (YLeaf(YType.uint32, 'age'), ['int'])),
                                                ('arrivalts', (YLeaf(YType.str, 'arrivalTs'), ['str'])),
                                                ('cksum', (YLeaf(YType.uint32, 'cksum'), ['int'])),
                                                ('advert', (YLeaf(YType.str, 'advert'), ['str'])),
                                            ])
                                            self.type = None
                                            self.id = None
                                            self.advrtr = None
                                            self.name = None
                                            self.seq = None
                                            self.age = None
                                            self.arrivalts = None
                                            self.cksum = None
                                            self.advert = None
                                            self._segment_path = lambda: "LsaRec-list" + "[type='" + str(self.type) + "']" + "[id='" + str(self.id) + "']" + "[advRtr='" + str(self.advrtr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.LsaItems.LsaRecList, ['type', 'id', 'advrtr', 'name', 'seq', 'age', 'arrivalts', 'cksum', 'advert'], name, value)




                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pfx  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: patht
                                        
                                        	Path Type
                                        	**type**\:  :py:class:`OspfPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfPathT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: area
                                        
                                        	Area ID
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ucastcost
                                        
                                        	Unicast Cost
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mcastcost
                                        
                                        	Multicast Cost
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tag
                                        
                                        	Route Tag
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dist
                                        
                                        	Distance
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: sgmntrtgmplssid
                                        
                                        	MPLS Segment ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: sgmntrtgmplsinlabel
                                        
                                        	Segment Routing MPLS in\-label
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ucnh_items
                                        
                                        	
                                        	**type**\:  :py:class:`UcnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mcnh_items
                                        
                                        	
                                        	**type**\:  :py:class:`McnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pfx']
                                            self._child_classes = OrderedDict([("ucnh-items", ("ucnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems)), ("mcnh-items", ("mcnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems))])
                                            self._leafs = OrderedDict([
                                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('patht', (YLeaf(YType.enumeration, 'pathT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfPathT', '')])),
                                                ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ('ucastcost', (YLeaf(YType.uint16, 'ucastCost'), ['int'])),
                                                ('mcastcost', (YLeaf(YType.uint16, 'mcastCost'), ['int'])),
                                                ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                                ('dist', (YLeaf(YType.uint8, 'dist'), ['int'])),
                                                ('sgmntrtgmplssid', (YLeaf(YType.uint32, 'sgmntRtgMplsSid'), ['int'])),
                                                ('sgmntrtgmplsinlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsInLabel'), ['int'])),
                                            ])
                                            self.pfx = None
                                            self.name = None
                                            self.patht = None
                                            self.area = None
                                            self.flags = None
                                            self.ucastcost = None
                                            self.mcastcost = None
                                            self.tag = None
                                            self.dist = None
                                            self.sgmntrtgmplssid = None
                                            self.sgmntrtgmplsinlabel = None

                                            self.ucnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems()
                                            self.ucnh_items.parent = self
                                            self._children_name_map["ucnh_items"] = "ucnh-items"

                                            self.mcnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems()
                                            self.mcnh_items.parent = self
                                            self._children_name_map["mcnh_items"] = "mcnh-items"
                                            self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList, ['pfx', 'name', 'patht', 'area', 'flags', 'ucastcost', 'mcastcost', 'tag', 'dist', 'sgmntrtgmplssid', 'sgmntrtgmplsinlabel'], name, value)


                                        class UcnhItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ucnexthop_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`UcNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems, self).__init__()

                                                self.yang_name = "ucnh-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("UcNexthop-list", ("ucnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList))])
                                                self._leafs = OrderedDict()

                                                self.ucnexthop_list = YList(self)
                                                self._segment_path = lambda: "ucnh-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems, [], name, value)


                                            class UcNexthopList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: if_  (key)
                                                
                                                	Interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplsoutlabel
                                                
                                                	Segment Routing MPLS out\-label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, self).__init__()

                                                    self.yang_name = "UcNexthop-list"
                                                    self.yang_parent_name = "ucnh-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['if_','addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                    ])
                                                    self.if_ = None
                                                    self.addr = None
                                                    self.name = None
                                                    self.flags = None
                                                    self.sgmntrtgmplsoutlabel = None
                                                    self._segment_path = lambda: "UcNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)




                                        class McnhItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mcnexthop_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`McNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems, self).__init__()

                                                self.yang_name = "mcnh-items"
                                                self.yang_parent_name = "Route-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("McNexthop-list", ("mcnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList))])
                                                self._leafs = OrderedDict()

                                                self.mcnexthop_list = YList(self)
                                                self._segment_path = lambda: "mcnh-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems, [], name, value)


                                            class McNexthopList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: if_  (key)
                                                
                                                	Interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplsoutlabel
                                                
                                                	Segment Routing MPLS out\-label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, self).__init__()

                                                    self.yang_name = "McNexthop-list"
                                                    self.yang_parent_name = "mcnh-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['if_','addr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                    ])
                                                    self.if_ = None
                                                    self.addr = None
                                                    self.name = None
                                                    self.flags = None
                                                    self.sgmntrtgmplsoutlabel = None
                                                    self._segment_path = lambda: "McNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)








                        class SpfcompItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: initintvl
                            
                            	Initial Interval
                            	**type**\: int
                            
                            	**range:** 1..600000
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 1..600000
                            
                            .. attribute:: maxintvl
                            
                            	Maximum Interval
                            	**type**\: int
                            
                            	**range:** 1..600000
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.SpfcompItems, self).__init__()

                                self.yang_name = "spfcomp-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('initintvl', (YLeaf(YType.uint32, 'initIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint32, 'holdIntvl'), ['int'])),
                                    ('maxintvl', (YLeaf(YType.uint32, 'maxIntvl'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.initintvl = None
                                self.holdintvl = None
                                self.maxintvl = None
                                self._segment_path = lambda: "spfcomp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.SpfcompItems, ['name', 'descr', 'initintvl', 'holdintvl', 'maxintvl'], name, value)



                        class LsactrlItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: gppacingintvl
                            
                            	Group Pacing Interval
                            	**type**\: int
                            
                            	**range:** 1..1800
                            
                            .. attribute:: arrivalintvl
                            
                            	Arrival Interval
                            	**type**\: int
                            
                            	**range:** 10..600000
                            
                            .. attribute:: startintvl
                            
                            	Start Interval
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 50..30000
                            
                            .. attribute:: maxintvl
                            
                            	Maximum Interval
                            	**type**\: int
                            
                            	**range:** 50..30000
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.LsactrlItems, self).__init__()

                                self.yang_name = "lsactrl-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('gppacingintvl', (YLeaf(YType.uint16, 'gpPacingIntvl'), ['int'])),
                                    ('arrivalintvl', (YLeaf(YType.uint32, 'arrivalIntvl'), ['int'])),
                                    ('startintvl', (YLeaf(YType.uint32, 'startIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint32, 'holdIntvl'), ['int'])),
                                    ('maxintvl', (YLeaf(YType.uint32, 'maxIntvl'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.gppacingintvl = None
                                self.arrivalintvl = None
                                self.startintvl = None
                                self.holdintvl = None
                                self.maxintvl = None
                                self._segment_path = lambda: "lsactrl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.LsactrlItems, ['name', 'descr', 'gppacingintvl', 'arrivalintvl', 'startintvl', 'holdintvl', 'maxintvl'], name, value)



                        class DomstatsItems(Entity):
                            """
                            
                            
                            .. attribute:: ifcnt
                            
                            	Interface Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: areacnt
                            
                            	Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: stubareacnt
                            
                            	Stub Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: nssaareacnt
                            
                            	NSSA Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: extareacnt
                            
                            	External Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: activestubareacnt
                            
                            	Active Stub Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: activenssaareacnt
                            
                            	Active NSSA Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: activeextareacnt
                            
                            	Active External Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: activeareacnt
                            
                            	Active Area Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: laststatsclearts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: peercnt
                            
                            	Peer Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: extlsacnt
                            
                            	External LSA Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: opaqueaslsacnt
                            
                            	Opaque AS LSA Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: totalaslsacnt
                            
                            	Total AS LSA Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: newlsarxcnt
                            
                            	New LSA Rx Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: newlsatxcnt
                            
                            	New LSA Tx Count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: areabdrrtr
                            
                            	Area Border Router
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            	**config**\: False
                            
                            .. attribute:: asbdrrtr
                            
                            	Autonomous System Boundary Router
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.DomstatsItems, self).__init__()

                                self.yang_name = "domstats-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('ifcnt', (YLeaf(YType.uint32, 'ifCnt'), ['int'])),
                                    ('areacnt', (YLeaf(YType.uint32, 'areaCnt'), ['int'])),
                                    ('stubareacnt', (YLeaf(YType.uint32, 'stubAreaCnt'), ['int'])),
                                    ('nssaareacnt', (YLeaf(YType.uint32, 'nssaAreaCnt'), ['int'])),
                                    ('extareacnt', (YLeaf(YType.uint32, 'extAreaCnt'), ['int'])),
                                    ('activestubareacnt', (YLeaf(YType.uint32, 'activeStubAreaCnt'), ['int'])),
                                    ('activenssaareacnt', (YLeaf(YType.uint32, 'activeNssaAreaCnt'), ['int'])),
                                    ('activeextareacnt', (YLeaf(YType.uint32, 'activeExtAreaCnt'), ['int'])),
                                    ('activeareacnt', (YLeaf(YType.uint32, 'activeAreaCnt'), ['int'])),
                                    ('laststatsclearts', (YLeaf(YType.str, 'lastStatsClearTs'), ['str'])),
                                    ('peercnt', (YLeaf(YType.uint32, 'peerCnt'), ['int'])),
                                    ('extlsacnt', (YLeaf(YType.uint32, 'extLsaCnt'), ['int'])),
                                    ('opaqueaslsacnt', (YLeaf(YType.uint32, 'opaqueAsLsaCnt'), ['int'])),
                                    ('totalaslsacnt', (YLeaf(YType.uint32, 'totalAsLsaCnt'), ['int'])),
                                    ('newlsarxcnt', (YLeaf(YType.uint32, 'newLsaRxCnt'), ['int'])),
                                    ('newlsatxcnt', (YLeaf(YType.uint32, 'newLsaTxCnt'), ['int'])),
                                    ('areabdrrtr', (YLeaf(YType.uint8, 'areaBdrRtr'), ['int'])),
                                    ('asbdrrtr', (YLeaf(YType.uint8, 'asBdrRtr'), ['int'])),
                                ])
                                self.ifcnt = None
                                self.areacnt = None
                                self.stubareacnt = None
                                self.nssaareacnt = None
                                self.extareacnt = None
                                self.activestubareacnt = None
                                self.activenssaareacnt = None
                                self.activeextareacnt = None
                                self.activeareacnt = None
                                self.laststatsclearts = None
                                self.peercnt = None
                                self.extlsacnt = None
                                self.opaqueaslsacnt = None
                                self.totalaslsacnt = None
                                self.newlsarxcnt = None
                                self.newlsatxcnt = None
                                self.areabdrrtr = None
                                self.asbdrrtr = None
                                self._segment_path = lambda: "domstats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DomstatsItems, ['ifcnt', 'areacnt', 'stubareacnt', 'nssaareacnt', 'extareacnt', 'activestubareacnt', 'activenssaareacnt', 'activeextareacnt', 'activeareacnt', 'laststatsclearts', 'peercnt', 'extlsacnt', 'opaqueaslsacnt', 'totalaslsacnt', 'newlsarxcnt', 'newlsatxcnt', 'areabdrrtr', 'asbdrrtr'], name, value)



                        class GrItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: ctrl
                            
                            	Control
                            	**type**\:  :py:class:`OspfGrCtrl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfGrCtrl>`
                            
                            .. attribute:: helper
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: graceperiod
                            
                            	Control
                            	**type**\: int
                            
                            	**range:** 5..1800
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.GrItems, self).__init__()

                                self.yang_name = "gr-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('ctrl', (YLeaf(YType.enumeration, 'ctrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfGrCtrl', '')])),
                                    ('helper', (YLeaf(YType.boolean, 'helper'), ['bool'])),
                                    ('graceperiod', (YLeaf(YType.uint32, 'gracePeriod'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.ctrl = None
                                self.helper = None
                                self.graceperiod = None
                                self._segment_path = lambda: "gr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.GrItems, ['name', 'descr', 'ctrl', 'helper', 'graceperiod'], name, value)



                        class IfItems(Entity):
                            """
                            
                            
                            .. attribute:: if_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems, self).__init__()

                                self.yang_name = "if-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("If-list", ("if_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList))])
                                self._leafs = OrderedDict()

                                self.if_list = YList(self)
                                self._segment_path = lambda: "if-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems, [], name, value)


                            class IfList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Interface ID
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..1024
                                
                                	**config**\: False
                                
                                .. attribute:: adminst
                                
                                	Admin State
                                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                
                                .. attribute:: ctrl
                                
                                	Controls
                                	**type**\: str
                                
                                .. attribute:: passivectrl
                                
                                	Passive Interface Control
                                	**type**\:  :py:class:`OspfPassiveControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfPassiveControl>`
                                
                                .. attribute:: bfdctrl
                                
                                	BFD Control
                                	**type**\:  :py:class:`OspfBfdControl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfBfdControl>`
                                
                                .. attribute:: nwt
                                
                                	Network Type
                                	**type**\:  :py:class:`OspfNwT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfNwT>`
                                
                                .. attribute:: prio
                                
                                	Priority
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: cost
                                
                                	Cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: xmitdelay
                                
                                	Transmit Delay
                                	**type**\: int
                                
                                	**range:** 1..450
                                
                                .. attribute:: area
                                
                                	Area ID
                                	**type**\: str
                                
                                .. attribute:: advertisesecondaries
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: nodeflag
                                
                                	Node Flag
                                	**type**\:  :py:class:`OspfFlagStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfFlagStatus>`
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`OspfIfOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfIfOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: failstqual
                                
                                	Failed State Qualifier
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`OspfIfType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfIfType>`
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Flags
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: addr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: dr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bdr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: drid
                                
                                	DR Id
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bdrid
                                
                                	BDR Id
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: lsacksumsum
                                
                                	LSA Checksum Sum
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: opercost
                                
                                	Operational Cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: operdeadintvl
                                
                                	Operational Dead Interval
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: opersidindex
                                
                                	Operational Segment\-Routing prefix SID value. It is relative value to SRBG start
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                	**config**\: False
                                
                                .. attribute:: explicitnull
                                
                                	explicit\-null
                                	**type**\:  :py:class:`OspfActive <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfActive>`
                                
                                	**config**\: False
                                
                                .. attribute:: hellointvl
                                
                                	Hello Interval
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: deadintvl
                                
                                	Dead Interval
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: rexmitintvl
                                
                                	Retransmit Interval
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: adj_items
                                
                                	
                                	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems>`
                                
                                .. attribute:: auth_items
                                
                                	
                                	**type**\:  :py:class:`AuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthItems>`
                                
                                .. attribute:: authnew_items
                                
                                	
                                	**type**\:  :py:class:`AuthnewItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthnewItems>`
                                
                                .. attribute:: db_items
                                
                                	
                                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems>`
                                
                                .. attribute:: ifstats_items
                                
                                	
                                	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.IfstatsItems>`
                                
                                .. attribute:: multiarea_items
                                
                                	
                                	**type**\:  :py:class:`MultiareaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems>`
                                
                                .. attribute:: trstats_items
                                
                                	
                                	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrstatsItems>`
                                
                                .. attribute:: rtospfifdeftoospfif_items
                                
                                	
                                	**type**\:  :py:class:`RtospfIfDefToOspfIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems>`
                                
                                .. attribute:: rtvrfmbr_items
                                
                                	
                                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                                
                                .. attribute:: rtnwpathtoif_items
                                
                                	
                                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList, self).__init__()

                                    self.yang_name = "If-list"
                                    self.yang_parent_name = "if-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("adj-items", ("adj_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems)), ("auth-items", ("auth_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthItems)), ("authnew-items", ("authnew_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthnewItems)), ("db-items", ("db_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems)), ("ifstats-items", ("ifstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.IfstatsItems)), ("multiarea-items", ("multiarea_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems)), ("trstats-items", ("trstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrstatsItems)), ("rtospfIfDefToOspfIf-items", ("rtospfifdeftoospfif_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ('passivectrl', (YLeaf(YType.enumeration, 'passiveCtrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfPassiveControl', '')])),
                                        ('bfdctrl', (YLeaf(YType.enumeration, 'bfdCtrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfBfdControl', '')])),
                                        ('nwt', (YLeaf(YType.enumeration, 'nwT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfNwT', '')])),
                                        ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                        ('cost', (YLeaf(YType.uint16, 'cost'), ['int'])),
                                        ('xmitdelay', (YLeaf(YType.uint16, 'xmitDelay'), ['int'])),
                                        ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                        ('advertisesecondaries', (YLeaf(YType.boolean, 'advertiseSecondaries'), ['bool'])),
                                        ('nodeflag', (YLeaf(YType.enumeration, 'nodeFlag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfFlagStatus', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfIfOperSt', '')])),
                                        ('failstqual', (YLeaf(YType.str, 'failStQual'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfIfType', '')])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('dr', (YLeaf(YType.str, 'dr'), ['str','str'])),
                                        ('bdr', (YLeaf(YType.str, 'bdr'), ['str','str'])),
                                        ('drid', (YLeaf(YType.str, 'drId'), ['str'])),
                                        ('bdrid', (YLeaf(YType.str, 'bdrId'), ['str'])),
                                        ('lsacksumsum', (YLeaf(YType.uint32, 'lsaCksumSum'), ['int'])),
                                        ('opercost', (YLeaf(YType.uint16, 'operCost'), ['int'])),
                                        ('operdeadintvl', (YLeaf(YType.uint32, 'operDeadIntvl'), ['int'])),
                                        ('opersidindex', (YLeaf(YType.int32, 'operSidIndex'), ['int'])),
                                        ('explicitnull', (YLeaf(YType.enumeration, 'explicitNull'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfActive', '')])),
                                        ('hellointvl', (YLeaf(YType.uint16, 'helloIntvl'), ['int'])),
                                        ('deadintvl', (YLeaf(YType.uint32, 'deadIntvl'), ['int'])),
                                        ('rexmitintvl', (YLeaf(YType.uint16, 'rexmitIntvl'), ['int'])),
                                    ])
                                    self.id = None
                                    self.name = None
                                    self.descr = None
                                    self.adminst = None
                                    self.ctrl = None
                                    self.passivectrl = None
                                    self.bfdctrl = None
                                    self.nwt = None
                                    self.prio = None
                                    self.cost = None
                                    self.xmitdelay = None
                                    self.area = None
                                    self.advertisesecondaries = None
                                    self.nodeflag = None
                                    self.operst = None
                                    self.failstqual = None
                                    self.type = None
                                    self.flags = None
                                    self.addr = None
                                    self.dr = None
                                    self.bdr = None
                                    self.drid = None
                                    self.bdrid = None
                                    self.lsacksumsum = None
                                    self.opercost = None
                                    self.operdeadintvl = None
                                    self.opersidindex = None
                                    self.explicitnull = None
                                    self.hellointvl = None
                                    self.deadintvl = None
                                    self.rexmitintvl = None

                                    self.adj_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems()
                                    self.adj_items.parent = self
                                    self._children_name_map["adj_items"] = "adj-items"

                                    self.auth_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthItems()
                                    self.auth_items.parent = self
                                    self._children_name_map["auth_items"] = "auth-items"

                                    self.authnew_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthnewItems()
                                    self.authnew_items.parent = self
                                    self._children_name_map["authnew_items"] = "authnew-items"

                                    self.db_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems()
                                    self.db_items.parent = self
                                    self._children_name_map["db_items"] = "db-items"

                                    self.ifstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.IfstatsItems()
                                    self.ifstats_items.parent = self
                                    self._children_name_map["ifstats_items"] = "ifstats-items"

                                    self.multiarea_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems()
                                    self.multiarea_items.parent = self
                                    self._children_name_map["multiarea_items"] = "multiarea-items"

                                    self.trstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrstatsItems()
                                    self.trstats_items.parent = self
                                    self._children_name_map["trstats_items"] = "trstats-items"

                                    self.rtospfifdeftoospfif_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems()
                                    self.rtospfifdeftoospfif_items.parent = self
                                    self._children_name_map["rtospfifdeftoospfif_items"] = "rtospfIfDefToOspfIf-items"

                                    self.rtvrfmbr_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                    self.rtvrfmbr_items.parent = self
                                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                    self.rtnwpathtoif_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                    self.rtnwpathtoif_items.parent = self
                                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList, ['id', 'name', 'descr', 'adminst', 'ctrl', 'passivectrl', 'bfdctrl', 'nwt', 'prio', 'cost', 'xmitdelay', 'area', 'advertisesecondaries', 'nodeflag', 'operst', 'failstqual', 'type', 'flags', 'addr', 'dr', 'bdr', 'drid', 'bdrid', 'lsacksumsum', 'opercost', 'operdeadintvl', 'opersidindex', 'explicitnull', 'hellointvl', 'deadintvl', 'rexmitintvl'], name, value)


                                class AdjItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: adjep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems, self).__init__()

                                        self.yang_name = "adj-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList))])
                                        self._leafs = OrderedDict()

                                        self.adjep_list = YList(self)
                                        self._segment_path = lambda: "adj-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems, [], name, value)


                                    class AdjEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifid
                                        
                                        	Interface ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: operst
                                        
                                        	Operational State
                                        	**type**\:  :py:class:`OspfAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAdjOperSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bfdst
                                        
                                        	BFD State
                                        	**type**\:  :py:class:`OspfBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfBfdOperSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: area
                                        
                                        	Area ID
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: prio
                                        
                                        	Priority
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dr
                                        
                                        	Designated Router
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bdr
                                        
                                        	Backup Designated Router
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: peerip
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: hellooptions
                                        
                                        	Hello Options
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dbdoptions
                                        
                                        	DBD Options
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: peername
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: adjstats_items
                                        
                                        	
                                        	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: gr_items
                                        
                                        	
                                        	**type**\:  :py:class:`GrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.GrItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, self).__init__()

                                            self.yang_name = "AdjEp-list"
                                            self.yang_parent_name = "adj-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems)), ("gr-items", ("gr_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.GrItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ifid', (YLeaf(YType.uint32, 'ifId'), ['int'])),
                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAdjOperSt', '')])),
                                                ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfBfdOperSt', '')])),
                                                ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                                ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                                ('dr', (YLeaf(YType.str, 'dr'), ['str','str'])),
                                                ('bdr', (YLeaf(YType.str, 'bdr'), ['str','str'])),
                                                ('peerip', (YLeaf(YType.str, 'peerIp'), ['str','str'])),
                                                ('hellooptions', (YLeaf(YType.uint32, 'helloOptions'), ['int'])),
                                                ('dbdoptions', (YLeaf(YType.uint32, 'dbdOptions'), ['int'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ('peername', (YLeaf(YType.str, 'peerName'), ['str'])),
                                            ])
                                            self.id = None
                                            self.name = None
                                            self.ifid = None
                                            self.operst = None
                                            self.bfdst = None
                                            self.area = None
                                            self.prio = None
                                            self.dr = None
                                            self.bdr = None
                                            self.peerip = None
                                            self.hellooptions = None
                                            self.dbdoptions = None
                                            self.flags = None
                                            self.peername = None

                                            self.adjstats_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems()
                                            self.adjstats_items.parent = self
                                            self._children_name_map["adjstats_items"] = "adjstats-items"

                                            self.gr_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.GrItems()
                                            self.gr_items.parent = self
                                            self._children_name_map["gr_items"] = "gr-items"
                                            self._segment_path = lambda: "AdjEp-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, ['id', 'name', 'ifid', 'operst', 'bfdst', 'area', 'prio', 'dr', 'bdr', 'peerip', 'hellooptions', 'dbdoptions', 'flags', 'peername'], name, value)


                                        class AdjstatsItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stchgcnt
                                            
                                            	State Change Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: laststchgts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastnonhellopktts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dbdseqnum
                                            
                                            	DBD Sequence Number
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: reqlsacnt
                                            
                                            	Request LSA Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: outstandinglsacnt
                                            
                                            	Outstanding LSA Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lsareqrexmitcnt
                                            
                                            	LSA Request Retransmission Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: deadtimerexpts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems, self).__init__()

                                                self.yang_name = "adjstats-items"
                                                self.yang_parent_name = "AdjEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('stchgcnt', (YLeaf(YType.uint32, 'stChgCnt'), ['int'])),
                                                    ('laststchgts', (YLeaf(YType.str, 'lastStChgTs'), ['str'])),
                                                    ('lastnonhellopktts', (YLeaf(YType.str, 'lastNonHelloPktTs'), ['str'])),
                                                    ('dbdseqnum', (YLeaf(YType.uint32, 'dbdSeqNum'), ['int'])),
                                                    ('reqlsacnt', (YLeaf(YType.uint32, 'reqLsaCnt'), ['int'])),
                                                    ('outstandinglsacnt', (YLeaf(YType.uint32, 'outstandingLsaCnt'), ['int'])),
                                                    ('lsareqrexmitcnt', (YLeaf(YType.uint32, 'lsaReqRexmitCnt'), ['int'])),
                                                    ('deadtimerexpts', (YLeaf(YType.str, 'deadTimerExpTs'), ['str'])),
                                                ])
                                                self.stchgcnt = None
                                                self.laststchgts = None
                                                self.lastnonhellopktts = None
                                                self.dbdseqnum = None
                                                self.reqlsacnt = None
                                                self.outstandinglsacnt = None
                                                self.lsareqrexmitcnt = None
                                                self.deadtimerexpts = None
                                                self._segment_path = lambda: "adjstats-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.AdjstatsItems, ['stchgcnt', 'laststchgts', 'lastnonhellopktts', 'dbdseqnum', 'reqlsacnt', 'outstandinglsacnt', 'lsareqrexmitcnt', 'deadtimerexpts'], name, value)



                                        class GrItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: helperst
                                            
                                            	Peer Restart Helper Status
                                            	**type**\:  :py:class:`OspfHelperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfHelperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: helperage
                                            
                                            	Peer Restart Helper Age
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: helperexitqual
                                            
                                            	Peer Restart Helper Exit Qualifier
                                            	**type**\:  :py:class:`OspfHelperExitQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfHelperExitQual>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.GrItems, self).__init__()

                                                self.yang_name = "gr-items"
                                                self.yang_parent_name = "AdjEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('helperst', (YLeaf(YType.enumeration, 'helperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfHelperSt', '')])),
                                                    ('helperage', (YLeaf(YType.uint32, 'helperAge'), ['int'])),
                                                    ('helperexitqual', (YLeaf(YType.enumeration, 'helperExitQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfHelperExitQual', '')])),
                                                ])
                                                self.helperst = None
                                                self.helperage = None
                                                self.helperexitqual = None
                                                self._segment_path = lambda: "gr-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList.GrItems, ['helperst', 'helperage', 'helperexitqual'], name, value)





                                class AuthItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`OspfAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAuthT>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: keyid
                                    
                                    	Key ID
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: key
                                    
                                    	Key
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthItems, self).__init__()

                                        self.yang_name = "auth-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAuthT', '')])),
                                            ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.type = None
                                        self.keyid = None
                                        self.key = None
                                        self.name = None
                                        self.descr = None
                                        self._segment_path = lambda: "auth-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthItems, ['type', 'keyid', 'key', 'name', 'descr'], name, value)



                                class AuthnewItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`OspfAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAuthT>`
                                    
                                    .. attribute:: keyid
                                    
                                    	Key ID
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: key
                                    
                                    	Key
                                    	**type**\: str
                                    
                                    .. attribute:: keysecuremode
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: md5key
                                    
                                    	Key
                                    	**type**\: str
                                    
                                    .. attribute:: md5keysecuremode
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: keychain
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthnewItems, self).__init__()

                                        self.yang_name = "authnew-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAuthT', '')])),
                                            ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                            ('keysecuremode', (YLeaf(YType.boolean, 'keySecureMode'), ['bool'])),
                                            ('md5key', (YLeaf(YType.str, 'md5key'), ['str'])),
                                            ('md5keysecuremode', (YLeaf(YType.boolean, 'md5keySecureMode'), ['bool'])),
                                            ('keychain', (YLeaf(YType.str, 'keychain'), ['str'])),
                                        ])
                                        self.name = None
                                        self.descr = None
                                        self.type = None
                                        self.keyid = None
                                        self.key = None
                                        self.keysecuremode = None
                                        self.md5key = None
                                        self.md5keysecuremode = None
                                        self.keychain = None
                                        self._segment_path = lambda: "authnew-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.AuthnewItems, ['name', 'descr', 'type', 'keyid', 'key', 'keysecuremode', 'md5key', 'md5keysecuremode', 'keychain'], name, value)



                                class DbItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: db_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems, self).__init__()

                                        self.yang_name = "db-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList))])
                                        self._leafs = OrderedDict()

                                        self.db_list = YList(self)
                                        self._segment_path = lambda: "db-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems, [], name, value)


                                    class DbList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`OspfDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfDbT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lsa_items
                                        
                                        	
                                        	**type**\:  :py:class:`LsaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList, self).__init__()

                                            self.yang_name = "Db-list"
                                            self.yang_parent_name = "db-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("lsa-items", ("lsa_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems)), ("rt-items", ("rt_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfDbT', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.type = None
                                            self.name = None

                                            self.lsa_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems()
                                            self.lsa_items.parent = self
                                            self._children_name_map["lsa_items"] = "lsa-items"

                                            self.rt_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems()
                                            self.rt_items.parent = self
                                            self._children_name_map["rt_items"] = "rt-items"
                                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList, ['type', 'name'], name, value)


                                        class LsaItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lsarec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`LsaRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems.LsaRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems, self).__init__()

                                                self.yang_name = "lsa-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("LsaRec-list", ("lsarec_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems.LsaRecList))])
                                                self._leafs = OrderedDict()

                                                self.lsarec_list = YList(self)
                                                self._segment_path = lambda: "lsa-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems, [], name, value)


                                            class LsaRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type  (key)
                                                
                                                	Type
                                                	**type**\:  :py:class:`OspfLsaT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfLsaT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: advrtr  (key)
                                                
                                                	Advertising Router
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: seq
                                                
                                                	Sequence Number
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: age
                                                
                                                	Age
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: arrivalts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: cksum
                                                
                                                	Checksum
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: advert
                                                
                                                	LSA Advertisement
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems.LsaRecList, self).__init__()

                                                    self.yang_name = "LsaRec-list"
                                                    self.yang_parent_name = "lsa-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['type','id','advrtr']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfLsaT', '')])),
                                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                        ('advrtr', (YLeaf(YType.str, 'advRtr'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('seq', (YLeaf(YType.uint32, 'seq'), ['int'])),
                                                        ('age', (YLeaf(YType.uint32, 'age'), ['int'])),
                                                        ('arrivalts', (YLeaf(YType.str, 'arrivalTs'), ['str'])),
                                                        ('cksum', (YLeaf(YType.uint32, 'cksum'), ['int'])),
                                                        ('advert', (YLeaf(YType.str, 'advert'), ['str'])),
                                                    ])
                                                    self.type = None
                                                    self.id = None
                                                    self.advrtr = None
                                                    self.name = None
                                                    self.seq = None
                                                    self.age = None
                                                    self.arrivalts = None
                                                    self.cksum = None
                                                    self.advert = None
                                                    self._segment_path = lambda: "LsaRec-list" + "[type='" + str(self.type) + "']" + "[id='" + str(self.id) + "']" + "[advRtr='" + str(self.advrtr) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.LsaItems.LsaRecList, ['type', 'id', 'advrtr', 'name', 'seq', 'age', 'arrivalts', 'cksum', 'advert'], name, value)




                                        class RtItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems, self).__init__()

                                                self.yang_name = "rt-items"
                                                self.yang_parent_name = "Db-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList))])
                                                self._leafs = OrderedDict()

                                                self.route_list = YList(self)
                                                self._segment_path = lambda: "rt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems, [], name, value)


                                            class RouteList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfx  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: patht
                                                
                                                	Path Type
                                                	**type**\:  :py:class:`OspfPathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfPathT>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: area
                                                
                                                	Area ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ucastcost
                                                
                                                	Unicast Cost
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: mcastcost
                                                
                                                	Multicast Cost
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tag
                                                
                                                	Route Tag
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dist
                                                
                                                	Distance
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplssid
                                                
                                                	MPLS Segment ID
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sgmntrtgmplsinlabel
                                                
                                                	Segment Routing MPLS in\-label
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ucnh_items
                                                
                                                	
                                                	**type**\:  :py:class:`UcnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: mcnh_items
                                                
                                                	
                                                	**type**\:  :py:class:`McnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                                    self.yang_name = "Route-list"
                                                    self.yang_parent_name = "rt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['pfx']
                                                    self._child_classes = OrderedDict([("ucnh-items", ("ucnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems)), ("mcnh-items", ("mcnh_items", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems))])
                                                    self._leafs = OrderedDict([
                                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('patht', (YLeaf(YType.enumeration, 'pathT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfPathT', '')])),
                                                        ('area', (YLeaf(YType.str, 'area'), ['str'])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ('ucastcost', (YLeaf(YType.uint16, 'ucastCost'), ['int'])),
                                                        ('mcastcost', (YLeaf(YType.uint16, 'mcastCost'), ['int'])),
                                                        ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                                        ('dist', (YLeaf(YType.uint8, 'dist'), ['int'])),
                                                        ('sgmntrtgmplssid', (YLeaf(YType.uint32, 'sgmntRtgMplsSid'), ['int'])),
                                                        ('sgmntrtgmplsinlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsInLabel'), ['int'])),
                                                    ])
                                                    self.pfx = None
                                                    self.name = None
                                                    self.patht = None
                                                    self.area = None
                                                    self.flags = None
                                                    self.ucastcost = None
                                                    self.mcastcost = None
                                                    self.tag = None
                                                    self.dist = None
                                                    self.sgmntrtgmplssid = None
                                                    self.sgmntrtgmplsinlabel = None

                                                    self.ucnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems()
                                                    self.ucnh_items.parent = self
                                                    self._children_name_map["ucnh_items"] = "ucnh-items"

                                                    self.mcnh_items = System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems()
                                                    self.mcnh_items.parent = self
                                                    self._children_name_map["mcnh_items"] = "mcnh-items"
                                                    self._segment_path = lambda: "Route-list" + "[pfx='" + str(self.pfx) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList, ['pfx', 'name', 'patht', 'area', 'flags', 'ucastcost', 'mcastcost', 'tag', 'dist', 'sgmntrtgmplssid', 'sgmntrtgmplsinlabel'], name, value)


                                                class UcnhItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ucnexthop_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`UcNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems, self).__init__()

                                                        self.yang_name = "ucnh-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("UcNexthop-list", ("ucnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList))])
                                                        self._leafs = OrderedDict()

                                                        self.ucnexthop_list = YList(self)
                                                        self._segment_path = lambda: "ucnh-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems, [], name, value)


                                                    class UcNexthopList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: if_  (key)
                                                        
                                                        	Interface
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: sgmntrtgmplsoutlabel
                                                        
                                                        	Segment Routing MPLS out\-label
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, self).__init__()

                                                            self.yang_name = "UcNexthop-list"
                                                            self.yang_parent_name = "ucnh-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['if_','addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                            ])
                                                            self.if_ = None
                                                            self.addr = None
                                                            self.name = None
                                                            self.flags = None
                                                            self.sgmntrtgmplsoutlabel = None
                                                            self._segment_path = lambda: "UcNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.UcnhItems.UcNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)




                                                class McnhItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: mcnexthop_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`McNexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems, self).__init__()

                                                        self.yang_name = "mcnh-items"
                                                        self.yang_parent_name = "Route-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("McNexthop-list", ("mcnexthop_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList))])
                                                        self._leafs = OrderedDict()

                                                        self.mcnexthop_list = YList(self)
                                                        self._segment_path = lambda: "mcnh-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems, [], name, value)


                                                    class McNexthopList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: if_  (key)
                                                        
                                                        	Interface
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Flags
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: sgmntrtgmplsoutlabel
                                                        
                                                        	Segment Routing MPLS out\-label
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, self).__init__()

                                                            self.yang_name = "McNexthop-list"
                                                            self.yang_parent_name = "mcnh-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['if_','addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ('sgmntrtgmplsoutlabel', (YLeaf(YType.uint32, 'sgmntRtgMplsOutLabel'), ['int'])),
                                                            ])
                                                            self.if_ = None
                                                            self.addr = None
                                                            self.name = None
                                                            self.flags = None
                                                            self.sgmntrtgmplsoutlabel = None
                                                            self._segment_path = lambda: "McNexthop-list" + "[if='" + str(self.if_) + "']" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.DbItems.DbList.RtItems.RouteList.McnhItems.McNexthopList, ['if_', 'addr', 'name', 'flags', 'sgmntrtgmplsoutlabel'], name, value)








                                class IfstatsItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: evcnt
                                    
                                    	If Events Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsacnt
                                    
                                    	LSA Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peercnt
                                    
                                    	Peer Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: floodtopeercnt
                                    
                                    	Flood To Peer Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: adjcnt
                                    
                                    	Adjacency Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grhelperpeercnt
                                    
                                    	GR Helper Peer Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.IfstatsItems, self).__init__()

                                        self.yang_name = "ifstats-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('evcnt', (YLeaf(YType.uint32, 'evCnt'), ['int'])),
                                            ('lsacnt', (YLeaf(YType.uint32, 'lsaCnt'), ['int'])),
                                            ('peercnt', (YLeaf(YType.uint32, 'peerCnt'), ['int'])),
                                            ('floodtopeercnt', (YLeaf(YType.uint32, 'floodToPeerCnt'), ['int'])),
                                            ('adjcnt', (YLeaf(YType.uint32, 'adjCnt'), ['int'])),
                                            ('grhelperpeercnt', (YLeaf(YType.uint32, 'grHelperPeerCnt'), ['int'])),
                                        ])
                                        self.evcnt = None
                                        self.lsacnt = None
                                        self.peercnt = None
                                        self.floodtopeercnt = None
                                        self.adjcnt = None
                                        self.grhelperpeercnt = None
                                        self._segment_path = lambda: "ifstats-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.IfstatsItems, ['evcnt', 'lsacnt', 'peercnt', 'floodtopeercnt', 'adjcnt', 'grhelperpeercnt'], name, value)



                                class MultiareaItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: multiarea_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MultiAreaList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems.MultiAreaList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems, self).__init__()

                                        self.yang_name = "multiarea-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MultiArea-list", ("multiarea_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems.MultiAreaList))])
                                        self._leafs = OrderedDict()

                                        self.multiarea_list = YList(self)
                                        self._segment_path = lambda: "multiarea-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems, [], name, value)


                                    class MultiAreaList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: multiareaid  (key)
                                        
                                        	Multi Area ID
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems.MultiAreaList, self).__init__()

                                            self.yang_name = "MultiArea-list"
                                            self.yang_parent_name = "multiarea-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['multiareaid']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('multiareaid', (YLeaf(YType.str, 'multiareaid'), ['str'])),
                                            ])
                                            self.multiareaid = None
                                            self._segment_path = lambda: "MultiArea-list" + "[multiareaid='" + str(self.multiareaid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.MultiareaItems.MultiAreaList, ['multiareaid'], name, value)




                                class TrstatsItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: totalpktsrcvd
                                    
                                    	Total Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hellopktsrcvd
                                    
                                    	Hello Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dbdpktsrcvd
                                    
                                    	DBD Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsreqpktsrcvd
                                    
                                    	LSREQ Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsupdpktsrcvd
                                    
                                    	LSU Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsackpktsrcvd
                                    
                                    	LSACK Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rcvdpktsdropped
                                    
                                    	Received Packets Dropped
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errpktsrcvd
                                    
                                    	Error Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errhellopktsrcvd
                                    
                                    	Error Hello Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errdbdpktsrcvd
                                    
                                    	Error DBD Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errlsreqpktsrcvd
                                    
                                    	Error LSREQ Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errlsupdpktsrcvd
                                    
                                    	Error LSU Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errlsackpktsrcvd
                                    
                                    	Error LSACK Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: unknownpktsrcvd
                                    
                                    	Unknown Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: duprtridpktsrcvd
                                    
                                    	Duplicate RouterId Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dupsrcaddrpktsrcvd
                                    
                                    	Duplicate Source Addr Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: wrongareapktsrcvd
                                    
                                    	Wrong Area Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: invalidsrcaddrpktsrcvd
                                    
                                    	Invalid Source Addr Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: invaliddestaddrpktsrcvd
                                    
                                    	Invalid Destination Addr Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badcrcpktsrcvd
                                    
                                    	Bad CRC Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badversionpktsrcvd
                                    
                                    	Bad Version Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badresvfieldpktsrcvd
                                    
                                    	Bad Reserved Field Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peerrtridchgdpktsrcvd
                                    
                                    	Peer RouterId Changed Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peernotfoundpktsrcvd
                                    
                                    	Peer Not Found Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badauthpktsrcvd
                                    
                                    	Bad Authentication Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badlenpktsrcvd
                                    
                                    	Bad Length Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: passiveintfpktsrcvd
                                    
                                    	Passive Interface Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: noospfintfpktsrcvd
                                    
                                    	No OSPF Interface Packets Received
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rcvdlsapktsignored
                                    
                                    	Received LSA Packets Ignored
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppedlsapktswhilespf
                                    
                                    	LSA Packets Dropped During SPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppedlsapktswhilegr
                                    
                                    	LSA Packets Dropped During GR
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: totalpktssent
                                    
                                    	Total Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hellopktssent
                                    
                                    	Hello Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dbdpktssent
                                    
                                    	DBD Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsreqpktssent
                                    
                                    	LSREQ Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsupdpktssent
                                    
                                    	LSU Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsackpktssent
                                    
                                    	LSACK Packets Sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppedsendpkts
                                    
                                    	Dropped Send Packets
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: errsendpkts
                                    
                                    	Error Send Packets
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsufirsttxpkts
                                    
                                    	LSU First Tx Packets
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsurexmitpkts
                                    
                                    	LSU Retransmission Packets
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsuforlsreqpkts
                                    
                                    	LSU Packets For LSREQ Packets
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lsupeertxpkts
                                    
                                    	LSU Packets To Peer
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: floodpktsendipthrottle
                                    
                                    	Flood Packet Send IP Throttle
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: floodpktsendtokenthrottle
                                    
                                    	Flood Packet Send Token Throttle
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: laststatsclearts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrstatsItems, self).__init__()

                                        self.yang_name = "trstats-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('totalpktsrcvd', (YLeaf(YType.uint32, 'totalPktsRcvd'), ['int'])),
                                            ('hellopktsrcvd', (YLeaf(YType.uint32, 'helloPktsRcvd'), ['int'])),
                                            ('dbdpktsrcvd', (YLeaf(YType.uint32, 'dbdPktsRcvd'), ['int'])),
                                            ('lsreqpktsrcvd', (YLeaf(YType.uint32, 'lsReqPktsRcvd'), ['int'])),
                                            ('lsupdpktsrcvd', (YLeaf(YType.uint32, 'lsUpdPktsRcvd'), ['int'])),
                                            ('lsackpktsrcvd', (YLeaf(YType.uint32, 'lsAckPktsRcvd'), ['int'])),
                                            ('rcvdpktsdropped', (YLeaf(YType.uint32, 'rcvdPktsDropped'), ['int'])),
                                            ('errpktsrcvd', (YLeaf(YType.uint32, 'errPktsRcvd'), ['int'])),
                                            ('errhellopktsrcvd', (YLeaf(YType.uint32, 'errHelloPktsRcvd'), ['int'])),
                                            ('errdbdpktsrcvd', (YLeaf(YType.uint32, 'errDbdPktsRcvd'), ['int'])),
                                            ('errlsreqpktsrcvd', (YLeaf(YType.uint32, 'errLsReqPktsRcvd'), ['int'])),
                                            ('errlsupdpktsrcvd', (YLeaf(YType.uint32, 'errLsUpdPktsRcvd'), ['int'])),
                                            ('errlsackpktsrcvd', (YLeaf(YType.uint32, 'errLsAckPktsRcvd'), ['int'])),
                                            ('unknownpktsrcvd', (YLeaf(YType.uint32, 'unknownPktsRcvd'), ['int'])),
                                            ('duprtridpktsrcvd', (YLeaf(YType.uint32, 'dupRtrIdPktsRcvd'), ['int'])),
                                            ('dupsrcaddrpktsrcvd', (YLeaf(YType.uint32, 'dupSrcAddrPktsRcvd'), ['int'])),
                                            ('wrongareapktsrcvd', (YLeaf(YType.uint32, 'wrongAreaPktsRcvd'), ['int'])),
                                            ('invalidsrcaddrpktsrcvd', (YLeaf(YType.uint32, 'invalidSrcAddrPktsRcvd'), ['int'])),
                                            ('invaliddestaddrpktsrcvd', (YLeaf(YType.uint32, 'invalidDestAddrPktsRcvd'), ['int'])),
                                            ('badcrcpktsrcvd', (YLeaf(YType.uint32, 'badCRCPktsRcvd'), ['int'])),
                                            ('badversionpktsrcvd', (YLeaf(YType.uint32, 'badVersionPktsRcvd'), ['int'])),
                                            ('badresvfieldpktsrcvd', (YLeaf(YType.uint32, 'badResvFieldPktsRcvd'), ['int'])),
                                            ('peerrtridchgdpktsrcvd', (YLeaf(YType.uint32, 'peerRtrIdChgdPktsRcvd'), ['int'])),
                                            ('peernotfoundpktsrcvd', (YLeaf(YType.uint32, 'peerNotFoundPktsRcvd'), ['int'])),
                                            ('badauthpktsrcvd', (YLeaf(YType.uint32, 'badAuthPktsRcvd'), ['int'])),
                                            ('badlenpktsrcvd', (YLeaf(YType.uint32, 'badLenPktsRcvd'), ['int'])),
                                            ('passiveintfpktsrcvd', (YLeaf(YType.uint32, 'passiveIntfPktsRcvd'), ['int'])),
                                            ('noospfintfpktsrcvd', (YLeaf(YType.uint32, 'noOspfIntfPktsRcvd'), ['int'])),
                                            ('rcvdlsapktsignored', (YLeaf(YType.uint32, 'rcvdLsaPktsIgnored'), ['int'])),
                                            ('droppedlsapktswhilespf', (YLeaf(YType.uint32, 'droppedLsaPktsWhileSPF'), ['int'])),
                                            ('droppedlsapktswhilegr', (YLeaf(YType.uint32, 'droppedLsaPktsWhileGR'), ['int'])),
                                            ('totalpktssent', (YLeaf(YType.uint32, 'totalPktsSent'), ['int'])),
                                            ('hellopktssent', (YLeaf(YType.uint32, 'helloPktsSent'), ['int'])),
                                            ('dbdpktssent', (YLeaf(YType.uint32, 'dbdPktsSent'), ['int'])),
                                            ('lsreqpktssent', (YLeaf(YType.uint32, 'lsReqPktsSent'), ['int'])),
                                            ('lsupdpktssent', (YLeaf(YType.uint32, 'lsUpdPktsSent'), ['int'])),
                                            ('lsackpktssent', (YLeaf(YType.uint32, 'lsAckPktsSent'), ['int'])),
                                            ('droppedsendpkts', (YLeaf(YType.uint32, 'droppedSendPkts'), ['int'])),
                                            ('errsendpkts', (YLeaf(YType.uint32, 'errSendPkts'), ['int'])),
                                            ('lsufirsttxpkts', (YLeaf(YType.uint32, 'lsuFirstTxPkts'), ['int'])),
                                            ('lsurexmitpkts', (YLeaf(YType.uint32, 'lsuRexmitPkts'), ['int'])),
                                            ('lsuforlsreqpkts', (YLeaf(YType.uint32, 'lsuForLsreqPkts'), ['int'])),
                                            ('lsupeertxpkts', (YLeaf(YType.uint32, 'lsuPeerTxPkts'), ['int'])),
                                            ('floodpktsendipthrottle', (YLeaf(YType.uint32, 'floodPktSendIpThrottle'), ['int'])),
                                            ('floodpktsendtokenthrottle', (YLeaf(YType.uint32, 'floodPktSendTokenThrottle'), ['int'])),
                                            ('laststatsclearts', (YLeaf(YType.str, 'lastStatsClearTs'), ['str'])),
                                        ])
                                        self.totalpktsrcvd = None
                                        self.hellopktsrcvd = None
                                        self.dbdpktsrcvd = None
                                        self.lsreqpktsrcvd = None
                                        self.lsupdpktsrcvd = None
                                        self.lsackpktsrcvd = None
                                        self.rcvdpktsdropped = None
                                        self.errpktsrcvd = None
                                        self.errhellopktsrcvd = None
                                        self.errdbdpktsrcvd = None
                                        self.errlsreqpktsrcvd = None
                                        self.errlsupdpktsrcvd = None
                                        self.errlsackpktsrcvd = None
                                        self.unknownpktsrcvd = None
                                        self.duprtridpktsrcvd = None
                                        self.dupsrcaddrpktsrcvd = None
                                        self.wrongareapktsrcvd = None
                                        self.invalidsrcaddrpktsrcvd = None
                                        self.invaliddestaddrpktsrcvd = None
                                        self.badcrcpktsrcvd = None
                                        self.badversionpktsrcvd = None
                                        self.badresvfieldpktsrcvd = None
                                        self.peerrtridchgdpktsrcvd = None
                                        self.peernotfoundpktsrcvd = None
                                        self.badauthpktsrcvd = None
                                        self.badlenpktsrcvd = None
                                        self.passiveintfpktsrcvd = None
                                        self.noospfintfpktsrcvd = None
                                        self.rcvdlsapktsignored = None
                                        self.droppedlsapktswhilespf = None
                                        self.droppedlsapktswhilegr = None
                                        self.totalpktssent = None
                                        self.hellopktssent = None
                                        self.dbdpktssent = None
                                        self.lsreqpktssent = None
                                        self.lsupdpktssent = None
                                        self.lsackpktssent = None
                                        self.droppedsendpkts = None
                                        self.errsendpkts = None
                                        self.lsufirsttxpkts = None
                                        self.lsurexmitpkts = None
                                        self.lsuforlsreqpkts = None
                                        self.lsupeertxpkts = None
                                        self.floodpktsendipthrottle = None
                                        self.floodpktsendtokenthrottle = None
                                        self.laststatsclearts = None
                                        self._segment_path = lambda: "trstats-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.TrstatsItems, ['totalpktsrcvd', 'hellopktsrcvd', 'dbdpktsrcvd', 'lsreqpktsrcvd', 'lsupdpktsrcvd', 'lsackpktsrcvd', 'rcvdpktsdropped', 'errpktsrcvd', 'errhellopktsrcvd', 'errdbdpktsrcvd', 'errlsreqpktsrcvd', 'errlsupdpktsrcvd', 'errlsackpktsrcvd', 'unknownpktsrcvd', 'duprtridpktsrcvd', 'dupsrcaddrpktsrcvd', 'wrongareapktsrcvd', 'invalidsrcaddrpktsrcvd', 'invaliddestaddrpktsrcvd', 'badcrcpktsrcvd', 'badversionpktsrcvd', 'badresvfieldpktsrcvd', 'peerrtridchgdpktsrcvd', 'peernotfoundpktsrcvd', 'badauthpktsrcvd', 'badlenpktsrcvd', 'passiveintfpktsrcvd', 'noospfintfpktsrcvd', 'rcvdlsapktsignored', 'droppedlsapktswhilespf', 'droppedlsapktswhilegr', 'totalpktssent', 'hellopktssent', 'dbdpktssent', 'lsreqpktssent', 'lsupdpktssent', 'lsackpktssent', 'droppedsendpkts', 'errsendpkts', 'lsufirsttxpkts', 'lsurexmitpkts', 'lsuforlsreqpkts', 'lsupeertxpkts', 'floodpktsendipthrottle', 'floodpktsendtokenthrottle', 'laststatsclearts'], name, value)



                                class RtospfIfDefToOspfIfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rtospfifdeftoospfif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RtOspfIfDefToOspfIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems.RtOspfIfDefToOspfIfList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems, self).__init__()

                                        self.yang_name = "rtospfIfDefToOspfIf-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RtOspfIfDefToOspfIf-list", ("rtospfifdeftoospfif_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems.RtOspfIfDefToOspfIfList))])
                                        self._leafs = OrderedDict()

                                        self.rtospfifdeftoospfif_list = YList(self)
                                        self._segment_path = lambda: "rtospfIfDefToOspfIf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems, [], name, value)


                                    class RtOspfIfDefToOspfIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems.RtOspfIfDefToOspfIfList, self).__init__()

                                            self.yang_name = "RtOspfIfDefToOspfIf-list"
                                            self.yang_parent_name = "rtospfIfDefToOspfIf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RtOspfIfDefToOspfIf-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtospfIfDefToOspfIfItems.RtOspfIfDefToOspfIfList, ['tdn', 'tcl'], name, value)




                                class RtvrfMbrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                        self.yang_name = "rtvrfMbr-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtvrfMbr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                                class RtnwPathToIfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rtnwpathtoif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                        self.yang_name = "rtnwPathToIf-items"
                                        self.yang_parent_name = "If-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                        self._leafs = OrderedDict()

                                        self.rtnwpathtoif_list = YList(self)
                                        self._segment_path = lambda: "rtnwPathToIf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                    class RtNwPathToIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                            self.yang_name = "RtNwPathToIf-list"
                                            self.yang_parent_name = "rtnwPathToIf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                        class MaxlsapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: maxlsa
                            
                            	Maximum # of non self\-generated LSAs
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: thresh
                            
                            	Threshold
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: sleepcnt
                            
                            	Sleep Count
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: sleepintvl
                            
                            	Sleep Interval
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            .. attribute:: resetintvl
                            
                            	Reset Interval
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            .. attribute:: action
                            
                            	Action
                            	**type**\:  :py:class:`OspfMaxLsaAct <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfMaxLsaAct>`
                            
                            .. attribute:: operst
                            
                            	OperSt
                            	**type**\:  :py:class:`OspfMaxLsaOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfMaxLsaOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: operstqual
                            
                            	Operational State Qualifier
                            	**type**\:  :py:class:`OspfMaxLsaOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfMaxLsaOperStQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: nonselflsacnt
                            
                            	Current # of non self\-generated LSAs
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: currsleepcnt
                            
                            	Current # of non self\-generated LSAs
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.MaxlsapItems, self).__init__()

                                self.yang_name = "maxlsap-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('maxlsa', (YLeaf(YType.uint32, 'maxLsa'), ['int'])),
                                    ('thresh', (YLeaf(YType.uint16, 'thresh'), ['int'])),
                                    ('sleepcnt', (YLeaf(YType.uint32, 'sleepCnt'), ['int'])),
                                    ('sleepintvl', (YLeaf(YType.uint16, 'sleepIntvl'), ['int'])),
                                    ('resetintvl', (YLeaf(YType.uint32, 'resetIntvl'), ['int'])),
                                    ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfMaxLsaAct', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfMaxLsaOperSt', '')])),
                                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfMaxLsaOperStQual', '')])),
                                    ('nonselflsacnt', (YLeaf(YType.uint32, 'nonSelfLsaCnt'), ['int'])),
                                    ('currsleepcnt', (YLeaf(YType.uint32, 'currSleepCnt'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.maxlsa = None
                                self.thresh = None
                                self.sleepcnt = None
                                self.sleepintvl = None
                                self.resetintvl = None
                                self.action = None
                                self.operst = None
                                self.operstqual = None
                                self.nonselflsacnt = None
                                self.currsleepcnt = None
                                self._segment_path = lambda: "maxlsap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.MaxlsapItems, ['name', 'descr', 'maxlsa', 'thresh', 'sleepcnt', 'sleepintvl', 'resetintvl', 'action', 'operst', 'operstqual', 'nonselflsacnt', 'currsleepcnt'], name, value)



                        class MaxmetriclsapItems(Entity):
                            """
                            
                            
                            .. attribute:: ctrl
                            
                            	Maximum Metric Controls
                            	**type**\: str
                            
                            .. attribute:: maxmetricextlsa
                            
                            	Maximum metric value for external LSAs
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: maxmetricsummlsa
                            
                            	Maximum metric value for summary LSAs
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: startupintvl
                            
                            	Startup interval
                            	**type**\: int
                            
                            	**range:** 5..86400
                            
                            .. attribute:: awaitconvbgpasn
                            
                            	BGP ASN to wait for
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.MaxmetriclsapItems, self).__init__()

                                self.yang_name = "maxmetriclsap-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('maxmetricextlsa', (YLeaf(YType.uint32, 'maxMetricExtLsa'), ['int'])),
                                    ('maxmetricsummlsa', (YLeaf(YType.uint32, 'maxMetricSummLsa'), ['int'])),
                                    ('startupintvl', (YLeaf(YType.uint32, 'startupIntvl'), ['int'])),
                                    ('awaitconvbgpasn', (YLeaf(YType.str, 'awaitConvBgpAsn'), ['str'])),
                                ])
                                self.ctrl = None
                                self.maxmetricextlsa = None
                                self.maxmetricsummlsa = None
                                self.startupintvl = None
                                self.awaitconvbgpasn = None
                                self._segment_path = lambda: "maxmetriclsap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.MaxmetriclsapItems, ['ctrl', 'maxmetricextlsa', 'maxmetricsummlsa', 'startupintvl', 'awaitconvbgpasn'], name, value)



                        class DefrtleakItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: always
                            
                            	Always advertise default leak
                            	**type**\:  :py:class:`OspfAlways <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAlways>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.DefrtleakItems, self).__init__()

                                self.yang_name = "defrtleak-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('always', (YLeaf(YType.enumeration, 'always'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAlways', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.scope = None
                                self.rtmap = None
                                self.always = None
                                self._segment_path = lambda: "defrtleak-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.DefrtleakItems, ['name', 'descr', 'scope', 'rtmap', 'always'], name, value)



                        class InterleakItems(Entity):
                            """
                            
                            
                            .. attribute:: interleakp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InterLeakPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems, self).__init__()

                                self.yang_name = "interleak-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("InterLeakP-list", ("interleakp_list", System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList))])
                                self._leafs = OrderedDict()

                                self.interleakp_list = YList(self)
                                self._segment_path = lambda: "interleak-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems, [], name, value)


                            class InterLeakPList(Entity):
                                """
                                
                                
                                .. attribute:: proto  (key)
                                
                                	Protocol
                                	**type**\:  :py:class:`RtleakProto <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakProto>`
                                
                                .. attribute:: inst  (key)
                                
                                	Instance
                                	**type**\: str
                                
                                	**length:** 1..20
                                
                                .. attribute:: asn  (key)
                                
                                	Autonomous System Number
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: scope
                                
                                	Scope
                                	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                                
                                .. attribute:: rtmap
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: always
                                
                                	Always advertise default leak
                                	**type**\:  :py:class:`OspfAlways <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfAlways>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList, self).__init__()

                                    self.yang_name = "InterLeakP-list"
                                    self.yang_parent_name = "interleak-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['proto','inst','asn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakProto', '')])),
                                        ('inst', (YLeaf(YType.str, 'inst'), ['str'])),
                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ('always', (YLeaf(YType.enumeration, 'always'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfAlways', '')])),
                                    ])
                                    self.proto = None
                                    self.inst = None
                                    self.asn = None
                                    self.name = None
                                    self.descr = None
                                    self.scope = None
                                    self.rtmap = None
                                    self.always = None
                                    self._segment_path = lambda: "InterLeakP-list" + "[proto='" + str(self.proto) + "']" + "[inst='" + str(self.inst) + "']" + "[asn='" + str(self.asn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.InterleakItems.InterLeakPList, ['proto', 'inst', 'asn', 'name', 'descr', 'scope', 'rtmap', 'always'], name, value)




                        class LeakctrlItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\:  :py:class:`RtleakCtrl <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakCtrl>`
                            
                            .. attribute:: max
                            
                            	Maximum Limit
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: thresh
                            
                            	Threshold
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: retries
                            
                            	Retries
                            	**type**\: int
                            
                            	**range:** 1..12
                            
                            .. attribute:: duration
                            
                            	Duration
                            	**type**\: int
                            
                            	**range:** 60..600
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.LeakctrlItems, self).__init__()

                                self.yang_name = "leakctrl-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('ctrl', (YLeaf(YType.enumeration, 'ctrl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakCtrl', '')])),
                                    ('max', (YLeaf(YType.uint16, 'max'), ['int'])),
                                    ('thresh', (YLeaf(YType.uint8, 'thresh'), ['int'])),
                                    ('retries', (YLeaf(YType.uint16, 'retries'), ['int'])),
                                    ('duration', (YLeaf(YType.uint16, 'duration'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.ctrl = None
                                self.max = None
                                self.thresh = None
                                self.retries = None
                                self.duration = None
                                self._segment_path = lambda: "leakctrl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.LeakctrlItems, ['name', 'descr', 'ctrl', 'max', 'thresh', 'retries', 'duration'], name, value)



                        class RibleakItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: always
                            
                            	Filter routes into RIB
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.RibleakItems, self).__init__()

                                self.yang_name = "ribleak-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('always', (YLeaf(YType.boolean, 'always'), ['bool'])),
                                ])
                                self.rtmap = None
                                self.always = None
                                self._segment_path = lambda: "ribleak-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.RibleakItems, ['rtmap', 'always'], name, value)



                        class ExtrtsumItems(Entity):
                            """
                            
                            
                            .. attribute:: extrtsum_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ExtRtSumList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems.ExtRtSumList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems, self).__init__()

                                self.yang_name = "extrtsum-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ExtRtSum-list", ("extrtsum_list", System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems.ExtRtSumList))])
                                self._leafs = OrderedDict()

                                self.extrtsum_list = YList(self)
                                self._segment_path = lambda: "extrtsum-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems, [], name, value)


                            class ExtRtSumList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: ctrl
                                
                                	Controls
                                	**type**\: str
                                
                                .. attribute:: comprtcnt
                                
                                	Number of component routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: opercost
                                
                                	Route Summary Operational Cost
                                	**type**\: int
                                
                                	**range:** 0..16777216
                                
                                	**config**\: False
                                
                                .. attribute:: tag
                                
                                	Route Tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems.ExtRtSumList, self).__init__()

                                    self.yang_name = "ExtRtSum-list"
                                    self.yang_parent_name = "extrtsum-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ('comprtcnt', (YLeaf(YType.uint32, 'compRtCnt'), ['int'])),
                                        ('opercost', (YLeaf(YType.uint32, 'operCost'), ['int'])),
                                        ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.descr = None
                                    self.ctrl = None
                                    self.comprtcnt = None
                                    self.opercost = None
                                    self.tag = None
                                    self._segment_path = lambda: "ExtRtSum-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.ExtrtsumItems.ExtRtSumList, ['addr', 'name', 'descr', 'ctrl', 'comprtcnt', 'opercost', 'tag'], name, value)




                        class TrstatsItems(Entity):
                            """
                            
                            
                            .. attribute:: totalpktsrcvd
                            
                            	Total Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: hellopktsrcvd
                            
                            	Hello Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: dbdpktsrcvd
                            
                            	DBD Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsreqpktsrcvd
                            
                            	LSREQ Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsupdpktsrcvd
                            
                            	LSU Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsackpktsrcvd
                            
                            	LSACK Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rcvdpktsdropped
                            
                            	Received Packets Dropped
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errpktsrcvd
                            
                            	Error Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errhellopktsrcvd
                            
                            	Error Hello Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errdbdpktsrcvd
                            
                            	Error DBD Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errlsreqpktsrcvd
                            
                            	Error LSREQ Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errlsupdpktsrcvd
                            
                            	Error LSU Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errlsackpktsrcvd
                            
                            	Error LSACK Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: unknownpktsrcvd
                            
                            	Unknown Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: duprtridpktsrcvd
                            
                            	Duplicate RouterId Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: dupsrcaddrpktsrcvd
                            
                            	Duplicate Source Addr Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: wrongareapktsrcvd
                            
                            	Wrong Area Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: invalidsrcaddrpktsrcvd
                            
                            	Invalid Source Addr Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: invaliddestaddrpktsrcvd
                            
                            	Invalid Destination Addr Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: badcrcpktsrcvd
                            
                            	Bad CRC Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: badversionpktsrcvd
                            
                            	Bad Version Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: badresvfieldpktsrcvd
                            
                            	Bad Reserved Field Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: peerrtridchgdpktsrcvd
                            
                            	Peer RouterId Changed Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: peernotfoundpktsrcvd
                            
                            	Peer Not Found Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: badauthpktsrcvd
                            
                            	Bad Authentication Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: badlenpktsrcvd
                            
                            	Bad Length Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: passiveintfpktsrcvd
                            
                            	Passive Interface Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: noospfintfpktsrcvd
                            
                            	No OSPF Interface Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rcvdlsapktsignored
                            
                            	Received LSA Packets Ignored
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: droppedlsapktswhilespf
                            
                            	LSA Packets Dropped During SPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: droppedlsapktswhilegr
                            
                            	LSA Packets Dropped During GR
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: totalpktssent
                            
                            	Total Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: hellopktssent
                            
                            	Hello Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: dbdpktssent
                            
                            	DBD Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsreqpktssent
                            
                            	LSREQ Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsupdpktssent
                            
                            	LSU Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsackpktssent
                            
                            	LSACK Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: droppedsendpkts
                            
                            	Dropped Send Packets
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: errsendpkts
                            
                            	Error Send Packets
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsufirsttxpkts
                            
                            	LSU First Tx Packets
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsurexmitpkts
                            
                            	LSU Retransmission Packets
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsuforlsreqpkts
                            
                            	LSU Packets For LSREQ Packets
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: lsupeertxpkts
                            
                            	LSU Packets To Peer
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: floodpktsendipthrottle
                            
                            	Flood Packet Send IP Throttle
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: floodpktsendtokenthrottle
                            
                            	Flood Packet Send Token Throttle
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: laststatsclearts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.OspfItems.InstItems.InstList.DomItems.DomList.TrstatsItems, self).__init__()

                                self.yang_name = "trstats-items"
                                self.yang_parent_name = "Dom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('totalpktsrcvd', (YLeaf(YType.uint32, 'totalPktsRcvd'), ['int'])),
                                    ('hellopktsrcvd', (YLeaf(YType.uint32, 'helloPktsRcvd'), ['int'])),
                                    ('dbdpktsrcvd', (YLeaf(YType.uint32, 'dbdPktsRcvd'), ['int'])),
                                    ('lsreqpktsrcvd', (YLeaf(YType.uint32, 'lsReqPktsRcvd'), ['int'])),
                                    ('lsupdpktsrcvd', (YLeaf(YType.uint32, 'lsUpdPktsRcvd'), ['int'])),
                                    ('lsackpktsrcvd', (YLeaf(YType.uint32, 'lsAckPktsRcvd'), ['int'])),
                                    ('rcvdpktsdropped', (YLeaf(YType.uint32, 'rcvdPktsDropped'), ['int'])),
                                    ('errpktsrcvd', (YLeaf(YType.uint32, 'errPktsRcvd'), ['int'])),
                                    ('errhellopktsrcvd', (YLeaf(YType.uint32, 'errHelloPktsRcvd'), ['int'])),
                                    ('errdbdpktsrcvd', (YLeaf(YType.uint32, 'errDbdPktsRcvd'), ['int'])),
                                    ('errlsreqpktsrcvd', (YLeaf(YType.uint32, 'errLsReqPktsRcvd'), ['int'])),
                                    ('errlsupdpktsrcvd', (YLeaf(YType.uint32, 'errLsUpdPktsRcvd'), ['int'])),
                                    ('errlsackpktsrcvd', (YLeaf(YType.uint32, 'errLsAckPktsRcvd'), ['int'])),
                                    ('unknownpktsrcvd', (YLeaf(YType.uint32, 'unknownPktsRcvd'), ['int'])),
                                    ('duprtridpktsrcvd', (YLeaf(YType.uint32, 'dupRtrIdPktsRcvd'), ['int'])),
                                    ('dupsrcaddrpktsrcvd', (YLeaf(YType.uint32, 'dupSrcAddrPktsRcvd'), ['int'])),
                                    ('wrongareapktsrcvd', (YLeaf(YType.uint32, 'wrongAreaPktsRcvd'), ['int'])),
                                    ('invalidsrcaddrpktsrcvd', (YLeaf(YType.uint32, 'invalidSrcAddrPktsRcvd'), ['int'])),
                                    ('invaliddestaddrpktsrcvd', (YLeaf(YType.uint32, 'invalidDestAddrPktsRcvd'), ['int'])),
                                    ('badcrcpktsrcvd', (YLeaf(YType.uint32, 'badCRCPktsRcvd'), ['int'])),
                                    ('badversionpktsrcvd', (YLeaf(YType.uint32, 'badVersionPktsRcvd'), ['int'])),
                                    ('badresvfieldpktsrcvd', (YLeaf(YType.uint32, 'badResvFieldPktsRcvd'), ['int'])),
                                    ('peerrtridchgdpktsrcvd', (YLeaf(YType.uint32, 'peerRtrIdChgdPktsRcvd'), ['int'])),
                                    ('peernotfoundpktsrcvd', (YLeaf(YType.uint32, 'peerNotFoundPktsRcvd'), ['int'])),
                                    ('badauthpktsrcvd', (YLeaf(YType.uint32, 'badAuthPktsRcvd'), ['int'])),
                                    ('badlenpktsrcvd', (YLeaf(YType.uint32, 'badLenPktsRcvd'), ['int'])),
                                    ('passiveintfpktsrcvd', (YLeaf(YType.uint32, 'passiveIntfPktsRcvd'), ['int'])),
                                    ('noospfintfpktsrcvd', (YLeaf(YType.uint32, 'noOspfIntfPktsRcvd'), ['int'])),
                                    ('rcvdlsapktsignored', (YLeaf(YType.uint32, 'rcvdLsaPktsIgnored'), ['int'])),
                                    ('droppedlsapktswhilespf', (YLeaf(YType.uint32, 'droppedLsaPktsWhileSPF'), ['int'])),
                                    ('droppedlsapktswhilegr', (YLeaf(YType.uint32, 'droppedLsaPktsWhileGR'), ['int'])),
                                    ('totalpktssent', (YLeaf(YType.uint32, 'totalPktsSent'), ['int'])),
                                    ('hellopktssent', (YLeaf(YType.uint32, 'helloPktsSent'), ['int'])),
                                    ('dbdpktssent', (YLeaf(YType.uint32, 'dbdPktsSent'), ['int'])),
                                    ('lsreqpktssent', (YLeaf(YType.uint32, 'lsReqPktsSent'), ['int'])),
                                    ('lsupdpktssent', (YLeaf(YType.uint32, 'lsUpdPktsSent'), ['int'])),
                                    ('lsackpktssent', (YLeaf(YType.uint32, 'lsAckPktsSent'), ['int'])),
                                    ('droppedsendpkts', (YLeaf(YType.uint32, 'droppedSendPkts'), ['int'])),
                                    ('errsendpkts', (YLeaf(YType.uint32, 'errSendPkts'), ['int'])),
                                    ('lsufirsttxpkts', (YLeaf(YType.uint32, 'lsuFirstTxPkts'), ['int'])),
                                    ('lsurexmitpkts', (YLeaf(YType.uint32, 'lsuRexmitPkts'), ['int'])),
                                    ('lsuforlsreqpkts', (YLeaf(YType.uint32, 'lsuForLsreqPkts'), ['int'])),
                                    ('lsupeertxpkts', (YLeaf(YType.uint32, 'lsuPeerTxPkts'), ['int'])),
                                    ('floodpktsendipthrottle', (YLeaf(YType.uint32, 'floodPktSendIpThrottle'), ['int'])),
                                    ('floodpktsendtokenthrottle', (YLeaf(YType.uint32, 'floodPktSendTokenThrottle'), ['int'])),
                                    ('laststatsclearts', (YLeaf(YType.str, 'lastStatsClearTs'), ['str'])),
                                ])
                                self.totalpktsrcvd = None
                                self.hellopktsrcvd = None
                                self.dbdpktsrcvd = None
                                self.lsreqpktsrcvd = None
                                self.lsupdpktsrcvd = None
                                self.lsackpktsrcvd = None
                                self.rcvdpktsdropped = None
                                self.errpktsrcvd = None
                                self.errhellopktsrcvd = None
                                self.errdbdpktsrcvd = None
                                self.errlsreqpktsrcvd = None
                                self.errlsupdpktsrcvd = None
                                self.errlsackpktsrcvd = None
                                self.unknownpktsrcvd = None
                                self.duprtridpktsrcvd = None
                                self.dupsrcaddrpktsrcvd = None
                                self.wrongareapktsrcvd = None
                                self.invalidsrcaddrpktsrcvd = None
                                self.invaliddestaddrpktsrcvd = None
                                self.badcrcpktsrcvd = None
                                self.badversionpktsrcvd = None
                                self.badresvfieldpktsrcvd = None
                                self.peerrtridchgdpktsrcvd = None
                                self.peernotfoundpktsrcvd = None
                                self.badauthpktsrcvd = None
                                self.badlenpktsrcvd = None
                                self.passiveintfpktsrcvd = None
                                self.noospfintfpktsrcvd = None
                                self.rcvdlsapktsignored = None
                                self.droppedlsapktswhilespf = None
                                self.droppedlsapktswhilegr = None
                                self.totalpktssent = None
                                self.hellopktssent = None
                                self.dbdpktssent = None
                                self.lsreqpktssent = None
                                self.lsupdpktssent = None
                                self.lsackpktssent = None
                                self.droppedsendpkts = None
                                self.errsendpkts = None
                                self.lsufirsttxpkts = None
                                self.lsurexmitpkts = None
                                self.lsuforlsreqpkts = None
                                self.lsupeertxpkts = None
                                self.floodpktsendipthrottle = None
                                self.floodpktsendtokenthrottle = None
                                self.laststatsclearts = None
                                self._segment_path = lambda: "trstats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.OspfItems.InstItems.InstList.DomItems.DomList.TrstatsItems, ['totalpktsrcvd', 'hellopktsrcvd', 'dbdpktsrcvd', 'lsreqpktsrcvd', 'lsupdpktsrcvd', 'lsackpktsrcvd', 'rcvdpktsdropped', 'errpktsrcvd', 'errhellopktsrcvd', 'errdbdpktsrcvd', 'errlsreqpktsrcvd', 'errlsupdpktsrcvd', 'errlsackpktsrcvd', 'unknownpktsrcvd', 'duprtridpktsrcvd', 'dupsrcaddrpktsrcvd', 'wrongareapktsrcvd', 'invalidsrcaddrpktsrcvd', 'invaliddestaddrpktsrcvd', 'badcrcpktsrcvd', 'badversionpktsrcvd', 'badresvfieldpktsrcvd', 'peerrtridchgdpktsrcvd', 'peernotfoundpktsrcvd', 'badauthpktsrcvd', 'badlenpktsrcvd', 'passiveintfpktsrcvd', 'noospfintfpktsrcvd', 'rcvdlsapktsignored', 'droppedlsapktswhilespf', 'droppedlsapktswhilegr', 'totalpktssent', 'hellopktssent', 'dbdpktssent', 'lsreqpktssent', 'lsupdpktssent', 'lsackpktssent', 'droppedsendpkts', 'errsendpkts', 'lsufirsttxpkts', 'lsurexmitpkts', 'lsuforlsreqpkts', 'lsupeertxpkts', 'floodpktsendipthrottle', 'floodpktsendtokenthrottle', 'laststatsclearts'], name, value)





                class EvtlogsItems(Entity):
                    """
                    
                    
                    .. attribute:: eventlogs_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EventLogsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OspfItems.InstItems.InstList.EvtlogsItems.EventLogsList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.OspfItems.InstItems.InstList.EvtlogsItems, self).__init__()

                        self.yang_name = "evtlogs-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("EventLogs-list", ("eventlogs_list", System.OspfItems.InstItems.InstList.EvtlogsItems.EventLogsList))])
                        self._leafs = OrderedDict()

                        self.eventlogs_list = YList(self)
                        self._segment_path = lambda: "evtlogs-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.OspfItems.InstItems.InstList.EvtlogsItems, [], name, value)


                    class EventLogsList(Entity):
                        """
                        
                        
                        .. attribute:: eventtype  (key)
                        
                        	Event Log Type
                        	**type**\:  :py:class:`OspfEventType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfEventType>`
                        
                        .. attribute:: logsize
                        
                        	Event Log Size
                        	**type**\:  :py:class:`OspfEventLogSize <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OspfEventLogSize>`
                        
                        .. attribute:: logsizekbytes
                        
                        	Event Log Size in KBytes
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.OspfItems.InstItems.InstList.EvtlogsItems.EventLogsList, self).__init__()

                            self.yang_name = "EventLogs-list"
                            self.yang_parent_name = "evtlogs-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['eventtype']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('eventtype', (YLeaf(YType.enumeration, 'eventType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfEventType', '')])),
                                ('logsize', (YLeaf(YType.enumeration, 'logSize'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OspfEventLogSize', '')])),
                                ('logsizekbytes', (YLeaf(YType.uint16, 'logSizeKBytes'), ['int'])),
                            ])
                            self.eventtype = None
                            self.logsize = None
                            self.logsizekbytes = None
                            self._segment_path = lambda: "EventLogs-list" + "[eventType='" + str(self.eventtype) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.OspfItems.InstItems.InstList.EvtlogsItems.EventLogsList, ['eventtype', 'logsize', 'logsizekbytes'], name, value)







    class EvpnItems(Entity):
        """
        
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: bdevi_items
        
        	
        	**type**\:  :py:class:`BdeviItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.EvpnItems, self).__init__()

            self.yang_name = "evpn-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("bdevi-items", ("bdevi_items", System.EvpnItems.BdeviItems))])
            self._leafs = OrderedDict([
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.adminst = None
            self.operst = None

            self.bdevi_items = System.EvpnItems.BdeviItems()
            self.bdevi_items.parent = self
            self._children_name_map["bdevi_items"] = "bdevi-items"
            self._segment_path = lambda: "evpn-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.EvpnItems, ['adminst', 'operst'], name, value)


        class BdeviItems(Entity):
            """
            
            
            .. attribute:: bdevi_list
            
            	
            	**type**\: list of  		 :py:class:`BDEviList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.EvpnItems.BdeviItems, self).__init__()

                self.yang_name = "bdevi-items"
                self.yang_parent_name = "evpn-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("BDEvi-list", ("bdevi_list", System.EvpnItems.BdeviItems.BDEviList))])
                self._leafs = OrderedDict()

                self.bdevi_list = YList(self)
                self._segment_path = lambda: "bdevi-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/evpn-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.EvpnItems.BdeviItems, [], name, value)


            class BDEviList(Entity):
                """
                
                
                .. attribute:: encap  (key)
                
                	
                	**type**\: str
                
                .. attribute:: operrd
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rd
                
                	
                	**type**\: str
                
                .. attribute:: rttp_items
                
                	
                	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EvpnItems.BdeviItems.BDEviList, self).__init__()

                    self.yang_name = "BDEvi-list"
                    self.yang_parent_name = "bdevi-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['encap']
                    self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.EvpnItems.BdeviItems.BDEviList.RttpItems))])
                    self._leafs = OrderedDict([
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('operrd', (YLeaf(YType.str, 'operRd'), ['str'])),
                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                    ])
                    self.encap = None
                    self.operrd = None
                    self.rd = None

                    self.rttp_items = System.EvpnItems.BdeviItems.BDEviList.RttpItems()
                    self.rttp_items.parent = self
                    self._children_name_map["rttp_items"] = "rttp-items"
                    self._segment_path = lambda: "BDEvi-list" + "[encap='" + str(self.encap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/evpn-items/bdevi-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList, ['encap', 'operrd', 'rd'], name, value)


                class RttpItems(Entity):
                    """
                    
                    
                    .. attribute:: rttp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EvpnItems.BdeviItems.BDEviList.RttpItems, self).__init__()

                        self.yang_name = "rttp-items"
                        self.yang_parent_name = "BDEvi-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList))])
                        self._leafs = OrderedDict()

                        self.rttp_list = YList(self)
                        self._segment_path = lambda: "rttp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems, [], name, value)


                    class RttPList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`RtctrlRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRttPType>`
                        
                        .. attribute:: operrttauto
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ent_items
                        
                        	
                        	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems>`
                        
                        .. attribute:: rtctrlmap_items
                        
                        	
                        	**type**\:  :py:class:`RtctrlmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrlmapItems>`
                        
                        .. attribute:: rtctrldefmap_items
                        
                        	
                        	**type**\:  :py:class:`RtctrldefmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrldefmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList, self).__init__()

                            self.yang_name = "RttP-list"
                            self.yang_parent_name = "rttp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("ent-items", ("ent_items", System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems)), ("rtctrlmap-items", ("rtctrlmap_items", System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrlmapItems)), ("rtctrldefmap-items", ("rtctrldefmap_items", System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrldefmapItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRttPType', '')])),
                                ('operrttauto', (YLeaf(YType.str, 'operRttAuto'), ['str'])),
                            ])
                            self.type = None
                            self.operrttauto = None

                            self.ent_items = System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems()
                            self.ent_items.parent = self
                            self._children_name_map["ent_items"] = "ent-items"

                            self.rtctrlmap_items = System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrlmapItems()
                            self.rtctrlmap_items.parent = self
                            self._children_name_map["rtctrlmap_items"] = "rtctrlmap-items"

                            self.rtctrldefmap_items = System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrldefmapItems()
                            self.rtctrldefmap_items.parent = self
                            self._children_name_map["rtctrldefmap_items"] = "rtctrldefmap-items"
                            self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList, ['type', 'operrttauto'], name, value)


                        class EntItems(Entity):
                            """
                            
                            
                            .. attribute:: rttentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems.RttEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems, self).__init__()

                                self.yang_name = "ent-items"
                                self.yang_parent_name = "RttP-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems.RttEntryList))])
                                self._leafs = OrderedDict()

                                self.rttentry_list = YList(self)
                                self._segment_path = lambda: "ent-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems, [], name, value)


                            class RttEntryList(Entity):
                                """
                                
                                
                                .. attribute:: rtt  (key)
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                    self.yang_name = "RttEntry-list"
                                    self.yang_parent_name = "ent-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['rtt']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                    ])
                                    self.rtt = None
                                    self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)




                        class RtctrlmapItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrlmapItems, self).__init__()

                                self.yang_name = "rtctrlmap-items"
                                self.yang_parent_name = "RttP-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.rtmap = None
                                self._segment_path = lambda: "rtctrlmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrlmapItems, ['rtmap'], name, value)



                        class RtctrldefmapItems(Entity):
                            """
                            
                            
                            .. attribute:: pfxlimit
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..2147483647
                            
                            	**default value**\: 0
                            
                            .. attribute:: allowvpn
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrldefmapItems, self).__init__()

                                self.yang_name = "rtctrldefmap-items"
                                self.yang_parent_name = "RttP-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('pfxlimit', (YLeaf(YType.uint32, 'pfxLimit'), ['int'])),
                                    ('allowvpn', (YLeaf(YType.boolean, 'allowVpn'), ['bool'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.pfxlimit = None
                                self.allowvpn = None
                                self.rtmap = None
                                self._segment_path = lambda: "rtctrldefmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EvpnItems.BdeviItems.BDEviList.RttpItems.RttPList.RtctrldefmapItems, ['pfxlimit', 'allowvpn', 'rtmap'], name, value)








    class UserextItems(Entity):
        """
        
        
        .. attribute:: pwdstrengthcheck
        
        	Password Strength Check
        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
        
        .. attribute:: pwdsecuremode
        
        	Password secure\-mode
        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
        
        .. attribute:: pwdminlength
        
        	
        	**type**\: int
        
        	**range:** 0..65535
        
        	**default value**\: 8
        
        .. attribute:: pwdmaxlength
        
        	
        	**type**\: int
        
        	**range:** 0..65535
        
        	**default value**\: 127
        
        .. attribute:: svcpwdrecovery
        
        	Service Password Recovery
        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: ownerkey
        
        	TBD
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: ownertag
        
        	TBD
        	**type**\: str
        
        	**length:** 0..64
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        .. attribute:: radiusext_items
        
        	
        	**type**\:  :py:class:`RadiusextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems>`
        
        .. attribute:: ldapext_items
        
        	
        	**type**\:  :py:class:`LdapextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems>`
        
        .. attribute:: tacacsext_items
        
        	
        	**type**\:  :py:class:`TacacsextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems>`
        
        .. attribute:: authrealm_items
        
        	
        	**type**\:  :py:class:`AuthrealmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems>`
        
        .. attribute:: logindomain_items
        
        	
        	**type**\:  :py:class:`LogindomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems>`
        
        .. attribute:: preloginbanner_items
        
        	
        	**type**\:  :py:class:`PreloginbannerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PreloginbannerItems>`
        
        .. attribute:: remoteuser_items
        
        	
        	**type**\:  :py:class:`RemoteuserItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems>`
        
        .. attribute:: user_items
        
        	
        	**type**\:  :py:class:`UserItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems>`
        
        .. attribute:: role_items
        
        	
        	**type**\:  :py:class:`RoleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems>`
        
        .. attribute:: factoryrole_items
        
        	
        	**type**\:  :py:class:`FactoryroleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.FactoryroleItems>`
        
        .. attribute:: domain_items
        
        	
        	**type**\:  :py:class:`DomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.DomainItems>`
        
        .. attribute:: pwdprofile_items
        
        	
        	**type**\:  :py:class:`PwdprofileItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PwdprofileItems>`
        
        .. attribute:: pkiext_items
        
        	
        	**type**\:  :py:class:`PkiextItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems>`
        
        .. attribute:: rtfabricresuserep_items
        
        	
        	**type**\:  :py:class:`RtfabricResUserEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RtfabricResUserEpItems>`
        
        .. attribute:: rtaaauserep_items
        
        	
        	**type**\:  :py:class:`RtaaaUserEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RtaaaUserEpItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.UserextItems, self).__init__()

            self.yang_name = "userext-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("radiusext-items", ("radiusext_items", System.UserextItems.RadiusextItems)), ("ldapext-items", ("ldapext_items", System.UserextItems.LdapextItems)), ("tacacsext-items", ("tacacsext_items", System.UserextItems.TacacsextItems)), ("authrealm-items", ("authrealm_items", System.UserextItems.AuthrealmItems)), ("logindomain-items", ("logindomain_items", System.UserextItems.LogindomainItems)), ("preloginbanner-items", ("preloginbanner_items", System.UserextItems.PreloginbannerItems)), ("remoteuser-items", ("remoteuser_items", System.UserextItems.RemoteuserItems)), ("user-items", ("user_items", System.UserextItems.UserItems)), ("role-items", ("role_items", System.UserextItems.RoleItems)), ("factoryrole-items", ("factoryrole_items", System.UserextItems.FactoryroleItems)), ("domain-items", ("domain_items", System.UserextItems.DomainItems)), ("pwdprofile-items", ("pwdprofile_items", System.UserextItems.PwdprofileItems)), ("pkiext-items", ("pkiext_items", System.UserextItems.PkiextItems)), ("rtfabricResUserEp-items", ("rtfabricresuserep_items", System.UserextItems.RtfabricResUserEpItems)), ("rtaaaUserEp-items", ("rtaaauserep_items", System.UserextItems.RtaaaUserEpItems))])
            self._leafs = OrderedDict([
                ('pwdstrengthcheck', (YLeaf(YType.enumeration, 'pwdStrengthCheck'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                ('pwdsecuremode', (YLeaf(YType.enumeration, 'pwdSecureMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                ('pwdminlength', (YLeaf(YType.uint16, 'pwdMinLength'), ['int'])),
                ('pwdmaxlength', (YLeaf(YType.uint16, 'pwdMaxLength'), ['int'])),
                ('svcpwdrecovery', (YLeaf(YType.enumeration, 'svcPwdRecovery'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
            ])
            self.pwdstrengthcheck = None
            self.pwdsecuremode = None
            self.pwdminlength = None
            self.pwdmaxlength = None
            self.svcpwdrecovery = None
            self.name = None
            self.ownerkey = None
            self.ownertag = None
            self.descr = None

            self.radiusext_items = System.UserextItems.RadiusextItems()
            self.radiusext_items.parent = self
            self._children_name_map["radiusext_items"] = "radiusext-items"

            self.ldapext_items = System.UserextItems.LdapextItems()
            self.ldapext_items.parent = self
            self._children_name_map["ldapext_items"] = "ldapext-items"

            self.tacacsext_items = System.UserextItems.TacacsextItems()
            self.tacacsext_items.parent = self
            self._children_name_map["tacacsext_items"] = "tacacsext-items"

            self.authrealm_items = System.UserextItems.AuthrealmItems()
            self.authrealm_items.parent = self
            self._children_name_map["authrealm_items"] = "authrealm-items"

            self.logindomain_items = System.UserextItems.LogindomainItems()
            self.logindomain_items.parent = self
            self._children_name_map["logindomain_items"] = "logindomain-items"

            self.preloginbanner_items = System.UserextItems.PreloginbannerItems()
            self.preloginbanner_items.parent = self
            self._children_name_map["preloginbanner_items"] = "preloginbanner-items"

            self.remoteuser_items = System.UserextItems.RemoteuserItems()
            self.remoteuser_items.parent = self
            self._children_name_map["remoteuser_items"] = "remoteuser-items"

            self.user_items = System.UserextItems.UserItems()
            self.user_items.parent = self
            self._children_name_map["user_items"] = "user-items"

            self.role_items = System.UserextItems.RoleItems()
            self.role_items.parent = self
            self._children_name_map["role_items"] = "role-items"

            self.factoryrole_items = System.UserextItems.FactoryroleItems()
            self.factoryrole_items.parent = self
            self._children_name_map["factoryrole_items"] = "factoryrole-items"

            self.domain_items = System.UserextItems.DomainItems()
            self.domain_items.parent = self
            self._children_name_map["domain_items"] = "domain-items"

            self.pwdprofile_items = System.UserextItems.PwdprofileItems()
            self.pwdprofile_items.parent = self
            self._children_name_map["pwdprofile_items"] = "pwdprofile-items"

            self.pkiext_items = System.UserextItems.PkiextItems()
            self.pkiext_items.parent = self
            self._children_name_map["pkiext_items"] = "pkiext-items"

            self.rtfabricresuserep_items = System.UserextItems.RtfabricResUserEpItems()
            self.rtfabricresuserep_items.parent = self
            self._children_name_map["rtfabricresuserep_items"] = "rtfabricResUserEp-items"

            self.rtaaauserep_items = System.UserextItems.RtaaaUserEpItems()
            self.rtaaauserep_items.parent = self
            self._children_name_map["rtaaauserep_items"] = "rtaaaUserEp-items"
            self._segment_path = lambda: "userext-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.UserextItems, ['pwdstrengthcheck', 'pwdsecuremode', 'pwdminlength', 'pwdmaxlength', 'svcpwdrecovery', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


        class RadiusextItems(Entity):
            """
            
            
            .. attribute:: deadtime
            
            	Duration for which non\-reachable server is skipped
            	**type**\: int
            
            	**range:** 0..1440
            
            .. attribute:: key
            
            	Global RADIUS server shared secret
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: keyenc
            
            	Default key encryption
            	**type**\:  :py:class:`AaaKeyEnc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEnc>`
            
            .. attribute:: logginglevel
            
            	Radius Logging level
            	**type**\:  :py:class:`AaaLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaLoggingLevel>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: timeout
            
            	Timeout in Seconds
            	**type**\: int
            
            	**range:** 1..60
            
            .. attribute:: retries
            
            	Retries
            	**type**\: int
            
            	**range:** 0..5
            
            .. attribute:: srcif
            
            	Source Interface
            	**type**\: str
            
            .. attribute:: radiusprovider_items
            
            	
            	**type**\:  :py:class:`RadiusproviderItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusproviderItems>`
            
            .. attribute:: radiusprovidergroup_items
            
            	
            	**type**\:  :py:class:`RadiusprovidergroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusprovidergroupItems>`
            
            .. attribute:: radiusservermonitor_items
            
            	
            	**type**\:  :py:class:`RadiusservermonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusservermonitorItems>`
            
            .. attribute:: rtfabricresradiusep_items
            
            	
            	**type**\:  :py:class:`RtfabricResRadiusEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.RadiusextItems, self).__init__()

                self.yang_name = "radiusext-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("radiusprovider-items", ("radiusprovider_items", System.UserextItems.RadiusextItems.RadiusproviderItems)), ("radiusprovidergroup-items", ("radiusprovidergroup_items", System.UserextItems.RadiusextItems.RadiusprovidergroupItems)), ("radiusservermonitor-items", ("radiusservermonitor_items", System.UserextItems.RadiusextItems.RadiusservermonitorItems)), ("rtfabricResRadiusEp-items", ("rtfabricresradiusep_items", System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems))])
                self._leafs = OrderedDict([
                    ('deadtime', (YLeaf(YType.uint32, 'deadtime'), ['int'])),
                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                    ('keyenc', (YLeaf(YType.enumeration, 'keyEnc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEnc', '')])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaLoggingLevel', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                    ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                ])
                self.deadtime = None
                self.key = None
                self.keyenc = None
                self.logginglevel = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.timeout = None
                self.retries = None
                self.srcif = None

                self.radiusprovider_items = System.UserextItems.RadiusextItems.RadiusproviderItems()
                self.radiusprovider_items.parent = self
                self._children_name_map["radiusprovider_items"] = "radiusprovider-items"

                self.radiusprovidergroup_items = System.UserextItems.RadiusextItems.RadiusprovidergroupItems()
                self.radiusprovidergroup_items.parent = self
                self._children_name_map["radiusprovidergroup_items"] = "radiusprovidergroup-items"

                self.radiusservermonitor_items = System.UserextItems.RadiusextItems.RadiusservermonitorItems()
                self.radiusservermonitor_items.parent = self
                self._children_name_map["radiusservermonitor_items"] = "radiusservermonitor-items"

                self.rtfabricresradiusep_items = System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems()
                self.rtfabricresradiusep_items.parent = self
                self._children_name_map["rtfabricresradiusep_items"] = "rtfabricResRadiusEp-items"
                self._segment_path = lambda: "radiusext-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.RadiusextItems, ['deadtime', 'key', 'keyenc', 'logginglevel', 'name', 'ownerkey', 'ownertag', 'descr', 'timeout', 'retries', 'srcif'], name, value)


            class RadiusproviderItems(Entity):
                """
                
                
                .. attribute:: radiusprovider_list
                
                	
                	**type**\: list of  		 :py:class:`RadiusProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusproviderItems.RadiusProviderList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RadiusextItems.RadiusproviderItems, self).__init__()

                    self.yang_name = "radiusprovider-items"
                    self.yang_parent_name = "radiusext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RadiusProvider-list", ("radiusprovider_list", System.UserextItems.RadiusextItems.RadiusproviderItems.RadiusProviderList))])
                    self._leafs = OrderedDict()

                    self.radiusprovider_list = YList(self)
                    self._segment_path = lambda: "radiusprovider-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RadiusextItems.RadiusproviderItems, [], name, value)


                class RadiusProviderList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: usetype
                    
                    	Usage for the radius server
                    	**type**\:  :py:class:`AaaRadSrvUseType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRadSrvUseType>`
                    
                    .. attribute:: authport
                    
                    	authPort
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: acctport
                    
                    	acctPort
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authprotocol
                    
                    	Authentication Protocol
                    	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: key
                    
                    	Key
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: keyenc
                    
                    	Default key encryption
                    	**type**\:  :py:class:`AaaKeyEncRadiusProviderKeyEnc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEncRadiusProviderKeyEnc>`
                    
                    .. attribute:: timeout
                    
                    	Timeout in Seconds
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: retries
                    
                    	Retries
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: monitorserver
                    
                    	Periodic Server Monitoring
                    	**type**\:  :py:class:`AaaMonitorServerType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaMonitorServerType>`
                    
                    .. attribute:: monitoringuser
                    
                    	Periodic Server Monitoring Username
                    	**type**\: str
                    
                    .. attribute:: monitoringpassword
                    
                    	Periodic Server Monitoring Password
                    	**type**\: str
                    
                    .. attribute:: epgdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: snmpindex
                    
                    	Provider SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RadiusextItems.RadiusproviderItems.RadiusProviderList, self).__init__()

                        self.yang_name = "RadiusProvider-list"
                        self.yang_parent_name = "radiusprovider-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('usetype', (YLeaf(YType.enumeration, 'useType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRadSrvUseType', '')])),
                            ('authport', (YLeaf(YType.uint32, 'authPort'), ['int'])),
                            ('acctport', (YLeaf(YType.uint32, 'acctPort'), ['int'])),
                            ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                            ('keyenc', (YLeaf(YType.enumeration, 'keyEnc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEncRadiusProviderKeyEnc', '')])),
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                            ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                            ('monitorserver', (YLeaf(YType.enumeration, 'monitorServer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaMonitorServerType', '')])),
                            ('monitoringuser', (YLeaf(YType.str, 'monitoringUser'), ['str'])),
                            ('monitoringpassword', (YLeaf(YType.str, 'monitoringPassword'), ['str'])),
                            ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                        ])
                        self.name = None
                        self.usetype = None
                        self.authport = None
                        self.acctport = None
                        self.authprotocol = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.key = None
                        self.keyenc = None
                        self.timeout = None
                        self.retries = None
                        self.monitorserver = None
                        self.monitoringuser = None
                        self.monitoringpassword = None
                        self.epgdn = None
                        self.snmpindex = None
                        self._segment_path = lambda: "RadiusProvider-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/radiusprovider-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RadiusextItems.RadiusproviderItems.RadiusProviderList, ['name', 'usetype', 'authport', 'acctport', 'authprotocol', 'ownerkey', 'ownertag', 'descr', 'key', 'keyenc', 'timeout', 'retries', 'monitorserver', 'monitoringuser', 'monitoringpassword', 'epgdn', 'snmpindex'], name, value)




            class RadiusprovidergroupItems(Entity):
                """
                
                
                .. attribute:: radiusprovidergroup_list
                
                	
                	**type**\: list of  		 :py:class:`RadiusProviderGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RadiusextItems.RadiusprovidergroupItems, self).__init__()

                    self.yang_name = "radiusprovidergroup-items"
                    self.yang_parent_name = "radiusext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RadiusProviderGroup-list", ("radiusprovidergroup_list", System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList))])
                    self._leafs = OrderedDict()

                    self.radiusprovidergroup_list = YList(self)
                    self._segment_path = lambda: "radiusprovidergroup-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RadiusextItems.RadiusprovidergroupItems, [], name, value)


                class RadiusProviderGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: deadtime
                    
                    	Duration for which non\-reachable server is skipped
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: snmpindex
                    
                    	Provider Group SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: srcif
                    
                    	Source Interface
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VRF
                    	**type**\: str
                    
                    .. attribute:: providerref_items
                    
                    	
                    	**type**\:  :py:class:`ProviderrefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList, self).__init__()

                        self.yang_name = "RadiusProviderGroup-list"
                        self.yang_parent_name = "radiusprovidergroup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("providerref-items", ("providerref_items", System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('deadtime', (YLeaf(YType.uint32, 'deadtime'), ['int'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                            ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ])
                        self.name = None
                        self.deadtime = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.snmpindex = None
                        self.srcif = None
                        self.vrf = None

                        self.providerref_items = System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems()
                        self.providerref_items.parent = self
                        self._children_name_map["providerref_items"] = "providerref-items"
                        self._segment_path = lambda: "RadiusProviderGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/radiusprovidergroup-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList, ['name', 'deadtime', 'ownerkey', 'ownertag', 'descr', 'snmpindex', 'srcif', 'vrf'], name, value)


                    class ProviderrefItems(Entity):
                        """
                        
                        
                        .. attribute:: providerref_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ProviderRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems.ProviderRefList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems, self).__init__()

                            self.yang_name = "providerref-items"
                            self.yang_parent_name = "RadiusProviderGroup-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ProviderRef-list", ("providerref_list", System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems.ProviderRefList))])
                            self._leafs = OrderedDict()

                            self.providerref_list = YList(self)
                            self._segment_path = lambda: "providerref-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems, [], name, value)


                        class ProviderRefList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: order
                            
                            	Order in which Providers are Tried
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: snmpindex
                            
                            	Provider SNMP Index
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ownerkey
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: ownertag
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems.ProviderRefList, self).__init__()

                                self.yang_name = "ProviderRef-list"
                                self.yang_parent_name = "providerref-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                    ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.order = None
                                self.snmpindex = None
                                self.ownerkey = None
                                self.ownertag = None
                                self.descr = None
                                self._segment_path = lambda: "ProviderRef-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.RadiusextItems.RadiusprovidergroupItems.RadiusProviderGroupList.ProviderrefItems.ProviderRefList, ['name', 'order', 'snmpindex', 'ownerkey', 'ownertag', 'descr'], name, value)






            class RadiusservermonitorItems(Entity):
                """
                
                
                .. attribute:: pwd
                
                	Password
                	**type**\: str
                
                	**length:** 1..127
                
                .. attribute:: idletime
                
                	Idle timer to monitor tacacs/radius server
                	**type**\: int
                
                	**range:** 0..1440
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RadiusextItems.RadiusservermonitorItems, self).__init__()

                    self.yang_name = "radiusservermonitor-items"
                    self.yang_parent_name = "radiusext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('pwd', (YLeaf(YType.str, 'pwd'), ['str'])),
                        ('idletime', (YLeaf(YType.uint16, 'idleTime'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.pwd = None
                    self.idletime = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "radiusservermonitor-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RadiusextItems.RadiusservermonitorItems, ['pwd', 'idletime', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



            class RtfabricResRadiusEpItems(Entity):
                """
                
                
                .. attribute:: rtfabricresradiusep_list
                
                	
                	**type**\: list of  		 :py:class:`RtFabricResRadiusEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems.RtFabricResRadiusEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems, self).__init__()

                    self.yang_name = "rtfabricResRadiusEp-items"
                    self.yang_parent_name = "radiusext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFabricResRadiusEp-list", ("rtfabricresradiusep_list", System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems.RtFabricResRadiusEpList))])
                    self._leafs = OrderedDict()

                    self.rtfabricresradiusep_list = YList(self)
                    self._segment_path = lambda: "rtfabricResRadiusEp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems, [], name, value)


                class RtFabricResRadiusEpList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems.RtFabricResRadiusEpList, self).__init__()

                        self.yang_name = "RtFabricResRadiusEp-list"
                        self.yang_parent_name = "rtfabricResRadiusEp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFabricResRadiusEp-list" + "[tDn='" + str(self.tdn) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/radiusext-items/rtfabricResRadiusEp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RadiusextItems.RtfabricResRadiusEpItems.RtFabricResRadiusEpList, ['tdn', 'tcl'], name, value)





        class LdapextItems(Entity):
            """
            
            
            .. attribute:: attribute
            
            	LDAP Attribute
            	**type**\: str
            
            	**length:** 0..63
            
            .. attribute:: basedn
            
            	LDAP Base DN
            	**type**\: str
            
            	**length:** 0..127
            
            .. attribute:: filter
            
            	LDAP Filter
            	**type**\: str
            
            	**length:** 0..63
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: timeout
            
            	Timeout in Seconds
            	**type**\: int
            
            	**range:** 1..60
            
            .. attribute:: retries
            
            	Retries
            	**type**\: int
            
            	**range:** 0..5
            
            .. attribute:: srcif
            
            	Source Interface
            	**type**\: str
            
            .. attribute:: ldapprovidergroup_items
            
            	
            	**type**\:  :py:class:`LdapprovidergroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapprovidergroupItems>`
            
            .. attribute:: ldapprovider_items
            
            	
            	**type**\:  :py:class:`LdapproviderItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapproviderItems>`
            
            .. attribute:: rtfabricresldapep_items
            
            	
            	**type**\:  :py:class:`RtfabricResLdapEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.RtfabricResLdapEpItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.LdapextItems, self).__init__()

                self.yang_name = "ldapext-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ldapprovidergroup-items", ("ldapprovidergroup_items", System.UserextItems.LdapextItems.LdapprovidergroupItems)), ("ldapprovider-items", ("ldapprovider_items", System.UserextItems.LdapextItems.LdapproviderItems)), ("rtfabricResLdapEp-items", ("rtfabricresldapep_items", System.UserextItems.LdapextItems.RtfabricResLdapEpItems))])
                self._leafs = OrderedDict([
                    ('attribute', (YLeaf(YType.str, 'attribute'), ['str'])),
                    ('basedn', (YLeaf(YType.str, 'basedn'), ['str'])),
                    ('filter', (YLeaf(YType.str, 'filter'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                    ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                ])
                self.attribute = None
                self.basedn = None
                self.filter = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.timeout = None
                self.retries = None
                self.srcif = None

                self.ldapprovidergroup_items = System.UserextItems.LdapextItems.LdapprovidergroupItems()
                self.ldapprovidergroup_items.parent = self
                self._children_name_map["ldapprovidergroup_items"] = "ldapprovidergroup-items"

                self.ldapprovider_items = System.UserextItems.LdapextItems.LdapproviderItems()
                self.ldapprovider_items.parent = self
                self._children_name_map["ldapprovider_items"] = "ldapprovider-items"

                self.rtfabricresldapep_items = System.UserextItems.LdapextItems.RtfabricResLdapEpItems()
                self.rtfabricresldapep_items.parent = self
                self._children_name_map["rtfabricresldapep_items"] = "rtfabricResLdapEp-items"
                self._segment_path = lambda: "ldapext-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.LdapextItems, ['attribute', 'basedn', 'filter', 'name', 'ownerkey', 'ownertag', 'descr', 'timeout', 'retries', 'srcif'], name, value)


            class LdapprovidergroupItems(Entity):
                """
                
                
                .. attribute:: ldapprovidergroup_list
                
                	
                	**type**\: list of  		 :py:class:`LdapProviderGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.LdapextItems.LdapprovidergroupItems, self).__init__()

                    self.yang_name = "ldapprovidergroup-items"
                    self.yang_parent_name = "ldapext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("LdapProviderGroup-list", ("ldapprovidergroup_list", System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList))])
                    self._leafs = OrderedDict()

                    self.ldapprovidergroup_list = YList(self)
                    self._segment_path = lambda: "ldapprovidergroup-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.LdapextItems.LdapprovidergroupItems, [], name, value)


                class LdapProviderGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: snmpindex
                    
                    	Provider Group SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: srcif
                    
                    	Source Interface
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VRF
                    	**type**\: str
                    
                    .. attribute:: providerref_items
                    
                    	
                    	**type**\:  :py:class:`ProviderrefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList, self).__init__()

                        self.yang_name = "LdapProviderGroup-list"
                        self.yang_parent_name = "ldapprovidergroup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("providerref-items", ("providerref_items", System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                            ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.snmpindex = None
                        self.srcif = None
                        self.vrf = None

                        self.providerref_items = System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems()
                        self.providerref_items.parent = self
                        self._children_name_map["providerref_items"] = "providerref-items"
                        self._segment_path = lambda: "LdapProviderGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/ldapprovidergroup-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList, ['name', 'ownerkey', 'ownertag', 'descr', 'snmpindex', 'srcif', 'vrf'], name, value)


                    class ProviderrefItems(Entity):
                        """
                        
                        
                        .. attribute:: providerref_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ProviderRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems.ProviderRefList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems, self).__init__()

                            self.yang_name = "providerref-items"
                            self.yang_parent_name = "LdapProviderGroup-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ProviderRef-list", ("providerref_list", System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems.ProviderRefList))])
                            self._leafs = OrderedDict()

                            self.providerref_list = YList(self)
                            self._segment_path = lambda: "providerref-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems, [], name, value)


                        class ProviderRefList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: order
                            
                            	Order in which Providers are Tried
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: snmpindex
                            
                            	Provider SNMP Index
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ownerkey
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: ownertag
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems.ProviderRefList, self).__init__()

                                self.yang_name = "ProviderRef-list"
                                self.yang_parent_name = "providerref-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                    ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.order = None
                                self.snmpindex = None
                                self.ownerkey = None
                                self.ownertag = None
                                self.descr = None
                                self._segment_path = lambda: "ProviderRef-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.LdapextItems.LdapprovidergroupItems.LdapProviderGroupList.ProviderrefItems.ProviderRefList, ['name', 'order', 'snmpindex', 'ownerkey', 'ownertag', 'descr'], name, value)






            class LdapproviderItems(Entity):
                """
                
                
                .. attribute:: ldapprovider_list
                
                	
                	**type**\: list of  		 :py:class:`LdapProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.LdapproviderItems.LdapProviderList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.LdapextItems.LdapproviderItems, self).__init__()

                    self.yang_name = "ldapprovider-items"
                    self.yang_parent_name = "ldapext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("LdapProvider-list", ("ldapprovider_list", System.UserextItems.LdapextItems.LdapproviderItems.LdapProviderList))])
                    self._leafs = OrderedDict()

                    self.ldapprovider_list = YList(self)
                    self._segment_path = lambda: "ldapprovider-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.LdapextItems.LdapproviderItems, [], name, value)


                class LdapProviderList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: rootdn
                    
                    	Root DN
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: port
                    
                    	Port
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: enablessl
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: sslvalidationlevel
                    
                    	SSL certificate validation level
                    	**type**\:  :py:class:`AaaLdapSSLStrictnessLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaLdapSSLStrictnessLevel>`
                    
                    .. attribute:: attribute
                    
                    	LDAP Attribute
                    	**type**\: str
                    
                    	**length:** 0..63
                    
                    .. attribute:: basedn
                    
                    	LDAP Base DN
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: filter
                    
                    	LDAP Filter
                    	**type**\: str
                    
                    	**length:** 0..63
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: key
                    
                    	Key
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: keyset
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: keyenc
                    
                    	Default key encryption
                    	**type**\:  :py:class:`AaaKeyEncLdapProviderKeyEnc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEncLdapProviderKeyEnc>`
                    
                    .. attribute:: timeout
                    
                    	Timeout in Seconds
                    	**type**\: int
                    
                    	**range:** 5..60
                    
                    .. attribute:: retries
                    
                    	Retries
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: operstate
                    
                    	Provider Operational State
                    	**type**\:  :py:class:`AaaProviderState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaProviderState>`
                    
                    	**config**\: False
                    
                    .. attribute:: monitorserver
                    
                    	Periodic Server Monitoring
                    	**type**\:  :py:class:`AaaMonitorServerType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaMonitorServerType>`
                    
                    .. attribute:: monitoringuser
                    
                    	Periodic Server Monitoring Username
                    	**type**\: str
                    
                    .. attribute:: monitoringpassword
                    
                    	Periodic Server Monitoring Password
                    	**type**\: str
                    
                    .. attribute:: epgdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vrfname
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: snmpindex
                    
                    	Provider SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.LdapextItems.LdapproviderItems.LdapProviderList, self).__init__()

                        self.yang_name = "LdapProvider-list"
                        self.yang_parent_name = "ldapprovider-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('rootdn', (YLeaf(YType.str, 'rootdn'), ['str'])),
                            ('port', (YLeaf(YType.uint32, 'port'), ['int'])),
                            ('enablessl', (YLeaf(YType.boolean, 'enableSSL'), ['bool'])),
                            ('sslvalidationlevel', (YLeaf(YType.enumeration, 'SSLValidationLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaLdapSSLStrictnessLevel', '')])),
                            ('attribute', (YLeaf(YType.str, 'attribute'), ['str'])),
                            ('basedn', (YLeaf(YType.str, 'basedn'), ['str'])),
                            ('filter', (YLeaf(YType.str, 'filter'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                            ('keyset', (YLeaf(YType.boolean, 'keySet'), ['bool'])),
                            ('keyenc', (YLeaf(YType.enumeration, 'keyEnc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEncLdapProviderKeyEnc', '')])),
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                            ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                            ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaProviderState', '')])),
                            ('monitorserver', (YLeaf(YType.enumeration, 'monitorServer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaMonitorServerType', '')])),
                            ('monitoringuser', (YLeaf(YType.str, 'monitoringUser'), ['str'])),
                            ('monitoringpassword', (YLeaf(YType.str, 'monitoringPassword'), ['str'])),
                            ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                        ])
                        self.name = None
                        self.rootdn = None
                        self.port = None
                        self.enablessl = None
                        self.sslvalidationlevel = None
                        self.attribute = None
                        self.basedn = None
                        self.filter = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.key = None
                        self.keyset = None
                        self.keyenc = None
                        self.timeout = None
                        self.retries = None
                        self.operstate = None
                        self.monitorserver = None
                        self.monitoringuser = None
                        self.monitoringpassword = None
                        self.epgdn = None
                        self.vrfname = None
                        self.snmpindex = None
                        self._segment_path = lambda: "LdapProvider-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/ldapprovider-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.LdapextItems.LdapproviderItems.LdapProviderList, ['name', 'rootdn', 'port', 'enablessl', 'sslvalidationlevel', 'attribute', 'basedn', 'filter', 'ownerkey', 'ownertag', 'descr', 'key', 'keyset', 'keyenc', 'timeout', 'retries', 'operstate', 'monitorserver', 'monitoringuser', 'monitoringpassword', 'epgdn', 'vrfname', 'snmpindex'], name, value)




            class RtfabricResLdapEpItems(Entity):
                """
                
                
                .. attribute:: rtfabricresldapep_list
                
                	
                	**type**\: list of  		 :py:class:`RtFabricResLdapEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LdapextItems.RtfabricResLdapEpItems.RtFabricResLdapEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.LdapextItems.RtfabricResLdapEpItems, self).__init__()

                    self.yang_name = "rtfabricResLdapEp-items"
                    self.yang_parent_name = "ldapext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFabricResLdapEp-list", ("rtfabricresldapep_list", System.UserextItems.LdapextItems.RtfabricResLdapEpItems.RtFabricResLdapEpList))])
                    self._leafs = OrderedDict()

                    self.rtfabricresldapep_list = YList(self)
                    self._segment_path = lambda: "rtfabricResLdapEp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.LdapextItems.RtfabricResLdapEpItems, [], name, value)


                class RtFabricResLdapEpList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.LdapextItems.RtfabricResLdapEpItems.RtFabricResLdapEpList, self).__init__()

                        self.yang_name = "RtFabricResLdapEp-list"
                        self.yang_parent_name = "rtfabricResLdapEp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFabricResLdapEp-list" + "[tDn='" + str(self.tdn) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/ldapext-items/rtfabricResLdapEp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.LdapextItems.RtfabricResLdapEpItems.RtFabricResLdapEpList, ['tdn', 'tcl'], name, value)





        class TacacsextItems(Entity):
            """
            
            
            .. attribute:: deadtime
            
            	Duration for which non\-reachable server is skipped
            	**type**\: int
            
            	**range:** 0..1440
            
            .. attribute:: key
            
            	Global TACACS+ server shared secret
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: keyenc
            
            	Default key encryption
            	**type**\:  :py:class:`AaaKeyEnc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEnc>`
            
            .. attribute:: logginglevel
            
            	Tacacs Logging level
            	**type**\:  :py:class:`AaaLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaLoggingLevel>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: timeout
            
            	Timeout in Seconds
            	**type**\: int
            
            	**range:** 1..60
            
            .. attribute:: retries
            
            	Retries
            	**type**\: int
            
            	**range:** 0..5
            
            .. attribute:: srcif
            
            	Source Interface
            	**type**\: str
            
            .. attribute:: tacacsplusprovider_items
            
            	
            	**type**\:  :py:class:`TacacsplusproviderItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusproviderItems>`
            
            .. attribute:: tacacsplusprovidergroup_items
            
            	
            	**type**\:  :py:class:`TacacsplusprovidergroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems>`
            
            .. attribute:: tacacsservermonitor_items
            
            	
            	**type**\:  :py:class:`TacacsservermonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsservermonitorItems>`
            
            .. attribute:: rtfabricrestacacsplusep_items
            
            	
            	**type**\:  :py:class:`RtfabricResTacacsPlusEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.TacacsextItems, self).__init__()

                self.yang_name = "tacacsext-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("tacacsplusprovider-items", ("tacacsplusprovider_items", System.UserextItems.TacacsextItems.TacacsplusproviderItems)), ("tacacsplusprovidergroup-items", ("tacacsplusprovidergroup_items", System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems)), ("tacacsservermonitor-items", ("tacacsservermonitor_items", System.UserextItems.TacacsextItems.TacacsservermonitorItems)), ("rtfabricResTacacsPlusEp-items", ("rtfabricrestacacsplusep_items", System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems))])
                self._leafs = OrderedDict([
                    ('deadtime', (YLeaf(YType.uint32, 'deadtime'), ['int'])),
                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                    ('keyenc', (YLeaf(YType.enumeration, 'keyEnc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEnc', '')])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaLoggingLevel', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                    ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                ])
                self.deadtime = None
                self.key = None
                self.keyenc = None
                self.logginglevel = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.timeout = None
                self.retries = None
                self.srcif = None

                self.tacacsplusprovider_items = System.UserextItems.TacacsextItems.TacacsplusproviderItems()
                self.tacacsplusprovider_items.parent = self
                self._children_name_map["tacacsplusprovider_items"] = "tacacsplusprovider-items"

                self.tacacsplusprovidergroup_items = System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems()
                self.tacacsplusprovidergroup_items.parent = self
                self._children_name_map["tacacsplusprovidergroup_items"] = "tacacsplusprovidergroup-items"

                self.tacacsservermonitor_items = System.UserextItems.TacacsextItems.TacacsservermonitorItems()
                self.tacacsservermonitor_items.parent = self
                self._children_name_map["tacacsservermonitor_items"] = "tacacsservermonitor-items"

                self.rtfabricrestacacsplusep_items = System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems()
                self.rtfabricrestacacsplusep_items.parent = self
                self._children_name_map["rtfabricrestacacsplusep_items"] = "rtfabricResTacacsPlusEp-items"
                self._segment_path = lambda: "tacacsext-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.TacacsextItems, ['deadtime', 'key', 'keyenc', 'logginglevel', 'name', 'ownerkey', 'ownertag', 'descr', 'timeout', 'retries', 'srcif'], name, value)


            class TacacsplusproviderItems(Entity):
                """
                
                
                .. attribute:: tacacsplusprovider_list
                
                	
                	**type**\: list of  		 :py:class:`TacacsPlusProviderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusproviderItems.TacacsPlusProviderList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.TacacsextItems.TacacsplusproviderItems, self).__init__()

                    self.yang_name = "tacacsplusprovider-items"
                    self.yang_parent_name = "tacacsext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("TacacsPlusProvider-list", ("tacacsplusprovider_list", System.UserextItems.TacacsextItems.TacacsplusproviderItems.TacacsPlusProviderList))])
                    self._leafs = OrderedDict()

                    self.tacacsplusprovider_list = YList(self)
                    self._segment_path = lambda: "tacacsplusprovider-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusproviderItems, [], name, value)


                class TacacsPlusProviderList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: port
                    
                    	Port
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: authprotocol
                    
                    	TACACS+ Authentication Protocol
                    	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                    
                    .. attribute:: singleconnection
                    
                    	TACACS+ single connection mode enabled
                    	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: key
                    
                    	Key
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: keyenc
                    
                    	Default key encryption
                    	**type**\:  :py:class:`AaaKeyEncTacacsPlusProviderKeyEnc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEncTacacsPlusProviderKeyEnc>`
                    
                    .. attribute:: timeout
                    
                    	Timeout in Seconds
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: retries
                    
                    	Retries
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: monitorserver
                    
                    	Periodic Server Monitoring
                    	**type**\:  :py:class:`AaaMonitorServerType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaMonitorServerType>`
                    
                    .. attribute:: monitoringuser
                    
                    	Periodic Server Monitoring Username
                    	**type**\: str
                    
                    .. attribute:: monitoringpassword
                    
                    	Periodic Server Monitoring Password
                    	**type**\: str
                    
                    .. attribute:: epgdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: snmpindex
                    
                    	Provider SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.TacacsextItems.TacacsplusproviderItems.TacacsPlusProviderList, self).__init__()

                        self.yang_name = "TacacsPlusProvider-list"
                        self.yang_parent_name = "tacacsplusprovider-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('port', (YLeaf(YType.uint32, 'port'), ['int'])),
                            ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                            ('singleconnection', (YLeaf(YType.enumeration, 'singleConnection'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                            ('keyenc', (YLeaf(YType.enumeration, 'keyEnc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEncTacacsPlusProviderKeyEnc', '')])),
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                            ('retries', (YLeaf(YType.uint32, 'retries'), ['int'])),
                            ('monitorserver', (YLeaf(YType.enumeration, 'monitorServer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaMonitorServerType', '')])),
                            ('monitoringuser', (YLeaf(YType.str, 'monitoringUser'), ['str'])),
                            ('monitoringpassword', (YLeaf(YType.str, 'monitoringPassword'), ['str'])),
                            ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                        ])
                        self.name = None
                        self.port = None
                        self.authprotocol = None
                        self.singleconnection = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.key = None
                        self.keyenc = None
                        self.timeout = None
                        self.retries = None
                        self.monitorserver = None
                        self.monitoringuser = None
                        self.monitoringpassword = None
                        self.epgdn = None
                        self.snmpindex = None
                        self._segment_path = lambda: "TacacsPlusProvider-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/tacacsplusprovider-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusproviderItems.TacacsPlusProviderList, ['name', 'port', 'authprotocol', 'singleconnection', 'ownerkey', 'ownertag', 'descr', 'key', 'keyenc', 'timeout', 'retries', 'monitorserver', 'monitoringuser', 'monitoringpassword', 'epgdn', 'snmpindex'], name, value)




            class TacacsplusprovidergroupItems(Entity):
                """
                
                
                .. attribute:: tacacsplusprovidergroup_list
                
                	
                	**type**\: list of  		 :py:class:`TacacsPlusProviderGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems, self).__init__()

                    self.yang_name = "tacacsplusprovidergroup-items"
                    self.yang_parent_name = "tacacsext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("TacacsPlusProviderGroup-list", ("tacacsplusprovidergroup_list", System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList))])
                    self._leafs = OrderedDict()

                    self.tacacsplusprovidergroup_list = YList(self)
                    self._segment_path = lambda: "tacacsplusprovidergroup-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems, [], name, value)


                class TacacsPlusProviderGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: deadtime
                    
                    	Duration for which non\-reachable server is skipped
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: snmpindex
                    
                    	Provider Group SNMP Index
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: srcif
                    
                    	Source Interface
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VRF
                    	**type**\: str
                    
                    .. attribute:: providerref_items
                    
                    	
                    	**type**\:  :py:class:`ProviderrefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList, self).__init__()

                        self.yang_name = "TacacsPlusProviderGroup-list"
                        self.yang_parent_name = "tacacsplusprovidergroup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("providerref-items", ("providerref_items", System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('deadtime', (YLeaf(YType.uint32, 'deadtime'), ['int'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                            ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ])
                        self.name = None
                        self.deadtime = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.snmpindex = None
                        self.srcif = None
                        self.vrf = None

                        self.providerref_items = System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems()
                        self.providerref_items.parent = self
                        self._children_name_map["providerref_items"] = "providerref-items"
                        self._segment_path = lambda: "TacacsPlusProviderGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/tacacsplusprovidergroup-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList, ['name', 'deadtime', 'ownerkey', 'ownertag', 'descr', 'snmpindex', 'srcif', 'vrf'], name, value)


                    class ProviderrefItems(Entity):
                        """
                        
                        
                        .. attribute:: providerref_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ProviderRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems.ProviderRefList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems, self).__init__()

                            self.yang_name = "providerref-items"
                            self.yang_parent_name = "TacacsPlusProviderGroup-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ProviderRef-list", ("providerref_list", System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems.ProviderRefList))])
                            self._leafs = OrderedDict()

                            self.providerref_list = YList(self)
                            self._segment_path = lambda: "providerref-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems, [], name, value)


                        class ProviderRefList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: order
                            
                            	Order in which Providers are Tried
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: snmpindex
                            
                            	Provider SNMP Index
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ownerkey
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: ownertag
                            
                            	TBD
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems.ProviderRefList, self).__init__()

                                self.yang_name = "ProviderRef-list"
                                self.yang_parent_name = "providerref-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('order', (YLeaf(YType.uint16, 'order'), ['int'])),
                                    ('snmpindex', (YLeaf(YType.uint32, 'snmpIndex'), ['int'])),
                                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.order = None
                                self.snmpindex = None
                                self.ownerkey = None
                                self.ownertag = None
                                self.descr = None
                                self._segment_path = lambda: "ProviderRef-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.TacacsextItems.TacacsplusprovidergroupItems.TacacsPlusProviderGroupList.ProviderrefItems.ProviderRefList, ['name', 'order', 'snmpindex', 'ownerkey', 'ownertag', 'descr'], name, value)






            class TacacsservermonitorItems(Entity):
                """
                
                
                .. attribute:: pwd
                
                	Password
                	**type**\: str
                
                	**length:** 1..127
                
                .. attribute:: idletime
                
                	Idle timer to monitor tacacs/radius server
                	**type**\: int
                
                	**range:** 0..1440
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.TacacsextItems.TacacsservermonitorItems, self).__init__()

                    self.yang_name = "tacacsservermonitor-items"
                    self.yang_parent_name = "tacacsext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('pwd', (YLeaf(YType.str, 'pwd'), ['str'])),
                        ('idletime', (YLeaf(YType.uint16, 'idleTime'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.pwd = None
                    self.idletime = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "tacacsservermonitor-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.TacacsextItems.TacacsservermonitorItems, ['pwd', 'idletime', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



            class RtfabricResTacacsPlusEpItems(Entity):
                """
                
                
                .. attribute:: rtfabricrestacacsplusep_list
                
                	
                	**type**\: list of  		 :py:class:`RtFabricResTacacsPlusEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems.RtFabricResTacacsPlusEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems, self).__init__()

                    self.yang_name = "rtfabricResTacacsPlusEp-items"
                    self.yang_parent_name = "tacacsext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFabricResTacacsPlusEp-list", ("rtfabricrestacacsplusep_list", System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems.RtFabricResTacacsPlusEpList))])
                    self._leafs = OrderedDict()

                    self.rtfabricrestacacsplusep_list = YList(self)
                    self._segment_path = lambda: "rtfabricResTacacsPlusEp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems, [], name, value)


                class RtFabricResTacacsPlusEpList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems.RtFabricResTacacsPlusEpList, self).__init__()

                        self.yang_name = "RtFabricResTacacsPlusEp-list"
                        self.yang_parent_name = "rtfabricResTacacsPlusEp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFabricResTacacsPlusEp-list" + "[tDn='" + str(self.tdn) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/tacacsext-items/rtfabricResTacacsPlusEp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.TacacsextItems.RtfabricResTacacsPlusEpItems.RtFabricResTacacsPlusEpList, ['tdn', 'tcl'], name, value)





        class AuthrealmItems(Entity):
            """
            
            
            .. attribute:: defrolepolicy
            
            	Default Role Policy
            	**type**\:  :py:class:`AaaNoRolePolicy <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaNoRolePolicy>`
            
            .. attribute:: raddirectedreq
            
            	Enable direct authentication requests to server
            	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
            
            .. attribute:: tacdirectedreq
            
            	Enable direct authentication requests to server
            	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
            
            .. attribute:: logginglevel
            
            	AAA Logging level
            	**type**\:  :py:class:`AaaLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaLoggingLevel>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: aaagroup_items
            
            	
            	**type**\:  :py:class:`AaagroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.AaagroupItems>`
            
            .. attribute:: defaultauth_items
            
            	
            	**type**\:  :py:class:`DefaultauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.DefaultauthItems>`
            
            .. attribute:: defaultauthor_items
            
            	
            	**type**\:  :py:class:`DefaultauthorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.DefaultauthorItems>`
            
            .. attribute:: consoleauthor_items
            
            	
            	**type**\:  :py:class:`ConsoleauthorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.ConsoleauthorItems>`
            
            .. attribute:: defaultacc_items
            
            	
            	**type**\:  :py:class:`DefaultaccItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.DefaultaccItems>`
            
            .. attribute:: pkisshcert_items
            
            	
            	**type**\:  :py:class:`PkisshcertItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.PkisshcertItems>`
            
            .. attribute:: pkisshpubkey_items
            
            	
            	**type**\:  :py:class:`PkisshpubkeyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.PkisshpubkeyItems>`
            
            .. attribute:: consoleauth_items
            
            	
            	**type**\:  :py:class:`ConsoleauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.ConsoleauthItems>`
            
            .. attribute:: rtfabricresauthrealm_items
            
            	
            	**type**\:  :py:class:`RtfabricResAuthRealmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.AuthrealmItems, self).__init__()

                self.yang_name = "authrealm-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("aaagroup-items", ("aaagroup_items", System.UserextItems.AuthrealmItems.AaagroupItems)), ("defaultauth-items", ("defaultauth_items", System.UserextItems.AuthrealmItems.DefaultauthItems)), ("defaultauthor-items", ("defaultauthor_items", System.UserextItems.AuthrealmItems.DefaultauthorItems)), ("consoleauthor-items", ("consoleauthor_items", System.UserextItems.AuthrealmItems.ConsoleauthorItems)), ("defaultacc-items", ("defaultacc_items", System.UserextItems.AuthrealmItems.DefaultaccItems)), ("pkisshcert-items", ("pkisshcert_items", System.UserextItems.AuthrealmItems.PkisshcertItems)), ("pkisshpubkey-items", ("pkisshpubkey_items", System.UserextItems.AuthrealmItems.PkisshpubkeyItems)), ("consoleauth-items", ("consoleauth_items", System.UserextItems.AuthrealmItems.ConsoleauthItems)), ("rtfabricResAuthRealm-items", ("rtfabricresauthrealm_items", System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems))])
                self._leafs = OrderedDict([
                    ('defrolepolicy', (YLeaf(YType.enumeration, 'defRolePolicy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaNoRolePolicy', '')])),
                    ('raddirectedreq', (YLeaf(YType.enumeration, 'radDirectedReq'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                    ('tacdirectedreq', (YLeaf(YType.enumeration, 'tacDirectedReq'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaLoggingLevel', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.defrolepolicy = None
                self.raddirectedreq = None
                self.tacdirectedreq = None
                self.logginglevel = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None

                self.aaagroup_items = System.UserextItems.AuthrealmItems.AaagroupItems()
                self.aaagroup_items.parent = self
                self._children_name_map["aaagroup_items"] = "aaagroup-items"

                self.defaultauth_items = System.UserextItems.AuthrealmItems.DefaultauthItems()
                self.defaultauth_items.parent = self
                self._children_name_map["defaultauth_items"] = "defaultauth-items"

                self.defaultauthor_items = System.UserextItems.AuthrealmItems.DefaultauthorItems()
                self.defaultauthor_items.parent = self
                self._children_name_map["defaultauthor_items"] = "defaultauthor-items"

                self.consoleauthor_items = System.UserextItems.AuthrealmItems.ConsoleauthorItems()
                self.consoleauthor_items.parent = self
                self._children_name_map["consoleauthor_items"] = "consoleauthor-items"

                self.defaultacc_items = System.UserextItems.AuthrealmItems.DefaultaccItems()
                self.defaultacc_items.parent = self
                self._children_name_map["defaultacc_items"] = "defaultacc-items"

                self.pkisshcert_items = System.UserextItems.AuthrealmItems.PkisshcertItems()
                self.pkisshcert_items.parent = self
                self._children_name_map["pkisshcert_items"] = "pkisshcert-items"

                self.pkisshpubkey_items = System.UserextItems.AuthrealmItems.PkisshpubkeyItems()
                self.pkisshpubkey_items.parent = self
                self._children_name_map["pkisshpubkey_items"] = "pkisshpubkey-items"

                self.consoleauth_items = System.UserextItems.AuthrealmItems.ConsoleauthItems()
                self.consoleauth_items.parent = self
                self._children_name_map["consoleauth_items"] = "consoleauth-items"

                self.rtfabricresauthrealm_items = System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems()
                self.rtfabricresauthrealm_items.parent = self
                self._children_name_map["rtfabricresauthrealm_items"] = "rtfabricResAuthRealm-items"
                self._segment_path = lambda: "authrealm-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.AuthrealmItems, ['defrolepolicy', 'raddirectedreq', 'tacdirectedreq', 'logginglevel', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


            class AaagroupItems(Entity):
                """
                
                
                .. attribute:: aaaservergroup_list
                
                	
                	**type**\: list of  		 :py:class:`AaaServerGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.AaagroupItems.AaaServerGroupList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.AaagroupItems, self).__init__()

                    self.yang_name = "aaagroup-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AaaServerGroup-list", ("aaaservergroup_list", System.UserextItems.AuthrealmItems.AaagroupItems.AaaServerGroupList))])
                    self._leafs = OrderedDict()

                    self.aaaservergroup_list = YList(self)
                    self._segment_path = lambda: "aaagroup-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.AaagroupItems, [], name, value)


                class AaaServerGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	server Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    	**config**\: False
                    
                    .. attribute:: protocol
                    
                    	server Group protocol
                    	**type**\:  :py:class:`AaaProviderGroupProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaProviderGroupProtocol>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.AuthrealmItems.AaagroupItems.AaaServerGroupList, self).__init__()

                        self.yang_name = "AaaServerGroup-list"
                        self.yang_parent_name = "aaagroup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('protocol', (YLeaf(YType.enumeration, 'protocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaProviderGroupProtocol', '')])),
                        ])
                        self.name = None
                        self.protocol = None
                        self._segment_path = lambda: "AaaServerGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/aaagroup-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.AuthrealmItems.AaagroupItems.AaaServerGroupList, ['name', 'protocol'], name, value)




            class DefaultauthItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: realm
                
                	Realm
                	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                
                .. attribute:: providergroup
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup2
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup3
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup4
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup5
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup6
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup7
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup8
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: erren
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: authprotocol
                
                	Authentication Protocol
                	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                
                .. attribute:: fallback
                
                	Fallback in case all AAA servers configured for remote authentication are unreachable
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: local
                
                	Use local username authentication
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: none
                
                	No authentication
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.DefaultauthItems, self).__init__()

                    self.yang_name = "defaultauth-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                        ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                        ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                        ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                        ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                        ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                        ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                        ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                        ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                        ('erren', (YLeaf(YType.boolean, 'errEn'), ['bool'])),
                        ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                        ('fallback', (YLeaf(YType.enumeration, 'fallback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('local', (YLeaf(YType.enumeration, 'local'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('none', (YLeaf(YType.enumeration, 'none'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.realm = None
                    self.providergroup = None
                    self.providergroup2 = None
                    self.providergroup3 = None
                    self.providergroup4 = None
                    self.providergroup5 = None
                    self.providergroup6 = None
                    self.providergroup7 = None
                    self.providergroup8 = None
                    self.erren = None
                    self.authprotocol = None
                    self.fallback = None
                    self.local = None
                    self.none = None
                    self._segment_path = lambda: "defaultauth-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.DefaultauthItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'erren', 'authprotocol', 'fallback', 'local', 'none'], name, value)



            class DefaultauthorItems(Entity):
                """
                
                
                .. attribute:: defaultauthor_list
                
                	
                	**type**\: list of  		 :py:class:`DefaultAuthorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.DefaultauthorItems.DefaultAuthorList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.DefaultauthorItems, self).__init__()

                    self.yang_name = "defaultauthor-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DefaultAuthor-list", ("defaultauthor_list", System.UserextItems.AuthrealmItems.DefaultauthorItems.DefaultAuthorList))])
                    self._leafs = OrderedDict()

                    self.defaultauthor_list = YList(self)
                    self._segment_path = lambda: "defaultauthor-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.DefaultauthorItems, [], name, value)


                class DefaultAuthorList(Entity):
                    """
                    
                    
                    .. attribute:: cmdtype  (key)
                    
                    	Type of command for authorization
                    	**type**\:  :py:class:`AaaCmdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaCmdType>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: realm
                    
                    	Realm
                    	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                    
                    	**config**\: False
                    
                    .. attribute:: providergroup
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup2
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup3
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup4
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup5
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup6
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup7
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup8
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: authormethodnone
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: localrbac
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.AuthrealmItems.DefaultauthorItems.DefaultAuthorList, self).__init__()

                        self.yang_name = "DefaultAuthor-list"
                        self.yang_parent_name = "defaultauthor-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['cmdtype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('cmdtype', (YLeaf(YType.enumeration, 'cmdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaCmdType', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                            ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                            ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                            ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                            ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                            ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                            ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                            ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                            ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                            ('authormethodnone', (YLeaf(YType.boolean, 'authorMethodNone'), ['bool'])),
                            ('localrbac', (YLeaf(YType.boolean, 'localRbac'), ['bool'])),
                        ])
                        self.cmdtype = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.realm = None
                        self.providergroup = None
                        self.providergroup2 = None
                        self.providergroup3 = None
                        self.providergroup4 = None
                        self.providergroup5 = None
                        self.providergroup6 = None
                        self.providergroup7 = None
                        self.providergroup8 = None
                        self.authormethodnone = None
                        self.localrbac = None
                        self._segment_path = lambda: "DefaultAuthor-list" + "[cmdType='" + str(self.cmdtype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/defaultauthor-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.AuthrealmItems.DefaultauthorItems.DefaultAuthorList, ['cmdtype', 'name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'authormethodnone', 'localrbac'], name, value)




            class ConsoleauthorItems(Entity):
                """
                
                
                .. attribute:: consoleauthor_list
                
                	
                	**type**\: list of  		 :py:class:`ConsoleAuthorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.ConsoleauthorItems.ConsoleAuthorList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.ConsoleauthorItems, self).__init__()

                    self.yang_name = "consoleauthor-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ConsoleAuthor-list", ("consoleauthor_list", System.UserextItems.AuthrealmItems.ConsoleauthorItems.ConsoleAuthorList))])
                    self._leafs = OrderedDict()

                    self.consoleauthor_list = YList(self)
                    self._segment_path = lambda: "consoleauthor-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.ConsoleauthorItems, [], name, value)


                class ConsoleAuthorList(Entity):
                    """
                    
                    
                    .. attribute:: cmdtype  (key)
                    
                    	Type of command for authorization
                    	**type**\:  :py:class:`AaaCmdType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaCmdType>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: realm
                    
                    	Realm
                    	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                    
                    	**config**\: False
                    
                    .. attribute:: providergroup
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup2
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup3
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup4
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup5
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup6
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup7
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup8
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: authormethodnone
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: localrbac
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.AuthrealmItems.ConsoleauthorItems.ConsoleAuthorList, self).__init__()

                        self.yang_name = "ConsoleAuthor-list"
                        self.yang_parent_name = "consoleauthor-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['cmdtype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('cmdtype', (YLeaf(YType.enumeration, 'cmdType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaCmdType', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                            ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                            ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                            ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                            ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                            ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                            ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                            ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                            ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                            ('authormethodnone', (YLeaf(YType.boolean, 'authorMethodNone'), ['bool'])),
                            ('localrbac', (YLeaf(YType.boolean, 'localRbac'), ['bool'])),
                        ])
                        self.cmdtype = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.realm = None
                        self.providergroup = None
                        self.providergroup2 = None
                        self.providergroup3 = None
                        self.providergroup4 = None
                        self.providergroup5 = None
                        self.providergroup6 = None
                        self.providergroup7 = None
                        self.providergroup8 = None
                        self.authormethodnone = None
                        self.localrbac = None
                        self._segment_path = lambda: "ConsoleAuthor-list" + "[cmdType='" + str(self.cmdtype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/consoleauthor-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.AuthrealmItems.ConsoleauthorItems.ConsoleAuthorList, ['cmdtype', 'name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'authormethodnone', 'localrbac'], name, value)




            class DefaultaccItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: realm
                
                	Realm
                	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                
                .. attribute:: providergroup
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup2
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup3
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup4
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup5
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup6
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup7
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup8
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: accmethodnone
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: localrbac
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.DefaultaccItems, self).__init__()

                    self.yang_name = "defaultacc-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                        ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                        ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                        ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                        ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                        ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                        ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                        ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                        ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                        ('accmethodnone', (YLeaf(YType.boolean, 'accMethodNone'), ['bool'])),
                        ('localrbac', (YLeaf(YType.boolean, 'localRbac'), ['bool'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.realm = None
                    self.providergroup = None
                    self.providergroup2 = None
                    self.providergroup3 = None
                    self.providergroup4 = None
                    self.providergroup5 = None
                    self.providergroup6 = None
                    self.providergroup7 = None
                    self.providergroup8 = None
                    self.accmethodnone = None
                    self.localrbac = None
                    self._segment_path = lambda: "defaultacc-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.DefaultaccItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'accmethodnone', 'localrbac'], name, value)



            class PkisshcertItems(Entity):
                """
                
                
                .. attribute:: local
                
                	
                	**type**\: bool
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: realm
                
                	Realm
                	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                
                .. attribute:: providergroup
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup2
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup3
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup4
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup5
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup6
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup7
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup8
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.PkisshcertItems, self).__init__()

                    self.yang_name = "pkisshcert-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('local', (YLeaf(YType.boolean, 'local'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                        ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                        ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                        ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                        ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                        ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                        ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                        ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                        ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                    ])
                    self.local = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.realm = None
                    self.providergroup = None
                    self.providergroup2 = None
                    self.providergroup3 = None
                    self.providergroup4 = None
                    self.providergroup5 = None
                    self.providergroup6 = None
                    self.providergroup7 = None
                    self.providergroup8 = None
                    self._segment_path = lambda: "pkisshcert-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.PkisshcertItems, ['local', 'name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8'], name, value)



            class PkisshpubkeyItems(Entity):
                """
                
                
                .. attribute:: local
                
                	
                	**type**\: bool
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: realm
                
                	Realm
                	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                
                .. attribute:: providergroup
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup2
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup3
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup4
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup5
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup6
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup7
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup8
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.PkisshpubkeyItems, self).__init__()

                    self.yang_name = "pkisshpubkey-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('local', (YLeaf(YType.boolean, 'local'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                        ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                        ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                        ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                        ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                        ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                        ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                        ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                        ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                    ])
                    self.local = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.realm = None
                    self.providergroup = None
                    self.providergroup2 = None
                    self.providergroup3 = None
                    self.providergroup4 = None
                    self.providergroup5 = None
                    self.providergroup6 = None
                    self.providergroup7 = None
                    self.providergroup8 = None
                    self._segment_path = lambda: "pkisshpubkey-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.PkisshpubkeyItems, ['local', 'name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8'], name, value)



            class ConsoleauthItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: realm
                
                	Realm
                	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                
                .. attribute:: providergroup
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup2
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup3
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup4
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup5
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup6
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup7
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: providergroup8
                
                	Provider Group
                	**type**\: str
                
                	**length:** 0..127
                
                .. attribute:: erren
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: authprotocol
                
                	Authentication Protocol
                	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                
                .. attribute:: fallback
                
                	Fallback in case all AAA servers configured for remote authentication are unreachable
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: local
                
                	Use local username authentication
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: none
                
                	No authentication
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.ConsoleauthItems, self).__init__()

                    self.yang_name = "consoleauth-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                        ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                        ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                        ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                        ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                        ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                        ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                        ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                        ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                        ('erren', (YLeaf(YType.boolean, 'errEn'), ['bool'])),
                        ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                        ('fallback', (YLeaf(YType.enumeration, 'fallback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('local', (YLeaf(YType.enumeration, 'local'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('none', (YLeaf(YType.enumeration, 'none'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.realm = None
                    self.providergroup = None
                    self.providergroup2 = None
                    self.providergroup3 = None
                    self.providergroup4 = None
                    self.providergroup5 = None
                    self.providergroup6 = None
                    self.providergroup7 = None
                    self.providergroup8 = None
                    self.erren = None
                    self.authprotocol = None
                    self.fallback = None
                    self.local = None
                    self.none = None
                    self._segment_path = lambda: "consoleauth-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.ConsoleauthItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'erren', 'authprotocol', 'fallback', 'local', 'none'], name, value)



            class RtfabricResAuthRealmItems(Entity):
                """
                
                
                .. attribute:: rtfabricresauthrealm_list
                
                	
                	**type**\: list of  		 :py:class:`RtFabricResAuthRealmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems.RtFabricResAuthRealmList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems, self).__init__()

                    self.yang_name = "rtfabricResAuthRealm-items"
                    self.yang_parent_name = "authrealm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFabricResAuthRealm-list", ("rtfabricresauthrealm_list", System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems.RtFabricResAuthRealmList))])
                    self._leafs = OrderedDict()

                    self.rtfabricresauthrealm_list = YList(self)
                    self._segment_path = lambda: "rtfabricResAuthRealm-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems, [], name, value)


                class RtFabricResAuthRealmList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems.RtFabricResAuthRealmList, self).__init__()

                        self.yang_name = "RtFabricResAuthRealm-list"
                        self.yang_parent_name = "rtfabricResAuthRealm-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFabricResAuthRealm-list" + "[tDn='" + str(self.tdn) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/authrealm-items/rtfabricResAuthRealm-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.AuthrealmItems.RtfabricResAuthRealmItems.RtFabricResAuthRealmList, ['tdn', 'tcl'], name, value)





        class LogindomainItems(Entity):
            """
            
            
            .. attribute:: logindomain_list
            
            	
            	**type**\: list of  		 :py:class:`LoginDomainList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.LogindomainItems, self).__init__()

                self.yang_name = "logindomain-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("LoginDomain-list", ("logindomain_list", System.UserextItems.LogindomainItems.LoginDomainList))])
                self._leafs = OrderedDict()

                self.logindomain_list = YList(self)
                self._segment_path = lambda: "logindomain-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.LogindomainItems, [], name, value)


            class LoginDomainList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: domainauth_items
                
                	
                	**type**\:  :py:class:`DomainauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems>`
                
                .. attribute:: rtaaalogindomain_items
                
                	
                	**type**\:  :py:class:`RtaaaLoginDomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.LogindomainItems.LoginDomainList, self).__init__()

                    self.yang_name = "LoginDomain-list"
                    self.yang_parent_name = "logindomain-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("domainauth-items", ("domainauth_items", System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems)), ("rtaaaLoginDomain-items", ("rtaaalogindomain_items", System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.domainauth_items = System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems()
                    self.domainauth_items.parent = self
                    self._children_name_map["domainauth_items"] = "domainauth-items"

                    self.rtaaalogindomain_items = System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems()
                    self.rtaaalogindomain_items.parent = self
                    self._children_name_map["rtaaalogindomain_items"] = "rtaaaLoginDomain-items"
                    self._segment_path = lambda: "LoginDomain-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/logindomain-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


                class DomainauthItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: realm
                    
                    	Realm
                    	**type**\:  :py:class:`AaaRealmDomainAuthRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealmDomainAuthRealm>`
                    
                    .. attribute:: providergroup
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup2
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup3
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup4
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup5
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup6
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup7
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: providergroup8
                    
                    	Provider Group
                    	**type**\: str
                    
                    	**length:** 0..127
                    
                    .. attribute:: erren
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: authprotocol
                    
                    	Authentication Protocol
                    	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                    
                    .. attribute:: fallback
                    
                    	Fallback in case all AAA servers configured for remote authentication are unreachable
                    	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                    
                    .. attribute:: none
                    
                    	No authentication
                    	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                    
                    .. attribute:: defaultauth_items
                    
                    	
                    	**type**\:  :py:class:`DefaultauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.DefaultauthItems>`
                    
                    .. attribute:: consoleauth_items
                    
                    	
                    	**type**\:  :py:class:`ConsoleauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.ConsoleauthItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems, self).__init__()

                        self.yang_name = "domainauth-items"
                        self.yang_parent_name = "LoginDomain-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("defaultauth-items", ("defaultauth_items", System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.DefaultauthItems)), ("consoleauth-items", ("consoleauth_items", System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.ConsoleauthItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealmDomainAuthRealm', '')])),
                            ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                            ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                            ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                            ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                            ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                            ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                            ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                            ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                            ('erren', (YLeaf(YType.boolean, 'errEn'), ['bool'])),
                            ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                            ('fallback', (YLeaf(YType.enumeration, 'fallback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                            ('local', (YLeaf(YType.enumeration, 'local'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                            ('none', (YLeaf(YType.enumeration, 'none'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ])
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self.realm = None
                        self.providergroup = None
                        self.providergroup2 = None
                        self.providergroup3 = None
                        self.providergroup4 = None
                        self.providergroup5 = None
                        self.providergroup6 = None
                        self.providergroup7 = None
                        self.providergroup8 = None
                        self.erren = None
                        self.authprotocol = None
                        self.fallback = None
                        self.local = None
                        self.none = None

                        self.defaultauth_items = System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.DefaultauthItems()
                        self.defaultauth_items.parent = self
                        self._children_name_map["defaultauth_items"] = "defaultauth-items"

                        self.consoleauth_items = System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.ConsoleauthItems()
                        self.consoleauth_items.parent = self
                        self._children_name_map["consoleauth_items"] = "consoleauth-items"
                        self._segment_path = lambda: "domainauth-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'erren', 'authprotocol', 'fallback', 'local', 'none'], name, value)


                    class DefaultauthItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: realm
                        
                        	Realm
                        	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                        
                        .. attribute:: providergroup
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup2
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup3
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup4
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup5
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup6
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup7
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup8
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: erren
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: authprotocol
                        
                        	Authentication Protocol
                        	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                        
                        .. attribute:: fallback
                        
                        	Fallback in case all AAA servers configured for remote authentication are unreachable
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        .. attribute:: local
                        
                        	Use local username authentication
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        .. attribute:: none
                        
                        	No authentication
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.DefaultauthItems, self).__init__()

                            self.yang_name = "defaultauth-items"
                            self.yang_parent_name = "domainauth-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                                ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                                ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                                ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                                ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                                ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                                ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                                ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                                ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                                ('erren', (YLeaf(YType.boolean, 'errEn'), ['bool'])),
                                ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                                ('fallback', (YLeaf(YType.enumeration, 'fallback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                                ('local', (YLeaf(YType.enumeration, 'local'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                                ('none', (YLeaf(YType.enumeration, 'none'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self.realm = None
                            self.providergroup = None
                            self.providergroup2 = None
                            self.providergroup3 = None
                            self.providergroup4 = None
                            self.providergroup5 = None
                            self.providergroup6 = None
                            self.providergroup7 = None
                            self.providergroup8 = None
                            self.erren = None
                            self.authprotocol = None
                            self.fallback = None
                            self.local = None
                            self.none = None
                            self._segment_path = lambda: "defaultauth-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.DefaultauthItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'erren', 'authprotocol', 'fallback', 'local', 'none'], name, value)



                    class ConsoleauthItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: realm
                        
                        	Realm
                        	**type**\:  :py:class:`AaaRealm <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRealm>`
                        
                        .. attribute:: providergroup
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup2
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup3
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup4
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup5
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup6
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup7
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: providergroup8
                        
                        	Provider Group
                        	**type**\: str
                        
                        	**length:** 0..127
                        
                        .. attribute:: erren
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: authprotocol
                        
                        	Authentication Protocol
                        	**type**\:  :py:class:`AaaAuthenticationProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAuthenticationProtocol>`
                        
                        .. attribute:: fallback
                        
                        	Fallback in case all AAA servers configured for remote authentication are unreachable
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        .. attribute:: local
                        
                        	Use local username authentication
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        .. attribute:: none
                        
                        	No authentication
                        	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.ConsoleauthItems, self).__init__()

                            self.yang_name = "consoleauth-items"
                            self.yang_parent_name = "domainauth-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('realm', (YLeaf(YType.enumeration, 'realm'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRealm', '')])),
                                ('providergroup', (YLeaf(YType.str, 'providerGroup'), ['str'])),
                                ('providergroup2', (YLeaf(YType.str, 'providerGroup2'), ['str'])),
                                ('providergroup3', (YLeaf(YType.str, 'providerGroup3'), ['str'])),
                                ('providergroup4', (YLeaf(YType.str, 'providerGroup4'), ['str'])),
                                ('providergroup5', (YLeaf(YType.str, 'providerGroup5'), ['str'])),
                                ('providergroup6', (YLeaf(YType.str, 'providerGroup6'), ['str'])),
                                ('providergroup7', (YLeaf(YType.str, 'providerGroup7'), ['str'])),
                                ('providergroup8', (YLeaf(YType.str, 'providerGroup8'), ['str'])),
                                ('erren', (YLeaf(YType.boolean, 'errEn'), ['bool'])),
                                ('authprotocol', (YLeaf(YType.enumeration, 'authProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAuthenticationProtocol', '')])),
                                ('fallback', (YLeaf(YType.enumeration, 'fallback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                                ('local', (YLeaf(YType.enumeration, 'local'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                                ('none', (YLeaf(YType.enumeration, 'none'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self.realm = None
                            self.providergroup = None
                            self.providergroup2 = None
                            self.providergroup3 = None
                            self.providergroup4 = None
                            self.providergroup5 = None
                            self.providergroup6 = None
                            self.providergroup7 = None
                            self.providergroup8 = None
                            self.erren = None
                            self.authprotocol = None
                            self.fallback = None
                            self.local = None
                            self.none = None
                            self._segment_path = lambda: "consoleauth-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList.DomainauthItems.ConsoleauthItems, ['name', 'ownerkey', 'ownertag', 'descr', 'realm', 'providergroup', 'providergroup2', 'providergroup3', 'providergroup4', 'providergroup5', 'providergroup6', 'providergroup7', 'providergroup8', 'erren', 'authprotocol', 'fallback', 'local', 'none'], name, value)




                class RtaaaLoginDomainItems(Entity):
                    """
                    
                    
                    .. attribute:: rtaaalogindomain_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtAaaLoginDomainList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems.RtAaaLoginDomainList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems, self).__init__()

                        self.yang_name = "rtaaaLoginDomain-items"
                        self.yang_parent_name = "LoginDomain-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtAaaLoginDomain-list", ("rtaaalogindomain_list", System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems.RtAaaLoginDomainList))])
                        self._leafs = OrderedDict()

                        self.rtaaalogindomain_list = YList(self)
                        self._segment_path = lambda: "rtaaaLoginDomain-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems, [], name, value)


                    class RtAaaLoginDomainList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems.RtAaaLoginDomainList, self).__init__()

                            self.yang_name = "RtAaaLoginDomain-list"
                            self.yang_parent_name = "rtaaaLoginDomain-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtAaaLoginDomain-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.LogindomainItems.LoginDomainList.RtaaaLoginDomainItems.RtAaaLoginDomainList, ['tdn', 'tcl'], name, value)






        class PreloginbannerItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: message
            
            	Login Banner Message
            	**type**\: str
            
            .. attribute:: guimessage
            
            	Login GUI Message
            	**type**\: str
            
            .. attribute:: delimiter
            
            	Delimiter character
            	**type**\: str
            
            .. attribute:: rtpreloginbanner_items
            
            	
            	**type**\:  :py:class:`RtpreLoginBannerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PreloginbannerItems.RtpreLoginBannerItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.PreloginbannerItems, self).__init__()

                self.yang_name = "preloginbanner-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("rtpreLoginBanner-items", ("rtpreloginbanner_items", System.UserextItems.PreloginbannerItems.RtpreLoginBannerItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('message', (YLeaf(YType.str, 'message'), ['str'])),
                    ('guimessage', (YLeaf(YType.str, 'guiMessage'), ['str'])),
                    ('delimiter', (YLeaf(YType.str, 'delimiter'), ['str'])),
                ])
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.message = None
                self.guimessage = None
                self.delimiter = None

                self.rtpreloginbanner_items = System.UserextItems.PreloginbannerItems.RtpreLoginBannerItems()
                self.rtpreloginbanner_items.parent = self
                self._children_name_map["rtpreloginbanner_items"] = "rtpreLoginBanner-items"
                self._segment_path = lambda: "preloginbanner-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.PreloginbannerItems, ['name', 'ownerkey', 'ownertag', 'descr', 'message', 'guimessage', 'delimiter'], name, value)


            class RtpreLoginBannerItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PreloginbannerItems.RtpreLoginBannerItems, self).__init__()

                    self.yang_name = "rtpreLoginBanner-items"
                    self.yang_parent_name = "preloginbanner-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtpreLoginBanner-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/preloginbanner-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PreloginbannerItems.RtpreLoginBannerItems, ['tdn', 'tcl'], name, value)




        class RemoteuserItems(Entity):
            """
            
            
            .. attribute:: remoteuser_list
            
            	
            	**type**\: list of  		 :py:class:`RemoteUserList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems.RemoteUserList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.RemoteuserItems, self).__init__()

                self.yang_name = "remoteuser-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RemoteUser-list", ("remoteuser_list", System.UserextItems.RemoteuserItems.RemoteUserList))])
                self._leafs = OrderedDict()

                self.remoteuser_list = YList(self)
                self._segment_path = lambda: "remoteuser-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.RemoteuserItems, [], name, value)


            class RemoteUserList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: userdomain_items
                
                	
                	**type**\:  :py:class:`UserdomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RemoteuserItems.RemoteUserList, self).__init__()

                    self.yang_name = "RemoteUser-list"
                    self.yang_parent_name = "remoteuser-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("userdomain-items", ("userdomain_items", System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.userdomain_items = System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems()
                    self.userdomain_items.parent = self
                    self._children_name_map["userdomain_items"] = "userdomain-items"
                    self._segment_path = lambda: "RemoteUser-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/remoteuser-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RemoteuserItems.RemoteUserList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


                class UserdomainItems(Entity):
                    """
                    
                    
                    .. attribute:: remoteuserdomain_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RemoteUserDomainList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems, self).__init__()

                        self.yang_name = "userdomain-items"
                        self.yang_parent_name = "RemoteUser-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RemoteUserDomain-list", ("remoteuserdomain_list", System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList))])
                        self._leafs = OrderedDict()

                        self.remoteuserdomain_list = YList(self)
                        self._segment_path = lambda: "userdomain-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems, [], name, value)


                    class RemoteUserDomainList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: role_items
                        
                        	
                        	**type**\:  :py:class:`RoleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList, self).__init__()

                            self.yang_name = "RemoteUserDomain-list"
                            self.yang_parent_name = "userdomain-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("role-items", ("role_items", System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None

                            self.role_items = System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems()
                            self.role_items.parent = self
                            self._children_name_map["role_items"] = "role-items"
                            self._segment_path = lambda: "RemoteUserDomain-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


                        class RoleItems(Entity):
                            """
                            
                            
                            .. attribute:: remoteuserrole_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RemoteUserRoleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems.RemoteUserRoleList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems, self).__init__()

                                self.yang_name = "role-items"
                                self.yang_parent_name = "RemoteUserDomain-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RemoteUserRole-list", ("remoteuserrole_list", System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems.RemoteUserRoleList))])
                                self._leafs = OrderedDict()

                                self.remoteuserrole_list = YList(self)
                                self._segment_path = lambda: "role-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems, [], name, value)


                            class RemoteUserRoleList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: privtype
                                
                                	Privilege Type
                                	**type**\:  :py:class:`AaaUserRolePrivType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaUserRolePrivType>`
                                
                                	**config**\: False
                                
                                .. attribute:: ownerkey
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: ownertag
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems.RemoteUserRoleList, self).__init__()

                                    self.yang_name = "RemoteUserRole-list"
                                    self.yang_parent_name = "role-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('privtype', (YLeaf(YType.enumeration, 'privType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaUserRolePrivType', '')])),
                                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.name = None
                                    self.privtype = None
                                    self.ownerkey = None
                                    self.ownertag = None
                                    self.descr = None
                                    self._segment_path = lambda: "RemoteUserRole-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.UserextItems.RemoteuserItems.RemoteUserList.UserdomainItems.RemoteUserDomainList.RoleItems.RemoteUserRoleList, ['name', 'privtype', 'ownerkey', 'ownertag', 'descr'], name, value)








        class UserItems(Entity):
            """
            
            
            .. attribute:: user_list
            
            	
            	**type**\: list of  		 :py:class:`UserList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.UserItems, self).__init__()

                self.yang_name = "user-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("User-list", ("user_list", System.UserextItems.UserItems.UserList))])
                self._leafs = OrderedDict()

                self.user_list = YList(self)
                self._segment_path = lambda: "user-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.UserItems, [], name, value)


            class UserList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: firstname
                
                	First Name
                	**type**\: str
                
                	**length:** 0..32
                
                .. attribute:: lastname
                
                	Last Name
                	**type**\: str
                
                	**length:** 0..32
                
                .. attribute:: email
                
                	Email Address
                	**type**\: str
                
                .. attribute:: phone
                
                	Phone Number
                	**type**\: str
                
                .. attribute:: expiration
                
                	Account Expiration Date
                	**type**\: str
                
                .. attribute:: expires
                
                	Expiration Set Status
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: allowexpired
                
                	Allow expired user to be configured
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: accountstatus
                
                	Account Status
                	**type**\:  :py:class:`AaaAccountStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaAccountStatus>`
                
                .. attribute:: pwd
                
                	Password
                	**type**\: str
                
                	**length:** 1..127
                
                .. attribute:: pwdencrypttype
                
                	Password Encryption Type
                	**type**\:  :py:class:`AaaKeyEncUserPass <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaKeyEncUserPass>`
                
                .. attribute:: pwdlifetime
                
                	Password Life Time
                	**type**\: int
                
                	**range:** 0..3650
                
                .. attribute:: clearpwdhistory
                
                	Clear Password History
                	**type**\:  :py:class:`AaaClear <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaClear>`
                
                .. attribute:: unixuserid
                
                	TBD
                	**type**\: int
                
                	**range:** 99..15999
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: sshauth_items
                
                	
                	**type**\:  :py:class:`SshauthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.SshauthItems>`
                
                .. attribute:: usercert_items
                
                	
                	**type**\:  :py:class:`UsercertItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UsercertItems>`
                
                .. attribute:: userdomain_items
                
                	
                	**type**\:  :py:class:`UserdomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UserdomainItems>`
                
                .. attribute:: userdata_items
                
                	
                	**type**\:  :py:class:`UserdataItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UserdataItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.UserItems.UserList, self).__init__()

                    self.yang_name = "User-list"
                    self.yang_parent_name = "user-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("sshauth-items", ("sshauth_items", System.UserextItems.UserItems.UserList.SshauthItems)), ("usercert-items", ("usercert_items", System.UserextItems.UserItems.UserList.UsercertItems)), ("userdomain-items", ("userdomain_items", System.UserextItems.UserItems.UserList.UserdomainItems)), ("userdata-items", ("userdata_items", System.UserextItems.UserItems.UserList.UserdataItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('firstname', (YLeaf(YType.str, 'firstName'), ['str'])),
                        ('lastname', (YLeaf(YType.str, 'lastName'), ['str'])),
                        ('email', (YLeaf(YType.str, 'email'), ['str'])),
                        ('phone', (YLeaf(YType.str, 'phone'), ['str'])),
                        ('expiration', (YLeaf(YType.str, 'expiration'), ['str'])),
                        ('expires', (YLeaf(YType.enumeration, 'expires'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('allowexpired', (YLeaf(YType.enumeration, 'allowExpired'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('accountstatus', (YLeaf(YType.enumeration, 'accountStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaAccountStatus', '')])),
                        ('pwd', (YLeaf(YType.str, 'pwd'), ['str'])),
                        ('pwdencrypttype', (YLeaf(YType.enumeration, 'pwdEncryptType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaKeyEncUserPass', '')])),
                        ('pwdlifetime', (YLeaf(YType.uint16, 'pwdLifeTime'), ['int'])),
                        ('clearpwdhistory', (YLeaf(YType.enumeration, 'clearPwdHistory'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaClear', '')])),
                        ('unixuserid', (YLeaf(YType.uint16, 'unixUserId'), ['int'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.firstname = None
                    self.lastname = None
                    self.email = None
                    self.phone = None
                    self.expiration = None
                    self.expires = None
                    self.allowexpired = None
                    self.accountstatus = None
                    self.pwd = None
                    self.pwdencrypttype = None
                    self.pwdlifetime = None
                    self.clearpwdhistory = None
                    self.unixuserid = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.sshauth_items = System.UserextItems.UserItems.UserList.SshauthItems()
                    self.sshauth_items.parent = self
                    self._children_name_map["sshauth_items"] = "sshauth-items"

                    self.usercert_items = System.UserextItems.UserItems.UserList.UsercertItems()
                    self.usercert_items.parent = self
                    self._children_name_map["usercert_items"] = "usercert-items"

                    self.userdomain_items = System.UserextItems.UserItems.UserList.UserdomainItems()
                    self.userdomain_items.parent = self
                    self._children_name_map["userdomain_items"] = "userdomain-items"

                    self.userdata_items = System.UserextItems.UserItems.UserList.UserdataItems()
                    self.userdata_items.parent = self
                    self._children_name_map["userdata_items"] = "userdata-items"
                    self._segment_path = lambda: "User-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/user-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.UserItems.UserList, ['name', 'firstname', 'lastname', 'email', 'phone', 'expiration', 'expires', 'allowexpired', 'accountstatus', 'pwd', 'pwdencrypttype', 'pwdlifetime', 'clearpwdhistory', 'unixuserid', 'ownerkey', 'ownertag', 'descr'], name, value)


                class SshauthItems(Entity):
                    """
                    
                    
                    .. attribute:: data
                    
                    	Ssh Authorization Data
                    	**type**\: str
                    
                    	**length:** 0..16384
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.UserItems.UserList.SshauthItems, self).__init__()

                        self.yang_name = "sshauth-items"
                        self.yang_parent_name = "User-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('data', (YLeaf(YType.str, 'data'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.data = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "sshauth-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.UserItems.UserList.SshauthItems, ['data', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



                class UsercertItems(Entity):
                    """
                    
                    
                    .. attribute:: usercert_list
                    
                    	
                    	**type**\: list of  		 :py:class:`UserCertList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UsercertItems.UserCertList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.UserItems.UserList.UsercertItems, self).__init__()

                        self.yang_name = "usercert-items"
                        self.yang_parent_name = "User-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("UserCert-list", ("usercert_list", System.UserextItems.UserItems.UserList.UsercertItems.UserCertList))])
                        self._leafs = OrderedDict()

                        self.usercert_list = YList(self)
                        self._segment_path = lambda: "usercert-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.UserItems.UserList.UsercertItems, [], name, value)


                    class UserCertList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: data
                        
                        	User X509 Certificate
                        	**type**\: str
                        
                        .. attribute:: fingerprint
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: certificatedecodeinformation
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: publickey
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.UserItems.UserList.UsercertItems.UserCertList, self).__init__()

                            self.yang_name = "UserCert-list"
                            self.yang_parent_name = "usercert-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('data', (YLeaf(YType.str, 'data'), ['str'])),
                                ('fingerprint', (YLeaf(YType.str, 'fingerprint'), ['str'])),
                                ('certificatedecodeinformation', (YLeaf(YType.str, 'certificateDecodeInformation'), ['str'])),
                                ('publickey', (YLeaf(YType.str, 'publicKey'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.data = None
                            self.fingerprint = None
                            self.certificatedecodeinformation = None
                            self.publickey = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self._segment_path = lambda: "UserCert-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.UserItems.UserList.UsercertItems.UserCertList, ['name', 'data', 'fingerprint', 'certificatedecodeinformation', 'publickey', 'ownerkey', 'ownertag', 'descr'], name, value)




                class UserdomainItems(Entity):
                    """
                    
                    
                    .. attribute:: userdomain_list
                    
                    	
                    	**type**\: list of  		 :py:class:`UserDomainList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.UserItems.UserList.UserdomainItems, self).__init__()

                        self.yang_name = "userdomain-items"
                        self.yang_parent_name = "User-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("UserDomain-list", ("userdomain_list", System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList))])
                        self._leafs = OrderedDict()

                        self.userdomain_list = YList(self)
                        self._segment_path = lambda: "userdomain-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.UserItems.UserList.UserdomainItems, [], name, value)


                    class UserDomainList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: role_items
                        
                        	
                        	**type**\:  :py:class:`RoleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList, self).__init__()

                            self.yang_name = "UserDomain-list"
                            self.yang_parent_name = "userdomain-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("role-items", ("role_items", System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None

                            self.role_items = System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems()
                            self.role_items.parent = self
                            self._children_name_map["role_items"] = "role-items"
                            self._segment_path = lambda: "UserDomain-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


                        class RoleItems(Entity):
                            """
                            
                            
                            .. attribute:: userrole_list
                            
                            	
                            	**type**\: list of  		 :py:class:`UserRoleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems.UserRoleList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems, self).__init__()

                                self.yang_name = "role-items"
                                self.yang_parent_name = "UserDomain-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("UserRole-list", ("userrole_list", System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems.UserRoleList))])
                                self._leafs = OrderedDict()

                                self.userrole_list = YList(self)
                                self._segment_path = lambda: "role-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems, [], name, value)


                            class UserRoleList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: privtype
                                
                                	Privilege Type
                                	**type**\:  :py:class:`AaaUserRolePrivType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaUserRolePrivType>`
                                
                                .. attribute:: ownerkey
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: ownertag
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems.UserRoleList, self).__init__()

                                    self.yang_name = "UserRole-list"
                                    self.yang_parent_name = "role-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('privtype', (YLeaf(YType.enumeration, 'privType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaUserRolePrivType', '')])),
                                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.name = None
                                    self.privtype = None
                                    self.ownerkey = None
                                    self.ownertag = None
                                    self.descr = None
                                    self._segment_path = lambda: "UserRole-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.UserextItems.UserItems.UserList.UserdomainItems.UserDomainList.RoleItems.UserRoleList, ['name', 'privtype', 'ownerkey', 'ownertag', 'descr'], name, value)






                class UserdataItems(Entity):
                    """
                    
                    
                    .. attribute:: pwdchangeddate
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwdhistory
                    
                    	Password History
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwdchangecount
                    
                    	Password Change Count
                    	**type**\: int
                    
                    	**range:** 0..10
                    
                    	**config**\: False
                    
                    .. attribute:: pwdchangeintervalbegin
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.UserItems.UserList.UserdataItems, self).__init__()

                        self.yang_name = "userdata-items"
                        self.yang_parent_name = "User-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('pwdchangeddate', (YLeaf(YType.str, 'pwdChangedDate'), ['str'])),
                            ('pwdhistory', (YLeaf(YType.str, 'pwdHistory'), ['str'])),
                            ('pwdchangecount', (YLeaf(YType.uint8, 'pwdChangeCount'), ['int'])),
                            ('pwdchangeintervalbegin', (YLeaf(YType.str, 'pwdChangeIntervalBegin'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.pwdchangeddate = None
                        self.pwdhistory = None
                        self.pwdchangecount = None
                        self.pwdchangeintervalbegin = None
                        self.name = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "userdata-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.UserItems.UserList.UserdataItems, ['pwdchangeddate', 'pwdhistory', 'pwdchangecount', 'pwdchangeintervalbegin', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





        class RoleItems(Entity):
            """
            
            
            .. attribute:: role_list
            
            	
            	**type**\: list of  		 :py:class:`RoleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems.RoleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.RoleItems, self).__init__()

                self.yang_name = "role-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Role-list", ("role_list", System.UserextItems.RoleItems.RoleList))])
                self._leafs = OrderedDict()

                self.role_list = YList(self)
                self._segment_path = lambda: "role-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.RoleItems, [], name, value)


            class RoleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: denyvrf
                
                	Deny all VRF except allowed ones
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: allowedvrf
                
                	mention the allowed VRF if denyVRF is set to yes
                	**type**\: str
                
                	**length:** 0..512
                
                .. attribute:: denyvlan
                
                	Deny all VLAN except allowed ones
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: allowedvlan
                
                	mention the allowed VLAN if denyVLAN is set to yes
                	**type**\: str
                
                	**length:** 0..512
                
                .. attribute:: denyintf
                
                	Deny all interfaces except allowed ones
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: priv
                
                	
                	**type**\: str
                
                .. attribute:: roleprivtype
                
                	Privilege Type
                	**type**\:  :py:class:`AaaUserRolePrivType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaUserRolePrivType>`
                
                .. attribute:: resettofactory
                
                	Trigger Reset to Factory settings
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: rule_items
                
                	
                	**type**\:  :py:class:`RuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems.RoleList.RuleItems>`
                
                .. attribute:: intf_items
                
                	
                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems.RoleList.IntfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RoleItems.RoleList, self).__init__()

                    self.yang_name = "Role-list"
                    self.yang_parent_name = "role-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("rule-items", ("rule_items", System.UserextItems.RoleItems.RoleList.RuleItems)), ("intf-items", ("intf_items", System.UserextItems.RoleItems.RoleList.IntfItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('denyvrf', (YLeaf(YType.enumeration, 'denyVRF'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('allowedvrf', (YLeaf(YType.str, 'allowedVRF'), ['str'])),
                        ('denyvlan', (YLeaf(YType.enumeration, 'denyVLAN'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('allowedvlan', (YLeaf(YType.str, 'allowedVLAN'), ['str'])),
                        ('denyintf', (YLeaf(YType.enumeration, 'denyIntf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('priv', (YLeaf(YType.str, 'priv'), ['str'])),
                        ('roleprivtype', (YLeaf(YType.enumeration, 'rolePrivType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaUserRolePrivType', '')])),
                        ('resettofactory', (YLeaf(YType.enumeration, 'resetToFactory'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.denyvrf = None
                    self.allowedvrf = None
                    self.denyvlan = None
                    self.allowedvlan = None
                    self.denyintf = None
                    self.priv = None
                    self.roleprivtype = None
                    self.resettofactory = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.rule_items = System.UserextItems.RoleItems.RoleList.RuleItems()
                    self.rule_items.parent = self
                    self._children_name_map["rule_items"] = "rule-items"

                    self.intf_items = System.UserextItems.RoleItems.RoleList.IntfItems()
                    self.intf_items.parent = self
                    self._children_name_map["intf_items"] = "intf-items"
                    self._segment_path = lambda: "Role-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/role-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RoleItems.RoleList, ['name', 'denyvrf', 'allowedvrf', 'denyvlan', 'allowedvlan', 'denyintf', 'priv', 'roleprivtype', 'resettofactory', 'ownerkey', 'ownertag', 'descr'], name, value)


                class RuleItems(Entity):
                    """
                    
                    
                    .. attribute:: rolerule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RoleRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems.RoleList.RuleItems.RoleRuleList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RoleItems.RoleList.RuleItems, self).__init__()

                        self.yang_name = "rule-items"
                        self.yang_parent_name = "Role-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RoleRule-list", ("rolerule_list", System.UserextItems.RoleItems.RoleList.RuleItems.RoleRuleList))])
                        self._leafs = OrderedDict()

                        self.rolerule_list = YList(self)
                        self._segment_path = lambda: "rule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RoleItems.RoleList.RuleItems, [], name, value)


                    class RoleRuleList(Entity):
                        """
                        
                        
                        .. attribute:: rulenumber  (key)
                        
                        	Role Rule number
                        	**type**\: int
                        
                        	**range:** 1..256
                        
                        .. attribute:: permission
                        
                        	Permission type permit or deny
                        	**type**\:  :py:class:`AaaRulePermissionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRulePermissionType>`
                        
                        .. attribute:: ruleaccess
                        
                        	Rule access type command or read or read\-write
                        	**type**\:  :py:class:`AaaRuleAccessType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRuleAccessType>`
                        
                        .. attribute:: rulescope
                        
                        	Role Rule scope feature or feature\-group or OID
                        	**type**\:  :py:class:`AaaRuleScopeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaRuleScopeType>`
                        
                        .. attribute:: cmdstr
                        
                        	Allowed command string pattern
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: scopeentity
                        
                        	Allowed scope string
                        	**type**\: str
                        
                        	**length:** 0..512
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.RoleItems.RoleList.RuleItems.RoleRuleList, self).__init__()

                            self.yang_name = "RoleRule-list"
                            self.yang_parent_name = "rule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['rulenumber']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('rulenumber', (YLeaf(YType.uint32, 'ruleNumber'), ['int'])),
                                ('permission', (YLeaf(YType.enumeration, 'permission'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRulePermissionType', '')])),
                                ('ruleaccess', (YLeaf(YType.enumeration, 'ruleAccess'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRuleAccessType', '')])),
                                ('rulescope', (YLeaf(YType.enumeration, 'ruleScope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaRuleScopeType', '')])),
                                ('cmdstr', (YLeaf(YType.str, 'cmdStr'), ['str'])),
                                ('scopeentity', (YLeaf(YType.str, 'scopeEntity'), ['str'])),
                            ])
                            self.rulenumber = None
                            self.permission = None
                            self.ruleaccess = None
                            self.rulescope = None
                            self.cmdstr = None
                            self.scopeentity = None
                            self._segment_path = lambda: "RoleRule-list" + "[ruleNumber='" + str(self.rulenumber) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.RoleItems.RoleList.RuleItems.RoleRuleList, ['rulenumber', 'permission', 'ruleaccess', 'rulescope', 'cmdstr', 'scopeentity'], name, value)




                class IntfItems(Entity):
                    """
                    
                    
                    .. attribute:: roleintf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RoleIntfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RoleItems.RoleList.IntfItems.RoleIntfList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.RoleItems.RoleList.IntfItems, self).__init__()

                        self.yang_name = "intf-items"
                        self.yang_parent_name = "Role-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RoleIntf-list", ("roleintf_list", System.UserextItems.RoleItems.RoleList.IntfItems.RoleIntfList))])
                        self._leafs = OrderedDict()

                        self.roleintf_list = YList(self)
                        self._segment_path = lambda: "intf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.RoleItems.RoleList.IntfItems, [], name, value)


                    class RoleIntfList(Entity):
                        """
                        
                        
                        .. attribute:: intfname  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: allowinst
                        
                        	interface instances which can be allowed and deny rest
                        	**type**\: str
                        
                        	**length:** 0..512
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.RoleItems.RoleList.IntfItems.RoleIntfList, self).__init__()

                            self.yang_name = "RoleIntf-list"
                            self.yang_parent_name = "intf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['intfname']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('intfname', (YLeaf(YType.str, 'intfName'), ['str'])),
                                ('allowinst', (YLeaf(YType.str, 'allowInst'), ['str'])),
                            ])
                            self.intfname = None
                            self.allowinst = None
                            self._segment_path = lambda: "RoleIntf-list" + "[intfName='" + str(self.intfname) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.RoleItems.RoleList.IntfItems.RoleIntfList, ['intfname', 'allowinst'], name, value)






        class FactoryroleItems(Entity):
            """
            
            
            .. attribute:: factoryrole_list
            
            	
            	**type**\: list of  		 :py:class:`FactoryRoleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.FactoryroleItems.FactoryRoleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.FactoryroleItems, self).__init__()

                self.yang_name = "factoryrole-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FactoryRole-list", ("factoryrole_list", System.UserextItems.FactoryroleItems.FactoryRoleList))])
                self._leafs = OrderedDict()

                self.factoryrole_list = YList(self)
                self._segment_path = lambda: "factoryrole-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.FactoryroleItems, [], name, value)


            class FactoryRoleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: priv
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: resettofactory
                
                	Trigger Reset to Factory settings
                	**type**\:  :py:class:`AaaBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaBoolean>`
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.FactoryroleItems.FactoryRoleList, self).__init__()

                    self.yang_name = "FactoryRole-list"
                    self.yang_parent_name = "factoryrole-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('priv', (YLeaf(YType.str, 'priv'), ['str'])),
                        ('resettofactory', (YLeaf(YType.enumeration, 'resetToFactory'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaBoolean', '')])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.priv = None
                    self.resettofactory = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "FactoryRole-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/factoryrole-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.FactoryroleItems.FactoryRoleList, ['name', 'priv', 'resettofactory', 'ownerkey', 'ownertag', 'descr'], name, value)




        class DomainItems(Entity):
            """
            
            
            .. attribute:: domain_list
            
            	
            	**type**\: list of  		 :py:class:`DomainList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.DomainItems.DomainList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.DomainItems, self).__init__()

                self.yang_name = "domain-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Domain-list", ("domain_list", System.UserextItems.DomainItems.DomainList))])
                self._leafs = OrderedDict()

                self.domain_list = YList(self)
                self._segment_path = lambda: "domain-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.DomainItems, [], name, value)


            class DomainList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.DomainItems.DomainList, self).__init__()

                    self.yang_name = "Domain-list"
                    self.yang_parent_name = "domain-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "Domain-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/domain-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.DomainItems.DomainList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)




        class PwdprofileItems(Entity):
            """
            
            
            .. attribute:: expirationwarntime
            
            	Password Expiration Warn Time in Days
            	**type**\: int
            
            	**range:** 0..30
            
            .. attribute:: historycount
            
            	Password History Count
            	**type**\: int
            
            	**range:** 0..15
            
            .. attribute:: nochangeinterval
            
            	No Password Change Interval in Hours
            	**type**\: int
            
            	**range:** 1..745
            
            .. attribute:: changeinterval
            
            	Change Interval in Hours
            	**type**\: int
            
            	**range:** 1..745
            
            .. attribute:: changeduringinterval
            
            	Password Policy
            	**type**\:  :py:class:`AaaPwdPolicy <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AaaPwdPolicy>`
            
            .. attribute:: changecount
            
            	Number of Password Changes in Interval
            	**type**\: int
            
            	**range:** 0..10
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.PwdprofileItems, self).__init__()

                self.yang_name = "pwdprofile-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('expirationwarntime', (YLeaf(YType.uint8, 'expirationWarnTime'), ['int'])),
                    ('historycount', (YLeaf(YType.uint8, 'historyCount'), ['int'])),
                    ('nochangeinterval', (YLeaf(YType.uint16, 'noChangeInterval'), ['int'])),
                    ('changeinterval', (YLeaf(YType.uint16, 'changeInterval'), ['int'])),
                    ('changeduringinterval', (YLeaf(YType.enumeration, 'changeDuringInterval'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AaaPwdPolicy', '')])),
                    ('changecount', (YLeaf(YType.uint8, 'changeCount'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.expirationwarntime = None
                self.historycount = None
                self.nochangeinterval = None
                self.changeinterval = None
                self.changeduringinterval = None
                self.changecount = None
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self._segment_path = lambda: "pwdprofile-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.PwdprofileItems, ['expirationwarntime', 'historycount', 'nochangeinterval', 'changeinterval', 'changeduringinterval', 'changecount', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



        class PkiextItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: webtokendata_items
            
            	
            	**type**\:  :py:class:`WebtokendataItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.WebtokendataItems>`
            
            .. attribute:: csyncsharedkey_items
            
            	
            	**type**\:  :py:class:`CsyncsharedkeyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.CsyncsharedkeyItems>`
            
            .. attribute:: csyncpolicy_items
            
            	
            	**type**\:  :py:class:`CsyncpolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.CsyncpolicyItems>`
            
            .. attribute:: dbgplgch_items
            
            	
            	**type**\:  :py:class:`DbgplgchItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.DbgplgchItems>`
            
            .. attribute:: keyring_items
            
            	
            	**type**\:  :py:class:`KeyringItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems>`
            
            .. attribute:: tp_items
            
            	
            	**type**\:  :py:class:`TpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.TpItems>`
            
            .. attribute:: rtfabricrespkiep_items
            
            	
            	**type**\:  :py:class:`RtfabricResPkiEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.RtfabricResPkiEpItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.PkiextItems, self).__init__()

                self.yang_name = "pkiext-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("webtokendata-items", ("webtokendata_items", System.UserextItems.PkiextItems.WebtokendataItems)), ("csyncsharedkey-items", ("csyncsharedkey_items", System.UserextItems.PkiextItems.CsyncsharedkeyItems)), ("csyncpolicy-items", ("csyncpolicy_items", System.UserextItems.PkiextItems.CsyncpolicyItems)), ("dbgplgch-items", ("dbgplgch_items", System.UserextItems.PkiextItems.DbgplgchItems)), ("keyring-items", ("keyring_items", System.UserextItems.PkiextItems.KeyringItems)), ("tp-items", ("tp_items", System.UserextItems.PkiextItems.TpItems)), ("rtfabricResPkiEp-items", ("rtfabricrespkiep_items", System.UserextItems.PkiextItems.RtfabricResPkiEpItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.name = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None

                self.webtokendata_items = System.UserextItems.PkiextItems.WebtokendataItems()
                self.webtokendata_items.parent = self
                self._children_name_map["webtokendata_items"] = "webtokendata-items"

                self.csyncsharedkey_items = System.UserextItems.PkiextItems.CsyncsharedkeyItems()
                self.csyncsharedkey_items.parent = self
                self._children_name_map["csyncsharedkey_items"] = "csyncsharedkey-items"

                self.csyncpolicy_items = System.UserextItems.PkiextItems.CsyncpolicyItems()
                self.csyncpolicy_items.parent = self
                self._children_name_map["csyncpolicy_items"] = "csyncpolicy-items"

                self.dbgplgch_items = System.UserextItems.PkiextItems.DbgplgchItems()
                self.dbgplgch_items.parent = self
                self._children_name_map["dbgplgch_items"] = "dbgplgch-items"

                self.keyring_items = System.UserextItems.PkiextItems.KeyringItems()
                self.keyring_items.parent = self
                self._children_name_map["keyring_items"] = "keyring-items"

                self.tp_items = System.UserextItems.PkiextItems.TpItems()
                self.tp_items.parent = self
                self._children_name_map["tp_items"] = "tp-items"

                self.rtfabricrespkiep_items = System.UserextItems.PkiextItems.RtfabricResPkiEpItems()
                self.rtfabricrespkiep_items.parent = self
                self._children_name_map["rtfabricrespkiep_items"] = "rtfabricResPkiEp-items"
                self._segment_path = lambda: "pkiext-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.PkiextItems, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)


            class WebtokendataItems(Entity):
                """
                
                
                .. attribute:: key
                
                	TBD
                	**type**\: str
                
                	**length:** 24
                
                	**config**\: False
                
                .. attribute:: initializationvector
                
                	TBD
                	**type**\: str
                
                	**length:** 24
                
                	**config**\: False
                
                .. attribute:: hashsecret
                
                	TBD
                	**type**\: str
                
                	**length:** 24
                
                	**config**\: False
                
                .. attribute:: webtokentimeoutseconds
                
                	Timeout in Seconds
                	**type**\: int
                
                	**range:** 300..9600
                
                .. attribute:: maximumvalidityperiod
                
                	Maximum Validity Period in hours
                	**type**\: int
                
                	**range:** 4..24
                
                .. attribute:: uiidletimeoutseconds
                
                	GUI Idle Timeout in Seconds
                	**type**\: int
                
                	**range:** 60..65525
                
                .. attribute:: sessionrecordflags
                
                	Session Recording Options
                	**type**\: str
                
                .. attribute:: sitefingerprint
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.WebtokendataItems, self).__init__()

                    self.yang_name = "webtokendata-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('key', (YLeaf(YType.str, 'key'), ['str'])),
                        ('initializationvector', (YLeaf(YType.str, 'initializationVector'), ['str'])),
                        ('hashsecret', (YLeaf(YType.str, 'hashSecret'), ['str'])),
                        ('webtokentimeoutseconds', (YLeaf(YType.uint16, 'webtokenTimeoutSeconds'), ['int'])),
                        ('maximumvalidityperiod', (YLeaf(YType.uint16, 'maximumValidityPeriod'), ['int'])),
                        ('uiidletimeoutseconds', (YLeaf(YType.uint16, 'uiIdleTimeoutSeconds'), ['int'])),
                        ('sessionrecordflags', (YLeaf(YType.str, 'sessionRecordFlags'), ['str'])),
                        ('sitefingerprint', (YLeaf(YType.str, 'siteFingerprint'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.key = None
                    self.initializationvector = None
                    self.hashsecret = None
                    self.webtokentimeoutseconds = None
                    self.maximumvalidityperiod = None
                    self.uiidletimeoutseconds = None
                    self.sessionrecordflags = None
                    self.sitefingerprint = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "webtokendata-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.WebtokendataItems, ['key', 'initializationvector', 'hashsecret', 'webtokentimeoutseconds', 'maximumvalidityperiod', 'uiidletimeoutseconds', 'sessionrecordflags', 'sitefingerprint', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



            class CsyncsharedkeyItems(Entity):
                """
                
                
                .. attribute:: key
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.CsyncsharedkeyItems, self).__init__()

                    self.yang_name = "csyncsharedkey-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('key', (YLeaf(YType.str, 'key'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.key = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "csyncsharedkey-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.CsyncsharedkeyItems, ['key', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)



            class CsyncpolicyItems(Entity):
                """
                
                
                .. attribute:: state
                
                	TBD
                	**type**\:  :py:class:`PkiCsyncActivationStateType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PkiCsyncActivationStateType>`
                
                .. attribute:: interval
                
                	TBD
                	**type**\: int
                
                	**range:** 30..600
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: csyncelem_items
                
                	
                	**type**\:  :py:class:`CsyncelemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.CsyncpolicyItems, self).__init__()

                    self.yang_name = "csyncpolicy-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("csyncelem-items", ("csyncelem_items", System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems))])
                    self._leafs = OrderedDict([
                        ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PkiCsyncActivationStateType', '')])),
                        ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.state = None
                    self.interval = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.csyncelem_items = System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems()
                    self.csyncelem_items.parent = self
                    self._children_name_map["csyncelem_items"] = "csyncelem-items"
                    self._segment_path = lambda: "csyncpolicy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.CsyncpolicyItems, ['state', 'interval', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


                class CsyncelemItems(Entity):
                    """
                    
                    
                    .. attribute:: csyncelement_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsyncElementList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems.CsyncElementList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems, self).__init__()

                        self.yang_name = "csyncelem-items"
                        self.yang_parent_name = "csyncpolicy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CsyncElement-list", ("csyncelement_list", System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems.CsyncElementList))])
                        self._leafs = OrderedDict()

                        self.csyncelement_list = YList(self)
                        self._segment_path = lambda: "csyncelem-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/csyncpolicy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems, [], name, value)


                    class CsyncElementList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: pattern
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`PkiCsyncElementType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PkiCsyncElementType>`
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems.CsyncElementList, self).__init__()

                            self.yang_name = "CsyncElement-list"
                            self.yang_parent_name = "csyncelem-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('pattern', (YLeaf(YType.str, 'pattern'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PkiCsyncElementType', '')])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.pattern = None
                            self.type = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self._segment_path = lambda: "CsyncElement-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/csyncpolicy-items/csyncelem-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.PkiextItems.CsyncpolicyItems.CsyncelemItems.CsyncElementList, ['name', 'pattern', 'type', 'ownerkey', 'ownertag', 'descr'], name, value)





            class DbgplgchItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.DbgplgchItems, self).__init__()

                    self.yang_name = "dbgplgch-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "dbgplgch-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.DbgplgchItems, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)



            class KeyringItems(Entity):
                """
                
                
                .. attribute:: keyring_list
                
                	
                	**type**\: list of  		 :py:class:`KeyRingList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.KeyringItems, self).__init__()

                    self.yang_name = "keyring-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("KeyRing-list", ("keyring_list", System.UserextItems.PkiextItems.KeyringItems.KeyRingList))])
                    self._leafs = OrderedDict()

                    self.keyring_list = YList(self)
                    self._segment_path = lambda: "keyring-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems, [], name, value)


                class KeyRingList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: adminstate
                    
                    	TBD
                    	**type**\:  :py:class:`PkiKeyringState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PkiKeyringState>`
                    
                    .. attribute:: regen
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: key
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..4096
                    
                    .. attribute:: modulus
                    
                    	Modulus
                    	**type**\:  :py:class:`PkiModulus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PkiModulus>`
                    
                    .. attribute:: cert
                    
                    	Certificate
                    	**type**\: str
                    
                    .. attribute:: certvaliduntil
                    
                    	Certificate Validity
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: certificatedecodeinformation
                    
                    	Certificate Decode Information
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tp
                    
                    	Certificate Authority
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: certreq_items
                    
                    	
                    	**type**\:  :py:class:`CertreqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList.CertreqItems>`
                    
                    .. attribute:: rtcommkeyring_items
                    
                    	
                    	**type**\:  :py:class:`RtcommKeyRingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems>`
                    
                    .. attribute:: rtaaakeyringref_items
                    
                    	
                    	**type**\:  :py:class:`RtaaaKeyringRefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList, self).__init__()

                        self.yang_name = "KeyRing-list"
                        self.yang_parent_name = "keyring-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("certreq-items", ("certreq_items", System.UserextItems.PkiextItems.KeyringItems.KeyRingList.CertreqItems)), ("rtcommKeyRing-items", ("rtcommkeyring_items", System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems)), ("rtaaaKeyringRef-items", ("rtaaakeyringref_items", System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PkiKeyringState', '')])),
                            ('regen', (YLeaf(YType.boolean, 'regen'), ['bool'])),
                            ('key', (YLeaf(YType.str, 'key'), ['str'])),
                            ('modulus', (YLeaf(YType.enumeration, 'modulus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PkiModulus', '')])),
                            ('cert', (YLeaf(YType.str, 'cert'), ['str'])),
                            ('certvaliduntil', (YLeaf(YType.str, 'certValidUntil'), ['str'])),
                            ('certificatedecodeinformation', (YLeaf(YType.str, 'certificateDecodeInformation'), ['str'])),
                            ('tp', (YLeaf(YType.str, 'tp'), ['str'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.adminstate = None
                        self.regen = None
                        self.key = None
                        self.modulus = None
                        self.cert = None
                        self.certvaliduntil = None
                        self.certificatedecodeinformation = None
                        self.tp = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None

                        self.certreq_items = System.UserextItems.PkiextItems.KeyringItems.KeyRingList.CertreqItems()
                        self.certreq_items.parent = self
                        self._children_name_map["certreq_items"] = "certreq-items"

                        self.rtcommkeyring_items = System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems()
                        self.rtcommkeyring_items.parent = self
                        self._children_name_map["rtcommkeyring_items"] = "rtcommKeyRing-items"

                        self.rtaaakeyringref_items = System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems()
                        self.rtaaakeyringref_items.parent = self
                        self._children_name_map["rtaaakeyringref_items"] = "rtaaaKeyringRef-items"
                        self._segment_path = lambda: "KeyRing-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/keyring-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList, ['name', 'adminstate', 'regen', 'key', 'modulus', 'cert', 'certvaliduntil', 'certificatedecodeinformation', 'tp', 'ownerkey', 'ownertag', 'descr'], name, value)


                    class CertreqItems(Entity):
                        """
                        
                        
                        .. attribute:: pwd
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: subjname
                        
                        	Subject Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: email
                        
                        	Email Address
                        	**type**\: str
                        
                        	**length:** 0..40
                        
                        .. attribute:: country
                        
                        	Country
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: locality
                        
                        	Locality
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: orgunitname
                        
                        	Organization Unit Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: orgname
                        
                        	Organization Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: req
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.CertreqItems, self).__init__()

                            self.yang_name = "certreq-items"
                            self.yang_parent_name = "KeyRing-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pwd', (YLeaf(YType.str, 'pwd'), ['str'])),
                                ('subjname', (YLeaf(YType.str, 'subjName'), ['str'])),
                                ('email', (YLeaf(YType.str, 'email'), ['str'])),
                                ('country', (YLeaf(YType.str, 'country'), ['str'])),
                                ('state', (YLeaf(YType.str, 'state'), ['str'])),
                                ('locality', (YLeaf(YType.str, 'locality'), ['str'])),
                                ('orgunitname', (YLeaf(YType.str, 'orgUnitName'), ['str'])),
                                ('orgname', (YLeaf(YType.str, 'orgName'), ['str'])),
                                ('req', (YLeaf(YType.str, 'req'), ['str'])),
                            ])
                            self.pwd = None
                            self.subjname = None
                            self.email = None
                            self.country = None
                            self.state = None
                            self.locality = None
                            self.orgunitname = None
                            self.orgname = None
                            self.req = None
                            self._segment_path = lambda: "certreq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.CertreqItems, ['pwd', 'subjname', 'email', 'country', 'state', 'locality', 'orgunitname', 'orgname', 'req'], name, value)



                    class RtcommKeyRingItems(Entity):
                        """
                        
                        
                        .. attribute:: rtcommkeyring_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtCommKeyRingList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems.RtCommKeyRingList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems, self).__init__()

                            self.yang_name = "rtcommKeyRing-items"
                            self.yang_parent_name = "KeyRing-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtCommKeyRing-list", ("rtcommkeyring_list", System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems.RtCommKeyRingList))])
                            self._leafs = OrderedDict()

                            self.rtcommkeyring_list = YList(self)
                            self._segment_path = lambda: "rtcommKeyRing-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems, [], name, value)


                        class RtCommKeyRingList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems.RtCommKeyRingList, self).__init__()

                                self.yang_name = "RtCommKeyRing-list"
                                self.yang_parent_name = "rtcommKeyRing-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtCommKeyRing-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtcommKeyRingItems.RtCommKeyRingList, ['tdn', 'tcl'], name, value)




                    class RtaaaKeyringRefItems(Entity):
                        """
                        
                        
                        .. attribute:: rtaaakeyringref_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtAaaKeyringRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems.RtAaaKeyringRefList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems, self).__init__()

                            self.yang_name = "rtaaaKeyringRef-items"
                            self.yang_parent_name = "KeyRing-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtAaaKeyringRef-list", ("rtaaakeyringref_list", System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems.RtAaaKeyringRefList))])
                            self._leafs = OrderedDict()

                            self.rtaaakeyringref_list = YList(self)
                            self._segment_path = lambda: "rtaaaKeyringRef-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems, [], name, value)


                        class RtAaaKeyringRefList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems.RtAaaKeyringRefList, self).__init__()

                                self.yang_name = "RtAaaKeyringRef-list"
                                self.yang_parent_name = "rtaaaKeyringRef-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtAaaKeyringRef-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UserextItems.PkiextItems.KeyringItems.KeyRingList.RtaaaKeyringRefItems.RtAaaKeyringRefList, ['tdn', 'tcl'], name, value)






            class TpItems(Entity):
                """
                
                
                .. attribute:: tp_list
                
                	
                	**type**\: list of  		 :py:class:`TPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.TpItems.TPList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.TpItems, self).__init__()

                    self.yang_name = "tp-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("TP-list", ("tp_list", System.UserextItems.PkiextItems.TpItems.TPList))])
                    self._leafs = OrderedDict()

                    self.tp_list = YList(self)
                    self._segment_path = lambda: "tp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.TpItems, [], name, value)


                class TPList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: certchain
                    
                    	Certificate Chain
                    	**type**\: str
                    
                    .. attribute:: fp
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numcerts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: ownerkey
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: ownertag
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.PkiextItems.TpItems.TPList, self).__init__()

                        self.yang_name = "TP-list"
                        self.yang_parent_name = "tp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('certchain', (YLeaf(YType.str, 'certChain'), ['str'])),
                            ('fp', (YLeaf(YType.str, 'fp'), ['str'])),
                            ('numcerts', (YLeaf(YType.uint32, 'numCerts'), ['int'])),
                            ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                            ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.certchain = None
                        self.fp = None
                        self.numcerts = None
                        self.ownerkey = None
                        self.ownertag = None
                        self.descr = None
                        self._segment_path = lambda: "TP-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/tp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.PkiextItems.TpItems.TPList, ['name', 'certchain', 'fp', 'numcerts', 'ownerkey', 'ownertag', 'descr'], name, value)




            class RtfabricResPkiEpItems(Entity):
                """
                
                
                .. attribute:: rtfabricrespkiep_list
                
                	
                	**type**\: list of  		 :py:class:`RtFabricResPkiEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.PkiextItems.RtfabricResPkiEpItems.RtFabricResPkiEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.PkiextItems.RtfabricResPkiEpItems, self).__init__()

                    self.yang_name = "rtfabricResPkiEp-items"
                    self.yang_parent_name = "pkiext-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFabricResPkiEp-list", ("rtfabricrespkiep_list", System.UserextItems.PkiextItems.RtfabricResPkiEpItems.RtFabricResPkiEpList))])
                    self._leafs = OrderedDict()

                    self.rtfabricrespkiep_list = YList(self)
                    self._segment_path = lambda: "rtfabricResPkiEp-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.PkiextItems.RtfabricResPkiEpItems, [], name, value)


                class RtFabricResPkiEpList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UserextItems.PkiextItems.RtfabricResPkiEpItems.RtFabricResPkiEpList, self).__init__()

                        self.yang_name = "RtFabricResPkiEp-list"
                        self.yang_parent_name = "rtfabricResPkiEp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFabricResPkiEp-list" + "[tDn='" + str(self.tdn) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/pkiext-items/rtfabricResPkiEp-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UserextItems.PkiextItems.RtfabricResPkiEpItems.RtFabricResPkiEpList, ['tdn', 'tcl'], name, value)





        class RtfabricResUserEpItems(Entity):
            """
            
            
            .. attribute:: rtfabricresuserep_list
            
            	
            	**type**\: list of  		 :py:class:`RtFabricResUserEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RtfabricResUserEpItems.RtFabricResUserEpList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.RtfabricResUserEpItems, self).__init__()

                self.yang_name = "rtfabricResUserEp-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RtFabricResUserEp-list", ("rtfabricresuserep_list", System.UserextItems.RtfabricResUserEpItems.RtFabricResUserEpList))])
                self._leafs = OrderedDict()

                self.rtfabricresuserep_list = YList(self)
                self._segment_path = lambda: "rtfabricResUserEp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.RtfabricResUserEpItems, [], name, value)


            class RtFabricResUserEpList(Entity):
                """
                
                
                .. attribute:: tdn  (key)
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RtfabricResUserEpItems.RtFabricResUserEpList, self).__init__()

                    self.yang_name = "RtFabricResUserEp-list"
                    self.yang_parent_name = "rtfabricResUserEp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['tdn']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "RtFabricResUserEp-list" + "[tDn='" + str(self.tdn) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/rtfabricResUserEp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RtfabricResUserEpItems.RtFabricResUserEpList, ['tdn', 'tcl'], name, value)




        class RtaaaUserEpItems(Entity):
            """
            
            
            .. attribute:: rtaaauserep_list
            
            	
            	**type**\: list of  		 :py:class:`RtAaaUserEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UserextItems.RtaaaUserEpItems.RtAaaUserEpList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UserextItems.RtaaaUserEpItems, self).__init__()

                self.yang_name = "rtaaaUserEp-items"
                self.yang_parent_name = "userext-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RtAaaUserEp-list", ("rtaaauserep_list", System.UserextItems.RtaaaUserEpItems.RtAaaUserEpList))])
                self._leafs = OrderedDict()

                self.rtaaauserep_list = YList(self)
                self._segment_path = lambda: "rtaaaUserEp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UserextItems.RtaaaUserEpItems, [], name, value)


            class RtAaaUserEpList(Entity):
                """
                
                
                .. attribute:: tdn  (key)
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UserextItems.RtaaaUserEpItems.RtAaaUserEpList, self).__init__()

                    self.yang_name = "RtAaaUserEp-list"
                    self.yang_parent_name = "rtaaaUserEp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['tdn']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "RtAaaUserEp-list" + "[tDn='" + str(self.tdn) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/userext-items/rtaaaUserEp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UserextItems.RtaaaUserEpItems.RtAaaUserEpList, ['tdn', 'tcl'], name, value)





    class MockrootItems(Entity):
        """
        
        
        .. attribute:: disable
        
        	
        	**type**\: bool
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        	**config**\: False
        
        .. attribute:: ownerkey
        
        	TBD
        	**type**\: str
        
        	**length:** 0..128
        
        	**config**\: False
        
        .. attribute:: ownertag
        
        	TBD
        	**type**\: str
        
        	**length:** 0..64
        
        	**config**\: False
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        	**config**\: False
        
        .. attribute:: session_items
        
        	
        	**type**\:  :py:class:`SessionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MockrootItems, self).__init__()

            self.yang_name = "mockroot-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("session-items", ("session_items", System.MockrootItems.SessionItems))])
            self._leafs = OrderedDict([
                ('disable', (YLeaf(YType.boolean, 'disable'), ['bool'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
            ])
            self.disable = None
            self.name = None
            self.ownerkey = None
            self.ownertag = None
            self.descr = None

            self.session_items = System.MockrootItems.SessionItems()
            self.session_items.parent = self
            self._children_name_map["session_items"] = "session-items"
            self._segment_path = lambda: "mockroot-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MockrootItems, ['disable', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


        class SessionItems(Entity):
            """
            
            
            .. attribute:: mocksession_list
            
            	
            	**type**\: list of  		 :py:class:`MockSessionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems.MockSessionList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MockrootItems.SessionItems, self).__init__()

                self.yang_name = "session-items"
                self.yang_parent_name = "mockroot-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("MockSession-list", ("mocksession_list", System.MockrootItems.SessionItems.MockSessionList))])
                self._leafs = OrderedDict()

                self.mocksession_list = YList(self)
                self._segment_path = lambda: "session-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mockroot-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MockrootItems.SessionItems, [], name, value)


            class MockSessionList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: observable
                
                	DN of a Mocked Mo
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: duration
                
                	Duration of Mock Session 
                	**type**\: int
                
                	**range:** 1..4294967295
                
                	**config**\: False
                
                .. attribute:: mode
                
                	Mock Session Mode 
                	**type**\:  :py:class:`MockMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MockMode>`
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: stat_items
                
                	
                	**type**\:  :py:class:`StatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems.MockSessionList.StatItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MockrootItems.SessionItems.MockSessionList, self).__init__()

                    self.yang_name = "MockSession-list"
                    self.yang_parent_name = "session-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("stat-items", ("stat_items", System.MockrootItems.SessionItems.MockSessionList.StatItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('observable', (YLeaf(YType.str, 'observable'), ['str'])),
                        ('duration', (YLeaf(YType.uint32, 'duration'), ['int'])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MockMode', '')])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.observable = None
                    self.duration = None
                    self.mode = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.stat_items = System.MockrootItems.SessionItems.MockSessionList.StatItems()
                    self.stat_items.parent = self
                    self._children_name_map["stat_items"] = "stat-items"
                    self._segment_path = lambda: "MockSession-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mockroot-items/session-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MockrootItems.SessionItems.MockSessionList, ['name', 'observable', 'duration', 'mode', 'ownerkey', 'ownertag', 'descr'], name, value)


                class StatItems(Entity):
                    """
                    
                    
                    .. attribute:: stats_list
                    
                    	
                    	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MockrootItems.SessionItems.MockSessionList.StatItems, self).__init__()

                        self.yang_name = "stat-items"
                        self.yang_parent_name = "MockSession-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList))])
                        self._leafs = OrderedDict()

                        self.stats_list = YList(self)
                        self._segment_path = lambda: "stat-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MockrootItems.SessionItems.MockSessionList.StatItems, [], name, value)


                    class StatsList(Entity):
                        """
                        
                        
                        .. attribute:: namespace  (key)
                        
                        	Stat Namespace 
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: statname  (key)
                        
                        	Stat Name 
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: counter_items
                        
                        	
                        	**type**\:  :py:class:`CounterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList, self).__init__()

                            self.yang_name = "Stats-list"
                            self.yang_parent_name = "stat-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['namespace','statname']
                            self._child_classes = OrderedDict([("counter-items", ("counter_items", System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems))])
                            self._leafs = OrderedDict([
                                ('namespace', (YLeaf(YType.str, 'nameSpace'), ['str'])),
                                ('statname', (YLeaf(YType.str, 'statName'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.namespace = None
                            self.statname = None
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None

                            self.counter_items = System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems()
                            self.counter_items.parent = self
                            self._children_name_map["counter_items"] = "counter-items"
                            self._segment_path = lambda: "Stats-list" + "[nameSpace='" + str(self.namespace) + "']" + "[statName='" + str(self.statname) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList, ['namespace', 'statname', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


                        class CounterItems(Entity):
                            """
                            
                            
                            .. attribute:: counter_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CounterList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems.CounterList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems, self).__init__()

                                self.yang_name = "counter-items"
                                self.yang_parent_name = "Stats-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Counter-list", ("counter_list", System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems.CounterList))])
                                self._leafs = OrderedDict()

                                self.counter_list = YList(self)
                                self._segment_path = lambda: "counter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems, [], name, value)


                            class CounterList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: start
                                
                                	Start Value of Mocked Counter 
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: end
                                
                                	End Value of Mocked Counter 
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ownerkey
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: ownertag
                                
                                	TBD
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems.CounterList, self).__init__()

                                    self.yang_name = "Counter-list"
                                    self.yang_parent_name = "counter-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('start', (YLeaf(YType.uint64, 'start'), ['int'])),
                                        ('end', (YLeaf(YType.uint64, 'end'), ['int'])),
                                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.name = None
                                    self.start = None
                                    self.end = None
                                    self.ownerkey = None
                                    self.ownertag = None
                                    self.descr = None
                                    self._segment_path = lambda: "Counter-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MockrootItems.SessionItems.MockSessionList.StatItems.StatsList.CounterItems.CounterList, ['name', 'start', 'end', 'ownerkey', 'ownertag', 'descr'], name, value)









    class StpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.StpItems, self).__init__()

            self.yang_name = "stp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.StpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.StpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "stp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.StpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: mode
            
            	Protocol Mode
            	**type**\:  :py:class:`StpMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpMode>`
            
            .. attribute:: pathcostop
            
            	Spanning tree pathcost options
            	**type**\:  :py:class:`StpPathcostOp <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPathcostOp>`
            
            .. attribute:: fcoe
            
            	enable spanning tree for fcoe vlan
            	**type**\:  :py:class:`StpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpAdminSt>`
            
            .. attribute:: bridge
            
            	enable spanning\-tree bridge assurance on all ports
            	**type**\:  :py:class:`StpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpAdminSt>`
            
            .. attribute:: loopguard
            
            	enable loop guard on all ports
            	**type**\:  :py:class:`StpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpAdminSt>`
            
            .. attribute:: l2gstpdomid
            
            	spanning tree L2 Gateway Domain Id
            	**type**\: int
            
            	**range:** 0..200000000
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems>`
            
            .. attribute:: mstent_items
            
            	
            	**type**\:  :py:class:`MstentItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems>`
            
            .. attribute:: vlan_items
            
            	
            	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.VlanItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.StpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "stp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.StpItems.InstItems.IfItems)), ("mstent-items", ("mstent_items", System.StpItems.InstItems.MstentItems)), ("vlan-items", ("vlan_items", System.StpItems.InstItems.VlanItems))])
                self._leafs = OrderedDict([
                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpMode', '')])),
                    ('pathcostop', (YLeaf(YType.enumeration, 'pathcostOp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPathcostOp', '')])),
                    ('fcoe', (YLeaf(YType.enumeration, 'fcoe'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpAdminSt', '')])),
                    ('bridge', (YLeaf(YType.enumeration, 'bridge'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpAdminSt', '')])),
                    ('loopguard', (YLeaf(YType.enumeration, 'loopguard'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpAdminSt', '')])),
                    ('l2gstpdomid', (YLeaf(YType.uint32, 'l2GStpDomId'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.mode = None
                self.pathcostop = None
                self.fcoe = None
                self.bridge = None
                self.loopguard = None
                self.l2gstpdomid = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.if_items = System.StpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"

                self.mstent_items = System.StpItems.InstItems.MstentItems()
                self.mstent_items.parent = self
                self._children_name_map["mstent_items"] = "mstent-items"

                self.vlan_items = System.StpItems.InstItems.VlanItems()
                self.vlan_items.parent = self
                self._children_name_map["vlan_items"] = "vlan-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.StpItems.InstItems, ['mode', 'pathcostop', 'fcoe', 'bridge', 'loopguard', 'l2gstpdomid', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.StpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.StpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.StpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: mode
                    
                    	Port Mode
                    	**type**\:  :py:class:`StpIfMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpIfMode>`
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: guard
                    
                    	Guard Mode
                    	**type**\:  :py:class:`StpGuard <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpGuard>`
                    
                    .. attribute:: bpdufilter
                    
                    	bpdufilter mode
                    	**type**\:  :py:class:`StpBpdufilter <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpBpdufilter>`
                    
                    .. attribute:: bpduguard
                    
                    	Guard Mode
                    	**type**\:  :py:class:`StpBPDUGuard <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpBPDUGuard>`
                    
                    .. attribute:: linktype
                    
                    	Link Type
                    	**type**\:  :py:class:`StpLinkType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpLinkType>`
                    
                    .. attribute:: priority
                    
                    	Port Priority
                    	**type**\: int
                    
                    	**range:** 0..224
                    
                    .. attribute:: cost
                    
                    	Port Path Cost
                    	**type**\: int
                    
                    	**range:** 0..200000000
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: vlan_items
                    
                    	
                    	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.VlanItems>`
                    
                    .. attribute:: mst_items
                    
                    	
                    	**type**\:  :py:class:`MstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.MstItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.StpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.StpItems.InstItems.IfItems.IfList.VlanItems)), ("mst-items", ("mst_items", System.StpItems.InstItems.IfItems.IfList.MstItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.StpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpIfMode', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('guard', (YLeaf(YType.enumeration, 'guard'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpGuard', '')])),
                            ('bpdufilter', (YLeaf(YType.enumeration, 'bpdufilter'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpBpdufilter', '')])),
                            ('bpduguard', (YLeaf(YType.enumeration, 'bpduguard'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpBPDUGuard', '')])),
                            ('linktype', (YLeaf(YType.enumeration, 'linkType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpLinkType', '')])),
                            ('priority', (YLeaf(YType.uint8, 'priority'), ['int'])),
                            ('cost', (YLeaf(YType.uint32, 'cost'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.mode = None
                        self.ctrl = None
                        self.guard = None
                        self.bpdufilter = None
                        self.bpduguard = None
                        self.linktype = None
                        self.priority = None
                        self.cost = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.vlan_items = System.StpItems.InstItems.IfItems.IfList.VlanItems()
                        self.vlan_items.parent = self
                        self._children_name_map["vlan_items"] = "vlan-items"

                        self.mst_items = System.StpItems.InstItems.IfItems.IfList.MstItems()
                        self.mst_items.parent = self
                        self._children_name_map["mst_items"] = "mst-items"

                        self.rtvrfmbr_items = System.StpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.StpItems.InstItems.IfItems.IfList, ['id', 'mode', 'ctrl', 'guard', 'bpdufilter', 'bpduguard', 'linktype', 'priority', 'cost', 'name', 'descr', 'adminst'], name, value)


                    class VlanItems(Entity):
                        """
                        
                        
                        .. attribute:: vlancfg_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VlanCfgList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.VlanItems.VlanCfgList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.IfItems.IfList.VlanItems, self).__init__()

                            self.yang_name = "vlan-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VlanCfg-list", ("vlancfg_list", System.StpItems.InstItems.IfItems.IfList.VlanItems.VlanCfgList))])
                            self._leafs = OrderedDict()

                            self.vlancfg_list = YList(self)
                            self._segment_path = lambda: "vlan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.VlanItems, [], name, value)


                        class VlanCfgList(Entity):
                            """
                            
                            
                            .. attribute:: vlanid  (key)
                            
                            	Vlan Id
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: priority
                            
                            	Port Priority
                            	**type**\: int
                            
                            	**range:** 0..224
                            
                            .. attribute:: cost
                            
                            	Port Path Cost
                            	**type**\: int
                            
                            	**range:** 0..200000000
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.IfItems.IfList.VlanItems.VlanCfgList, self).__init__()

                                self.yang_name = "VlanCfg-list"
                                self.yang_parent_name = "vlan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vlanid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('vlanid', (YLeaf(YType.uint16, 'vlanId'), ['int'])),
                                    ('priority', (YLeaf(YType.uint8, 'priority'), ['int'])),
                                    ('cost', (YLeaf(YType.uint32, 'cost'), ['int'])),
                                ])
                                self.vlanid = None
                                self.priority = None
                                self.cost = None
                                self._segment_path = lambda: "VlanCfg-list" + "[vlanId='" + str(self.vlanid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.VlanItems.VlanCfgList, ['vlanid', 'priority', 'cost'], name, value)




                    class MstItems(Entity):
                        """
                        
                        
                        .. attribute:: mstcfg_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MstCfgList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.MstItems.MstCfgList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.IfItems.IfList.MstItems, self).__init__()

                            self.yang_name = "mst-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("MstCfg-list", ("mstcfg_list", System.StpItems.InstItems.IfItems.IfList.MstItems.MstCfgList))])
                            self._leafs = OrderedDict()

                            self.mstcfg_list = YList(self)
                            self._segment_path = lambda: "mst-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.MstItems, [], name, value)


                        class MstCfgList(Entity):
                            """
                            
                            
                            .. attribute:: mstid  (key)
                            
                            	Mst Instance Id
                            	**type**\: int
                            
                            	**range:** 0..4094
                            
                            .. attribute:: priority
                            
                            	Port Priority
                            	**type**\: int
                            
                            	**range:** 0..224
                            
                            .. attribute:: cost
                            
                            	Port Path Cost
                            	**type**\: int
                            
                            	**range:** 0..200000000
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.IfItems.IfList.MstItems.MstCfgList, self).__init__()

                                self.yang_name = "MstCfg-list"
                                self.yang_parent_name = "mst-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mstid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mstid', (YLeaf(YType.uint16, 'mstId'), ['int'])),
                                    ('priority', (YLeaf(YType.uint8, 'priority'), ['int'])),
                                    ('cost', (YLeaf(YType.uint32, 'cost'), ['int'])),
                                ])
                                self.mstid = None
                                self.priority = None
                                self.cost = None
                                self._segment_path = lambda: "MstCfg-list" + "[mstId='" + str(self.mstid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.MstItems.MstCfgList, ['mstid', 'priority', 'cost'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class MstentItems(Entity):
                """
                
                
                .. attribute:: maxhops
                
                	STP mst max hops
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: simulate
                
                	spanning tree simulation
                	**type**\:  :py:class:`StpSimulate <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpSimulate>`
                
                .. attribute:: opererr
                
                	Operation Error Qualifier
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: regname
                
                	Region Name
                	**type**\: str
                
                	**length:** 0..32
                
                .. attribute:: rev
                
                	Region Revision
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: fwdtime
                
                	STP forward delay
                	**type**\: int
                
                	**range:** 4..30
                
                .. attribute:: hellotime
                
                	STP Hello interval
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: maxage
                
                	STP max age interval
                	**type**\: int
                
                	**range:** 6..40
                
                .. attribute:: mst_items
                
                	
                	**type**\:  :py:class:`MstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.StpItems.InstItems.MstentItems, self).__init__()

                    self.yang_name = "mstent-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("mst-items", ("mst_items", System.StpItems.InstItems.MstentItems.MstItems))])
                    self._leafs = OrderedDict([
                        ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                        ('simulate', (YLeaf(YType.enumeration, 'simulate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpSimulate', '')])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                        ('regname', (YLeaf(YType.str, 'regName'), ['str'])),
                        ('rev', (YLeaf(YType.uint16, 'rev'), ['int'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('fwdtime', (YLeaf(YType.uint8, 'fwdTime'), ['int'])),
                        ('hellotime', (YLeaf(YType.uint8, 'helloTime'), ['int'])),
                        ('maxage', (YLeaf(YType.uint8, 'maxAge'), ['int'])),
                    ])
                    self.maxhops = None
                    self.simulate = None
                    self.opererr = None
                    self.regname = None
                    self.rev = None
                    self.adminst = None
                    self.fwdtime = None
                    self.hellotime = None
                    self.maxage = None

                    self.mst_items = System.StpItems.InstItems.MstentItems.MstItems()
                    self.mst_items.parent = self
                    self._children_name_map["mst_items"] = "mst-items"
                    self._segment_path = lambda: "mstent-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.StpItems.InstItems.MstentItems, ['maxhops', 'simulate', 'opererr', 'regname', 'rev', 'adminst', 'fwdtime', 'hellotime', 'maxage'], name, value)


                class MstItems(Entity):
                    """
                    
                    
                    .. attribute:: mstdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MstDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems.MstDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.StpItems.InstItems.MstentItems.MstItems, self).__init__()

                        self.yang_name = "mst-items"
                        self.yang_parent_name = "mstent-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MstDom-list", ("mstdom_list", System.StpItems.InstItems.MstentItems.MstItems.MstDomList))])
                        self._leafs = OrderedDict()

                        self.mstdom_list = YList(self)
                        self._segment_path = lambda: "mst-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/mstent-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems, [], name, value)


                    class MstDomList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID Property has READ\-Create access
                        	**type**\: int
                        
                        	**range:** 0..4094
                        
                        .. attribute:: cfgst
                        
                        	Instance config State
                        	**type**\:  :py:class:`StpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpAdminSt>`
                        
                        .. attribute:: root
                        
                        	Root Options
                        	**type**\:  :py:class:`StpRoot <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpRoot>`
                        
                        .. attribute:: diameter
                        
                        	Network Diameter
                        	**type**\: int
                        
                        	**range:** 2..7
                        
                        .. attribute:: priority
                        
                        	Bridge Priority
                        	**type**\: int
                        
                        	**range:** 0..61440
                        
                        .. attribute:: vlanrange
                        
                        	Vlan Range Bitmap
                        	**type**\: str
                        
                        .. attribute:: roottype
                        
                        	Bridge Root Type
                        	**type**\:  :py:class:`StpRootType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpRootType>`
                        
                        .. attribute:: rootmode
                        
                        	Bridge Root Config mode
                        	**type**\:  :py:class:`StpRootMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpRootMode>`
                        
                        .. attribute:: bridgepriority
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: bridgeaddress
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rootpriority
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: rootaddress
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rootportpriority
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: rootportnumber
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: rootport
                        
                        	Root port name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rootpathcost
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: vlan_items
                        
                        	
                        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems>`
                        
                        .. attribute:: if_items
                        
                        	
                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.MstentItems.MstItems.MstDomList, self).__init__()

                            self.yang_name = "MstDom-list"
                            self.yang_parent_name = "mst-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems)), ("if-items", ("if_items", System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                ('cfgst', (YLeaf(YType.enumeration, 'cfgSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpAdminSt', '')])),
                                ('root', (YLeaf(YType.enumeration, 'root'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpRoot', '')])),
                                ('diameter', (YLeaf(YType.uint8, 'diameter'), ['int'])),
                                ('priority', (YLeaf(YType.uint16, 'priority'), ['int'])),
                                ('vlanrange', (YLeaf(YType.str, 'vlanRange'), ['str'])),
                                ('roottype', (YLeaf(YType.enumeration, 'rootType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpRootType', '')])),
                                ('rootmode', (YLeaf(YType.enumeration, 'rootMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpRootMode', '')])),
                                ('bridgepriority', (YLeaf(YType.uint16, 'bridgePriority'), ['int'])),
                                ('bridgeaddress', (YLeaf(YType.str, 'bridgeAddress'), ['str'])),
                                ('rootpriority', (YLeaf(YType.uint16, 'rootPriority'), ['int'])),
                                ('rootaddress', (YLeaf(YType.str, 'rootAddress'), ['str'])),
                                ('rootportpriority', (YLeaf(YType.uint16, 'rootPortPriority'), ['int'])),
                                ('rootportnumber', (YLeaf(YType.uint16, 'rootPortNumber'), ['int'])),
                                ('rootport', (YLeaf(YType.str, 'rootPort'), ['str'])),
                                ('rootpathcost', (YLeaf(YType.uint32, 'rootPathCost'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.id = None
                            self.cfgst = None
                            self.root = None
                            self.diameter = None
                            self.priority = None
                            self.vlanrange = None
                            self.roottype = None
                            self.rootmode = None
                            self.bridgepriority = None
                            self.bridgeaddress = None
                            self.rootpriority = None
                            self.rootaddress = None
                            self.rootportpriority = None
                            self.rootportnumber = None
                            self.rootport = None
                            self.rootpathcost = None
                            self.name = None

                            self.vlan_items = System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems()
                            self.vlan_items.parent = self
                            self._children_name_map["vlan_items"] = "vlan-items"

                            self.if_items = System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems()
                            self.if_items.parent = self
                            self._children_name_map["if_items"] = "if-items"
                            self._segment_path = lambda: "MstDom-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/mstent-items/mst-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems.MstDomList, ['id', 'cfgst', 'root', 'diameter', 'priority', 'vlanrange', 'roottype', 'rootmode', 'bridgepriority', 'bridgeaddress', 'rootpriority', 'rootaddress', 'rootportpriority', 'rootportnumber', 'rootport', 'rootpathcost', 'name'], name, value)


                        class VlanItems(Entity):
                            """
                            
                            
                            .. attribute:: vlanrange_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VlanRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems.VlanRangeList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems, self).__init__()

                                self.yang_name = "vlan-items"
                                self.yang_parent_name = "MstDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VlanRange-list", ("vlanrange_list", System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems.VlanRangeList))])
                                self._leafs = OrderedDict()

                                self.vlanrange_list = YList(self)
                                self._segment_path = lambda: "vlan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems, [], name, value)


                            class VlanRangeList(Entity):
                                """
                                
                                
                                .. attribute:: start  (key)
                                
                                	Start
                                	**type**\: int
                                
                                	**range:** 1..4096
                                
                                	**config**\: False
                                
                                .. attribute:: end  (key)
                                
                                	End
                                	**type**\: int
                                
                                	**range:** 1..4096
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems.VlanRangeList, self).__init__()

                                    self.yang_name = "VlanRange-list"
                                    self.yang_parent_name = "vlan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['start','end']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('start', (YLeaf(YType.uint16, 'start'), ['int'])),
                                        ('end', (YLeaf(YType.uint16, 'end'), ['int'])),
                                    ])
                                    self.start = None
                                    self.end = None
                                    self._segment_path = lambda: "VlanRange-list" + "[start='" + str(self.start) + "']" + "[end='" + str(self.end) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.VlanItems.VlanRangeList, ['start', 'end'], name, value)




                        class IfItems(Entity):
                            """
                            
                            
                            .. attribute:: mstif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MstIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems.MstIfList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems, self).__init__()

                                self.yang_name = "if-items"
                                self.yang_parent_name = "MstDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MstIf-list", ("mstif_list", System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems.MstIfList))])
                                self._leafs = OrderedDict()

                                self.mstif_list = YList(self)
                                self._segment_path = lambda: "if-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems, [], name, value)


                            class MstIfList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Interface ID
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: designatedrootpriority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: designatedrootaddress
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: designatedrootcost
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: designatedbridgepriority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: designatedbridgeaddress
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: designatedportpriority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: designatedportnumber
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: portpriority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: portnumber
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: portpathcost
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: portrole
                                
                                	Port role
                                	**type**\:  :py:class:`StpPortRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPortRole>`
                                
                                	**config**\: False
                                
                                .. attribute:: portstate
                                
                                	Port state
                                	**type**\:  :py:class:`StpPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPortState>`
                                
                                	**config**\: False
                                
                                .. attribute:: p2p
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: operbpduguard
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: operbpdufilter
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: operportfast
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: operloopguard
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: vpcstate
                                
                                	vPC State
                                	**type**\:  :py:class:`StpVpcState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpVpcState>`
                                
                                	**config**\: False
                                
                                .. attribute:: mode
                                
                                	mode
                                	**type**\:  :py:class:`StpModeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpModeType>`
                                
                                	**config**\: False
                                
                                .. attribute:: dispute
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: peer
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: bound
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: inconsistent
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: prestd
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems.MstIfList, self).__init__()

                                    self.yang_name = "MstIf-list"
                                    self.yang_parent_name = "if-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('designatedrootpriority', (YLeaf(YType.uint16, 'designatedRootPriority'), ['int'])),
                                        ('designatedrootaddress', (YLeaf(YType.str, 'designatedRootAddress'), ['str'])),
                                        ('designatedrootcost', (YLeaf(YType.uint32, 'designatedRootCost'), ['int'])),
                                        ('designatedbridgepriority', (YLeaf(YType.uint16, 'designatedBridgePriority'), ['int'])),
                                        ('designatedbridgeaddress', (YLeaf(YType.str, 'designatedBridgeAddress'), ['str'])),
                                        ('designatedportpriority', (YLeaf(YType.uint16, 'designatedPortPriority'), ['int'])),
                                        ('designatedportnumber', (YLeaf(YType.uint16, 'designatedPortNumber'), ['int'])),
                                        ('portpriority', (YLeaf(YType.uint16, 'portPriority'), ['int'])),
                                        ('portnumber', (YLeaf(YType.uint16, 'portNumber'), ['int'])),
                                        ('portpathcost', (YLeaf(YType.uint32, 'portPathCost'), ['int'])),
                                        ('portrole', (YLeaf(YType.enumeration, 'portRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPortRole', '')])),
                                        ('portstate', (YLeaf(YType.enumeration, 'portState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPortState', '')])),
                                        ('p2p', (YLeaf(YType.boolean, 'p2p'), ['bool'])),
                                        ('operbpduguard', (YLeaf(YType.boolean, 'operBpduguard'), ['bool'])),
                                        ('operbpdufilter', (YLeaf(YType.boolean, 'operBpdufilter'), ['bool'])),
                                        ('operportfast', (YLeaf(YType.boolean, 'operPortfast'), ['bool'])),
                                        ('operloopguard', (YLeaf(YType.boolean, 'operLoopguard'), ['bool'])),
                                        ('vpcstate', (YLeaf(YType.enumeration, 'vpcState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpVpcState', '')])),
                                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpModeType', '')])),
                                        ('dispute', (YLeaf(YType.boolean, 'dispute'), ['bool'])),
                                        ('peer', (YLeaf(YType.boolean, 'peer'), ['bool'])),
                                        ('bound', (YLeaf(YType.boolean, 'bound'), ['bool'])),
                                        ('inconsistent', (YLeaf(YType.boolean, 'inconsistent'), ['bool'])),
                                        ('prestd', (YLeaf(YType.boolean, 'prestd'), ['bool'])),
                                    ])
                                    self.id = None
                                    self.designatedrootpriority = None
                                    self.designatedrootaddress = None
                                    self.designatedrootcost = None
                                    self.designatedbridgepriority = None
                                    self.designatedbridgeaddress = None
                                    self.designatedportpriority = None
                                    self.designatedportnumber = None
                                    self.portpriority = None
                                    self.portnumber = None
                                    self.portpathcost = None
                                    self.portrole = None
                                    self.portstate = None
                                    self.p2p = None
                                    self.operbpduguard = None
                                    self.operbpdufilter = None
                                    self.operportfast = None
                                    self.operloopguard = None
                                    self.vpcstate = None
                                    self.mode = None
                                    self.dispute = None
                                    self.peer = None
                                    self.bound = None
                                    self.inconsistent = None
                                    self.prestd = None
                                    self._segment_path = lambda: "MstIf-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.StpItems.InstItems.MstentItems.MstItems.MstDomList.IfItems.MstIfList, ['id', 'designatedrootpriority', 'designatedrootaddress', 'designatedrootcost', 'designatedbridgepriority', 'designatedbridgeaddress', 'designatedportpriority', 'designatedportnumber', 'portpriority', 'portnumber', 'portpathcost', 'portrole', 'portstate', 'p2p', 'operbpduguard', 'operbpdufilter', 'operportfast', 'operloopguard', 'vpcstate', 'mode', 'dispute', 'peer', 'bound', 'inconsistent', 'prestd'], name, value)







            class VlanItems(Entity):
                """
                
                
                .. attribute:: vlan_list
                
                	
                	**type**\: list of  		 :py:class:`VlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.VlanItems.VlanList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.StpItems.InstItems.VlanItems, self).__init__()

                    self.yang_name = "vlan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Vlan-list", ("vlan_list", System.StpItems.InstItems.VlanItems.VlanList))])
                    self._leafs = OrderedDict()

                    self.vlan_list = YList(self)
                    self._segment_path = lambda: "vlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.StpItems.InstItems.VlanItems, [], name, value)


                class VlanList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Access Encapsulation
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: priority
                    
                    	Bridge Priority
                    	**type**\:  :py:class:`StpPriority <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPriority>`
                    
                    .. attribute:: diameter
                    
                    	network diameter
                    	**type**\: int
                    
                    	**range:** 2..7
                    
                    .. attribute:: protocol
                    
                    	Spanning tree protocol
                    	**type**\:  :py:class:`StpProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpProtocol>`
                    
                    	**config**\: False
                    
                    .. attribute:: roottype
                    
                    	Bridge Root Type
                    	**type**\:  :py:class:`StpRootType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpRootType>`
                    
                    .. attribute:: rootmode
                    
                    	Bridge Root Config mode
                    	**type**\:  :py:class:`StpRootMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpRootMode>`
                    
                    .. attribute:: bridgepriority
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: bridgeaddress
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rootpriority
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: rootaddress
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rootportpriority
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: rootportnumber
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: rootport
                    
                    	Root port name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rootpathcost
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: fwdtime
                    
                    	STP forward delay
                    	**type**\: int
                    
                    	**range:** 4..30
                    
                    .. attribute:: hellotime
                    
                    	STP Hello interval
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: maxage
                    
                    	STP max age interval
                    	**type**\: int
                    
                    	**range:** 6..40
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.VlanItems.VlanList.IfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.StpItems.InstItems.VlanItems.VlanList, self).__init__()

                        self.yang_name = "Vlan-list"
                        self.yang_parent_name = "vlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("if-items", ("if_items", System.StpItems.InstItems.VlanItems.VlanList.IfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                            ('priority', (YLeaf(YType.enumeration, 'priority'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPriority', '')])),
                            ('diameter', (YLeaf(YType.uint8, 'diameter'), ['int'])),
                            ('protocol', (YLeaf(YType.enumeration, 'protocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpProtocol', '')])),
                            ('roottype', (YLeaf(YType.enumeration, 'rootType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpRootType', '')])),
                            ('rootmode', (YLeaf(YType.enumeration, 'rootMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpRootMode', '')])),
                            ('bridgepriority', (YLeaf(YType.uint16, 'bridgePriority'), ['int'])),
                            ('bridgeaddress', (YLeaf(YType.str, 'bridgeAddress'), ['str'])),
                            ('rootpriority', (YLeaf(YType.uint16, 'rootPriority'), ['int'])),
                            ('rootaddress', (YLeaf(YType.str, 'rootAddress'), ['str'])),
                            ('rootportpriority', (YLeaf(YType.uint16, 'rootPortPriority'), ['int'])),
                            ('rootportnumber', (YLeaf(YType.uint16, 'rootPortNumber'), ['int'])),
                            ('rootport', (YLeaf(YType.str, 'rootPort'), ['str'])),
                            ('rootpathcost', (YLeaf(YType.uint32, 'rootPathCost'), ['int'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('fwdtime', (YLeaf(YType.uint8, 'fwdTime'), ['int'])),
                            ('hellotime', (YLeaf(YType.uint8, 'helloTime'), ['int'])),
                            ('maxage', (YLeaf(YType.uint8, 'maxAge'), ['int'])),
                        ])
                        self.id = None
                        self.priority = None
                        self.diameter = None
                        self.protocol = None
                        self.roottype = None
                        self.rootmode = None
                        self.bridgepriority = None
                        self.bridgeaddress = None
                        self.rootpriority = None
                        self.rootaddress = None
                        self.rootportpriority = None
                        self.rootportnumber = None
                        self.rootport = None
                        self.rootpathcost = None
                        self.adminst = None
                        self.fwdtime = None
                        self.hellotime = None
                        self.maxage = None

                        self.if_items = System.StpItems.InstItems.VlanItems.VlanList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"
                        self._segment_path = lambda: "Vlan-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/stp-items/inst-items/vlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.StpItems.InstItems.VlanItems.VlanList, ['id', 'priority', 'diameter', 'protocol', 'roottype', 'rootmode', 'bridgepriority', 'bridgeaddress', 'rootpriority', 'rootaddress', 'rootportpriority', 'rootportnumber', 'rootport', 'rootpathcost', 'adminst', 'fwdtime', 'hellotime', 'maxage'], name, value)


                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: vlanif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VlanIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.StpItems.InstItems.VlanItems.VlanList.IfItems.VlanIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.StpItems.InstItems.VlanItems.VlanList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Vlan-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VlanIf-list", ("vlanif_list", System.StpItems.InstItems.VlanItems.VlanList.IfItems.VlanIfList))])
                            self._leafs = OrderedDict()

                            self.vlanif_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.StpItems.InstItems.VlanItems.VlanList.IfItems, [], name, value)


                        class VlanIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: designatedrootpriority
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: designatedrootaddress
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: designatedrootcost
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: designatedbridgepriority
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: designatedbridgeaddress
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: designatedportpriority
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: designatedportnumber
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: portpriority
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: portnumber
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: portpathcost
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: portrole
                            
                            	Port role
                            	**type**\:  :py:class:`StpPortRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPortRole>`
                            
                            	**config**\: False
                            
                            .. attribute:: portstate
                            
                            	Port state
                            	**type**\:  :py:class:`StpPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpPortState>`
                            
                            	**config**\: False
                            
                            .. attribute:: p2p
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: operbpduguard
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: operbpdufilter
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: operportfast
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: operloopguard
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: vpcstate
                            
                            	vPC State
                            	**type**\:  :py:class:`StpVpcState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpVpcState>`
                            
                            	**config**\: False
                            
                            .. attribute:: mode
                            
                            	mode
                            	**type**\:  :py:class:`StpModeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.StpModeType>`
                            
                            	**config**\: False
                            
                            .. attribute:: dispute
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: peer
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: bound
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: inconsistent
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: prestd
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.StpItems.InstItems.VlanItems.VlanList.IfItems.VlanIfList, self).__init__()

                                self.yang_name = "VlanIf-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('designatedrootpriority', (YLeaf(YType.uint16, 'designatedRootPriority'), ['int'])),
                                    ('designatedrootaddress', (YLeaf(YType.str, 'designatedRootAddress'), ['str'])),
                                    ('designatedrootcost', (YLeaf(YType.uint32, 'designatedRootCost'), ['int'])),
                                    ('designatedbridgepriority', (YLeaf(YType.uint16, 'designatedBridgePriority'), ['int'])),
                                    ('designatedbridgeaddress', (YLeaf(YType.str, 'designatedBridgeAddress'), ['str'])),
                                    ('designatedportpriority', (YLeaf(YType.uint16, 'designatedPortPriority'), ['int'])),
                                    ('designatedportnumber', (YLeaf(YType.uint16, 'designatedPortNumber'), ['int'])),
                                    ('portpriority', (YLeaf(YType.uint16, 'portPriority'), ['int'])),
                                    ('portnumber', (YLeaf(YType.uint16, 'portNumber'), ['int'])),
                                    ('portpathcost', (YLeaf(YType.uint32, 'portPathCost'), ['int'])),
                                    ('portrole', (YLeaf(YType.enumeration, 'portRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPortRole', '')])),
                                    ('portstate', (YLeaf(YType.enumeration, 'portState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpPortState', '')])),
                                    ('p2p', (YLeaf(YType.boolean, 'p2p'), ['bool'])),
                                    ('operbpduguard', (YLeaf(YType.boolean, 'operBpduguard'), ['bool'])),
                                    ('operbpdufilter', (YLeaf(YType.boolean, 'operBpdufilter'), ['bool'])),
                                    ('operportfast', (YLeaf(YType.boolean, 'operPortfast'), ['bool'])),
                                    ('operloopguard', (YLeaf(YType.boolean, 'operLoopguard'), ['bool'])),
                                    ('vpcstate', (YLeaf(YType.enumeration, 'vpcState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpVpcState', '')])),
                                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'StpModeType', '')])),
                                    ('dispute', (YLeaf(YType.boolean, 'dispute'), ['bool'])),
                                    ('peer', (YLeaf(YType.boolean, 'peer'), ['bool'])),
                                    ('bound', (YLeaf(YType.boolean, 'bound'), ['bool'])),
                                    ('inconsistent', (YLeaf(YType.boolean, 'inconsistent'), ['bool'])),
                                    ('prestd', (YLeaf(YType.boolean, 'prestd'), ['bool'])),
                                ])
                                self.id = None
                                self.designatedrootpriority = None
                                self.designatedrootaddress = None
                                self.designatedrootcost = None
                                self.designatedbridgepriority = None
                                self.designatedbridgeaddress = None
                                self.designatedportpriority = None
                                self.designatedportnumber = None
                                self.portpriority = None
                                self.portnumber = None
                                self.portpathcost = None
                                self.portrole = None
                                self.portstate = None
                                self.p2p = None
                                self.operbpduguard = None
                                self.operbpdufilter = None
                                self.operportfast = None
                                self.operloopguard = None
                                self.vpcstate = None
                                self.mode = None
                                self.dispute = None
                                self.peer = None
                                self.bound = None
                                self.inconsistent = None
                                self.prestd = None
                                self._segment_path = lambda: "VlanIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.StpItems.InstItems.VlanItems.VlanList.IfItems.VlanIfList, ['id', 'designatedrootpriority', 'designatedrootaddress', 'designatedrootcost', 'designatedbridgepriority', 'designatedbridgeaddress', 'designatedportpriority', 'designatedportnumber', 'portpriority', 'portnumber', 'portpathcost', 'portrole', 'portstate', 'p2p', 'operbpduguard', 'operbpdufilter', 'operportfast', 'operloopguard', 'vpcstate', 'mode', 'dispute', 'peer', 'bound', 'inconsistent', 'prestd'], name, value)








    class BdTableItems(Entity):
        """
        
        
        .. attribute:: vlan_items
        
        	
        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BdTableItems, self).__init__()

            self.yang_name = "bdTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.BdTableItems.VlanItems))])
            self._leafs = OrderedDict()

            self.vlan_items = System.BdTableItems.VlanItems()
            self.vlan_items.parent = self
            self._children_name_map["vlan_items"] = "vlan-items"
            self._segment_path = lambda: "bdTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BdTableItems, [], name, value)


        class VlanItems(Entity):
            """
            
            
            .. attribute:: bdentry_list
            
            	
            	**type**\: list of  		 :py:class:`BdEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BdTableItems.VlanItems, self).__init__()

                self.yang_name = "vlan-items"
                self.yang_parent_name = "bdTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("BdEntry-list", ("bdentry_list", System.BdTableItems.VlanItems.BdEntryList))])
                self._leafs = OrderedDict()

                self.bdentry_list = YList(self)
                self._segment_path = lambda: "vlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bdTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BdTableItems.VlanItems, [], name, value)


            class BdEntryList(Entity):
                """
                
                
                .. attribute:: vlan  (key)
                
                	
                	**type**\: str
                
                .. attribute:: bd
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: vnid
                
                	
                	**type**\: str
                
                .. attribute:: replicationmode
                
                	The mode of replication for BUM data packets
                	**type**\:  :py:class:`AggregateReplicationModeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateReplicationModeType>`
                
                .. attribute:: ingressrepprotocol
                
                	The protocol type used to get the list of replication nodes
                	**type**\:  :py:class:`AggregateIngressRepProtocolType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateIngressRepProtocolType>`
                
                .. attribute:: gipo
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: suppressarp
                
                	Flag to enable or disable the ARP suppression
                	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                
                .. attribute:: resourcestatus
                
                	Backend Resource Status
                	**type**\:  :py:class:`AggregateResourceStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateResourceStatus>`
                
                .. attribute:: isl3
                
                	Is L3 Vlan
                	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: floodlist_items
                
                	
                	**type**\:  :py:class:`FloodListItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems>`
                
                .. attribute:: af_items
                
                	
                	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems>`
                
                .. attribute:: rtaggregatevlanmemberatt_items
                
                	
                	**type**\:  :py:class:`RtaggregateVlanMemberAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BdTableItems.VlanItems.BdEntryList, self).__init__()

                    self.yang_name = "BdEntry-list"
                    self.yang_parent_name = "vlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vlan']
                    self._child_classes = OrderedDict([("floodList-items", ("floodlist_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems)), ("af-items", ("af_items", System.BdTableItems.VlanItems.BdEntryList.AfItems)), ("rtaggregateVlanMemberAtt-items", ("rtaggregatevlanmemberatt_items", System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems))])
                    self._leafs = OrderedDict([
                        ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                        ('bd', (YLeaf(YType.uint32, 'bd'), ['int'])),
                        ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                        ('replicationmode', (YLeaf(YType.enumeration, 'replicationMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateReplicationModeType', '')])),
                        ('ingressrepprotocol', (YLeaf(YType.enumeration, 'ingressRepProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateIngressRepProtocolType', '')])),
                        ('gipo', (YLeaf(YType.str, 'gipo'), ['str','str'])),
                        ('suppressarp', (YLeaf(YType.enumeration, 'suppressArp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                        ('resourcestatus', (YLeaf(YType.enumeration, 'resourceStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateResourceStatus', '')])),
                        ('isl3', (YLeaf(YType.enumeration, 'isL3'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                    ])
                    self.vlan = None
                    self.bd = None
                    self.vnid = None
                    self.replicationmode = None
                    self.ingressrepprotocol = None
                    self.gipo = None
                    self.suppressarp = None
                    self.resourcestatus = None
                    self.isl3 = None
                    self.description = None

                    self.floodlist_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems()
                    self.floodlist_items.parent = self
                    self._children_name_map["floodlist_items"] = "floodList-items"

                    self.af_items = System.BdTableItems.VlanItems.BdEntryList.AfItems()
                    self.af_items.parent = self
                    self._children_name_map["af_items"] = "af-items"

                    self.rtaggregatevlanmemberatt_items = System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems()
                    self.rtaggregatevlanmemberatt_items.parent = self
                    self._children_name_map["rtaggregatevlanmemberatt_items"] = "rtaggregateVlanMemberAtt-items"
                    self._segment_path = lambda: "BdEntry-list" + "[vlan='" + str(self.vlan) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bdTable-items/vlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList, ['vlan', 'bd', 'vnid', 'replicationmode', 'ingressrepprotocol', 'gipo', 'suppressarp', 'resourcestatus', 'isl3', 'description'], name, value)


                class FloodListItems(Entity):
                    """
                    
                    
                    .. attribute:: localfloodlist_items
                    
                    	
                    	**type**\:  :py:class:`LocalFloodListItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems>`
                    
                    .. attribute:: remotefloodlist_items
                    
                    	
                    	**type**\:  :py:class:`RemoteFloodListItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems, self).__init__()

                        self.yang_name = "floodList-items"
                        self.yang_parent_name = "BdEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("localFloodList-items", ("localfloodlist_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems)), ("remoteFloodList-items", ("remotefloodlist_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems))])
                        self._leafs = OrderedDict()

                        self.localfloodlist_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems()
                        self.localfloodlist_items.parent = self
                        self._children_name_map["localfloodlist_items"] = "localFloodList-items"

                        self.remotefloodlist_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems()
                        self.remotefloodlist_items.parent = self
                        self._children_name_map["remotefloodlist_items"] = "remoteFloodList-items"
                        self._segment_path = lambda: "floodList-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems, [], name, value)


                    class LocalFloodListItems(Entity):
                        """
                        
                        
                        .. attribute:: intf_items
                        
                        	
                        	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems, self).__init__()

                            self.yang_name = "localFloodList-items"
                            self.yang_parent_name = "floodList-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems))])
                            self._leafs = OrderedDict()

                            self.intf_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems()
                            self.intf_items.parent = self
                            self._children_name_map["intf_items"] = "intf-items"
                            self._segment_path = lambda: "localFloodList-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems, [], name, value)


                        class IntfItems(Entity):
                            """
                            
                            
                            .. attribute:: localfloodlistentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`LocalFloodListEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems.LocalFloodListEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems, self).__init__()

                                self.yang_name = "intf-items"
                                self.yang_parent_name = "localFloodList-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("LocalFloodListEntry-list", ("localfloodlistentry_list", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems.LocalFloodListEntryList))])
                                self._leafs = OrderedDict()

                                self.localfloodlistentry_list = YList(self)
                                self._segment_path = lambda: "intf-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems, [], name, value)


                            class LocalFloodListEntryList(Entity):
                                """
                                
                                
                                .. attribute:: intf  (key)
                                
                                	Interface
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems.LocalFloodListEntryList, self).__init__()

                                    self.yang_name = "LocalFloodListEntry-list"
                                    self.yang_parent_name = "intf-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['intf']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                    ])
                                    self.intf = None
                                    self._segment_path = lambda: "LocalFloodListEntry-list" + "[intf='" + str(self.intf) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.LocalFloodListItems.IntfItems.LocalFloodListEntryList, ['intf'], name, value)





                    class RemoteFloodListItems(Entity):
                        """
                        
                        
                        .. attribute:: vtep_items
                        
                        	
                        	**type**\:  :py:class:`VtepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems, self).__init__()

                            self.yang_name = "remoteFloodList-items"
                            self.yang_parent_name = "floodList-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("vtep-items", ("vtep_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems))])
                            self._leafs = OrderedDict()

                            self.vtep_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems()
                            self.vtep_items.parent = self
                            self._children_name_map["vtep_items"] = "vtep-items"
                            self._segment_path = lambda: "remoteFloodList-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems, [], name, value)


                        class VtepItems(Entity):
                            """
                            
                            
                            .. attribute:: remotefloodlistentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RemoteFloodListEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems, self).__init__()

                                self.yang_name = "vtep-items"
                                self.yang_parent_name = "remoteFloodList-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RemoteFloodListEntry-list", ("remotefloodlistentry_list", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList))])
                                self._leafs = OrderedDict()

                                self.remotefloodlistentry_list = YList(self)
                                self._segment_path = lambda: "vtep-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems, [], name, value)


                            class RemoteFloodListEntryList(Entity):
                                """
                                
                                
                                .. attribute:: vtep  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: rsvtepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsvtepAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList, self).__init__()

                                    self.yang_name = "RemoteFloodListEntry-list"
                                    self.yang_parent_name = "vtep-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vtep']
                                    self._child_classes = OrderedDict([("rsvtepAtt-items", ("rsvtepatt_items", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems))])
                                    self._leafs = OrderedDict([
                                        ('vtep', (YLeaf(YType.str, 'vtep'), ['str','str'])),
                                    ])
                                    self.vtep = None

                                    self.rsvtepatt_items = System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems()
                                    self.rsvtepatt_items.parent = self
                                    self._children_name_map["rsvtepatt_items"] = "rsvtepAtt-items"
                                    self._segment_path = lambda: "RemoteFloodListEntry-list" + "[vtep='" + str(self.vtep) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList, ['vtep'], name, value)


                                class RsvtepAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rsvtepatt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsVtepAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems.RsVtepAttList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems, self).__init__()

                                        self.yang_name = "rsvtepAtt-items"
                                        self.yang_parent_name = "RemoteFloodListEntry-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsVtepAtt-list", ("rsvtepatt_list", System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems.RsVtepAttList))])
                                        self._leafs = OrderedDict()

                                        self.rsvtepatt_list = YList(self)
                                        self._segment_path = lambda: "rsvtepAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems, [], name, value)


                                    class RsVtepAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems.RsVtepAttList, self).__init__()

                                            self.yang_name = "RsVtepAtt-list"
                                            self.yang_parent_name = "rsvtepAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsVtepAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.FloodListItems.RemoteFloodListItems.VtepItems.RemoteFloodListEntryList.RsvtepAttItems.RsVtepAttList, ['tdn', 'tcl'], name, value)








                class AfItems(Entity):
                    """
                    
                    
                    .. attribute:: domainaf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomainAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdTableItems.VlanItems.BdEntryList.AfItems, self).__init__()

                        self.yang_name = "af-items"
                        self.yang_parent_name = "BdEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DomainAf-list", ("domainaf_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList))])
                        self._leafs = OrderedDict()

                        self.domainaf_list = YList(self)
                        self._segment_path = lambda: "af-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems, [], name, value)


                    class DomainAfList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`AggregateAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAfT>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rd
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rttp_items
                        
                        	
                        	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems>`
                        
                        .. attribute:: ctrl_items
                        
                        	
                        	**type**\:  :py:class:`CtrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList, self).__init__()

                            self.yang_name = "DomainAf-list"
                            self.yang_parent_name = "af-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems)), ("ctrl-items", ("ctrl_items", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAfT', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                            ])
                            self.type = None
                            self.vrf = None
                            self.rd = None

                            self.rttp_items = System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems()
                            self.rttp_items.parent = self
                            self._children_name_map["rttp_items"] = "rttp-items"

                            self.ctrl_items = System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems()
                            self.ctrl_items.parent = self
                            self._children_name_map["ctrl_items"] = "ctrl-items"
                            self._segment_path = lambda: "DomainAf-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList, ['type', 'vrf', 'rd'], name, value)


                        class RttpItems(Entity):
                            """
                            
                            
                            .. attribute:: rttp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems, self).__init__()

                                self.yang_name = "rttp-items"
                                self.yang_parent_name = "DomainAf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList))])
                                self._leafs = OrderedDict()

                                self.rttp_list = YList(self)
                                self._segment_path = lambda: "rttp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems, [], name, value)


                            class RttPList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`AggregateRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateRttPType>`
                                
                                .. attribute:: isl3
                                
                                	IsL3
                                	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                                
                                .. attribute:: ent_items
                                
                                	
                                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList, self).__init__()

                                    self.yang_name = "RttP-list"
                                    self.yang_parent_name = "rttp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateRttPType', '')])),
                                        ('isl3', (YLeaf(YType.enumeration, 'isL3'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                                    ])
                                    self.type = None
                                    self.isl3 = None

                                    self.ent_items = System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems()
                                    self.ent_items.parent = self
                                    self._children_name_map["ent_items"] = "ent-items"
                                    self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList, ['type', 'isl3'], name, value)


                                class EntItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttentry_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems, self).__init__()

                                        self.yang_name = "ent-items"
                                        self.yang_parent_name = "RttP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList))])
                                        self._leafs = OrderedDict()

                                        self.rttentry_list = YList(self)
                                        self._segment_path = lambda: "ent-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems, [], name, value)


                                    class RttEntryList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtt  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                            self.yang_name = "RttEntry-list"
                                            self.yang_parent_name = "ent-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['rtt']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                            ])
                                            self.rtt = None
                                            self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)






                        class CtrlItems(Entity):
                            """
                            
                            
                            .. attribute:: afctrl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AfCtrlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems, self).__init__()

                                self.yang_name = "ctrl-items"
                                self.yang_parent_name = "DomainAf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AfCtrl-list", ("afctrl_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList))])
                                self._leafs = OrderedDict()

                                self.afctrl_list = YList(self)
                                self._segment_path = lambda: "ctrl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems, [], name, value)


                            class AfCtrlList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`AggregateAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAfT>`
                                
                                .. attribute:: rttp_items
                                
                                	
                                	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList, self).__init__()

                                    self.yang_name = "AfCtrl-list"
                                    self.yang_parent_name = "ctrl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAfT', '')])),
                                    ])
                                    self.type = None

                                    self.rttp_items = System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems()
                                    self.rttp_items.parent = self
                                    self._children_name_map["rttp_items"] = "rttp-items"
                                    self._segment_path = lambda: "AfCtrl-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList, ['type'], name, value)


                                class RttpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttp_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems, self).__init__()

                                        self.yang_name = "rttp-items"
                                        self.yang_parent_name = "AfCtrl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList))])
                                        self._leafs = OrderedDict()

                                        self.rttp_list = YList(self)
                                        self._segment_path = lambda: "rttp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems, [], name, value)


                                    class RttPList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`AggregateRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateRttPType>`
                                        
                                        .. attribute:: isl3
                                        
                                        	IsL3
                                        	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                                        
                                        .. attribute:: ent_items
                                        
                                        	
                                        	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, self).__init__()

                                            self.yang_name = "RttP-list"
                                            self.yang_parent_name = "rttp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("ent-items", ("ent_items", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateRttPType', '')])),
                                                ('isl3', (YLeaf(YType.enumeration, 'isL3'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                                            ])
                                            self.type = None
                                            self.isl3 = None

                                            self.ent_items = System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems()
                                            self.ent_items.parent = self
                                            self._children_name_map["ent_items"] = "ent-items"
                                            self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, ['type', 'isl3'], name, value)


                                        class EntItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rttentry_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, self).__init__()

                                                self.yang_name = "ent-items"
                                                self.yang_parent_name = "RttP-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList))])
                                                self._leafs = OrderedDict()

                                                self.rttentry_list = YList(self)
                                                self._segment_path = lambda: "ent-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, [], name, value)


                                            class RttEntryList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rtt  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                                    self.yang_name = "RttEntry-list"
                                                    self.yang_parent_name = "ent-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['rtt']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                                    ])
                                                    self.rtt = None
                                                    self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)










                class RtaggregateVlanMemberAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtaggregatevlanmemberatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtAggregateVlanMemberAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems.RtAggregateVlanMemberAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems, self).__init__()

                        self.yang_name = "rtaggregateVlanMemberAtt-items"
                        self.yang_parent_name = "BdEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtAggregateVlanMemberAtt-list", ("rtaggregatevlanmemberatt_list", System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems.RtAggregateVlanMemberAttList))])
                        self._leafs = OrderedDict()

                        self.rtaggregatevlanmemberatt_list = YList(self)
                        self._segment_path = lambda: "rtaggregateVlanMemberAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems, [], name, value)


                    class RtAggregateVlanMemberAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems.RtAggregateVlanMemberAttList, self).__init__()

                            self.yang_name = "RtAggregateVlanMemberAtt-list"
                            self.yang_parent_name = "rtaggregateVlanMemberAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtAggregateVlanMemberAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdTableItems.VlanItems.BdEntryList.RtaggregateVlanMemberAttItems.RtAggregateVlanMemberAttList, ['tdn', 'tcl'], name, value)







    class GlobalConfTableItems(Entity):
        """
        
        
        .. attribute:: vxlanmc
        
        	VxLan Multicast Flag
        	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
        
        .. attribute:: agmac
        
        	
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.GlobalConfTableItems, self).__init__()

            self.yang_name = "globalConfTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('vxlanmc', (YLeaf(YType.enumeration, 'vxLanMC'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                ('agmac', (YLeaf(YType.str, 'agMac'), ['str'])),
            ])
            self.vxlanmc = None
            self.agmac = None
            self._segment_path = lambda: "globalConfTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.GlobalConfTableItems, ['vxlanmc', 'agmac'], name, value)



    class IntfTableItems(Entity):
        """
        
        
        .. attribute:: intf_items
        
        	
        	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems>`
        
        .. attribute:: svi_items
        
        	
        	**type**\:  :py:class:`SviItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.SviItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IntfTableItems, self).__init__()

            self.yang_name = "intfTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IntfTableItems.IntfItems)), ("svi-items", ("svi_items", System.IntfTableItems.SviItems))])
            self._leafs = OrderedDict()

            self.intf_items = System.IntfTableItems.IntfItems()
            self.intf_items.parent = self
            self._children_name_map["intf_items"] = "intf-items"

            self.svi_items = System.IntfTableItems.SviItems()
            self.svi_items.parent = self
            self._children_name_map["svi_items"] = "svi-items"
            self._segment_path = lambda: "intfTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IntfTableItems, [], name, value)


        class IntfItems(Entity):
            """
            
            
            .. attribute:: intfentry_list
            
            	
            	**type**\: list of  		 :py:class:`IntfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfTableItems.IntfItems, self).__init__()

                self.yang_name = "intf-items"
                self.yang_parent_name = "intfTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("IntfEntry-list", ("intfentry_list", System.IntfTableItems.IntfItems.IntfEntryList))])
                self._leafs = OrderedDict()

                self.intfentry_list = YList(self)
                self._segment_path = lambda: "intf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intfTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfTableItems.IntfItems, [], name, value)


            class IntfEntryList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name of the interface entry
                	**type**\: str
                
                .. attribute:: type
                
                	Indicates the type of the interface
                	**type**\:  :py:class:`AggregateIntfType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateIntfType>`
                
                .. attribute:: adminstate
                
                	Indicates the adminstration state of interface whether interface is up or down
                	**type**\:  :py:class:`AggregateAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAdminState>`
                
                .. attribute:: operstate
                
                	Indicates the operational state of the interface whether up or down
                	**type**\:  :py:class:`AggregateOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateOperState>`
                
                .. attribute:: trunkvlans
                
                	List of vlans allowed on this interface
                	**type**\: str
                
                .. attribute:: iscontrollerownedintf
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: ownercontrollersidlist
                
                	List of the controller owning this interface
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: untaggedvlan
                
                	
                	**type**\: str
                
                .. attribute:: untaggedvlanctrluse
                
                	
                	**type**\: bool
                
                .. attribute:: untaggedvlanexplicitmap
                
                	
                	**type**\: bool
                
                .. attribute:: vlanmembertable_items
                
                	
                	**type**\:  :py:class:`VlanMemberTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems>`
                
                .. attribute:: rtvpcintfentryatt_items
                
                	
                	**type**\:  :py:class:`RtvpcIntfEntryAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.RtvpcIntfEntryAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfTableItems.IntfItems.IntfEntryList, self).__init__()

                    self.yang_name = "IntfEntry-list"
                    self.yang_parent_name = "intf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("vlanMemberTable-items", ("vlanmembertable_items", System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems)), ("rtvpcIntfEntryAtt-items", ("rtvpcintfentryatt_items", System.IntfTableItems.IntfItems.IntfEntryList.RtvpcIntfEntryAttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateIntfType', '')])),
                        ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAdminState', '')])),
                        ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateOperState', '')])),
                        ('trunkvlans', (YLeaf(YType.str, 'trunkVlans'), ['str'])),
                        ('iscontrollerownedintf', (YLeaf(YType.boolean, 'isControllerOwnedIntf'), ['bool'])),
                        ('ownercontrollersidlist', (YLeaf(YType.str, 'ownerControllersIdList'), ['str'])),
                        ('untaggedvlan', (YLeaf(YType.str, 'untaggedVlan'), ['str'])),
                        ('untaggedvlanctrluse', (YLeaf(YType.boolean, 'untaggedVlanCtrlUse'), ['bool'])),
                        ('untaggedvlanexplicitmap', (YLeaf(YType.boolean, 'untaggedVlanExplicitMap'), ['bool'])),
                    ])
                    self.name = None
                    self.type = None
                    self.adminstate = None
                    self.operstate = None
                    self.trunkvlans = None
                    self.iscontrollerownedintf = None
                    self.ownercontrollersidlist = None
                    self.untaggedvlan = None
                    self.untaggedvlanctrluse = None
                    self.untaggedvlanexplicitmap = None

                    self.vlanmembertable_items = System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems()
                    self.vlanmembertable_items.parent = self
                    self._children_name_map["vlanmembertable_items"] = "vlanMemberTable-items"

                    self.rtvpcintfentryatt_items = System.IntfTableItems.IntfItems.IntfEntryList.RtvpcIntfEntryAttItems()
                    self.rtvpcintfentryatt_items.parent = self
                    self._children_name_map["rtvpcintfentryatt_items"] = "rtvpcIntfEntryAtt-items"
                    self._segment_path = lambda: "IntfEntry-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intfTable-items/intf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList, ['name', 'type', 'adminstate', 'operstate', 'trunkvlans', 'iscontrollerownedintf', 'ownercontrollersidlist', 'untaggedvlan', 'untaggedvlanctrluse', 'untaggedvlanexplicitmap'], name, value)


                class VlanMemberTableItems(Entity):
                    """
                    
                    
                    .. attribute:: member_items
                    
                    	
                    	**type**\:  :py:class:`MemberItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems>`
                    
                    .. attribute:: rsvlanmemberatt_items
                    
                    	
                    	**type**\:  :py:class:`RsvlanMemberAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems, self).__init__()

                        self.yang_name = "vlanMemberTable-items"
                        self.yang_parent_name = "IntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("member-items", ("member_items", System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems)), ("rsvlanMemberAtt-items", ("rsvlanmemberatt_items", System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems))])
                        self._leafs = OrderedDict()

                        self.member_items = System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems()
                        self.member_items.parent = self
                        self._children_name_map["member_items"] = "member-items"

                        self.rsvlanmemberatt_items = System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems()
                        self.rsvlanmemberatt_items.parent = self
                        self._children_name_map["rsvlanmemberatt_items"] = "rsvlanMemberAtt-items"
                        self._segment_path = lambda: "vlanMemberTable-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems, [], name, value)


                    class MemberItems(Entity):
                        """
                        
                        
                        .. attribute:: vlanmemberentry_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VlanMemberEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems.VlanMemberEntryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems, self).__init__()

                            self.yang_name = "member-items"
                            self.yang_parent_name = "vlanMemberTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VlanMemberEntry-list", ("vlanmemberentry_list", System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems.VlanMemberEntryList))])
                            self._leafs = OrderedDict()

                            self.vlanmemberentry_list = YList(self)
                            self._segment_path = lambda: "member-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems, [], name, value)


                        class VlanMemberEntryList(Entity):
                            """
                            
                            
                            .. attribute:: vlan  (key)
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems.VlanMemberEntryList, self).__init__()

                                self.yang_name = "VlanMemberEntry-list"
                                self.yang_parent_name = "member-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vlan']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                                ])
                                self.vlan = None
                                self._segment_path = lambda: "VlanMemberEntry-list" + "[vlan='" + str(self.vlan) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.MemberItems.VlanMemberEntryList, ['vlan'], name, value)




                    class RsvlanMemberAttItems(Entity):
                        """
                        
                        
                        .. attribute:: rsvlanmemberatt_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsVlanMemberAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems.RsVlanMemberAttList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems, self).__init__()

                            self.yang_name = "rsvlanMemberAtt-items"
                            self.yang_parent_name = "vlanMemberTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsVlanMemberAtt-list", ("rsvlanmemberatt_list", System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems.RsVlanMemberAttList))])
                            self._leafs = OrderedDict()

                            self.rsvlanmemberatt_list = YList(self)
                            self._segment_path = lambda: "rsvlanMemberAtt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems, [], name, value)


                        class RsVlanMemberAttList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems.RsVlanMemberAttList, self).__init__()

                                self.yang_name = "RsVlanMemberAtt-list"
                                self.yang_parent_name = "rsvlanMemberAtt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsVlanMemberAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.VlanMemberTableItems.RsvlanMemberAttItems.RsVlanMemberAttList, ['tdn', 'tcl'], name, value)





                class RtvpcIntfEntryAttItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfTableItems.IntfItems.IntfEntryList.RtvpcIntfEntryAttItems, self).__init__()

                        self.yang_name = "rtvpcIntfEntryAtt-items"
                        self.yang_parent_name = "IntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvpcIntfEntryAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfTableItems.IntfItems.IntfEntryList.RtvpcIntfEntryAttItems, ['tdn', 'tcl'], name, value)





        class SviItems(Entity):
            """
            
            
            .. attribute:: svi_list
            
            	
            	**type**\: list of  		 :py:class:`SviList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfTableItems.SviItems.SviList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfTableItems.SviItems, self).__init__()

                self.yang_name = "svi-items"
                self.yang_parent_name = "intfTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Svi-list", ("svi_list", System.IntfTableItems.SviItems.SviList))])
                self._leafs = OrderedDict()

                self.svi_list = YList(self)
                self._segment_path = lambda: "svi-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intfTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfTableItems.SviItems, [], name, value)


            class SviList(Entity):
                """
                
                
                .. attribute:: intf  (key)
                
                	
                	**type**\: str
                
                .. attribute:: adminstate
                
                	Admin state of the interface whether up or down
                	**type**\:  :py:class:`AggregateAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAdminState>`
                
                .. attribute:: operstate
                
                	Operational state of the interface whether up or down
                	**type**\:  :py:class:`AggregateOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateOperState>`
                
                .. attribute:: ip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: ownerctrlrsidlist
                
                	List of the controller Ids owning this interface
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mtu
                
                	Size of the MTU this interface is able to transmit
                	**type**\: int
                
                	**range:** 1..9216
                
                .. attribute:: bw
                
                	Bandwidth Of SVI
                	**type**\: int
                
                	**range:** 1..400000000
                
                .. attribute:: fwdmode
                
                	Fabric Forwarding Mode
                	**type**\:  :py:class:`AggregateFabFwdMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateFabFwdMode>`
                
                .. attribute:: vrf
                
                	VRF context
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfTableItems.SviItems.SviList, self).__init__()

                    self.yang_name = "Svi-list"
                    self.yang_parent_name = "svi-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['intf']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                        ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAdminState', '')])),
                        ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateOperState', '')])),
                        ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                        ('ownerctrlrsidlist', (YLeaf(YType.str, 'ownerCtrlrsIdList'), ['str'])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                        ('fwdmode', (YLeaf(YType.enumeration, 'fwdMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateFabFwdMode', '')])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                    ])
                    self.intf = None
                    self.adminstate = None
                    self.operstate = None
                    self.ip = None
                    self.ownerctrlrsidlist = None
                    self.mtu = None
                    self.bw = None
                    self.fwdmode = None
                    self.vrf = None
                    self._segment_path = lambda: "Svi-list" + "[intf='" + str(self.intf) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intfTable-items/svi-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfTableItems.SviItems.SviList, ['intf', 'adminstate', 'operstate', 'ip', 'ownerctrlrsidlist', 'mtu', 'bw', 'fwdmode', 'vrf'], name, value)





    class MacTableItems(Entity):
        """
        
        
        .. attribute:: dynamic_items
        
        	
        	**type**\:  :py:class:`DynamicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.DynamicItems>`
        
        .. attribute:: static_items
        
        	
        	**type**\:  :py:class:`StaticItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.StaticItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MacTableItems, self).__init__()

            self.yang_name = "macTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("dynamic-items", ("dynamic_items", System.MacTableItems.DynamicItems)), ("static-items", ("static_items", System.MacTableItems.StaticItems))])
            self._leafs = OrderedDict()

            self.dynamic_items = System.MacTableItems.DynamicItems()
            self.dynamic_items.parent = self
            self._children_name_map["dynamic_items"] = "dynamic-items"

            self.static_items = System.MacTableItems.StaticItems()
            self.static_items.parent = self
            self._children_name_map["static_items"] = "static-items"
            self._segment_path = lambda: "macTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MacTableItems, [], name, value)


        class DynamicItems(Entity):
            """
            
            
            .. attribute:: mac_items
            
            	
            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.DynamicItems.MacItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MacTableItems.DynamicItems, self).__init__()

                self.yang_name = "dynamic-items"
                self.yang_parent_name = "macTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("mac-items", ("mac_items", System.MacTableItems.DynamicItems.MacItems))])
                self._leafs = OrderedDict()

                self.mac_items = System.MacTableItems.DynamicItems.MacItems()
                self.mac_items.parent = self
                self._children_name_map["mac_items"] = "mac-items"
                self._segment_path = lambda: "dynamic-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MacTableItems.DynamicItems, [], name, value)


            class MacItems(Entity):
                """
                
                
                .. attribute:: macentry_list
                
                	
                	**type**\: list of  		 :py:class:`MacEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.DynamicItems.MacItems.MacEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MacTableItems.DynamicItems.MacItems, self).__init__()

                    self.yang_name = "mac-items"
                    self.yang_parent_name = "dynamic-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MacEntry-list", ("macentry_list", System.MacTableItems.DynamicItems.MacItems.MacEntryList))])
                    self._leafs = OrderedDict()

                    self.macentry_list = YList(self)
                    self._segment_path = lambda: "mac-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/dynamic-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MacTableItems.DynamicItems.MacItems, [], name, value)


                class MacEntryList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vlan  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: intf
                    
                    	Interface
                    	**type**\: str
                    
                    .. attribute:: tunneldstip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: isintf
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: type
                    
                    	MacType
                    	**type**\:  :py:class:`AggregateMacType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateMacType>`
                    
                    .. attribute:: pushedmactobackend
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: rtmac_items
                    
                    	
                    	**type**\:  :py:class:`RtmacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.DynamicItems.MacItems.MacEntryList.RtmacItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MacTableItems.DynamicItems.MacItems.MacEntryList, self).__init__()

                        self.yang_name = "MacEntry-list"
                        self.yang_parent_name = "mac-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['mac','vlan']
                        self._child_classes = OrderedDict([("rtmac-items", ("rtmac_items", System.MacTableItems.DynamicItems.MacItems.MacEntryList.RtmacItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                            ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                            ('tunneldstip', (YLeaf(YType.str, 'tunnelDstIp'), ['str','str'])),
                            ('isintf', (YLeaf(YType.boolean, 'isIntf'), ['bool'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateMacType', '')])),
                            ('pushedmactobackend', (YLeaf(YType.boolean, 'pushedMacToBackEnd'), ['bool'])),
                        ])
                        self.mac = None
                        self.vlan = None
                        self.intf = None
                        self.tunneldstip = None
                        self.isintf = None
                        self.type = None
                        self.pushedmactobackend = None

                        self.rtmac_items = System.MacTableItems.DynamicItems.MacItems.MacEntryList.RtmacItems()
                        self.rtmac_items.parent = self
                        self._children_name_map["rtmac_items"] = "rtmac-items"
                        self._segment_path = lambda: "MacEntry-list" + "[mac='" + str(self.mac) + "']" + "[vlan='" + str(self.vlan) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/dynamic-items/mac-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MacTableItems.DynamicItems.MacItems.MacEntryList, ['mac', 'vlan', 'intf', 'tunneldstip', 'isintf', 'type', 'pushedmactobackend'], name, value)


                    class RtmacItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MacTableItems.DynamicItems.MacItems.MacEntryList.RtmacItems, self).__init__()

                            self.yang_name = "rtmac-items"
                            self.yang_parent_name = "MacEntry-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtmac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MacTableItems.DynamicItems.MacItems.MacEntryList.RtmacItems, ['tdn', 'tcl'], name, value)






        class StaticItems(Entity):
            """
            
            
            .. attribute:: mac_items
            
            	
            	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.StaticItems.MacItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MacTableItems.StaticItems, self).__init__()

                self.yang_name = "static-items"
                self.yang_parent_name = "macTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("mac-items", ("mac_items", System.MacTableItems.StaticItems.MacItems))])
                self._leafs = OrderedDict()

                self.mac_items = System.MacTableItems.StaticItems.MacItems()
                self.mac_items.parent = self
                self._children_name_map["mac_items"] = "mac-items"
                self._segment_path = lambda: "static-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MacTableItems.StaticItems, [], name, value)


            class MacItems(Entity):
                """
                
                
                .. attribute:: macentry_list
                
                	
                	**type**\: list of  		 :py:class:`MacEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.StaticItems.MacItems.MacEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MacTableItems.StaticItems.MacItems, self).__init__()

                    self.yang_name = "mac-items"
                    self.yang_parent_name = "static-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MacEntry-list", ("macentry_list", System.MacTableItems.StaticItems.MacItems.MacEntryList))])
                    self._leafs = OrderedDict()

                    self.macentry_list = YList(self)
                    self._segment_path = lambda: "mac-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/static-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MacTableItems.StaticItems.MacItems, [], name, value)


                class MacEntryList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vlan  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: intf
                    
                    	Interface
                    	**type**\: str
                    
                    .. attribute:: tunneldstip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: isintf
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: type
                    
                    	MacType
                    	**type**\:  :py:class:`AggregateMacType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateMacType>`
                    
                    .. attribute:: pushedmactobackend
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: rtmac_items
                    
                    	
                    	**type**\:  :py:class:`RtmacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacTableItems.StaticItems.MacItems.MacEntryList.RtmacItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MacTableItems.StaticItems.MacItems.MacEntryList, self).__init__()

                        self.yang_name = "MacEntry-list"
                        self.yang_parent_name = "mac-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['mac','vlan']
                        self._child_classes = OrderedDict([("rtmac-items", ("rtmac_items", System.MacTableItems.StaticItems.MacItems.MacEntryList.RtmacItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                            ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                            ('tunneldstip', (YLeaf(YType.str, 'tunnelDstIp'), ['str','str'])),
                            ('isintf', (YLeaf(YType.boolean, 'isIntf'), ['bool'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateMacType', '')])),
                            ('pushedmactobackend', (YLeaf(YType.boolean, 'pushedMacToBackEnd'), ['bool'])),
                        ])
                        self.mac = None
                        self.vlan = None
                        self.intf = None
                        self.tunneldstip = None
                        self.isintf = None
                        self.type = None
                        self.pushedmactobackend = None

                        self.rtmac_items = System.MacTableItems.StaticItems.MacItems.MacEntryList.RtmacItems()
                        self.rtmac_items.parent = self
                        self._children_name_map["rtmac_items"] = "rtmac-items"
                        self._segment_path = lambda: "MacEntry-list" + "[mac='" + str(self.mac) + "']" + "[vlan='" + str(self.vlan) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/macTable-items/static-items/mac-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MacTableItems.StaticItems.MacItems.MacEntryList, ['mac', 'vlan', 'intf', 'tunneldstip', 'isintf', 'type', 'pushedmactobackend'], name, value)


                    class RtmacItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MacTableItems.StaticItems.MacItems.MacEntryList.RtmacItems, self).__init__()

                            self.yang_name = "rtmac-items"
                            self.yang_parent_name = "MacEntry-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtmac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MacTableItems.StaticItems.MacItems.MacEntryList.RtmacItems, ['tdn', 'tcl'], name, value)







    class SystemTableItems(Entity):
        """
        
        
        .. attribute:: sttime
        
        	System Start Time
        	**type**\: str
        
        .. attribute:: mgmtip
        
        	
        	**type**\: union of the below types:
        
        		**type**\: str
        
        		**type**\: str
        
        	**config**\: False
        
        .. attribute:: switchtype
        
        	
        	**type**\: str
        
        .. attribute:: purgedbrequest
        
        	Client DB Purge Request
        	**type**\: str
        
        .. attribute:: iscontrollerconfigured
        
        	
        	**type**\: bool
        
        .. attribute:: nxdbenabled
        
        	
        	**type**\: bool
        
        	**config**\: False
        
        .. attribute:: controllertable_items
        
        	
        	**type**\:  :py:class:`ControllerTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems>`
        
        .. attribute:: cputable_items
        
        	
        	**type**\:  :py:class:`CpuTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.CpuTableItems>`
        
        .. attribute:: moduletable_items
        
        	
        	**type**\:  :py:class:`ModuleTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ModuleTableItems>`
        
        .. attribute:: vxlantable_items
        
        	
        	**type**\:  :py:class:`VxlanTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.VxlanTableItems>`
        
        .. attribute:: shadowvxlantable_items
        
        	
        	**type**\:  :py:class:`ShadowVxlanTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ShadowVxlanTableItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SystemTableItems, self).__init__()

            self.yang_name = "systemTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("controllerTable-items", ("controllertable_items", System.SystemTableItems.ControllerTableItems)), ("cpuTable-items", ("cputable_items", System.SystemTableItems.CpuTableItems)), ("moduleTable-items", ("moduletable_items", System.SystemTableItems.ModuleTableItems)), ("vxlanTable-items", ("vxlantable_items", System.SystemTableItems.VxlanTableItems)), ("shadowVxlanTable-items", ("shadowvxlantable_items", System.SystemTableItems.ShadowVxlanTableItems))])
            self._leafs = OrderedDict([
                ('sttime', (YLeaf(YType.str, 'stTime'), ['str'])),
                ('mgmtip', (YLeaf(YType.str, 'mgmtIp'), ['str','str'])),
                ('switchtype', (YLeaf(YType.str, 'switchType'), ['str'])),
                ('purgedbrequest', (YLeaf(YType.str, 'purgeDBRequest'), ['str'])),
                ('iscontrollerconfigured', (YLeaf(YType.boolean, 'isControllerConfigured'), ['bool'])),
                ('nxdbenabled', (YLeaf(YType.boolean, 'nxdbEnabled'), ['bool'])),
            ])
            self.sttime = None
            self.mgmtip = None
            self.switchtype = None
            self.purgedbrequest = None
            self.iscontrollerconfigured = None
            self.nxdbenabled = None

            self.controllertable_items = System.SystemTableItems.ControllerTableItems()
            self.controllertable_items.parent = self
            self._children_name_map["controllertable_items"] = "controllerTable-items"

            self.cputable_items = System.SystemTableItems.CpuTableItems()
            self.cputable_items.parent = self
            self._children_name_map["cputable_items"] = "cpuTable-items"

            self.moduletable_items = System.SystemTableItems.ModuleTableItems()
            self.moduletable_items.parent = self
            self._children_name_map["moduletable_items"] = "moduleTable-items"

            self.vxlantable_items = System.SystemTableItems.VxlanTableItems()
            self.vxlantable_items.parent = self
            self._children_name_map["vxlantable_items"] = "vxlanTable-items"

            self.shadowvxlantable_items = System.SystemTableItems.ShadowVxlanTableItems()
            self.shadowvxlantable_items.parent = self
            self._children_name_map["shadowvxlantable_items"] = "shadowVxlanTable-items"
            self._segment_path = lambda: "systemTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SystemTableItems, ['sttime', 'mgmtip', 'switchtype', 'purgedbrequest', 'iscontrollerconfigured', 'nxdbenabled'], name, value)


        class ControllerTableItems(Entity):
            """
            
            
            .. attribute:: controller_items
            
            	
            	**type**\:  :py:class:`ControllerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems.ControllerItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SystemTableItems.ControllerTableItems, self).__init__()

                self.yang_name = "controllerTable-items"
                self.yang_parent_name = "systemTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("controller-items", ("controller_items", System.SystemTableItems.ControllerTableItems.ControllerItems))])
                self._leafs = OrderedDict()

                self.controller_items = System.SystemTableItems.ControllerTableItems.ControllerItems()
                self.controller_items.parent = self
                self._children_name_map["controller_items"] = "controller-items"
                self._segment_path = lambda: "controllerTable-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SystemTableItems.ControllerTableItems, [], name, value)


            class ControllerItems(Entity):
                """
                
                
                .. attribute:: controllerentry_list
                
                	
                	**type**\: list of  		 :py:class:`ControllerEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SystemTableItems.ControllerTableItems.ControllerItems, self).__init__()

                    self.yang_name = "controller-items"
                    self.yang_parent_name = "controllerTable-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ControllerEntry-list", ("controllerentry_list", System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList))])
                    self._leafs = OrderedDict()

                    self.controllerentry_list = YList(self)
                    self._segment_path = lambda: "controller-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/controllerTable-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SystemTableItems.ControllerTableItems.ControllerItems, [], name, value)


                class ControllerEntryList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: readrole
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: writerole
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: controllertype
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: configuredvlans
                    
                    	Vlans that are assigned under this controller
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dedicatedvlans
                    
                    	Dedicated Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: publishedvlans
                    
                    	Vlans that are published to the controller after VPC consistency checks are completed
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vlanresourcestatus
                    
                    	Indicate that at least one Vlan is assigned to the controller
                    	**type**\:  :py:class:`AggregateResourceStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateResourceStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: intfresourcestatus
                    
                    	Indicate that at least one interface is assigned to the controller
                    	**type**\:  :py:class:`AggregateResourceStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateResourceStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: issystemreadyforcontroller
                    
                    	Indicate that switch is now ready to acccept the NXAPI requests from the controller
                    	**type**\:  :py:class:`AggregateConfigStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateConfigStatus>`
                    
                    .. attribute:: type
                    
                    	Type of the Vxlan the controller is controlling
                    	**type**\:  :py:class:`AggregateCtrlrType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateCtrlrType>`
                    
                    .. attribute:: vrfprefix
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: numvrf
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: publishvrf
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: publishnumvrf
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: controllerassignedintftable_items
                    
                    	
                    	**type**\:  :py:class:`ControllerAssignedIntfTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList, self).__init__()

                        self.yang_name = "ControllerEntry-list"
                        self.yang_parent_name = "controller-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("controllerAssignedIntfTable-items", ("controllerassignedintftable_items", System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('readrole', (YLeaf(YType.str, 'readRole'), ['str'])),
                            ('writerole', (YLeaf(YType.str, 'writeRole'), ['str'])),
                            ('controllertype', (YLeaf(YType.str, 'controllerType'), ['str'])),
                            ('configuredvlans', (YLeaf(YType.str, 'configuredVlans'), ['str'])),
                            ('dedicatedvlans', (YLeaf(YType.str, 'dedicatedVlans'), ['str'])),
                            ('publishedvlans', (YLeaf(YType.str, 'publishedVlans'), ['str'])),
                            ('vlanresourcestatus', (YLeaf(YType.enumeration, 'vlanResourceStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateResourceStatus', '')])),
                            ('intfresourcestatus', (YLeaf(YType.enumeration, 'intfResourceStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateResourceStatus', '')])),
                            ('issystemreadyforcontroller', (YLeaf(YType.enumeration, 'isSystemReadyForController'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateConfigStatus', '')])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateCtrlrType', '')])),
                            ('vrfprefix', (YLeaf(YType.str, 'vrfPrefix'), ['str'])),
                            ('numvrf', (YLeaf(YType.uint32, 'numVrf'), ['int'])),
                            ('publishvrf', (YLeaf(YType.boolean, 'publishVrf'), ['bool'])),
                            ('publishnumvrf', (YLeaf(YType.uint32, 'publishNumVrf'), ['int'])),
                        ])
                        self.id = None
                        self.readrole = None
                        self.writerole = None
                        self.controllertype = None
                        self.configuredvlans = None
                        self.dedicatedvlans = None
                        self.publishedvlans = None
                        self.vlanresourcestatus = None
                        self.intfresourcestatus = None
                        self.issystemreadyforcontroller = None
                        self.type = None
                        self.vrfprefix = None
                        self.numvrf = None
                        self.publishvrf = None
                        self.publishnumvrf = None

                        self.controllerassignedintftable_items = System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems()
                        self.controllerassignedintftable_items.parent = self
                        self._children_name_map["controllerassignedintftable_items"] = "controllerAssignedIntfTable-items"
                        self._segment_path = lambda: "ControllerEntry-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/controllerTable-items/controller-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList, ['id', 'readrole', 'writerole', 'controllertype', 'configuredvlans', 'dedicatedvlans', 'publishedvlans', 'vlanresourcestatus', 'intfresourcestatus', 'issystemreadyforcontroller', 'type', 'vrfprefix', 'numvrf', 'publishvrf', 'publishnumvrf'], name, value)


                    class ControllerAssignedIntfTableItems(Entity):
                        """
                        
                        
                        .. attribute:: controllerassignedintfentry_items
                        
                        	
                        	**type**\:  :py:class:`ControllerAssignedIntfEntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems, self).__init__()

                            self.yang_name = "controllerAssignedIntfTable-items"
                            self.yang_parent_name = "ControllerEntry-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("controllerAssignedIntfEntry-items", ("controllerassignedintfentry_items", System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems))])
                            self._leafs = OrderedDict()

                            self.controllerassignedintfentry_items = System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems()
                            self.controllerassignedintfentry_items.parent = self
                            self._children_name_map["controllerassignedintfentry_items"] = "controllerAssignedIntfEntry-items"
                            self._segment_path = lambda: "controllerAssignedIntfTable-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems, [], name, value)


                        class ControllerAssignedIntfEntryItems(Entity):
                            """
                            
                            
                            .. attribute:: controllerassignedintfentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ControllerAssignedIntfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems.ControllerAssignedIntfEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems, self).__init__()

                                self.yang_name = "controllerAssignedIntfEntry-items"
                                self.yang_parent_name = "controllerAssignedIntfTable-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ControllerAssignedIntfEntry-list", ("controllerassignedintfentry_list", System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems.ControllerAssignedIntfEntryList))])
                                self._leafs = OrderedDict()

                                self.controllerassignedintfentry_list = YList(self)
                                self._segment_path = lambda: "controllerAssignedIntfEntry-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems, [], name, value)


                            class ControllerAssignedIntfEntryList(Entity):
                                """
                                
                                
                                .. attribute:: intfname  (key)
                                
                                	IntfName
                                	**type**\: str
                                
                                .. attribute:: pcid
                                
                                	Identity of the Port channel
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: type
                                
                                	Type of the interface
                                	**type**\:  :py:class:`AggregateIntfType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateIntfType>`
                                
                                .. attribute:: mode
                                
                                	Suggest if interface is dedicated to controller or shared between CLI
                                	**type**\:  :py:class:`AggregateIntfAssignMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateIntfAssignMode>`
                                
                                .. attribute:: published
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems.ControllerAssignedIntfEntryList, self).__init__()

                                    self.yang_name = "ControllerAssignedIntfEntry-list"
                                    self.yang_parent_name = "controllerAssignedIntfEntry-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['intfname']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('intfname', (YLeaf(YType.str, 'intfName'), ['str'])),
                                        ('pcid', (YLeaf(YType.uint16, 'pcId'), ['int'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateIntfType', '')])),
                                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateIntfAssignMode', '')])),
                                        ('published', (YLeaf(YType.boolean, 'published'), ['bool'])),
                                    ])
                                    self.intfname = None
                                    self.pcid = None
                                    self.type = None
                                    self.mode = None
                                    self.published = None
                                    self._segment_path = lambda: "ControllerAssignedIntfEntry-list" + "[intfName='" + str(self.intfname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.SystemTableItems.ControllerTableItems.ControllerItems.ControllerEntryList.ControllerAssignedIntfTableItems.ControllerAssignedIntfEntryItems.ControllerAssignedIntfEntryList, ['intfname', 'pcid', 'type', 'mode', 'published'], name, value)








        class CpuTableItems(Entity):
            """
            
            
            .. attribute:: cpuentry_items
            
            	
            	**type**\:  :py:class:`CpuEntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.CpuTableItems.CpuEntryItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SystemTableItems.CpuTableItems, self).__init__()

                self.yang_name = "cpuTable-items"
                self.yang_parent_name = "systemTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("cpuEntry-items", ("cpuentry_items", System.SystemTableItems.CpuTableItems.CpuEntryItems))])
                self._leafs = OrderedDict()

                self.cpuentry_items = System.SystemTableItems.CpuTableItems.CpuEntryItems()
                self.cpuentry_items.parent = self
                self._children_name_map["cpuentry_items"] = "cpuEntry-items"
                self._segment_path = lambda: "cpuTable-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SystemTableItems.CpuTableItems, [], name, value)


            class CpuEntryItems(Entity):
                """
                
                
                .. attribute:: cpuentry_list
                
                	
                	**type**\: list of  		 :py:class:`CPUEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.CpuTableItems.CpuEntryItems.CPUEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SystemTableItems.CpuTableItems.CpuEntryItems, self).__init__()

                    self.yang_name = "cpuEntry-items"
                    self.yang_parent_name = "cpuTable-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("CPUEntry-list", ("cpuentry_list", System.SystemTableItems.CpuTableItems.CpuEntryItems.CPUEntryList))])
                    self._leafs = OrderedDict()

                    self.cpuentry_list = YList(self)
                    self._segment_path = lambda: "cpuEntry-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/cpuTable-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SystemTableItems.CpuTableItems.CpuEntryItems, [], name, value)


                class CPUEntryList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	CPU Type
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SystemTableItems.CpuTableItems.CpuEntryItems.CPUEntryList, self).__init__()

                        self.yang_name = "CPUEntry-list"
                        self.yang_parent_name = "cpuEntry-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.str, 'type'), ['str'])),
                        ])
                        self.type = None
                        self._segment_path = lambda: "CPUEntry-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/cpuTable-items/cpuEntry-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SystemTableItems.CpuTableItems.CpuEntryItems.CPUEntryList, ['type'], name, value)





        class ModuleTableItems(Entity):
            """
            
            
            .. attribute:: moduleentry_items
            
            	
            	**type**\:  :py:class:`ModuleEntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ModuleTableItems.ModuleEntryItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SystemTableItems.ModuleTableItems, self).__init__()

                self.yang_name = "moduleTable-items"
                self.yang_parent_name = "systemTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("moduleEntry-items", ("moduleentry_items", System.SystemTableItems.ModuleTableItems.ModuleEntryItems))])
                self._leafs = OrderedDict()

                self.moduleentry_items = System.SystemTableItems.ModuleTableItems.ModuleEntryItems()
                self.moduleentry_items.parent = self
                self._children_name_map["moduleentry_items"] = "moduleEntry-items"
                self._segment_path = lambda: "moduleTable-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SystemTableItems.ModuleTableItems, [], name, value)


            class ModuleEntryItems(Entity):
                """
                
                
                .. attribute:: moduleentry_list
                
                	
                	**type**\: list of  		 :py:class:`ModuleEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ModuleTableItems.ModuleEntryItems.ModuleEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SystemTableItems.ModuleTableItems.ModuleEntryItems, self).__init__()

                    self.yang_name = "moduleEntry-items"
                    self.yang_parent_name = "moduleTable-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ModuleEntry-list", ("moduleentry_list", System.SystemTableItems.ModuleTableItems.ModuleEntryItems.ModuleEntryList))])
                    self._leafs = OrderedDict()

                    self.moduleentry_list = YList(self)
                    self._segment_path = lambda: "moduleEntry-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/moduleTable-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SystemTableItems.ModuleTableItems.ModuleEntryItems, [], name, value)


                class ModuleEntryList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SystemTableItems.ModuleTableItems.ModuleEntryItems.ModuleEntryList, self).__init__()

                        self.yang_name = "ModuleEntry-list"
                        self.yang_parent_name = "moduleEntry-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.str, 'type'), ['str'])),
                        ])
                        self.type = None
                        self._segment_path = lambda: "ModuleEntry-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/moduleTable-items/moduleEntry-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SystemTableItems.ModuleTableItems.ModuleEntryItems.ModuleEntryList, ['type'], name, value)





        class VxlanTableItems(Entity):
            """
            
            
            .. attribute:: intf_items
            
            	
            	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.VxlanTableItems.IntfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SystemTableItems.VxlanTableItems, self).__init__()

                self.yang_name = "vxlanTable-items"
                self.yang_parent_name = "systemTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("intf-items", ("intf_items", System.SystemTableItems.VxlanTableItems.IntfItems))])
                self._leafs = OrderedDict()

                self.intf_items = System.SystemTableItems.VxlanTableItems.IntfItems()
                self.intf_items.parent = self
                self._children_name_map["intf_items"] = "intf-items"
                self._segment_path = lambda: "vxlanTable-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SystemTableItems.VxlanTableItems, [], name, value)


            class IntfItems(Entity):
                """
                
                
                .. attribute:: vxlaninterfaceentry_list
                
                	
                	**type**\: list of  		 :py:class:`VxlanInterfaceEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SystemTableItems.VxlanTableItems.IntfItems, self).__init__()

                    self.yang_name = "intf-items"
                    self.yang_parent_name = "vxlanTable-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VxlanInterfaceEntry-list", ("vxlaninterfaceentry_list", System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList))])
                    self._leafs = OrderedDict()

                    self.vxlaninterfaceentry_list = YList(self)
                    self._segment_path = lambda: "intf-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/vxlanTable-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SystemTableItems.VxlanTableItems.IntfItems, [], name, value)


                class VxlanInterfaceEntryList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: mytepstatus
                    
                    	MyTepStatus
                    	**type**\:  :py:class:`AggregateOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: hostreachability
                    
                    	HostReachability
                    	**type**\:  :py:class:`AggregateHostReachabilityMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateHostReachabilityMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: controllerid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configsource
                    
                    	configSource
                    	**type**\:  :py:class:`AggregateConfigSourceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateConfigSourceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: primarytunnelip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: secondarytunnelip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: localbfd_items
                    
                    	
                    	**type**\:  :py:class:`LocalBfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList.LocalBfdItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList, self).__init__()

                        self.yang_name = "VxlanInterfaceEntry-list"
                        self.yang_parent_name = "intf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("localBfd-items", ("localbfd_items", System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList.LocalBfdItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('mytepstatus', (YLeaf(YType.enumeration, 'myTepStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateOperState', '')])),
                            ('hostreachability', (YLeaf(YType.enumeration, 'hostReachability'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateHostReachabilityMode', '')])),
                            ('controllerid', (YLeaf(YType.uint32, 'controllerId'), ['int'])),
                            ('configsource', (YLeaf(YType.enumeration, 'configSource'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateConfigSourceType', '')])),
                            ('primarytunnelip', (YLeaf(YType.str, 'primaryTunnelIp'), ['str','str'])),
                            ('secondarytunnelip', (YLeaf(YType.str, 'secondaryTunnelIp'), ['str','str'])),
                        ])
                        self.name = None
                        self.mytepstatus = None
                        self.hostreachability = None
                        self.controllerid = None
                        self.configsource = None
                        self.primarytunnelip = None
                        self.secondarytunnelip = None

                        self.localbfd_items = System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList.LocalBfdItems()
                        self.localbfd_items.parent = self
                        self._children_name_map["localbfd_items"] = "localBfd-items"
                        self._segment_path = lambda: "VxlanInterfaceEntry-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/vxlanTable-items/intf-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList, ['name', 'mytepstatus', 'hostreachability', 'controllerid', 'configsource', 'primarytunnelip', 'secondarytunnelip'], name, value)


                    class LocalBfdItems(Entity):
                        """
                        
                        
                        .. attribute:: mac
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mintxintvl
                        
                        	Desired Minimum TX Interval
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        	**config**\: False
                        
                        .. attribute:: minrxintvl
                        
                        	Desired Minimum RX Interval
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList.LocalBfdItems, self).__init__()

                            self.yang_name = "localBfd-items"
                            self.yang_parent_name = "VxlanInterfaceEntry-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                                ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                            ])
                            self.mac = None
                            self.ip = None
                            self.mintxintvl = None
                            self.minrxintvl = None
                            self._segment_path = lambda: "localBfd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SystemTableItems.VxlanTableItems.IntfItems.VxlanInterfaceEntryList.LocalBfdItems, ['mac', 'ip', 'mintxintvl', 'minrxintvl'], name, value)






        class ShadowVxlanTableItems(Entity):
            """
            
            
            .. attribute:: intf_items
            
            	
            	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ShadowVxlanTableItems.IntfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SystemTableItems.ShadowVxlanTableItems, self).__init__()

                self.yang_name = "shadowVxlanTable-items"
                self.yang_parent_name = "systemTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("intf-items", ("intf_items", System.SystemTableItems.ShadowVxlanTableItems.IntfItems))])
                self._leafs = OrderedDict()

                self.intf_items = System.SystemTableItems.ShadowVxlanTableItems.IntfItems()
                self.intf_items.parent = self
                self._children_name_map["intf_items"] = "intf-items"
                self._segment_path = lambda: "shadowVxlanTable-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SystemTableItems.ShadowVxlanTableItems, [], name, value)


            class IntfItems(Entity):
                """
                
                
                .. attribute:: shadowvxlaninterfaceentry_list
                
                	
                	**type**\: list of  		 :py:class:`ShadowVxlanInterfaceEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SystemTableItems.ShadowVxlanTableItems.IntfItems.ShadowVxlanInterfaceEntryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SystemTableItems.ShadowVxlanTableItems.IntfItems, self).__init__()

                    self.yang_name = "intf-items"
                    self.yang_parent_name = "shadowVxlanTable-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ShadowVxlanInterfaceEntry-list", ("shadowvxlaninterfaceentry_list", System.SystemTableItems.ShadowVxlanTableItems.IntfItems.ShadowVxlanInterfaceEntryList))])
                    self._leafs = OrderedDict()

                    self.shadowvxlaninterfaceentry_list = YList(self)
                    self._segment_path = lambda: "intf-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/shadowVxlanTable-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SystemTableItems.ShadowVxlanTableItems.IntfItems, [], name, value)


                class ShadowVxlanInterfaceEntryList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: mytepstatus
                    
                    	MyTepStatus
                    	**type**\:  :py:class:`AggregateOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: hostreachability
                    
                    	HostReachability
                    	**type**\:  :py:class:`AggregateHostReachabilityMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateHostReachabilityMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: controllerid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configsource
                    
                    	configSource
                    	**type**\:  :py:class:`AggregateConfigSourceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateConfigSourceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: primarytunnelip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: secondarytunnelip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SystemTableItems.ShadowVxlanTableItems.IntfItems.ShadowVxlanInterfaceEntryList, self).__init__()

                        self.yang_name = "ShadowVxlanInterfaceEntry-list"
                        self.yang_parent_name = "intf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('mytepstatus', (YLeaf(YType.enumeration, 'myTepStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateOperState', '')])),
                            ('hostreachability', (YLeaf(YType.enumeration, 'hostReachability'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateHostReachabilityMode', '')])),
                            ('controllerid', (YLeaf(YType.uint32, 'controllerId'), ['int'])),
                            ('configsource', (YLeaf(YType.enumeration, 'configSource'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateConfigSourceType', '')])),
                            ('primarytunnelip', (YLeaf(YType.str, 'primaryTunnelIp'), ['str','str'])),
                            ('secondarytunnelip', (YLeaf(YType.str, 'secondaryTunnelIp'), ['str','str'])),
                        ])
                        self.name = None
                        self.mytepstatus = None
                        self.hostreachability = None
                        self.controllerid = None
                        self.configsource = None
                        self.primarytunnelip = None
                        self.secondarytunnelip = None
                        self._segment_path = lambda: "ShadowVxlanInterfaceEntry-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/systemTable-items/shadowVxlanTable-items/intf-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SystemTableItems.ShadowVxlanTableItems.IntfItems.ShadowVxlanInterfaceEntryList, ['name', 'mytepstatus', 'hostreachability', 'controllerid', 'configsource', 'primarytunnelip', 'secondarytunnelip'], name, value)






    class TunnelIntfTableItems(Entity):
        """
        
        
        .. attribute:: intf_items
        
        	
        	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TunnelIntfTableItems, self).__init__()

            self.yang_name = "tunnelIntfTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("intf-items", ("intf_items", System.TunnelIntfTableItems.IntfItems))])
            self._leafs = OrderedDict()

            self.intf_items = System.TunnelIntfTableItems.IntfItems()
            self.intf_items.parent = self
            self._children_name_map["intf_items"] = "intf-items"
            self._segment_path = lambda: "tunnelIntfTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TunnelIntfTableItems, [], name, value)


        class IntfItems(Entity):
            """
            
            
            .. attribute:: tunnelintfentry_list
            
            	
            	**type**\: list of  		 :py:class:`TunnelIntfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TunnelIntfTableItems.IntfItems, self).__init__()

                self.yang_name = "intf-items"
                self.yang_parent_name = "tunnelIntfTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("TunnelIntfEntry-list", ("tunnelintfentry_list", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList))])
                self._leafs = OrderedDict()

                self.tunnelintfentry_list = YList(self)
                self._segment_path = lambda: "intf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tunnelIntfTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TunnelIntfTableItems.IntfItems, [], name, value)


            class TunnelIntfEntryList(Entity):
                """
                
                
                .. attribute:: destip  (key)
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: ifid
                
                	Unique tunnel interface Id
                	**type**\: str
                
                .. attribute:: type
                
                	Indicate if the tunnel is of IPv4 or IPv6 type
                	**type**\:  :py:class:`AggregateTunnelType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateTunnelType>`
                
                .. attribute:: srcip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: mtu
                
                	Size of MTU on the tunnel interface
                	**type**\: int
                
                	**range:** 1..9216
                
                .. attribute:: state
                
                	Operational state of the tunnel interface
                	**type**\:  :py:class:`AggregateOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateOperState>`
                
                .. attribute:: vrf
                
                	The name of the VRF that is supported by this tunnel
                	**type**\: str
                
                .. attribute:: ipvnidbinding
                
                	Indicates if the L3 VNID binding is established or not
                	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                
                .. attribute:: istunnelcreated
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                	**default value**\: true
                
                .. attribute:: istunnelcreatedbycontroller
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                	**default value**\: true
                
                .. attribute:: noofmacsseenbeforetunnelcreatedbycontroller
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: eptype
                
                	The type of the tunnel endpoint
                	**type**\: str
                
                .. attribute:: tunmactable_items
                
                	
                	**type**\:  :py:class:`TunMacTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems>`
                
                .. attribute:: vnidtable_items
                
                	
                	**type**\:  :py:class:`VnidTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems>`
                
                .. attribute:: remotebfd_items
                
                	
                	**type**\:  :py:class:`RemoteBfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RemoteBfdItems>`
                
                .. attribute:: rtaggregatevtepatt_items
                
                	
                	**type**\:  :py:class:`RtaggregateVtepAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList, self).__init__()

                    self.yang_name = "TunnelIntfEntry-list"
                    self.yang_parent_name = "intf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['destip']
                    self._child_classes = OrderedDict([("tunMacTable-items", ("tunmactable_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems)), ("vnidTable-items", ("vnidtable_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems)), ("remoteBfd-items", ("remotebfd_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RemoteBfdItems)), ("rtaggregateVtepAtt-items", ("rtaggregatevtepatt_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems))])
                    self._leafs = OrderedDict([
                        ('destip', (YLeaf(YType.str, 'destIp'), ['str','str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateTunnelType', '')])),
                        ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateOperState', '')])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('ipvnidbinding', (YLeaf(YType.enumeration, 'ipVnidBinding'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                        ('istunnelcreated', (YLeaf(YType.boolean, 'isTunnelCreated'), ['bool'])),
                        ('istunnelcreatedbycontroller', (YLeaf(YType.boolean, 'isTunnelCreatedByController'), ['bool'])),
                        ('noofmacsseenbeforetunnelcreatedbycontroller', (YLeaf(YType.uint32, 'noOfMacsSeenBeforeTunnelCreatedbyController'), ['int'])),
                        ('eptype', (YLeaf(YType.str, 'epType'), ['str'])),
                    ])
                    self.destip = None
                    self.description = None
                    self.ifid = None
                    self.type = None
                    self.srcip = None
                    self.mtu = None
                    self.state = None
                    self.vrf = None
                    self.ipvnidbinding = None
                    self.istunnelcreated = None
                    self.istunnelcreatedbycontroller = None
                    self.noofmacsseenbeforetunnelcreatedbycontroller = None
                    self.eptype = None

                    self.tunmactable_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems()
                    self.tunmactable_items.parent = self
                    self._children_name_map["tunmactable_items"] = "tunMacTable-items"

                    self.vnidtable_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems()
                    self.vnidtable_items.parent = self
                    self._children_name_map["vnidtable_items"] = "vnidTable-items"

                    self.remotebfd_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RemoteBfdItems()
                    self.remotebfd_items.parent = self
                    self._children_name_map["remotebfd_items"] = "remoteBfd-items"

                    self.rtaggregatevtepatt_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems()
                    self.rtaggregatevtepatt_items.parent = self
                    self._children_name_map["rtaggregatevtepatt_items"] = "rtaggregateVtepAtt-items"
                    self._segment_path = lambda: "TunnelIntfEntry-list" + "[destIp='" + str(self.destip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tunnelIntfTable-items/intf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList, ['destip', 'description', 'ifid', 'type', 'srcip', 'mtu', 'state', 'vrf', 'ipvnidbinding', 'istunnelcreated', 'istunnelcreatedbycontroller', 'noofmacsseenbeforetunnelcreatedbycontroller', 'eptype'], name, value)


                class TunMacTableItems(Entity):
                    """
                    
                    
                    .. attribute:: rsmac_items
                    
                    	
                    	**type**\:  :py:class:`RsmacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems, self).__init__()

                        self.yang_name = "tunMacTable-items"
                        self.yang_parent_name = "TunnelIntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("rsmac-items", ("rsmac_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems))])
                        self._leafs = OrderedDict()

                        self.rsmac_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems()
                        self.rsmac_items.parent = self
                        self._children_name_map["rsmac_items"] = "rsmac-items"
                        self._segment_path = lambda: "tunMacTable-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems, [], name, value)


                    class RsmacItems(Entity):
                        """
                        
                        
                        .. attribute:: rsmac_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsMacList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems.RsMacList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems, self).__init__()

                            self.yang_name = "rsmac-items"
                            self.yang_parent_name = "tunMacTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsMac-list", ("rsmac_list", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems.RsMacList))])
                            self._leafs = OrderedDict()

                            self.rsmac_list = YList(self)
                            self._segment_path = lambda: "rsmac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems, [], name, value)


                        class RsMacList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems.RsMacList, self).__init__()

                                self.yang_name = "RsMac-list"
                                self.yang_parent_name = "rsmac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsMac-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.TunMacTableItems.RsmacItems.RsMacList, ['tdn', 'tcl'], name, value)





                class VnidTableItems(Entity):
                    """
                    
                    
                    .. attribute:: vnid_items
                    
                    	
                    	**type**\:  :py:class:`VnidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems, self).__init__()

                        self.yang_name = "vnidTable-items"
                        self.yang_parent_name = "TunnelIntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vnid-items", ("vnid_items", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems))])
                        self._leafs = OrderedDict()

                        self.vnid_items = System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems()
                        self.vnid_items.parent = self
                        self._children_name_map["vnid_items"] = "vnid-items"
                        self._segment_path = lambda: "vnidTable-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems, [], name, value)


                    class VnidItems(Entity):
                        """
                        
                        
                        .. attribute:: vnidentry_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VnidEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems.VnidEntryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems, self).__init__()

                            self.yang_name = "vnid-items"
                            self.yang_parent_name = "vnidTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VnidEntry-list", ("vnidentry_list", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems.VnidEntryList))])
                            self._leafs = OrderedDict()

                            self.vnidentry_list = YList(self)
                            self._segment_path = lambda: "vnid-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems, [], name, value)


                        class VnidEntryList(Entity):
                            """
                            
                            
                            .. attribute:: vnid  (key)
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: groupaddr
                            
                            	GroupAddr
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems.VnidEntryList, self).__init__()

                                self.yang_name = "VnidEntry-list"
                                self.yang_parent_name = "vnid-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vnid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                                    ('groupaddr', (YLeaf(YType.str, 'groupAddr'), ['str'])),
                                ])
                                self.vnid = None
                                self.groupaddr = None
                                self._segment_path = lambda: "VnidEntry-list" + "[vnid='" + str(self.vnid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.VnidTableItems.VnidItems.VnidEntryList, ['vnid', 'groupaddr'], name, value)





                class RemoteBfdItems(Entity):
                    """
                    
                    
                    .. attribute:: bfdstatus
                    
                    	Vnid
                    	**type**\:  :py:class:`AggregateBfdStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBfdStatus>`
                    
                    .. attribute:: mac
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: mintxintvl
                    
                    	Desired Minimum TX Interval
                    	**type**\: int
                    
                    	**range:** 0..999
                    
                    .. attribute:: minrxintvl
                    
                    	Desired Minimum RX Interval
                    	**type**\: int
                    
                    	**range:** 0..999
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RemoteBfdItems, self).__init__()

                        self.yang_name = "remoteBfd-items"
                        self.yang_parent_name = "TunnelIntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('bfdstatus', (YLeaf(YType.enumeration, 'bfdStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBfdStatus', '')])),
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                            ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                            ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                        ])
                        self.bfdstatus = None
                        self.mac = None
                        self.ip = None
                        self.mintxintvl = None
                        self.minrxintvl = None
                        self._segment_path = lambda: "remoteBfd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RemoteBfdItems, ['bfdstatus', 'mac', 'ip', 'mintxintvl', 'minrxintvl'], name, value)



                class RtaggregateVtepAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtaggregatevtepatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtAggregateVtepAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems.RtAggregateVtepAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems, self).__init__()

                        self.yang_name = "rtaggregateVtepAtt-items"
                        self.yang_parent_name = "TunnelIntfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtAggregateVtepAtt-list", ("rtaggregatevtepatt_list", System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems.RtAggregateVtepAttList))])
                        self._leafs = OrderedDict()

                        self.rtaggregatevtepatt_list = YList(self)
                        self._segment_path = lambda: "rtaggregateVtepAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems, [], name, value)


                    class RtAggregateVtepAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems.RtAggregateVtepAttList, self).__init__()

                            self.yang_name = "RtAggregateVtepAtt-list"
                            self.yang_parent_name = "rtaggregateVtepAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtAggregateVtepAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelIntfTableItems.IntfItems.TunnelIntfEntryList.RtaggregateVtepAttItems.RtAggregateVtepAttList, ['tdn', 'tcl'], name, value)







    class VlanTableItems(Entity):
        """
        
        
        .. attribute:: vlan_items
        
        	
        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanTableItems.VlanItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VlanTableItems, self).__init__()

            self.yang_name = "vlanTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.VlanTableItems.VlanItems))])
            self._leafs = OrderedDict()

            self.vlan_items = System.VlanTableItems.VlanItems()
            self.vlan_items.parent = self
            self._children_name_map["vlan_items"] = "vlan-items"
            self._segment_path = lambda: "vlanTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VlanTableItems, [], name, value)


        class VlanItems(Entity):
            """
            
            
            .. attribute:: vlanentry_list
            
            	
            	**type**\: list of  		 :py:class:`VlanEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanTableItems.VlanItems.VlanEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VlanTableItems.VlanItems, self).__init__()

                self.yang_name = "vlan-items"
                self.yang_parent_name = "vlanTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VlanEntry-list", ("vlanentry_list", System.VlanTableItems.VlanItems.VlanEntryList))])
                self._leafs = OrderedDict()

                self.vlanentry_list = YList(self)
                self._segment_path = lambda: "vlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vlanTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VlanTableItems.VlanItems, [], name, value)


            class VlanEntryList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: str
                
                .. attribute:: adminstate
                
                	AdminState
                	**type**\:  :py:class:`AggregateAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAdminState>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VlanTableItems.VlanItems.VlanEntryList, self).__init__()

                    self.yang_name = "VlanEntry-list"
                    self.yang_parent_name = "vlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAdminState', '')])),
                    ])
                    self.id = None
                    self.adminstate = None
                    self._segment_path = lambda: "VlanEntry-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vlanTable-items/vlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VlanTableItems.VlanItems.VlanEntryList, ['id', 'adminstate'], name, value)





    class VpcDomTableItems(Entity):
        """
        
        
        .. attribute:: vpcdom_items
        
        	
        	**type**\:  :py:class:`VpcDomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VpcDomTableItems, self).__init__()

            self.yang_name = "vpcDomTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vpcDom-items", ("vpcdom_items", System.VpcDomTableItems.VpcDomItems))])
            self._leafs = OrderedDict()

            self.vpcdom_items = System.VpcDomTableItems.VpcDomItems()
            self.vpcdom_items.parent = self
            self._children_name_map["vpcdom_items"] = "vpcDom-items"
            self._segment_path = lambda: "vpcDomTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VpcDomTableItems, [], name, value)


        class VpcDomItems(Entity):
            """
            
            
            .. attribute:: vpcdomentry_list
            
            	
            	**type**\: list of  		 :py:class:`VpcDomEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VpcDomTableItems.VpcDomItems, self).__init__()

                self.yang_name = "vpcDom-items"
                self.yang_parent_name = "vpcDomTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VpcDomEntry-list", ("vpcdomentry_list", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList))])
                self._leafs = OrderedDict()

                self.vpcdomentry_list = YList(self)
                self._segment_path = lambda: "vpcDom-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpcDomTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VpcDomTableItems.VpcDomItems, [], name, value)


            class VpcDomEntryList(Entity):
                """
                
                
                .. attribute:: domainid  (key)
                
                	The unique VPC domain Id
                	**type**\: int
                
                	**range:** 1..1000
                
                .. attribute:: keepalivedestip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: keepalivesrcip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: virtualip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: peerip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: keepalivests
                
                	Keep alive status between the VPC pair switches
                	**type**\:  :py:class:`AggregateVpcKeepaliveStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateVpcKeepaliveStatus>`
                
                	**config**\: False
                
                .. attribute:: peerlinksts
                
                	Peer Link Status between the VPC pair switches
                	**type**\:  :py:class:`AggregateVpcPeerLinkStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateVpcPeerLinkStatus>`
                
                	**config**\: False
                
                .. attribute:: vpcrole
                
                	Indicates if the switch is primary or secondary in the VPC pair
                	**type**\:  :py:class:`VpcRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcRole>`
                
                	**config**\: False
                
                .. attribute:: peergw
                
                	
                	**type**\: bool
                
                .. attribute:: dualactive
                
                	
                	**type**\: bool
                
                .. attribute:: peerlinkif
                
                	Port channel interface of the peer link
                	**type**\: str
                
                .. attribute:: vpctable_items
                
                	
                	**type**\:  :py:class:`VpcTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList, self).__init__()

                    self.yang_name = "VpcDomEntry-list"
                    self.yang_parent_name = "vpcDom-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['domainid']
                    self._child_classes = OrderedDict([("vpcTable-items", ("vpctable_items", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems))])
                    self._leafs = OrderedDict([
                        ('domainid', (YLeaf(YType.uint16, 'domainId'), ['int'])),
                        ('keepalivedestip', (YLeaf(YType.str, 'keepaliveDestIp'), ['str','str'])),
                        ('keepalivesrcip', (YLeaf(YType.str, 'keepaliveSrcIp'), ['str','str'])),
                        ('virtualip', (YLeaf(YType.str, 'virtualIp'), ['str','str'])),
                        ('peerip', (YLeaf(YType.str, 'peerIp'), ['str','str'])),
                        ('keepalivests', (YLeaf(YType.enumeration, 'keepaliveSts'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateVpcKeepaliveStatus', '')])),
                        ('peerlinksts', (YLeaf(YType.enumeration, 'peerLinkSts'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateVpcPeerLinkStatus', '')])),
                        ('vpcrole', (YLeaf(YType.enumeration, 'vpcRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcRole', '')])),
                        ('peergw', (YLeaf(YType.boolean, 'peerGW'), ['bool'])),
                        ('dualactive', (YLeaf(YType.boolean, 'dualActive'), ['bool'])),
                        ('peerlinkif', (YLeaf(YType.str, 'peerLinkIf'), ['str'])),
                    ])
                    self.domainid = None
                    self.keepalivedestip = None
                    self.keepalivesrcip = None
                    self.virtualip = None
                    self.peerip = None
                    self.keepalivests = None
                    self.peerlinksts = None
                    self.vpcrole = None
                    self.peergw = None
                    self.dualactive = None
                    self.peerlinkif = None

                    self.vpctable_items = System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems()
                    self.vpctable_items.parent = self
                    self._children_name_map["vpctable_items"] = "vpcTable-items"
                    self._segment_path = lambda: "VpcDomEntry-list" + "[domainId='" + str(self.domainid) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vpcDomTable-items/vpcDom-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList, ['domainid', 'keepalivedestip', 'keepalivesrcip', 'virtualip', 'peerip', 'keepalivests', 'peerlinksts', 'vpcrole', 'peergw', 'dualactive', 'peerlinkif'], name, value)


                class VpcTableItems(Entity):
                    """
                    
                    
                    .. attribute:: vpc_items
                    
                    	
                    	**type**\:  :py:class:`VpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems, self).__init__()

                        self.yang_name = "vpcTable-items"
                        self.yang_parent_name = "VpcDomEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vpc-items", ("vpc_items", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems))])
                        self._leafs = OrderedDict()

                        self.vpc_items = System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems()
                        self.vpc_items.parent = self
                        self._children_name_map["vpc_items"] = "vpc-items"
                        self._segment_path = lambda: "vpcTable-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems, [], name, value)


                    class VpcItems(Entity):
                        """
                        
                        
                        .. attribute:: vpcentry_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VpcEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems, self).__init__()

                            self.yang_name = "vpc-items"
                            self.yang_parent_name = "vpcTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VpcEntry-list", ("vpcentry_list", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList))])
                            self._leafs = OrderedDict()

                            self.vpcentry_list = YList(self)
                            self._segment_path = lambda: "vpc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems, [], name, value)


                        class VpcEntryList(Entity):
                            """
                            
                            
                            .. attribute:: vpcnum  (key)
                            
                            	Unique number identifying this Vpc pair
                            	**type**\: int
                            
                            	**range:** 1..16384
                            
                            .. attribute:: ifid
                            
                            	VPC port channel number
                            	**type**\: str
                            
                            .. attribute:: operstate
                            
                            	Operationsl status of the VPC port channel
                            	**type**\:  :py:class:`AggregateVpcOperStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateVpcOperStatus>`
                            
                            .. attribute:: conschecksts
                            
                            	Indication of whether consistency checks have passed or failed
                            	**type**\:  :py:class:`VpcCompatSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VpcCompatSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: conscheckreason
                            
                            	Provides a reason why consistency check have failed
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcintf_items
                            
                            	
                            	**type**\:  :py:class:`VpcintfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList, self).__init__()

                                self.yang_name = "VpcEntry-list"
                                self.yang_parent_name = "vpc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vpcnum']
                                self._child_classes = OrderedDict([("vpcintf-items", ("vpcintf_items", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems))])
                                self._leafs = OrderedDict([
                                    ('vpcnum', (YLeaf(YType.uint16, 'vpcnum'), ['int'])),
                                    ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                    ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateVpcOperStatus', '')])),
                                    ('conschecksts', (YLeaf(YType.enumeration, 'consCheckSts'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VpcCompatSt', '')])),
                                    ('conscheckreason', (YLeaf(YType.uint32, 'consCheckReason'), ['int'])),
                                ])
                                self.vpcnum = None
                                self.ifid = None
                                self.operstate = None
                                self.conschecksts = None
                                self.conscheckreason = None

                                self.vpcintf_items = System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems()
                                self.vpcintf_items.parent = self
                                self._children_name_map["vpcintf_items"] = "vpcintf-items"
                                self._segment_path = lambda: "VpcEntry-list" + "[vpcnum='" + str(self.vpcnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList, ['vpcnum', 'ifid', 'operstate', 'conschecksts', 'conscheckreason'], name, value)


                            class VpcintfItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvpcintfentryatt_items
                                
                                	
                                	**type**\:  :py:class:`RsvpcIntfEntryAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems.RsvpcIntfEntryAttItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems, self).__init__()

                                    self.yang_name = "vpcintf-items"
                                    self.yang_parent_name = "VpcEntry-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rsvpcIntfEntryAtt-items", ("rsvpcintfentryatt_items", System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems.RsvpcIntfEntryAttItems))])
                                    self._leafs = OrderedDict()

                                    self.rsvpcintfentryatt_items = System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems.RsvpcIntfEntryAttItems()
                                    self.rsvpcintfentryatt_items.parent = self
                                    self._children_name_map["rsvpcintfentryatt_items"] = "rsvpcIntfEntryAtt-items"
                                    self._segment_path = lambda: "vpcintf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems, [], name, value)


                                class RsvpcIntfEntryAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems.RsvpcIntfEntryAttItems, self).__init__()

                                        self.yang_name = "rsvpcIntfEntryAtt-items"
                                        self.yang_parent_name = "vpcintf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rsvpcIntfEntryAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VpcDomTableItems.VpcDomItems.VpcDomEntryList.VpcTableItems.VpcItems.VpcEntryList.VpcintfItems.RsvpcIntfEntryAttItems, ['tdn', 'tcl'], name, value)










    class VrfTableItems(Entity):
        """
        
        
        .. attribute:: vrf_items
        
        	
        	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VrfTableItems, self).__init__()

            self.yang_name = "vrfTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.VrfTableItems.VrfItems))])
            self._leafs = OrderedDict()

            self.vrf_items = System.VrfTableItems.VrfItems()
            self.vrf_items.parent = self
            self._children_name_map["vrf_items"] = "vrf-items"
            self._segment_path = lambda: "vrfTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VrfTableItems, [], name, value)


        class VrfItems(Entity):
            """
            
            
            .. attribute:: vrfentry_list
            
            	
            	**type**\: list of  		 :py:class:`VrfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VrfTableItems.VrfItems, self).__init__()

                self.yang_name = "vrf-items"
                self.yang_parent_name = "vrfTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VrfEntry-list", ("vrfentry_list", System.VrfTableItems.VrfItems.VrfEntryList))])
                self._leafs = OrderedDict()

                self.vrfentry_list = YList(self)
                self._segment_path = lambda: "vrf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrfTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VrfTableItems.VrfItems, [], name, value)


            class VrfEntryList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name of the VRF instance
                	**type**\: str
                
                .. attribute:: genname
                
                	Generic name of the VRF instance
                	**type**\: str
                
                .. attribute:: ctrlrid
                
                	Id of the controller this VRF is assigned to
                	**type**\: int
                
                	**range:** 0..16
                
                .. attribute:: vnid
                
                	
                	**type**\: str
                
                .. attribute:: rd
                
                	
                	**type**\: str
                
                .. attribute:: genextrart
                
                	
                	**type**\: bool
                
                .. attribute:: templatename
                
                	
                	**type**\: str
                
                .. attribute:: templatestatus
                
                	Indicates the execution status of the config template
                	**type**\:  :py:class:`AggregateConfTmplStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateConfTmplStatus>`
                
                	**config**\: False
                
                .. attribute:: shdwtemplatename
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: shdwvrfgenname
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: af_items
                
                	
                	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VrfTableItems.VrfItems.VrfEntryList, self).__init__()

                    self.yang_name = "VrfEntry-list"
                    self.yang_parent_name = "vrf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("af-items", ("af_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('genname', (YLeaf(YType.str, 'genName'), ['str'])),
                        ('ctrlrid', (YLeaf(YType.uint32, 'ctrlrId'), ['int'])),
                        ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                        ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                        ('genextrart', (YLeaf(YType.boolean, 'genExtraRt'), ['bool'])),
                        ('templatename', (YLeaf(YType.str, 'templateName'), ['str'])),
                        ('templatestatus', (YLeaf(YType.enumeration, 'templateStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateConfTmplStatus', '')])),
                        ('shdwtemplatename', (YLeaf(YType.str, 'shdwTemplateName'), ['str'])),
                        ('shdwvrfgenname', (YLeaf(YType.str, 'shdwVrfGenName'), ['str'])),
                    ])
                    self.name = None
                    self.genname = None
                    self.ctrlrid = None
                    self.vnid = None
                    self.rd = None
                    self.genextrart = None
                    self.templatename = None
                    self.templatestatus = None
                    self.shdwtemplatename = None
                    self.shdwvrfgenname = None

                    self.af_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems()
                    self.af_items.parent = self
                    self._children_name_map["af_items"] = "af-items"
                    self._segment_path = lambda: "VrfEntry-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrfTable-items/vrf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList, ['name', 'genname', 'ctrlrid', 'vnid', 'rd', 'genextrart', 'templatename', 'templatestatus', 'shdwtemplatename', 'shdwvrfgenname'], name, value)


                class AfItems(Entity):
                    """
                    
                    
                    .. attribute:: domainaf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomainAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems, self).__init__()

                        self.yang_name = "af-items"
                        self.yang_parent_name = "VrfEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DomainAf-list", ("domainaf_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList))])
                        self._leafs = OrderedDict()

                        self.domainaf_list = YList(self)
                        self._segment_path = lambda: "af-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems, [], name, value)


                    class DomainAfList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`AggregateAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAfT>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rd
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rttp_items
                        
                        	
                        	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems>`
                        
                        .. attribute:: ctrl_items
                        
                        	
                        	**type**\:  :py:class:`CtrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList, self).__init__()

                            self.yang_name = "DomainAf-list"
                            self.yang_parent_name = "af-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems)), ("ctrl-items", ("ctrl_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAfT', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                            ])
                            self.type = None
                            self.vrf = None
                            self.rd = None

                            self.rttp_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems()
                            self.rttp_items.parent = self
                            self._children_name_map["rttp_items"] = "rttp-items"

                            self.ctrl_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems()
                            self.ctrl_items.parent = self
                            self._children_name_map["ctrl_items"] = "ctrl-items"
                            self._segment_path = lambda: "DomainAf-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList, ['type', 'vrf', 'rd'], name, value)


                        class RttpItems(Entity):
                            """
                            
                            
                            .. attribute:: rttp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems, self).__init__()

                                self.yang_name = "rttp-items"
                                self.yang_parent_name = "DomainAf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList))])
                                self._leafs = OrderedDict()

                                self.rttp_list = YList(self)
                                self._segment_path = lambda: "rttp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems, [], name, value)


                            class RttPList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`AggregateRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateRttPType>`
                                
                                .. attribute:: isl3
                                
                                	IsL3
                                	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                                
                                .. attribute:: ent_items
                                
                                	
                                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList, self).__init__()

                                    self.yang_name = "RttP-list"
                                    self.yang_parent_name = "rttp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateRttPType', '')])),
                                        ('isl3', (YLeaf(YType.enumeration, 'isL3'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                                    ])
                                    self.type = None
                                    self.isl3 = None

                                    self.ent_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems()
                                    self.ent_items.parent = self
                                    self._children_name_map["ent_items"] = "ent-items"
                                    self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList, ['type', 'isl3'], name, value)


                                class EntItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttentry_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems, self).__init__()

                                        self.yang_name = "ent-items"
                                        self.yang_parent_name = "RttP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList))])
                                        self._leafs = OrderedDict()

                                        self.rttentry_list = YList(self)
                                        self._segment_path = lambda: "ent-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems, [], name, value)


                                    class RttEntryList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtt  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                            self.yang_name = "RttEntry-list"
                                            self.yang_parent_name = "ent-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['rtt']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                            ])
                                            self.rtt = None
                                            self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)






                        class CtrlItems(Entity):
                            """
                            
                            
                            .. attribute:: afctrl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AfCtrlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems, self).__init__()

                                self.yang_name = "ctrl-items"
                                self.yang_parent_name = "DomainAf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AfCtrl-list", ("afctrl_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList))])
                                self._leafs = OrderedDict()

                                self.afctrl_list = YList(self)
                                self._segment_path = lambda: "ctrl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems, [], name, value)


                            class AfCtrlList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`AggregateAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateAfT>`
                                
                                .. attribute:: rttp_items
                                
                                	
                                	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList, self).__init__()

                                    self.yang_name = "AfCtrl-list"
                                    self.yang_parent_name = "ctrl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateAfT', '')])),
                                    ])
                                    self.type = None

                                    self.rttp_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems()
                                    self.rttp_items.parent = self
                                    self._children_name_map["rttp_items"] = "rttp-items"
                                    self._segment_path = lambda: "AfCtrl-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList, ['type'], name, value)


                                class RttpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rttp_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems, self).__init__()

                                        self.yang_name = "rttp-items"
                                        self.yang_parent_name = "AfCtrl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList))])
                                        self._leafs = OrderedDict()

                                        self.rttp_list = YList(self)
                                        self._segment_path = lambda: "rttp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems, [], name, value)


                                    class RttPList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type  (key)
                                        
                                        	Type
                                        	**type**\:  :py:class:`AggregateRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateRttPType>`
                                        
                                        .. attribute:: isl3
                                        
                                        	IsL3
                                        	**type**\:  :py:class:`AggregateBooleanFlag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AggregateBooleanFlag>`
                                        
                                        .. attribute:: ent_items
                                        
                                        	
                                        	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, self).__init__()

                                            self.yang_name = "RttP-list"
                                            self.yang_parent_name = "rttp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['type']
                                            self._child_classes = OrderedDict([("ent-items", ("ent_items", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems))])
                                            self._leafs = OrderedDict([
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateRttPType', '')])),
                                                ('isl3', (YLeaf(YType.enumeration, 'isL3'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AggregateBooleanFlag', '')])),
                                            ])
                                            self.type = None
                                            self.isl3 = None

                                            self.ent_items = System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems()
                                            self.ent_items.parent = self
                                            self._children_name_map["ent_items"] = "ent-items"
                                            self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, ['type', 'isl3'], name, value)


                                        class EntItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rttentry_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, self).__init__()

                                                self.yang_name = "ent-items"
                                                self.yang_parent_name = "RttP-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList))])
                                                self._leafs = OrderedDict()

                                                self.rttentry_list = YList(self)
                                                self._segment_path = lambda: "ent-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, [], name, value)


                                            class RttEntryList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rtt  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                                    self.yang_name = "RttEntry-list"
                                                    self.yang_parent_name = "ent-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['rtt']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                                    ])
                                                    self.rtt = None
                                                    self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.VrfTableItems.VrfItems.VrfEntryList.AfItems.DomainAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)













    class AclItems(Entity):
        """
        
        
        .. attribute:: oname_items
        
        	
        	**type**\:  :py:class:`ONameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.ONameItems>`
        
        .. attribute:: vlan_items
        
        	
        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems>`
        
        .. attribute:: mac_items
        
        	
        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems>`
        
        .. attribute:: ipv4_items
        
        	
        	**type**\:  :py:class:`Ipv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items>`
        
        .. attribute:: ipv6_items
        
        	
        	**type**\:  :py:class:`Ipv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.AclItems, self).__init__()

            self.yang_name = "acl-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("oName-items", ("oname_items", System.AclItems.ONameItems)), ("vlan-items", ("vlan_items", System.AclItems.VlanItems)), ("mac-items", ("mac_items", System.AclItems.MacItems)), ("ipv4-items", ("ipv4_items", System.AclItems.Ipv4Items)), ("ipv6-items", ("ipv6_items", System.AclItems.Ipv6Items))])
            self._leafs = OrderedDict()

            self.oname_items = System.AclItems.ONameItems()
            self.oname_items.parent = self
            self._children_name_map["oname_items"] = "oName-items"

            self.vlan_items = System.AclItems.VlanItems()
            self.vlan_items.parent = self
            self._children_name_map["vlan_items"] = "vlan-items"

            self.mac_items = System.AclItems.MacItems()
            self.mac_items.parent = self
            self._children_name_map["mac_items"] = "mac-items"

            self.ipv4_items = System.AclItems.Ipv4Items()
            self.ipv4_items.parent = self
            self._children_name_map["ipv4_items"] = "ipv4-items"

            self.ipv6_items = System.AclItems.Ipv6Items()
            self.ipv6_items.parent = self
            self._children_name_map["ipv6_items"] = "ipv6-items"
            self._segment_path = lambda: "acl-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.AclItems, [], name, value)


        class ONameItems(Entity):
            """
            
            
            .. attribute:: portgroup_list
            
            	
            	**type**\: list of  		 :py:class:`PortGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.ONameItems.PortGroupList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AclItems.ONameItems, self).__init__()

                self.yang_name = "oName-items"
                self.yang_parent_name = "acl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PortGroup-list", ("portgroup_list", System.AclItems.ONameItems.PortGroupList))])
                self._leafs = OrderedDict()

                self.portgroup_list = YList(self)
                self._segment_path = lambda: "oName-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AclItems.ONameItems, [], name, value)


            class PortGroupList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Object\-group Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: seq_items
                
                	
                	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.ONameItems.PortGroupList.SeqItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.ONameItems.PortGroupList, self).__init__()

                    self.yang_name = "PortGroup-list"
                    self.yang_parent_name = "oName-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("seq-items", ("seq_items", System.AclItems.ONameItems.PortGroupList.SeqItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.name = None

                    self.seq_items = System.AclItems.ONameItems.PortGroupList.SeqItems()
                    self.seq_items.parent = self
                    self._children_name_map["seq_items"] = "seq-items"
                    self._segment_path = lambda: "PortGroup-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/oName-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.ONameItems.PortGroupList, ['name'], name, value)


                class SeqItems(Entity):
                    """
                    
                    
                    .. attribute:: portmember_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PortMemberList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.ONameItems.PortGroupList.SeqItems.PortMemberList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.ONameItems.PortGroupList.SeqItems, self).__init__()

                        self.yang_name = "seq-items"
                        self.yang_parent_name = "PortGroup-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PortMember-list", ("portmember_list", System.AclItems.ONameItems.PortGroupList.SeqItems.PortMemberList))])
                        self._leafs = OrderedDict()

                        self.portmember_list = YList(self)
                        self._segment_path = lambda: "seq-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.ONameItems.PortGroupList.SeqItems, [], name, value)


                    class PortMemberList(Entity):
                        """
                        
                        
                        .. attribute:: seqnum  (key)
                        
                        	Sequence number
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: portop
                        
                        	Source port operator
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: port1
                        
                        	First source port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port2
                        
                        	Second source port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: configstatus
                        
                        	config status
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.ONameItems.PortGroupList.SeqItems.PortMemberList, self).__init__()

                            self.yang_name = "PortMember-list"
                            self.yang_parent_name = "seq-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['seqnum']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                ('portop', (YLeaf(YType.uint8, 'portOp'), ['int'])),
                                ('port1', (YLeaf(YType.uint16, 'port1'), ['int'])),
                                ('port2', (YLeaf(YType.uint16, 'port2'), ['int'])),
                                ('configstatus', (YLeaf(YType.uint8, 'configStatus'), ['int'])),
                            ])
                            self.seqnum = None
                            self.portop = None
                            self.port1 = None
                            self.port2 = None
                            self.configstatus = None
                            self._segment_path = lambda: "PortMember-list" + "[seqNum='" + str(self.seqnum) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.ONameItems.PortGroupList.SeqItems.PortMemberList, ['seqnum', 'portop', 'port1', 'port2', 'configstatus'], name, value)






        class VlanItems(Entity):
            """
            
            
            .. attribute:: vlanacl_list
            
            	
            	**type**\: list of  		 :py:class:`VLANACLList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AclItems.VlanItems, self).__init__()

                self.yang_name = "vlan-items"
                self.yang_parent_name = "acl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VLANACL-list", ("vlanacl_list", System.AclItems.VlanItems.VLANACLList))])
                self._leafs = OrderedDict()

                self.vlanacl_list = YList(self)
                self._segment_path = lambda: "vlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AclItems.VlanItems, [], name, value)


            class VLANACLList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Vacl name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: maxseq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: seq_items
                
                	
                	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.SeqItems>`
                
                .. attribute:: vlanlist_items
                
                	
                	**type**\:  :py:class:`VlanlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.VlanlistItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.VlanItems.VLANACLList, self).__init__()

                    self.yang_name = "VLANACL-list"
                    self.yang_parent_name = "vlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("seq-items", ("seq_items", System.AclItems.VlanItems.VLANACLList.SeqItems)), ("vlanlist-items", ("vlanlist_items", System.AclItems.VlanItems.VLANACLList.VlanlistItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('maxseq', (YLeaf(YType.uint32, 'maxseq'), ['int'])),
                    ])
                    self.name = None
                    self.maxseq = None

                    self.seq_items = System.AclItems.VlanItems.VLANACLList.SeqItems()
                    self.seq_items.parent = self
                    self._children_name_map["seq_items"] = "seq-items"

                    self.vlanlist_items = System.AclItems.VlanItems.VLANACLList.VlanlistItems()
                    self.vlanlist_items.parent = self
                    self._children_name_map["vlanlist_items"] = "vlanlist-items"
                    self._segment_path = lambda: "VLANACL-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/vlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.VlanItems.VLANACLList, ['name', 'maxseq'], name, value)


                class SeqItems(Entity):
                    """
                    
                    
                    .. attribute:: vlanseq_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VLANSeqList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.VlanItems.VLANACLList.SeqItems, self).__init__()

                        self.yang_name = "seq-items"
                        self.yang_parent_name = "VLANACL-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("VLANSeq-list", ("vlanseq_list", System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList))])
                        self._leafs = OrderedDict()

                        self.vlanseq_list = YList(self)
                        self._segment_path = lambda: "seq-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.VlanItems.VLANACLList.SeqItems, [], name, value)


                    class VLANSeqList(Entity):
                        """
                        
                        
                        .. attribute:: seqnum  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: peracestatistics
                        
                        	Per ACE statistics
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: match_items
                        
                        	
                        	**type**\:  :py:class:`MatchItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems>`
                        
                        .. attribute:: action_items
                        
                        	
                        	**type**\:  :py:class:`ActionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.ActionItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList, self).__init__()

                            self.yang_name = "VLANSeq-list"
                            self.yang_parent_name = "seq-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['seqnum']
                            self._child_classes = OrderedDict([("match-items", ("match_items", System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems)), ("action-items", ("action_items", System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.ActionItems))])
                            self._leafs = OrderedDict([
                                ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                            ])
                            self.seqnum = None
                            self.peracestatistics = None

                            self.match_items = System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems()
                            self.match_items.parent = self
                            self._children_name_map["match_items"] = "match-items"

                            self.action_items = System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.ActionItems()
                            self.action_items.parent = self
                            self._children_name_map["action_items"] = "action-items"
                            self._segment_path = lambda: "VLANSeq-list" + "[seqNum='" + str(self.seqnum) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList, ['seqnum', 'peracestatistics'], name, value)


                        class MatchItems(Entity):
                            """
                            
                            
                            .. attribute:: vlanaclmatch_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VLANACLMatchList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems.VLANACLMatchList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems, self).__init__()

                                self.yang_name = "match-items"
                                self.yang_parent_name = "VLANSeq-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VLANACLMatch-list", ("vlanaclmatch_list", System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems.VLANACLMatchList))])
                                self._leafs = OrderedDict()

                                self.vlanaclmatch_list = YList(self)
                                self._segment_path = lambda: "match-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems, [], name, value)


                            class VLANACLMatchList(Entity):
                                """
                                
                                
                                .. attribute:: acltype  (key)
                                
                                	match acl type
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: aclname  (key)
                                
                                	match acl name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems.VLANACLMatchList, self).__init__()

                                    self.yang_name = "VLANACLMatch-list"
                                    self.yang_parent_name = "match-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['acltype','aclname']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('acltype', (YLeaf(YType.uint16, 'acltype'), ['int'])),
                                        ('aclname', (YLeaf(YType.str, 'aclname'), ['str'])),
                                    ])
                                    self.acltype = None
                                    self.aclname = None
                                    self._segment_path = lambda: "VLANACLMatch-list" + "[acltype='" + str(self.acltype) + "']" + "[aclname='" + str(self.aclname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.MatchItems.VLANACLMatchList, ['acltype', 'aclname'], name, value)




                        class ActionItems(Entity):
                            """
                            
                            
                            .. attribute:: actiontype
                            
                            	VLAN ACL action forward or drop or redirect
                            	**type**\:  :py:class:`AclVAclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclVAclActionType>`
                            
                            .. attribute:: log
                            
                            	Log option
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: redirectintf
                            
                            	Redirect Interfaces example, eth1/11 or po1
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.ActionItems, self).__init__()

                                self.yang_name = "action-items"
                                self.yang_parent_name = "VLANSeq-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('actiontype', (YLeaf(YType.enumeration, 'actiontype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclVAclActionType', '')])),
                                    ('log', (YLeaf(YType.uint8, 'log'), ['int'])),
                                    ('redirectintf', (YLeaf(YType.str, 'redirectintf'), ['str'])),
                                ])
                                self.actiontype = None
                                self.log = None
                                self.redirectintf = None
                                self._segment_path = lambda: "action-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.VlanItems.VLANACLList.SeqItems.VLANSeqList.ActionItems, ['actiontype', 'log', 'redirectintf'], name, value)





                class VlanlistItems(Entity):
                    """
                    
                    
                    .. attribute:: list
                    
                    	VLAN or a list of VLANS example 1,2 or 2\-4
                    	**type**\: str
                    
                    	**length:** 0..512
                    
                    .. attribute:: operation_
                    
                    	Vlan Filter Operation apply or remove
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: listoper
                    
                    	Vlan List String oper after apply or remove
                    	**type**\: str
                    
                    	**length:** 0..512
                    
                    .. attribute:: listerr
                    
                    	Vlan List String error
                    	**type**\: str
                    
                    	**length:** 0..512
                    
                    	**config**\: False
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.VlanItems.VLANACLList.VlanlistItems, self).__init__()

                        self.yang_name = "vlanlist-items"
                        self.yang_parent_name = "VLANACL-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('list', (YLeaf(YType.str, 'list'), ['str'])),
                            ('operation_', (YLeaf(YType.uint8, 'operation'), ['int'])),
                            ('listoper', (YLeaf(YType.str, 'listoper'), ['str'])),
                            ('listerr', (YLeaf(YType.str, 'listerr'), ['str'])),
                            ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                        ])
                        self.list = None
                        self.operation_ = None
                        self.listoper = None
                        self.listerr = None
                        self.timestamp = None
                        self._segment_path = lambda: "vlanlist-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.VlanItems.VLANACLList.VlanlistItems, ['list', 'operation_', 'listoper', 'listerr', 'timestamp'], name, value)





        class MacItems(Entity):
            """
            
            
            .. attribute:: statclear_items
            
            	
            	**type**\:  :py:class:`StatClearItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.StatClearItems>`
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems>`
            
            .. attribute:: name_items
            
            	
            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AclItems.MacItems, self).__init__()

                self.yang_name = "mac-items"
                self.yang_parent_name = "acl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("statClear-items", ("statclear_items", System.AclItems.MacItems.StatClearItems)), ("policy-items", ("policy_items", System.AclItems.MacItems.PolicyItems)), ("name-items", ("name_items", System.AclItems.MacItems.NameItems))])
                self._leafs = OrderedDict()

                self.statclear_items = System.AclItems.MacItems.StatClearItems()
                self.statclear_items.parent = self
                self._children_name_map["statclear_items"] = "statClear-items"

                self.policy_items = System.AclItems.MacItems.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.name_items = System.AclItems.MacItems.NameItems()
                self.name_items.parent = self
                self._children_name_map["name_items"] = "name-items"
                self._segment_path = lambda: "mac-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AclItems.MacItems, [], name, value)


            class StatClearItems(Entity):
                """
                
                
                .. attribute:: name
                
                	ACL Name to clear the statistics
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: timestamp
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.MacItems.StatClearItems, self).__init__()

                    self.yang_name = "statClear-items"
                    self.yang_parent_name = "mac-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                    ])
                    self.name = None
                    self.timestamp = None
                    self._segment_path = lambda: "statClear-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.MacItems.StatClearItems, ['name', 'timestamp'], name, value)



            class PolicyItems(Entity):
                """
                
                
                .. attribute:: ingress_items
                
                	
                	**type**\:  :py:class:`IngressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems>`
                
                .. attribute:: egress_items
                
                	
                	**type**\:  :py:class:`EgressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.MacItems.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "mac-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ingress-items", ("ingress_items", System.AclItems.MacItems.PolicyItems.IngressItems)), ("egress-items", ("egress_items", System.AclItems.MacItems.PolicyItems.EgressItems))])
                    self._leafs = OrderedDict()

                    self.ingress_items = System.AclItems.MacItems.PolicyItems.IngressItems()
                    self.ingress_items.parent = self
                    self._children_name_map["ingress_items"] = "ingress-items"

                    self.egress_items = System.AclItems.MacItems.PolicyItems.EgressItems()
                    self.egress_items.parent = self
                    self._children_name_map["egress_items"] = "egress-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.MacItems.PolicyItems, [], name, value)


                class IngressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.MacItems.PolicyItems.IngressItems, self).__init__()

                        self.yang_name = "ingress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "ingress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/ingress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/ingress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.MacItems.PolicyItems.IngressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)





                class EgressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.MacItems.PolicyItems.EgressItems, self).__init__()

                        self.yang_name = "egress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "egress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/egress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/policy-items/egress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.MacItems.PolicyItems.EgressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)






            class NameItems(Entity):
                """
                
                
                .. attribute:: acl_list
                
                	
                	**type**\: list of  		 :py:class:`ACLList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.MacItems.NameItems, self).__init__()

                    self.yang_name = "name-items"
                    self.yang_parent_name = "mac-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ACL-list", ("acl_list", System.AclItems.MacItems.NameItems.ACLList))])
                    self._leafs = OrderedDict()

                    self.acl_list = YList(self)
                    self._segment_path = lambda: "name-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.MacItems.NameItems, [], name, value)


                class ACLList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	ACL Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: peracestatistics
                    
                    	Per ACE statistics
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: reseq_items
                    
                    	
                    	**type**\:  :py:class:`ReseqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList.ReseqItems>`
                    
                    .. attribute:: seq_items
                    
                    	
                    	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList.SeqItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.MacItems.NameItems.ACLList, self).__init__()

                        self.yang_name = "ACL-list"
                        self.yang_parent_name = "name-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("reseq-items", ("reseq_items", System.AclItems.MacItems.NameItems.ACLList.ReseqItems)), ("seq-items", ("seq_items", System.AclItems.MacItems.NameItems.ACLList.SeqItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                        ])
                        self.name = None
                        self.peracestatistics = None

                        self.reseq_items = System.AclItems.MacItems.NameItems.ACLList.ReseqItems()
                        self.reseq_items.parent = self
                        self._children_name_map["reseq_items"] = "reseq-items"

                        self.seq_items = System.AclItems.MacItems.NameItems.ACLList.SeqItems()
                        self.seq_items.parent = self
                        self._children_name_map["seq_items"] = "seq-items"
                        self._segment_path = lambda: "ACL-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/mac-items/name-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList, ['name', 'peracestatistics'], name, value)


                    class ReseqItems(Entity):
                        """
                        
                        
                        .. attribute:: start
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: step
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.NameItems.ACLList.ReseqItems, self).__init__()

                            self.yang_name = "reseq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('start', (YLeaf(YType.uint32, 'start'), ['int'])),
                                ('step', (YLeaf(YType.uint32, 'step'), ['int'])),
                            ])
                            self.start = None
                            self.step = None
                            self._segment_path = lambda: "reseq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList.ReseqItems, ['start', 'step'], name, value)



                    class SeqItems(Entity):
                        """
                        
                        
                        .. attribute:: seq_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SEQList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.MacItems.NameItems.ACLList.SeqItems, self).__init__()

                            self.yang_name = "seq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SEQ-list", ("seq_list", System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList))])
                            self._leafs = OrderedDict()

                            self.seq_list = YList(self)
                            self._segment_path = lambda: "seq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList.SeqItems, [], name, value)


                        class SEQList(Entity):
                            """
                            
                            
                            .. attribute:: seqnum  (key)
                            
                            	Sequence number
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ace_items
                            
                            	
                            	**type**\:  :py:class:`AceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.AceItems>`
                            
                            .. attribute:: remark_items
                            
                            	
                            	**type**\:  :py:class:`RemarkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.RemarkItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList, self).__init__()

                                self.yang_name = "SEQ-list"
                                self.yang_parent_name = "seq-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['seqnum']
                                self._child_classes = OrderedDict([("ace-items", ("ace_items", System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.AceItems)), ("remark-items", ("remark_items", System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.RemarkItems))])
                                self._leafs = OrderedDict([
                                    ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                ])
                                self.seqnum = None

                                self.ace_items = System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.AceItems()
                                self.ace_items.parent = self
                                self._children_name_map["ace_items"] = "ace-items"

                                self.remark_items = System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.RemarkItems()
                                self.remark_items.parent = self
                                self._children_name_map["remark_items"] = "remark-items"
                                self._segment_path = lambda: "SEQ-list" + "[seqNum='" + str(self.seqnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList, ['seqnum'], name, value)


                            class AceItems(Entity):
                                """
                                
                                
                                .. attribute:: protocol
                                
                                	protocol number
                                	**type**\: int
                                
                                	**range:** 0..65536
                                
                                .. attribute:: cos
                                
                                	Cos number
                                	**type**\: int
                                
                                	**range:** 0..8
                                
                                .. attribute:: redirect
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timerange
                                
                                	time range name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: vlan
                                
                                	vlan number
                                	**type**\: int
                                
                                	**range:** 0..4095
                                
                                .. attribute:: erspandscp
                                
                                	dscp value
                                	**type**\: int
                                
                                	**range:** 0..64
                                
                                .. attribute:: erspangre
                                
                                	dscp gre protocol
                                	**type**\: int
                                
                                	**range:** 0..65536
                                
                                .. attribute:: action
                                
                                	ACE action, permit or deny
                                	**type**\:  :py:class:`AclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclActionType>`
                                
                                .. attribute:: srcprefix
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: srcprefixmask
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: dstprefix
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: dstprefixmask
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: packets
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.AceItems, self).__init__()

                                    self.yang_name = "ace-items"
                                    self.yang_parent_name = "SEQ-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('protocol', (YLeaf(YType.uint32, 'protocol'), ['int'])),
                                        ('cos', (YLeaf(YType.uint8, 'cos'), ['int'])),
                                        ('redirect', (YLeaf(YType.str, 'redirect'), ['str'])),
                                        ('timerange', (YLeaf(YType.str, 'timeRange'), ['str'])),
                                        ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                                        ('erspandscp', (YLeaf(YType.uint8, 'erspanDscp'), ['int'])),
                                        ('erspangre', (YLeaf(YType.uint32, 'erspanGre'), ['int'])),
                                        ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclActionType', '')])),
                                        ('srcprefix', (YLeaf(YType.str, 'srcPrefix'), ['str'])),
                                        ('srcprefixmask', (YLeaf(YType.str, 'srcPrefixMask'), ['str'])),
                                        ('dstprefix', (YLeaf(YType.str, 'dstPrefix'), ['str'])),
                                        ('dstprefixmask', (YLeaf(YType.str, 'dstPrefixMask'), ['str'])),
                                        ('packets', (YLeaf(YType.uint64, 'packets'), ['int'])),
                                    ])
                                    self.protocol = None
                                    self.cos = None
                                    self.redirect = None
                                    self.timerange = None
                                    self.vlan = None
                                    self.erspandscp = None
                                    self.erspangre = None
                                    self.action = None
                                    self.srcprefix = None
                                    self.srcprefixmask = None
                                    self.dstprefix = None
                                    self.dstprefixmask = None
                                    self.packets = None
                                    self._segment_path = lambda: "ace-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.AceItems, ['protocol', 'cos', 'redirect', 'timerange', 'vlan', 'erspandscp', 'erspangre', 'action', 'srcprefix', 'srcprefixmask', 'dstprefix', 'dstprefixmask', 'packets'], name, value)



                            class RemarkItems(Entity):
                                """
                                
                                
                                .. attribute:: seqnum
                                
                                	Sequence number
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remark
                                
                                	ACL entry commment
                                	**type**\: str
                                
                                	**length:** 1..100
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.RemarkItems, self).__init__()

                                    self.yang_name = "remark-items"
                                    self.yang_parent_name = "SEQ-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                        ('remark', (YLeaf(YType.str, 'remark'), ['str'])),
                                    ])
                                    self.seqnum = None
                                    self.remark = None
                                    self._segment_path = lambda: "remark-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.MacItems.NameItems.ACLList.SeqItems.SEQList.RemarkItems, ['seqnum', 'remark'], name, value)








        class Ipv4Items(Entity):
            """
            
            
            .. attribute:: statclear_items
            
            	
            	**type**\:  :py:class:`StatClearItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.StatClearItems>`
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems>`
            
            .. attribute:: name_items
            
            	
            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems>`
            
            .. attribute:: oname_items
            
            	
            	**type**\:  :py:class:`ONameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.ONameItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AclItems.Ipv4Items, self).__init__()

                self.yang_name = "ipv4-items"
                self.yang_parent_name = "acl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("statClear-items", ("statclear_items", System.AclItems.Ipv4Items.StatClearItems)), ("policy-items", ("policy_items", System.AclItems.Ipv4Items.PolicyItems)), ("name-items", ("name_items", System.AclItems.Ipv4Items.NameItems)), ("oName-items", ("oname_items", System.AclItems.Ipv4Items.ONameItems))])
                self._leafs = OrderedDict()

                self.statclear_items = System.AclItems.Ipv4Items.StatClearItems()
                self.statclear_items.parent = self
                self._children_name_map["statclear_items"] = "statClear-items"

                self.policy_items = System.AclItems.Ipv4Items.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.name_items = System.AclItems.Ipv4Items.NameItems()
                self.name_items.parent = self
                self._children_name_map["name_items"] = "name-items"

                self.oname_items = System.AclItems.Ipv4Items.ONameItems()
                self.oname_items.parent = self
                self._children_name_map["oname_items"] = "oName-items"
                self._segment_path = lambda: "ipv4-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AclItems.Ipv4Items, [], name, value)


            class StatClearItems(Entity):
                """
                
                
                .. attribute:: name
                
                	ACL Name to clear the statistics
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: timestamp
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv4Items.StatClearItems, self).__init__()

                    self.yang_name = "statClear-items"
                    self.yang_parent_name = "ipv4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                    ])
                    self.name = None
                    self.timestamp = None
                    self._segment_path = lambda: "statClear-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv4Items.StatClearItems, ['name', 'timestamp'], name, value)



            class PolicyItems(Entity):
                """
                
                
                .. attribute:: ingress_items
                
                	
                	**type**\:  :py:class:`IngressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems>`
                
                .. attribute:: egress_items
                
                	
                	**type**\:  :py:class:`EgressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv4Items.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "ipv4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ingress-items", ("ingress_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems)), ("egress-items", ("egress_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems))])
                    self._leafs = OrderedDict()

                    self.ingress_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems()
                    self.ingress_items.parent = self
                    self._children_name_map["ingress_items"] = "ingress-items"

                    self.egress_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems()
                    self.egress_items.parent = self
                    self._children_name_map["egress_items"] = "egress-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems, [], name, value)


                class IngressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv4Items.PolicyItems.IngressItems, self).__init__()

                        self.yang_name = "ingress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "ingress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/ingress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/ingress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.IngressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)





                class EgressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv4Items.PolicyItems.EgressItems, self).__init__()

                        self.yang_name = "egress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "egress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/egress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/policy-items/egress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.PolicyItems.EgressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)






            class NameItems(Entity):
                """
                
                
                .. attribute:: acl_list
                
                	
                	**type**\: list of  		 :py:class:`ACLList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems.ACLList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv4Items.NameItems, self).__init__()

                    self.yang_name = "name-items"
                    self.yang_parent_name = "ipv4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ACL-list", ("acl_list", System.AclItems.Ipv4Items.NameItems.ACLList))])
                    self._leafs = OrderedDict()

                    self.acl_list = YList(self)
                    self._segment_path = lambda: "name-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv4Items.NameItems, [], name, value)


                class ACLList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	ACL Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: peracestatistics
                    
                    	Per ACE statistics
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: configstatus
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: reseq_items
                    
                    	
                    	**type**\:  :py:class:`ReseqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems.ACLList.ReseqItems>`
                    
                    .. attribute:: seq_items
                    
                    	
                    	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv4Items.NameItems.ACLList, self).__init__()

                        self.yang_name = "ACL-list"
                        self.yang_parent_name = "name-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("reseq-items", ("reseq_items", System.AclItems.Ipv4Items.NameItems.ACLList.ReseqItems)), ("seq-items", ("seq_items", System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                        ])
                        self.name = None
                        self.peracestatistics = None
                        self.configstatus = None

                        self.reseq_items = System.AclItems.Ipv4Items.NameItems.ACLList.ReseqItems()
                        self.reseq_items.parent = self
                        self._children_name_map["reseq_items"] = "reseq-items"

                        self.seq_items = System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems()
                        self.seq_items.parent = self
                        self._children_name_map["seq_items"] = "seq-items"
                        self._segment_path = lambda: "ACL-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/name-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv4Items.NameItems.ACLList, ['name', 'peracestatistics', 'configstatus'], name, value)


                    class ReseqItems(Entity):
                        """
                        
                        
                        .. attribute:: start
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: step
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.NameItems.ACLList.ReseqItems, self).__init__()

                            self.yang_name = "reseq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('start', (YLeaf(YType.uint32, 'start'), ['int'])),
                                ('step', (YLeaf(YType.uint32, 'step'), ['int'])),
                            ])
                            self.start = None
                            self.step = None
                            self._segment_path = lambda: "reseq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.NameItems.ACLList.ReseqItems, ['start', 'step'], name, value)



                    class SeqItems(Entity):
                        """
                        
                        
                        .. attribute:: ace_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ACEList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems, self).__init__()

                            self.yang_name = "seq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ACE-list", ("ace_list", System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList))])
                            self._leafs = OrderedDict()

                            self.ace_list = YList(self)
                            self._segment_path = lambda: "seq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems, [], name, value)


                        class ACEList(Entity):
                            """
                            
                            
                            .. attribute:: seqnum  (key)
                            
                            	Sequence number
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: protocol
                            
                            	Protocol for access\-list entry
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protocolmask
                            
                            	Protocol Mask
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: srcprefix
                            
                            	Source IPv4 prefix
                            	**type**\: str
                            
                            .. attribute:: srcprefixmask
                            
                            	Source IPv4 prefix mask
                            	**type**\: str
                            
                            .. attribute:: srcprefixlength
                            
                            	Source IPv4 prefix length
                            	**type**\: int
                            
                            	**range:** 0..32
                            
                            .. attribute:: dstprefix
                            
                            	Destination IPv4 prefix
                            	**type**\: str
                            
                            .. attribute:: dstprefixmask
                            
                            	Destination IPv4 prefix mask
                            	**type**\: str
                            
                            .. attribute:: dstprefixlength
                            
                            	Destination IPv4 prefix length
                            	**type**\: int
                            
                            	**range:** 0..32
                            
                            .. attribute:: precedence
                            
                            	IPv4 precedence
                            	**type**\: int
                            
                            	**range:** 0..8
                            
                            .. attribute:: ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: icmpstr
                            
                            	ICMP type
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: icmptype
                            
                            	ICMP type
                            	**type**\: int
                            
                            	**range:** 0..256
                            
                            .. attribute:: icmpcode
                            
                            	ICMP code
                            	**type**\: int
                            
                            	**range:** 0..256
                            
                            .. attribute:: tos
                            
                            	capture session
                            	**type**\: int
                            
                            	**range:** 0..15
                            
                            .. attribute:: configstatus
                            
                            	config status
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: remark
                            
                            	Access\-list entry comment
                            	**type**\: str
                            
                            	**length:** 1..100
                            
                            .. attribute:: action
                            
                            	Specify packets to forward or reject
                            	**type**\:  :py:class:`AclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclActionType>`
                            
                            .. attribute:: srcportop
                            
                            	Source port operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: srcport1
                            
                            	First source port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: srcport2
                            
                            	Second source port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: srcportmask
                            
                            	Source Port Mask
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstportop
                            
                            	Destination port operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dstport1
                            
                            	First destination port number
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstport2
                            
                            	Second destination port number
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstportmask
                            
                            	Destination Port Mask
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: logging
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: dscp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: pktlenop
                            
                            	packet length operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: pktlen1
                            
                            	first packet length
                            	**type**\: int
                            
                            	**range:** 19..9210
                            
                            .. attribute:: pktlen2
                            
                            	second packet length
                            	**type**\: int
                            
                            	**range:** 19..9210
                            
                            .. attribute:: urg
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: ack
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: psh
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rst
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: syn
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: fin
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: est
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rev
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: tcpflagsmask
                            
                            	tcp flags mask
                            	**type**\: int
                            
                            	**range:** 0..64
                            
                            .. attribute:: packets
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: fragment
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: capturesession
                            
                            	capture session
                            	**type**\: int
                            
                            	**range:** 0..48
                            
                            .. attribute:: httpoption
                            
                            	http option http\-method
                            	**type**\:  :py:class:`AclHttpOptionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclHttpOptionType>`
                            
                            .. attribute:: vni
                            
                            	nve vni ID
                            	**type**\: int
                            
                            	**range:** 0..16777216
                            
                            .. attribute:: vlan
                            
                            	vlan
                            	**type**\: int
                            
                            	**range:** 0..4095
                            
                            .. attribute:: tcpoptionlength
                            
                            	TCP options length
                            	**type**\: int
                            
                            	**range:** 0..41
                            
                            .. attribute:: timerange
                            
                            	time range name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: srcaddrgroup
                            
                            	Source address group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: dstaddrgroup
                            
                            	Destination address group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: srcportgroup
                            
                            	Source port group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: dstportgroup
                            
                            	Destination port group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: redirect
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: udf_items
                            
                            	
                            	**type**\:  :py:class:`UdfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList.UdfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList, self).__init__()

                                self.yang_name = "ACE-list"
                                self.yang_parent_name = "seq-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['seqnum']
                                self._child_classes = OrderedDict([("udf-items", ("udf_items", System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList.UdfItems))])
                                self._leafs = OrderedDict([
                                    ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                    ('protocol', (YLeaf(YType.uint8, 'protocol'), ['int'])),
                                    ('protocolmask', (YLeaf(YType.uint8, 'protocolMask'), ['int'])),
                                    ('srcprefix', (YLeaf(YType.str, 'srcPrefix'), ['str'])),
                                    ('srcprefixmask', (YLeaf(YType.str, 'srcPrefixMask'), ['str'])),
                                    ('srcprefixlength', (YLeaf(YType.uint8, 'srcPrefixLength'), ['int'])),
                                    ('dstprefix', (YLeaf(YType.str, 'dstPrefix'), ['str'])),
                                    ('dstprefixmask', (YLeaf(YType.str, 'dstPrefixMask'), ['str'])),
                                    ('dstprefixlength', (YLeaf(YType.uint8, 'dstPrefixLength'), ['int'])),
                                    ('precedence', (YLeaf(YType.uint8, 'precedence'), ['int'])),
                                    ('ttl', (YLeaf(YType.uint8, 'ttl'), ['int'])),
                                    ('icmpstr', (YLeaf(YType.uint16, 'icmpStr'), ['int'])),
                                    ('icmptype', (YLeaf(YType.uint16, 'icmpType'), ['int'])),
                                    ('icmpcode', (YLeaf(YType.uint16, 'icmpCode'), ['int'])),
                                    ('tos', (YLeaf(YType.uint8, 'tos'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint8, 'configStatus'), ['int'])),
                                    ('remark', (YLeaf(YType.str, 'remark'), ['str'])),
                                    ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclActionType', '')])),
                                    ('srcportop', (YLeaf(YType.uint8, 'srcPortOp'), ['int'])),
                                    ('srcport1', (YLeaf(YType.uint16, 'srcPort1'), ['int'])),
                                    ('srcport2', (YLeaf(YType.uint16, 'srcPort2'), ['int'])),
                                    ('srcportmask', (YLeaf(YType.uint16, 'srcPortMask'), ['int'])),
                                    ('dstportop', (YLeaf(YType.uint8, 'dstPortOp'), ['int'])),
                                    ('dstport1', (YLeaf(YType.uint16, 'dstPort1'), ['int'])),
                                    ('dstport2', (YLeaf(YType.uint16, 'dstPort2'), ['int'])),
                                    ('dstportmask', (YLeaf(YType.uint16, 'dstPortMask'), ['int'])),
                                    ('logging', (YLeaf(YType.boolean, 'logging'), ['bool'])),
                                    ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                    ('pktlenop', (YLeaf(YType.uint8, 'pktLenOp'), ['int'])),
                                    ('pktlen1', (YLeaf(YType.uint16, 'pktLen1'), ['int'])),
                                    ('pktlen2', (YLeaf(YType.uint16, 'pktLen2'), ['int'])),
                                    ('urg', (YLeaf(YType.boolean, 'urg'), ['bool'])),
                                    ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                    ('psh', (YLeaf(YType.boolean, 'psh'), ['bool'])),
                                    ('rst', (YLeaf(YType.boolean, 'rst'), ['bool'])),
                                    ('syn', (YLeaf(YType.boolean, 'syn'), ['bool'])),
                                    ('fin', (YLeaf(YType.boolean, 'fin'), ['bool'])),
                                    ('est', (YLeaf(YType.boolean, 'est'), ['bool'])),
                                    ('rev', (YLeaf(YType.boolean, 'rev'), ['bool'])),
                                    ('tcpflagsmask', (YLeaf(YType.uint8, 'tcpFlagsMask'), ['int'])),
                                    ('packets', (YLeaf(YType.uint64, 'packets'), ['int'])),
                                    ('fragment', (YLeaf(YType.boolean, 'fragment'), ['bool'])),
                                    ('capturesession', (YLeaf(YType.uint16, 'captureSession'), ['int'])),
                                    ('httpoption', (YLeaf(YType.enumeration, 'httpOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclHttpOptionType', '')])),
                                    ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                    ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                                    ('tcpoptionlength', (YLeaf(YType.uint32, 'tcpOptionLength'), ['int'])),
                                    ('timerange', (YLeaf(YType.str, 'timeRange'), ['str'])),
                                    ('srcaddrgroup', (YLeaf(YType.str, 'srcAddrGroup'), ['str'])),
                                    ('dstaddrgroup', (YLeaf(YType.str, 'dstAddrGroup'), ['str'])),
                                    ('srcportgroup', (YLeaf(YType.str, 'srcPortGroup'), ['str'])),
                                    ('dstportgroup', (YLeaf(YType.str, 'dstPortGroup'), ['str'])),
                                    ('redirect', (YLeaf(YType.str, 'redirect'), ['str'])),
                                ])
                                self.seqnum = None
                                self.protocol = None
                                self.protocolmask = None
                                self.srcprefix = None
                                self.srcprefixmask = None
                                self.srcprefixlength = None
                                self.dstprefix = None
                                self.dstprefixmask = None
                                self.dstprefixlength = None
                                self.precedence = None
                                self.ttl = None
                                self.icmpstr = None
                                self.icmptype = None
                                self.icmpcode = None
                                self.tos = None
                                self.configstatus = None
                                self.remark = None
                                self.action = None
                                self.srcportop = None
                                self.srcport1 = None
                                self.srcport2 = None
                                self.srcportmask = None
                                self.dstportop = None
                                self.dstport1 = None
                                self.dstport2 = None
                                self.dstportmask = None
                                self.logging = None
                                self.dscp = None
                                self.pktlenop = None
                                self.pktlen1 = None
                                self.pktlen2 = None
                                self.urg = None
                                self.ack = None
                                self.psh = None
                                self.rst = None
                                self.syn = None
                                self.fin = None
                                self.est = None
                                self.rev = None
                                self.tcpflagsmask = None
                                self.packets = None
                                self.fragment = None
                                self.capturesession = None
                                self.httpoption = None
                                self.vni = None
                                self.vlan = None
                                self.tcpoptionlength = None
                                self.timerange = None
                                self.srcaddrgroup = None
                                self.dstaddrgroup = None
                                self.srcportgroup = None
                                self.dstportgroup = None
                                self.redirect = None

                                self.udf_items = System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList.UdfItems()
                                self.udf_items.parent = self
                                self._children_name_map["udf_items"] = "udf-items"
                                self._segment_path = lambda: "ACE-list" + "[seqNum='" + str(self.seqnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList, ['seqnum', 'protocol', 'protocolmask', 'srcprefix', 'srcprefixmask', 'srcprefixlength', 'dstprefix', 'dstprefixmask', 'dstprefixlength', 'precedence', 'ttl', 'icmpstr', 'icmptype', 'icmpcode', 'tos', 'configstatus', 'remark', 'action', 'srcportop', 'srcport1', 'srcport2', 'srcportmask', 'dstportop', 'dstport1', 'dstport2', 'dstportmask', 'logging', 'dscp', 'pktlenop', 'pktlen1', 'pktlen2', 'urg', 'ack', 'psh', 'rst', 'syn', 'fin', 'est', 'rev', 'tcpflagsmask', 'packets', 'fragment', 'capturesession', 'httpoption', 'vni', 'vlan', 'tcpoptionlength', 'timerange', 'srcaddrgroup', 'dstaddrgroup', 'srcportgroup', 'dstportgroup', 'redirect'], name, value)


                            class UdfItems(Entity):
                                """
                                
                                
                                .. attribute:: udf1name
                                
                                	User\-defined field match 1
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf1val
                                
                                	UDF1 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf1mask
                                
                                	Mask to apply to UDF1 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf2name
                                
                                	User\-defined field match 2
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf2val
                                
                                	UDF2 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf2mask
                                
                                	Mask to apply to UDF2 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf3name
                                
                                	User\-defined field match 3
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf3val
                                
                                	UDF3 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf3mask
                                
                                	Mask to apply to UDF3 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf4name
                                
                                	User\-defined field match 4
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf4val
                                
                                	UDF4 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf4mask
                                
                                	Mask to apply to UDF4 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf5name
                                
                                	User\-defined field match 5
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf5val
                                
                                	UDF5 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf5mask
                                
                                	Mask to apply to UDF5 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf6name
                                
                                	User\-defined field match 6
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf6val
                                
                                	UDF6 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf6mask
                                
                                	Mask to apply to UDF6 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf7name
                                
                                	User\-defined field match 7
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf7val
                                
                                	UDF7 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf7mask
                                
                                	Mask to apply to UDF7 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf8name
                                
                                	User\-defined field match 8
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf8val
                                
                                	UDF8 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf8mask
                                
                                	Mask to apply to UDF8 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf9name
                                
                                	User\-defined field match 9
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf9val
                                
                                	UDF9 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf9mask
                                
                                	Mask to apply to UDF9 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf10name
                                
                                	User\-defined field match 10
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf10val
                                
                                	UDF10 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf10mask
                                
                                	Mask to apply to UDF10 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf11name
                                
                                	User\-defined field match 11
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf11val
                                
                                	UDF11 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf11mask
                                
                                	Mask to apply to UDF11 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf12name
                                
                                	User\-defined field match 12
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf12val
                                
                                	UDF12 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf12mask
                                
                                	Mask to apply to UDF12 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf13name
                                
                                	User\-defined field match 13
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf13val
                                
                                	UDF13 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf13mask
                                
                                	Mask to apply to UDF13 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf14name
                                
                                	User\-defined field match 14
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf14val
                                
                                	UDF14 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf14mask
                                
                                	Mask to apply to UDF14 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf15name
                                
                                	User\-defined field match 15
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf15val
                                
                                	UDF15 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf15mask
                                
                                	Mask to apply to UDF15 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf16name
                                
                                	User\-defined field match 16
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf16val
                                
                                	UDF16 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf16mask
                                
                                	Mask to apply to UDF16 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf17name
                                
                                	User\-defined field match 17
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf17val
                                
                                	UDF17 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf17mask
                                
                                	Mask to apply to UDF17 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf18name
                                
                                	User\-defined field match 18
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                .. attribute:: udf18val
                                
                                	UDF18 value to match
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: udf18mask
                                
                                	Mask to apply to UDF18 value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList.UdfItems, self).__init__()

                                    self.yang_name = "udf-items"
                                    self.yang_parent_name = "ACE-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('udf1name', (YLeaf(YType.str, 'udf1Name'), ['str'])),
                                        ('udf1val', (YLeaf(YType.uint16, 'udf1Val'), ['int'])),
                                        ('udf1mask', (YLeaf(YType.uint16, 'udf1Mask'), ['int'])),
                                        ('udf2name', (YLeaf(YType.str, 'udf2Name'), ['str'])),
                                        ('udf2val', (YLeaf(YType.uint16, 'udf2Val'), ['int'])),
                                        ('udf2mask', (YLeaf(YType.uint16, 'udf2Mask'), ['int'])),
                                        ('udf3name', (YLeaf(YType.str, 'udf3Name'), ['str'])),
                                        ('udf3val', (YLeaf(YType.uint16, 'udf3Val'), ['int'])),
                                        ('udf3mask', (YLeaf(YType.uint16, 'udf3Mask'), ['int'])),
                                        ('udf4name', (YLeaf(YType.str, 'udf4Name'), ['str'])),
                                        ('udf4val', (YLeaf(YType.uint16, 'udf4Val'), ['int'])),
                                        ('udf4mask', (YLeaf(YType.uint16, 'udf4Mask'), ['int'])),
                                        ('udf5name', (YLeaf(YType.str, 'udf5Name'), ['str'])),
                                        ('udf5val', (YLeaf(YType.uint16, 'udf5Val'), ['int'])),
                                        ('udf5mask', (YLeaf(YType.uint16, 'udf5Mask'), ['int'])),
                                        ('udf6name', (YLeaf(YType.str, 'udf6Name'), ['str'])),
                                        ('udf6val', (YLeaf(YType.uint16, 'udf6Val'), ['int'])),
                                        ('udf6mask', (YLeaf(YType.uint16, 'udf6Mask'), ['int'])),
                                        ('udf7name', (YLeaf(YType.str, 'udf7Name'), ['str'])),
                                        ('udf7val', (YLeaf(YType.uint16, 'udf7Val'), ['int'])),
                                        ('udf7mask', (YLeaf(YType.uint16, 'udf7Mask'), ['int'])),
                                        ('udf8name', (YLeaf(YType.str, 'udf8Name'), ['str'])),
                                        ('udf8val', (YLeaf(YType.uint16, 'udf8Val'), ['int'])),
                                        ('udf8mask', (YLeaf(YType.uint16, 'udf8Mask'), ['int'])),
                                        ('udf9name', (YLeaf(YType.str, 'udf9Name'), ['str'])),
                                        ('udf9val', (YLeaf(YType.uint16, 'udf9Val'), ['int'])),
                                        ('udf9mask', (YLeaf(YType.uint16, 'udf9Mask'), ['int'])),
                                        ('udf10name', (YLeaf(YType.str, 'udf10Name'), ['str'])),
                                        ('udf10val', (YLeaf(YType.uint16, 'udf10Val'), ['int'])),
                                        ('udf10mask', (YLeaf(YType.uint16, 'udf10Mask'), ['int'])),
                                        ('udf11name', (YLeaf(YType.str, 'udf11Name'), ['str'])),
                                        ('udf11val', (YLeaf(YType.uint16, 'udf11Val'), ['int'])),
                                        ('udf11mask', (YLeaf(YType.uint16, 'udf11Mask'), ['int'])),
                                        ('udf12name', (YLeaf(YType.str, 'udf12Name'), ['str'])),
                                        ('udf12val', (YLeaf(YType.uint16, 'udf12Val'), ['int'])),
                                        ('udf12mask', (YLeaf(YType.uint16, 'udf12Mask'), ['int'])),
                                        ('udf13name', (YLeaf(YType.str, 'udf13Name'), ['str'])),
                                        ('udf13val', (YLeaf(YType.uint16, 'udf13Val'), ['int'])),
                                        ('udf13mask', (YLeaf(YType.uint16, 'udf13Mask'), ['int'])),
                                        ('udf14name', (YLeaf(YType.str, 'udf14Name'), ['str'])),
                                        ('udf14val', (YLeaf(YType.uint16, 'udf14Val'), ['int'])),
                                        ('udf14mask', (YLeaf(YType.uint16, 'udf14Mask'), ['int'])),
                                        ('udf15name', (YLeaf(YType.str, 'udf15Name'), ['str'])),
                                        ('udf15val', (YLeaf(YType.uint16, 'udf15Val'), ['int'])),
                                        ('udf15mask', (YLeaf(YType.uint16, 'udf15Mask'), ['int'])),
                                        ('udf16name', (YLeaf(YType.str, 'udf16Name'), ['str'])),
                                        ('udf16val', (YLeaf(YType.uint16, 'udf16Val'), ['int'])),
                                        ('udf16mask', (YLeaf(YType.uint16, 'udf16Mask'), ['int'])),
                                        ('udf17name', (YLeaf(YType.str, 'udf17Name'), ['str'])),
                                        ('udf17val', (YLeaf(YType.uint16, 'udf17Val'), ['int'])),
                                        ('udf17mask', (YLeaf(YType.uint16, 'udf17Mask'), ['int'])),
                                        ('udf18name', (YLeaf(YType.str, 'udf18Name'), ['str'])),
                                        ('udf18val', (YLeaf(YType.uint16, 'udf18Val'), ['int'])),
                                        ('udf18mask', (YLeaf(YType.uint16, 'udf18Mask'), ['int'])),
                                    ])
                                    self.udf1name = None
                                    self.udf1val = None
                                    self.udf1mask = None
                                    self.udf2name = None
                                    self.udf2val = None
                                    self.udf2mask = None
                                    self.udf3name = None
                                    self.udf3val = None
                                    self.udf3mask = None
                                    self.udf4name = None
                                    self.udf4val = None
                                    self.udf4mask = None
                                    self.udf5name = None
                                    self.udf5val = None
                                    self.udf5mask = None
                                    self.udf6name = None
                                    self.udf6val = None
                                    self.udf6mask = None
                                    self.udf7name = None
                                    self.udf7val = None
                                    self.udf7mask = None
                                    self.udf8name = None
                                    self.udf8val = None
                                    self.udf8mask = None
                                    self.udf9name = None
                                    self.udf9val = None
                                    self.udf9mask = None
                                    self.udf10name = None
                                    self.udf10val = None
                                    self.udf10mask = None
                                    self.udf11name = None
                                    self.udf11val = None
                                    self.udf11mask = None
                                    self.udf12name = None
                                    self.udf12val = None
                                    self.udf12mask = None
                                    self.udf13name = None
                                    self.udf13val = None
                                    self.udf13mask = None
                                    self.udf14name = None
                                    self.udf14val = None
                                    self.udf14mask = None
                                    self.udf15name = None
                                    self.udf15val = None
                                    self.udf15mask = None
                                    self.udf16name = None
                                    self.udf16val = None
                                    self.udf16mask = None
                                    self.udf17name = None
                                    self.udf17val = None
                                    self.udf17mask = None
                                    self.udf18name = None
                                    self.udf18val = None
                                    self.udf18mask = None
                                    self._segment_path = lambda: "udf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv4Items.NameItems.ACLList.SeqItems.ACEList.UdfItems, ['udf1name', 'udf1val', 'udf1mask', 'udf2name', 'udf2val', 'udf2mask', 'udf3name', 'udf3val', 'udf3mask', 'udf4name', 'udf4val', 'udf4mask', 'udf5name', 'udf5val', 'udf5mask', 'udf6name', 'udf6val', 'udf6mask', 'udf7name', 'udf7val', 'udf7mask', 'udf8name', 'udf8val', 'udf8mask', 'udf9name', 'udf9val', 'udf9mask', 'udf10name', 'udf10val', 'udf10mask', 'udf11name', 'udf11val', 'udf11mask', 'udf12name', 'udf12val', 'udf12mask', 'udf13name', 'udf13val', 'udf13mask', 'udf14name', 'udf14val', 'udf14mask', 'udf15name', 'udf15val', 'udf15mask', 'udf16name', 'udf16val', 'udf16mask', 'udf17name', 'udf17val', 'udf17mask', 'udf18name', 'udf18val', 'udf18mask'], name, value)







            class ONameItems(Entity):
                """
                
                
                .. attribute:: addrgroup_list
                
                	
                	**type**\: list of  		 :py:class:`AddrGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.ONameItems.AddrGroupList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv4Items.ONameItems, self).__init__()

                    self.yang_name = "oName-items"
                    self.yang_parent_name = "ipv4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AddrGroup-list", ("addrgroup_list", System.AclItems.Ipv4Items.ONameItems.AddrGroupList))])
                    self._leafs = OrderedDict()

                    self.addrgroup_list = YList(self)
                    self._segment_path = lambda: "oName-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv4Items.ONameItems, [], name, value)


                class AddrGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Object\-group Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: seq_items
                    
                    	
                    	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv4Items.ONameItems.AddrGroupList, self).__init__()

                        self.yang_name = "AddrGroup-list"
                        self.yang_parent_name = "oName-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("seq-items", ("seq_items", System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.seq_items = System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems()
                        self.seq_items.parent = self
                        self._children_name_map["seq_items"] = "seq-items"
                        self._segment_path = lambda: "AddrGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv4-items/oName-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv4Items.ONameItems.AddrGroupList, ['name'], name, value)


                    class SeqItems(Entity):
                        """
                        
                        
                        .. attribute:: addrmember_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AddrMemberList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems, self).__init__()

                            self.yang_name = "seq-items"
                            self.yang_parent_name = "AddrGroup-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("AddrMember-list", ("addrmember_list", System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList))])
                            self._leafs = OrderedDict()

                            self.addrmember_list = YList(self)
                            self._segment_path = lambda: "seq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems, [], name, value)


                        class AddrMemberList(Entity):
                            """
                            
                            
                            .. attribute:: seqnum  (key)
                            
                            	Sequence number
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: prefix
                            
                            	IPv4 prefix
                            	**type**\: str
                            
                            .. attribute:: prefixmask
                            
                            	IPv4 prefix mask
                            	**type**\: str
                            
                            .. attribute:: prefixlength
                            
                            	IPv4 prefix length
                            	**type**\: int
                            
                            	**range:** 0..32
                            
                            .. attribute:: configstatus
                            
                            	config status
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList, self).__init__()

                                self.yang_name = "AddrMember-list"
                                self.yang_parent_name = "seq-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['seqnum']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                                    ('prefixmask', (YLeaf(YType.str, 'prefixMask'), ['str'])),
                                    ('prefixlength', (YLeaf(YType.uint8, 'prefixLength'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint8, 'configStatus'), ['int'])),
                                ])
                                self.seqnum = None
                                self.prefix = None
                                self.prefixmask = None
                                self.prefixlength = None
                                self.configstatus = None
                                self._segment_path = lambda: "AddrMember-list" + "[seqNum='" + str(self.seqnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv4Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList, ['seqnum', 'prefix', 'prefixmask', 'prefixlength', 'configstatus'], name, value)







        class Ipv6Items(Entity):
            """
            
            
            .. attribute:: statclear_items
            
            	
            	**type**\:  :py:class:`StatClearItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.StatClearItems>`
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems>`
            
            .. attribute:: name_items
            
            	
            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.NameItems>`
            
            .. attribute:: oname_items
            
            	
            	**type**\:  :py:class:`ONameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.ONameItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AclItems.Ipv6Items, self).__init__()

                self.yang_name = "ipv6-items"
                self.yang_parent_name = "acl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("statClear-items", ("statclear_items", System.AclItems.Ipv6Items.StatClearItems)), ("policy-items", ("policy_items", System.AclItems.Ipv6Items.PolicyItems)), ("name-items", ("name_items", System.AclItems.Ipv6Items.NameItems)), ("oName-items", ("oname_items", System.AclItems.Ipv6Items.ONameItems))])
                self._leafs = OrderedDict()

                self.statclear_items = System.AclItems.Ipv6Items.StatClearItems()
                self.statclear_items.parent = self
                self._children_name_map["statclear_items"] = "statClear-items"

                self.policy_items = System.AclItems.Ipv6Items.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.name_items = System.AclItems.Ipv6Items.NameItems()
                self.name_items.parent = self
                self._children_name_map["name_items"] = "name-items"

                self.oname_items = System.AclItems.Ipv6Items.ONameItems()
                self.oname_items.parent = self
                self._children_name_map["oname_items"] = "oName-items"
                self._segment_path = lambda: "ipv6-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AclItems.Ipv6Items, [], name, value)


            class StatClearItems(Entity):
                """
                
                
                .. attribute:: name
                
                	ACL Name to clear the statistics
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: timestamp
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv6Items.StatClearItems, self).__init__()

                    self.yang_name = "statClear-items"
                    self.yang_parent_name = "ipv6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                    ])
                    self.name = None
                    self.timestamp = None
                    self._segment_path = lambda: "statClear-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv6Items.StatClearItems, ['name', 'timestamp'], name, value)



            class PolicyItems(Entity):
                """
                
                
                .. attribute:: ingress_items
                
                	
                	**type**\:  :py:class:`IngressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems>`
                
                .. attribute:: egress_items
                
                	
                	**type**\:  :py:class:`EgressItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv6Items.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "ipv6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ingress-items", ("ingress_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems)), ("egress-items", ("egress_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems))])
                    self._leafs = OrderedDict()

                    self.ingress_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems()
                    self.ingress_items.parent = self
                    self._children_name_map["ingress_items"] = "ingress-items"

                    self.egress_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems()
                    self.egress_items.parent = self
                    self._children_name_map["egress_items"] = "egress-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems, [], name, value)


                class IngressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv6Items.PolicyItems.IngressItems, self).__init__()

                        self.yang_name = "ingress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "ingress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/ingress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "ingress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/ingress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/ingress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.IngressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)





                class EgressItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems>`
                    
                    .. attribute:: vty_items
                    
                    	
                    	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv6Items.PolicyItems.EgressItems, self).__init__()

                        self.yang_name = "egress-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems)), ("vty-items", ("vty_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.vty_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems()
                        self.vty_items.parent = self
                        self._children_name_map["vty_items"] = "vty-items"
                        self._segment_path = lambda: "egress-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface to which ACL is applied
                            	**type**\: str
                            
                            .. attribute:: acl_items
                            
                            	
                            	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_>`
                            
                            .. attribute:: portacl_items
                            
                            	
                            	**type**\:  :py:class:`PortaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_)), ("portacl-items", ("portacl_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.acl_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_()
                                self.acl_items.parent = self
                                self._children_name_map["acl_items"] = "acl-items"

                                self.portacl_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems()
                                self.portacl_items.parent = self
                                self._children_name_map["portacl_items"] = "portacl-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/egress-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList, ['name'], name, value)


                            class AclItems_(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, self).__init__()

                                    self.yang_name = "acl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "acl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.AclItems_, ['name', 'configstatus'], name, value)



                            class PortaclItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	ACL Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, self).__init__()

                                    self.yang_name = "portacl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "portacl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.IntfItems.IfList.PortaclItems, ['name', 'configstatus'], name, value)





                    class VtyItems(Entity):
                        """
                        
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems.AclItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems, self).__init__()

                            self.yang_name = "vty-items"
                            self.yang_parent_name = "egress-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems.AclItems_))])
                            self._leafs = OrderedDict()

                            self.acl_items = System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems.AclItems_()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "vty-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/egress-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems, [], name, value)


                        class AclItems_(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	ACL name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems.AclItems_, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "vty-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.configstatus = None
                                self._segment_path = lambda: "acl-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/policy-items/egress-items/vty-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.PolicyItems.EgressItems.VtyItems.AclItems_, ['name', 'configstatus'], name, value)






            class NameItems(Entity):
                """
                
                
                .. attribute:: acl_list
                
                	
                	**type**\: list of  		 :py:class:`ACLList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.NameItems.ACLList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv6Items.NameItems, self).__init__()

                    self.yang_name = "name-items"
                    self.yang_parent_name = "ipv6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ACL-list", ("acl_list", System.AclItems.Ipv6Items.NameItems.ACLList))])
                    self._leafs = OrderedDict()

                    self.acl_list = YList(self)
                    self._segment_path = lambda: "name-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv6Items.NameItems, [], name, value)


                class ACLList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	ACL Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: peracestatistics
                    
                    	Per ACE statistics
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: configstatus
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: reseq_items
                    
                    	
                    	**type**\:  :py:class:`ReseqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.NameItems.ACLList.ReseqItems>`
                    
                    .. attribute:: seq_items
                    
                    	
                    	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv6Items.NameItems.ACLList, self).__init__()

                        self.yang_name = "ACL-list"
                        self.yang_parent_name = "name-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("reseq-items", ("reseq_items", System.AclItems.Ipv6Items.NameItems.ACLList.ReseqItems)), ("seq-items", ("seq_items", System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                        ])
                        self.name = None
                        self.peracestatistics = None
                        self.configstatus = None

                        self.reseq_items = System.AclItems.Ipv6Items.NameItems.ACLList.ReseqItems()
                        self.reseq_items.parent = self
                        self._children_name_map["reseq_items"] = "reseq-items"

                        self.seq_items = System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems()
                        self.seq_items.parent = self
                        self._children_name_map["seq_items"] = "seq-items"
                        self._segment_path = lambda: "ACL-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/name-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv6Items.NameItems.ACLList, ['name', 'peracestatistics', 'configstatus'], name, value)


                    class ReseqItems(Entity):
                        """
                        
                        
                        .. attribute:: start
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: step
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.NameItems.ACLList.ReseqItems, self).__init__()

                            self.yang_name = "reseq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('start', (YLeaf(YType.uint32, 'start'), ['int'])),
                                ('step', (YLeaf(YType.uint32, 'step'), ['int'])),
                            ])
                            self.start = None
                            self.step = None
                            self._segment_path = lambda: "reseq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.NameItems.ACLList.ReseqItems, ['start', 'step'], name, value)



                    class SeqItems(Entity):
                        """
                        
                        
                        .. attribute:: ace_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ACEList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems.ACEList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems, self).__init__()

                            self.yang_name = "seq-items"
                            self.yang_parent_name = "ACL-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ACE-list", ("ace_list", System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems.ACEList))])
                            self._leafs = OrderedDict()

                            self.ace_list = YList(self)
                            self._segment_path = lambda: "seq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems, [], name, value)


                        class ACEList(Entity):
                            """
                            
                            
                            .. attribute:: seqnum  (key)
                            
                            	Sequence number
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: protocol
                            
                            	Protocol for access\-list entry
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protocolmask
                            
                            	Protocol Mask
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: srcprefix
                            
                            	Source IPv6 prefix
                            	**type**\: str
                            
                            .. attribute:: srcprefixmask
                            
                            	Source IPv6 prefix mask
                            	**type**\: str
                            
                            .. attribute:: srcprefixlength
                            
                            	Source IPv6 prefix length
                            	**type**\: int
                            
                            	**range:** 0..128
                            
                            .. attribute:: dstprefix
                            
                            	Destination IPv6 prefix
                            	**type**\: str
                            
                            .. attribute:: dstprefixmask
                            
                            	Destination IPv6 prefix mask
                            	**type**\: str
                            
                            .. attribute:: dstprefixlength
                            
                            	Destination IPv6 prefix length
                            	**type**\: int
                            
                            	**range:** 0..128
                            
                            .. attribute:: flowlabel
                            
                            	Flow label
                            	**type**\: int
                            
                            	**range:** 0..1048576
                            
                            .. attribute:: icmpstr
                            
                            	ICMPv6 Str
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: icmptype
                            
                            	ICMPv6 type
                            	**type**\: int
                            
                            	**range:** 0..256
                            
                            .. attribute:: icmpcode
                            
                            	ICMPv6 code
                            	**type**\: int
                            
                            	**range:** 0..256
                            
                            .. attribute:: configstatus
                            
                            	config status
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: remark
                            
                            	Access\-list entry comment
                            	**type**\: str
                            
                            	**length:** 1..100
                            
                            .. attribute:: action
                            
                            	Specify packets to forward or reject
                            	**type**\:  :py:class:`AclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclActionType>`
                            
                            .. attribute:: srcportop
                            
                            	Source port operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: srcport1
                            
                            	First source port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: srcport2
                            
                            	Second source port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: srcportmask
                            
                            	Source Port Mask
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstportop
                            
                            	Destination port operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dstport1
                            
                            	First destination port number
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstport2
                            
                            	Second destination port number
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dstportmask
                            
                            	Destination Port Mask
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: logging
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: dscp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: pktlenop
                            
                            	packet length operator
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: pktlen1
                            
                            	first packet length
                            	**type**\: int
                            
                            	**range:** 19..9210
                            
                            .. attribute:: pktlen2
                            
                            	second packet length
                            	**type**\: int
                            
                            	**range:** 19..9210
                            
                            .. attribute:: urg
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: ack
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: psh
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rst
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: syn
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: fin
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: est
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rev
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: tcpflagsmask
                            
                            	tcp flags mask
                            	**type**\: int
                            
                            	**range:** 0..64
                            
                            .. attribute:: packets
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: fragment
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: capturesession
                            
                            	capture session
                            	**type**\: int
                            
                            	**range:** 0..48
                            
                            .. attribute:: httpoption
                            
                            	http option http\-method
                            	**type**\:  :py:class:`AclHttpOptionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclHttpOptionType>`
                            
                            .. attribute:: vni
                            
                            	nve vni ID
                            	**type**\: int
                            
                            	**range:** 0..16777216
                            
                            .. attribute:: vlan
                            
                            	vlan
                            	**type**\: int
                            
                            	**range:** 0..4095
                            
                            .. attribute:: tcpoptionlength
                            
                            	TCP options length
                            	**type**\: int
                            
                            	**range:** 0..41
                            
                            .. attribute:: timerange
                            
                            	time range name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: srcaddrgroup
                            
                            	Source address group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: dstaddrgroup
                            
                            	Destination address group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: srcportgroup
                            
                            	Source port group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: dstportgroup
                            
                            	Destination port group
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: redirect
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems.ACEList, self).__init__()

                                self.yang_name = "ACE-list"
                                self.yang_parent_name = "seq-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['seqnum']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                    ('protocol', (YLeaf(YType.uint8, 'protocol'), ['int'])),
                                    ('protocolmask', (YLeaf(YType.uint8, 'protocolMask'), ['int'])),
                                    ('srcprefix', (YLeaf(YType.str, 'srcPrefix'), ['str'])),
                                    ('srcprefixmask', (YLeaf(YType.str, 'srcPrefixMask'), ['str'])),
                                    ('srcprefixlength', (YLeaf(YType.uint8, 'srcPrefixLength'), ['int'])),
                                    ('dstprefix', (YLeaf(YType.str, 'dstPrefix'), ['str'])),
                                    ('dstprefixmask', (YLeaf(YType.str, 'dstPrefixMask'), ['str'])),
                                    ('dstprefixlength', (YLeaf(YType.uint8, 'dstPrefixLength'), ['int'])),
                                    ('flowlabel', (YLeaf(YType.uint32, 'flowLabel'), ['int'])),
                                    ('icmpstr', (YLeaf(YType.uint16, 'icmpStr'), ['int'])),
                                    ('icmptype', (YLeaf(YType.uint16, 'icmpType'), ['int'])),
                                    ('icmpcode', (YLeaf(YType.uint16, 'icmpCode'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint8, 'configStatus'), ['int'])),
                                    ('remark', (YLeaf(YType.str, 'remark'), ['str'])),
                                    ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclActionType', '')])),
                                    ('srcportop', (YLeaf(YType.uint8, 'srcPortOp'), ['int'])),
                                    ('srcport1', (YLeaf(YType.uint16, 'srcPort1'), ['int'])),
                                    ('srcport2', (YLeaf(YType.uint16, 'srcPort2'), ['int'])),
                                    ('srcportmask', (YLeaf(YType.uint16, 'srcPortMask'), ['int'])),
                                    ('dstportop', (YLeaf(YType.uint8, 'dstPortOp'), ['int'])),
                                    ('dstport1', (YLeaf(YType.uint16, 'dstPort1'), ['int'])),
                                    ('dstport2', (YLeaf(YType.uint16, 'dstPort2'), ['int'])),
                                    ('dstportmask', (YLeaf(YType.uint16, 'dstPortMask'), ['int'])),
                                    ('logging', (YLeaf(YType.boolean, 'logging'), ['bool'])),
                                    ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                    ('pktlenop', (YLeaf(YType.uint8, 'pktLenOp'), ['int'])),
                                    ('pktlen1', (YLeaf(YType.uint16, 'pktLen1'), ['int'])),
                                    ('pktlen2', (YLeaf(YType.uint16, 'pktLen2'), ['int'])),
                                    ('urg', (YLeaf(YType.boolean, 'urg'), ['bool'])),
                                    ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                    ('psh', (YLeaf(YType.boolean, 'psh'), ['bool'])),
                                    ('rst', (YLeaf(YType.boolean, 'rst'), ['bool'])),
                                    ('syn', (YLeaf(YType.boolean, 'syn'), ['bool'])),
                                    ('fin', (YLeaf(YType.boolean, 'fin'), ['bool'])),
                                    ('est', (YLeaf(YType.boolean, 'est'), ['bool'])),
                                    ('rev', (YLeaf(YType.boolean, 'rev'), ['bool'])),
                                    ('tcpflagsmask', (YLeaf(YType.uint8, 'tcpFlagsMask'), ['int'])),
                                    ('packets', (YLeaf(YType.uint64, 'packets'), ['int'])),
                                    ('fragment', (YLeaf(YType.boolean, 'fragment'), ['bool'])),
                                    ('capturesession', (YLeaf(YType.uint16, 'captureSession'), ['int'])),
                                    ('httpoption', (YLeaf(YType.enumeration, 'httpOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclHttpOptionType', '')])),
                                    ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                    ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                                    ('tcpoptionlength', (YLeaf(YType.uint32, 'tcpOptionLength'), ['int'])),
                                    ('timerange', (YLeaf(YType.str, 'timeRange'), ['str'])),
                                    ('srcaddrgroup', (YLeaf(YType.str, 'srcAddrGroup'), ['str'])),
                                    ('dstaddrgroup', (YLeaf(YType.str, 'dstAddrGroup'), ['str'])),
                                    ('srcportgroup', (YLeaf(YType.str, 'srcPortGroup'), ['str'])),
                                    ('dstportgroup', (YLeaf(YType.str, 'dstPortGroup'), ['str'])),
                                    ('redirect', (YLeaf(YType.str, 'redirect'), ['str'])),
                                ])
                                self.seqnum = None
                                self.protocol = None
                                self.protocolmask = None
                                self.srcprefix = None
                                self.srcprefixmask = None
                                self.srcprefixlength = None
                                self.dstprefix = None
                                self.dstprefixmask = None
                                self.dstprefixlength = None
                                self.flowlabel = None
                                self.icmpstr = None
                                self.icmptype = None
                                self.icmpcode = None
                                self.configstatus = None
                                self.remark = None
                                self.action = None
                                self.srcportop = None
                                self.srcport1 = None
                                self.srcport2 = None
                                self.srcportmask = None
                                self.dstportop = None
                                self.dstport1 = None
                                self.dstport2 = None
                                self.dstportmask = None
                                self.logging = None
                                self.dscp = None
                                self.pktlenop = None
                                self.pktlen1 = None
                                self.pktlen2 = None
                                self.urg = None
                                self.ack = None
                                self.psh = None
                                self.rst = None
                                self.syn = None
                                self.fin = None
                                self.est = None
                                self.rev = None
                                self.tcpflagsmask = None
                                self.packets = None
                                self.fragment = None
                                self.capturesession = None
                                self.httpoption = None
                                self.vni = None
                                self.vlan = None
                                self.tcpoptionlength = None
                                self.timerange = None
                                self.srcaddrgroup = None
                                self.dstaddrgroup = None
                                self.srcportgroup = None
                                self.dstportgroup = None
                                self.redirect = None
                                self._segment_path = lambda: "ACE-list" + "[seqNum='" + str(self.seqnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.NameItems.ACLList.SeqItems.ACEList, ['seqnum', 'protocol', 'protocolmask', 'srcprefix', 'srcprefixmask', 'srcprefixlength', 'dstprefix', 'dstprefixmask', 'dstprefixlength', 'flowlabel', 'icmpstr', 'icmptype', 'icmpcode', 'configstatus', 'remark', 'action', 'srcportop', 'srcport1', 'srcport2', 'srcportmask', 'dstportop', 'dstport1', 'dstport2', 'dstportmask', 'logging', 'dscp', 'pktlenop', 'pktlen1', 'pktlen2', 'urg', 'ack', 'psh', 'rst', 'syn', 'fin', 'est', 'rev', 'tcpflagsmask', 'packets', 'fragment', 'capturesession', 'httpoption', 'vni', 'vlan', 'tcpoptionlength', 'timerange', 'srcaddrgroup', 'dstaddrgroup', 'srcportgroup', 'dstportgroup', 'redirect'], name, value)






            class ONameItems(Entity):
                """
                
                
                .. attribute:: addrgroup_list
                
                	
                	**type**\: list of  		 :py:class:`AddrGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.ONameItems.AddrGroupList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AclItems.Ipv6Items.ONameItems, self).__init__()

                    self.yang_name = "oName-items"
                    self.yang_parent_name = "ipv6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AddrGroup-list", ("addrgroup_list", System.AclItems.Ipv6Items.ONameItems.AddrGroupList))])
                    self._leafs = OrderedDict()

                    self.addrgroup_list = YList(self)
                    self._segment_path = lambda: "oName-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AclItems.Ipv6Items.ONameItems, [], name, value)


                class AddrGroupList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Object\-group Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: seq_items
                    
                    	
                    	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AclItems.Ipv6Items.ONameItems.AddrGroupList, self).__init__()

                        self.yang_name = "AddrGroup-list"
                        self.yang_parent_name = "oName-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("seq-items", ("seq_items", System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.seq_items = System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems()
                        self.seq_items.parent = self
                        self._children_name_map["seq_items"] = "seq-items"
                        self._segment_path = lambda: "AddrGroup-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/acl-items/ipv6-items/oName-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AclItems.Ipv6Items.ONameItems.AddrGroupList, ['name'], name, value)


                    class SeqItems(Entity):
                        """
                        
                        
                        .. attribute:: addrmember_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AddrMemberList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems, self).__init__()

                            self.yang_name = "seq-items"
                            self.yang_parent_name = "AddrGroup-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("AddrMember-list", ("addrmember_list", System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList))])
                            self._leafs = OrderedDict()

                            self.addrmember_list = YList(self)
                            self._segment_path = lambda: "seq-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems, [], name, value)


                        class AddrMemberList(Entity):
                            """
                            
                            
                            .. attribute:: seqnum  (key)
                            
                            	Sequence number
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: prefix
                            
                            	IPv6 prefix
                            	**type**\: str
                            
                            .. attribute:: prefixmask
                            
                            	IPv6 prefix mask
                            	**type**\: str
                            
                            .. attribute:: prefixlength
                            
                            	IPv6 prefix length
                            	**type**\: int
                            
                            	**range:** 0..128
                            
                            .. attribute:: configstatus
                            
                            	config status
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList, self).__init__()

                                self.yang_name = "AddrMember-list"
                                self.yang_parent_name = "seq-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['seqnum']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                                    ('prefixmask', (YLeaf(YType.str, 'prefixMask'), ['str'])),
                                    ('prefixlength', (YLeaf(YType.uint8, 'prefixLength'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint8, 'configStatus'), ['int'])),
                                ])
                                self.seqnum = None
                                self.prefix = None
                                self.prefixmask = None
                                self.prefixlength = None
                                self.configstatus = None
                                self._segment_path = lambda: "AddrMember-list" + "[seqNum='" + str(self.seqnum) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AclItems.Ipv6Items.ONameItems.AddrGroupList.SeqItems.AddrMemberList, ['seqnum', 'prefix', 'prefixmask', 'prefixlength', 'configstatus'], name, value)








    class ActrlItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: aux_items
        
        	
        	**type**\:  :py:class:`AuxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems>`
        
        .. attribute:: filt_items
        
        	
        	**type**\:  :py:class:`FiltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems>`
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.InstItems>`
        
        .. attribute:: scope_items
        
        	
        	**type**\:  :py:class:`ScopeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ActrlItems, self).__init__()

            self.yang_name = "actrl-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("aux-items", ("aux_items", System.ActrlItems.AuxItems)), ("filt-items", ("filt_items", System.ActrlItems.FiltItems)), ("inst-items", ("inst_items", System.ActrlItems.InstItems)), ("scope-items", ("scope_items", System.ActrlItems.ScopeItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.aux_items = System.ActrlItems.AuxItems()
            self.aux_items.parent = self
            self._children_name_map["aux_items"] = "aux-items"

            self.filt_items = System.ActrlItems.FiltItems()
            self.filt_items.parent = self
            self._children_name_map["filt_items"] = "filt-items"

            self.inst_items = System.ActrlItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"

            self.scope_items = System.ActrlItems.ScopeItems()
            self.scope_items.parent = self
            self._children_name_map["scope_items"] = "scope-items"
            self._segment_path = lambda: "actrl-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ActrlItems, ['name', 'adminst', 'operst'], name, value)


        class AuxItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            .. attribute:: scope_items
            
            	
            	**type**\:  :py:class:`ScopeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.ScopeItems>`
            
            .. attribute:: rule_items
            
            	
            	**type**\:  :py:class:`RuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.RuleItems>`
            
            .. attribute:: flt_items
            
            	
            	**type**\:  :py:class:`FltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.FltItems>`
            
            .. attribute:: mgmtrule_items
            
            	
            	**type**\:  :py:class:`MgmtruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.MgmtruleItems>`
            
            .. attribute:: mgmtauxflt_items
            
            	
            	**type**\:  :py:class:`MgmtauxfltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.MgmtauxfltItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActrlItems.AuxItems, self).__init__()

                self.yang_name = "aux-items"
                self.yang_parent_name = "actrl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("scope-items", ("scope_items", System.ActrlItems.AuxItems.ScopeItems)), ("rule-items", ("rule_items", System.ActrlItems.AuxItems.RuleItems)), ("flt-items", ("flt_items", System.ActrlItems.AuxItems.FltItems)), ("mgmtrule-items", ("mgmtrule_items", System.ActrlItems.AuxItems.MgmtruleItems)), ("mgmtauxflt-items", ("mgmtauxflt_items", System.ActrlItems.AuxItems.MgmtauxfltItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.name = None

                self.scope_items = System.ActrlItems.AuxItems.ScopeItems()
                self.scope_items.parent = self
                self._children_name_map["scope_items"] = "scope-items"

                self.rule_items = System.ActrlItems.AuxItems.RuleItems()
                self.rule_items.parent = self
                self._children_name_map["rule_items"] = "rule-items"

                self.flt_items = System.ActrlItems.AuxItems.FltItems()
                self.flt_items.parent = self
                self._children_name_map["flt_items"] = "flt-items"

                self.mgmtrule_items = System.ActrlItems.AuxItems.MgmtruleItems()
                self.mgmtrule_items.parent = self
                self._children_name_map["mgmtrule_items"] = "mgmtrule-items"

                self.mgmtauxflt_items = System.ActrlItems.AuxItems.MgmtauxfltItems()
                self.mgmtauxflt_items.parent = self
                self._children_name_map["mgmtauxflt_items"] = "mgmtauxflt-items"
                self._segment_path = lambda: "aux-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActrlItems.AuxItems, ['name'], name, value)


            class ScopeItems(Entity):
                """
                
                
                .. attribute:: auxscope_list
                
                	
                	**type**\: list of  		 :py:class:`AuxScopeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.ScopeItems.AuxScopeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.AuxItems.ScopeItems, self).__init__()

                    self.yang_name = "scope-items"
                    self.yang_parent_name = "aux-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AuxScope-list", ("auxscope_list", System.ActrlItems.AuxItems.ScopeItems.AuxScopeList))])
                    self._leafs = OrderedDict()

                    self.auxscope_list = YList(self)
                    self._segment_path = lambda: "scope-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.AuxItems.ScopeItems, [], name, value)


                class AuxScopeList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..16777215
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.AuxItems.ScopeItems.AuxScopeList, self).__init__()

                        self.yang_name = "AuxScope-list"
                        self.yang_parent_name = "scope-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.name = None
                        self._segment_path = lambda: "AuxScope-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/scope-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.AuxItems.ScopeItems.AuxScopeList, ['id', 'name'], name, value)




            class RuleItems(Entity):
                """
                
                
                .. attribute:: auxrule_list
                
                	
                	**type**\: list of  		 :py:class:`AuxRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.RuleItems.AuxRuleList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.AuxItems.RuleItems, self).__init__()

                    self.yang_name = "rule-items"
                    self.yang_parent_name = "aux-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AuxRule-list", ("auxrule_list", System.ActrlItems.AuxItems.RuleItems.AuxRuleList))])
                    self._leafs = OrderedDict()

                    self.auxrule_list = YList(self)
                    self._segment_path = lambda: "rule-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.AuxItems.RuleItems, [], name, value)


                class AuxRuleList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fltid
                    
                    	Filter ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: prio
                    
                    	Priority
                    	**type**\: int
                    
                    	**range:** 1..12
                    
                    	**config**\: False
                    
                    .. attribute:: scopeid
                    
                    	Scope ID
                    	**type**\: int
                    
                    	**range:** 1..16777215
                    
                    	**config**\: False
                    
                    .. attribute:: direction
                    
                    	Direction
                    	**type**\:  :py:class:`ActrlDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlDirection>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.AuxItems.RuleItems.AuxRuleList, self).__init__()

                        self.yang_name = "AuxRule-list"
                        self.yang_parent_name = "rule-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('fltid', (YLeaf(YType.uint32, 'fltid'), ['int'])),
                            ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                            ('scopeid', (YLeaf(YType.uint32, 'scopeId'), ['int'])),
                            ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlDirection', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.fltid = None
                        self.prio = None
                        self.scopeid = None
                        self.direction = None
                        self.name = None
                        self._segment_path = lambda: "AuxRule-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/rule-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.AuxItems.RuleItems.AuxRuleList, ['id', 'fltid', 'prio', 'scopeid', 'direction', 'name'], name, value)




            class FltItems(Entity):
                """
                
                
                .. attribute:: auxflt_list
                
                	
                	**type**\: list of  		 :py:class:`AuxFltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.FltItems.AuxFltList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.AuxItems.FltItems, self).__init__()

                    self.yang_name = "flt-items"
                    self.yang_parent_name = "aux-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AuxFlt-list", ("auxflt_list", System.ActrlItems.AuxItems.FltItems.AuxFltList))])
                    self._leafs = OrderedDict()

                    self.auxflt_list = YList(self)
                    self._segment_path = lambda: "flt-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.AuxItems.FltItems, [], name, value)


                class AuxFltList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: ruleidarr
                    
                    	Rule ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ruleindex
                    
                    	Rule Index
                    	**type**\: int
                    
                    	**range:** 1..1024
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    .. attribute:: ent_items
                    
                    	
                    	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.AuxItems.FltItems.AuxFltList, self).__init__()

                        self.yang_name = "AuxFlt-list"
                        self.yang_parent_name = "flt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("ent-items", ("ent_items", System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('ruleidarr', (YLeaf(YType.str, 'ruleidArr'), ['str'])),
                            ('ruleindex', (YLeaf(YType.uint16, 'ruleIndex'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.ruleidarr = None
                        self.ruleindex = None
                        self.name = None

                        self.ent_items = System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems()
                        self.ent_items.parent = self
                        self._children_name_map["ent_items"] = "ent-items"
                        self._segment_path = lambda: "AuxFlt-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/flt-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.AuxItems.FltItems.AuxFltList, ['id', 'ruleidarr', 'ruleindex', 'name'], name, value)


                    class EntItems(Entity):
                        """
                        
                        
                        .. attribute:: auxentry_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AuxEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems.AuxEntryList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems, self).__init__()

                            self.yang_name = "ent-items"
                            self.yang_parent_name = "AuxFlt-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("AuxEntry-list", ("auxentry_list", System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems.AuxEntryList))])
                            self._leafs = OrderedDict()

                            self.auxentry_list = YList(self)
                            self._segment_path = lambda: "ent-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems, [], name, value)


                        class AuxEntryList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..256
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems.AuxEntryList, self).__init__()

                                self.yang_name = "AuxEntry-list"
                                self.yang_parent_name = "ent-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None
                                self._segment_path = lambda: "AuxEntry-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActrlItems.AuxItems.FltItems.AuxFltList.EntItems.AuxEntryList, ['name'], name, value)






            class MgmtruleItems(Entity):
                """
                
                
                .. attribute:: mgmtauxrule_list
                
                	
                	**type**\: list of  		 :py:class:`MgmtAuxRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.MgmtruleItems.MgmtAuxRuleList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.AuxItems.MgmtruleItems, self).__init__()

                    self.yang_name = "mgmtrule-items"
                    self.yang_parent_name = "aux-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MgmtAuxRule-list", ("mgmtauxrule_list", System.ActrlItems.AuxItems.MgmtruleItems.MgmtAuxRuleList))])
                    self._leafs = OrderedDict()

                    self.mgmtauxrule_list = YList(self)
                    self._segment_path = lambda: "mgmtrule-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.AuxItems.MgmtruleItems, [], name, value)


                class MgmtAuxRuleList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: ctx_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: scope_id
                    
                    	Scope ID
                    	**type**\: int
                    
                    	**range:** 1..16777215
                    
                    	**config**\: False
                    
                    .. attribute:: fltid
                    
                    	Filter ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.AuxItems.MgmtruleItems.MgmtAuxRuleList, self).__init__()

                        self.yang_name = "MgmtAuxRule-list"
                        self.yang_parent_name = "mgmtrule-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('ctx_id', (YLeaf(YType.uint32, 'ctx_id'), ['int'])),
                            ('scope_id', (YLeaf(YType.uint32, 'scope_id'), ['int'])),
                            ('fltid', (YLeaf(YType.uint32, 'fltid'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.ctx_id = None
                        self.scope_id = None
                        self.fltid = None
                        self.name = None
                        self._segment_path = lambda: "MgmtAuxRule-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/mgmtrule-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.AuxItems.MgmtruleItems.MgmtAuxRuleList, ['id', 'ctx_id', 'scope_id', 'fltid', 'name'], name, value)




            class MgmtauxfltItems(Entity):
                """
                
                
                .. attribute:: mgmtauxflt_list
                
                	
                	**type**\: list of  		 :py:class:`MgmtAuxFltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.AuxItems.MgmtauxfltItems.MgmtAuxFltList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.AuxItems.MgmtauxfltItems, self).__init__()

                    self.yang_name = "mgmtauxflt-items"
                    self.yang_parent_name = "aux-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MgmtAuxFlt-list", ("mgmtauxflt_list", System.ActrlItems.AuxItems.MgmtauxfltItems.MgmtAuxFltList))])
                    self._leafs = OrderedDict()

                    self.mgmtauxflt_list = YList(self)
                    self._segment_path = lambda: "mgmtauxflt-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.AuxItems.MgmtauxfltItems, [], name, value)


                class MgmtAuxFltList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: mgmtruleidarr
                    
                    	Rule ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mgmtruleindex
                    
                    	Rule Index
                    	**type**\: int
                    
                    	**range:** 1..1024
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.AuxItems.MgmtauxfltItems.MgmtAuxFltList, self).__init__()

                        self.yang_name = "MgmtAuxFlt-list"
                        self.yang_parent_name = "mgmtauxflt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('mgmtruleidarr', (YLeaf(YType.str, 'mgmtruleidArr'), ['str'])),
                            ('mgmtruleindex', (YLeaf(YType.uint16, 'mgmtruleIndex'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.mgmtruleidarr = None
                        self.mgmtruleindex = None
                        self.name = None
                        self._segment_path = lambda: "MgmtAuxFlt-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/aux-items/mgmtauxflt-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.AuxItems.MgmtauxfltItems.MgmtAuxFltList, ['id', 'mgmtruleidarr', 'mgmtruleindex', 'name'], name, value)





        class FiltItems(Entity):
            """
            
            
            .. attribute:: flt_list
            
            	
            	**type**\: list of  		 :py:class:`FltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActrlItems.FiltItems, self).__init__()

                self.yang_name = "filt-items"
                self.yang_parent_name = "actrl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Flt-list", ("flt_list", System.ActrlItems.FiltItems.FltList))])
                self._leafs = OrderedDict()

                self.flt_list = YList(self)
                self._segment_path = lambda: "filt-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActrlItems.FiltItems, [], name, value)


            class FltList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	TBD
                	**type**\: int
                
                	**range:** 1..4294967295
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.EntItems>`
                
                	**config**\: False
                
                .. attribute:: rtfvtoremoterfltp_items
                
                	
                	**type**\:  :py:class:`RtfvToRemoteRFltPItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems>`
                
                	**config**\: False
                
                .. attribute:: rtfvtoremoterfltatt_items
                
                	
                	**type**\:  :py:class:`RtfvToRemoteRFltAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems>`
                
                	**config**\: False
                
                .. attribute:: rsrfltpconn_items
                
                	
                	**type**\:  :py:class:`RsrfltpConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RsrfltpConnItems>`
                
                	**config**\: False
                
                .. attribute:: rtvnsconntofltinst_items
                
                	
                	**type**\:  :py:class:`RtvnsConnToFltInstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems>`
                
                	**config**\: False
                
                .. attribute:: rtvzfwdrfltpatt_items
                
                	
                	**type**\:  :py:class:`RtvzFwdRFltPAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems>`
                
                	**config**\: False
                
                .. attribute:: rtvzrevrfltpatt_items
                
                	
                	**type**\:  :py:class:`RtvzRevRFltPAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems>`
                
                	**config**\: False
                
                .. attribute:: rtvztaboorfltatt_items
                
                	
                	**type**\:  :py:class:`RtvzTabooRFltAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems>`
                
                	**config**\: False
                
                .. attribute:: rtvzrfltatt_items
                
                	
                	**type**\:  :py:class:`RtvzRFltAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.FiltItems.FltList, self).__init__()

                    self.yang_name = "Flt-list"
                    self.yang_parent_name = "filt-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.ActrlItems.FiltItems.FltList.EntItems)), ("rtfvToRemoteRFltP-items", ("rtfvtoremoterfltp_items", System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems)), ("rtfvToRemoteRFltAtt-items", ("rtfvtoremoterfltatt_items", System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems)), ("rsrfltpConn-items", ("rsrfltpconn_items", System.ActrlItems.FiltItems.FltList.RsrfltpConnItems)), ("rtvnsConnToFltInst-items", ("rtvnsconntofltinst_items", System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems)), ("rtvzFwdRFltPAtt-items", ("rtvzfwdrfltpatt_items", System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems)), ("rtvzRevRFltPAtt-items", ("rtvzrevrfltpatt_items", System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems)), ("rtvzTabooRFltAtt-items", ("rtvztaboorfltatt_items", System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems)), ("rtvzRFltAtt-items", ("rtvzrfltatt_items", System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.id = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None

                    self.ent_items = System.ActrlItems.FiltItems.FltList.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtfvtoremoterfltp_items = System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems()
                    self.rtfvtoremoterfltp_items.parent = self
                    self._children_name_map["rtfvtoremoterfltp_items"] = "rtfvToRemoteRFltP-items"

                    self.rtfvtoremoterfltatt_items = System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems()
                    self.rtfvtoremoterfltatt_items.parent = self
                    self._children_name_map["rtfvtoremoterfltatt_items"] = "rtfvToRemoteRFltAtt-items"

                    self.rsrfltpconn_items = System.ActrlItems.FiltItems.FltList.RsrfltpConnItems()
                    self.rsrfltpconn_items.parent = self
                    self._children_name_map["rsrfltpconn_items"] = "rsrfltpConn-items"

                    self.rtvnsconntofltinst_items = System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems()
                    self.rtvnsconntofltinst_items.parent = self
                    self._children_name_map["rtvnsconntofltinst_items"] = "rtvnsConnToFltInst-items"

                    self.rtvzfwdrfltpatt_items = System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems()
                    self.rtvzfwdrfltpatt_items.parent = self
                    self._children_name_map["rtvzfwdrfltpatt_items"] = "rtvzFwdRFltPAtt-items"

                    self.rtvzrevrfltpatt_items = System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems()
                    self.rtvzrevrfltpatt_items.parent = self
                    self._children_name_map["rtvzrevrfltpatt_items"] = "rtvzRevRFltPAtt-items"

                    self.rtvztaboorfltatt_items = System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems()
                    self.rtvztaboorfltatt_items.parent = self
                    self._children_name_map["rtvztaboorfltatt_items"] = "rtvzTabooRFltAtt-items"

                    self.rtvzrfltatt_items = System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems()
                    self.rtvzrfltatt_items.parent = self
                    self._children_name_map["rtvzrfltatt_items"] = "rtvzRFltAtt-items"
                    self._segment_path = lambda: "Flt-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/filt-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.FiltItems.FltList, ['id', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.EntItems.EntryList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.ActrlItems.FiltItems.FltList.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: applytofrag
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        .. attribute:: ethert
                        
                        	Ethernet Type
                        	**type**\:  :py:class:`L2EtherType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2EtherType>`
                        
                        	**config**\: False
                        
                        .. attribute:: arpopc
                        
                        	ARP Opcodes
                        	**type**\:  :py:class:`ArpOpcode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpOpcode>`
                        
                        	**config**\: False
                        
                        .. attribute:: icmpv4t
                        
                        	ICMPv4 Type
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: icmpv6t
                        
                        	ICMPv6 Type
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('applytofrag', (YLeaf(YType.boolean, 'applyToFrag'), ['bool'])),
                                ('ethert', (YLeaf(YType.enumeration, 'etherT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2EtherType', '')])),
                                ('arpopc', (YLeaf(YType.enumeration, 'arpOpc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpOpcode', '')])),
                                ('icmpv4t', (YLeaf(YType.uint8, 'icmpv4T'), ['int'])),
                                ('icmpv6t', (YLeaf(YType.uint8, 'icmpv6T'), ['int'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.applytofrag = None
                            self.ethert = None
                            self.arpopc = None
                            self.icmpv4t = None
                            self.icmpv6t = None
                            self._segment_path = lambda: "Entry-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.EntItems.EntryList, ['name', 'descr', 'applytofrag', 'ethert', 'arpopc', 'icmpv4t', 'icmpv6t'], name, value)




                class RtfvToRemoteRFltPItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvtoremoterfltp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvToRemoteRFltPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems.RtFvToRemoteRFltPList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems, self).__init__()

                        self.yang_name = "rtfvToRemoteRFltP-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvToRemoteRFltP-list", ("rtfvtoremoterfltp_list", System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems.RtFvToRemoteRFltPList))])
                        self._leafs = OrderedDict()

                        self.rtfvtoremoterfltp_list = YList(self)
                        self._segment_path = lambda: "rtfvToRemoteRFltP-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems, [], name, value)


                    class RtFvToRemoteRFltPList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems.RtFvToRemoteRFltPList, self).__init__()

                            self.yang_name = "RtFvToRemoteRFltP-list"
                            self.yang_parent_name = "rtfvToRemoteRFltP-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvToRemoteRFltP-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltPItems.RtFvToRemoteRFltPList, ['tdn', 'tcl'], name, value)




                class RtfvToRemoteRFltAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvtoremoterfltatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvToRemoteRFltAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems.RtFvToRemoteRFltAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems, self).__init__()

                        self.yang_name = "rtfvToRemoteRFltAtt-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvToRemoteRFltAtt-list", ("rtfvtoremoterfltatt_list", System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems.RtFvToRemoteRFltAttList))])
                        self._leafs = OrderedDict()

                        self.rtfvtoremoterfltatt_list = YList(self)
                        self._segment_path = lambda: "rtfvToRemoteRFltAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems, [], name, value)


                    class RtFvToRemoteRFltAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems.RtFvToRemoteRFltAttList, self).__init__()

                            self.yang_name = "RtFvToRemoteRFltAtt-list"
                            self.yang_parent_name = "rtfvToRemoteRFltAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvToRemoteRFltAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtfvToRemoteRFltAttItems.RtFvToRemoteRFltAttList, ['tdn', 'tcl'], name, value)




                class RsrfltpConnItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RsrfltpConnItems, self).__init__()

                        self.yang_name = "rsrfltpConn-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rsrfltpConn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RsrfltpConnItems, ['tdn', 'tcl'], name, value)



                class RtvnsConnToFltInstItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvnsconntofltinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVnsConnToFltInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems.RtVnsConnToFltInstList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems, self).__init__()

                        self.yang_name = "rtvnsConnToFltInst-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVnsConnToFltInst-list", ("rtvnsconntofltinst_list", System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems.RtVnsConnToFltInstList))])
                        self._leafs = OrderedDict()

                        self.rtvnsconntofltinst_list = YList(self)
                        self._segment_path = lambda: "rtvnsConnToFltInst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems, [], name, value)


                    class RtVnsConnToFltInstList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems.RtVnsConnToFltInstList, self).__init__()

                            self.yang_name = "RtVnsConnToFltInst-list"
                            self.yang_parent_name = "rtvnsConnToFltInst-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVnsConnToFltInst-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvnsConnToFltInstItems.RtVnsConnToFltInstList, ['tdn', 'tcl'], name, value)




                class RtvzFwdRFltPAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvzfwdrfltpatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVzFwdRFltPAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems.RtVzFwdRFltPAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems, self).__init__()

                        self.yang_name = "rtvzFwdRFltPAtt-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVzFwdRFltPAtt-list", ("rtvzfwdrfltpatt_list", System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems.RtVzFwdRFltPAttList))])
                        self._leafs = OrderedDict()

                        self.rtvzfwdrfltpatt_list = YList(self)
                        self._segment_path = lambda: "rtvzFwdRFltPAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems, [], name, value)


                    class RtVzFwdRFltPAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems.RtVzFwdRFltPAttList, self).__init__()

                            self.yang_name = "RtVzFwdRFltPAtt-list"
                            self.yang_parent_name = "rtvzFwdRFltPAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVzFwdRFltPAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzFwdRFltPAttItems.RtVzFwdRFltPAttList, ['tdn', 'tcl'], name, value)




                class RtvzRevRFltPAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvzrevrfltpatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVzRevRFltPAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems.RtVzRevRFltPAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems, self).__init__()

                        self.yang_name = "rtvzRevRFltPAtt-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVzRevRFltPAtt-list", ("rtvzrevrfltpatt_list", System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems.RtVzRevRFltPAttList))])
                        self._leafs = OrderedDict()

                        self.rtvzrevrfltpatt_list = YList(self)
                        self._segment_path = lambda: "rtvzRevRFltPAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems, [], name, value)


                    class RtVzRevRFltPAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems.RtVzRevRFltPAttList, self).__init__()

                            self.yang_name = "RtVzRevRFltPAtt-list"
                            self.yang_parent_name = "rtvzRevRFltPAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVzRevRFltPAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzRevRFltPAttItems.RtVzRevRFltPAttList, ['tdn', 'tcl'], name, value)




                class RtvzTabooRFltAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvztaboorfltatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVzTabooRFltAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems.RtVzTabooRFltAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems, self).__init__()

                        self.yang_name = "rtvzTabooRFltAtt-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVzTabooRFltAtt-list", ("rtvztaboorfltatt_list", System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems.RtVzTabooRFltAttList))])
                        self._leafs = OrderedDict()

                        self.rtvztaboorfltatt_list = YList(self)
                        self._segment_path = lambda: "rtvzTabooRFltAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems, [], name, value)


                    class RtVzTabooRFltAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems.RtVzTabooRFltAttList, self).__init__()

                            self.yang_name = "RtVzTabooRFltAtt-list"
                            self.yang_parent_name = "rtvzTabooRFltAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVzTabooRFltAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzTabooRFltAttItems.RtVzTabooRFltAttList, ['tdn', 'tcl'], name, value)




                class RtvzRFltAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvzrfltatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVzRFltAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems.RtVzRFltAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems, self).__init__()

                        self.yang_name = "rtvzRFltAtt-items"
                        self.yang_parent_name = "Flt-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVzRFltAtt-list", ("rtvzrfltatt_list", System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems.RtVzRFltAttList))])
                        self._leafs = OrderedDict()

                        self.rtvzrfltatt_list = YList(self)
                        self._segment_path = lambda: "rtvzRFltAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems, [], name, value)


                    class RtVzRFltAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems.RtVzRFltAttList, self).__init__()

                            self.yang_name = "RtVzRFltAtt-list"
                            self.yang_parent_name = "rtvzRFltAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVzRFltAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.FiltItems.FltList.RtvzRFltAttItems.RtVzRFltAttList, ['tdn', 'tcl'], name, value)






        class InstItems(Entity):
            """
            
            
            .. attribute:: accctrl
            
            	Access Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: logclrintvl
            
            	Log Clear Interval
            	**type**\: int
            
            	**range:** 1000..2800
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActrlItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "actrl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('accctrl', (YLeaf(YType.str, 'accCtrl'), ['str'])),
                    ('logclrintvl', (YLeaf(YType.uint16, 'logClrIntvl'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.accctrl = None
                self.logclrintvl = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActrlItems.InstItems, ['accctrl', 'logclrintvl', 'name', 'adminst', 'ctrl'], name, value)



        class ScopeItems(Entity):
            """
            
            
            .. attribute:: scope_list
            
            	
            	**type**\: list of  		 :py:class:`ScopeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActrlItems.ScopeItems, self).__init__()

                self.yang_name = "scope-items"
                self.yang_parent_name = "actrl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Scope-list", ("scope_list", System.ActrlItems.ScopeItems.ScopeList))])
                self._leafs = OrderedDict()

                self.scope_list = YList(self)
                self._segment_path = lambda: "scope-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActrlItems.ScopeItems, [], name, value)


            class ScopeList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..16777215
                
                	**config**\: False
                
                .. attribute:: seclbl
                
                	Security Label
                	**type**\: int
                
                	**range:** 1..4095
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: rule_items
                
                	
                	**type**\:  :py:class:`RuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.RuleItems>`
                
                	**config**\: False
                
                .. attribute:: mr_items
                
                	
                	**type**\:  :py:class:`MrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.MrItems>`
                
                	**config**\: False
                
                .. attribute:: sr_items
                
                	
                	**type**\:  :py:class:`SrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.SrItems>`
                
                	**config**\: False
                
                .. attribute:: rstenconn_items
                
                	
                	**type**\:  :py:class:`RstenConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.RstenConnItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActrlItems.ScopeItems.ScopeList, self).__init__()

                    self.yang_name = "Scope-list"
                    self.yang_parent_name = "scope-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rule-items", ("rule_items", System.ActrlItems.ScopeItems.ScopeList.RuleItems)), ("mr-items", ("mr_items", System.ActrlItems.ScopeItems.ScopeList.MrItems)), ("sr-items", ("sr_items", System.ActrlItems.ScopeItems.ScopeList.SrItems)), ("rstenConn-items", ("rstenconn_items", System.ActrlItems.ScopeItems.ScopeList.RstenConnItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('seclbl', (YLeaf(YType.uint16, 'secLbl'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.id = None
                    self.seclbl = None
                    self.name = None
                    self.descr = None

                    self.rule_items = System.ActrlItems.ScopeItems.ScopeList.RuleItems()
                    self.rule_items.parent = self
                    self._children_name_map["rule_items"] = "rule-items"

                    self.mr_items = System.ActrlItems.ScopeItems.ScopeList.MrItems()
                    self.mr_items.parent = self
                    self._children_name_map["mr_items"] = "mr-items"

                    self.sr_items = System.ActrlItems.ScopeItems.ScopeList.SrItems()
                    self.sr_items.parent = self
                    self._children_name_map["sr_items"] = "sr-items"

                    self.rstenconn_items = System.ActrlItems.ScopeItems.ScopeList.RstenConnItems()
                    self.rstenconn_items.parent = self
                    self._children_name_map["rstenconn_items"] = "rstenConn-items"
                    self._segment_path = lambda: "Scope-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrl-items/scope-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList, ['id', 'seclbl', 'name', 'descr'], name, value)


                class RuleItems(Entity):
                    """
                    
                    
                    .. attribute:: rule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.RuleItems.RuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.ScopeItems.ScopeList.RuleItems, self).__init__()

                        self.yang_name = "rule-items"
                        self.yang_parent_name = "Scope-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.ActrlItems.ScopeItems.ScopeList.RuleItems.RuleList))])
                        self._leafs = OrderedDict()

                        self.rule_list = YList(self)
                        self._segment_path = lambda: "rule-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.RuleItems, [], name, value)


                    class RuleList(Entity):
                        """
                        
                        
                        .. attribute:: scopeid  (key)
                        
                        	Scope ID
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        	**config**\: False
                        
                        .. attribute:: spctag  (key)
                        
                        	Source PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dpctag  (key)
                        
                        	Destination PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: fltid  (key)
                        
                        	Filter ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`ActrlRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: prio
                        
                        	Priority
                        	**type**\: int
                        
                        	**range:** 1..12
                        
                        	**config**\: False
                        
                        .. attribute:: direction
                        
                        	Direction
                        	**type**\:  :py:class:`ActrlDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qosgrp
                        
                        	QOS Group
                        	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                        
                        	**config**\: False
                        
                        .. attribute:: markdscp
                        
                        	Dscp
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`ActrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.ScopeItems.ScopeList.RuleItems.RuleList, self).__init__()

                            self.yang_name = "Rule-list"
                            self.yang_parent_name = "rule-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['scopeid','spctag','dpctag','fltid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('scopeid', (YLeaf(YType.uint32, 'scopeId'), ['int'])),
                                ('spctag', (YLeaf(YType.uint32, 'sPcTag'), ['int'])),
                                ('dpctag', (YLeaf(YType.uint32, 'dPcTag'), ['int'])),
                                ('fltid', (YLeaf(YType.uint32, 'fltId'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlRuleT', '')])),
                                ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlDirection', '')])),
                                ('action', (YLeaf(YType.str, 'action'), ['str'])),
                                ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                                ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlOperSt', '')])),
                            ])
                            self.scopeid = None
                            self.spctag = None
                            self.dpctag = None
                            self.fltid = None
                            self.name = None
                            self.descr = None
                            self.id = None
                            self.type = None
                            self.prio = None
                            self.direction = None
                            self.action = None
                            self.qosgrp = None
                            self.markdscp = None
                            self.operst = None
                            self._segment_path = lambda: "Rule-list" + "[scopeId='" + str(self.scopeid) + "']" + "[sPcTag='" + str(self.spctag) + "']" + "[dPcTag='" + str(self.dpctag) + "']" + "[fltId='" + str(self.fltid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.RuleItems.RuleList, ['scopeid', 'spctag', 'dpctag', 'fltid', 'name', 'descr', 'id', 'type', 'prio', 'direction', 'action', 'qosgrp', 'markdscp', 'operst'], name, value)




                class MrItems(Entity):
                    """
                    
                    
                    .. attribute:: mgmtrule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MgmtRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.MrItems.MgmtRuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.ScopeItems.ScopeList.MrItems, self).__init__()

                        self.yang_name = "mr-items"
                        self.yang_parent_name = "Scope-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MgmtRule-list", ("mgmtrule_list", System.ActrlItems.ScopeItems.ScopeList.MrItems.MgmtRuleList))])
                        self._leafs = OrderedDict()

                        self.mgmtrule_list = YList(self)
                        self._segment_path = lambda: "mr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.MrItems, [], name, value)


                    class MgmtRuleList(Entity):
                        """
                        
                        
                        .. attribute:: scopeid  (key)
                        
                        	Scope ID
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        	**config**\: False
                        
                        .. attribute:: spctag  (key)
                        
                        	Source PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dpctag  (key)
                        
                        	Destination PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: fltid  (key)
                        
                        	Filter ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`ActrlRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: prio
                        
                        	Priority
                        	**type**\: int
                        
                        	**range:** 1..12
                        
                        	**config**\: False
                        
                        .. attribute:: direction
                        
                        	Direction
                        	**type**\:  :py:class:`ActrlDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qosgrp
                        
                        	QOS Group
                        	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                        
                        	**config**\: False
                        
                        .. attribute:: markdscp
                        
                        	Dscp
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`ActrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.ScopeItems.ScopeList.MrItems.MgmtRuleList, self).__init__()

                            self.yang_name = "MgmtRule-list"
                            self.yang_parent_name = "mr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['scopeid','spctag','dpctag','fltid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('scopeid', (YLeaf(YType.uint32, 'scopeId'), ['int'])),
                                ('spctag', (YLeaf(YType.uint32, 'sPcTag'), ['int'])),
                                ('dpctag', (YLeaf(YType.uint32, 'dPcTag'), ['int'])),
                                ('fltid', (YLeaf(YType.uint32, 'fltId'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlRuleT', '')])),
                                ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlDirection', '')])),
                                ('action', (YLeaf(YType.str, 'action'), ['str'])),
                                ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                                ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlOperSt', '')])),
                            ])
                            self.scopeid = None
                            self.spctag = None
                            self.dpctag = None
                            self.fltid = None
                            self.name = None
                            self.descr = None
                            self.id = None
                            self.type = None
                            self.prio = None
                            self.direction = None
                            self.action = None
                            self.qosgrp = None
                            self.markdscp = None
                            self.operst = None
                            self._segment_path = lambda: "MgmtRule-list" + "[scopeId='" + str(self.scopeid) + "']" + "[sPcTag='" + str(self.spctag) + "']" + "[dPcTag='" + str(self.dpctag) + "']" + "[fltId='" + str(self.fltid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.MrItems.MgmtRuleList, ['scopeid', 'spctag', 'dpctag', 'fltid', 'name', 'descr', 'id', 'type', 'prio', 'direction', 'action', 'qosgrp', 'markdscp', 'operst'], name, value)




                class SrItems(Entity):
                    """
                    
                    
                    .. attribute:: snmprule_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SnmpRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.SrItems.SnmpRuleList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.ScopeItems.ScopeList.SrItems, self).__init__()

                        self.yang_name = "sr-items"
                        self.yang_parent_name = "Scope-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("SnmpRule-list", ("snmprule_list", System.ActrlItems.ScopeItems.ScopeList.SrItems.SnmpRuleList))])
                        self._leafs = OrderedDict()

                        self.snmprule_list = YList(self)
                        self._segment_path = lambda: "sr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.SrItems, [], name, value)


                    class SnmpRuleList(Entity):
                        """
                        
                        
                        .. attribute:: scopeid  (key)
                        
                        	Scope ID
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        	**config**\: False
                        
                        .. attribute:: spctag  (key)
                        
                        	Source PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dpctag  (key)
                        
                        	Destination PC Tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: fltid  (key)
                        
                        	Filter ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`ActrlRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlRuleT>`
                        
                        	**config**\: False
                        
                        .. attribute:: prio
                        
                        	Priority
                        	**type**\: int
                        
                        	**range:** 1..12
                        
                        	**config**\: False
                        
                        .. attribute:: direction
                        
                        	Direction
                        	**type**\:  :py:class:`ActrlDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qosgrp
                        
                        	QOS Group
                        	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                        
                        	**config**\: False
                        
                        .. attribute:: markdscp
                        
                        	Dscp
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`ActrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.ScopeItems.ScopeList.SrItems.SnmpRuleList, self).__init__()

                            self.yang_name = "SnmpRule-list"
                            self.yang_parent_name = "sr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['scopeid','spctag','dpctag','fltid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('scopeid', (YLeaf(YType.uint32, 'scopeId'), ['int'])),
                                ('spctag', (YLeaf(YType.uint32, 'sPcTag'), ['int'])),
                                ('dpctag', (YLeaf(YType.uint32, 'dPcTag'), ['int'])),
                                ('fltid', (YLeaf(YType.uint32, 'fltId'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlRuleT', '')])),
                                ('prio', (YLeaf(YType.uint8, 'prio'), ['int'])),
                                ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlDirection', '')])),
                                ('action', (YLeaf(YType.str, 'action'), ['str'])),
                                ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                                ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlOperSt', '')])),
                            ])
                            self.scopeid = None
                            self.spctag = None
                            self.dpctag = None
                            self.fltid = None
                            self.name = None
                            self.descr = None
                            self.id = None
                            self.type = None
                            self.prio = None
                            self.direction = None
                            self.action = None
                            self.qosgrp = None
                            self.markdscp = None
                            self.operst = None
                            self._segment_path = lambda: "SnmpRule-list" + "[scopeId='" + str(self.scopeid) + "']" + "[sPcTag='" + str(self.spctag) + "']" + "[dPcTag='" + str(self.dpctag) + "']" + "[fltId='" + str(self.fltid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.SrItems.SnmpRuleList, ['scopeid', 'spctag', 'dpctag', 'fltid', 'name', 'descr', 'id', 'type', 'prio', 'direction', 'action', 'qosgrp', 'markdscp', 'operst'], name, value)




                class RstenConnItems(Entity):
                    """
                    
                    
                    .. attribute:: rstenconn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsTenConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlItems.ScopeItems.ScopeList.RstenConnItems.RsTenConnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActrlItems.ScopeItems.ScopeList.RstenConnItems, self).__init__()

                        self.yang_name = "rstenConn-items"
                        self.yang_parent_name = "Scope-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsTenConn-list", ("rstenconn_list", System.ActrlItems.ScopeItems.ScopeList.RstenConnItems.RsTenConnList))])
                        self._leafs = OrderedDict()

                        self.rstenconn_list = YList(self)
                        self._segment_path = lambda: "rstenConn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.RstenConnItems, [], name, value)


                    class RsTenConnList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActrlItems.ScopeItems.ScopeList.RstenConnItems.RsTenConnList, self).__init__()

                            self.yang_name = "RsTenConn-list"
                            self.yang_parent_name = "rstenConn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RsTenConn-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActrlItems.ScopeItems.ScopeList.RstenConnItems.RsTenConnList, ['tdn', 'tcl'], name, value)







    class ActrlcapprovItems(Entity):
        """
        
        
        .. attribute:: prov_list
        
        	
        	**type**\: list of  		 :py:class:`ProvList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActrlcapprovItems.ProvList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ActrlcapprovItems, self).__init__()

            self.yang_name = "actrlcapprov-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Prov-list", ("prov_list", System.ActrlcapprovItems.ProvList))])
            self._leafs = OrderedDict()

            self.prov_list = YList(self)
            self._segment_path = lambda: "actrlcapprov-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ActrlcapprovItems, [], name, value)


        class ProvList(Entity):
            """
            
            
            .. attribute:: subj  (key)
            
            	TBD
            	**type**\:  :py:class:`ActrlcapSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlcapSubj>`
            
            	**config**\: False
            
            .. attribute:: type  (key)
            
            	TBD
            	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
            
            	**config**\: False
            
            .. attribute:: total
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: remaining
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: utilization
            
            	TBD
            	**type**\: int
            
            	**range:** 0..255
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActrlcapprovItems.ProvList, self).__init__()

                self.yang_name = "Prov-list"
                self.yang_parent_name = "actrlcapprov-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['subj','type']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlcapSubj', '')])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                    ('total', (YLeaf(YType.uint32, 'total'), ['int'])),
                    ('remaining', (YLeaf(YType.uint32, 'remaining'), ['int'])),
                    ('utilization', (YLeaf(YType.uint8, 'utilization'), ['int'])),
                ])
                self.subj = None
                self.type = None
                self.total = None
                self.remaining = None
                self.utilization = None
                self._segment_path = lambda: "Prov-list" + "[subj='" + str(self.subj) + "']" + "[type='" + str(self.type) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/actrlcapprov-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActrlcapprovItems.ProvList, ['subj', 'type', 'total', 'remaining', 'utilization'], name, value)




    class AnalyticsItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.AnalyticsItems, self).__init__()

            self.yang_name = "analytics-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.AnalyticsItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.AnalyticsItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "analytics-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.AnalyticsItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: inst_list
            
            	
            	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AnalyticsItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "analytics-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.AnalyticsItems.InstItems.InstList))])
                self._leafs = OrderedDict()

                self.inst_list = YList(self)
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/analytics-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AnalyticsItems.InstItems, [], name, value)


            class InstList(Entity):
                """
                
                
                .. attribute:: mode  (key)
                
                	Mode Select
                	**type**\:  :py:class:`AnalyticsModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsModeT>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: capability_items
                
                	
                	**type**\:  :py:class:`CapabilityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.CapabilityItems>`
                
                .. attribute:: slot_items
                
                	
                	**type**\:  :py:class:`SlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.SlotItems>`
                
                .. attribute:: controller_items
                
                	
                	**type**\:  :py:class:`ControllerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ControllerItems>`
                
                .. attribute:: recordp_items
                
                	
                	**type**\:  :py:class:`RecordpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.RecordpItems>`
                
                .. attribute:: collector_items
                
                	
                	**type**\:  :py:class:`CollectorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.CollectorItems>`
                
                .. attribute:: monitor_items
                
                	
                	**type**\:  :py:class:`MonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems>`
                
                .. attribute:: prof_items
                
                	
                	**type**\:  :py:class:`ProfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems>`
                
                .. attribute:: fwdinst_items
                
                	
                	**type**\:  :py:class:`FwdinstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.FwdinstItems>`
                
                .. attribute:: if_items
                
                	
                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.IfItems>`
                
                .. attribute:: bd_items
                
                	
                	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.BdItems>`
                
                .. attribute:: policy_items
                
                	
                	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.PolicyItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AnalyticsItems.InstItems.InstList, self).__init__()

                    self.yang_name = "Inst-list"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['mode']
                    self._child_classes = OrderedDict([("capability-items", ("capability_items", System.AnalyticsItems.InstItems.InstList.CapabilityItems)), ("slot-items", ("slot_items", System.AnalyticsItems.InstItems.InstList.SlotItems)), ("controller-items", ("controller_items", System.AnalyticsItems.InstItems.InstList.ControllerItems)), ("recordp-items", ("recordp_items", System.AnalyticsItems.InstItems.InstList.RecordpItems)), ("collector-items", ("collector_items", System.AnalyticsItems.InstItems.InstList.CollectorItems)), ("monitor-items", ("monitor_items", System.AnalyticsItems.InstItems.InstList.MonitorItems)), ("prof-items", ("prof_items", System.AnalyticsItems.InstItems.InstList.ProfItems)), ("fwdinst-items", ("fwdinst_items", System.AnalyticsItems.InstItems.InstList.FwdinstItems)), ("if-items", ("if_items", System.AnalyticsItems.InstItems.InstList.IfItems)), ("bd-items", ("bd_items", System.AnalyticsItems.InstItems.InstList.BdItems)), ("policy-items", ("policy_items", System.AnalyticsItems.InstItems.InstList.PolicyItems))])
                    self._leafs = OrderedDict([
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsModeT', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ])
                    self.mode = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.opererr = None

                    self.capability_items = System.AnalyticsItems.InstItems.InstList.CapabilityItems()
                    self.capability_items.parent = self
                    self._children_name_map["capability_items"] = "capability-items"

                    self.slot_items = System.AnalyticsItems.InstItems.InstList.SlotItems()
                    self.slot_items.parent = self
                    self._children_name_map["slot_items"] = "slot-items"

                    self.controller_items = System.AnalyticsItems.InstItems.InstList.ControllerItems()
                    self.controller_items.parent = self
                    self._children_name_map["controller_items"] = "controller-items"

                    self.recordp_items = System.AnalyticsItems.InstItems.InstList.RecordpItems()
                    self.recordp_items.parent = self
                    self._children_name_map["recordp_items"] = "recordp-items"

                    self.collector_items = System.AnalyticsItems.InstItems.InstList.CollectorItems()
                    self.collector_items.parent = self
                    self._children_name_map["collector_items"] = "collector-items"

                    self.monitor_items = System.AnalyticsItems.InstItems.InstList.MonitorItems()
                    self.monitor_items.parent = self
                    self._children_name_map["monitor_items"] = "monitor-items"

                    self.prof_items = System.AnalyticsItems.InstItems.InstList.ProfItems()
                    self.prof_items.parent = self
                    self._children_name_map["prof_items"] = "prof-items"

                    self.fwdinst_items = System.AnalyticsItems.InstItems.InstList.FwdinstItems()
                    self.fwdinst_items.parent = self
                    self._children_name_map["fwdinst_items"] = "fwdinst-items"

                    self.if_items = System.AnalyticsItems.InstItems.InstList.IfItems()
                    self.if_items.parent = self
                    self._children_name_map["if_items"] = "if-items"

                    self.bd_items = System.AnalyticsItems.InstItems.InstList.BdItems()
                    self.bd_items.parent = self
                    self._children_name_map["bd_items"] = "bd-items"

                    self.policy_items = System.AnalyticsItems.InstItems.InstList.PolicyItems()
                    self.policy_items.parent = self
                    self._children_name_map["policy_items"] = "policy-items"
                    self._segment_path = lambda: "Inst-list" + "[mode='" + str(self.mode) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/analytics-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList, ['mode', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


                class CapabilityItems(Entity):
                    """
                    
                    
                    .. attribute:: fabricmode
                    
                    	Mode to Indicate Platform Type
                    	**type**\:  :py:class:`AnalyticsCModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsCModeT>`
                    
                    	**config**\: False
                    
                    .. attribute:: buckethashwidth
                    
                    	Bit Width of the Collector Bucket Hash
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    	**config**\: False
                    
                    .. attribute:: numtcament
                    
                    	Number of TCAM Entries
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    	**config**\: False
                    
                    .. attribute:: numtcamentperv4
                    
                    	Number of TCAM Entries per V4 type
                    	**type**\: int
                    
                    	**range:** 1..256
                    
                    	**config**\: False
                    
                    .. attribute:: numtcamentperv6
                    
                    	Number of TCAM Entries per V6 type
                    	**type**\: int
                    
                    	**range:** 1..256
                    
                    	**config**\: False
                    
                    .. attribute:: configlatencyresfactor
                    
                    	Ability to Configure Resolution Factor
                    	**type**\:  :py:class:`AnalyticsConfigLatencyResFactorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsConfigLatencyResFactorT>`
                    
                    	**config**\: False
                    
                    .. attribute:: oportsupport
                    
                    	Ability to expose Oport information
                    	**type**\:  :py:class:`AnalyticsOportSupportT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsOportSupportT>`
                    
                    	**config**\: False
                    
                    .. attribute:: oclasssupport
                    
                    	Ability to expose Oclass information
                    	**type**\:  :py:class:`AnalyticsOportSupportT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsOportSupportT>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.CapabilityItems, self).__init__()

                        self.yang_name = "capability-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fabricmode', (YLeaf(YType.enumeration, 'fabricMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsCModeT', '')])),
                            ('buckethashwidth', (YLeaf(YType.uint16, 'bucketHashWidth'), ['int'])),
                            ('numtcament', (YLeaf(YType.uint32, 'numTcamEnt'), ['int'])),
                            ('numtcamentperv4', (YLeaf(YType.uint16, 'numTcamEntPerV4'), ['int'])),
                            ('numtcamentperv6', (YLeaf(YType.uint16, 'numTcamEntPerV6'), ['int'])),
                            ('configlatencyresfactor', (YLeaf(YType.enumeration, 'configLatencyResFactor'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsConfigLatencyResFactorT', '')])),
                            ('oportsupport', (YLeaf(YType.enumeration, 'oportSupport'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsOportSupportT', '')])),
                            ('oclasssupport', (YLeaf(YType.enumeration, 'oclassSupport'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsOportSupportT', '')])),
                        ])
                        self.fabricmode = None
                        self.buckethashwidth = None
                        self.numtcament = None
                        self.numtcamentperv4 = None
                        self.numtcamentperv6 = None
                        self.configlatencyresfactor = None
                        self.oportsupport = None
                        self.oclasssupport = None
                        self._segment_path = lambda: "capability-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.CapabilityItems, ['fabricmode', 'buckethashwidth', 'numtcament', 'numtcamentperv4', 'numtcamentperv6', 'configlatencyresfactor', 'oportsupport', 'oclasssupport'], name, value)



                class SlotItems(Entity):
                    """
                    
                    
                    .. attribute:: slot_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.SlotItems, self).__init__()

                        self.yang_name = "slot-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Slot-list", ("slot_list", System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList))])
                        self._leafs = OrderedDict()

                        self.slot_list = YList(self)
                        self._segment_path = lambda: "slot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.SlotItems, [], name, value)


                    class SlotList(Entity):
                        """
                        
                        
                        .. attribute:: slotid  (key)
                        
                        	Slot Number
                        	**type**\: int
                        
                        	**range:** 0..256
                        
                        	**config**\: False
                        
                        .. attribute:: oclass_items
                        
                        	
                        	**type**\:  :py:class:`OclassItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList, self).__init__()

                            self.yang_name = "Slot-list"
                            self.yang_parent_name = "slot-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['slotid']
                            self._child_classes = OrderedDict([("oclass-items", ("oclass_items", System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems))])
                            self._leafs = OrderedDict([
                                ('slotid', (YLeaf(YType.uint16, 'slotid'), ['int'])),
                            ])
                            self.slotid = None

                            self.oclass_items = System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems()
                            self.oclass_items.parent = self
                            self._children_name_map["oclass_items"] = "oclass-items"
                            self._segment_path = lambda: "Slot-list" + "[slotid='" + str(self.slotid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList, ['slotid'], name, value)


                        class OclassItems(Entity):
                            """
                            
                            
                            .. attribute:: oclass_list
                            
                            	
                            	**type**\: list of  		 :py:class:`OclassList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems.OclassList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems, self).__init__()

                                self.yang_name = "oclass-items"
                                self.yang_parent_name = "Slot-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Oclass-list", ("oclass_list", System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems.OclassList))])
                                self._leafs = OrderedDict()

                                self.oclass_list = YList(self)
                                self._segment_path = lambda: "oclass-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems, [], name, value)


                            class OclassList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Oclass ID
                                	**type**\: int
                                
                                	**range:** 0..256
                                
                                	**config**\: False
                                
                                .. attribute:: prioritymapping
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems.OclassList, self).__init__()

                                    self.yang_name = "Oclass-list"
                                    self.yang_parent_name = "oclass-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                        ('prioritymapping', (YLeaf(YType.str, 'priorityMapping'), ['str'])),
                                    ])
                                    self.id = None
                                    self.prioritymapping = None
                                    self._segment_path = lambda: "Oclass-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.SlotItems.SlotList.OclassItems.OclassList, ['id', 'prioritymapping'], name, value)






                class ControllerItems(Entity):
                    """
                    
                    
                    .. attribute:: controller_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ControllerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ControllerItems.ControllerList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.ControllerItems, self).__init__()

                        self.yang_name = "controller-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Controller-list", ("controller_list", System.AnalyticsItems.InstItems.InstList.ControllerItems.ControllerList))])
                        self._leafs = OrderedDict()

                        self.controller_list = YList(self)
                        self._segment_path = lambda: "controller-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ControllerItems, [], name, value)


                    class ControllerList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: vrfname
                        
                        	Remote Entity VRF
                        	**type**\: str
                        
                        .. attribute:: dstaddr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstport
                        
                        	Remote Entity L4 Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: dscp
                        
                        	DSCP Value
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: srcif
                        
                        	Source Interface
                        	**type**\: str
                        
                        .. attribute:: srcaddr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.ControllerItems.ControllerList, self).__init__()

                            self.yang_name = "Controller-list"
                            self.yang_parent_name = "controller-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                                ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str','str'])),
                                ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.vrfname = None
                            self.dstaddr = None
                            self.dstport = None
                            self.dscp = None
                            self.srcif = None
                            self.srcaddr = None
                            self._segment_path = lambda: "Controller-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ControllerItems.ControllerList, ['name', 'descr', 'vrfname', 'dstaddr', 'dstport', 'dscp', 'srcif', 'srcaddr'], name, value)




                class RecordpItems(Entity):
                    """
                    
                    
                    .. attribute:: recordp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RecordPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.RecordpItems.RecordPList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.RecordpItems, self).__init__()

                        self.yang_name = "recordp-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RecordP-list", ("recordp_list", System.AnalyticsItems.InstItems.InstList.RecordpItems.RecordPList))])
                        self._leafs = OrderedDict()

                        self.recordp_list = YList(self)
                        self._segment_path = lambda: "recordp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.RecordpItems, [], name, value)


                    class RecordPList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: match
                        
                        	Match Params
                        	**type**\: str
                        
                        .. attribute:: collect
                        
                        	Collect Params
                        	**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.RecordpItems.RecordPList, self).__init__()

                            self.yang_name = "RecordP-list"
                            self.yang_parent_name = "recordp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('match', (YLeaf(YType.str, 'match'), ['str'])),
                                ('collect', (YLeaf(YType.str, 'collect'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.match = None
                            self.collect = None
                            self.descr = None
                            self._segment_path = lambda: "RecordP-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.RecordpItems.RecordPList, ['name', 'match', 'collect', 'descr'], name, value)




                class CollectorItems(Entity):
                    """
                    
                    
                    .. attribute:: collector_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CollectorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.CollectorItems.CollectorList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.CollectorItems, self).__init__()

                        self.yang_name = "collector-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Collector-list", ("collector_list", System.AnalyticsItems.InstItems.InstList.CollectorItems.CollectorList))])
                        self._leafs = OrderedDict()

                        self.collector_list = YList(self)
                        self._segment_path = lambda: "collector-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.CollectorItems, [], name, value)


                    class CollectorList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: ver
                        
                        	Collector Version Format
                        	**type**\:  :py:class:`AnalyticsCollVersion <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsCollVersion>`
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: vrfname
                        
                        	Remote Entity VRF
                        	**type**\: str
                        
                        .. attribute:: dstaddr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstport
                        
                        	Remote Entity L4 Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: dscp
                        
                        	DSCP Value
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: srcif
                        
                        	Source Interface
                        	**type**\: str
                        
                        .. attribute:: srcaddr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.CollectorItems.CollectorList, self).__init__()

                            self.yang_name = "Collector-list"
                            self.yang_parent_name = "collector-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsCollVersion', '')])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                                ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str','str'])),
                                ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                            ])
                            self.name = None
                            self.ver = None
                            self.descr = None
                            self.vrfname = None
                            self.dstaddr = None
                            self.dstport = None
                            self.dscp = None
                            self.srcif = None
                            self.srcaddr = None
                            self._segment_path = lambda: "Collector-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.CollectorItems.CollectorList, ['name', 'ver', 'descr', 'vrfname', 'dstaddr', 'dstport', 'dscp', 'srcif', 'srcaddr'], name, value)




                class MonitorItems(Entity):
                    """
                    
                    
                    .. attribute:: monitor_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MonitorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.MonitorItems, self).__init__()

                        self.yang_name = "monitor-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Monitor-list", ("monitor_list", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList))])
                        self._leafs = OrderedDict()

                        self.monitor_list = YList(self)
                        self._segment_path = lambda: "monitor-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems, [], name, value)


                    class MonitorList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: collectorbucket_items
                        
                        	
                        	**type**\:  :py:class:`CollectorbucketItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems>`
                        
                        .. attribute:: rsrecordpatt_items
                        
                        	
                        	**type**\:  :py:class:`RsrecordPAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList, self).__init__()

                            self.yang_name = "Monitor-list"
                            self.yang_parent_name = "monitor-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("collectorbucket-items", ("collectorbucket_items", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems)), ("rsrecordPAtt-items", ("rsrecordpatt_items", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.collectorbucket_items = System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems()
                            self.collectorbucket_items.parent = self
                            self._children_name_map["collectorbucket_items"] = "collectorbucket-items"

                            self.rsrecordpatt_items = System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems()
                            self.rsrecordpatt_items.parent = self
                            self._children_name_map["rsrecordpatt_items"] = "rsrecordPAtt-items"
                            self._segment_path = lambda: "Monitor-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList, ['name', 'descr'], name, value)


                        class CollectorbucketItems(Entity):
                            """
                            
                            
                            .. attribute:: collectorbucket_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CollectorBucketList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems, self).__init__()

                                self.yang_name = "collectorbucket-items"
                                self.yang_parent_name = "Monitor-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("CollectorBucket-list", ("collectorbucket_list", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList))])
                                self._leafs = OrderedDict()

                                self.collectorbucket_list = YList(self)
                                self._segment_path = lambda: "collectorbucket-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems, [], name, value)


                            class CollectorBucketList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Flow Collector Bucket Id
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: hashlo
                                
                                	Hash Low Value
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: hashhi
                                
                                	Hash High Value
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: rscollectoratt_items
                                
                                	
                                	**type**\:  :py:class:`RscollectorAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList, self).__init__()

                                    self.yang_name = "CollectorBucket-list"
                                    self.yang_parent_name = "collectorbucket-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("rscollectorAtt-items", ("rscollectoratt_items", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                        ('hashlo', (YLeaf(YType.uint32, 'hashLo'), ['int'])),
                                        ('hashhi', (YLeaf(YType.uint32, 'hashHi'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.hashlo = None
                                    self.hashhi = None
                                    self.descr = None

                                    self.rscollectoratt_items = System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems()
                                    self.rscollectoratt_items.parent = self
                                    self._children_name_map["rscollectoratt_items"] = "rscollectorAtt-items"
                                    self._segment_path = lambda: "CollectorBucket-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList, ['id', 'hashlo', 'hashhi', 'descr'], name, value)


                                class RscollectorAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rscollectoratt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsCollectorAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems, self).__init__()

                                        self.yang_name = "rscollectorAtt-items"
                                        self.yang_parent_name = "CollectorBucket-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsCollectorAtt-list", ("rscollectoratt_list", System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList))])
                                        self._leafs = OrderedDict()

                                        self.rscollectoratt_list = YList(self)
                                        self._segment_path = lambda: "rscollectorAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems, [], name, value)


                                    class RsCollectorAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList, self).__init__()

                                            self.yang_name = "RsCollectorAtt-list"
                                            self.yang_parent_name = "rscollectorAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsCollectorAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList, ['tdn', 'tcl'], name, value)






                        class RsrecordPAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, self).__init__()

                                self.yang_name = "rsrecordPAtt-items"
                                self.yang_parent_name = "Monitor-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsrecordPAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, ['tdn', 'tcl'], name, value)





                class ProfItems(Entity):
                    """
                    
                    
                    .. attribute:: profile_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.ProfItems, self).__init__()

                        self.yang_name = "prof-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Profile-list", ("profile_list", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList))])
                        self._leafs = OrderedDict()

                        self.profile_list = YList(self)
                        self._segment_path = lambda: "prof-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems, [], name, value)


                    class ProfileList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: collectintvl
                        
                        	Collect Interval in Milliseconds
                        	**type**\: int
                        
                        	**range:** 100..64000
                        
                        .. attribute:: srcport
                        
                        	Source L4 Port
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: ippktidshift
                        
                        	IP Packet Id Shift
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: burstintvlshift
                        
                        	Timestamp Shift Value for Burst Interval
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: mtu
                        
                        	MTU
                        	**type**\: int
                        
                        	**range:** 576..9216
                        
                        .. attribute:: seqnumguessthreshlo
                        
                        	Sequence Number Guess Threshold Low
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: seqnumguessthreshhi
                        
                        	Sequence Number Guess Threshold High
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: payloadlenbin_items
                        
                        	
                        	**type**\:  :py:class:`PayloadlenbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems>`
                        
                        .. attribute:: tcpopthdrlenbin_items
                        
                        	
                        	**type**\:  :py:class:`TcpopthdrlenbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems>`
                        
                        .. attribute:: rcvwindowszbin_items
                        
                        	
                        	**type**\:  :py:class:`RcvwindowszbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList, self).__init__()

                            self.yang_name = "Profile-list"
                            self.yang_parent_name = "prof-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("payloadlenbin-items", ("payloadlenbin_items", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems)), ("tcpopthdrlenbin-items", ("tcpopthdrlenbin_items", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems)), ("rcvwindowszbin-items", ("rcvwindowszbin_items", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('collectintvl', (YLeaf(YType.uint32, 'collectIntvl'), ['int'])),
                                ('srcport', (YLeaf(YType.uint32, 'srcPort'), ['int'])),
                                ('ippktidshift', (YLeaf(YType.uint8, 'ipPktIdShift'), ['int'])),
                                ('burstintvlshift', (YLeaf(YType.uint8, 'burstIntvlShift'), ['int'])),
                                ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                                ('seqnumguessthreshlo', (YLeaf(YType.uint32, 'seqNumGuessThreshLo'), ['int'])),
                                ('seqnumguessthreshhi', (YLeaf(YType.uint32, 'seqNumGuessThreshHi'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.collectintvl = None
                            self.srcport = None
                            self.ippktidshift = None
                            self.burstintvlshift = None
                            self.mtu = None
                            self.seqnumguessthreshlo = None
                            self.seqnumguessthreshhi = None
                            self.descr = None

                            self.payloadlenbin_items = System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems()
                            self.payloadlenbin_items.parent = self
                            self._children_name_map["payloadlenbin_items"] = "payloadlenbin-items"

                            self.tcpopthdrlenbin_items = System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems()
                            self.tcpopthdrlenbin_items.parent = self
                            self._children_name_map["tcpopthdrlenbin_items"] = "tcpopthdrlenbin-items"

                            self.rcvwindowszbin_items = System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems()
                            self.rcvwindowszbin_items.parent = self
                            self._children_name_map["rcvwindowszbin_items"] = "rcvwindowszbin-items"
                            self._segment_path = lambda: "Profile-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList, ['name', 'collectintvl', 'srcport', 'ippktidshift', 'burstintvlshift', 'mtu', 'seqnumguessthreshlo', 'seqnumguessthreshhi', 'descr'], name, value)


                        class PayloadlenbinItems(Entity):
                            """
                            
                            
                            .. attribute:: payloadlenbin_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PayloadLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems, self).__init__()

                                self.yang_name = "payloadlenbin-items"
                                self.yang_parent_name = "Profile-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PayloadLenBin-list", ("payloadlenbin_list", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList))])
                                self._leafs = OrderedDict()

                                self.payloadlenbin_list = YList(self)
                                self._segment_path = lambda: "payloadlenbin-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems, [], name, value)


                            class PayloadLenBinList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Payload Length Bin Id
                                	**type**\: int
                                
                                	**range:** 0..10
                                
                                .. attribute:: lo
                                
                                	Bin Low Value
                                	**type**\: int
                                
                                	**range:** 0..16383
                                
                                .. attribute:: hi
                                
                                	Bin High Value
                                	**type**\: int
                                
                                	**range:** 0..16383
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList, self).__init__()

                                    self.yang_name = "PayloadLenBin-list"
                                    self.yang_parent_name = "payloadlenbin-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                        ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                        ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.lo = None
                                    self.hi = None
                                    self.descr = None
                                    self._segment_path = lambda: "PayloadLenBin-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList, ['id', 'lo', 'hi', 'descr'], name, value)




                        class TcpopthdrlenbinItems(Entity):
                            """
                            
                            
                            .. attribute:: tcpopthdrlenbin_list
                            
                            	
                            	**type**\: list of  		 :py:class:`TCPOptHdrLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TCPOptHdrLenBinList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems, self).__init__()

                                self.yang_name = "tcpopthdrlenbin-items"
                                self.yang_parent_name = "Profile-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("TCPOptHdrLenBin-list", ("tcpopthdrlenbin_list", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TCPOptHdrLenBinList))])
                                self._leafs = OrderedDict()

                                self.tcpopthdrlenbin_list = YList(self)
                                self._segment_path = lambda: "tcpopthdrlenbin-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems, [], name, value)


                            class TCPOptHdrLenBinList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	TCP option header length bin ID
                                	**type**\: int
                                
                                	**range:** 0..6
                                
                                .. attribute:: lo
                                
                                	Bin Low Value
                                	**type**\: int
                                
                                	**range:** 0..15
                                
                                .. attribute:: hi
                                
                                	Bin High Value
                                	**type**\: int
                                
                                	**range:** 0..15
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TCPOptHdrLenBinList, self).__init__()

                                    self.yang_name = "TCPOptHdrLenBin-list"
                                    self.yang_parent_name = "tcpopthdrlenbin-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                        ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                        ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.lo = None
                                    self.hi = None
                                    self.descr = None
                                    self._segment_path = lambda: "TCPOptHdrLenBin-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TCPOptHdrLenBinList, ['id', 'lo', 'hi', 'descr'], name, value)




                        class RcvwindowszbinItems(Entity):
                            """
                            
                            
                            .. attribute:: rcvwindowszbin_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RcvWindowSzBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems, self).__init__()

                                self.yang_name = "rcvwindowszbin-items"
                                self.yang_parent_name = "Profile-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RcvWindowSzBin-list", ("rcvwindowszbin_list", System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList))])
                                self._leafs = OrderedDict()

                                self.rcvwindowszbin_list = YList(self)
                                self._segment_path = lambda: "rcvwindowszbin-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems, [], name, value)


                            class RcvWindowSzBinList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Receive window size bin ID
                                	**type**\: int
                                
                                	**range:** 0..4
                                
                                .. attribute:: lo
                                
                                	Bin Low Value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hi
                                
                                	Bin High Value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList, self).__init__()

                                    self.yang_name = "RcvWindowSzBin-list"
                                    self.yang_parent_name = "rcvwindowszbin-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                        ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                        ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.lo = None
                                    self.hi = None
                                    self.descr = None
                                    self._segment_path = lambda: "RcvWindowSzBin-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList, ['id', 'lo', 'hi', 'descr'], name, value)






                class FwdinstItems(Entity):
                    """
                    
                    
                    .. attribute:: fwdinsttarget_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FwdInstTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.FwdinstItems, self).__init__()

                        self.yang_name = "fwdinst-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FwdInstTarget-list", ("fwdinsttarget_list", System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList))])
                        self._leafs = OrderedDict()

                        self.fwdinsttarget_list = YList(self)
                        self._segment_path = lambda: "fwdinst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.FwdinstItems, [], name, value)


                    class FwdInstTargetList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Identifier
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: collectorid
                        
                        	Collector Id
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: defpolicy
                        
                        	Default Filtering Policy
                        	**type**\:  :py:class:`AnalyticsDefPolicyT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsDefPolicyT>`
                        
                        .. attribute:: ipv4hit
                        
                        	IPv4 Hit Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: ipv6hit
                        
                        	IPv6 Hit Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: cehit
                        
                        	CE Hit Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: ipv4create
                        
                        	IPv4 Create Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: ipv6create
                        
                        	IPv6 Create Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: cecreate
                        
                        	CE Create Count
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: exportcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: skipcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flttype
                        
                        	Netflow Target Type
                        	**type**\:  :py:class:`AnalyticsFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsFltType>`
                        
                        .. attribute:: dir
                        
                        	Direction
                        	**type**\:  :py:class:`AnalyticsDirectionT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsDirectionT>`
                        
                        .. attribute:: rsprofatt_items
                        
                        	
                        	**type**\:  :py:class:`RsprofAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems>`
                        
                        .. attribute:: rspolicyatt_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RspolicyAttItems>`
                        
                        .. attribute:: dbgstatistics_items
                        
                        	
                        	**type**\:  :py:class:`DbgStatisticsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.DbgStatisticsItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, self).__init__()

                            self.yang_name = "FwdInstTarget-list"
                            self.yang_parent_name = "fwdinst-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("rsprofAtt-items", ("rsprofatt_items", System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems)), ("rspolicyAtt-items", ("rspolicyatt_items", System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RspolicyAttItems)), ("dbgStatistics-items", ("dbgstatistics_items", System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.DbgStatisticsItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('collectorid', (YLeaf(YType.uint32, 'collectorId'), ['int'])),
                                ('defpolicy', (YLeaf(YType.enumeration, 'DefPolicy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsDefPolicyT', '')])),
                                ('ipv4hit', (YLeaf(YType.uint32, 'ipv4Hit'), ['int'])),
                                ('ipv6hit', (YLeaf(YType.uint32, 'ipv6Hit'), ['int'])),
                                ('cehit', (YLeaf(YType.uint32, 'ceHit'), ['int'])),
                                ('ipv4create', (YLeaf(YType.uint32, 'ipv4Create'), ['int'])),
                                ('ipv6create', (YLeaf(YType.uint32, 'ipv6Create'), ['int'])),
                                ('cecreate', (YLeaf(YType.uint32, 'ceCreate'), ['int'])),
                                ('exportcount', (YLeaf(YType.uint32, 'exportCount'), ['int'])),
                                ('skipcount', (YLeaf(YType.uint32, 'skipCount'), ['int'])),
                                ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsFltType', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsDirectionT', '')])),
                            ])
                            self.id = None
                            self.collectorid = None
                            self.defpolicy = None
                            self.ipv4hit = None
                            self.ipv6hit = None
                            self.cehit = None
                            self.ipv4create = None
                            self.ipv6create = None
                            self.cecreate = None
                            self.exportcount = None
                            self.skipcount = None
                            self.flttype = None
                            self.dir = None

                            self.rsprofatt_items = System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems()
                            self.rsprofatt_items.parent = self
                            self._children_name_map["rsprofatt_items"] = "rsprofAtt-items"

                            self.rspolicyatt_items = System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RspolicyAttItems()
                            self.rspolicyatt_items.parent = self
                            self._children_name_map["rspolicyatt_items"] = "rspolicyAtt-items"

                            self.dbgstatistics_items = System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.DbgStatisticsItems()
                            self.dbgstatistics_items.parent = self
                            self._children_name_map["dbgstatistics_items"] = "dbgStatistics-items"
                            self._segment_path = lambda: "FwdInstTarget-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, ['id', 'collectorid', 'defpolicy', 'ipv4hit', 'ipv6hit', 'cehit', 'ipv4create', 'ipv6create', 'cecreate', 'exportcount', 'skipcount', 'flttype', 'dir'], name, value)


                        class RsprofAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems, self).__init__()

                                self.yang_name = "rsprofAtt-items"
                                self.yang_parent_name = "FwdInstTarget-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsprofAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems, ['tdn', 'tcl'], name, value)



                        class RspolicyAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RspolicyAttItems, self).__init__()

                                self.yang_name = "rspolicyAtt-items"
                                self.yang_parent_name = "FwdInstTarget-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RspolicyAttItems, ['tdn', 'tcl'], name, value)



                        class DbgStatisticsItems(Entity):
                            """
                            
                            
                            .. attribute:: flowcreatece
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flowcreateipv4
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flowcreateipv6
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flowhitce
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flowhitipv4
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flowhitipv6
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: packetsseen
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: export
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: skipcollect
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: lastcollectts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.DbgStatisticsItems, self).__init__()

                                self.yang_name = "dbgStatistics-items"
                                self.yang_parent_name = "FwdInstTarget-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('flowcreatece', (YLeaf(YType.uint64, 'flowCreateCe'), ['int'])),
                                    ('flowcreateipv4', (YLeaf(YType.uint64, 'flowCreateIPv4'), ['int'])),
                                    ('flowcreateipv6', (YLeaf(YType.uint64, 'flowCreateIPv6'), ['int'])),
                                    ('flowhitce', (YLeaf(YType.uint64, 'flowHitCe'), ['int'])),
                                    ('flowhitipv4', (YLeaf(YType.uint64, 'flowHitIPv4'), ['int'])),
                                    ('flowhitipv6', (YLeaf(YType.uint64, 'flowHitIPv6'), ['int'])),
                                    ('packetsseen', (YLeaf(YType.uint64, 'packetsSeen'), ['int'])),
                                    ('export', (YLeaf(YType.uint64, 'export'), ['int'])),
                                    ('skipcollect', (YLeaf(YType.uint64, 'skipCollect'), ['int'])),
                                    ('lastcollectts', (YLeaf(YType.uint64, 'lastCollectTs'), ['int'])),
                                ])
                                self.flowcreatece = None
                                self.flowcreateipv4 = None
                                self.flowcreateipv6 = None
                                self.flowhitce = None
                                self.flowhitipv4 = None
                                self.flowhitipv6 = None
                                self.packetsseen = None
                                self.export = None
                                self.skipcollect = None
                                self.lastcollectts = None
                                self._segment_path = lambda: "dbgStatistics-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.DbgStatisticsItems, ['flowcreatece', 'flowcreateipv4', 'flowcreateipv6', 'flowhitce', 'flowhitipv4', 'flowhitipv6', 'packetsseen', 'export', 'skipcollect', 'lastcollectts'], name, value)





                class IfItems(Entity):
                    """
                    
                    
                    .. attribute:: physiftarget_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PhysIfTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.IfItems.PhysIfTargetList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.IfItems, self).__init__()

                        self.yang_name = "if-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PhysIfTarget-list", ("physiftarget_list", System.AnalyticsItems.InstItems.InstList.IfItems.PhysIfTargetList))])
                        self._leafs = OrderedDict()

                        self.physiftarget_list = YList(self)
                        self._segment_path = lambda: "if-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.IfItems, [], name, value)


                    class PhysIfTargetList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Interface Id
                        	**type**\: str
                        
                        .. attribute:: flttype  (key)
                        
                        	Netflow Target Type
                        	**type**\:  :py:class:`AnalyticsFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsFltType>`
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`AnalyticsOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: dir
                        
                        	Direction
                        	**type**\:  :py:class:`AnalyticsDirectionT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsDirectionT>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.IfItems.PhysIfTargetList, self).__init__()

                            self.yang_name = "PhysIfTarget-list"
                            self.yang_parent_name = "if-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id','flttype']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsFltType', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsOperSt', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsDirectionT', '')])),
                            ])
                            self.id = None
                            self.flttype = None
                            self.operst = None
                            self.dir = None
                            self._segment_path = lambda: "PhysIfTarget-list" + "[id='" + str(self.id) + "']" + "[fltType='" + str(self.flttype) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.IfItems.PhysIfTargetList, ['id', 'flttype', 'operst', 'dir'], name, value)




                class BdItems(Entity):
                    """
                    
                    
                    .. attribute:: bdtarget_list
                    
                    	
                    	**type**\: list of  		 :py:class:`BDTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.BdItems.BDTargetList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.BdItems, self).__init__()

                        self.yang_name = "bd-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("BDTarget-list", ("bdtarget_list", System.AnalyticsItems.InstItems.InstList.BdItems.BDTargetList))])
                        self._leafs = OrderedDict()

                        self.bdtarget_list = YList(self)
                        self._segment_path = lambda: "bd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.BdItems, [], name, value)


                    class BDTargetList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ctxencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`AnalyticsOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: flttype
                        
                        	Netflow Target Type
                        	**type**\:  :py:class:`AnalyticsFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsFltType>`
                        
                        .. attribute:: dir
                        
                        	Direction
                        	**type**\:  :py:class:`AnalyticsDirectionT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsDirectionT>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.BdItems.BDTargetList, self).__init__()

                            self.yang_name = "BDTarget-list"
                            self.yang_parent_name = "bd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('ctxencap', (YLeaf(YType.str, 'ctxEncap'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsOperSt', '')])),
                                ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsFltType', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsDirectionT', '')])),
                            ])
                            self.id = None
                            self.ctxencap = None
                            self.operst = None
                            self.flttype = None
                            self.dir = None
                            self._segment_path = lambda: "BDTarget-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.BdItems.BDTargetList, ['id', 'ctxencap', 'operst', 'flttype', 'dir'], name, value)




                class PolicyItems(Entity):
                    """
                    
                    
                    .. attribute:: policy_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AnalyticsItems.InstItems.InstList.PolicyItems, self).__init__()

                        self.yang_name = "policy-items"
                        self.yang_parent_name = "Inst-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Policy-list", ("policy_list", System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList))])
                        self._leafs = OrderedDict()

                        self.policy_list = YList(self)
                        self._segment_path = lambda: "policy-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AnalyticsItems.InstItems.InstList.PolicyItems, [], name, value)


                    class PolicyList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList, self).__init__()

                            self.yang_name = "Policy-list"
                            self.yang_parent_name = "policy-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.acl_items = System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"
                            self._segment_path = lambda: "Policy-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList, ['name', 'descr'], name, value)


                        class AclItems(Entity):
                            """
                            
                            
                            .. attribute:: matchacl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchAclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems.MatchAclList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "Policy-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchAcl-list", ("matchacl_list", System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems.MatchAclList))])
                                self._leafs = OrderedDict()

                                self.matchacl_list = YList(self)
                                self._segment_path = lambda: "acl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems, [], name, value)


                            class MatchAclList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: aclname
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: flttype
                                
                                	ACL Filter Type
                                	**type**\:  :py:class:`AnalyticsFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AnalyticsFltType>`
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems.MatchAclList, self).__init__()

                                    self.yang_name = "MatchAcl-list"
                                    self.yang_parent_name = "acl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('aclname', (YLeaf(YType.str, 'aclName'), ['str'])),
                                        ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AnalyticsFltType', '')])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.name = None
                                    self.aclname = None
                                    self.flttype = None
                                    self.descr = None
                                    self._segment_path = lambda: "MatchAcl-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AnalyticsItems.InstItems.InstList.PolicyItems.PolicyList.AclItems.MatchAclList, ['name', 'aclname', 'flttype', 'descr'], name, value)









    class HwtelemetryItems(Entity):
        """
        
        
        .. attribute:: fte_items
        
        	
        	**type**\:  :py:class:`FteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.FteItems>`
        
        .. attribute:: inbandtelemetry_items
        
        	
        	**type**\:  :py:class:`InbandtelemetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems>`
        
        .. attribute:: netflow_items
        
        	
        	**type**\:  :py:class:`NetflowItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.HwtelemetryItems, self).__init__()

            self.yang_name = "hwtelemetry-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("fte-items", ("fte_items", System.HwtelemetryItems.FteItems)), ("inbandtelemetry-items", ("inbandtelemetry_items", System.HwtelemetryItems.InbandtelemetryItems)), ("netflow-items", ("netflow_items", System.HwtelemetryItems.NetflowItems))])
            self._leafs = OrderedDict()

            self.fte_items = System.HwtelemetryItems.FteItems()
            self.fte_items.parent = self
            self._children_name_map["fte_items"] = "fte-items"

            self.inbandtelemetry_items = System.HwtelemetryItems.InbandtelemetryItems()
            self.inbandtelemetry_items.parent = self
            self._children_name_map["inbandtelemetry_items"] = "inbandtelemetry-items"

            self.netflow_items = System.HwtelemetryItems.NetflowItems()
            self.netflow_items.parent = self
            self._children_name_map["netflow_items"] = "netflow-items"
            self._segment_path = lambda: "hwtelemetry-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.HwtelemetryItems, [], name, value)


        class FteItems(Entity):
            """
            
            
            .. attribute:: enable
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.HwtelemetryItems.FteItems, self).__init__()

                self.yang_name = "fte-items"
                self.yang_parent_name = "hwtelemetry-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('enable', (YLeaf(YType.boolean, 'enable'), ['bool'])),
                ])
                self.enable = None
                self._segment_path = lambda: "fte-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.HwtelemetryItems.FteItems, ['enable'], name, value)



        class InbandtelemetryItems(Entity):
            """
            
            
            .. attribute:: inst_items
            
            	
            	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.HwtelemetryItems.InbandtelemetryItems, self).__init__()

                self.yang_name = "inbandtelemetry-items"
                self.yang_parent_name = "hwtelemetry-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("inst-items", ("inst_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems))])
                self._leafs = OrderedDict()

                self.inst_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems()
                self.inst_items.parent = self
                self._children_name_map["inst_items"] = "inst-items"
                self._segment_path = lambda: "inbandtelemetry-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems, [], name, value)


            class InstItems(Entity):
                """
                
                
                .. attribute:: inst_list
                
                	
                	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems, self).__init__()

                    self.yang_name = "inst-items"
                    self.yang_parent_name = "inbandtelemetry-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList))])
                    self._leafs = OrderedDict()

                    self.inst_list = YList(self)
                    self._segment_path = lambda: "inst-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/inbandtelemetry-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems, [], name, value)


                class InstList(Entity):
                    """
                    
                    
                    .. attribute:: mode  (key)
                    
                    	Mode Select
                    	**type**\:  :py:class:`InbandTelemetryModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InbandTelemetryModeT>`
                    
                    .. attribute:: profile
                    
                    	Switch Profile \- Transit or End Point
                    	**type**\:  :py:class:`InbandTelemetryProfile <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InbandTelemetryProfile>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: opererr
                    
                    	Operational Errors Qualifier
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: watchlist_items
                    
                    	
                    	**type**\:  :py:class:`WatchlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems>`
                    
                    .. attribute:: droplist_items
                    
                    	
                    	**type**\:  :py:class:`DroplistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems>`
                    
                    .. attribute:: recordp_items
                    
                    	
                    	**type**\:  :py:class:`RecordpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems>`
                    
                    .. attribute:: collector_items
                    
                    	
                    	**type**\:  :py:class:`CollectorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems>`
                    
                    .. attribute:: flowprof_items
                    
                    	
                    	**type**\:  :py:class:`FlowprofItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems>`
                    
                    .. attribute:: queueprof_items
                    
                    	
                    	**type**\:  :py:class:`QueueprofItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems>`
                    
                    .. attribute:: monitor_items
                    
                    	
                    	**type**\:  :py:class:`MonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems>`
                    
                    .. attribute:: fwdinst_items
                    
                    	
                    	**type**\:  :py:class:`FwdinstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList, self).__init__()

                        self.yang_name = "Inst-list"
                        self.yang_parent_name = "inst-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['mode']
                        self._child_classes = OrderedDict([("watchlist-items", ("watchlist_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems)), ("droplist-items", ("droplist_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems)), ("recordp-items", ("recordp_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems)), ("collector-items", ("collector_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems)), ("flowprof-items", ("flowprof_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems)), ("queueprof-items", ("queueprof_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems)), ("monitor-items", ("monitor_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems)), ("fwdinst-items", ("fwdinst_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems))])
                        self._leafs = OrderedDict([
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InbandTelemetryModeT', '')])),
                            ('profile', (YLeaf(YType.enumeration, 'profile'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InbandTelemetryProfile', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                        ])
                        self.mode = None
                        self.profile = None
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.opererr = None

                        self.watchlist_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems()
                        self.watchlist_items.parent = self
                        self._children_name_map["watchlist_items"] = "watchlist-items"

                        self.droplist_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems()
                        self.droplist_items.parent = self
                        self._children_name_map["droplist_items"] = "droplist-items"

                        self.recordp_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems()
                        self.recordp_items.parent = self
                        self._children_name_map["recordp_items"] = "recordp-items"

                        self.collector_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems()
                        self.collector_items.parent = self
                        self._children_name_map["collector_items"] = "collector-items"

                        self.flowprof_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems()
                        self.flowprof_items.parent = self
                        self._children_name_map["flowprof_items"] = "flowprof-items"

                        self.queueprof_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems()
                        self.queueprof_items.parent = self
                        self._children_name_map["queueprof_items"] = "queueprof-items"

                        self.monitor_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems()
                        self.monitor_items.parent = self
                        self._children_name_map["monitor_items"] = "monitor-items"

                        self.fwdinst_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems()
                        self.fwdinst_items.parent = self
                        self._children_name_map["fwdinst_items"] = "fwdinst-items"
                        self._segment_path = lambda: "Inst-list" + "[mode='" + str(self.mode) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/inbandtelemetry-items/inst-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList, ['mode', 'profile', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


                    class WatchlistItems(Entity):
                        """
                        
                        
                        .. attribute:: watchlistacl_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WatchlistAclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems, self).__init__()

                            self.yang_name = "watchlist-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("WatchlistAcl-list", ("watchlistacl_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList))])
                            self._leafs = OrderedDict()

                            self.watchlistacl_list = YList(self)
                            self._segment_path = lambda: "watchlist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems, [], name, value)


                        class WatchlistAclList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	ACL Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: peracestatistics
                            
                            	Per ACE statistics
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ace_items
                            
                            	
                            	**type**\:  :py:class:`AceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList, self).__init__()

                                self.yang_name = "WatchlistAcl-list"
                                self.yang_parent_name = "watchlist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("ace-items", ("ace_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.peracestatistics = None
                                self.configstatus = None

                                self.ace_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems()
                                self.ace_items.parent = self
                                self._children_name_map["ace_items"] = "ace-items"
                                self._segment_path = lambda: "WatchlistAcl-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList, ['name', 'descr', 'peracestatistics', 'configstatus'], name, value)


                            class AceItems(Entity):
                                """
                                
                                
                                .. attribute:: watchlistace_list
                                
                                	
                                	**type**\: list of  		 :py:class:`WatchlistAceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems.WatchlistAceList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems, self).__init__()

                                    self.yang_name = "ace-items"
                                    self.yang_parent_name = "WatchlistAcl-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("WatchlistAce-list", ("watchlistace_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems.WatchlistAceList))])
                                    self._leafs = OrderedDict()

                                    self.watchlistace_list = YList(self)
                                    self._segment_path = lambda: "ace-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems, [], name, value)


                                class WatchlistAceList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	Sequence number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: remark
                                    
                                    	Access\-list entry comment
                                    	**type**\: str
                                    
                                    	**length:** 1..100
                                    
                                    .. attribute:: action
                                    
                                    	Specify packets to forward or reject
                                    	**type**\:  :py:class:`AclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclActionType>`
                                    
                                    .. attribute:: srcportop
                                    
                                    	Source port operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: srcport1
                                    
                                    	First source port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: srcport2
                                    
                                    	Second source port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: srcportmask
                                    
                                    	Source Port Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstportop
                                    
                                    	Destination port operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: dstport1
                                    
                                    	First destination port number
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstport2
                                    
                                    	Second destination port number
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstportmask
                                    
                                    	Destination Port Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: logging
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: dscp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: pktlenop
                                    
                                    	packet length operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: pktlen1
                                    
                                    	first packet length
                                    	**type**\: int
                                    
                                    	**range:** 19..9210
                                    
                                    .. attribute:: pktlen2
                                    
                                    	second packet length
                                    	**type**\: int
                                    
                                    	**range:** 19..9210
                                    
                                    .. attribute:: urg
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: ack
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: psh
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rst
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: syn
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: fin
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: est
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rev
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: tcpflagsmask
                                    
                                    	tcp flags mask
                                    	**type**\: int
                                    
                                    	**range:** 0..64
                                    
                                    .. attribute:: packets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: fragment
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: capturesession
                                    
                                    	capture session
                                    	**type**\: int
                                    
                                    	**range:** 0..48
                                    
                                    .. attribute:: httpoption
                                    
                                    	http option http\-method
                                    	**type**\:  :py:class:`AclHttpOptionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclHttpOptionType>`
                                    
                                    .. attribute:: vni
                                    
                                    	nve vni ID
                                    	**type**\: int
                                    
                                    	**range:** 0..16777216
                                    
                                    .. attribute:: vlan
                                    
                                    	vlan
                                    	**type**\: int
                                    
                                    	**range:** 0..4095
                                    
                                    .. attribute:: tcpoptionlength
                                    
                                    	TCP options length
                                    	**type**\: int
                                    
                                    	**range:** 0..41
                                    
                                    .. attribute:: timerange
                                    
                                    	time range name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: srcaddrgroup
                                    
                                    	Source address group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: dstaddrgroup
                                    
                                    	Destination address group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: srcportgroup
                                    
                                    	Source port group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: dstportgroup
                                    
                                    	Destination port group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: redirect
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: flttype
                                    
                                    	Acl Filter Type
                                    	**type**\:  :py:class:`InbandTelemetryFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InbandTelemetryFltType>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Protocol for access\-list entry
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protocolmask
                                    
                                    	Protocol Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: srcprefix
                                    
                                    	Source IPv4 prefix
                                    	**type**\: str
                                    
                                    .. attribute:: srcprefixmask
                                    
                                    	Source IPv4 prefix mask
                                    	**type**\: str
                                    
                                    .. attribute:: srcprefixlength
                                    
                                    	Source IPv4 prefix length
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    .. attribute:: dstprefix
                                    
                                    	Destination IPv4 prefix
                                    	**type**\: str
                                    
                                    .. attribute:: dstprefixmask
                                    
                                    	Destination IPv4 prefix mask
                                    	**type**\: str
                                    
                                    .. attribute:: dstprefixlength
                                    
                                    	Destination IPv4 prefix length
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems.WatchlistAceList, self).__init__()

                                        self.yang_name = "WatchlistAce-list"
                                        self.yang_parent_name = "ace-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('remark', (YLeaf(YType.str, 'remark'), ['str'])),
                                            ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclActionType', '')])),
                                            ('srcportop', (YLeaf(YType.uint8, 'srcPortOp'), ['int'])),
                                            ('srcport1', (YLeaf(YType.uint16, 'srcPort1'), ['int'])),
                                            ('srcport2', (YLeaf(YType.uint16, 'srcPort2'), ['int'])),
                                            ('srcportmask', (YLeaf(YType.uint16, 'srcPortMask'), ['int'])),
                                            ('dstportop', (YLeaf(YType.uint8, 'dstPortOp'), ['int'])),
                                            ('dstport1', (YLeaf(YType.uint16, 'dstPort1'), ['int'])),
                                            ('dstport2', (YLeaf(YType.uint16, 'dstPort2'), ['int'])),
                                            ('dstportmask', (YLeaf(YType.uint16, 'dstPortMask'), ['int'])),
                                            ('logging', (YLeaf(YType.boolean, 'logging'), ['bool'])),
                                            ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                            ('pktlenop', (YLeaf(YType.uint8, 'pktLenOp'), ['int'])),
                                            ('pktlen1', (YLeaf(YType.uint16, 'pktLen1'), ['int'])),
                                            ('pktlen2', (YLeaf(YType.uint16, 'pktLen2'), ['int'])),
                                            ('urg', (YLeaf(YType.boolean, 'urg'), ['bool'])),
                                            ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                            ('psh', (YLeaf(YType.boolean, 'psh'), ['bool'])),
                                            ('rst', (YLeaf(YType.boolean, 'rst'), ['bool'])),
                                            ('syn', (YLeaf(YType.boolean, 'syn'), ['bool'])),
                                            ('fin', (YLeaf(YType.boolean, 'fin'), ['bool'])),
                                            ('est', (YLeaf(YType.boolean, 'est'), ['bool'])),
                                            ('rev', (YLeaf(YType.boolean, 'rev'), ['bool'])),
                                            ('tcpflagsmask', (YLeaf(YType.uint8, 'tcpFlagsMask'), ['int'])),
                                            ('packets', (YLeaf(YType.uint64, 'packets'), ['int'])),
                                            ('fragment', (YLeaf(YType.boolean, 'fragment'), ['bool'])),
                                            ('capturesession', (YLeaf(YType.uint16, 'captureSession'), ['int'])),
                                            ('httpoption', (YLeaf(YType.enumeration, 'httpOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclHttpOptionType', '')])),
                                            ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                            ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                                            ('tcpoptionlength', (YLeaf(YType.uint32, 'tcpOptionLength'), ['int'])),
                                            ('timerange', (YLeaf(YType.str, 'timeRange'), ['str'])),
                                            ('srcaddrgroup', (YLeaf(YType.str, 'srcAddrGroup'), ['str'])),
                                            ('dstaddrgroup', (YLeaf(YType.str, 'dstAddrGroup'), ['str'])),
                                            ('srcportgroup', (YLeaf(YType.str, 'srcPortGroup'), ['str'])),
                                            ('dstportgroup', (YLeaf(YType.str, 'dstPortGroup'), ['str'])),
                                            ('redirect', (YLeaf(YType.str, 'redirect'), ['str'])),
                                            ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InbandTelemetryFltType', '')])),
                                            ('protocol', (YLeaf(YType.uint8, 'protocol'), ['int'])),
                                            ('protocolmask', (YLeaf(YType.uint8, 'protocolMask'), ['int'])),
                                            ('srcprefix', (YLeaf(YType.str, 'srcPrefix'), ['str'])),
                                            ('srcprefixmask', (YLeaf(YType.str, 'srcPrefixMask'), ['str'])),
                                            ('srcprefixlength', (YLeaf(YType.uint8, 'srcPrefixLength'), ['int'])),
                                            ('dstprefix', (YLeaf(YType.str, 'dstPrefix'), ['str'])),
                                            ('dstprefixmask', (YLeaf(YType.str, 'dstPrefixMask'), ['str'])),
                                            ('dstprefixlength', (YLeaf(YType.uint8, 'dstPrefixLength'), ['int'])),
                                        ])
                                        self.seqnum = None
                                        self.descr = None
                                        self.remark = None
                                        self.action = None
                                        self.srcportop = None
                                        self.srcport1 = None
                                        self.srcport2 = None
                                        self.srcportmask = None
                                        self.dstportop = None
                                        self.dstport1 = None
                                        self.dstport2 = None
                                        self.dstportmask = None
                                        self.logging = None
                                        self.dscp = None
                                        self.pktlenop = None
                                        self.pktlen1 = None
                                        self.pktlen2 = None
                                        self.urg = None
                                        self.ack = None
                                        self.psh = None
                                        self.rst = None
                                        self.syn = None
                                        self.fin = None
                                        self.est = None
                                        self.rev = None
                                        self.tcpflagsmask = None
                                        self.packets = None
                                        self.fragment = None
                                        self.capturesession = None
                                        self.httpoption = None
                                        self.vni = None
                                        self.vlan = None
                                        self.tcpoptionlength = None
                                        self.timerange = None
                                        self.srcaddrgroup = None
                                        self.dstaddrgroup = None
                                        self.srcportgroup = None
                                        self.dstportgroup = None
                                        self.redirect = None
                                        self.flttype = None
                                        self.protocol = None
                                        self.protocolmask = None
                                        self.srcprefix = None
                                        self.srcprefixmask = None
                                        self.srcprefixlength = None
                                        self.dstprefix = None
                                        self.dstprefixmask = None
                                        self.dstprefixlength = None
                                        self._segment_path = lambda: "WatchlistAce-list" + "[seqNum='" + str(self.seqnum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.WatchlistItems.WatchlistAclList.AceItems.WatchlistAceList, ['seqnum', 'descr', 'remark', 'action', 'srcportop', 'srcport1', 'srcport2', 'srcportmask', 'dstportop', 'dstport1', 'dstport2', 'dstportmask', 'logging', 'dscp', 'pktlenop', 'pktlen1', 'pktlen2', 'urg', 'ack', 'psh', 'rst', 'syn', 'fin', 'est', 'rev', 'tcpflagsmask', 'packets', 'fragment', 'capturesession', 'httpoption', 'vni', 'vlan', 'tcpoptionlength', 'timerange', 'srcaddrgroup', 'dstaddrgroup', 'srcportgroup', 'dstportgroup', 'redirect', 'flttype', 'protocol', 'protocolmask', 'srcprefix', 'srcprefixmask', 'srcprefixlength', 'dstprefix', 'dstprefixmask', 'dstprefixlength'], name, value)






                    class DroplistItems(Entity):
                        """
                        
                        
                        .. attribute:: droplistacl_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DroplistAclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems, self).__init__()

                            self.yang_name = "droplist-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DroplistAcl-list", ("droplistacl_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList))])
                            self._leafs = OrderedDict()

                            self.droplistacl_list = YList(self)
                            self._segment_path = lambda: "droplist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems, [], name, value)


                        class DroplistAclList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	ACL Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: peracestatistics
                            
                            	Per ACE statistics
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: ace_items
                            
                            	
                            	**type**\:  :py:class:`AceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList, self).__init__()

                                self.yang_name = "DroplistAcl-list"
                                self.yang_parent_name = "droplist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("ace-items", ("ace_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('peracestatistics', (YLeaf(YType.uint8, 'perACEStatistics'), ['int'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.peracestatistics = None
                                self.configstatus = None

                                self.ace_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems()
                                self.ace_items.parent = self
                                self._children_name_map["ace_items"] = "ace-items"
                                self._segment_path = lambda: "DroplistAcl-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList, ['name', 'descr', 'peracestatistics', 'configstatus'], name, value)


                            class AceItems(Entity):
                                """
                                
                                
                                .. attribute:: droplistace_list
                                
                                	
                                	**type**\: list of  		 :py:class:`DroplistAceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems.DroplistAceList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems, self).__init__()

                                    self.yang_name = "ace-items"
                                    self.yang_parent_name = "DroplistAcl-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("DroplistAce-list", ("droplistace_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems.DroplistAceList))])
                                    self._leafs = OrderedDict()

                                    self.droplistace_list = YList(self)
                                    self._segment_path = lambda: "ace-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems, [], name, value)


                                class DroplistAceList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	Sequence number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: remark
                                    
                                    	Access\-list entry comment
                                    	**type**\: str
                                    
                                    	**length:** 1..100
                                    
                                    .. attribute:: action
                                    
                                    	Specify packets to forward or reject
                                    	**type**\:  :py:class:`AclActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclActionType>`
                                    
                                    .. attribute:: srcportop
                                    
                                    	Source port operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: srcport1
                                    
                                    	First source port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: srcport2
                                    
                                    	Second source port
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: srcportmask
                                    
                                    	Source Port Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstportop
                                    
                                    	Destination port operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: dstport1
                                    
                                    	First destination port number
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstport2
                                    
                                    	Second destination port number
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: dstportmask
                                    
                                    	Destination Port Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: logging
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: dscp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: pktlenop
                                    
                                    	packet length operator
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: pktlen1
                                    
                                    	first packet length
                                    	**type**\: int
                                    
                                    	**range:** 19..9210
                                    
                                    .. attribute:: pktlen2
                                    
                                    	second packet length
                                    	**type**\: int
                                    
                                    	**range:** 19..9210
                                    
                                    .. attribute:: urg
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: ack
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: psh
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rst
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: syn
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: fin
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: est
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rev
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: tcpflagsmask
                                    
                                    	tcp flags mask
                                    	**type**\: int
                                    
                                    	**range:** 0..64
                                    
                                    .. attribute:: packets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: fragment
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: capturesession
                                    
                                    	capture session
                                    	**type**\: int
                                    
                                    	**range:** 0..48
                                    
                                    .. attribute:: httpoption
                                    
                                    	http option http\-method
                                    	**type**\:  :py:class:`AclHttpOptionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AclHttpOptionType>`
                                    
                                    .. attribute:: vni
                                    
                                    	nve vni ID
                                    	**type**\: int
                                    
                                    	**range:** 0..16777216
                                    
                                    .. attribute:: vlan
                                    
                                    	vlan
                                    	**type**\: int
                                    
                                    	**range:** 0..4095
                                    
                                    .. attribute:: tcpoptionlength
                                    
                                    	TCP options length
                                    	**type**\: int
                                    
                                    	**range:** 0..41
                                    
                                    .. attribute:: timerange
                                    
                                    	time range name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: srcaddrgroup
                                    
                                    	Source address group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: dstaddrgroup
                                    
                                    	Destination address group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: srcportgroup
                                    
                                    	Source port group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: dstportgroup
                                    
                                    	Destination port group
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: redirect
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: flttype
                                    
                                    	Acl Filter Type
                                    	**type**\:  :py:class:`InbandTelemetryFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InbandTelemetryFltType>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Protocol for access\-list entry
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protocolmask
                                    
                                    	Protocol Mask
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: srcprefix
                                    
                                    	Source IPv4 prefix
                                    	**type**\: str
                                    
                                    .. attribute:: srcprefixmask
                                    
                                    	Source IPv4 prefix mask
                                    	**type**\: str
                                    
                                    .. attribute:: srcprefixlength
                                    
                                    	Source IPv4 prefix length
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    .. attribute:: dstprefix
                                    
                                    	Destination IPv4 prefix
                                    	**type**\: str
                                    
                                    .. attribute:: dstprefixmask
                                    
                                    	Destination IPv4 prefix mask
                                    	**type**\: str
                                    
                                    .. attribute:: dstprefixlength
                                    
                                    	Destination IPv4 prefix length
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems.DroplistAceList, self).__init__()

                                        self.yang_name = "DroplistAce-list"
                                        self.yang_parent_name = "ace-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('remark', (YLeaf(YType.str, 'remark'), ['str'])),
                                            ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclActionType', '')])),
                                            ('srcportop', (YLeaf(YType.uint8, 'srcPortOp'), ['int'])),
                                            ('srcport1', (YLeaf(YType.uint16, 'srcPort1'), ['int'])),
                                            ('srcport2', (YLeaf(YType.uint16, 'srcPort2'), ['int'])),
                                            ('srcportmask', (YLeaf(YType.uint16, 'srcPortMask'), ['int'])),
                                            ('dstportop', (YLeaf(YType.uint8, 'dstPortOp'), ['int'])),
                                            ('dstport1', (YLeaf(YType.uint16, 'dstPort1'), ['int'])),
                                            ('dstport2', (YLeaf(YType.uint16, 'dstPort2'), ['int'])),
                                            ('dstportmask', (YLeaf(YType.uint16, 'dstPortMask'), ['int'])),
                                            ('logging', (YLeaf(YType.boolean, 'logging'), ['bool'])),
                                            ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                            ('pktlenop', (YLeaf(YType.uint8, 'pktLenOp'), ['int'])),
                                            ('pktlen1', (YLeaf(YType.uint16, 'pktLen1'), ['int'])),
                                            ('pktlen2', (YLeaf(YType.uint16, 'pktLen2'), ['int'])),
                                            ('urg', (YLeaf(YType.boolean, 'urg'), ['bool'])),
                                            ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                            ('psh', (YLeaf(YType.boolean, 'psh'), ['bool'])),
                                            ('rst', (YLeaf(YType.boolean, 'rst'), ['bool'])),
                                            ('syn', (YLeaf(YType.boolean, 'syn'), ['bool'])),
                                            ('fin', (YLeaf(YType.boolean, 'fin'), ['bool'])),
                                            ('est', (YLeaf(YType.boolean, 'est'), ['bool'])),
                                            ('rev', (YLeaf(YType.boolean, 'rev'), ['bool'])),
                                            ('tcpflagsmask', (YLeaf(YType.uint8, 'tcpFlagsMask'), ['int'])),
                                            ('packets', (YLeaf(YType.uint64, 'packets'), ['int'])),
                                            ('fragment', (YLeaf(YType.boolean, 'fragment'), ['bool'])),
                                            ('capturesession', (YLeaf(YType.uint16, 'captureSession'), ['int'])),
                                            ('httpoption', (YLeaf(YType.enumeration, 'httpOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AclHttpOptionType', '')])),
                                            ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                            ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                                            ('tcpoptionlength', (YLeaf(YType.uint32, 'tcpOptionLength'), ['int'])),
                                            ('timerange', (YLeaf(YType.str, 'timeRange'), ['str'])),
                                            ('srcaddrgroup', (YLeaf(YType.str, 'srcAddrGroup'), ['str'])),
                                            ('dstaddrgroup', (YLeaf(YType.str, 'dstAddrGroup'), ['str'])),
                                            ('srcportgroup', (YLeaf(YType.str, 'srcPortGroup'), ['str'])),
                                            ('dstportgroup', (YLeaf(YType.str, 'dstPortGroup'), ['str'])),
                                            ('redirect', (YLeaf(YType.str, 'redirect'), ['str'])),
                                            ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InbandTelemetryFltType', '')])),
                                            ('protocol', (YLeaf(YType.uint8, 'protocol'), ['int'])),
                                            ('protocolmask', (YLeaf(YType.uint8, 'protocolMask'), ['int'])),
                                            ('srcprefix', (YLeaf(YType.str, 'srcPrefix'), ['str'])),
                                            ('srcprefixmask', (YLeaf(YType.str, 'srcPrefixMask'), ['str'])),
                                            ('srcprefixlength', (YLeaf(YType.uint8, 'srcPrefixLength'), ['int'])),
                                            ('dstprefix', (YLeaf(YType.str, 'dstPrefix'), ['str'])),
                                            ('dstprefixmask', (YLeaf(YType.str, 'dstPrefixMask'), ['str'])),
                                            ('dstprefixlength', (YLeaf(YType.uint8, 'dstPrefixLength'), ['int'])),
                                        ])
                                        self.seqnum = None
                                        self.descr = None
                                        self.remark = None
                                        self.action = None
                                        self.srcportop = None
                                        self.srcport1 = None
                                        self.srcport2 = None
                                        self.srcportmask = None
                                        self.dstportop = None
                                        self.dstport1 = None
                                        self.dstport2 = None
                                        self.dstportmask = None
                                        self.logging = None
                                        self.dscp = None
                                        self.pktlenop = None
                                        self.pktlen1 = None
                                        self.pktlen2 = None
                                        self.urg = None
                                        self.ack = None
                                        self.psh = None
                                        self.rst = None
                                        self.syn = None
                                        self.fin = None
                                        self.est = None
                                        self.rev = None
                                        self.tcpflagsmask = None
                                        self.packets = None
                                        self.fragment = None
                                        self.capturesession = None
                                        self.httpoption = None
                                        self.vni = None
                                        self.vlan = None
                                        self.tcpoptionlength = None
                                        self.timerange = None
                                        self.srcaddrgroup = None
                                        self.dstaddrgroup = None
                                        self.srcportgroup = None
                                        self.dstportgroup = None
                                        self.redirect = None
                                        self.flttype = None
                                        self.protocol = None
                                        self.protocolmask = None
                                        self.srcprefix = None
                                        self.srcprefixmask = None
                                        self.srcprefixlength = None
                                        self.dstprefix = None
                                        self.dstprefixmask = None
                                        self.dstprefixlength = None
                                        self._segment_path = lambda: "DroplistAce-list" + "[seqNum='" + str(self.seqnum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.DroplistItems.DroplistAclList.AceItems.DroplistAceList, ['seqnum', 'descr', 'remark', 'action', 'srcportop', 'srcport1', 'srcport2', 'srcportmask', 'dstportop', 'dstport1', 'dstport2', 'dstportmask', 'logging', 'dscp', 'pktlenop', 'pktlen1', 'pktlen2', 'urg', 'ack', 'psh', 'rst', 'syn', 'fin', 'est', 'rev', 'tcpflagsmask', 'packets', 'fragment', 'capturesession', 'httpoption', 'vni', 'vlan', 'tcpoptionlength', 'timerange', 'srcaddrgroup', 'dstaddrgroup', 'srcportgroup', 'dstportgroup', 'redirect', 'flttype', 'protocol', 'protocolmask', 'srcprefix', 'srcprefixmask', 'srcprefixlength', 'dstprefix', 'dstprefixmask', 'dstprefixlength'], name, value)






                    class RecordpItems(Entity):
                        """
                        
                        
                        .. attribute:: recordp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RecordPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems.RecordPList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems, self).__init__()

                            self.yang_name = "recordp-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RecordP-list", ("recordp_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems.RecordPList))])
                            self._leafs = OrderedDict()

                            self.recordp_list = YList(self)
                            self._segment_path = lambda: "recordp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems, [], name, value)


                        class RecordPList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: collect0
                            
                            	Collect Params Set0
                            	**type**\: str
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems.RecordPList, self).__init__()

                                self.yang_name = "RecordP-list"
                                self.yang_parent_name = "recordp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('collect0', (YLeaf(YType.str, 'collect0'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.collect0 = None
                                self.descr = None
                                self._segment_path = lambda: "RecordP-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.RecordpItems.RecordPList, ['name', 'collect0', 'descr'], name, value)




                    class CollectorItems(Entity):
                        """
                        
                        
                        .. attribute:: collector_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CollectorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems.CollectorList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems, self).__init__()

                            self.yang_name = "collector-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Collector-list", ("collector_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems.CollectorList))])
                            self._leafs = OrderedDict()

                            self.collector_list = YList(self)
                            self._segment_path = lambda: "collector-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems, [], name, value)


                        class CollectorList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: vrfname
                            
                            	Remote Entity VRF
                            	**type**\: str
                            
                            .. attribute:: dstaddr
                            
                            	Remote Entity IP
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: dstport
                            
                            	Remote Entity L4 Port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dscp
                            
                            	DSCP Value
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: srcaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems.CollectorList, self).__init__()

                                self.yang_name = "Collector-list"
                                self.yang_parent_name = "collector-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                                    ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str','str'])),
                                    ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                    ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.vrfname = None
                                self.dstaddr = None
                                self.dstport = None
                                self.dscp = None
                                self.srcif = None
                                self.srcaddr = None
                                self._segment_path = lambda: "Collector-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.CollectorItems.CollectorList, ['name', 'descr', 'vrfname', 'dstaddr', 'dstport', 'dscp', 'srcif', 'srcaddr'], name, value)




                    class FlowprofItems(Entity):
                        """
                        
                        
                        .. attribute:: flowprofile_list
                        
                        	
                        	**type**\: list of  		 :py:class:`FlowProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems.FlowProfileList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems, self).__init__()

                            self.yang_name = "flowprof-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("FlowProfile-list", ("flowprofile_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems.FlowProfileList))])
                            self._leafs = OrderedDict()

                            self.flowprofile_list = YList(self)
                            self._segment_path = lambda: "flowprof-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems, [], name, value)


                        class FlowProfileList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: dscp
                            
                            	Inband Telemetry Flow dscp value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dscpmask
                            
                            	Inband Telemetry Flow dscp mask
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: age
                            
                            	Inband Telemetry Flow age
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: latencyquant
                            
                            	Inband Telemetry Flow latency quantization
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems.FlowProfileList, self).__init__()

                                self.yang_name = "FlowProfile-list"
                                self.yang_parent_name = "flowprof-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('dscp', (YLeaf(YType.uint16, 'dscp'), ['int'])),
                                    ('dscpmask', (YLeaf(YType.uint16, 'dscpMask'), ['int'])),
                                    ('age', (YLeaf(YType.uint16, 'age'), ['int'])),
                                    ('latencyquant', (YLeaf(YType.uint16, 'latencyQuant'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.dscp = None
                                self.dscpmask = None
                                self.age = None
                                self.latencyquant = None
                                self.descr = None
                                self._segment_path = lambda: "FlowProfile-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FlowprofItems.FlowProfileList, ['name', 'dscp', 'dscpmask', 'age', 'latencyquant', 'descr'], name, value)




                    class QueueprofItems(Entity):
                        """
                        
                        
                        .. attribute:: queueprofile_list
                        
                        	
                        	**type**\: list of  		 :py:class:`QueueProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems.QueueProfileList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems, self).__init__()

                            self.yang_name = "queueprof-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("QueueProfile-list", ("queueprofile_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems.QueueProfileList))])
                            self._leafs = OrderedDict()

                            self.queueprofile_list = YList(self)
                            self._segment_path = lambda: "queueprof-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems, [], name, value)


                        class QueueProfileList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: depth
                            
                            	Inband Telemetry Queue depth value
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: latency
                            
                            	Inband Telemetry Queue Latency
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: breach
                            
                            	Inband Telemetry Queue Breach Quota
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: taildrop
                            
                            	Inband Telemetry Queue Tail Drop
                            	**type**\: bool
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems.QueueProfileList, self).__init__()

                                self.yang_name = "QueueProfile-list"
                                self.yang_parent_name = "queueprof-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('depth', (YLeaf(YType.uint32, 'depth'), ['int'])),
                                    ('latency', (YLeaf(YType.uint32, 'latency'), ['int'])),
                                    ('breach', (YLeaf(YType.uint16, 'breach'), ['int'])),
                                    ('taildrop', (YLeaf(YType.boolean, 'tailDrop'), ['bool'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.depth = None
                                self.latency = None
                                self.breach = None
                                self.taildrop = None
                                self.descr = None
                                self._segment_path = lambda: "QueueProfile-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.QueueprofItems.QueueProfileList, ['name', 'depth', 'latency', 'breach', 'taildrop', 'descr'], name, value)




                    class MonitorItems(Entity):
                        """
                        
                        
                        .. attribute:: monitor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MonitorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems, self).__init__()

                            self.yang_name = "monitor-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Monitor-list", ("monitor_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList))])
                            self._leafs = OrderedDict()

                            self.monitor_list = YList(self)
                            self._segment_path = lambda: "monitor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems, [], name, value)


                        class MonitorList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rsrecordpatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrecordPAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems>`
                            
                            .. attribute:: rscollectoratt_items
                            
                            	
                            	**type**\:  :py:class:`RscollectorAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems>`
                            
                            .. attribute:: rswatchlistatt_items
                            
                            	
                            	**type**\:  :py:class:`RswatchlistAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RswatchlistAttItems>`
                            
                            .. attribute:: rsdroplistatt_items
                            
                            	
                            	**type**\:  :py:class:`RsdroplistAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsdroplistAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList, self).__init__()

                                self.yang_name = "Monitor-list"
                                self.yang_parent_name = "monitor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("rsrecordPAtt-items", ("rsrecordpatt_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems)), ("rscollectorAtt-items", ("rscollectoratt_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems)), ("rswatchlistAtt-items", ("rswatchlistatt_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RswatchlistAttItems)), ("rsdroplistAtt-items", ("rsdroplistatt_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsdroplistAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None

                                self.rsrecordpatt_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems()
                                self.rsrecordpatt_items.parent = self
                                self._children_name_map["rsrecordpatt_items"] = "rsrecordPAtt-items"

                                self.rscollectoratt_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems()
                                self.rscollectoratt_items.parent = self
                                self._children_name_map["rscollectoratt_items"] = "rscollectorAtt-items"

                                self.rswatchlistatt_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RswatchlistAttItems()
                                self.rswatchlistatt_items.parent = self
                                self._children_name_map["rswatchlistatt_items"] = "rswatchlistAtt-items"

                                self.rsdroplistatt_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsdroplistAttItems()
                                self.rsdroplistatt_items.parent = self
                                self._children_name_map["rsdroplistatt_items"] = "rsdroplistAtt-items"
                                self._segment_path = lambda: "Monitor-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList, ['name', 'descr'], name, value)


                            class RsrecordPAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, self).__init__()

                                    self.yang_name = "rsrecordPAtt-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rsrecordPAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, ['tdn', 'tcl'], name, value)



                            class RscollectorAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rscollectoratt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsCollectorAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems.RsCollectorAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems, self).__init__()

                                    self.yang_name = "rscollectorAtt-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsCollectorAtt-list", ("rscollectoratt_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems.RsCollectorAttList))])
                                    self._leafs = OrderedDict()

                                    self.rscollectoratt_list = YList(self)
                                    self._segment_path = lambda: "rscollectorAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems, [], name, value)


                                class RsCollectorAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems.RsCollectorAttList, self).__init__()

                                        self.yang_name = "RsCollectorAtt-list"
                                        self.yang_parent_name = "rscollectorAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsCollectorAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RscollectorAttItems.RsCollectorAttList, ['tdn', 'tcl'], name, value)




                            class RswatchlistAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RswatchlistAttItems, self).__init__()

                                    self.yang_name = "rswatchlistAtt-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rswatchlistAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RswatchlistAttItems, ['tdn', 'tcl'], name, value)



                            class RsdroplistAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsdroplistAttItems, self).__init__()

                                    self.yang_name = "rsdroplistAtt-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rsdroplistAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.MonitorItems.MonitorList.RsdroplistAttItems, ['tdn', 'tcl'], name, value)





                    class FwdinstItems(Entity):
                        """
                        
                        
                        .. attribute:: fwdinsttarget_list
                        
                        	
                        	**type**\: list of  		 :py:class:`FwdInstTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems, self).__init__()

                            self.yang_name = "fwdinst-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("FwdInstTarget-list", ("fwdinsttarget_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList))])
                            self._leafs = OrderedDict()

                            self.fwdinsttarget_list = YList(self)
                            self._segment_path = lambda: "fwdinst-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems, [], name, value)


                        class FwdInstTargetList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Identifier
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rsmonitoratt_items
                            
                            	
                            	**type**\:  :py:class:`RsmonitorAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, self).__init__()

                                self.yang_name = "FwdInstTarget-list"
                                self.yang_parent_name = "fwdinst-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("rsmonitorAtt-items", ("rsmonitoratt_items", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None

                                self.rsmonitoratt_items = System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems()
                                self.rsmonitoratt_items.parent = self
                                self._children_name_map["rsmonitoratt_items"] = "rsmonitorAtt-items"
                                self._segment_path = lambda: "FwdInstTarget-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, ['id', 'name', 'descr'], name, value)


                            class RsmonitorAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsmonitoratt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsMonitorAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems.RsMonitorAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems, self).__init__()

                                    self.yang_name = "rsmonitorAtt-items"
                                    self.yang_parent_name = "FwdInstTarget-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsMonitorAtt-list", ("rsmonitoratt_list", System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems.RsMonitorAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsmonitoratt_list = YList(self)
                                    self._segment_path = lambda: "rsmonitorAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems, [], name, value)


                                class RsMonitorAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems.RsMonitorAttList, self).__init__()

                                        self.yang_name = "RsMonitorAtt-list"
                                        self.yang_parent_name = "rsmonitorAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsMonitorAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.InbandtelemetryItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsmonitorAttItems.RsMonitorAttList, ['tdn', 'tcl'], name, value)









        class NetflowItems(Entity):
            """
            
            
            .. attribute:: inst_items
            
            	
            	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.HwtelemetryItems.NetflowItems, self).__init__()

                self.yang_name = "netflow-items"
                self.yang_parent_name = "hwtelemetry-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("inst-items", ("inst_items", System.HwtelemetryItems.NetflowItems.InstItems))])
                self._leafs = OrderedDict()

                self.inst_items = System.HwtelemetryItems.NetflowItems.InstItems()
                self.inst_items.parent = self
                self._children_name_map["inst_items"] = "inst-items"
                self._segment_path = lambda: "netflow-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.HwtelemetryItems.NetflowItems, [], name, value)


            class InstItems(Entity):
                """
                
                
                .. attribute:: inst_list
                
                	
                	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HwtelemetryItems.NetflowItems.InstItems, self).__init__()

                    self.yang_name = "inst-items"
                    self.yang_parent_name = "netflow-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList))])
                    self._leafs = OrderedDict()

                    self.inst_list = YList(self)
                    self._segment_path = lambda: "inst-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/netflow-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems, [], name, value)


                class InstList(Entity):
                    """
                    
                    
                    .. attribute:: mode  (key)
                    
                    	It represents the mode in which netflow is running
                    	**type**\:  :py:class:`NetflowModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NetflowModeT>`
                    
                    .. attribute:: timeout
                    
                    	Flow timeout
                    	**type**\: int
                    
                    	**range:** 5..60
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: opererr
                    
                    	Operational Errors Qualifier
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: recordp_items
                    
                    	
                    	**type**\:  :py:class:`RecordpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems>`
                    
                    .. attribute:: collector_items
                    
                    	
                    	**type**\:  :py:class:`CollectorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems>`
                    
                    .. attribute:: monitor_items
                    
                    	
                    	**type**\:  :py:class:`MonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems>`
                    
                    .. attribute:: prof_items
                    
                    	
                    	**type**\:  :py:class:`ProfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems>`
                    
                    .. attribute:: fwdinst_items
                    
                    	
                    	**type**\:  :py:class:`FwdinstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.HwtelemetryItems.NetflowItems.InstItems.InstList, self).__init__()

                        self.yang_name = "Inst-list"
                        self.yang_parent_name = "inst-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['mode']
                        self._child_classes = OrderedDict([("recordp-items", ("recordp_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems)), ("collector-items", ("collector_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems)), ("monitor-items", ("monitor_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems)), ("prof-items", ("prof_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems)), ("fwdinst-items", ("fwdinst_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems))])
                        self._leafs = OrderedDict([
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NetflowModeT', '')])),
                            ('timeout', (YLeaf(YType.uint32, 'timeOut'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                        ])
                        self.mode = None
                        self.timeout = None
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.opererr = None

                        self.recordp_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems()
                        self.recordp_items.parent = self
                        self._children_name_map["recordp_items"] = "recordp-items"

                        self.collector_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems()
                        self.collector_items.parent = self
                        self._children_name_map["collector_items"] = "collector-items"

                        self.monitor_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems()
                        self.monitor_items.parent = self
                        self._children_name_map["monitor_items"] = "monitor-items"

                        self.prof_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems()
                        self.prof_items.parent = self
                        self._children_name_map["prof_items"] = "prof-items"

                        self.fwdinst_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems()
                        self.fwdinst_items.parent = self
                        self._children_name_map["fwdinst_items"] = "fwdinst-items"
                        self._segment_path = lambda: "Inst-list" + "[mode='" + str(self.mode) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/hwtelemetry-items/netflow-items/inst-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList, ['mode', 'timeout', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


                    class RecordpItems(Entity):
                        """
                        
                        
                        .. attribute:: recordp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RecordPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems.RecordPList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems, self).__init__()

                            self.yang_name = "recordp-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RecordP-list", ("recordp_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems.RecordPList))])
                            self._leafs = OrderedDict()

                            self.recordp_list = YList(self)
                            self._segment_path = lambda: "recordp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems, [], name, value)


                        class RecordPList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: match
                            
                            	The match parameters of the netflow record
                            	**type**\: str
                            
                            .. attribute:: collect
                            
                            	The collect parameters of the netflow record
                            	**type**\: str
                            
                            .. attribute:: descr
                            
                            	Record Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems.RecordPList, self).__init__()

                                self.yang_name = "RecordP-list"
                                self.yang_parent_name = "recordp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('match', (YLeaf(YType.str, 'match'), ['str'])),
                                    ('collect', (YLeaf(YType.str, 'collect'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.match = None
                                self.collect = None
                                self.descr = None
                                self._segment_path = lambda: "RecordP-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.RecordpItems.RecordPList, ['name', 'match', 'collect', 'descr'], name, value)




                    class CollectorItems(Entity):
                        """
                        
                        
                        .. attribute:: collector_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CollectorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems.CollectorList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems, self).__init__()

                            self.yang_name = "collector-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Collector-list", ("collector_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems.CollectorList))])
                            self._leafs = OrderedDict()

                            self.collector_list = YList(self)
                            self._segment_path = lambda: "collector-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems, [], name, value)


                        class CollectorList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: ver
                            
                            	Collector Version Format
                            	**type**\:  :py:class:`NetflowCollVersion <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NetflowCollVersion>`
                            
                            .. attribute:: statstimeout
                            
                            	Collector stats timeout
                            	**type**\: int
                            
                            	**range:** 0..86400
                            
                            .. attribute:: interfacetimeout
                            
                            	Collector interface table timeout
                            	**type**\: int
                            
                            	**range:** 0..86400
                            
                            .. attribute:: templatetimeout
                            
                            	Collector template data timeout
                            	**type**\: int
                            
                            	**range:** 1..86400
                            
                            .. attribute:: descr
                            
                            	Exporter Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: vrfname
                            
                            	Remote Entity VRF
                            	**type**\: str
                            
                            .. attribute:: dstaddr
                            
                            	Remote Entity IP
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: dstport
                            
                            	Remote Entity L4 Port
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dscp
                            
                            	DSCP Value of Remote Node
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: srcif
                            
                            	Source Interface of the sender
                            	**type**\: str
                            
                            .. attribute:: srcaddr
                            
                            	Source IP Address of the sender
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems.CollectorList, self).__init__()

                                self.yang_name = "Collector-list"
                                self.yang_parent_name = "collector-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NetflowCollVersion', '')])),
                                    ('statstimeout', (YLeaf(YType.uint32, 'statsTimeout'), ['int'])),
                                    ('interfacetimeout', (YLeaf(YType.uint32, 'interfaceTimeout'), ['int'])),
                                    ('templatetimeout', (YLeaf(YType.uint32, 'templateTimeout'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                                    ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str','str'])),
                                    ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                    ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                ])
                                self.name = None
                                self.ver = None
                                self.statstimeout = None
                                self.interfacetimeout = None
                                self.templatetimeout = None
                                self.descr = None
                                self.vrfname = None
                                self.dstaddr = None
                                self.dstport = None
                                self.dscp = None
                                self.srcif = None
                                self.srcaddr = None
                                self._segment_path = lambda: "Collector-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.CollectorItems.CollectorList, ['name', 'ver', 'statstimeout', 'interfacetimeout', 'templatetimeout', 'descr', 'vrfname', 'dstaddr', 'dstport', 'dscp', 'srcif', 'srcaddr'], name, value)




                    class MonitorItems(Entity):
                        """
                        
                        
                        .. attribute:: monitor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MonitorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems, self).__init__()

                            self.yang_name = "monitor-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Monitor-list", ("monitor_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList))])
                            self._leafs = OrderedDict()

                            self.monitor_list = YList(self)
                            self._segment_path = lambda: "monitor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems, [], name, value)


                        class MonitorList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Monitor Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: collectorbucket_items
                            
                            	
                            	**type**\:  :py:class:`CollectorbucketItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems>`
                            
                            .. attribute:: rsrecordpatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrecordPAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList, self).__init__()

                                self.yang_name = "Monitor-list"
                                self.yang_parent_name = "monitor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("collectorbucket-items", ("collectorbucket_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems)), ("rsrecordPAtt-items", ("rsrecordpatt_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None

                                self.collectorbucket_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems()
                                self.collectorbucket_items.parent = self
                                self._children_name_map["collectorbucket_items"] = "collectorbucket-items"

                                self.rsrecordpatt_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems()
                                self.rsrecordpatt_items.parent = self
                                self._children_name_map["rsrecordpatt_items"] = "rsrecordPAtt-items"
                                self._segment_path = lambda: "Monitor-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList, ['name', 'descr'], name, value)


                            class CollectorbucketItems(Entity):
                                """
                                
                                
                                .. attribute:: collectorbucket_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CollectorBucketList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems, self).__init__()

                                    self.yang_name = "collectorbucket-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("CollectorBucket-list", ("collectorbucket_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList))])
                                    self._leafs = OrderedDict()

                                    self.collectorbucket_list = YList(self)
                                    self._segment_path = lambda: "collectorbucket-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems, [], name, value)


                                class CollectorBucketList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Netflow Collector Bucket Id
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: hashlo
                                    
                                    	Hash Low Value for this collector bucket
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: hashhi
                                    
                                    	Hash High Value for this collector bucket
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rscollectoratt_items
                                    
                                    	
                                    	**type**\:  :py:class:`RscollectorAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList, self).__init__()

                                        self.yang_name = "CollectorBucket-list"
                                        self.yang_parent_name = "collectorbucket-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([("rscollectorAtt-items", ("rscollectoratt_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems))])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ('hashlo', (YLeaf(YType.uint32, 'hashLo'), ['int'])),
                                            ('hashhi', (YLeaf(YType.uint32, 'hashHi'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.hashlo = None
                                        self.hashhi = None
                                        self.descr = None

                                        self.rscollectoratt_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems()
                                        self.rscollectoratt_items.parent = self
                                        self._children_name_map["rscollectoratt_items"] = "rscollectorAtt-items"
                                        self._segment_path = lambda: "CollectorBucket-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList, ['id', 'hashlo', 'hashhi', 'descr'], name, value)


                                    class RscollectorAttItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rscollectoratt_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RsCollectorAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems, self).__init__()

                                            self.yang_name = "rscollectorAtt-items"
                                            self.yang_parent_name = "CollectorBucket-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RsCollectorAtt-list", ("rscollectoratt_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList))])
                                            self._leafs = OrderedDict()

                                            self.rscollectoratt_list = YList(self)
                                            self._segment_path = lambda: "rscollectorAtt-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems, [], name, value)


                                        class RsCollectorAttList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList, self).__init__()

                                                self.yang_name = "RsCollectorAtt-list"
                                                self.yang_parent_name = "rscollectorAtt-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RsCollectorAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.CollectorbucketItems.CollectorBucketList.RscollectorAttItems.RsCollectorAttList, ['tdn', 'tcl'], name, value)






                            class RsrecordPAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, self).__init__()

                                    self.yang_name = "rsrecordPAtt-items"
                                    self.yang_parent_name = "Monitor-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rsrecordPAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.MonitorItems.MonitorList.RsrecordPAttItems, ['tdn', 'tcl'], name, value)





                    class ProfItems(Entity):
                        """
                        
                        
                        .. attribute:: profile_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems, self).__init__()

                            self.yang_name = "prof-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Profile-list", ("profile_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList))])
                            self._leafs = OrderedDict()

                            self.profile_list = YList(self)
                            self._segment_path = lambda: "prof-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems, [], name, value)


                        class ProfileList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: collectintvl
                            
                            	Collect Interval in Milliseconds
                            	**type**\: int
                            
                            	**range:** 100..64000
                            
                            .. attribute:: srcport
                            
                            	Source L4 Port
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ippktidshift
                            
                            	IP Packet Id Shift
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: burstintvlshift
                            
                            	Timestamp Shift Value for Burst Interval
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: mtu
                            
                            	Collector export packet MTU
                            	**type**\: int
                            
                            	**range:** 576..9216
                            
                            .. attribute:: seqnumguessthreshlo
                            
                            	Sequence Number Guess Threshold Low
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: seqnumguessthreshhi
                            
                            	Sequence Number Guess Threshold High
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: payloadlenbin_items
                            
                            	
                            	**type**\:  :py:class:`PayloadlenbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems>`
                            
                            .. attribute:: tcpopthdrlenbin_items
                            
                            	
                            	**type**\:  :py:class:`TcpopthdrlenbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems>`
                            
                            .. attribute:: rcvwindowszbin_items
                            
                            	
                            	**type**\:  :py:class:`RcvwindowszbinItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList, self).__init__()

                                self.yang_name = "Profile-list"
                                self.yang_parent_name = "prof-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("payloadlenbin-items", ("payloadlenbin_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems)), ("tcpopthdrlenbin-items", ("tcpopthdrlenbin_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems)), ("rcvwindowszbin-items", ("rcvwindowszbin_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('collectintvl', (YLeaf(YType.uint32, 'collectIntvl'), ['int'])),
                                    ('srcport', (YLeaf(YType.uint32, 'srcPort'), ['int'])),
                                    ('ippktidshift', (YLeaf(YType.uint8, 'ipPktIdShift'), ['int'])),
                                    ('burstintvlshift', (YLeaf(YType.uint8, 'burstIntvlShift'), ['int'])),
                                    ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                                    ('seqnumguessthreshlo', (YLeaf(YType.uint32, 'seqNumGuessThreshLo'), ['int'])),
                                    ('seqnumguessthreshhi', (YLeaf(YType.uint32, 'seqNumGuessThreshHi'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.name = None
                                self.collectintvl = None
                                self.srcport = None
                                self.ippktidshift = None
                                self.burstintvlshift = None
                                self.mtu = None
                                self.seqnumguessthreshlo = None
                                self.seqnumguessthreshhi = None
                                self.descr = None

                                self.payloadlenbin_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems()
                                self.payloadlenbin_items.parent = self
                                self._children_name_map["payloadlenbin_items"] = "payloadlenbin-items"

                                self.tcpopthdrlenbin_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems()
                                self.tcpopthdrlenbin_items.parent = self
                                self._children_name_map["tcpopthdrlenbin_items"] = "tcpopthdrlenbin-items"

                                self.rcvwindowszbin_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems()
                                self.rcvwindowszbin_items.parent = self
                                self._children_name_map["rcvwindowszbin_items"] = "rcvwindowszbin-items"
                                self._segment_path = lambda: "Profile-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList, ['name', 'collectintvl', 'srcport', 'ippktidshift', 'burstintvlshift', 'mtu', 'seqnumguessthreshlo', 'seqnumguessthreshhi', 'descr'], name, value)


                            class PayloadlenbinItems(Entity):
                                """
                                
                                
                                .. attribute:: payloadlenbin_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PayloadLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems, self).__init__()

                                    self.yang_name = "payloadlenbin-items"
                                    self.yang_parent_name = "Profile-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PayloadLenBin-list", ("payloadlenbin_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList))])
                                    self._leafs = OrderedDict()

                                    self.payloadlenbin_list = YList(self)
                                    self._segment_path = lambda: "payloadlenbin-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems, [], name, value)


                                class PayloadLenBinList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Payload Length Bin Id
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: lo
                                    
                                    	Bin Low Value for Payload Length
                                    	**type**\: int
                                    
                                    	**range:** 0..16383
                                    
                                    .. attribute:: hi
                                    
                                    	Bin High Value for Payload Length
                                    	**type**\: int
                                    
                                    	**range:** 0..16383
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList, self).__init__()

                                        self.yang_name = "PayloadLenBin-list"
                                        self.yang_parent_name = "payloadlenbin-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                            ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.lo = None
                                        self.hi = None
                                        self.descr = None
                                        self._segment_path = lambda: "PayloadLenBin-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.PayloadlenbinItems.PayloadLenBinList, ['id', 'lo', 'hi', 'descr'], name, value)




                            class TcpopthdrlenbinItems(Entity):
                                """
                                
                                
                                .. attribute:: tcpopthdrlenbin_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TcpOptHdrLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TcpOptHdrLenBinList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems, self).__init__()

                                    self.yang_name = "tcpopthdrlenbin-items"
                                    self.yang_parent_name = "Profile-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("TcpOptHdrLenBin-list", ("tcpopthdrlenbin_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TcpOptHdrLenBinList))])
                                    self._leafs = OrderedDict()

                                    self.tcpopthdrlenbin_list = YList(self)
                                    self._segment_path = lambda: "tcpopthdrlenbin-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems, [], name, value)


                                class TcpOptHdrLenBinList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	TCP option header length bin ID
                                    	**type**\: int
                                    
                                    	**range:** 0..6
                                    
                                    .. attribute:: lo
                                    
                                    	Bin Low Value of TCP option header length
                                    	**type**\: int
                                    
                                    	**range:** 0..15
                                    
                                    .. attribute:: hi
                                    
                                    	Bin High Value of TCP option header length
                                    	**type**\: int
                                    
                                    	**range:** 0..15
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TcpOptHdrLenBinList, self).__init__()

                                        self.yang_name = "TcpOptHdrLenBin-list"
                                        self.yang_parent_name = "tcpopthdrlenbin-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                            ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.lo = None
                                        self.hi = None
                                        self.descr = None
                                        self._segment_path = lambda: "TcpOptHdrLenBin-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.TcpopthdrlenbinItems.TcpOptHdrLenBinList, ['id', 'lo', 'hi', 'descr'], name, value)




                            class RcvwindowszbinItems(Entity):
                                """
                                
                                
                                .. attribute:: rcvwindowszbin_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RcvWindowSzBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems, self).__init__()

                                    self.yang_name = "rcvwindowszbin-items"
                                    self.yang_parent_name = "Profile-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RcvWindowSzBin-list", ("rcvwindowszbin_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList))])
                                    self._leafs = OrderedDict()

                                    self.rcvwindowszbin_list = YList(self)
                                    self._segment_path = lambda: "rcvwindowszbin-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems, [], name, value)


                                class RcvWindowSzBinList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Receive window size bin ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4
                                    
                                    .. attribute:: lo
                                    
                                    	Bin Low Value of Receive window size
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: hi
                                    
                                    	Bin High Value of Receive window size
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList, self).__init__()

                                        self.yang_name = "RcvWindowSzBin-list"
                                        self.yang_parent_name = "rcvwindowszbin-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                            ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.lo = None
                                        self.hi = None
                                        self.descr = None
                                        self._segment_path = lambda: "RcvWindowSzBin-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.ProfItems.ProfileList.RcvwindowszbinItems.RcvWindowSzBinList, ['id', 'lo', 'hi', 'descr'], name, value)






                    class FwdinstItems(Entity):
                        """
                        
                        
                        .. attribute:: fwdinsttarget_list
                        
                        	
                        	**type**\: list of  		 :py:class:`FwdInstTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems, self).__init__()

                            self.yang_name = "fwdinst-items"
                            self.yang_parent_name = "Inst-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("FwdInstTarget-list", ("fwdinsttarget_list", System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList))])
                            self._leafs = OrderedDict()

                            self.fwdinsttarget_list = YList(self)
                            self._segment_path = lambda: "fwdinst-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems, [], name, value)


                        class FwdInstTargetList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Identifier to the Forward Instance Target
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: collectorid
                            
                            	Collector identifier provided by the netflow controller
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: error
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: flttype
                            
                            	Netflow Target IP filter Type
                            	**type**\:  :py:class:`NetflowFltType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NetflowFltType>`
                            
                            .. attribute:: dir
                            
                            	Direction
                            	**type**\:  :py:class:`NetflowDirectionT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NetflowDirectionT>`
                            
                            .. attribute:: rsprofatt_items
                            
                            	
                            	**type**\:  :py:class:`RsprofAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, self).__init__()

                                self.yang_name = "FwdInstTarget-list"
                                self.yang_parent_name = "fwdinst-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("rsprofAtt-items", ("rsprofatt_items", System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('collectorid', (YLeaf(YType.uint32, 'collectorId'), ['int'])),
                                    ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                                    ('flttype', (YLeaf(YType.enumeration, 'fltType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NetflowFltType', '')])),
                                    ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NetflowDirectionT', '')])),
                                ])
                                self.id = None
                                self.collectorid = None
                                self.error = None
                                self.flttype = None
                                self.dir = None

                                self.rsprofatt_items = System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems()
                                self.rsprofatt_items.parent = self
                                self._children_name_map["rsprofatt_items"] = "rsprofAtt-items"
                                self._segment_path = lambda: "FwdInstTarget-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList, ['id', 'collectorid', 'error', 'flttype', 'dir'], name, value)


                            class RsprofAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems, self).__init__()

                                    self.yang_name = "rsprofAtt-items"
                                    self.yang_parent_name = "FwdInstTarget-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rsprofAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HwtelemetryItems.NetflowItems.InstItems.InstList.FwdinstItems.FwdInstTargetList.RsprofAttItems, ['tdn', 'tcl'], name, value)









    class CoppItems(Entity):
        """
        
        
        .. attribute:: error
        
        	
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        	**default value**\: 0
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: classp_items
        
        	
        	**type**\:  :py:class:`ClasspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems>`
        
        .. attribute:: policy_items
        
        	
        	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems>`
        
        .. attribute:: profile_items
        
        	
        	**type**\:  :py:class:`ProfileItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ProfileItems>`
        
        .. attribute:: name_items
        
        	
        	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.NameItems>`
        
        .. attribute:: scale_items
        
        	
        	**type**\:  :py:class:`ScaleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ScaleItems>`
        
        .. attribute:: service_items
        
        	
        	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ServiceItems>`
        
        .. attribute:: servicedyn_items
        
        	
        	**type**\:  :py:class:`ServicedynItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ServicedynItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CoppItems, self).__init__()

            self.yang_name = "copp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("classp-items", ("classp_items", System.CoppItems.ClasspItems)), ("policy-items", ("policy_items", System.CoppItems.PolicyItems)), ("profile-items", ("profile_items", System.CoppItems.ProfileItems)), ("name-items", ("name_items", System.CoppItems.NameItems)), ("scale-items", ("scale_items", System.CoppItems.ScaleItems)), ("service-items", ("service_items", System.CoppItems.ServiceItems)), ("servicedyn-items", ("servicedyn_items", System.CoppItems.ServicedynItems))])
            self._leafs = OrderedDict([
                ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.error = None
            self.name = None
            self.adminst = None
            self.operst = None

            self.classp_items = System.CoppItems.ClasspItems()
            self.classp_items.parent = self
            self._children_name_map["classp_items"] = "classp-items"

            self.policy_items = System.CoppItems.PolicyItems()
            self.policy_items.parent = self
            self._children_name_map["policy_items"] = "policy-items"

            self.profile_items = System.CoppItems.ProfileItems()
            self.profile_items.parent = self
            self._children_name_map["profile_items"] = "profile-items"

            self.name_items = System.CoppItems.NameItems()
            self.name_items.parent = self
            self._children_name_map["name_items"] = "name-items"

            self.scale_items = System.CoppItems.ScaleItems()
            self.scale_items.parent = self
            self._children_name_map["scale_items"] = "scale-items"

            self.service_items = System.CoppItems.ServiceItems()
            self.service_items.parent = self
            self._children_name_map["service_items"] = "service-items"

            self.servicedyn_items = System.CoppItems.ServicedynItems()
            self.servicedyn_items.parent = self
            self._children_name_map["servicedyn_items"] = "servicedyn-items"
            self._segment_path = lambda: "copp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CoppItems, ['error', 'name', 'adminst', 'operst'], name, value)


        class ClasspItems(Entity):
            """
            
            
            .. attribute:: class_list
            
            	
            	**type**\: list of  		 :py:class:`ClassList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.ClasspItems, self).__init__()

                self.yang_name = "classp-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Class-list", ("class_list", System.CoppItems.ClasspItems.ClassList))])
                self._leafs = OrderedDict()

                self.class_list = YList(self)
                self._segment_path = lambda: "classp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.ClasspItems, [], name, value)


            class ClassList(Entity):
                """
                
                
                .. attribute:: cname  (key)
                
                	
                	**type**\: str
                
                .. attribute:: matchoption
                
                	Match Option
                	**type**\:  :py:class:`CoppMatchOption <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppMatchOption>`
                
                .. attribute:: flag
                
                	
                	**type**\: bool
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: rate
                
                	Rate
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: burst
                
                	Burst
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: match_items
                
                	
                	**type**\:  :py:class:`MatchItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.MatchItems>`
                
                .. attribute:: acl_items
                
                	
                	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.AclItems>`
                
                .. attribute:: rdirect_items
                
                	
                	**type**\:  :py:class:`RdirectItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.RdirectItems>`
                
                .. attribute:: fcoe_items
                
                	
                	**type**\:  :py:class:`FcoeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.FcoeItems>`
                
                .. attribute:: mcast_items
                
                	
                	**type**\:  :py:class:`McastItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.McastItems>`
                
                .. attribute:: excep_items
                
                	
                	**type**\:  :py:class:`ExcepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.ExcepItems>`
                
                .. attribute:: ip_items
                
                	
                	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.IpItems>`
                
                .. attribute:: icmp_items
                
                	
                	**type**\:  :py:class:`IcmpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.IcmpItems>`
                
                .. attribute:: ipv6_items
                
                	
                	**type**\:  :py:class:`Ipv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.Ipv6Items>`
                
                .. attribute:: icmpv6_items
                
                	
                	**type**\:  :py:class:`Icmpv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.Icmpv6Items>`
                
                .. attribute:: prot_items
                
                	
                	**type**\:  :py:class:`ProtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.ProtItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.ClasspItems.ClassList, self).__init__()

                    self.yang_name = "Class-list"
                    self.yang_parent_name = "classp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['cname']
                    self._child_classes = OrderedDict([("match-items", ("match_items", System.CoppItems.ClasspItems.ClassList.MatchItems)), ("acl-items", ("acl_items", System.CoppItems.ClasspItems.ClassList.AclItems)), ("rdirect-items", ("rdirect_items", System.CoppItems.ClasspItems.ClassList.RdirectItems)), ("fcoe-items", ("fcoe_items", System.CoppItems.ClasspItems.ClassList.FcoeItems)), ("mcast-items", ("mcast_items", System.CoppItems.ClasspItems.ClassList.McastItems)), ("excep-items", ("excep_items", System.CoppItems.ClasspItems.ClassList.ExcepItems)), ("ip-items", ("ip_items", System.CoppItems.ClasspItems.ClassList.IpItems)), ("icmp-items", ("icmp_items", System.CoppItems.ClasspItems.ClassList.IcmpItems)), ("ipv6-items", ("ipv6_items", System.CoppItems.ClasspItems.ClassList.Ipv6Items)), ("icmpv6-items", ("icmpv6_items", System.CoppItems.ClasspItems.ClassList.Icmpv6Items)), ("prot-items", ("prot_items", System.CoppItems.ClasspItems.ClassList.ProtItems))])
                    self._leafs = OrderedDict([
                        ('cname', (YLeaf(YType.str, 'cName'), ['str'])),
                        ('matchoption', (YLeaf(YType.enumeration, 'matchOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppMatchOption', '')])),
                        ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('rate', (YLeaf(YType.uint32, 'rate'), ['int'])),
                        ('burst', (YLeaf(YType.uint32, 'burst'), ['int'])),
                    ])
                    self.cname = None
                    self.matchoption = None
                    self.flag = None
                    self.name = None
                    self.descr = None
                    self.rate = None
                    self.burst = None

                    self.match_items = System.CoppItems.ClasspItems.ClassList.MatchItems()
                    self.match_items.parent = self
                    self._children_name_map["match_items"] = "match-items"

                    self.acl_items = System.CoppItems.ClasspItems.ClassList.AclItems()
                    self.acl_items.parent = self
                    self._children_name_map["acl_items"] = "acl-items"

                    self.rdirect_items = System.CoppItems.ClasspItems.ClassList.RdirectItems()
                    self.rdirect_items.parent = self
                    self._children_name_map["rdirect_items"] = "rdirect-items"

                    self.fcoe_items = System.CoppItems.ClasspItems.ClassList.FcoeItems()
                    self.fcoe_items.parent = self
                    self._children_name_map["fcoe_items"] = "fcoe-items"

                    self.mcast_items = System.CoppItems.ClasspItems.ClassList.McastItems()
                    self.mcast_items.parent = self
                    self._children_name_map["mcast_items"] = "mcast-items"

                    self.excep_items = System.CoppItems.ClasspItems.ClassList.ExcepItems()
                    self.excep_items.parent = self
                    self._children_name_map["excep_items"] = "excep-items"

                    self.ip_items = System.CoppItems.ClasspItems.ClassList.IpItems()
                    self.ip_items.parent = self
                    self._children_name_map["ip_items"] = "ip-items"

                    self.icmp_items = System.CoppItems.ClasspItems.ClassList.IcmpItems()
                    self.icmp_items.parent = self
                    self._children_name_map["icmp_items"] = "icmp-items"

                    self.ipv6_items = System.CoppItems.ClasspItems.ClassList.Ipv6Items()
                    self.ipv6_items.parent = self
                    self._children_name_map["ipv6_items"] = "ipv6-items"

                    self.icmpv6_items = System.CoppItems.ClasspItems.ClassList.Icmpv6Items()
                    self.icmpv6_items.parent = self
                    self._children_name_map["icmpv6_items"] = "icmpv6-items"

                    self.prot_items = System.CoppItems.ClasspItems.ClassList.ProtItems()
                    self.prot_items.parent = self
                    self._children_name_map["prot_items"] = "prot-items"
                    self._segment_path = lambda: "Class-list" + "[cName='" + str(self.cname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/classp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.ClasspItems.ClassList, ['cname', 'matchoption', 'flag', 'name', 'descr', 'rate', 'burst'], name, value)


                class MatchItems(Entity):
                    """
                    
                    
                    .. attribute:: match_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MatchList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.MatchItems.MatchList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.MatchItems, self).__init__()

                        self.yang_name = "match-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Match-list", ("match_list", System.CoppItems.ClasspItems.ClassList.MatchItems.MatchList))])
                        self._leafs = OrderedDict()

                        self.match_list = YList(self)
                        self._segment_path = lambda: "match-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.MatchItems, [], name, value)


                    class MatchList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Match type
                        	**type**\:  :py:class:`CoppMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppMatchT>`
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.MatchItems.MatchList, self).__init__()

                            self.yang_name = "Match-list"
                            self.yang_parent_name = "match-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppMatchT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.type = None
                            self.name = None
                            self.descr = None
                            self._segment_path = lambda: "Match-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.MatchItems.MatchList, ['type', 'name', 'descr'], name, value)




                class AclItems(Entity):
                    """
                    
                    
                    .. attribute:: acl_list
                    
                    	
                    	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.AclItems.AclList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.AclItems, self).__init__()

                        self.yang_name = "acl-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.CoppItems.ClasspItems.ClassList.AclItems.AclList))])
                        self._leafs = OrderedDict()

                        self.acl_list = YList(self)
                        self._segment_path = lambda: "acl-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.AclItems, [], name, value)


                    class AclList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.AclItems.AclList, self).__init__()

                            self.yang_name = "Acl-list"
                            self.yang_parent_name = "acl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.name = None
                            self.flag = None
                            self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.AclItems.AclList, ['name', 'flag'], name, value)




                class RdirectItems(Entity):
                    """
                    
                    
                    .. attribute:: rdrct
                    
                    	Match redirect options
                    	**type**\:  :py:class:`CoppRdrct <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppRdrct>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.RdirectItems, self).__init__()

                        self.yang_name = "rdirect-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('rdrct', (YLeaf(YType.enumeration, 'rdrct'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppRdrct', '')])),
                        ])
                        self.rdrct = None
                        self._segment_path = lambda: "rdirect-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.RdirectItems, ['rdrct'], name, value)



                class FcoeItems(Entity):
                    """
                    
                    
                    .. attribute:: option
                    
                    	fcoe\-fib\-miss
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.FcoeItems, self).__init__()

                        self.yang_name = "fcoe-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('option', (YLeaf(YType.boolean, 'option'), ['bool'])),
                        ])
                        self.option = None
                        self._segment_path = lambda: "fcoe-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.FcoeItems, ['option'], name, value)



                class McastItems(Entity):
                    """
                    
                    
                    .. attribute:: multicast_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MulticastList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.McastItems.MulticastList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.McastItems, self).__init__()

                        self.yang_name = "mcast-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Multicast-list", ("multicast_list", System.CoppItems.ClasspItems.ClassList.McastItems.MulticastList))])
                        self._leafs = OrderedDict()

                        self.multicast_list = YList(self)
                        self._segment_path = lambda: "mcast-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.McastItems, [], name, value)


                    class MulticastList(Entity):
                        """
                        
                        
                        .. attribute:: mcastoption  (key)
                        
                        	Multicast options
                        	**type**\:  :py:class:`CoppMcast <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppMcast>`
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.McastItems.MulticastList, self).__init__()

                            self.yang_name = "Multicast-list"
                            self.yang_parent_name = "mcast-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['mcastoption']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('mcastoption', (YLeaf(YType.enumeration, 'mcastOption'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppMcast', '')])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.mcastoption = None
                            self.flag = None
                            self._segment_path = lambda: "Multicast-list" + "[mcastOption='" + str(self.mcastoption) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.McastItems.MulticastList, ['mcastoption', 'flag'], name, value)




                class ExcepItems(Entity):
                    """
                    
                    
                    .. attribute:: exeoptions_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExeOptionsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.ExcepItems.ExeOptionsList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.ExcepItems, self).__init__()

                        self.yang_name = "excep-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExeOptions-list", ("exeoptions_list", System.CoppItems.ClasspItems.ClassList.ExcepItems.ExeOptionsList))])
                        self._leafs = OrderedDict()

                        self.exeoptions_list = YList(self)
                        self._segment_path = lambda: "excep-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.ExcepItems, [], name, value)


                    class ExeOptionsList(Entity):
                        """
                        
                        
                        .. attribute:: option  (key)
                        
                        	Match options
                        	**type**\:  :py:class:`CoppExcep <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppExcep>`
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.ExcepItems.ExeOptionsList, self).__init__()

                            self.yang_name = "ExeOptions-list"
                            self.yang_parent_name = "excep-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['option']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('option', (YLeaf(YType.enumeration, 'option'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppExcep', '')])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.option = None
                            self.flag = None
                            self._segment_path = lambda: "ExeOptions-list" + "[option='" + str(self.option) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.ExcepItems.ExeOptionsList, ['option', 'flag'], name, value)




                class IpItems(Entity):
                    """
                    
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flag
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.IpItems, self).__init__()

                        self.yang_name = "ip-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('options', (YLeaf(YType.boolean, 'options'), ['bool'])),
                            ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                        ])
                        self.options = None
                        self.flag = None
                        self._segment_path = lambda: "ip-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.IpItems, ['options', 'flag'], name, value)



                class IcmpItems(Entity):
                    """
                    
                    
                    .. attribute:: ipicmp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IpIcmpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.IcmpItems.IpIcmpList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.IcmpItems, self).__init__()

                        self.yang_name = "icmp-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IpIcmp-list", ("ipicmp_list", System.CoppItems.ClasspItems.ClassList.IcmpItems.IpIcmpList))])
                        self._leafs = OrderedDict()

                        self.ipicmp_list = YList(self)
                        self._segment_path = lambda: "icmp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.IcmpItems, [], name, value)


                    class IpIcmpList(Entity):
                        """
                        
                        
                        .. attribute:: option  (key)
                        
                        	icmp options
                        	**type**\:  :py:class:`CoppIcmp <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppIcmp>`
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.IcmpItems.IpIcmpList, self).__init__()

                            self.yang_name = "IpIcmp-list"
                            self.yang_parent_name = "icmp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['option']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('option', (YLeaf(YType.enumeration, 'option'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppIcmp', '')])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.option = None
                            self.flag = None
                            self._segment_path = lambda: "IpIcmp-list" + "[option='" + str(self.option) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.IcmpItems.IpIcmpList, ['option', 'flag'], name, value)




                class Ipv6Items(Entity):
                    """
                    
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flag
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.Ipv6Items, self).__init__()

                        self.yang_name = "ipv6-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('options', (YLeaf(YType.boolean, 'options'), ['bool'])),
                            ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                        ])
                        self.options = None
                        self.flag = None
                        self._segment_path = lambda: "ipv6-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.Ipv6Items, ['options', 'flag'], name, value)



                class Icmpv6Items(Entity):
                    """
                    
                    
                    .. attribute:: ipv6icmp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv6IcmpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.Icmpv6Items.Ipv6IcmpList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.Icmpv6Items, self).__init__()

                        self.yang_name = "icmpv6-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Ipv6Icmp-list", ("ipv6icmp_list", System.CoppItems.ClasspItems.ClassList.Icmpv6Items.Ipv6IcmpList))])
                        self._leafs = OrderedDict()

                        self.ipv6icmp_list = YList(self)
                        self._segment_path = lambda: "icmpv6-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.Icmpv6Items, [], name, value)


                    class Ipv6IcmpList(Entity):
                        """
                        
                        
                        .. attribute:: option  (key)
                        
                        	icmp options
                        	**type**\:  :py:class:`CoppIcmp <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppIcmp>`
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.Icmpv6Items.Ipv6IcmpList, self).__init__()

                            self.yang_name = "Ipv6Icmp-list"
                            self.yang_parent_name = "icmpv6-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['option']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('option', (YLeaf(YType.enumeration, 'option'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppIcmp', '')])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.option = None
                            self.flag = None
                            self._segment_path = lambda: "Ipv6Icmp-list" + "[option='" + str(self.option) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.Icmpv6Items.Ipv6IcmpList, ['option', 'flag'], name, value)




                class ProtItems(Entity):
                    """
                    
                    
                    .. attribute:: protocol_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.ClasspItems.ClassList.ProtItems, self).__init__()

                        self.yang_name = "prot-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList))])
                        self._leafs = OrderedDict()

                        self.protocol_list = YList(self)
                        self._segment_path = lambda: "prot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.ClasspItems.ClassList.ProtItems, [], name, value)


                    class ProtocolList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Protocol List
                        	**type**\: str
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: mpls_items
                        
                        	
                        	**type**\:  :py:class:`MplsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList.MplsItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList, self).__init__()

                            self.yang_name = "Protocol-list"
                            self.yang_parent_name = "prot-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("mpls-items", ("mpls_items", System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList.MplsItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.type = None
                            self.flag = None

                            self.mpls_items = System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList.MplsItems()
                            self.mpls_items.parent = self
                            self._children_name_map["mpls_items"] = "mpls-items"
                            self._segment_path = lambda: "Protocol-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList, ['type', 'flag'], name, value)


                        class MplsItems(Entity):
                            """
                            
                            
                            .. attribute:: exp
                            
                            	Experimental value
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: routeralert
                            
                            	router\-alert
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList.MplsItems, self).__init__()

                                self.yang_name = "mpls-items"
                                self.yang_parent_name = "Protocol-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('exp', (YLeaf(YType.uint32, 'exp'), ['int'])),
                                    ('routeralert', (YLeaf(YType.boolean, 'routerAlert'), ['bool'])),
                                ])
                                self.exp = None
                                self.routeralert = None
                                self._segment_path = lambda: "mpls-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.ClasspItems.ClassList.ProtItems.ProtocolList.MplsItems, ['exp', 'routeralert'], name, value)







        class PolicyItems(Entity):
            """
            
            
            .. attribute:: policy_list
            
            	
            	**type**\: list of  		 :py:class:`PolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.PolicyItems, self).__init__()

                self.yang_name = "policy-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Policy-list", ("policy_list", System.CoppItems.PolicyItems.PolicyList))])
                self._leafs = OrderedDict()

                self.policy_list = YList(self)
                self._segment_path = lambda: "policy-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.PolicyItems, [], name, value)


            class PolicyList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: flag
                
                	
                	**type**\: bool
                
                .. attribute:: classp_items
                
                	
                	**type**\:  :py:class:`ClasspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.PolicyItems.PolicyList, self).__init__()

                    self.yang_name = "Policy-list"
                    self.yang_parent_name = "policy-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("classp-items", ("classp_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                    ])
                    self.name = None
                    self.flag = None

                    self.classp_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems()
                    self.classp_items.parent = self
                    self._children_name_map["classp_items"] = "classp-items"
                    self._segment_path = lambda: "Policy-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/policy-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.PolicyItems.PolicyList, ['name', 'flag'], name, value)


                class ClasspItems(Entity):
                    """
                    
                    
                    .. attribute:: classp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ClasspList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CoppItems.PolicyItems.PolicyList.ClasspItems, self).__init__()

                        self.yang_name = "classp-items"
                        self.yang_parent_name = "Policy-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Classp-list", ("classp_list", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList))])
                        self._leafs = OrderedDict()

                        self.classp_list = YList(self)
                        self._segment_path = lambda: "classp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems, [], name, value)


                    class ClasspList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: insertbeforename
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: flag
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: cir_items
                        
                        	
                        	**type**\:  :py:class:`CirItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems>`
                        
                        .. attribute:: policeactione_items
                        
                        	
                        	**type**\:  :py:class:`PoliceActionEItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.PoliceActionEItems>`
                        
                        .. attribute:: logging_items
                        
                        	
                        	**type**\:  :py:class:`LoggingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems>`
                        
                        .. attribute:: setcos_items
                        
                        	
                        	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems>`
                        
                        .. attribute:: setdscp_items
                        
                        	
                        	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetDscpItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList, self).__init__()

                            self.yang_name = "Classp-list"
                            self.yang_parent_name = "classp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("cir-items", ("cir_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems)), ("policeActionE-items", ("policeactione_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.PoliceActionEItems)), ("logging-items", ("logging_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems)), ("setCos-items", ("setcos_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems)), ("setDscp-items", ("setdscp_items", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetDscpItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('insertbeforename', (YLeaf(YType.str, 'insertBeforeName'), ['str'])),
                                ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                            ])
                            self.name = None
                            self.insertbeforename = None
                            self.flag = None

                            self.cir_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems()
                            self.cir_items.parent = self
                            self._children_name_map["cir_items"] = "cir-items"

                            self.policeactione_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.PoliceActionEItems()
                            self.policeactione_items.parent = self
                            self._children_name_map["policeactione_items"] = "policeActionE-items"

                            self.logging_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems()
                            self.logging_items.parent = self
                            self._children_name_map["logging_items"] = "logging-items"

                            self.setcos_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems()
                            self.setcos_items.parent = self
                            self._children_name_map["setcos_items"] = "setCos-items"

                            self.setdscp_items = System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetDscpItems()
                            self.setdscp_items.parent = self
                            self._children_name_map["setdscp_items"] = "setDscp-items"
                            self._segment_path = lambda: "Classp-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList, ['name', 'insertbeforename', 'flag'], name, value)


                        class CirItems(Entity):
                            """
                            
                            
                            .. attribute:: policeraction_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PolicerActionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems.PolicerActionList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems, self).__init__()

                                self.yang_name = "cir-items"
                                self.yang_parent_name = "Classp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PolicerAction-list", ("policeraction_list", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems.PolicerActionList))])
                                self._leafs = OrderedDict()

                                self.policeraction_list = YList(self)
                                self._segment_path = lambda: "cir-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems, [], name, value)


                            class PolicerActionList(Entity):
                                """
                                
                                
                                .. attribute:: cirval  (key)
                                
                                	Cir value
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: cirunit  (key)
                                
                                	Cir rate
                                	**type**\:  :py:class:`CoppIrUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppIrUnit>`
                                
                                .. attribute:: burstc  (key)
                                
                                	Burst count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: burstunit  (key)
                                
                                	BC unit
                                	**type**\:  :py:class:`CoppBurstUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppBurstUnit>`
                                
                                .. attribute:: conformaction
                                
                                	Conform Action
                                	**type**\:  :py:class:`CoppConformAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppConformAction>`
                                
                                .. attribute:: violateaction
                                
                                	Violate action
                                	**type**\:  :py:class:`CoppViolateAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppViolateAction>`
                                
                                .. attribute:: flag
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems.PolicerActionList, self).__init__()

                                    self.yang_name = "PolicerAction-list"
                                    self.yang_parent_name = "cir-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['cirval','cirunit','burstc','burstunit']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('cirval', (YLeaf(YType.uint64, 'cirVal'), ['int'])),
                                        ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppIrUnit', '')])),
                                        ('burstc', (YLeaf(YType.uint32, 'burstC'), ['int'])),
                                        ('burstunit', (YLeaf(YType.enumeration, 'burstUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppBurstUnit', '')])),
                                        ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppConformAction', '')])),
                                        ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppViolateAction', '')])),
                                        ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                                    ])
                                    self.cirval = None
                                    self.cirunit = None
                                    self.burstc = None
                                    self.burstunit = None
                                    self.conformaction = None
                                    self.violateaction = None
                                    self.flag = None
                                    self._segment_path = lambda: "PolicerAction-list" + "[cirVal='" + str(self.cirval) + "']" + "[cirUnit='" + str(self.cirunit) + "']" + "[burstC='" + str(self.burstc) + "']" + "[burstUnit='" + str(self.burstunit) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.CirItems.PolicerActionList, ['cirval', 'cirunit', 'burstc', 'burstunit', 'conformaction', 'violateaction', 'flag'], name, value)




                        class PoliceActionEItems(Entity):
                            """
                            
                            
                            .. attribute:: cirval
                            
                            	Cir value
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: cirunit
                            
                            	Cir rate
                            	**type**\:  :py:class:`CoppIrUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppIrUnit>`
                            
                            .. attribute:: burstc
                            
                            	Burst count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: burstunit
                            
                            	BC unit
                            	**type**\:  :py:class:`CoppBurstUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppBurstUnit>`
                            
                            .. attribute:: pirval
                            
                            	Pir value
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: pirunit
                            
                            	Pir rate
                            	**type**\:  :py:class:`CoppIrUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppIrUnit>`
                            
                            .. attribute:: burste
                            
                            	Burst exceed 
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bursteunit
                            
                            	BE unit
                            	**type**\:  :py:class:`CoppBurstUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppBurstUnit>`
                            
                            .. attribute:: conformaction
                            
                            	Conform Action
                            	**type**\:  :py:class:`CoppConformAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppConformAction>`
                            
                            .. attribute:: exceedaction
                            
                            	Exceed Action
                            	**type**\:  :py:class:`CoppExceedAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppExceedAction>`
                            
                            .. attribute:: violateaction
                            
                            	Violate action
                            	**type**\:  :py:class:`CoppViolateAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppViolateAction>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.PoliceActionEItems, self).__init__()

                                self.yang_name = "policeActionE-items"
                                self.yang_parent_name = "Classp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('cirval', (YLeaf(YType.uint64, 'cirVal'), ['int'])),
                                    ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppIrUnit', '')])),
                                    ('burstc', (YLeaf(YType.uint32, 'burstC'), ['int'])),
                                    ('burstunit', (YLeaf(YType.enumeration, 'burstUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppBurstUnit', '')])),
                                    ('pirval', (YLeaf(YType.uint64, 'pirVal'), ['int'])),
                                    ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppIrUnit', '')])),
                                    ('burste', (YLeaf(YType.uint32, 'burstE'), ['int'])),
                                    ('bursteunit', (YLeaf(YType.enumeration, 'burstEUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppBurstUnit', '')])),
                                    ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppConformAction', '')])),
                                    ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppExceedAction', '')])),
                                    ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppViolateAction', '')])),
                                ])
                                self.cirval = None
                                self.cirunit = None
                                self.burstc = None
                                self.burstunit = None
                                self.pirval = None
                                self.pirunit = None
                                self.burste = None
                                self.bursteunit = None
                                self.conformaction = None
                                self.exceedaction = None
                                self.violateaction = None
                                self._segment_path = lambda: "policeActionE-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.PoliceActionEItems, ['cirval', 'cirunit', 'burstc', 'burstunit', 'pirval', 'pirunit', 'burste', 'bursteunit', 'conformaction', 'exceedaction', 'violateaction'], name, value)



                        class LoggingItems(Entity):
                            """
                            
                            
                            .. attribute:: logging_list
                            
                            	
                            	**type**\: list of  		 :py:class:`LoggingList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems.LoggingList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems, self).__init__()

                                self.yang_name = "logging-items"
                                self.yang_parent_name = "Classp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Logging-list", ("logging_list", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems.LoggingList))])
                                self._leafs = OrderedDict()

                                self.logging_list = YList(self)
                                self._segment_path = lambda: "logging-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems, [], name, value)


                            class LoggingList(Entity):
                                """
                                
                                
                                .. attribute:: threshold  (key)
                                
                                	Logging Threshold
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: levelrange  (key)
                                
                                	logging range
                                	**type**\: int
                                
                                	**range:** 1..7
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems.LoggingList, self).__init__()

                                    self.yang_name = "Logging-list"
                                    self.yang_parent_name = "logging-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['threshold','levelrange']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('threshold', (YLeaf(YType.uint64, 'threshold'), ['int'])),
                                        ('levelrange', (YLeaf(YType.uint16, 'levelRange'), ['int'])),
                                    ])
                                    self.threshold = None
                                    self.levelrange = None
                                    self._segment_path = lambda: "Logging-list" + "[threshold='" + str(self.threshold) + "']" + "[levelRange='" + str(self.levelrange) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.LoggingItems.LoggingList, ['threshold', 'levelrange'], name, value)




                        class SetCosItems(Entity):
                            """
                            
                            
                            .. attribute:: setcos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SetCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems.SetCosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems, self).__init__()

                                self.yang_name = "setCos-items"
                                self.yang_parent_name = "Classp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SetCos-list", ("setcos_list", System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems.SetCosList))])
                                self._leafs = OrderedDict()

                                self.setcos_list = YList(self)
                                self._segment_path = lambda: "setCos-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems, [], name, value)


                            class SetCosList(Entity):
                                """
                                
                                
                                .. attribute:: cosval  (key)
                                
                                	Cos Value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: inner
                                
                                	
                                	**type**\: bool
                                
                                .. attribute:: flag
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems.SetCosList, self).__init__()

                                    self.yang_name = "SetCos-list"
                                    self.yang_parent_name = "setCos-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['cosval']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('cosval', (YLeaf(YType.uint16, 'cosVal'), ['int'])),
                                        ('inner', (YLeaf(YType.boolean, 'inner'), ['bool'])),
                                        ('flag', (YLeaf(YType.boolean, 'flag'), ['bool'])),
                                    ])
                                    self.cosval = None
                                    self.inner = None
                                    self.flag = None
                                    self._segment_path = lambda: "SetCos-list" + "[cosVal='" + str(self.cosval) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetCosItems.SetCosList, ['cosval', 'inner', 'flag'], name, value)




                        class SetDscpItems(Entity):
                            """
                            
                            
                            .. attribute:: tunnel
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: dscpval
                            
                            	Dscp Value
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetDscpItems, self).__init__()

                                self.yang_name = "setDscp-items"
                                self.yang_parent_name = "Classp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                    ('dscpval', (YLeaf(YType.uint16, 'dscpVal'), ['int'])),
                                ])
                                self.tunnel = None
                                self.dscpval = None
                                self._segment_path = lambda: "setDscp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CoppItems.PolicyItems.PolicyList.ClasspItems.ClasspList.SetDscpItems, ['tunnel', 'dscpval'], name, value)







        class ProfileItems(Entity):
            """
            
            
            .. attribute:: prof
            
            	Profile type 
            	**type**\:  :py:class:`CoppProfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppProfT>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.ProfileItems, self).__init__()

                self.yang_name = "profile-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('prof', (YLeaf(YType.enumeration, 'prof'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppProfT', '')])),
                ])
                self.prof = None
                self._segment_path = lambda: "profile-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.ProfileItems, ['prof'], name, value)



        class NameItems(Entity):
            """
            
            
            .. attribute:: copyprofile_list
            
            	
            	**type**\: list of  		 :py:class:`CopyProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.NameItems.CopyProfileList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.NameItems, self).__init__()

                self.yang_name = "name-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("CopyProfile-list", ("copyprofile_list", System.CoppItems.NameItems.CopyProfileList))])
                self._leafs = OrderedDict()

                self.copyprofile_list = YList(self)
                self._segment_path = lambda: "name-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.NameItems, [], name, value)


            class CopyProfileList(Entity):
                """
                
                
                .. attribute:: affixname  (key)
                
                	
                	**type**\: str
                
                .. attribute:: profile
                
                	Profile type 
                	**type**\:  :py:class:`CoppProfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppProfT>`
                
                .. attribute:: affix
                
                	Affix type
                	**type**\:  :py:class:`CoppAffix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CoppAffix>`
                
                .. attribute:: copynum
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.NameItems.CopyProfileList, self).__init__()

                    self.yang_name = "CopyProfile-list"
                    self.yang_parent_name = "name-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['affixname']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('affixname', (YLeaf(YType.str, 'affixName'), ['str'])),
                        ('profile', (YLeaf(YType.enumeration, 'profile'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppProfT', '')])),
                        ('affix', (YLeaf(YType.enumeration, 'affix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CoppAffix', '')])),
                        ('copynum', (YLeaf(YType.uint32, 'copyNum'), ['int'])),
                    ])
                    self.affixname = None
                    self.profile = None
                    self.affix = None
                    self.copynum = None
                    self._segment_path = lambda: "CopyProfile-list" + "[affixName='" + str(self.affixname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/name-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.NameItems.CopyProfileList, ['affixname', 'profile', 'affix', 'copynum'], name, value)




        class ScaleItems(Entity):
            """
            
            
            .. attribute:: scale_list
            
            	
            	**type**\: list of  		 :py:class:`ScaleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ScaleItems.ScaleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.ScaleItems, self).__init__()

                self.yang_name = "scale-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Scale-list", ("scale_list", System.CoppItems.ScaleItems.ScaleList))])
                self._leafs = OrderedDict()

                self.scale_list = YList(self)
                self._segment_path = lambda: "scale-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.ScaleItems, [], name, value)


            class ScaleList(Entity):
                """
                
                
                .. attribute:: module  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: scaleval
                
                	
                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                
                	**range:** \-92233720368547758.08..92233720368547758.07
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.ScaleItems.ScaleList, self).__init__()

                    self.yang_name = "Scale-list"
                    self.yang_parent_name = "scale-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['module']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('module', (YLeaf(YType.uint16, 'module'), ['int'])),
                        ('scaleval', (YLeaf(YType.str, 'scaleVal'), ['Decimal64'])),
                    ])
                    self.module = None
                    self.scaleval = None
                    self._segment_path = lambda: "Scale-list" + "[module='" + str(self.module) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/scale-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.ScaleItems.ScaleList, ['module', 'scaleval'], name, value)




        class ServiceItems(Entity):
            """
            
            
            .. attribute:: service_list
            
            	
            	**type**\: list of  		 :py:class:`ServiceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ServiceItems.ServiceList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.ServiceItems, self).__init__()

                self.yang_name = "service-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Service-list", ("service_list", System.CoppItems.ServiceItems.ServiceList))])
                self._leafs = OrderedDict()

                self.service_list = YList(self)
                self._segment_path = lambda: "service-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.ServiceItems, [], name, value)


            class ServiceList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: error
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                	**default value**\: 0
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.ServiceItems.ServiceList, self).__init__()

                    self.yang_name = "Service-list"
                    self.yang_parent_name = "service-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                    ])
                    self.name = None
                    self.error = None
                    self._segment_path = lambda: "Service-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/service-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.ServiceItems.ServiceList, ['name', 'error'], name, value)




        class ServicedynItems(Entity):
            """
            
            
            .. attribute:: servicedynamic_list
            
            	
            	**type**\: list of  		 :py:class:`ServiceDynamicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CoppItems.ServicedynItems.ServiceDynamicList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CoppItems.ServicedynItems, self).__init__()

                self.yang_name = "servicedyn-items"
                self.yang_parent_name = "copp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ServiceDynamic-list", ("servicedynamic_list", System.CoppItems.ServicedynItems.ServiceDynamicList))])
                self._leafs = OrderedDict()

                self.servicedynamic_list = YList(self)
                self._segment_path = lambda: "servicedyn-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CoppItems.ServicedynItems, [], name, value)


            class ServiceDynamicList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: error
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                	**default value**\: 0
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CoppItems.ServicedynItems.ServiceDynamicList, self).__init__()

                    self.yang_name = "ServiceDynamic-list"
                    self.yang_parent_name = "servicedyn-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                    ])
                    self.name = None
                    self.error = None
                    self._segment_path = lambda: "ServiceDynamic-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/copp-items/servicedyn-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CoppItems.ServicedynItems.ServiceDynamicList, ['name', 'error'], name, value)





    class GleanItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.GleanItems, self).__init__()

            self.yang_name = "glean-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.GleanItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.GleanItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "glean-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.GleanItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.GleanItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "glean-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.GleanItems.InstItems.DomItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.GleanItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/glean-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.GleanItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems.DomList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.GleanItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.GleanItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/glean-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.GleanItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: bd_items
                    
                    	
                    	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems.DomList.BdItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.GleanItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['encap']
                        self._child_classes = OrderedDict([("bd-items", ("bd_items", System.GleanItems.InstItems.DomItems.DomList.BdItems))])
                        self._leafs = OrderedDict([
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.encap = None
                        self.name = None

                        self.bd_items = System.GleanItems.InstItems.DomItems.DomList.BdItems()
                        self.bd_items.parent = self
                        self._children_name_map["bd_items"] = "bd-items"
                        self._segment_path = lambda: "Dom-list" + "[encap='" + str(self.encap) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/glean-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.GleanItems.InstItems.DomItems.DomList, ['encap', 'name'], name, value)


                    class BdItems(Entity):
                        """
                        
                        
                        .. attribute:: bd_list
                        
                        	
                        	**type**\: list of  		 :py:class:`BDList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.GleanItems.InstItems.DomItems.DomList.BdItems, self).__init__()

                            self.yang_name = "bd-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("BD-list", ("bd_list", System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList))])
                            self._leafs = OrderedDict()

                            self.bd_list = YList(self)
                            self._segment_path = lambda: "bd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.GleanItems.InstItems.DomItems.DomList.BdItems, [], name, value)


                        class BDList(Entity):
                            """
                            
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: gwmac
                            
                            	Gateway MAC
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: fmcastgrp
                            
                            	Fabric Multicast Group
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: gw_items
                            
                            	
                            	**type**\:  :py:class:`GwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList, self).__init__()

                                self.yang_name = "BD-list"
                                self.yang_parent_name = "bd-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['encap']
                                self._child_classes = OrderedDict([("gw-items", ("gw_items", System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems))])
                                self._leafs = OrderedDict([
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('gwmac', (YLeaf(YType.str, 'gwMac'), ['str'])),
                                    ('fmcastgrp', (YLeaf(YType.str, 'fmcastGrp'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.encap = None
                                self.gwmac = None
                                self.fmcastgrp = None
                                self.name = None

                                self.gw_items = System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems()
                                self.gw_items.parent = self
                                self._children_name_map["gw_items"] = "gw-items"
                                self._segment_path = lambda: "BD-list" + "[encap='" + str(self.encap) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList, ['encap', 'gwmac', 'fmcastgrp', 'name'], name, value)


                            class GwItems(Entity):
                                """
                                
                                
                                .. attribute:: gateway_list
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems.GatewayList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems, self).__init__()

                                    self.yang_name = "gw-items"
                                    self.yang_parent_name = "BD-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Gateway-list", ("gateway_list", System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems.GatewayList))])
                                    self._leafs = OrderedDict()

                                    self.gateway_list = YList(self)
                                    self._segment_path = lambda: "gw-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems, [], name, value)


                                class GatewayList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip  (key)
                                    
                                    	Gateway IP Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems.GatewayList, self).__init__()

                                        self.yang_name = "Gateway-list"
                                        self.yang_parent_name = "gw-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ip']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                        ])
                                        self.ip = None
                                        self._segment_path = lambda: "Gateway-list" + "[ip='" + str(self.ip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.GleanItems.InstItems.DomItems.DomList.BdItems.BDList.GwItems.GatewayList, ['ip'], name, value)










    class HmmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: fwdinst_items
        
        	
        	**type**\:  :py:class:`FwdinstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.HmmItems, self).__init__()

            self.yang_name = "hmm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("fwdinst-items", ("fwdinst_items", System.HmmItems.FwdinstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.fwdinst_items = System.HmmItems.FwdinstItems()
            self.fwdinst_items.parent = self
            self._children_name_map["fwdinst_items"] = "fwdinst-items"
            self._segment_path = lambda: "hmm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.HmmItems, ['name', 'adminst', 'operst'], name, value)


        class FwdinstItems(Entity):
            """
            
            
            .. attribute:: amac
            
            	
            	**type**\: str
            
            .. attribute:: limitvlanmac
            
            	
            	**type**\: int
            
            	**range:** 5..2048
            
            	**default value**\: 2048
            
            .. attribute:: selhostprobe
            
            	When set to True, host mobility will be triggered when a remote host route exists irrespective of the sequence id
            	**type**\:  :py:class:`HmmBoolean <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HmmBoolean>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.IfItems>`
            
            .. attribute:: evpn_items
            
            	
            	**type**\:  :py:class:`EvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.EvpnItems>`
            
            .. attribute:: tenant_items
            
            	
            	**type**\:  :py:class:`TenantItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.TenantItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.HmmItems.FwdinstItems, self).__init__()

                self.yang_name = "fwdinst-items"
                self.yang_parent_name = "hmm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.HmmItems.FwdinstItems.IfItems)), ("evpn-items", ("evpn_items", System.HmmItems.FwdinstItems.EvpnItems)), ("tenant-items", ("tenant_items", System.HmmItems.FwdinstItems.TenantItems))])
                self._leafs = OrderedDict([
                    ('amac', (YLeaf(YType.str, 'amac'), ['str'])),
                    ('limitvlanmac', (YLeaf(YType.uint16, 'limitVlanMac'), ['int'])),
                    ('selhostprobe', (YLeaf(YType.enumeration, 'selHostProbe'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HmmBoolean', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.amac = None
                self.limitvlanmac = None
                self.selhostprobe = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.HmmItems.FwdinstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"

                self.evpn_items = System.HmmItems.FwdinstItems.EvpnItems()
                self.evpn_items.parent = self
                self._children_name_map["evpn_items"] = "evpn-items"

                self.tenant_items = System.HmmItems.FwdinstItems.TenantItems()
                self.tenant_items.parent = self
                self._children_name_map["tenant_items"] = "tenant-items"
                self._segment_path = lambda: "fwdinst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.HmmItems.FwdinstItems, ['amac', 'limitvlanmac', 'selhostprobe', 'name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: fwdif_list
                
                	
                	**type**\: list of  		 :py:class:`FwdIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.IfItems.FwdIfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HmmItems.FwdinstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "fwdinst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("FwdIf-list", ("fwdif_list", System.HmmItems.FwdinstItems.IfItems.FwdIfList))])
                    self._leafs = OrderedDict()

                    self.fwdif_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/fwdinst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HmmItems.FwdinstItems.IfItems, [], name, value)


                class FwdIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: mode
                    
                    	HMM Fabric Forwarding mode information for the interface
                    	**type**\:  :py:class:`HmmFwdMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HmmFwdMode>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.HmmItems.FwdinstItems.IfItems.FwdIfList, self).__init__()

                        self.yang_name = "FwdIf-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HmmFwdMode', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.mode = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.rtvrfmbr_items = System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "FwdIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/fwdinst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.HmmItems.FwdinstItems.IfItems.FwdIfList, ['id', 'mode', 'name', 'descr', 'adminst'], name, value)


                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "FwdIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "FwdIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HmmItems.FwdinstItems.IfItems.FwdIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class EvpnItems(Entity):
                """
                
                
                .. attribute:: ddhmmoves
                
                	
                	**type**\: int
                
                	**range:** 1..1000
                
                	**default value**\: 5
                
                .. attribute:: ddhnsecs
                
                	
                	**type**\: int
                
                	**range:** 2..36000
                
                	**default value**\: 180
                
                .. attribute:: dhrtimeout
                
                	
                	**type**\: int
                
                	**range:** 30..36000
                
                	**default value**\: 30
                
                .. attribute:: dhrcount
                
                	
                	**type**\: int
                
                	**range:** 1..3000
                
                	**default value**\: 5
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HmmItems.FwdinstItems.EvpnItems, self).__init__()

                    self.yang_name = "evpn-items"
                    self.yang_parent_name = "fwdinst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('ddhmmoves', (YLeaf(YType.uint16, 'ddHmmoves'), ['int'])),
                        ('ddhnsecs', (YLeaf(YType.uint16, 'ddHnsecs'), ['int'])),
                        ('dhrtimeout', (YLeaf(YType.uint16, 'dhrtimeout'), ['int'])),
                        ('dhrcount', (YLeaf(YType.uint16, 'dhrcount'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.ddhmmoves = None
                    self.ddhnsecs = None
                    self.dhrtimeout = None
                    self.dhrcount = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self._segment_path = lambda: "evpn-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/fwdinst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HmmItems.FwdinstItems.EvpnItems, ['ddhmmoves', 'ddhnsecs', 'dhrtimeout', 'dhrcount', 'name', 'adminst', 'ctrl'], name, value)



            class TenantItems(Entity):
                """
                
                
                .. attribute:: tenantdb_list
                
                	
                	**type**\: list of  		 :py:class:`TenantDbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.TenantItems.TenantDbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HmmItems.FwdinstItems.TenantItems, self).__init__()

                    self.yang_name = "tenant-items"
                    self.yang_parent_name = "fwdinst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("TenantDb-list", ("tenantdb_list", System.HmmItems.FwdinstItems.TenantItems.TenantDbList))])
                    self._leafs = OrderedDict()

                    self.tenantdb_list = YList(self)
                    self._segment_path = lambda: "tenant-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/fwdinst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HmmItems.FwdinstItems.TenantItems, [], name, value)


                class TenantDbList(Entity):
                    """
                    
                    
                    .. attribute:: vrfname  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vrfstate
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vniid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: refcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: af_items
                    
                    	
                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.HmmItems.FwdinstItems.TenantItems.TenantDbList, self).__init__()

                        self.yang_name = "TenantDb-list"
                        self.yang_parent_name = "tenant-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['vrfname']
                        self._child_classes = OrderedDict([("af-items", ("af_items", System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems))])
                        self._leafs = OrderedDict([
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('vrfstate', (YLeaf(YType.str, 'vrfState'), ['str'])),
                            ('vniid', (YLeaf(YType.uint32, 'vniId'), ['int'])),
                            ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                        ])
                        self.vrfname = None
                        self.vrfstate = None
                        self.vniid = None
                        self.refcount = None

                        self.af_items = System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems()
                        self.af_items.parent = self
                        self._children_name_map["af_items"] = "af-items"
                        self._segment_path = lambda: "TenantDb-list" + "[vrfName='" + str(self.vrfname) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/hmm-items/fwdinst-items/tenant-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.HmmItems.FwdinstItems.TenantItems.TenantDbList, ['vrfname', 'vrfstate', 'vniid', 'refcount'], name, value)


                    class AfItems(Entity):
                        """
                        
                        
                        .. attribute:: tenantdbaf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TenantDBAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems.TenantDBAfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems, self).__init__()

                            self.yang_name = "af-items"
                            self.yang_parent_name = "TenantDb-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("TenantDBAf-list", ("tenantdbaf_list", System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems.TenantDBAfList))])
                            self._leafs = OrderedDict()

                            self.tenantdbaf_list = YList(self)
                            self._segment_path = lambda: "af-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems, [], name, value)


                        class TenantDBAfList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Tenant Address Family type (IPv4/IPv6)
                            	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                            
                            	**config**\: False
                            
                            .. attribute:: tblstate
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: localhosts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: remotehosts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: aggregates
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems.TenantDBAfList, self).__init__()

                                self.yang_name = "TenantDBAf-list"
                                self.yang_parent_name = "af-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                    ('tblstate', (YLeaf(YType.str, 'tblState'), ['str'])),
                                    ('localhosts', (YLeaf(YType.uint32, 'localHosts'), ['int'])),
                                    ('remotehosts', (YLeaf(YType.uint32, 'remoteHosts'), ['int'])),
                                    ('aggregates', (YLeaf(YType.uint32, 'aggregates'), ['int'])),
                                ])
                                self.type = None
                                self.tblstate = None
                                self.localhosts = None
                                self.remotehosts = None
                                self.aggregates = None
                                self._segment_path = lambda: "TenantDBAf-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HmmItems.FwdinstItems.TenantItems.TenantDbList.AfItems.TenantDBAfList, ['type', 'tblstate', 'localhosts', 'remotehosts', 'aggregates'], name, value)








    class IcamItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IcamItems, self).__init__()

            self.yang_name = "icam-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.IcamItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.IcamItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "icam-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IcamItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: mod_items
            
            	
            	**type**\:  :py:class:`ModItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems.InstItems.ModItems>`
            
            .. attribute:: aclresmod_items
            
            	
            	**type**\:  :py:class:`AclresmodItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems.InstItems.AclresmodItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IcamItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "icam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("mod-items", ("mod_items", System.IcamItems.InstItems.ModItems)), ("aclresmod-items", ("aclresmod_items", System.IcamItems.InstItems.AclresmodItems))])
                self._leafs = OrderedDict()

                self.mod_items = System.IcamItems.InstItems.ModItems()
                self.mod_items.parent = self
                self._children_name_map["mod_items"] = "mod-items"

                self.aclresmod_items = System.IcamItems.InstItems.AclresmodItems()
                self.aclresmod_items.parent = self
                self._children_name_map["aclresmod_items"] = "aclresmod-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/icam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IcamItems.InstItems, [], name, value)


            class ModItems(Entity):
                """
                
                
                .. attribute:: monaclentries_list
                
                	
                	**type**\: list of  		 :py:class:`MonACLEntriesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems.InstItems.ModItems.MonACLEntriesList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IcamItems.InstItems.ModItems, self).__init__()

                    self.yang_name = "mod-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("MonACLEntries-list", ("monaclentries_list", System.IcamItems.InstItems.ModItems.MonACLEntriesList))])
                    self._leafs = OrderedDict()

                    self.monaclentries_list = YList(self)
                    self._segment_path = lambda: "mod-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icam-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IcamItems.InstItems.ModItems, [], name, value)


                class MonACLEntriesList(Entity):
                    """
                    
                    
                    .. attribute:: module  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: inst  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: feature  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: value_mask  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: class_type
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: action
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ifindex
                    
                    	Interface ifindex
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: cum_stats
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IcamItems.InstItems.ModItems.MonACLEntriesList, self).__init__()

                        self.yang_name = "MonACLEntries-list"
                        self.yang_parent_name = "mod-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['module','inst','feature','value_mask']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('module', (YLeaf(YType.uint32, 'module'), ['int'])),
                            ('inst', (YLeaf(YType.uint32, 'inst'), ['int'])),
                            ('feature', (YLeaf(YType.str, 'feature'), ['str'])),
                            ('value_mask', (YLeaf(YType.str, 'value_mask'), ['str'])),
                            ('class_type', (YLeaf(YType.str, 'class_type'), ['str'])),
                            ('action', (YLeaf(YType.str, 'action'), ['str'])),
                            ('ifindex', (YLeaf(YType.uint32, 'ifindex'), ['int'])),
                            ('cum_stats', (YLeaf(YType.uint64, 'cum_stats'), ['int'])),
                        ])
                        self.module = None
                        self.inst = None
                        self.feature = None
                        self.value_mask = None
                        self.class_type = None
                        self.action = None
                        self.ifindex = None
                        self.cum_stats = None
                        self._segment_path = lambda: "MonACLEntries-list" + "[module='" + str(self.module) + "']" + "[inst='" + str(self.inst) + "']" + "[feature='" + str(self.feature) + "']" + "[value_mask='" + str(self.value_mask) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/icam-items/inst-items/mod-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IcamItems.InstItems.ModItems.MonACLEntriesList, ['module', 'inst', 'feature', 'value_mask', 'class_type', 'action', 'ifindex', 'cum_stats'], name, value)




            class AclresmodItems(Entity):
                """
                
                
                .. attribute:: aclresentries_list
                
                	
                	**type**\: list of  		 :py:class:`AclResEntriesList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IcamItems.InstItems.AclresmodItems.AclResEntriesList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IcamItems.InstItems.AclresmodItems, self).__init__()

                    self.yang_name = "aclresmod-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("AclResEntries-list", ("aclresentries_list", System.IcamItems.InstItems.AclresmodItems.AclResEntriesList))])
                    self._leafs = OrderedDict()

                    self.aclresentries_list = YList(self)
                    self._segment_path = lambda: "aclresmod-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icam-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IcamItems.InstItems.AclresmodItems, [], name, value)


                class AclResEntriesList(Entity):
                    """
                    
                    
                    .. attribute:: module  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: inst  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: tcam_no  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: bank_no  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: used
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: free
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: percent_util
                    
                    	
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IcamItems.InstItems.AclresmodItems.AclResEntriesList, self).__init__()

                        self.yang_name = "AclResEntries-list"
                        self.yang_parent_name = "aclresmod-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['module','inst','tcam_no','bank_no']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('module', (YLeaf(YType.uint32, 'module'), ['int'])),
                            ('inst', (YLeaf(YType.uint32, 'inst'), ['int'])),
                            ('tcam_no', (YLeaf(YType.uint32, 'tcam_no'), ['int'])),
                            ('bank_no', (YLeaf(YType.uint32, 'bank_no'), ['int'])),
                            ('used', (YLeaf(YType.uint32, 'used'), ['int'])),
                            ('free', (YLeaf(YType.uint32, 'free'), ['int'])),
                            ('percent_util', (YLeaf(YType.str, 'percent_util'), ['Decimal64'])),
                            ('timestamp', (YLeaf(YType.uint64, 'timestamp'), ['int'])),
                        ])
                        self.module = None
                        self.inst = None
                        self.tcam_no = None
                        self.bank_no = None
                        self.used = None
                        self.free = None
                        self.percent_util = None
                        self.timestamp = None
                        self._segment_path = lambda: "AclResEntries-list" + "[module='" + str(self.module) + "']" + "[inst='" + str(self.inst) + "']" + "[tcam_no='" + str(self.tcam_no) + "']" + "[bank_no='" + str(self.bank_no) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/icam-items/inst-items/aclresmod-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IcamItems.InstItems.AclresmodItems.AclResEntriesList, ['module', 'inst', 'tcam_no', 'bank_no', 'used', 'free', 'percent_util', 'timestamp'], name, value)






    class IpqosItems(Entity):
        """
        
        
        .. attribute:: statsstate
        
        	Globally enable/disable QoS statistics
        	**type**\:  :py:class:`IpqosStatsState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsState>`
        
        .. attribute:: statclear_items
        
        	
        	**type**\:  :py:class:`StatClearItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.StatClearItems>`
        
        .. attribute:: queuing_items
        
        	
        	**type**\:  :py:class:`QueuingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems>`
        
        .. attribute:: nw_items
        
        	
        	**type**\:  :py:class:`NwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems>`
        
        .. attribute:: dflt_items
        
        	
        	**type**\:  :py:class:`DfltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IpqosItems, self).__init__()

            self.yang_name = "ipqos-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("statClear-items", ("statclear_items", System.IpqosItems.StatClearItems)), ("queuing-items", ("queuing_items", System.IpqosItems.QueuingItems)), ("nw-items", ("nw_items", System.IpqosItems.NwItems)), ("dflt-items", ("dflt_items", System.IpqosItems.DfltItems))])
            self._leafs = OrderedDict([
                ('statsstate', (YLeaf(YType.enumeration, 'statsState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsState', '')])),
            ])
            self.statsstate = None

            self.statclear_items = System.IpqosItems.StatClearItems()
            self.statclear_items.parent = self
            self._children_name_map["statclear_items"] = "statClear-items"

            self.queuing_items = System.IpqosItems.QueuingItems()
            self.queuing_items.parent = self
            self._children_name_map["queuing_items"] = "queuing-items"

            self.nw_items = System.IpqosItems.NwItems()
            self.nw_items.parent = self
            self._children_name_map["nw_items"] = "nw-items"

            self.dflt_items = System.IpqosItems.DfltItems()
            self.dflt_items.parent = self
            self._children_name_map["dflt_items"] = "dflt-items"
            self._segment_path = lambda: "ipqos-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IpqosItems, ['statsstate'], name, value)


        class StatClearItems(Entity):
            """
            
            
            .. attribute:: pmaptype
            
            	policy\-map type
            	**type**\:  :py:class:`IpqosPolicyType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPolicyType>`
            
            .. attribute:: direction
            
            	policy\-map direction input or output
            	**type**\:  :py:class:`IpqosPolicyDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPolicyDirection>`
            
            .. attribute:: ethernet
            
            	list of ethernet interfaces
            	**type**\: str
            
            .. attribute:: vlan
            
            	list of vlan interfaces
            	**type**\: str
            
            .. attribute:: portchan
            
            	list of port\-channel interfaces
            	**type**\: str
            
            .. attribute:: timestamp
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpqosItems.StatClearItems, self).__init__()

                self.yang_name = "statClear-items"
                self.yang_parent_name = "ipqos-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('pmaptype', (YLeaf(YType.enumeration, 'pmapType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPolicyType', '')])),
                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPolicyDirection', '')])),
                    ('ethernet', (YLeaf(YType.str, 'ethernet'), ['str'])),
                    ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                    ('portchan', (YLeaf(YType.str, 'portChan'), ['str'])),
                    ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                ])
                self.pmaptype = None
                self.direction = None
                self.ethernet = None
                self.vlan = None
                self.portchan = None
                self.timestamp = None
                self._segment_path = lambda: "statClear-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpqosItems.StatClearItems, ['pmaptype', 'direction', 'ethernet', 'vlan', 'portchan', 'timestamp'], name, value)



        class QueuingItems(Entity):
            """
            
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems>`
            
            .. attribute:: c_items
            
            	
            	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems>`
            
            .. attribute:: p_items
            
            	
            	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems>`
            
            .. attribute:: copypmap_items
            
            	
            	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CopyPMapItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpqosItems.QueuingItems, self).__init__()

                self.yang_name = "queuing-items"
                self.yang_parent_name = "ipqos-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("policy-items", ("policy_items", System.IpqosItems.QueuingItems.PolicyItems)), ("c-items", ("c_items", System.IpqosItems.QueuingItems.CItems)), ("p-items", ("p_items", System.IpqosItems.QueuingItems.PItems)), ("copyPMap-items", ("copypmap_items", System.IpqosItems.QueuingItems.CopyPMapItems))])
                self._leafs = OrderedDict()

                self.policy_items = System.IpqosItems.QueuingItems.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.c_items = System.IpqosItems.QueuingItems.CItems()
                self.c_items.parent = self
                self._children_name_map["c_items"] = "c-items"

                self.p_items = System.IpqosItems.QueuingItems.PItems()
                self.p_items.parent = self
                self._children_name_map["p_items"] = "p-items"

                self.copypmap_items = System.IpqosItems.QueuingItems.CopyPMapItems()
                self.copypmap_items.parent = self
                self._children_name_map["copypmap_items"] = "copyPMap-items"
                self._segment_path = lambda: "queuing-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpqosItems.QueuingItems, [], name, value)


            class PolicyItems(Entity):
                """
                
                
                .. attribute:: in_items
                
                	
                	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems>`
                
                .. attribute:: out_items
                
                	
                	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.QueuingItems.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "queuing-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("in-items", ("in_items", System.IpqosItems.QueuingItems.PolicyItems.InItems)), ("out-items", ("out_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems))])
                    self._leafs = OrderedDict()

                    self.in_items = System.IpqosItems.QueuingItems.PolicyItems.InItems()
                    self.in_items.parent = self
                    self._children_name_map["in_items"] = "in-items"

                    self.out_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems()
                    self.out_items.parent = self
                    self._children_name_map["out_items"] = "out-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems, [], name, value)


                class InItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.QueuingItems.PolicyItems.InItems, self).__init__()

                        self.yang_name = "in-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "in-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/in-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                class OutItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.QueuingItems.PolicyItems.OutItems, self).__init__()

                        self.yang_name = "out-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "out-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/policy-items/out-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






            class CItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.QueuingItems.CItems, self).__init__()

                    self.yang_name = "c-items"
                    self.yang_parent_name = "queuing-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.QueuingItems.CItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.QueuingItems.CItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "c-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: cmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.QueuingItems.CItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "c-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList))])
                        self._leafs = OrderedDict()

                        self.cmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/c-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems, [], name, value)


                    class CMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of class\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems>`
                        
                        .. attribute:: dscp_items
                        
                        	
                        	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems>`
                        
                        .. attribute:: iprtp_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                        
                        .. attribute:: packetlength_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                        
                        .. attribute:: cos_items
                        
                        	
                        	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems>`
                        
                        .. attribute:: mplsexperimental_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                        
                        .. attribute:: precedence_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                        
                        .. attribute:: protocol_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                        
                        .. attribute:: dscpnot_items
                        
                        	
                        	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                        
                        .. attribute:: cosnot_items
                        
                        	
                        	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems>`
                        
                        .. attribute:: mplsexperimentalnot_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                        
                        .. attribute:: precedencenot_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                        
                        .. attribute:: protocolnot_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                        
                        .. attribute:: iprtpnot_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                        
                        .. attribute:: packetlengthnot_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                        
                        .. attribute:: grp_items
                        
                        	
                        	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems>`
                        
                        .. attribute:: rsclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList, self).__init__()

                            self.yang_name = "CMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.configstatus = None

                            self.acl_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"

                            self.dscp_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems()
                            self.dscp_items.parent = self
                            self._children_name_map["dscp_items"] = "dscp-items"

                            self.iprtp_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems()
                            self.iprtp_items.parent = self
                            self._children_name_map["iprtp_items"] = "ipRtp-items"

                            self.packetlength_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                            self.packetlength_items.parent = self
                            self._children_name_map["packetlength_items"] = "packetLength-items"

                            self.cos_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems()
                            self.cos_items.parent = self
                            self._children_name_map["cos_items"] = "cos-items"

                            self.mplsexperimental_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                            self.mplsexperimental_items.parent = self
                            self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                            self.precedence_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                            self.precedence_items.parent = self
                            self._children_name_map["precedence_items"] = "precedence-items"

                            self.protocol_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems()
                            self.protocol_items.parent = self
                            self._children_name_map["protocol_items"] = "protocol-items"

                            self.description_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.dscpnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems()
                            self.dscpnot_items.parent = self
                            self._children_name_map["dscpnot_items"] = "dscpNot-items"

                            self.cosnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems()
                            self.cosnot_items.parent = self
                            self._children_name_map["cosnot_items"] = "cosNot-items"

                            self.mplsexperimentalnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                            self.mplsexperimentalnot_items.parent = self
                            self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                            self.precedencenot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                            self.precedencenot_items.parent = self
                            self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                            self.protocolnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                            self.protocolnot_items.parent = self
                            self._children_name_map["protocolnot_items"] = "protocolNot-items"

                            self.iprtpnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                            self.iprtpnot_items.parent = self
                            self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                            self.packetlengthnot_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                            self.packetlengthnot_items.parent = self
                            self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                            self.grp_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems()
                            self.grp_items.parent = self
                            self._children_name_map["grp_items"] = "grp-items"

                            self.rsclassmaptopolicymap_items = System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                            self.rsclassmaptopolicymap_items.parent = self
                            self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                            self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/c-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                        class AclItems(Entity):
                            """
                            
                            
                            .. attribute:: acl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                self._leafs = OrderedDict()

                                self.acl_list = YList(self)
                                self._segment_path = lambda: "acl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                            class AclList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using ACL
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                    self.yang_name = "Acl-list"
                                    self.yang_parent_name = "acl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                        class DscpItems(Entity):
                            """
                            
                            
                            .. attribute:: dscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                self.yang_name = "dscp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                self._leafs = OrderedDict()

                                self.dscp_list = YList(self)
                                self._segment_path = lambda: "dscp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                            class DscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                    self.yang_name = "Dscp-list"
                                    self.yang_parent_name = "dscp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                        class IpRtpItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                self.yang_name = "ipRtp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                        class PacketLengthItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                self.yang_name = "packetLength-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLength-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                        class CosItems(Entity):
                            """
                            
                            
                            .. attribute:: cos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                self.yang_name = "cos-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                self._leafs = OrderedDict()

                                self.cos_list = YList(self)
                                self._segment_path = lambda: "cos-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                            class CosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                    self.yang_name = "Cos-list"
                                    self.yang_parent_name = "cos-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalItems(Entity):
                            """
                            
                            
                            .. attribute:: mplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                self.yang_name = "mplsExperimental-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.mplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimental-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                            class MPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	MPLS experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                    self.yang_name = "MPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimental-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceItems(Entity):
                            """
                            
                            
                            .. attribute:: precedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                self.yang_name = "precedence-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                self._leafs = OrderedDict()

                                self.precedence_list = YList(self)
                                self._segment_path = lambda: "precedence-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                            class PrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                    self.yang_name = "Precedence-list"
                                    self.yang_parent_name = "precedence-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolItems(Entity):
                            """
                            
                            
                            .. attribute:: protocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                self.yang_name = "protocol-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                self._leafs = OrderedDict()

                                self.protocol_list = YList(self)
                                self._segment_path = lambda: "protocol-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                            class ProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                    self.yang_name = "Protocol-list"
                                    self.yang_parent_name = "protocol-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                        class DscpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notdscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                self.yang_name = "dscpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                self._leafs = OrderedDict()

                                self.notdscp_list = YList(self)
                                self._segment_path = lambda: "dscpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                            class NotDscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                    self.yang_name = "NotDscp-list"
                                    self.yang_parent_name = "dscpNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                        class CosNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notcos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                self.yang_name = "cosNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                self._leafs = OrderedDict()

                                self.notcos_list = YList(self)
                                self._segment_path = lambda: "cosNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                            class NotCosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                    self.yang_name = "NotCos-list"
                                    self.yang_parent_name = "cosNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notmplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                self.yang_name = "mplsExperimentalNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.notmplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimentalNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                            class NotMPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not mpls experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                    self.yang_name = "NotMPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimentalNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprecedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                self.yang_name = "precedenceNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                self._leafs = OrderedDict()

                                self.notprecedence_list = YList(self)
                                self._segment_path = lambda: "precedenceNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                            class NotPrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                    self.yang_name = "NotPrecedence-list"
                                    self.yang_parent_name = "precedenceNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprotocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                self.yang_name = "protocolNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                self._leafs = OrderedDict()

                                self.notprotocol_list = YList(self)
                                self._segment_path = lambda: "protocolNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                            class NotProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                    self.yang_name = "NotProtocol-list"
                                    self.yang_parent_name = "protocolNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                        class IpRtpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                self.yang_name = "ipRtpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                        class PacketLengthNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                self.yang_name = "packetLengthNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLengthNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                        class GrpItems(Entity):
                            """
                            
                            
                            .. attribute:: qosgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                self.yang_name = "grp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                self._leafs = OrderedDict()

                                self.qosgrp_list = YList(self)
                                self._segment_path = lambda: "grp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                            class QoSGrpList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	QoS group ID
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                    self.yang_name = "QoSGrp-list"
                                    self.yang_parent_name = "grp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.id = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                        class RsclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rsclassmaptopolicymap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rsclassMapToPolicyMap-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                self._leafs = OrderedDict()

                                self.rsclassmaptopolicymap_list = YList(self)
                                self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                            class RsClassMapToPolicyMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                    self.yang_name = "RsClassMapToPolicyMap-list"
                                    self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







            class PItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.QueuingItems.PItems, self).__init__()

                    self.yang_name = "p-items"
                    self.yang_parent_name = "queuing-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.QueuingItems.PItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.QueuingItems.PItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "p-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.QueuingItems.PItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: pmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.QueuingItems.PItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "p-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList))])
                        self._leafs = OrderedDict()

                        self.pmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/p-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems, [], name, value)


                    class PMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of policy\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: refcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cmap_items
                        
                        	
                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                        
                        .. attribute:: rtipqospolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                        
                        .. attribute:: rtclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList, self).__init__()

                            self.yang_name = "PMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.refcount = None
                            self.configstatus = None

                            self.cmap_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems()
                            self.cmap_items.parent = self
                            self._children_name_map["cmap_items"] = "cmap-items"

                            self.description_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.rtipqospolicyinsttopmap_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                            self.rtipqospolicyinsttopmap_items.parent = self
                            self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                            self.rtclassmaptopolicymap_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                            self.rtclassmaptopolicymap_items.parent = self
                            self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                            self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/p-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                        class CmapItems(Entity):
                            """
                            
                            
                            .. attribute:: matchcmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                self.yang_name = "cmap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                self._leafs = OrderedDict()

                                self.matchcmap_list = YList(self)
                                self._segment_path = lambda: "cmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                            class MatchCMapList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using class\-map
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: prevcmap
                                
                                	Insert after the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: nextcmap
                                
                                	Insert before the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: setcos_items
                                
                                	
                                	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                
                                .. attribute:: mtu_items
                                
                                	
                                	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                
                                .. attribute:: setprecedence_items
                                
                                	
                                	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                
                                .. attribute:: setdscp_items
                                
                                	
                                	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                
                                .. attribute:: setgrp_items
                                
                                	
                                	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                
                                .. attribute:: setdlbdisable_items
                                
                                	
                                	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                
                                .. attribute:: queuelimit_items
                                
                                	
                                	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                
                                .. attribute:: pause_items
                                
                                	
                                	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                
                                .. attribute:: dpp_items
                                
                                	
                                	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                
                                .. attribute:: setbw_items
                                
                                	
                                	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                
                                .. attribute:: setrembw_items
                                
                                	
                                	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                
                                .. attribute:: shape_items
                                
                                	
                                	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                
                                .. attribute:: police_items
                                
                                	
                                	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                
                                .. attribute:: prio_items
                                
                                	
                                	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                
                                .. attribute:: randdet_items
                                
                                	
                                	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                
                                .. attribute:: randdetnonecn_items
                                
                                	
                                	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                    self.yang_name = "MatchCMap-list"
                                    self.yang_parent_name = "cmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                        ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.prevcmap = None
                                    self.nextcmap = None
                                    self.configstatus = None

                                    self.setcos_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                    self.setcos_items.parent = self
                                    self._children_name_map["setcos_items"] = "setCos-items"

                                    self.mtu_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                    self.mtu_items.parent = self
                                    self._children_name_map["mtu_items"] = "mtu-items"

                                    self.setprecedence_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                    self.setprecedence_items.parent = self
                                    self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                    self.setdscp_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                    self.setdscp_items.parent = self
                                    self._children_name_map["setdscp_items"] = "setDscp-items"

                                    self.setgrp_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                    self.setgrp_items.parent = self
                                    self._children_name_map["setgrp_items"] = "setGrp-items"

                                    self.setdlbdisable_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                    self.setdlbdisable_items.parent = self
                                    self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                    self.queuelimit_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                    self.queuelimit_items.parent = self
                                    self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                    self.pause_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                    self.pause_items.parent = self
                                    self._children_name_map["pause_items"] = "pause-items"

                                    self.dpp_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                    self.dpp_items.parent = self
                                    self._children_name_map["dpp_items"] = "dpp-items"

                                    self.setbw_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                    self.setbw_items.parent = self
                                    self._children_name_map["setbw_items"] = "setBW-items"

                                    self.setrembw_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                    self.setrembw_items.parent = self
                                    self._children_name_map["setrembw_items"] = "setRemBW-items"

                                    self.shape_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                    self.shape_items.parent = self
                                    self._children_name_map["shape_items"] = "shape-items"

                                    self.police_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                    self.police_items.parent = self
                                    self._children_name_map["police_items"] = "police-items"

                                    self.prio_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                    self.prio_items.parent = self
                                    self._children_name_map["prio_items"] = "prio-items"

                                    self.randdet_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                    self.randdet_items.parent = self
                                    self._children_name_map["randdet_items"] = "RandDet-items"

                                    self.randdetnonecn_items = System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                    self.randdetnonecn_items.parent = self
                                    self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                    self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                class SetCosItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Cos value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                        self.yang_name = "setCos-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setCos-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                class MtuItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: value
                                    
                                    	Set MTU value
                                    	**type**\: int
                                    
                                    	**range:** 576..9216
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                        self.yang_name = "mtu-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.value = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "mtu-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                class SetPrecedenceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Precedence value
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                        self.yang_name = "setPrecedence-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setPrecedence-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetDscpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Dscp value
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                        self.yang_name = "setDscp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDscp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetGrpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id
                                    
                                    	QoS group ID
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                        self.yang_name = "setGrp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.id = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setGrp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                class SetDlbDisableItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                        self.yang_name = "setDlbDisable-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDlbDisable-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                class QueueLimitItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: queuelimitval
                                    
                                    	Value in bytes/kbytes/mbytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: queuelimitunit
                                    
                                    	Bytes/kbytes/mbytes
                                    	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                    
                                    .. attribute:: dynamic
                                    
                                    	Queue\-limit dynamic value
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                        self.yang_name = "QueueLimit-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                            ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                            ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.queuelimitval = None
                                        self.queuelimitunit = None
                                        self.dynamic = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "QueueLimit-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                class PauseItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: buffersize
                                    
                                    	size in bytes
                                    	**type**\: int
                                    
                                    	**range:** 5000..12582913
                                    
                                    .. attribute:: pausethreshold
                                    
                                    	xoff bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: resumethreshold
                                    
                                    	xon bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: pfccos0
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos1
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos2
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos3
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos4
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos5
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos6
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos7
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: receive
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                        self.yang_name = "pause-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                            ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                            ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                            ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                            ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                            ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                            ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                            ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                            ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                            ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                            ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                            ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.buffersize = None
                                        self.pausethreshold = None
                                        self.resumethreshold = None
                                        self.pfccos0 = None
                                        self.pfccos1 = None
                                        self.pfccos2 = None
                                        self.pfccos3 = None
                                        self.pfccos4 = None
                                        self.pfccos5 = None
                                        self.pfccos6 = None
                                        self.pfccos7 = None
                                        self.receive = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "pause-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                class DppItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: setqosgroup
                                    
                                    	QoS Group Value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                        self.yang_name = "dpp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                        ])
                                        self.setqosgroup = None
                                        self._segment_path = lambda: "dpp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                class SetBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Available bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                        self.yang_name = "setBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                class SetRemBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Remaining bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                        self.yang_name = "setRemBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setRemBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                class ShapeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: min
                                    
                                    	Minimum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: minrateunit
                                    
                                    	Minimum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: max
                                    
                                    	Maximum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: maxrateunit
                                    
                                    	Maximum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                        self.yang_name = "shape-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                            ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                            ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.min = None
                                        self.minrateunit = None
                                        self.max = None
                                        self.maxrateunit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "shape-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                class PoliceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cirrate
                                    
                                    	CIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: cirunit
                                    
                                    	CIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: bcrate
                                    
                                    	CIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: bcunit
                                    
                                    	CIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: pirrate
                                    
                                    	PIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: pirunit
                                    
                                    	PIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: berate
                                    
                                    	PIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: beunit
                                    
                                    	PIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: conformaction
                                    
                                    	Conform action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: conformsetcostransmit
                                    
                                    	set cos for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: conformsetdscptransmit
                                    
                                    	set dscp for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: conformsetprectransmit
                                    
                                    	set precedence for conforming traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: conformsetqosgrptransmit
                                    
                                    	set qos\-group for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedaction
                                    
                                    	Exceed action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: exceedsetcostransmit
                                    
                                    	set cos for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedsetdscptransmit
                                    
                                    	set dscp for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: exceedsetprectransmit
                                    
                                    	set precedence for exceeding traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: exceedsetqosgrptransmit
                                    
                                    	set qos\-group for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violateaction
                                    
                                    	Violate action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: violatesetcostransmit
                                    
                                    	set cos for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violatesetdscptransmit
                                    
                                    	set dscp for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: violatesetprectransmit
                                    
                                    	set precedence for violating traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: violatesetqosgrptransmit
                                    
                                    	set qos\-group for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                        self.yang_name = "police-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                            ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                            ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                            ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                            ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                            ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                            ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                            ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                            ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                            ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                            ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                            ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                            ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.cirrate = None
                                        self.cirunit = None
                                        self.bcrate = None
                                        self.bcunit = None
                                        self.pirrate = None
                                        self.pirunit = None
                                        self.berate = None
                                        self.beunit = None
                                        self.conformaction = None
                                        self.conformsetcostransmit = None
                                        self.conformsetdscptransmit = None
                                        self.conformsetprectransmit = None
                                        self.conformsetqosgrptransmit = None
                                        self.exceedaction = None
                                        self.exceedsetcostransmit = None
                                        self.exceedsetdscptransmit = None
                                        self.exceedsetprectransmit = None
                                        self.exceedsetqosgrptransmit = None
                                        self.violateaction = None
                                        self.violatesetcostransmit = None
                                        self.violatesetdscptransmit = None
                                        self.violatesetprectransmit = None
                                        self.violatesetqosgrptransmit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "police-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                class PrioItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: level
                                    
                                    	Optional priority level
                                    	**type**\: int
                                    
                                    	**range:** 1..8
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                        self.yang_name = "prio-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.level = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "prio-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                class RandDetItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthreshold
                                    
                                    	min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunit
                                    
                                    	min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthreshold
                                    
                                    	max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunit
                                    
                                    	max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavail
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: weight
                                    
                                    	weight range
                                    	**type**\: int
                                    
                                    	**range:** 0..15
                                    
                                    .. attribute:: capaverage
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: optimization
                                    
                                    	random optimization type
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: ecn
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                        self.yang_name = "RandDet-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                            ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                            ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                            ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                            ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                            ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                            ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                        ])
                                        self.minthreshold = None
                                        self.minthresholdunit = None
                                        self.maxthreshold = None
                                        self.maxthresholdunit = None
                                        self.dropavail = None
                                        self.weight = None
                                        self.capaverage = None
                                        self.optimization = None
                                        self.ecn = None
                                        self._segment_path = lambda: "RandDet-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                class RandDetNonEcnItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthresholdnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunitnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthresholdnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunitnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavailnonecn
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                        self.yang_name = "RandDetNonEcn-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                            ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                            ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                        ])
                                        self.minthresholdnonecn = None
                                        self.minthresholdunitnonecn = None
                                        self.maxthresholdnonecn = None
                                        self.maxthresholdunitnonecn = None
                                        self.dropavailnonecn = None
                                        self._segment_path = lambda: "RandDetNonEcn-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                        class RtipqosPolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rtipqospolicyinsttopmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rtipqosPolicyInstToPMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                self._leafs = OrderedDict()

                                self.rtipqospolicyinsttopmap_list = YList(self)
                                self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                            class RtIpqosPolicyInstToPMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                    self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                    self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                        class RtclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rtclassMapToPolicyMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






            class CopyPMapItems(Entity):
                """
                
                
                .. attribute:: lastfrom
                
                	Name of source policy\-map to copy from
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                .. attribute:: lastto
                
                	Name of policy\-map resulting from copying
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.QueuingItems.CopyPMapItems, self).__init__()

                    self.yang_name = "copyPMap-items"
                    self.yang_parent_name = "queuing-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                        ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                    ])
                    self.lastfrom = None
                    self.lastto = None
                    self._segment_path = lambda: "copyPMap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/queuing-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.QueuingItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)




        class NwItems(Entity):
            """
            
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems>`
            
            .. attribute:: c_items
            
            	
            	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems>`
            
            .. attribute:: p_items
            
            	
            	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems>`
            
            .. attribute:: copypmap_items
            
            	
            	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CopyPMapItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpqosItems.NwItems, self).__init__()

                self.yang_name = "nw-items"
                self.yang_parent_name = "ipqos-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("policy-items", ("policy_items", System.IpqosItems.NwItems.PolicyItems)), ("c-items", ("c_items", System.IpqosItems.NwItems.CItems)), ("p-items", ("p_items", System.IpqosItems.NwItems.PItems)), ("copyPMap-items", ("copypmap_items", System.IpqosItems.NwItems.CopyPMapItems))])
                self._leafs = OrderedDict()

                self.policy_items = System.IpqosItems.NwItems.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.c_items = System.IpqosItems.NwItems.CItems()
                self.c_items.parent = self
                self._children_name_map["c_items"] = "c-items"

                self.p_items = System.IpqosItems.NwItems.PItems()
                self.p_items.parent = self
                self._children_name_map["p_items"] = "p-items"

                self.copypmap_items = System.IpqosItems.NwItems.CopyPMapItems()
                self.copypmap_items.parent = self
                self._children_name_map["copypmap_items"] = "copyPMap-items"
                self._segment_path = lambda: "nw-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpqosItems.NwItems, [], name, value)


            class PolicyItems(Entity):
                """
                
                
                .. attribute:: in_items
                
                	
                	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems>`
                
                .. attribute:: out_items
                
                	
                	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.NwItems.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "nw-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("in-items", ("in_items", System.IpqosItems.NwItems.PolicyItems.InItems)), ("out-items", ("out_items", System.IpqosItems.NwItems.PolicyItems.OutItems))])
                    self._leafs = OrderedDict()

                    self.in_items = System.IpqosItems.NwItems.PolicyItems.InItems()
                    self.in_items.parent = self
                    self._children_name_map["in_items"] = "in-items"

                    self.out_items = System.IpqosItems.NwItems.PolicyItems.OutItems()
                    self.out_items.parent = self
                    self._children_name_map["out_items"] = "out-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems, [], name, value)


                class InItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.NwItems.PolicyItems.InItems, self).__init__()

                        self.yang_name = "in-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.NwItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.NwItems.PolicyItems.InItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "in-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/in-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                class OutItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.NwItems.PolicyItems.OutItems, self).__init__()

                        self.yang_name = "out-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "out-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/policy-items/out-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






            class CItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.NwItems.CItems, self).__init__()

                    self.yang_name = "c-items"
                    self.yang_parent_name = "nw-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.NwItems.CItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.NwItems.CItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "c-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.NwItems.CItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: cmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.NwItems.CItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "c-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList))])
                        self._leafs = OrderedDict()

                        self.cmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/c-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems, [], name, value)


                    class CMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of class\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems>`
                        
                        .. attribute:: dscp_items
                        
                        	
                        	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems>`
                        
                        .. attribute:: iprtp_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                        
                        .. attribute:: packetlength_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                        
                        .. attribute:: cos_items
                        
                        	
                        	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems>`
                        
                        .. attribute:: mplsexperimental_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                        
                        .. attribute:: precedence_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                        
                        .. attribute:: protocol_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                        
                        .. attribute:: dscpnot_items
                        
                        	
                        	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                        
                        .. attribute:: cosnot_items
                        
                        	
                        	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems>`
                        
                        .. attribute:: mplsexperimentalnot_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                        
                        .. attribute:: precedencenot_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                        
                        .. attribute:: protocolnot_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                        
                        .. attribute:: iprtpnot_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                        
                        .. attribute:: packetlengthnot_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                        
                        .. attribute:: grp_items
                        
                        	
                        	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems>`
                        
                        .. attribute:: rsclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList, self).__init__()

                            self.yang_name = "CMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.configstatus = None

                            self.acl_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"

                            self.dscp_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems()
                            self.dscp_items.parent = self
                            self._children_name_map["dscp_items"] = "dscp-items"

                            self.iprtp_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems()
                            self.iprtp_items.parent = self
                            self._children_name_map["iprtp_items"] = "ipRtp-items"

                            self.packetlength_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                            self.packetlength_items.parent = self
                            self._children_name_map["packetlength_items"] = "packetLength-items"

                            self.cos_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems()
                            self.cos_items.parent = self
                            self._children_name_map["cos_items"] = "cos-items"

                            self.mplsexperimental_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                            self.mplsexperimental_items.parent = self
                            self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                            self.precedence_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                            self.precedence_items.parent = self
                            self._children_name_map["precedence_items"] = "precedence-items"

                            self.protocol_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems()
                            self.protocol_items.parent = self
                            self._children_name_map["protocol_items"] = "protocol-items"

                            self.description_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.dscpnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems()
                            self.dscpnot_items.parent = self
                            self._children_name_map["dscpnot_items"] = "dscpNot-items"

                            self.cosnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems()
                            self.cosnot_items.parent = self
                            self._children_name_map["cosnot_items"] = "cosNot-items"

                            self.mplsexperimentalnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                            self.mplsexperimentalnot_items.parent = self
                            self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                            self.precedencenot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                            self.precedencenot_items.parent = self
                            self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                            self.protocolnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                            self.protocolnot_items.parent = self
                            self._children_name_map["protocolnot_items"] = "protocolNot-items"

                            self.iprtpnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                            self.iprtpnot_items.parent = self
                            self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                            self.packetlengthnot_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                            self.packetlengthnot_items.parent = self
                            self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                            self.grp_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems()
                            self.grp_items.parent = self
                            self._children_name_map["grp_items"] = "grp-items"

                            self.rsclassmaptopolicymap_items = System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                            self.rsclassmaptopolicymap_items.parent = self
                            self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                            self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/c-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                        class AclItems(Entity):
                            """
                            
                            
                            .. attribute:: acl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                self._leafs = OrderedDict()

                                self.acl_list = YList(self)
                                self._segment_path = lambda: "acl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                            class AclList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using ACL
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                    self.yang_name = "Acl-list"
                                    self.yang_parent_name = "acl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                        class DscpItems(Entity):
                            """
                            
                            
                            .. attribute:: dscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                self.yang_name = "dscp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                self._leafs = OrderedDict()

                                self.dscp_list = YList(self)
                                self._segment_path = lambda: "dscp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                            class DscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                    self.yang_name = "Dscp-list"
                                    self.yang_parent_name = "dscp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                        class IpRtpItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                self.yang_name = "ipRtp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                        class PacketLengthItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                self.yang_name = "packetLength-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLength-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                        class CosItems(Entity):
                            """
                            
                            
                            .. attribute:: cos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                self.yang_name = "cos-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                self._leafs = OrderedDict()

                                self.cos_list = YList(self)
                                self._segment_path = lambda: "cos-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                            class CosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                    self.yang_name = "Cos-list"
                                    self.yang_parent_name = "cos-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalItems(Entity):
                            """
                            
                            
                            .. attribute:: mplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                self.yang_name = "mplsExperimental-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.mplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimental-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                            class MPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	MPLS experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                    self.yang_name = "MPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimental-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceItems(Entity):
                            """
                            
                            
                            .. attribute:: precedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                self.yang_name = "precedence-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                self._leafs = OrderedDict()

                                self.precedence_list = YList(self)
                                self._segment_path = lambda: "precedence-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                            class PrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                    self.yang_name = "Precedence-list"
                                    self.yang_parent_name = "precedence-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolItems(Entity):
                            """
                            
                            
                            .. attribute:: protocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                self.yang_name = "protocol-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                self._leafs = OrderedDict()

                                self.protocol_list = YList(self)
                                self._segment_path = lambda: "protocol-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                            class ProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                    self.yang_name = "Protocol-list"
                                    self.yang_parent_name = "protocol-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                        class DscpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notdscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                self.yang_name = "dscpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                self._leafs = OrderedDict()

                                self.notdscp_list = YList(self)
                                self._segment_path = lambda: "dscpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                            class NotDscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                    self.yang_name = "NotDscp-list"
                                    self.yang_parent_name = "dscpNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                        class CosNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notcos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                self.yang_name = "cosNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                self._leafs = OrderedDict()

                                self.notcos_list = YList(self)
                                self._segment_path = lambda: "cosNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                            class NotCosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                    self.yang_name = "NotCos-list"
                                    self.yang_parent_name = "cosNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notmplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                self.yang_name = "mplsExperimentalNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.notmplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimentalNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                            class NotMPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not mpls experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                    self.yang_name = "NotMPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimentalNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprecedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                self.yang_name = "precedenceNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                self._leafs = OrderedDict()

                                self.notprecedence_list = YList(self)
                                self._segment_path = lambda: "precedenceNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                            class NotPrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                    self.yang_name = "NotPrecedence-list"
                                    self.yang_parent_name = "precedenceNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprotocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                self.yang_name = "protocolNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                self._leafs = OrderedDict()

                                self.notprotocol_list = YList(self)
                                self._segment_path = lambda: "protocolNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                            class NotProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                    self.yang_name = "NotProtocol-list"
                                    self.yang_parent_name = "protocolNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                        class IpRtpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                self.yang_name = "ipRtpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                        class PacketLengthNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                self.yang_name = "packetLengthNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLengthNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                        class GrpItems(Entity):
                            """
                            
                            
                            .. attribute:: qosgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                self.yang_name = "grp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                self._leafs = OrderedDict()

                                self.qosgrp_list = YList(self)
                                self._segment_path = lambda: "grp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                            class QoSGrpList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	QoS group ID
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                    self.yang_name = "QoSGrp-list"
                                    self.yang_parent_name = "grp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.id = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                        class RsclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rsclassmaptopolicymap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rsclassMapToPolicyMap-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                self._leafs = OrderedDict()

                                self.rsclassmaptopolicymap_list = YList(self)
                                self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                            class RsClassMapToPolicyMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                    self.yang_name = "RsClassMapToPolicyMap-list"
                                    self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







            class PItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.NwItems.PItems, self).__init__()

                    self.yang_name = "p-items"
                    self.yang_parent_name = "nw-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.NwItems.PItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.NwItems.PItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "p-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.NwItems.PItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: pmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.NwItems.PItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "p-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList))])
                        self._leafs = OrderedDict()

                        self.pmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/p-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems, [], name, value)


                    class PMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of policy\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: refcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cmap_items
                        
                        	
                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                        
                        .. attribute:: rtipqospolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                        
                        .. attribute:: rtclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList, self).__init__()

                            self.yang_name = "PMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.refcount = None
                            self.configstatus = None

                            self.cmap_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems()
                            self.cmap_items.parent = self
                            self._children_name_map["cmap_items"] = "cmap-items"

                            self.description_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.rtipqospolicyinsttopmap_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                            self.rtipqospolicyinsttopmap_items.parent = self
                            self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                            self.rtclassmaptopolicymap_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                            self.rtclassmaptopolicymap_items.parent = self
                            self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                            self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/p-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                        class CmapItems(Entity):
                            """
                            
                            
                            .. attribute:: matchcmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                self.yang_name = "cmap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                self._leafs = OrderedDict()

                                self.matchcmap_list = YList(self)
                                self._segment_path = lambda: "cmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                            class MatchCMapList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using class\-map
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: prevcmap
                                
                                	Insert after the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: nextcmap
                                
                                	Insert before the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: setcos_items
                                
                                	
                                	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                
                                .. attribute:: mtu_items
                                
                                	
                                	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                
                                .. attribute:: setprecedence_items
                                
                                	
                                	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                
                                .. attribute:: setdscp_items
                                
                                	
                                	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                
                                .. attribute:: setgrp_items
                                
                                	
                                	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                
                                .. attribute:: setdlbdisable_items
                                
                                	
                                	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                
                                .. attribute:: queuelimit_items
                                
                                	
                                	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                
                                .. attribute:: pause_items
                                
                                	
                                	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                
                                .. attribute:: dpp_items
                                
                                	
                                	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                
                                .. attribute:: setbw_items
                                
                                	
                                	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                
                                .. attribute:: setrembw_items
                                
                                	
                                	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                
                                .. attribute:: shape_items
                                
                                	
                                	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                
                                .. attribute:: police_items
                                
                                	
                                	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                
                                .. attribute:: prio_items
                                
                                	
                                	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                
                                .. attribute:: randdet_items
                                
                                	
                                	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                
                                .. attribute:: randdetnonecn_items
                                
                                	
                                	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                    self.yang_name = "MatchCMap-list"
                                    self.yang_parent_name = "cmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                        ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.prevcmap = None
                                    self.nextcmap = None
                                    self.configstatus = None

                                    self.setcos_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                    self.setcos_items.parent = self
                                    self._children_name_map["setcos_items"] = "setCos-items"

                                    self.mtu_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                    self.mtu_items.parent = self
                                    self._children_name_map["mtu_items"] = "mtu-items"

                                    self.setprecedence_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                    self.setprecedence_items.parent = self
                                    self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                    self.setdscp_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                    self.setdscp_items.parent = self
                                    self._children_name_map["setdscp_items"] = "setDscp-items"

                                    self.setgrp_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                    self.setgrp_items.parent = self
                                    self._children_name_map["setgrp_items"] = "setGrp-items"

                                    self.setdlbdisable_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                    self.setdlbdisable_items.parent = self
                                    self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                    self.queuelimit_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                    self.queuelimit_items.parent = self
                                    self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                    self.pause_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                    self.pause_items.parent = self
                                    self._children_name_map["pause_items"] = "pause-items"

                                    self.dpp_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                    self.dpp_items.parent = self
                                    self._children_name_map["dpp_items"] = "dpp-items"

                                    self.setbw_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                    self.setbw_items.parent = self
                                    self._children_name_map["setbw_items"] = "setBW-items"

                                    self.setrembw_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                    self.setrembw_items.parent = self
                                    self._children_name_map["setrembw_items"] = "setRemBW-items"

                                    self.shape_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                    self.shape_items.parent = self
                                    self._children_name_map["shape_items"] = "shape-items"

                                    self.police_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                    self.police_items.parent = self
                                    self._children_name_map["police_items"] = "police-items"

                                    self.prio_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                    self.prio_items.parent = self
                                    self._children_name_map["prio_items"] = "prio-items"

                                    self.randdet_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                    self.randdet_items.parent = self
                                    self._children_name_map["randdet_items"] = "RandDet-items"

                                    self.randdetnonecn_items = System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                    self.randdetnonecn_items.parent = self
                                    self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                    self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                class SetCosItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Cos value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                        self.yang_name = "setCos-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setCos-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                class MtuItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: value
                                    
                                    	Set MTU value
                                    	**type**\: int
                                    
                                    	**range:** 576..9216
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                        self.yang_name = "mtu-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.value = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "mtu-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                class SetPrecedenceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Precedence value
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                        self.yang_name = "setPrecedence-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setPrecedence-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetDscpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Dscp value
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                        self.yang_name = "setDscp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDscp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetGrpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id
                                    
                                    	QoS group ID
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                        self.yang_name = "setGrp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.id = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setGrp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                class SetDlbDisableItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                        self.yang_name = "setDlbDisable-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDlbDisable-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                class QueueLimitItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: queuelimitval
                                    
                                    	Value in bytes/kbytes/mbytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: queuelimitunit
                                    
                                    	Bytes/kbytes/mbytes
                                    	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                    
                                    .. attribute:: dynamic
                                    
                                    	Queue\-limit dynamic value
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                        self.yang_name = "QueueLimit-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                            ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                            ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.queuelimitval = None
                                        self.queuelimitunit = None
                                        self.dynamic = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "QueueLimit-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                class PauseItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: buffersize
                                    
                                    	size in bytes
                                    	**type**\: int
                                    
                                    	**range:** 5000..12582913
                                    
                                    .. attribute:: pausethreshold
                                    
                                    	xoff bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: resumethreshold
                                    
                                    	xon bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: pfccos0
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos1
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos2
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos3
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos4
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos5
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos6
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos7
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: receive
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                        self.yang_name = "pause-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                            ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                            ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                            ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                            ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                            ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                            ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                            ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                            ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                            ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                            ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                            ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.buffersize = None
                                        self.pausethreshold = None
                                        self.resumethreshold = None
                                        self.pfccos0 = None
                                        self.pfccos1 = None
                                        self.pfccos2 = None
                                        self.pfccos3 = None
                                        self.pfccos4 = None
                                        self.pfccos5 = None
                                        self.pfccos6 = None
                                        self.pfccos7 = None
                                        self.receive = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "pause-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                class DppItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: setqosgroup
                                    
                                    	QoS Group Value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                        self.yang_name = "dpp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                        ])
                                        self.setqosgroup = None
                                        self._segment_path = lambda: "dpp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                class SetBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Available bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                        self.yang_name = "setBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                class SetRemBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Remaining bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                        self.yang_name = "setRemBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setRemBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                class ShapeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: min
                                    
                                    	Minimum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: minrateunit
                                    
                                    	Minimum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: max
                                    
                                    	Maximum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: maxrateunit
                                    
                                    	Maximum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                        self.yang_name = "shape-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                            ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                            ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.min = None
                                        self.minrateunit = None
                                        self.max = None
                                        self.maxrateunit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "shape-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                class PoliceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cirrate
                                    
                                    	CIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: cirunit
                                    
                                    	CIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: bcrate
                                    
                                    	CIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: bcunit
                                    
                                    	CIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: pirrate
                                    
                                    	PIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: pirunit
                                    
                                    	PIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: berate
                                    
                                    	PIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: beunit
                                    
                                    	PIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: conformaction
                                    
                                    	Conform action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: conformsetcostransmit
                                    
                                    	set cos for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: conformsetdscptransmit
                                    
                                    	set dscp for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: conformsetprectransmit
                                    
                                    	set precedence for conforming traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: conformsetqosgrptransmit
                                    
                                    	set qos\-group for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedaction
                                    
                                    	Exceed action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: exceedsetcostransmit
                                    
                                    	set cos for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedsetdscptransmit
                                    
                                    	set dscp for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: exceedsetprectransmit
                                    
                                    	set precedence for exceeding traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: exceedsetqosgrptransmit
                                    
                                    	set qos\-group for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violateaction
                                    
                                    	Violate action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: violatesetcostransmit
                                    
                                    	set cos for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violatesetdscptransmit
                                    
                                    	set dscp for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: violatesetprectransmit
                                    
                                    	set precedence for violating traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: violatesetqosgrptransmit
                                    
                                    	set qos\-group for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                        self.yang_name = "police-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                            ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                            ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                            ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                            ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                            ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                            ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                            ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                            ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                            ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                            ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                            ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                            ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.cirrate = None
                                        self.cirunit = None
                                        self.bcrate = None
                                        self.bcunit = None
                                        self.pirrate = None
                                        self.pirunit = None
                                        self.berate = None
                                        self.beunit = None
                                        self.conformaction = None
                                        self.conformsetcostransmit = None
                                        self.conformsetdscptransmit = None
                                        self.conformsetprectransmit = None
                                        self.conformsetqosgrptransmit = None
                                        self.exceedaction = None
                                        self.exceedsetcostransmit = None
                                        self.exceedsetdscptransmit = None
                                        self.exceedsetprectransmit = None
                                        self.exceedsetqosgrptransmit = None
                                        self.violateaction = None
                                        self.violatesetcostransmit = None
                                        self.violatesetdscptransmit = None
                                        self.violatesetprectransmit = None
                                        self.violatesetqosgrptransmit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "police-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                class PrioItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: level
                                    
                                    	Optional priority level
                                    	**type**\: int
                                    
                                    	**range:** 1..8
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                        self.yang_name = "prio-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.level = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "prio-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                class RandDetItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthreshold
                                    
                                    	min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunit
                                    
                                    	min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthreshold
                                    
                                    	max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunit
                                    
                                    	max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavail
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: weight
                                    
                                    	weight range
                                    	**type**\: int
                                    
                                    	**range:** 0..15
                                    
                                    .. attribute:: capaverage
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: optimization
                                    
                                    	random optimization type
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: ecn
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                        self.yang_name = "RandDet-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                            ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                            ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                            ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                            ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                            ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                            ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                        ])
                                        self.minthreshold = None
                                        self.minthresholdunit = None
                                        self.maxthreshold = None
                                        self.maxthresholdunit = None
                                        self.dropavail = None
                                        self.weight = None
                                        self.capaverage = None
                                        self.optimization = None
                                        self.ecn = None
                                        self._segment_path = lambda: "RandDet-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                class RandDetNonEcnItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthresholdnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunitnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthresholdnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunitnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavailnonecn
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                        self.yang_name = "RandDetNonEcn-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                            ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                            ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                        ])
                                        self.minthresholdnonecn = None
                                        self.minthresholdunitnonecn = None
                                        self.maxthresholdnonecn = None
                                        self.maxthresholdunitnonecn = None
                                        self.dropavailnonecn = None
                                        self._segment_path = lambda: "RandDetNonEcn-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                        class RtipqosPolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rtipqospolicyinsttopmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rtipqosPolicyInstToPMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                self._leafs = OrderedDict()

                                self.rtipqospolicyinsttopmap_list = YList(self)
                                self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                            class RtIpqosPolicyInstToPMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                    self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                    self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                        class RtclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rtclassMapToPolicyMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






            class CopyPMapItems(Entity):
                """
                
                
                .. attribute:: lastfrom
                
                	Name of source policy\-map to copy from
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                .. attribute:: lastto
                
                	Name of policy\-map resulting from copying
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.NwItems.CopyPMapItems, self).__init__()

                    self.yang_name = "copyPMap-items"
                    self.yang_parent_name = "nw-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                        ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                    ])
                    self.lastfrom = None
                    self.lastto = None
                    self._segment_path = lambda: "copyPMap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/nw-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.NwItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)




        class DfltItems(Entity):
            """
            
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems>`
            
            .. attribute:: c_items
            
            	
            	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems>`
            
            .. attribute:: p_items
            
            	
            	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems>`
            
            .. attribute:: copypmap_items
            
            	
            	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CopyPMapItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpqosItems.DfltItems, self).__init__()

                self.yang_name = "dflt-items"
                self.yang_parent_name = "ipqos-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("policy-items", ("policy_items", System.IpqosItems.DfltItems.PolicyItems)), ("c-items", ("c_items", System.IpqosItems.DfltItems.CItems)), ("p-items", ("p_items", System.IpqosItems.DfltItems.PItems)), ("copyPMap-items", ("copypmap_items", System.IpqosItems.DfltItems.CopyPMapItems))])
                self._leafs = OrderedDict()

                self.policy_items = System.IpqosItems.DfltItems.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"

                self.c_items = System.IpqosItems.DfltItems.CItems()
                self.c_items.parent = self
                self._children_name_map["c_items"] = "c-items"

                self.p_items = System.IpqosItems.DfltItems.PItems()
                self.p_items.parent = self
                self._children_name_map["p_items"] = "p-items"

                self.copypmap_items = System.IpqosItems.DfltItems.CopyPMapItems()
                self.copypmap_items.parent = self
                self._children_name_map["copypmap_items"] = "copyPMap-items"
                self._segment_path = lambda: "dflt-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpqosItems.DfltItems, [], name, value)


            class PolicyItems(Entity):
                """
                
                
                .. attribute:: in_items
                
                	
                	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems>`
                
                .. attribute:: out_items
                
                	
                	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.DfltItems.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "dflt-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("in-items", ("in_items", System.IpqosItems.DfltItems.PolicyItems.InItems)), ("out-items", ("out_items", System.IpqosItems.DfltItems.PolicyItems.OutItems))])
                    self._leafs = OrderedDict()

                    self.in_items = System.IpqosItems.DfltItems.PolicyItems.InItems()
                    self.in_items.parent = self
                    self._children_name_map["in_items"] = "in-items"

                    self.out_items = System.IpqosItems.DfltItems.PolicyItems.OutItems()
                    self.out_items.parent = self
                    self._children_name_map["out_items"] = "out-items"
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems, [], name, value)


                class InItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.DfltItems.PolicyItems.InItems, self).__init__()

                        self.yang_name = "in-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "in-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "in-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/in-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                class OutItems(Entity):
                    """
                    
                    
                    .. attribute:: intf_items
                    
                    	
                    	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems>`
                    
                    .. attribute:: sys_items
                    
                    	
                    	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems>`
                    
                    .. attribute:: pmap_items
                    
                    	
                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.DfltItems.PolicyItems.OutItems, self).__init__()

                        self.yang_name = "out-items"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("intf-items", ("intf_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems))])
                        self._leafs = OrderedDict()

                        self.intf_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems()
                        self.intf_items.parent = self
                        self._children_name_map["intf_items"] = "intf-items"

                        self.sys_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems()
                        self.sys_items.parent = self
                        self._children_name_map["sys_items"] = "sys-items"

                        self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems()
                        self.pmap_items.parent = self
                        self._children_name_map["pmap_items"] = "pmap-items"
                        self._segment_path = lambda: "out-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems, [], name, value)


                    class IntfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems, self).__init__()

                            self.yang_name = "intf-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "intf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	Interface name in a short form. eth1/1 or pc1
                            	**type**\: str
                            
                            .. attribute:: delintfbit
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: false
                            
                            .. attribute:: pmap_items
                            
                            	
                            	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                            
                            .. attribute:: cmap_items
                            
                            	
                            	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                            
                            .. attribute:: quecmap_items
                            
                            	
                            	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "intf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                ])
                                self.name = None
                                self.delintfbit = None

                                self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                self.pmap_items.parent = self
                                self._children_name_map["pmap_items"] = "pmap-items"

                                self.cmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                self.cmap_items.parent = self
                                self._children_name_map["cmap_items"] = "cmap-items"

                                self.quecmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                self.quecmap_items.parent = self
                                self._children_name_map["quecmap_items"] = "queCmap-items"
                                self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/intf-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                            class PmapItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Policy\-map Name
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: stats
                                
                                	
                                	**type**\: bool
                                
                                	**default value**\: true
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rspolicyinsttopmap_items
                                
                                	
                                	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                    self.yang_name = "pmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.stats = None
                                    self.configstatus = None

                                    self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                    self.rspolicyinsttopmap_items.parent = self
                                    self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                    self._segment_path = lambda: "pmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                class RspolicyInstToPMapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                        self.yang_name = "rspolicyInstToPMap-items"
                                        self.yang_parent_name = "pmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rspolicyInstToPMap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                            class CmapItems(Entity):
                                """
                                
                                
                                .. attribute:: stats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                    self.yang_name = "cmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                    self._leafs = OrderedDict()

                                    self.stats_list = YList(self)
                                    self._segment_path = lambda: "cmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                class StatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: conformbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: exceedbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violatebytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                        self.yang_name = "Stats-list"
                                        self.yang_parent_name = "cmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                            ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                            ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.conformbytes = None
                                        self.exceedbytes = None
                                        self.violatebytes = None
                                        self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                            class QueCmapItems(Entity):
                                """
                                
                                
                                .. attribute:: queuingstats_list
                                
                                	
                                	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                    self.yang_name = "queCmap-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                    self._leafs = OrderedDict()

                                    self.queuingstats_list = YList(self)
                                    self._segment_path = lambda: "queCmap-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                class QueuingStatsList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cmapname  (key)
                                    
                                    	Class map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: stattype  (key)
                                    
                                    	QoS statistics type
                                    	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pmapname
                                    
                                    	Policy map name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: droppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: txbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: currqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: maxqueuedepth
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ingqdepthbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdropbytes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randdroppackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: randecnmarkedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfctxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcrxppp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdshutdowncount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdrestoredcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfcwdflushedpackets
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                        self.yang_name = "QueuingStats-list"
                                        self.yang_parent_name = "queCmap-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['cmapname','stattype']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                            ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                            ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                            ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                            ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                            ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                            ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                            ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                            ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                            ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                            ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                            ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                            ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                            ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                            ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                            ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                            ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                            ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                        ])
                                        self.cmapname = None
                                        self.stattype = None
                                        self.pmapname = None
                                        self.droppackets = None
                                        self.dropbytes = None
                                        self.txpackets = None
                                        self.txbytes = None
                                        self.currqueuedepth = None
                                        self.maxqueuedepth = None
                                        self.ingqdroppackets = None
                                        self.ingqdepthbytes = None
                                        self.randdropbytes = None
                                        self.randdroppackets = None
                                        self.randecnmarkedpackets = None
                                        self.pfctxppp = None
                                        self.pfcrxppp = None
                                        self.pfcwdshutdowncount = None
                                        self.pfcwdrestoredcount = None
                                        self.pfcwdflushedpackets = None
                                        self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                    class SysItems(Entity):
                        """
                        
                        
                        .. attribute:: pmap_items
                        
                        	
                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems, self).__init__()

                            self.yang_name = "sys-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems))])
                            self._leafs = OrderedDict()

                            self.pmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems()
                            self.pmap_items.parent = self
                            self._children_name_map["pmap_items"] = "pmap-items"
                            self._segment_path = lambda: "sys-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems, [], name, value)


                        class PmapItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Policy\-map Name
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            .. attribute:: stats
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: rspolicyinsttopmap_items
                            
                            	
                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                self.yang_name = "pmap-items"
                                self.yang_parent_name = "sys-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                ])
                                self.name = None
                                self.stats = None
                                self.configstatus = None

                                self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                self.rspolicyinsttopmap_items.parent = self
                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                self._segment_path = lambda: "pmap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/sys-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                            class RspolicyInstToPMapItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                    self.yang_name = "rspolicyInstToPMap-items"
                                    self.yang_parent_name = "pmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/sys-items/pmap-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                    class PmapItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Policy\-map Name
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: stats
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rspolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems, self).__init__()

                            self.yang_name = "pmap-items"
                            self.yang_parent_name = "out-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.stats = None
                            self.configstatus = None

                            self.rspolicyinsttopmap_items = System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                            self.rspolicyinsttopmap_items.parent = self
                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                            self._segment_path = lambda: "pmap-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                        class RspolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rspolicyInstToPMap-items"
                                self.yang_parent_name = "pmap-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/policy-items/out-items/pmap-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






            class CItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.DfltItems.CItems, self).__init__()

                    self.yang_name = "c-items"
                    self.yang_parent_name = "dflt-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.DfltItems.CItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.DfltItems.CItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "c-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.DfltItems.CItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: cmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.DfltItems.CItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "c-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList))])
                        self._leafs = OrderedDict()

                        self.cmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/c-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems, [], name, value)


                    class CMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of class\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acl_items
                        
                        	
                        	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems>`
                        
                        .. attribute:: dscp_items
                        
                        	
                        	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems>`
                        
                        .. attribute:: iprtp_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                        
                        .. attribute:: packetlength_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                        
                        .. attribute:: cos_items
                        
                        	
                        	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems>`
                        
                        .. attribute:: mplsexperimental_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                        
                        .. attribute:: precedence_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                        
                        .. attribute:: protocol_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                        
                        .. attribute:: dscpnot_items
                        
                        	
                        	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                        
                        .. attribute:: cosnot_items
                        
                        	
                        	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems>`
                        
                        .. attribute:: mplsexperimentalnot_items
                        
                        	
                        	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                        
                        .. attribute:: precedencenot_items
                        
                        	
                        	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                        
                        .. attribute:: protocolnot_items
                        
                        	
                        	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                        
                        .. attribute:: iprtpnot_items
                        
                        	
                        	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                        
                        .. attribute:: packetlengthnot_items
                        
                        	
                        	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                        
                        .. attribute:: grp_items
                        
                        	
                        	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems>`
                        
                        .. attribute:: rsclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList, self).__init__()

                            self.yang_name = "CMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("acl-items", ("acl_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.configstatus = None

                            self.acl_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems()
                            self.acl_items.parent = self
                            self._children_name_map["acl_items"] = "acl-items"

                            self.dscp_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems()
                            self.dscp_items.parent = self
                            self._children_name_map["dscp_items"] = "dscp-items"

                            self.iprtp_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems()
                            self.iprtp_items.parent = self
                            self._children_name_map["iprtp_items"] = "ipRtp-items"

                            self.packetlength_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                            self.packetlength_items.parent = self
                            self._children_name_map["packetlength_items"] = "packetLength-items"

                            self.cos_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems()
                            self.cos_items.parent = self
                            self._children_name_map["cos_items"] = "cos-items"

                            self.mplsexperimental_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                            self.mplsexperimental_items.parent = self
                            self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                            self.precedence_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                            self.precedence_items.parent = self
                            self._children_name_map["precedence_items"] = "precedence-items"

                            self.protocol_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems()
                            self.protocol_items.parent = self
                            self._children_name_map["protocol_items"] = "protocol-items"

                            self.description_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.dscpnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems()
                            self.dscpnot_items.parent = self
                            self._children_name_map["dscpnot_items"] = "dscpNot-items"

                            self.cosnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems()
                            self.cosnot_items.parent = self
                            self._children_name_map["cosnot_items"] = "cosNot-items"

                            self.mplsexperimentalnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                            self.mplsexperimentalnot_items.parent = self
                            self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                            self.precedencenot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                            self.precedencenot_items.parent = self
                            self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                            self.protocolnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                            self.protocolnot_items.parent = self
                            self._children_name_map["protocolnot_items"] = "protocolNot-items"

                            self.iprtpnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                            self.iprtpnot_items.parent = self
                            self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                            self.packetlengthnot_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                            self.packetlengthnot_items.parent = self
                            self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                            self.grp_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems()
                            self.grp_items.parent = self
                            self._children_name_map["grp_items"] = "grp-items"

                            self.rsclassmaptopolicymap_items = System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                            self.rsclassmaptopolicymap_items.parent = self
                            self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                            self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/c-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                        class AclItems(Entity):
                            """
                            
                            
                            .. attribute:: acl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                self.yang_name = "acl-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                self._leafs = OrderedDict()

                                self.acl_list = YList(self)
                                self._segment_path = lambda: "acl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                            class AclList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using ACL
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                    self.yang_name = "Acl-list"
                                    self.yang_parent_name = "acl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                        class DscpItems(Entity):
                            """
                            
                            
                            .. attribute:: dscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                self.yang_name = "dscp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                self._leafs = OrderedDict()

                                self.dscp_list = YList(self)
                                self._segment_path = lambda: "dscp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                            class DscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                    self.yang_name = "Dscp-list"
                                    self.yang_parent_name = "dscp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                        class IpRtpItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                self.yang_name = "ipRtp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                        class PacketLengthItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                self.yang_name = "packetLength-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLength-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                        class CosItems(Entity):
                            """
                            
                            
                            .. attribute:: cos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                self.yang_name = "cos-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                self._leafs = OrderedDict()

                                self.cos_list = YList(self)
                                self._segment_path = lambda: "cos-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                            class CosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                    self.yang_name = "Cos-list"
                                    self.yang_parent_name = "cos-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalItems(Entity):
                            """
                            
                            
                            .. attribute:: mplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                self.yang_name = "mplsExperimental-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.mplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimental-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                            class MPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	MPLS experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                    self.yang_name = "MPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimental-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceItems(Entity):
                            """
                            
                            
                            .. attribute:: precedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                self.yang_name = "precedence-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                self._leafs = OrderedDict()

                                self.precedence_list = YList(self)
                                self._segment_path = lambda: "precedence-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                            class PrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                    self.yang_name = "Precedence-list"
                                    self.yang_parent_name = "precedence-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolItems(Entity):
                            """
                            
                            
                            .. attribute:: protocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                self.yang_name = "protocol-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                self._leafs = OrderedDict()

                                self.protocol_list = YList(self)
                                self._segment_path = lambda: "protocol-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                            class ProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                    self.yang_name = "Protocol-list"
                                    self.yang_parent_name = "protocol-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                        class DscpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notdscp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                self.yang_name = "dscpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                self._leafs = OrderedDict()

                                self.notdscp_list = YList(self)
                                self._segment_path = lambda: "dscpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                            class NotDscpList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not dscp value
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                    self.yang_name = "NotDscp-list"
                                    self.yang_parent_name = "dscpNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                        class CosNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notcos_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                self.yang_name = "cosNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                self._leafs = OrderedDict()

                                self.notcos_list = YList(self)
                                self._segment_path = lambda: "cosNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                            class NotCosList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not cos value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                    self.yang_name = "NotCos-list"
                                    self.yang_parent_name = "cosNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                        class MplsExperimentalNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notmplsexperimental_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                self.yang_name = "mplsExperimentalNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                self._leafs = OrderedDict()

                                self.notmplsexperimental_list = YList(self)
                                self._segment_path = lambda: "mplsExperimentalNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                            class NotMPLSExperimentalList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not mpls experimental value
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                    self.yang_name = "NotMPLSExperimental-list"
                                    self.yang_parent_name = "mplsExperimentalNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                        class PrecedenceNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprecedence_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                self.yang_name = "precedenceNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                self._leafs = OrderedDict()

                                self.notprecedence_list = YList(self)
                                self._segment_path = lambda: "precedenceNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                            class NotPrecedenceList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not precedence value
                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                    self.yang_name = "NotPrecedence-list"
                                    self.yang_parent_name = "precedenceNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                        class ProtocolNotItems(Entity):
                            """
                            
                            
                            .. attribute:: notprotocol_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                self.yang_name = "protocolNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                self._leafs = OrderedDict()

                                self.notprotocol_list = YList(self)
                                self._segment_path = lambda: "protocolNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                            class NotProtocolList(Entity):
                                """
                                
                                
                                .. attribute:: val  (key)
                                
                                	Not protocol value
                                	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                    self.yang_name = "NotProtocol-list"
                                    self.yang_parent_name = "protocolNot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['val']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.val = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                        class IpRtpNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                self.yang_name = "ipRtpNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "ipRtpNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                        class PacketLengthNotItems(Entity):
                            """
                            
                            
                            .. attribute:: configstatus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                self.yang_name = "packetLengthNot-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ])
                                self.configstatus = None
                                self.range = None
                                self._segment_path = lambda: "packetLengthNot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                        class GrpItems(Entity):
                            """
                            
                            
                            .. attribute:: qosgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                self.yang_name = "grp-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                self._leafs = OrderedDict()

                                self.qosgrp_list = YList(self)
                                self._segment_path = lambda: "grp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                            class QoSGrpList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	QoS group ID
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                    self.yang_name = "QoSGrp-list"
                                    self.yang_parent_name = "grp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.id = None
                                    self.configstatus = None
                                    self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                        class RsclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rsclassmaptopolicymap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rsclassMapToPolicyMap-items"
                                self.yang_parent_name = "CMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                self._leafs = OrderedDict()

                                self.rsclassmaptopolicymap_list = YList(self)
                                self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                            class RsClassMapToPolicyMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                    self.yang_name = "RsClassMapToPolicyMap-list"
                                    self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







            class PItems(Entity):
                """
                
                
                .. attribute:: name_items
                
                	
                	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.DfltItems.PItems, self).__init__()

                    self.yang_name = "p-items"
                    self.yang_parent_name = "dflt-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("name-items", ("name_items", System.IpqosItems.DfltItems.PItems.NameItems))])
                    self._leafs = OrderedDict()

                    self.name_items = System.IpqosItems.DfltItems.PItems.NameItems()
                    self.name_items.parent = self
                    self._children_name_map["name_items"] = "name-items"
                    self._segment_path = lambda: "p-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.DfltItems.PItems, [], name, value)


                class NameItems(Entity):
                    """
                    
                    
                    .. attribute:: pmapinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IpqosItems.DfltItems.PItems.NameItems, self).__init__()

                        self.yang_name = "name-items"
                        self.yang_parent_name = "p-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList))])
                        self._leafs = OrderedDict()

                        self.pmapinst_list = YList(self)
                        self._segment_path = lambda: "name-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/p-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems, [], name, value)


                    class PMapInstList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name of policy\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: matchtype
                        
                        	Match\-any, match\-all or match\-first
                        	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                        
                        .. attribute:: refcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: configstatus
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cmap_items
                        
                        	
                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems>`
                        
                        .. attribute:: description_items
                        
                        	
                        	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                        
                        .. attribute:: rtipqospolicyinsttopmap_items
                        
                        	
                        	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                        
                        .. attribute:: rtclassmaptopolicymap_items
                        
                        	
                        	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList, self).__init__()

                            self.yang_name = "PMapInst-list"
                            self.yang_parent_name = "name-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                            ])
                            self.name = None
                            self.matchtype = None
                            self.refcount = None
                            self.configstatus = None

                            self.cmap_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems()
                            self.cmap_items.parent = self
                            self._children_name_map["cmap_items"] = "cmap-items"

                            self.description_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems()
                            self.description_items.parent = self
                            self._children_name_map["description_items"] = "Description-items"

                            self.rtipqospolicyinsttopmap_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                            self.rtipqospolicyinsttopmap_items.parent = self
                            self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                            self.rtclassmaptopolicymap_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                            self.rtclassmaptopolicymap_items.parent = self
                            self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                            self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/p-items/name-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                        class CmapItems(Entity):
                            """
                            
                            
                            .. attribute:: matchcmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                self.yang_name = "cmap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                self._leafs = OrderedDict()

                                self.matchcmap_list = YList(self)
                                self._segment_path = lambda: "cmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                            class MatchCMapList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	Match using class\-map
                                	**type**\: str
                                
                                	**length:** 1..40
                                
                                .. attribute:: prevcmap
                                
                                	Insert after the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: nextcmap
                                
                                	Insert before the given class\-map
                                	**type**\: str
                                
                                	**length:** 0..40
                                
                                .. attribute:: configstatus
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: setcos_items
                                
                                	
                                	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                
                                .. attribute:: mtu_items
                                
                                	
                                	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                
                                .. attribute:: setprecedence_items
                                
                                	
                                	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                
                                .. attribute:: setdscp_items
                                
                                	
                                	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                
                                .. attribute:: setgrp_items
                                
                                	
                                	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                
                                .. attribute:: setdlbdisable_items
                                
                                	
                                	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                
                                .. attribute:: queuelimit_items
                                
                                	
                                	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                
                                .. attribute:: pause_items
                                
                                	
                                	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                
                                .. attribute:: dpp_items
                                
                                	
                                	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                
                                .. attribute:: setbw_items
                                
                                	
                                	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                
                                .. attribute:: setrembw_items
                                
                                	
                                	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                
                                .. attribute:: shape_items
                                
                                	
                                	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                
                                .. attribute:: police_items
                                
                                	
                                	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                
                                .. attribute:: prio_items
                                
                                	
                                	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                
                                .. attribute:: randdet_items
                                
                                	
                                	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                
                                .. attribute:: randdetnonecn_items
                                
                                	
                                	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                    self.yang_name = "MatchCMap-list"
                                    self.yang_parent_name = "cmap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                        ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                    ])
                                    self.name = None
                                    self.prevcmap = None
                                    self.nextcmap = None
                                    self.configstatus = None

                                    self.setcos_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                    self.setcos_items.parent = self
                                    self._children_name_map["setcos_items"] = "setCos-items"

                                    self.mtu_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                    self.mtu_items.parent = self
                                    self._children_name_map["mtu_items"] = "mtu-items"

                                    self.setprecedence_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                    self.setprecedence_items.parent = self
                                    self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                    self.setdscp_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                    self.setdscp_items.parent = self
                                    self._children_name_map["setdscp_items"] = "setDscp-items"

                                    self.setgrp_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                    self.setgrp_items.parent = self
                                    self._children_name_map["setgrp_items"] = "setGrp-items"

                                    self.setdlbdisable_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                    self.setdlbdisable_items.parent = self
                                    self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                    self.queuelimit_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                    self.queuelimit_items.parent = self
                                    self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                    self.pause_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                    self.pause_items.parent = self
                                    self._children_name_map["pause_items"] = "pause-items"

                                    self.dpp_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                    self.dpp_items.parent = self
                                    self._children_name_map["dpp_items"] = "dpp-items"

                                    self.setbw_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                    self.setbw_items.parent = self
                                    self._children_name_map["setbw_items"] = "setBW-items"

                                    self.setrembw_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                    self.setrembw_items.parent = self
                                    self._children_name_map["setrembw_items"] = "setRemBW-items"

                                    self.shape_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                    self.shape_items.parent = self
                                    self._children_name_map["shape_items"] = "shape-items"

                                    self.police_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                    self.police_items.parent = self
                                    self._children_name_map["police_items"] = "police-items"

                                    self.prio_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                    self.prio_items.parent = self
                                    self._children_name_map["prio_items"] = "prio-items"

                                    self.randdet_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                    self.randdet_items.parent = self
                                    self._children_name_map["randdet_items"] = "RandDet-items"

                                    self.randdetnonecn_items = System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                    self.randdetnonecn_items.parent = self
                                    self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                    self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                class SetCosItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Cos value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                        self.yang_name = "setCos-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setCos-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                class MtuItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: value
                                    
                                    	Set MTU value
                                    	**type**\: int
                                    
                                    	**range:** 576..9216
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                        self.yang_name = "mtu-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.value = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "mtu-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                class SetPrecedenceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Precedence value
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                        self.yang_name = "setPrecedence-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setPrecedence-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetDscpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Dscp value
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: tunnel
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                        self.yang_name = "setDscp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.tunnel = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDscp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                class SetGrpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id
                                    
                                    	QoS group ID
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                        self.yang_name = "setGrp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.id = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setGrp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                class SetDlbDisableItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                        self.yang_name = "setDlbDisable-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.configstatus = None
                                        self._segment_path = lambda: "setDlbDisable-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                class QueueLimitItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: queuelimitval
                                    
                                    	Value in bytes/kbytes/mbytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: queuelimitunit
                                    
                                    	Bytes/kbytes/mbytes
                                    	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                    
                                    .. attribute:: dynamic
                                    
                                    	Queue\-limit dynamic value
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                        self.yang_name = "QueueLimit-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                            ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                            ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.queuelimitval = None
                                        self.queuelimitunit = None
                                        self.dynamic = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "QueueLimit-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                class PauseItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: buffersize
                                    
                                    	size in bytes
                                    	**type**\: int
                                    
                                    	**range:** 5000..12582913
                                    
                                    .. attribute:: pausethreshold
                                    
                                    	xoff bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: resumethreshold
                                    
                                    	xon bytes
                                    	**type**\: int
                                    
                                    	**range:** 0..12582912
                                    
                                    .. attribute:: pfccos0
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos1
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos2
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos3
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos4
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos5
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos6
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfccos7
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: receive
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                        self.yang_name = "pause-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                            ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                            ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                            ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                            ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                            ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                            ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                            ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                            ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                            ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                            ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                            ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.buffersize = None
                                        self.pausethreshold = None
                                        self.resumethreshold = None
                                        self.pfccos0 = None
                                        self.pfccos1 = None
                                        self.pfccos2 = None
                                        self.pfccos3 = None
                                        self.pfccos4 = None
                                        self.pfccos5 = None
                                        self.pfccos6 = None
                                        self.pfccos7 = None
                                        self.receive = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "pause-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                class DppItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: setqosgroup
                                    
                                    	QoS Group Value
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                        self.yang_name = "dpp-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                        ])
                                        self.setqosgroup = None
                                        self._segment_path = lambda: "dpp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                class SetBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Available bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                        self.yang_name = "setBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                class SetRemBWItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: val
                                    
                                    	Remaining bandwidth
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                        self.yang_name = "setRemBW-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.val = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "setRemBW-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                class ShapeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: min
                                    
                                    	Minimum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: minrateunit
                                    
                                    	Minimum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: max
                                    
                                    	Maximum shape rate
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: maxrateunit
                                    
                                    	Maximum shape rate unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                        self.yang_name = "shape-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                            ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                            ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.min = None
                                        self.minrateunit = None
                                        self.max = None
                                        self.maxrateunit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "shape-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                class PoliceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cirrate
                                    
                                    	CIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: cirunit
                                    
                                    	CIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: bcrate
                                    
                                    	CIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: bcunit
                                    
                                    	CIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: pirrate
                                    
                                    	PIR
                                    	**type**\: int
                                    
                                    	**range:** 0..100000000000
                                    
                                    .. attribute:: pirunit
                                    
                                    	PIR unit
                                    	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                    
                                    .. attribute:: berate
                                    
                                    	PIR burst
                                    	**type**\: int
                                    
                                    	**range:** 0..536870912
                                    
                                    .. attribute:: beunit
                                    
                                    	PIR burst unit
                                    	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                    
                                    .. attribute:: conformaction
                                    
                                    	Conform action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: conformsetcostransmit
                                    
                                    	set cos for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: conformsetdscptransmit
                                    
                                    	set dscp for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: conformsetprectransmit
                                    
                                    	set precedence for conforming traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: conformsetqosgrptransmit
                                    
                                    	set qos\-group for conforming traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedaction
                                    
                                    	Exceed action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: exceedsetcostransmit
                                    
                                    	set cos for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: exceedsetdscptransmit
                                    
                                    	set dscp for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: exceedsetprectransmit
                                    
                                    	set precedence for exceeding traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: exceedsetqosgrptransmit
                                    
                                    	set qos\-group for exceeding traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violateaction
                                    
                                    	Violate action
                                    	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                    
                                    .. attribute:: violatesetcostransmit
                                    
                                    	set cos for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: violatesetdscptransmit
                                    
                                    	set dscp for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..63
                                    
                                    .. attribute:: violatesetprectransmit
                                    
                                    	set precedence for violating traffic
                                    	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                    
                                    .. attribute:: violatesetqosgrptransmit
                                    
                                    	set qos\-group for violating traffic
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                        self.yang_name = "police-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                            ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                            ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                            ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                            ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                            ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                            ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                            ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                            ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                            ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                            ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                            ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                            ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                            ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                            ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                            ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                            ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.cirrate = None
                                        self.cirunit = None
                                        self.bcrate = None
                                        self.bcunit = None
                                        self.pirrate = None
                                        self.pirunit = None
                                        self.berate = None
                                        self.beunit = None
                                        self.conformaction = None
                                        self.conformsetcostransmit = None
                                        self.conformsetdscptransmit = None
                                        self.conformsetprectransmit = None
                                        self.conformsetqosgrptransmit = None
                                        self.exceedaction = None
                                        self.exceedsetcostransmit = None
                                        self.exceedsetdscptransmit = None
                                        self.exceedsetprectransmit = None
                                        self.exceedsetqosgrptransmit = None
                                        self.violateaction = None
                                        self.violatesetcostransmit = None
                                        self.violatesetdscptransmit = None
                                        self.violatesetprectransmit = None
                                        self.violatesetqosgrptransmit = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "police-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                class PrioItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: level
                                    
                                    	Optional priority level
                                    	**type**\: int
                                    
                                    	**range:** 1..8
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                        self.yang_name = "prio-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.level = None
                                        self.configstatus = None
                                        self._segment_path = lambda: "prio-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                class RandDetItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthreshold
                                    
                                    	min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunit
                                    
                                    	min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthreshold
                                    
                                    	max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunit
                                    
                                    	max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavail
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: weight
                                    
                                    	weight range
                                    	**type**\: int
                                    
                                    	**range:** 0..15
                                    
                                    .. attribute:: capaverage
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: optimization
                                    
                                    	random optimization type
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: ecn
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                        self.yang_name = "RandDet-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                            ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                            ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                            ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                            ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                            ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                            ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                        ])
                                        self.minthreshold = None
                                        self.minthresholdunit = None
                                        self.maxthreshold = None
                                        self.maxthresholdunit = None
                                        self.dropavail = None
                                        self.weight = None
                                        self.capaverage = None
                                        self.optimization = None
                                        self.ecn = None
                                        self._segment_path = lambda: "RandDet-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                class RandDetNonEcnItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: minthresholdnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: minthresholdunitnonecn
                                    
                                    	non ecn min threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: maxthresholdnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..52428800
                                    
                                    .. attribute:: maxthresholdunitnonecn
                                    
                                    	non ecn max threshold
                                    	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                    
                                    .. attribute:: dropavailnonecn
                                    
                                    	drop availability range
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                        self.yang_name = "RandDetNonEcn-items"
                                        self.yang_parent_name = "MatchCMap-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                            ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                            ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                            ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                        ])
                                        self.minthresholdnonecn = None
                                        self.minthresholdunitnonecn = None
                                        self.maxthresholdnonecn = None
                                        self.maxthresholdunitnonecn = None
                                        self.dropavailnonecn = None
                                        self._segment_path = lambda: "RandDetNonEcn-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                        class DescriptionItems(Entity):
                            """
                            
                            
                            .. attribute:: val
                            
                            	Description string
                            	**type**\: str
                            
                            	**length:** 0..200
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                self.yang_name = "Description-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                ])
                                self.val = None
                                self._segment_path = lambda: "Description-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                        class RtipqosPolicyInstToPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: rtipqospolicyinsttopmap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                self.yang_name = "rtipqosPolicyInstToPMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                self._leafs = OrderedDict()

                                self.rtipqospolicyinsttopmap_list = YList(self)
                                self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                            class RtIpqosPolicyInstToPMapList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                    self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                    self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                        class RtclassMapToPolicyMapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                self.yang_name = "rtclassMapToPolicyMap-items"
                                self.yang_parent_name = "PMapInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






            class CopyPMapItems(Entity):
                """
                
                
                .. attribute:: lastfrom
                
                	Name of source policy\-map to copy from
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                .. attribute:: lastto
                
                	Name of policy\-map resulting from copying
                	**type**\: str
                
                	**length:** 1..40
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpqosItems.DfltItems.CopyPMapItems, self).__init__()

                    self.yang_name = "copyPMap-items"
                    self.yang_parent_name = "dflt-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                        ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                    ])
                    self.lastfrom = None
                    self.lastto = None
                    self._segment_path = lambda: "copyPMap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipqos-items/dflt-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpqosItems.DfltItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)





    class MonitorItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: db_items
        
        	
        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.DbItems>`
        
        .. attribute:: session_items
        
        	
        	**type**\:  :py:class:`SessionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MonitorItems, self).__init__()

            self.yang_name = "monitor-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("db-items", ("db_items", System.MonitorItems.DbItems)), ("session-items", ("session_items", System.MonitorItems.SessionItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.db_items = System.MonitorItems.DbItems()
            self.db_items.parent = self
            self._children_name_map["db_items"] = "db-items"

            self.session_items = System.MonitorItems.SessionItems()
            self.session_items.parent = self
            self._children_name_map["session_items"] = "session-items"
            self._segment_path = lambda: "monitor-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MonitorItems, ['name', 'adminst', 'operst'], name, value)


        class DbItems(Entity):
            """
            
            
            .. attribute:: db_list
            
            	
            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.DbItems.DbList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MonitorItems.DbItems, self).__init__()

                self.yang_name = "db-items"
                self.yang_parent_name = "monitor-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Db-list", ("db_list", System.MonitorItems.DbItems.DbList))])
                self._leafs = OrderedDict()

                self.db_list = YList(self)
                self._segment_path = lambda: "db-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/monitor-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MonitorItems.DbItems, [], name, value)


            class DbList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	Type
                	**type**\:  :py:class:`MonitorDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorDbT>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: epr_items
                
                	
                	**type**\:  :py:class:`EprItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.DbItems.DbList.EprItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MonitorItems.DbItems.DbList, self).__init__()

                    self.yang_name = "Db-list"
                    self.yang_parent_name = "db-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type']
                    self._child_classes = OrderedDict([("epr-items", ("epr_items", System.MonitorItems.DbItems.DbList.EprItems))])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorDbT', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.type = None
                    self.name = None

                    self.epr_items = System.MonitorItems.DbItems.DbList.EprItems()
                    self.epr_items.parent = self
                    self._children_name_map["epr_items"] = "epr-items"
                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/monitor-items/db-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MonitorItems.DbItems.DbList, ['type', 'name'], name, value)


                class EprItems(Entity):
                    """
                    
                    
                    .. attribute:: eprec_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.DbItems.DbList.EprItems.EpRecList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MonitorItems.DbItems.DbList.EprItems, self).__init__()

                        self.yang_name = "epr-items"
                        self.yang_parent_name = "Db-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("EpRec-list", ("eprec_list", System.MonitorItems.DbItems.DbList.EprItems.EpRecList))])
                        self._leafs = OrderedDict()

                        self.eprec_list = YList(self)
                        self._segment_path = lambda: "epr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MonitorItems.DbItems.DbList.EprItems, [], name, value)


                    class EpRecList(Entity):
                        """
                        
                        
                        .. attribute:: vnid  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ip  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MonitorItems.DbItems.DbList.EprItems.EpRecList, self).__init__()

                            self.yang_name = "EpRec-list"
                            self.yang_parent_name = "epr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['vnid','ip']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                                ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.vnid = None
                            self.ip = None
                            self.name = None
                            self._segment_path = lambda: "EpRec-list" + "[vnid='" + str(self.vnid) + "']" + "[ip='" + str(self.ip) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MonitorItems.DbItems.DbList.EprItems.EpRecList, ['vnid', 'ip', 'name'], name, value)






        class SessionItems(Entity):
            """
            
            
            .. attribute:: session_list
            
            	
            	**type**\: list of  		 :py:class:`SessionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems.SessionList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MonitorItems.SessionItems, self).__init__()

                self.yang_name = "session-items"
                self.yang_parent_name = "monitor-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Session-list", ("session_list", System.MonitorItems.SessionItems.SessionList))])
                self._leafs = OrderedDict()

                self.session_list = YList(self)
                self._segment_path = lambda: "session-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/monitor-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MonitorItems.SessionItems, [], name, value)


            class SessionList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: id
                
                	ID
                	**type**\: int
                
                	**range:** 1..48
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`MonitorOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorOperSt>`
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: src_items
                
                	
                	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems.SessionList.SrcItems>`
                
                	**config**\: False
                
                .. attribute:: erdst_items
                
                	
                	**type**\:  :py:class:`ErdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems.SessionList.ErdstItems>`
                
                	**config**\: False
                
                .. attribute:: ldst_items
                
                	
                	**type**\:  :py:class:`LdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems.SessionList.LdstItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MonitorItems.SessionItems.SessionList, self).__init__()

                    self.yang_name = "Session-list"
                    self.yang_parent_name = "session-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("src-items", ("src_items", System.MonitorItems.SessionItems.SessionList.SrcItems)), ("erdst-items", ("erdst_items", System.MonitorItems.SessionItems.SessionList.ErdstItems)), ("ldst-items", ("ldst_items", System.MonitorItems.SessionItems.SessionList.LdstItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorOperSt', '')])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.id = None
                    self.adminst = None
                    self.operst = None
                    self.descr = None

                    self.src_items = System.MonitorItems.SessionItems.SessionList.SrcItems()
                    self.src_items.parent = self
                    self._children_name_map["src_items"] = "src-items"

                    self.erdst_items = System.MonitorItems.SessionItems.SessionList.ErdstItems()
                    self.erdst_items.parent = self
                    self._children_name_map["erdst_items"] = "erdst-items"

                    self.ldst_items = System.MonitorItems.SessionItems.SessionList.LdstItems()
                    self.ldst_items.parent = self
                    self._children_name_map["ldst_items"] = "ldst-items"
                    self._segment_path = lambda: "Session-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/monitor-items/session-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MonitorItems.SessionItems.SessionList, ['name', 'id', 'adminst', 'operst', 'descr'], name, value)


                class SrcItems(Entity):
                    """
                    
                    
                    .. attribute:: source_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MonitorItems.SessionItems.SessionList.SrcItems.SourceList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MonitorItems.SessionItems.SessionList.SrcItems, self).__init__()

                        self.yang_name = "src-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Source-list", ("source_list", System.MonitorItems.SessionItems.SessionList.SrcItems.SourceList))])
                        self._leafs = OrderedDict()

                        self.source_list = YList(self)
                        self._segment_path = lambda: "src-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MonitorItems.SessionItems.SessionList.SrcItems, [], name, value)


                    class SourceList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`MonitorSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorSrcT>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode  (key)
                        
                        	Mode
                        	**type**\:  :py:class:`MonitorMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: dir  (key)
                        
                        	Direction
                        	**type**\:  :py:class:`MonitorDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorDirection>`
                        
                        	**config**\: False
                        
                        .. attribute:: from_  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: to  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: port  (key)
                        
                        	Port
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`MonitorOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MonitorItems.SessionItems.SessionList.SrcItems.SourceList, self).__init__()

                            self.yang_name = "Source-list"
                            self.yang_parent_name = "src-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type','mode','dir','from_','to','port']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorSrcT', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorMode', '')])),
                                ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorDirection', '')])),
                                ('from_', (YLeaf(YType.str, 'from'), ['str'])),
                                ('to', (YLeaf(YType.str, 'to'), ['str'])),
                                ('port', (YLeaf(YType.str, 'port'), ['str'])),
                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorOperSt', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.type = None
                            self.mode = None
                            self.dir = None
                            self.from_ = None
                            self.to = None
                            self.port = None
                            self.id = None
                            self.operst = None
                            self.name = None
                            self.descr = None
                            self._segment_path = lambda: "Source-list" + "[type='" + str(self.type) + "']" + "[mode='" + str(self.mode) + "']" + "[dir='" + str(self.dir) + "']" + "[from='" + str(self.from_) + "']" + "[to='" + str(self.to) + "']" + "[port='" + str(self.port) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MonitorItems.SessionItems.SessionList.SrcItems.SourceList, ['type', 'mode', 'dir', 'from_', 'to', 'port', 'id', 'operst', 'name', 'descr'], name, value)




                class ErdstItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`MonitorDestEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorDestEncapT>`
                    
                    	**config**\: False
                    
                    .. attribute:: srcip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dstip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	Version
                    	**type**\:  :py:class:`MonitorErSpanVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorErSpanVer>`
                    
                    	**config**\: False
                    
                    .. attribute:: flowid
                    
                    	Flow ID
                    	**type**\: int
                    
                    	**range:** 1..1023
                    
                    	**config**\: False
                    
                    .. attribute:: ttl
                    
                    	TTL
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vrfname
                    
                    	VRF
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vnid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dscp
                    
                    	Dscp
                    	**type**\: int
                    
                    	**range:** 0..63
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: mtu
                    
                    	MTU
                    	**type**\: int
                    
                    	**range:** 64..1518
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`MonitorOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorOperSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MonitorItems.SessionItems.SessionList.ErdstItems, self).__init__()

                        self.yang_name = "erdst-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorDestEncapT', '')])),
                            ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                            ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                            ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorErSpanVer', '')])),
                            ('flowid', (YLeaf(YType.uint16, 'flowId'), ['int'])),
                            ('ttl', (YLeaf(YType.uint8, 'ttl'), ['int'])),
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('vnid', (YLeaf(YType.str, 'vnid'), ['str'])),
                            ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorOperSt', '')])),
                        ])
                        self.type = None
                        self.srcip = None
                        self.dstip = None
                        self.ver = None
                        self.flowid = None
                        self.ttl = None
                        self.vrfname = None
                        self.vnid = None
                        self.dscp = None
                        self.name = None
                        self.descr = None
                        self.mtu = None
                        self.operst = None
                        self._segment_path = lambda: "erdst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MonitorItems.SessionItems.SessionList.ErdstItems, ['type', 'srcip', 'dstip', 'ver', 'flowid', 'ttl', 'vrfname', 'vnid', 'dscp', 'name', 'descr', 'mtu', 'operst'], name, value)



                class LdstItems(Entity):
                    """
                    
                    
                    .. attribute:: port
                    
                    	Port
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: mtu
                    
                    	MTU
                    	**type**\: int
                    
                    	**range:** 64..1518
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`MonitorOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MonitorOperSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MonitorItems.SessionItems.SessionList.LdstItems, self).__init__()

                        self.yang_name = "ldst-items"
                        self.yang_parent_name = "Session-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('port', (YLeaf(YType.str, 'port'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MonitorOperSt', '')])),
                        ])
                        self.port = None
                        self.name = None
                        self.descr = None
                        self.mtu = None
                        self.operst = None
                        self._segment_path = lambda: "ldst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MonitorItems.SessionItems.SessionList.LdstItems, ['port', 'name', 'descr', 'mtu', 'operst'], name, value)






    class FlowItems(Entity):
        """
        
        
        .. attribute:: fr_items
        
        	
        	**type**\:  :py:class:`FrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FrItems>`
        
        .. attribute:: fe_items
        
        	
        	**type**\:  :py:class:`FeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FeItems>`
        
        .. attribute:: fm_items
        
        	
        	**type**\:  :py:class:`FmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems>`
        
        .. attribute:: s_items
        
        	
        	**type**\:  :py:class:`SItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.SItems>`
        
        .. attribute:: cmap_items
        
        	
        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.CmapItems>`
        
        .. attribute:: pmap_items
        
        	
        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems>`
        
        .. attribute:: hp_items
        
        	
        	**type**\:  :py:class:`HpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems>`
        
        .. attribute:: fit_items
        
        	
        	**type**\:  :py:class:`FitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FlowItems, self).__init__()

            self.yang_name = "flow-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("fr-items", ("fr_items", System.FlowItems.FrItems)), ("fe-items", ("fe_items", System.FlowItems.FeItems)), ("fm-items", ("fm_items", System.FlowItems.FmItems)), ("s-items", ("s_items", System.FlowItems.SItems)), ("cmap-items", ("cmap_items", System.FlowItems.CmapItems)), ("pmap-items", ("pmap_items", System.FlowItems.PmapItems)), ("hp-items", ("hp_items", System.FlowItems.HpItems)), ("fit-items", ("fit_items", System.FlowItems.FitItems))])
            self._leafs = OrderedDict()

            self.fr_items = System.FlowItems.FrItems()
            self.fr_items.parent = self
            self._children_name_map["fr_items"] = "fr-items"

            self.fe_items = System.FlowItems.FeItems()
            self.fe_items.parent = self
            self._children_name_map["fe_items"] = "fe-items"

            self.fm_items = System.FlowItems.FmItems()
            self.fm_items.parent = self
            self._children_name_map["fm_items"] = "fm-items"

            self.s_items = System.FlowItems.SItems()
            self.s_items.parent = self
            self._children_name_map["s_items"] = "s-items"

            self.cmap_items = System.FlowItems.CmapItems()
            self.cmap_items.parent = self
            self._children_name_map["cmap_items"] = "cmap-items"

            self.pmap_items = System.FlowItems.PmapItems()
            self.pmap_items.parent = self
            self._children_name_map["pmap_items"] = "pmap-items"

            self.hp_items = System.FlowItems.HpItems()
            self.hp_items.parent = self
            self._children_name_map["hp_items"] = "hp-items"

            self.fit_items = System.FlowItems.FitItems()
            self.fit_items.parent = self
            self._children_name_map["fit_items"] = "fit-items"
            self._segment_path = lambda: "flow-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FlowItems, [], name, value)


        class FrItems(Entity):
            """
            
            
            .. attribute:: record_list
            
            	
            	**type**\: list of  		 :py:class:`RecordList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FrItems.RecordList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.FrItems, self).__init__()

                self.yang_name = "fr-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Record-list", ("record_list", System.FlowItems.FrItems.RecordList))])
                self._leafs = OrderedDict()

                self.record_list = YList(self)
                self._segment_path = lambda: "fr-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.FrItems, [], name, value)


            class RecordList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: matchparams
                
                	Match Params
                	**type**\: str
                
                .. attribute:: collectparams
                
                	Collect Params
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.FrItems.RecordList, self).__init__()

                    self.yang_name = "Record-list"
                    self.yang_parent_name = "fr-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('matchparams', (YLeaf(YType.str, 'matchParams'), ['str'])),
                        ('collectparams', (YLeaf(YType.str, 'collectParams'), ['str'])),
                    ])
                    self.name = None
                    self.description = None
                    self.matchparams = None
                    self.collectparams = None
                    self._segment_path = lambda: "Record-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/fr-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.FrItems.RecordList, ['name', 'description', 'matchparams', 'collectparams'], name, value)




        class FeItems(Entity):
            """
            
            
            .. attribute:: exporter_list
            
            	
            	**type**\: list of  		 :py:class:`ExporterList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FeItems.ExporterList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.FeItems, self).__init__()

                self.yang_name = "fe-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Exporter-list", ("exporter_list", System.FlowItems.FeItems.ExporterList))])
                self._leafs = OrderedDict()

                self.exporter_list = YList(self)
                self._segment_path = lambda: "fe-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.FeItems, [], name, value)


            class ExporterList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: vrfname
                
                	Collector VRF
                	**type**\: str
                
                .. attribute:: destinationip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: destinationport
                
                	Collector L4 Port
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: dscp
                
                	DSCP value
                	**type**\: int
                
                	**range:** 0..63
                
                .. attribute:: sourceinterface
                
                	Source Interface
                	**type**\: str
                
                .. attribute:: version
                
                	Export version format
                	**type**\:  :py:class:`FlowExportVersion <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FlowExportVersion>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.FeItems.ExporterList, self).__init__()

                    self.yang_name = "Exporter-list"
                    self.yang_parent_name = "fe-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                        ('destinationip', (YLeaf(YType.str, 'destinationIp'), ['str','str'])),
                        ('destinationport', (YLeaf(YType.uint32, 'destinationPort'), ['int'])),
                        ('dscp', (YLeaf(YType.uint8, 'dscp'), ['int'])),
                        ('sourceinterface', (YLeaf(YType.str, 'sourceInterface'), ['str'])),
                        ('version', (YLeaf(YType.enumeration, 'version'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FlowExportVersion', '')])),
                    ])
                    self.name = None
                    self.description = None
                    self.vrfname = None
                    self.destinationip = None
                    self.destinationport = None
                    self.dscp = None
                    self.sourceinterface = None
                    self.version = None
                    self._segment_path = lambda: "Exporter-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/fe-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.FeItems.ExporterList, ['name', 'description', 'vrfname', 'destinationip', 'destinationport', 'dscp', 'sourceinterface', 'version'], name, value)




        class FmItems(Entity):
            """
            
            
            .. attribute:: monitor_list
            
            	
            	**type**\: list of  		 :py:class:`MonitorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.FmItems, self).__init__()

                self.yang_name = "fm-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Monitor-list", ("monitor_list", System.FlowItems.FmItems.MonitorList))])
                self._leafs = OrderedDict()

                self.monitor_list = YList(self)
                self._segment_path = lambda: "fm-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.FmItems, [], name, value)


            class MonitorList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: feb_items
                
                	
                	**type**\:  :py:class:`FebItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList.FebItems>`
                
                .. attribute:: rsrecord_items
                
                	
                	**type**\:  :py:class:`RsrecordItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList.RsrecordItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.FmItems.MonitorList, self).__init__()

                    self.yang_name = "Monitor-list"
                    self.yang_parent_name = "fm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("feb-items", ("feb_items", System.FlowItems.FmItems.MonitorList.FebItems)), ("rsrecord-items", ("rsrecord_items", System.FlowItems.FmItems.MonitorList.RsrecordItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                    ])
                    self.name = None
                    self.description = None

                    self.feb_items = System.FlowItems.FmItems.MonitorList.FebItems()
                    self.feb_items.parent = self
                    self._children_name_map["feb_items"] = "feb-items"

                    self.rsrecord_items = System.FlowItems.FmItems.MonitorList.RsrecordItems()
                    self.rsrecord_items.parent = self
                    self._children_name_map["rsrecord_items"] = "rsrecord-items"
                    self._segment_path = lambda: "Monitor-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/fm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.FmItems.MonitorList, ['name', 'description'], name, value)


                class FebItems(Entity):
                    """
                    
                    
                    .. attribute:: exporterbucket_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExporterBucketList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.FmItems.MonitorList.FebItems, self).__init__()

                        self.yang_name = "feb-items"
                        self.yang_parent_name = "Monitor-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExporterBucket-list", ("exporterbucket_list", System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList))])
                        self._leafs = OrderedDict()

                        self.exporterbucket_list = YList(self)
                        self._segment_path = lambda: "feb-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.FmItems.MonitorList.FebItems, [], name, value)


                    class ExporterBucketList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: hashlo
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hashhi
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rsexporter1_items
                        
                        	
                        	**type**\:  :py:class:`Rsexporter1Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter1Items>`
                        
                        .. attribute:: rsexporter2_items
                        
                        	
                        	**type**\:  :py:class:`Rsexporter2Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter2Items>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList, self).__init__()

                            self.yang_name = "ExporterBucket-list"
                            self.yang_parent_name = "feb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("rsexporter1-items", ("rsexporter1_items", System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter1Items)), ("rsexporter2-items", ("rsexporter2_items", System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter2Items))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('hashlo', (YLeaf(YType.uint32, 'hashLo'), ['int'])),
                                ('hashhi', (YLeaf(YType.uint32, 'hashHi'), ['int'])),
                            ])
                            self.id = None
                            self.description = None
                            self.hashlo = None
                            self.hashhi = None

                            self.rsexporter1_items = System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter1Items()
                            self.rsexporter1_items.parent = self
                            self._children_name_map["rsexporter1_items"] = "rsexporter1-items"

                            self.rsexporter2_items = System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter2Items()
                            self.rsexporter2_items.parent = self
                            self._children_name_map["rsexporter2_items"] = "rsexporter2-items"
                            self._segment_path = lambda: "ExporterBucket-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList, ['id', 'description', 'hashlo', 'hashhi'], name, value)


                        class Rsexporter1Items(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter1Items, self).__init__()

                                self.yang_name = "rsexporter1-items"
                                self.yang_parent_name = "ExporterBucket-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsexporter1-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter1Items, ['tdn', 'tcl'], name, value)



                        class Rsexporter2Items(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter2Items, self).__init__()

                                self.yang_name = "rsexporter2-items"
                                self.yang_parent_name = "ExporterBucket-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsexporter2-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.FlowItems.FmItems.MonitorList.FebItems.ExporterBucketList.Rsexporter2Items, ['tdn', 'tcl'], name, value)





                class RsrecordItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.FmItems.MonitorList.RsrecordItems, self).__init__()

                        self.yang_name = "rsrecord-items"
                        self.yang_parent_name = "Monitor-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rsrecord-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.FmItems.MonitorList.RsrecordItems, ['tdn', 'tcl'], name, value)





        class SItems(Entity):
            """
            
            
            .. attribute:: sampler_list
            
            	
            	**type**\: list of  		 :py:class:`SamplerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.SItems.SamplerList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.SItems, self).__init__()

                self.yang_name = "s-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Sampler-list", ("sampler_list", System.FlowItems.SItems.SamplerList))])
                self._leafs = OrderedDict()

                self.sampler_list = YList(self)
                self._segment_path = lambda: "s-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.SItems, [], name, value)


            class SamplerList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: mode
                
                	Sampler mode
                	**type**\:  :py:class:`FlowSamplerMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FlowSamplerMode>`
                
                .. attribute:: param1
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: param2
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.SItems.SamplerList, self).__init__()

                    self.yang_name = "Sampler-list"
                    self.yang_parent_name = "s-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FlowSamplerMode', '')])),
                        ('param1', (YLeaf(YType.uint32, 'param1'), ['int'])),
                        ('param2', (YLeaf(YType.uint32, 'param2'), ['int'])),
                    ])
                    self.name = None
                    self.description = None
                    self.mode = None
                    self.param1 = None
                    self.param2 = None
                    self._segment_path = lambda: "Sampler-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/s-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.SItems.SamplerList, ['name', 'description', 'mode', 'param1', 'param2'], name, value)




        class CmapItems(Entity):
            """
            
            
            .. attribute:: classmap_list
            
            	
            	**type**\: list of  		 :py:class:`ClassMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.CmapItems.ClassMapList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.CmapItems, self).__init__()

                self.yang_name = "cmap-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ClassMap-list", ("classmap_list", System.FlowItems.CmapItems.ClassMapList))])
                self._leafs = OrderedDict()

                self.classmap_list = YList(self)
                self._segment_path = lambda: "cmap-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.CmapItems, [], name, value)


            class ClassMapList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name of class\-map
                	**type**\: str
                
                	**length:** 1..40
                
                .. attribute:: acl_items
                
                	
                	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.CmapItems.ClassMapList.AclItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.CmapItems.ClassMapList, self).__init__()

                    self.yang_name = "ClassMap-list"
                    self.yang_parent_name = "cmap-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("acl-items", ("acl_items", System.FlowItems.CmapItems.ClassMapList.AclItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.name = None

                    self.acl_items = System.FlowItems.CmapItems.ClassMapList.AclItems()
                    self.acl_items.parent = self
                    self._children_name_map["acl_items"] = "acl-items"
                    self._segment_path = lambda: "ClassMap-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/cmap-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.CmapItems.ClassMapList, ['name'], name, value)


                class AclItems(Entity):
                    """
                    
                    
                    .. attribute:: matchacl_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MatchAclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.CmapItems.ClassMapList.AclItems.MatchAclList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.CmapItems.ClassMapList.AclItems, self).__init__()

                        self.yang_name = "acl-items"
                        self.yang_parent_name = "ClassMap-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MatchAcl-list", ("matchacl_list", System.FlowItems.CmapItems.ClassMapList.AclItems.MatchAclList))])
                        self._leafs = OrderedDict()

                        self.matchacl_list = YList(self)
                        self._segment_path = lambda: "acl-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.CmapItems.ClassMapList.AclItems, [], name, value)


                    class MatchAclList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Match using ACL
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.CmapItems.ClassMapList.AclItems.MatchAclList, self).__init__()

                            self.yang_name = "MatchAcl-list"
                            self.yang_parent_name = "acl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None
                            self._segment_path = lambda: "MatchAcl-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.CmapItems.ClassMapList.AclItems.MatchAclList, ['name'], name, value)






        class PmapItems(Entity):
            """
            
            
            .. attribute:: policymap_list
            
            	
            	**type**\: list of  		 :py:class:`PolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems.PolicyMapList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.PmapItems, self).__init__()

                self.yang_name = "pmap-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PolicyMap-list", ("policymap_list", System.FlowItems.PmapItems.PolicyMapList))])
                self._leafs = OrderedDict()

                self.policymap_list = YList(self)
                self._segment_path = lambda: "pmap-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.PmapItems, [], name, value)


            class PolicyMapList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name of policy\-map
                	**type**\: str
                
                	**length:** 1..40
                
                .. attribute:: cmap_items
                
                	
                	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems.PolicyMapList.CmapItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.PmapItems.PolicyMapList, self).__init__()

                    self.yang_name = "PolicyMap-list"
                    self.yang_parent_name = "pmap-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.FlowItems.PmapItems.PolicyMapList.CmapItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.name = None

                    self.cmap_items = System.FlowItems.PmapItems.PolicyMapList.CmapItems()
                    self.cmap_items.parent = self
                    self._children_name_map["cmap_items"] = "cmap-items"
                    self._segment_path = lambda: "PolicyMap-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/pmap-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.PmapItems.PolicyMapList, ['name'], name, value)


                class CmapItems(Entity):
                    """
                    
                    
                    .. attribute:: matchclassmap_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MatchClassMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.PmapItems.PolicyMapList.CmapItems, self).__init__()

                        self.yang_name = "cmap-items"
                        self.yang_parent_name = "PolicyMap-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MatchClassMap-list", ("matchclassmap_list", System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList))])
                        self._leafs = OrderedDict()

                        self.matchclassmap_list = YList(self)
                        self._segment_path = lambda: "cmap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.PmapItems.PolicyMapList.CmapItems, [], name, value)


                    class MatchClassMapList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Match using class\-map
                        	**type**\: str
                        
                        	**length:** 1..40
                        
                        .. attribute:: fm_items
                        
                        	
                        	**type**\:  :py:class:`FmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList, self).__init__()

                            self.yang_name = "MatchClassMap-list"
                            self.yang_parent_name = "cmap-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("fm-items", ("fm_items", System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.fm_items = System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems()
                            self.fm_items.parent = self
                            self._children_name_map["fm_items"] = "fm-items"
                            self._segment_path = lambda: "MatchClassMap-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList, ['name'], name, value)


                        class FmItems(Entity):
                            """
                            
                            
                            .. attribute:: rsmonitor_items
                            
                            	
                            	**type**\:  :py:class:`RsmonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems.RsmonitorItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems, self).__init__()

                                self.yang_name = "fm-items"
                                self.yang_parent_name = "MatchClassMap-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsmonitor-items", ("rsmonitor_items", System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems.RsmonitorItems))])
                                self._leafs = OrderedDict()

                                self.rsmonitor_items = System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems.RsmonitorItems()
                                self.rsmonitor_items.parent = self
                                self._children_name_map["rsmonitor_items"] = "rsmonitor-items"
                                self._segment_path = lambda: "fm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems, [], name, value)


                            class RsmonitorItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems.RsmonitorItems, self).__init__()

                                    self.yang_name = "rsmonitor-items"
                                    self.yang_parent_name = "fm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rsmonitor-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.FlowItems.PmapItems.PolicyMapList.CmapItems.MatchClassMapList.FmItems.RsmonitorItems, ['tdn', 'tcl'], name, value)








        class HpItems(Entity):
            """
            
            
            .. attribute:: hwprofile_list
            
            	
            	**type**\: list of  		 :py:class:`HwProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.HpItems, self).__init__()

                self.yang_name = "hp-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("HwProfile-list", ("hwprofile_list", System.FlowItems.HpItems.HwProfileList))])
                self._leafs = OrderedDict()

                self.hwprofile_list = YList(self)
                self._segment_path = lambda: "hp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.HpItems, [], name, value)


            class HwProfileList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: exportinterval
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**default value**\: 100
                
                .. attribute:: sourceport
                
                	Source L4 Port
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: ippacketidshift
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: burstintervalshift
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: mtu
                
                	MTU
                	**type**\: int
                
                	**range:** 576..9216
                
                .. attribute:: sngt_items
                
                	
                	**type**\:  :py:class:`SngtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.SngtItems>`
                
                .. attribute:: plb_items
                
                	
                	**type**\:  :py:class:`PlbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.PlbItems>`
                
                .. attribute:: tohlb_items
                
                	
                	**type**\:  :py:class:`TohlbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.TohlbItems>`
                
                .. attribute:: rwsb_items
                
                	
                	**type**\:  :py:class:`RwsbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.RwsbItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.HpItems.HwProfileList, self).__init__()

                    self.yang_name = "HwProfile-list"
                    self.yang_parent_name = "hp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("sngt-items", ("sngt_items", System.FlowItems.HpItems.HwProfileList.SngtItems)), ("plb-items", ("plb_items", System.FlowItems.HpItems.HwProfileList.PlbItems)), ("tohlb-items", ("tohlb_items", System.FlowItems.HpItems.HwProfileList.TohlbItems)), ("rwsb-items", ("rwsb_items", System.FlowItems.HpItems.HwProfileList.RwsbItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('exportinterval', (YLeaf(YType.uint32, 'exportInterval'), ['int'])),
                        ('sourceport', (YLeaf(YType.uint32, 'sourcePort'), ['int'])),
                        ('ippacketidshift', (YLeaf(YType.uint8, 'ipPacketIdShift'), ['int'])),
                        ('burstintervalshift', (YLeaf(YType.uint8, 'burstIntervalShift'), ['int'])),
                        ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                    ])
                    self.name = None
                    self.description = None
                    self.exportinterval = None
                    self.sourceport = None
                    self.ippacketidshift = None
                    self.burstintervalshift = None
                    self.mtu = None

                    self.sngt_items = System.FlowItems.HpItems.HwProfileList.SngtItems()
                    self.sngt_items.parent = self
                    self._children_name_map["sngt_items"] = "sngt-items"

                    self.plb_items = System.FlowItems.HpItems.HwProfileList.PlbItems()
                    self.plb_items.parent = self
                    self._children_name_map["plb_items"] = "plb-items"

                    self.tohlb_items = System.FlowItems.HpItems.HwProfileList.TohlbItems()
                    self.tohlb_items.parent = self
                    self._children_name_map["tohlb_items"] = "tohlb-items"

                    self.rwsb_items = System.FlowItems.HpItems.HwProfileList.RwsbItems()
                    self.rwsb_items.parent = self
                    self._children_name_map["rwsb_items"] = "rwsb-items"
                    self._segment_path = lambda: "HwProfile-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/hp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.HpItems.HwProfileList, ['name', 'description', 'exportinterval', 'sourceport', 'ippacketidshift', 'burstintervalshift', 'mtu'], name, value)


                class SngtItems(Entity):
                    """
                    
                    
                    .. attribute:: lo
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hi
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.HpItems.HwProfileList.SngtItems, self).__init__()

                        self.yang_name = "sngt-items"
                        self.yang_parent_name = "HwProfile-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                            ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                        ])
                        self.lo = None
                        self.hi = None
                        self._segment_path = lambda: "sngt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.HpItems.HwProfileList.SngtItems, ['lo', 'hi'], name, value)



                class PlbItems(Entity):
                    """
                    
                    
                    .. attribute:: payloadlenbin_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PayloadLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.PlbItems.PayloadLenBinList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.HpItems.HwProfileList.PlbItems, self).__init__()

                        self.yang_name = "plb-items"
                        self.yang_parent_name = "HwProfile-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PayloadLenBin-list", ("payloadlenbin_list", System.FlowItems.HpItems.HwProfileList.PlbItems.PayloadLenBinList))])
                        self._leafs = OrderedDict()

                        self.payloadlenbin_list = YList(self)
                        self._segment_path = lambda: "plb-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.HpItems.HwProfileList.PlbItems, [], name, value)


                    class PayloadLenBinList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: lo
                        
                        	Bin low value
                        	**type**\: int
                        
                        	**range:** 0..16383
                        
                        .. attribute:: hi
                        
                        	Bin high value
                        	**type**\: int
                        
                        	**range:** 0..16383
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.HpItems.HwProfileList.PlbItems.PayloadLenBinList, self).__init__()

                            self.yang_name = "PayloadLenBin-list"
                            self.yang_parent_name = "plb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                            ])
                            self.id = None
                            self.description = None
                            self.lo = None
                            self.hi = None
                            self._segment_path = lambda: "PayloadLenBin-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.HpItems.HwProfileList.PlbItems.PayloadLenBinList, ['id', 'description', 'lo', 'hi'], name, value)




                class TohlbItems(Entity):
                    """
                    
                    
                    .. attribute:: tcpopthdrlenbin_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TCPOptHdrLenBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.TohlbItems.TCPOptHdrLenBinList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.HpItems.HwProfileList.TohlbItems, self).__init__()

                        self.yang_name = "tohlb-items"
                        self.yang_parent_name = "HwProfile-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("TCPOptHdrLenBin-list", ("tcpopthdrlenbin_list", System.FlowItems.HpItems.HwProfileList.TohlbItems.TCPOptHdrLenBinList))])
                        self._leafs = OrderedDict()

                        self.tcpopthdrlenbin_list = YList(self)
                        self._segment_path = lambda: "tohlb-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.HpItems.HwProfileList.TohlbItems, [], name, value)


                    class TCPOptHdrLenBinList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: lo
                        
                        	Bin low value
                        	**type**\: int
                        
                        	**range:** 0..15
                        
                        .. attribute:: hi
                        
                        	Bin high value
                        	**type**\: int
                        
                        	**range:** 0..15
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.HpItems.HwProfileList.TohlbItems.TCPOptHdrLenBinList, self).__init__()

                            self.yang_name = "TCPOptHdrLenBin-list"
                            self.yang_parent_name = "tohlb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                            ])
                            self.id = None
                            self.description = None
                            self.lo = None
                            self.hi = None
                            self._segment_path = lambda: "TCPOptHdrLenBin-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.HpItems.HwProfileList.TohlbItems.TCPOptHdrLenBinList, ['id', 'description', 'lo', 'hi'], name, value)




                class RwsbItems(Entity):
                    """
                    
                    
                    .. attribute:: receivewindowsizebin_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ReceiveWindowSizeBinList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.HpItems.HwProfileList.RwsbItems.ReceiveWindowSizeBinList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.HpItems.HwProfileList.RwsbItems, self).__init__()

                        self.yang_name = "rwsb-items"
                        self.yang_parent_name = "HwProfile-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ReceiveWindowSizeBin-list", ("receivewindowsizebin_list", System.FlowItems.HpItems.HwProfileList.RwsbItems.ReceiveWindowSizeBinList))])
                        self._leafs = OrderedDict()

                        self.receivewindowsizebin_list = YList(self)
                        self._segment_path = lambda: "rwsb-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.HpItems.HwProfileList.RwsbItems, [], name, value)


                    class ReceiveWindowSizeBinList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: lo
                        
                        	Bin low value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hi
                        
                        	Bin high value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.HpItems.HwProfileList.RwsbItems.ReceiveWindowSizeBinList, self).__init__()

                            self.yang_name = "ReceiveWindowSizeBin-list"
                            self.yang_parent_name = "rwsb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('lo', (YLeaf(YType.uint32, 'lo'), ['int'])),
                                ('hi', (YLeaf(YType.uint32, 'hi'), ['int'])),
                            ])
                            self.id = None
                            self.description = None
                            self.lo = None
                            self.hi = None
                            self._segment_path = lambda: "ReceiveWindowSizeBin-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.HpItems.HwProfileList.RwsbItems.ReceiveWindowSizeBinList, ['id', 'description', 'lo', 'hi'], name, value)






        class FitItems(Entity):
            """
            
            
            .. attribute:: fwdinsttarget_list
            
            	
            	**type**\: list of  		 :py:class:`FwdInstTargetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems.FwdInstTargetList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FlowItems.FitItems, self).__init__()

                self.yang_name = "fit-items"
                self.yang_parent_name = "flow-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FwdInstTarget-list", ("fwdinsttarget_list", System.FlowItems.FitItems.FwdInstTargetList))])
                self._leafs = OrderedDict()

                self.fwdinsttarget_list = YList(self)
                self._segment_path = lambda: "fit-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FlowItems.FitItems, [], name, value)


            class FwdInstTargetList(Entity):
                """
                
                
                .. attribute:: slot  (key)
                
                	
                	**type**\: int
                
                	**range:** 1..64
                
                .. attribute:: asic  (key)
                
                	
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: slice  (key)
                
                	
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: exporterid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sp_items
                
                	
                	**type**\:  :py:class:`SpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems.FwdInstTargetList.SpItems>`
                
                .. attribute:: rshwprofile_items
                
                	
                	**type**\:  :py:class:`RshwProfileItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems.FwdInstTargetList.RshwProfileItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FlowItems.FitItems.FwdInstTargetList, self).__init__()

                    self.yang_name = "FwdInstTarget-list"
                    self.yang_parent_name = "fit-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['slot','asic','slice']
                    self._child_classes = OrderedDict([("sp-items", ("sp_items", System.FlowItems.FitItems.FwdInstTargetList.SpItems)), ("rshwProfile-items", ("rshwprofile_items", System.FlowItems.FitItems.FwdInstTargetList.RshwProfileItems))])
                    self._leafs = OrderedDict([
                        ('slot', (YLeaf(YType.uint8, 'slot'), ['int'])),
                        ('asic', (YLeaf(YType.uint8, 'asic'), ['int'])),
                        ('slice', (YLeaf(YType.uint8, 'slice'), ['int'])),
                        ('exporterid', (YLeaf(YType.uint32, 'exporterId'), ['int'])),
                    ])
                    self.slot = None
                    self.asic = None
                    self.slice = None
                    self.exporterid = None

                    self.sp_items = System.FlowItems.FitItems.FwdInstTargetList.SpItems()
                    self.sp_items.parent = self
                    self._children_name_map["sp_items"] = "sp-items"

                    self.rshwprofile_items = System.FlowItems.FitItems.FwdInstTargetList.RshwProfileItems()
                    self.rshwprofile_items.parent = self
                    self._children_name_map["rshwprofile_items"] = "rshwProfile-items"
                    self._segment_path = lambda: "FwdInstTarget-list" + "[slot='" + str(self.slot) + "']" + "[asic='" + str(self.asic) + "']" + "[slice='" + str(self.slice) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/flow-items/fit-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FlowItems.FitItems.FwdInstTargetList, ['slot', 'asic', 'slice', 'exporterid'], name, value)


                class SpItems(Entity):
                    """
                    
                    
                    .. attribute:: servicepolicy_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ServicePolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.FitItems.FwdInstTargetList.SpItems, self).__init__()

                        self.yang_name = "sp-items"
                        self.yang_parent_name = "FwdInstTarget-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ServicePolicy-list", ("servicepolicy_list", System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList))])
                        self._leafs = OrderedDict()

                        self.servicepolicy_list = YList(self)
                        self._segment_path = lambda: "sp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.FitItems.FwdInstTargetList.SpItems, [], name, value)


                    class ServicePolicyList(Entity):
                        """
                        
                        
                        .. attribute:: direction  (key)
                        
                        	Direction
                        	**type**\:  :py:class:`FlowDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FlowDirection>`
                        
                        .. attribute:: rspmap_items
                        
                        	
                        	**type**\:  :py:class:`RspmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList.RspmapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList, self).__init__()

                            self.yang_name = "ServicePolicy-list"
                            self.yang_parent_name = "sp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['direction']
                            self._child_classes = OrderedDict([("rspmap-items", ("rspmap_items", System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList.RspmapItems))])
                            self._leafs = OrderedDict([
                                ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FlowDirection', '')])),
                            ])
                            self.direction = None

                            self.rspmap_items = System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList.RspmapItems()
                            self.rspmap_items.parent = self
                            self._children_name_map["rspmap_items"] = "rspmap-items"
                            self._segment_path = lambda: "ServicePolicy-list" + "[direction='" + str(self.direction) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList, ['direction'], name, value)


                        class RspmapItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList.RspmapItems, self).__init__()

                                self.yang_name = "rspmap-items"
                                self.yang_parent_name = "ServicePolicy-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rspmap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.FlowItems.FitItems.FwdInstTargetList.SpItems.ServicePolicyList.RspmapItems, ['tdn', 'tcl'], name, value)





                class RshwProfileItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FlowItems.FitItems.FwdInstTargetList.RshwProfileItems, self).__init__()

                        self.yang_name = "rshwProfile-items"
                        self.yang_parent_name = "FwdInstTarget-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rshwProfile-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FlowItems.FitItems.FwdInstTargetList.RshwProfileItems, ['tdn', 'tcl'], name, value)






    class NgoamItems(Entity):
        """
        
        
        .. attribute:: xcon_items
        
        	
        	**type**\:  :py:class:`XconItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.XconItems>`
        
        .. attribute:: profile_items
        
        	
        	**type**\:  :py:class:`ProfileItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.ProfileItems>`
        
        .. attribute:: installacl_items
        
        	
        	**type**\:  :py:class:`InstallaclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.InstallaclItems>`
        
        .. attribute:: authentication_items
        
        	
        	**type**\:  :py:class:`AuthenticationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.AuthenticationItems>`
        
        .. attribute:: cc_items
        
        	
        	**type**\:  :py:class:`CcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.CcItems>`
        
        .. attribute:: xconnect_items
        
        	
        	**type**\:  :py:class:`XconnectItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.XconnectItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NgoamItems, self).__init__()

            self.yang_name = "ngoam-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("xcon-items", ("xcon_items", System.NgoamItems.XconItems)), ("profile-items", ("profile_items", System.NgoamItems.ProfileItems)), ("installacl-items", ("installacl_items", System.NgoamItems.InstallaclItems)), ("authentication-items", ("authentication_items", System.NgoamItems.AuthenticationItems)), ("cc-items", ("cc_items", System.NgoamItems.CcItems)), ("xconnect-items", ("xconnect_items", System.NgoamItems.XconnectItems))])
            self._leafs = OrderedDict()

            self.xcon_items = System.NgoamItems.XconItems()
            self.xcon_items.parent = self
            self._children_name_map["xcon_items"] = "xcon-items"

            self.profile_items = System.NgoamItems.ProfileItems()
            self.profile_items.parent = self
            self._children_name_map["profile_items"] = "profile-items"

            self.installacl_items = System.NgoamItems.InstallaclItems()
            self.installacl_items.parent = self
            self._children_name_map["installacl_items"] = "installacl-items"

            self.authentication_items = System.NgoamItems.AuthenticationItems()
            self.authentication_items.parent = self
            self._children_name_map["authentication_items"] = "authentication-items"

            self.cc_items = System.NgoamItems.CcItems()
            self.cc_items.parent = self
            self._children_name_map["cc_items"] = "cc-items"

            self.xconnect_items = System.NgoamItems.XconnectItems()
            self.xconnect_items.parent = self
            self._children_name_map["xconnect_items"] = "xconnect-items"
            self._segment_path = lambda: "ngoam-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NgoamItems, [], name, value)


        class XconItems(Entity):
            """
            
            
            .. attribute:: bd_items
            
            	
            	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.XconItems.BdItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.XconItems, self).__init__()

                self.yang_name = "xcon-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("bd-items", ("bd_items", System.NgoamItems.XconItems.BdItems))])
                self._leafs = OrderedDict()

                self.bd_items = System.NgoamItems.XconItems.BdItems()
                self.bd_items.parent = self
                self._children_name_map["bd_items"] = "bd-items"
                self._segment_path = lambda: "xcon-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.XconItems, [], name, value)


            class BdItems(Entity):
                """
                
                
                .. attribute:: xconnect_list
                
                	
                	**type**\: list of  		 :py:class:`XConnectList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.XconItems.BdItems.XConnectList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NgoamItems.XconItems.BdItems, self).__init__()

                    self.yang_name = "bd-items"
                    self.yang_parent_name = "xcon-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("XConnect-list", ("xconnect_list", System.NgoamItems.XconItems.BdItems.XConnectList))])
                    self._leafs = OrderedDict()

                    self.xconnect_list = YList(self)
                    self._segment_path = lambda: "bd-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/xcon-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NgoamItems.XconItems.BdItems, [], name, value)


                class XConnectList(Entity):
                    """
                    
                    
                    .. attribute:: swbd  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: xcstate
                    
                    	xconnect state \- could have multiple states at the same time
                    	**type**\:  :py:class:`NgoamXcState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamXcState>`
                    
                    	**config**\: False
                    
                    .. attribute:: peerip
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vni
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: localport
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: localportstate
                    
                    	Local Port State
                    	**type**\:  :py:class:`NgoamXcPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamXcPortState>`
                    
                    	**config**\: False
                    
                    .. attribute:: localvpcport
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: localvpcportstate
                    
                    	Local Vpc Port State
                    	**type**\:  :py:class:`NgoamXcPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamXcPortState>`
                    
                    	**config**\: False
                    
                    .. attribute:: remoteport
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: remoteportstate
                    
                    	Remote Port State
                    	**type**\:  :py:class:`NgoamXcPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamXcPortState>`
                    
                    	**config**\: False
                    
                    .. attribute:: remotevpcport
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: remotevpcportstate
                    
                    	Remote Vpc Port State
                    	**type**\:  :py:class:`NgoamXcPortState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamXcPortState>`
                    
                    	**config**\: False
                    
                    .. attribute:: lastchgts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NgoamItems.XconItems.BdItems.XConnectList, self).__init__()

                        self.yang_name = "XConnect-list"
                        self.yang_parent_name = "bd-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['swbd']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('swbd', (YLeaf(YType.uint16, 'swBd'), ['int'])),
                            ('xcstate', (YLeaf(YType.enumeration, 'xcState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamXcState', '')])),
                            ('peerip', (YLeaf(YType.str, 'peerIp'), ['str'])),
                            ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                            ('localport', (YLeaf(YType.str, 'localPort'), ['str'])),
                            ('localportstate', (YLeaf(YType.enumeration, 'localPortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamXcPortState', '')])),
                            ('localvpcport', (YLeaf(YType.str, 'localVpcPort'), ['str'])),
                            ('localvpcportstate', (YLeaf(YType.enumeration, 'localVpcPortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamXcPortState', '')])),
                            ('remoteport', (YLeaf(YType.str, 'remotePort'), ['str'])),
                            ('remoteportstate', (YLeaf(YType.enumeration, 'remotePortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamXcPortState', '')])),
                            ('remotevpcport', (YLeaf(YType.str, 'remoteVpcPort'), ['str'])),
                            ('remotevpcportstate', (YLeaf(YType.enumeration, 'remoteVpcPortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamXcPortState', '')])),
                            ('lastchgts', (YLeaf(YType.str, 'lastChgTs'), ['str'])),
                        ])
                        self.swbd = None
                        self.xcstate = None
                        self.peerip = None
                        self.vni = None
                        self.localport = None
                        self.localportstate = None
                        self.localvpcport = None
                        self.localvpcportstate = None
                        self.remoteport = None
                        self.remoteportstate = None
                        self.remotevpcport = None
                        self.remotevpcportstate = None
                        self.lastchgts = None
                        self._segment_path = lambda: "XConnect-list" + "[swBd='" + str(self.swbd) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/xcon-items/bd-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NgoamItems.XconItems.BdItems.XConnectList, ['swbd', 'xcstate', 'peerip', 'vni', 'localport', 'localportstate', 'localvpcport', 'localvpcportstate', 'remoteport', 'remoteportstate', 'remotevpcport', 'remotevpcportstate', 'lastchgts'], name, value)





        class ProfileItems(Entity):
            """
            
            
            .. attribute:: profile_list
            
            	
            	**type**\: list of  		 :py:class:`ProfileList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.ProfileItems.ProfileList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.ProfileItems, self).__init__()

                self.yang_name = "profile-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Profile-list", ("profile_list", System.NgoamItems.ProfileItems.ProfileList))])
                self._leafs = OrderedDict()

                self.profile_list = YList(self)
                self._segment_path = lambda: "profile-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.ProfileItems, [], name, value)


            class ProfileList(Entity):
                """
                
                
                .. attribute:: profid  (key)
                
                	Profile ID
                	**type**\: int
                
                	**range:** 1..1023
                
                .. attribute:: desc
                
                	Description
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: dot1qif
                
                	dot1q
                	**type**\: str
                
                .. attribute:: hop
                
                	hop count
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: interface
                
                	Interface
                	**type**\: str
                
                .. attribute:: oamchannel
                
                	OAM channel type
                	**type**\:  :py:class:`NgoamOamChannel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgoamOamChannel>`
                
                .. attribute:: payloadpad
                
                	Payload padding pattern
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: srcport
                
                	Source Port Range
                	**type**\: str
                
                .. attribute:: flowfwd_items
                
                	
                	**type**\:  :py:class:`FlowfwdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.ProfileItems.ProfileList.FlowfwdItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NgoamItems.ProfileItems.ProfileList, self).__init__()

                    self.yang_name = "Profile-list"
                    self.yang_parent_name = "profile-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['profid']
                    self._child_classes = OrderedDict([("flowfwd-items", ("flowfwd_items", System.NgoamItems.ProfileItems.ProfileList.FlowfwdItems))])
                    self._leafs = OrderedDict([
                        ('profid', (YLeaf(YType.uint16, 'profId'), ['int'])),
                        ('desc', (YLeaf(YType.str, 'desc'), ['str'])),
                        ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                        ('dot1qif', (YLeaf(YType.str, 'dot1qIf'), ['str'])),
                        ('hop', (YLeaf(YType.uint8, 'hop'), ['int'])),
                        ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                        ('oamchannel', (YLeaf(YType.enumeration, 'oamChannel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgoamOamChannel', '')])),
                        ('payloadpad', (YLeaf(YType.uint16, 'payloadPad'), ['int'])),
                        ('srcport', (YLeaf(YType.str, 'srcPort'), ['str'])),
                    ])
                    self.profid = None
                    self.desc = None
                    self.dot1q = None
                    self.dot1qif = None
                    self.hop = None
                    self.interface = None
                    self.oamchannel = None
                    self.payloadpad = None
                    self.srcport = None

                    self.flowfwd_items = System.NgoamItems.ProfileItems.ProfileList.FlowfwdItems()
                    self.flowfwd_items.parent = self
                    self._children_name_map["flowfwd_items"] = "flowfwd-items"
                    self._segment_path = lambda: "Profile-list" + "[profId='" + str(self.profid) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/profile-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NgoamItems.ProfileItems.ProfileList, ['profid', 'desc', 'dot1q', 'dot1qif', 'hop', 'interface', 'oamchannel', 'payloadpad', 'srcport'], name, value)


                class FlowfwdItems(Entity):
                    """
                    
                    
                    .. attribute:: forward
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: dot1q
                    
                    	dot1q
                    	**type**\: int
                    
                    	**range:** 0..3967
                    
                    .. attribute:: ipdest
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: ipsrc
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: ipv6dest
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: ipv6src
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: macdest
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: macsrc
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: portdest
                    
                    	TCP or UDP port destination
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: portsrc
                    
                    	TCP or UDP port source
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: protocol
                    
                    	Flow protocol number
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: packet
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NgoamItems.ProfileItems.ProfileList.FlowfwdItems, self).__init__()

                        self.yang_name = "flowfwd-items"
                        self.yang_parent_name = "Profile-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('forward', (YLeaf(YType.boolean, 'forward'), ['bool'])),
                            ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                            ('ipdest', (YLeaf(YType.str, 'ipDest'), ['str'])),
                            ('ipsrc', (YLeaf(YType.str, 'ipSrc'), ['str'])),
                            ('ipv6dest', (YLeaf(YType.str, 'ipv6Dest'), ['str'])),
                            ('ipv6src', (YLeaf(YType.str, 'ipv6Src'), ['str'])),
                            ('macdest', (YLeaf(YType.str, 'macDest'), ['str'])),
                            ('macsrc', (YLeaf(YType.str, 'macSrc'), ['str'])),
                            ('portdest', (YLeaf(YType.uint16, 'portDest'), ['int'])),
                            ('portsrc', (YLeaf(YType.uint16, 'portSrc'), ['int'])),
                            ('protocol', (YLeaf(YType.uint16, 'protocol'), ['int'])),
                            ('packet', (YLeaf(YType.str, 'packet'), ['str'])),
                        ])
                        self.forward = None
                        self.dot1q = None
                        self.ipdest = None
                        self.ipsrc = None
                        self.ipv6dest = None
                        self.ipv6src = None
                        self.macdest = None
                        self.macsrc = None
                        self.portdest = None
                        self.portsrc = None
                        self.protocol = None
                        self.packet = None
                        self._segment_path = lambda: "flowfwd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NgoamItems.ProfileItems.ProfileList.FlowfwdItems, ['forward', 'dot1q', 'ipdest', 'ipsrc', 'ipv6dest', 'ipv6src', 'macdest', 'macsrc', 'portdest', 'portsrc', 'protocol', 'packet'], name, value)





        class InstallaclItems(Entity):
            """
            
            
            .. attribute:: enabled
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.InstallaclItems, self).__init__()

                self.yang_name = "installacl-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('enabled', (YLeaf(YType.boolean, 'enabled'), ['bool'])),
                ])
                self.enabled = None
                self._segment_path = lambda: "installacl-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.InstallaclItems, ['enabled'], name, value)



        class AuthenticationItems(Entity):
            """
            
            
            .. attribute:: key
            
            	Authentication key
            	**type**\: str
            
            	**length:** 0..63
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.AuthenticationItems, self).__init__()

                self.yang_name = "authentication-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                ])
                self.key = None
                self._segment_path = lambda: "authentication-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.AuthenticationItems, ['key'], name, value)



        class CcItems(Entity):
            """
            
            
            .. attribute:: connectcheck_list
            
            	
            	**type**\: list of  		 :py:class:`ConnectCheckList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.CcItems.ConnectCheckList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.CcItems, self).__init__()

                self.yang_name = "cc-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ConnectCheck-list", ("connectcheck_list", System.NgoamItems.CcItems.ConnectCheckList))])
                self._leafs = OrderedDict()

                self.connectcheck_list = YList(self)
                self._segment_path = lambda: "cc-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.CcItems, [], name, value)


            class ConnectCheckList(Entity):
                """
                
                
                .. attribute:: ccid  (key)
                
                	Ngoam Connectivity check ID
                	**type**\: int
                
                	**range:** 1..1023
                
                .. attribute:: profileid
                
                	Ngoam profile ID
                	**type**\: int
                
                	**range:** 0..1023
                
                .. attribute:: dstip
                
                	
                	**type**\: str
                
                .. attribute:: dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: dstmac
                
                	
                	**type**\: str
                
                .. attribute:: dstunknown
                
                	
                	**type**\: bool
                
                .. attribute:: srcip
                
                	
                	**type**\: str
                
                .. attribute:: srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: srcport
                
                	Source Port
                	**type**\: str
                
                .. attribute:: count
                
                	Number of packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: timeout
                
                	Timeout
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: interval
                
                	Interval
                	**type**\: int
                
                	**range:** 1..60
                
                .. attribute:: datapattern
                
                	data pattern
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: packetsz
                
                	Payload Size
                	**type**\: int
                
                	**range:** 1..65486
                
                .. attribute:: vrf
                
                	VRF
                	**type**\: str
                
                .. attribute:: vni
                
                	VNI
                	**type**\: int
                
                	**range:** 0..16777215
                
                .. attribute:: egressif
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: macsrcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: verifyhost
                
                	
                	**type**\: bool
                
                .. attribute:: payload_dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: payload_srcip
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstip
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_dstport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_protocol
                
                	payload protocol
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: payload_srcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: pingnverslt_items
                
                	
                	**type**\:  :py:class:`PingnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NgoamItems.CcItems.ConnectCheckList, self).__init__()

                    self.yang_name = "ConnectCheck-list"
                    self.yang_parent_name = "cc-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['ccid']
                    self._child_classes = OrderedDict([("pingnverslt-items", ("pingnverslt_items", System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems))])
                    self._leafs = OrderedDict([
                        ('ccid', (YLeaf(YType.uint16, 'ccId'), ['int'])),
                        ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                        ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                        ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                        ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                        ('dstunknown', (YLeaf(YType.boolean, 'dstUnknown'), ['bool'])),
                        ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                        ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                        ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                        ('srcport', (YLeaf(YType.str, 'srcPort'), ['str'])),
                        ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                        ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                        ('interval', (YLeaf(YType.uint8, 'interval'), ['int'])),
                        ('datapattern', (YLeaf(YType.uint16, 'dataPattern'), ['int'])),
                        ('packetsz', (YLeaf(YType.uint16, 'packetSz'), ['int'])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                        ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                        ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                        ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                        ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                        ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                        ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                        ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                        ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                        ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                        ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                        ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                        ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                        ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                        ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                    ])
                    self.ccid = None
                    self.profileid = None
                    self.dstip = None
                    self.dstipv6 = None
                    self.dstmac = None
                    self.dstunknown = None
                    self.srcip = None
                    self.srcipv6 = None
                    self.dot1q = None
                    self.srcport = None
                    self.count = None
                    self.timeout = None
                    self.interval = None
                    self.datapattern = None
                    self.packetsz = None
                    self.vrf = None
                    self.vni = None
                    self.egressif = None
                    self.macsrcif = None
                    self.verifyhost = None
                    self.payload_dot1q = None
                    self.payload_srcip = None
                    self.payload_srcipv6 = None
                    self.payload_srcmac = None
                    self.payload_dstip = None
                    self.payload_dstipv6 = None
                    self.payload_dstmac = None
                    self.payload_srcport = None
                    self.payload_dstport = None
                    self.payload_protocol = None
                    self.payload_srcif = None

                    self.pingnverslt_items = System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems()
                    self.pingnverslt_items.parent = self
                    self._children_name_map["pingnverslt_items"] = "pingnverslt-items"
                    self._segment_path = lambda: "ConnectCheck-list" + "[ccId='" + str(self.ccid) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/cc-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NgoamItems.CcItems.ConnectCheckList, ['ccid', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'dstunknown', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'count', 'timeout', 'interval', 'datapattern', 'packetsz', 'vrf', 'vni', 'egressif', 'macsrcif', 'verifyhost', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif'], name, value)


                class PingnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: pingnverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PingNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems.PingNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems, self).__init__()

                        self.yang_name = "pingnverslt-items"
                        self.yang_parent_name = "ConnectCheck-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PingNveRslt-list", ("pingnverslt_list", System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems.PingNveRsltList))])
                        self._leafs = OrderedDict()

                        self.pingnverslt_list = YList(self)
                        self._segment_path = lambda: "pingnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems, [], name, value)


                    class PingNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: replyip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: replyipv6
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nodename
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: sport
                        
                        	Source Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: packetsz
                        
                        	Packet Size
                        	**type**\: int
                        
                        	**range:** 1..65486
                        
                        	**config**\: False
                        
                        .. attribute:: sentpkts
                        
                        	Sent Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: notsentpkts
                        
                        	Not Sent Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rcvdpkts
                        
                        	Received Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: minrtt
                        
                        	Minimum Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: avgrtt
                        
                        	Average Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: maxrtt
                        
                        	Maximum Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: totalrtt
                        
                        	Total Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems.PingNveRsltList, self).__init__()

                            self.yang_name = "PingNveRslt-list"
                            self.yang_parent_name = "pingnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('replyip', (YLeaf(YType.str, 'replyIp'), ['str'])),
                                ('replyipv6', (YLeaf(YType.str, 'replyIpv6'), ['str'])),
                                ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('sport', (YLeaf(YType.uint16, 'sPort'), ['int'])),
                                ('packetsz', (YLeaf(YType.uint16, 'packetSz'), ['int'])),
                                ('sentpkts', (YLeaf(YType.uint32, 'sentPkts'), ['int'])),
                                ('notsentpkts', (YLeaf(YType.uint32, 'notSentPkts'), ['int'])),
                                ('rcvdpkts', (YLeaf(YType.uint32, 'rcvdPkts'), ['int'])),
                                ('minrtt', (YLeaf(YType.uint32, 'minRtt'), ['int'])),
                                ('avgrtt', (YLeaf(YType.uint32, 'avgRtt'), ['int'])),
                                ('maxrtt', (YLeaf(YType.uint32, 'maxRtt'), ['int'])),
                                ('totalrtt', (YLeaf(YType.uint32, 'totalRtt'), ['int'])),
                            ])
                            self.sessionid = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.replyip = None
                            self.replyipv6 = None
                            self.nodename = None
                            self.errorcode = None
                            self.failreason = None
                            self.sport = None
                            self.packetsz = None
                            self.sentpkts = None
                            self.notsentpkts = None
                            self.rcvdpkts = None
                            self.minrtt = None
                            self.avgrtt = None
                            self.maxrtt = None
                            self.totalrtt = None
                            self._segment_path = lambda: "PingNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NgoamItems.CcItems.ConnectCheckList.PingnversltItems.PingNveRsltList, ['sessionid', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'replyip', 'replyipv6', 'nodename', 'errorcode', 'failreason', 'sport', 'packetsz', 'sentpkts', 'notsentpkts', 'rcvdpkts', 'minrtt', 'avgrtt', 'maxrtt', 'totalrtt'], name, value)






        class XconnectItems(Entity):
            """
            
            
            .. attribute:: hbinterval
            
            	Heartbeat interval
            	**type**\: int
            
            	**range:** 150..5000
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgoamItems.XconnectItems, self).__init__()

                self.yang_name = "xconnect-items"
                self.yang_parent_name = "ngoam-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('hbinterval', (YLeaf(YType.uint32, 'hbinterval'), ['int'])),
                ])
                self.hbinterval = None
                self._segment_path = lambda: "xconnect-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngoam-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgoamItems.XconnectItems, ['hbinterval'], name, value)




    class NxapiItems(Entity):
        """
        
        
        .. attribute:: httpport
        
        	HTTP Port
        	**type**\: int
        
        	**range:** \-1..65535
        
        .. attribute:: httpsport
        
        	HTTPS Port
        	**type**\: int
        
        	**range:** \-1..65535
        
        .. attribute:: usevrf
        
        	Vrf for NX\-API
        	**type**\: str
        
        	**length:** 0..256
        
        .. attribute:: certfile
        
        	Certificate file for NX\-API
        	**type**\: str
        
        	**length:** 0..256
        
        .. attribute:: keyfile
        
        	Key file for NX\-API
        	**type**\: str
        
        	**length:** 0..256
        
        .. attribute:: certenable
        
        	
        	**type**\: bool
        
        .. attribute:: sslciphersweak
        
        	
        	**type**\: bool
        
        	**default value**\: false
        
        .. attribute:: sslprotocols
        
        	String of space separated SSL protocols to be supported
        	**type**\: str
        
        	**length:** 0..256
        
        .. attribute:: certfilest
        
        	Certificat file stored
        	**type**\: str
        
        	**length:** 0..256
        
        	**config**\: False
        
        .. attribute:: keyfilest
        
        	Key file stored
        	**type**\: str
        
        	**length:** 0..256
        
        	**config**\: False
        
        .. attribute:: certenablest
        
        	
        	**type**\: bool
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NxapiItems, self).__init__()

            self.yang_name = "nxapi-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('httpport', (YLeaf(YType.int32, 'httpPort'), ['int'])),
                ('httpsport', (YLeaf(YType.int32, 'httpsPort'), ['int'])),
                ('usevrf', (YLeaf(YType.str, 'useVrf'), ['str'])),
                ('certfile', (YLeaf(YType.str, 'certFile'), ['str'])),
                ('keyfile', (YLeaf(YType.str, 'keyFile'), ['str'])),
                ('certenable', (YLeaf(YType.boolean, 'certEnable'), ['bool'])),
                ('sslciphersweak', (YLeaf(YType.boolean, 'sslCiphersWeak'), ['bool'])),
                ('sslprotocols', (YLeaf(YType.str, 'sslProtocols'), ['str'])),
                ('certfilest', (YLeaf(YType.str, 'certFileSt'), ['str'])),
                ('keyfilest', (YLeaf(YType.str, 'keyFileSt'), ['str'])),
                ('certenablest', (YLeaf(YType.boolean, 'certEnableSt'), ['bool'])),
            ])
            self.httpport = None
            self.httpsport = None
            self.usevrf = None
            self.certfile = None
            self.keyfile = None
            self.certenable = None
            self.sslciphersweak = None
            self.sslprotocols = None
            self.certfilest = None
            self.keyfilest = None
            self.certenablest = None
            self._segment_path = lambda: "nxapi-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NxapiItems, ['httpport', 'httpsport', 'usevrf', 'certfile', 'keyfile', 'certenable', 'sslciphersweak', 'sslprotocols', 'certfilest', 'keyfilest', 'certenablest'], name, value)



    class PoeItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.InstItems>`
        
        .. attribute:: physif_items
        
        	
        	**type**\:  :py:class:`PhysifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.PhysifItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.PoeItems, self).__init__()

            self.yang_name = "poe-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.PoeItems.InstItems)), ("physif-items", ("physif_items", System.PoeItems.PhysifItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.PoeItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"

            self.physif_items = System.PoeItems.PhysifItems()
            self.physif_items.parent = self
            self._children_name_map["physif_items"] = "physif-items"
            self._segment_path = lambda: "poe-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.PoeItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PoeItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "poe-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/poe-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PoeItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)



        class PhysifItems(Entity):
            """
            
            
            .. attribute:: physif_list
            
            	
            	**type**\: list of  		 :py:class:`PhysIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.PhysifItems.PhysIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PoeItems.PhysifItems, self).__init__()

                self.yang_name = "physif-items"
                self.yang_parent_name = "poe-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PhysIf-list", ("physif_list", System.PoeItems.PhysifItems.PhysIfList))])
                self._leafs = OrderedDict()

                self.physif_list = YList(self)
                self._segment_path = lambda: "physif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/poe-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PoeItems.PhysifItems, [], name, value)


            class PhysIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: portmode
                
                	POE interface's current port mode 
                	**type**\:  :py:class:`PoePoePortmode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PoePoePortmode>`
                
                .. attribute:: maxconsumption
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: portpriority
                
                	POE interface's current port Priority 
                	**type**\:  :py:class:`PoePoePriority <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PoePoePriority>`
                
                .. attribute:: portpolice
                
                	POE interface's current port police action 
                	**type**\:  :py:class:`PoePoePolice <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PoePoePolice>`
                
                .. attribute:: portdefaultconsumption
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.PhysifItems.PhysIfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PoeItems.PhysifItems.PhysIfList, self).__init__()

                    self.yang_name = "PhysIf-list"
                    self.yang_parent_name = "physif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.PoeItems.PhysifItems.PhysIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('portmode', (YLeaf(YType.enumeration, 'portMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PoePoePortmode', '')])),
                        ('maxconsumption', (YLeaf(YType.uint64, 'maxConsumption'), ['int'])),
                        ('portpriority', (YLeaf(YType.enumeration, 'portPriority'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PoePoePriority', '')])),
                        ('portpolice', (YLeaf(YType.enumeration, 'portPolice'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PoePoePolice', '')])),
                        ('portdefaultconsumption', (YLeaf(YType.uint64, 'portDefaultConsumption'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.id = None
                    self.portmode = None
                    self.maxconsumption = None
                    self.portpriority = None
                    self.portpolice = None
                    self.portdefaultconsumption = None
                    self.name = None
                    self.descr = None

                    self.rtvrfmbr_items = System.PoeItems.PhysifItems.PhysIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "PhysIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/poe-items/physif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PoeItems.PhysifItems.PhysIfList, ['id', 'portmode', 'maxconsumption', 'portpriority', 'portpolice', 'portdefaultconsumption', 'name', 'descr'], name, value)


                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PoeItems.PhysifItems.PhysIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PoeItems.PhysifItems.PhysIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PoeItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







    class QosmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: class_items
        
        	
        	**type**\:  :py:class:`ClassItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClassItems>`
        
        .. attribute:: if_items
        
        	
        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IfItems>`
        
        .. attribute:: classp_items
        
        	
        	**type**\:  :py:class:`ClasspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems>`
        
        .. attribute:: dscp_items
        
        	
        	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.DscpItems>`
        
        .. attribute:: dot1p_items
        
        	
        	**type**\:  :py:class:`Dot1pItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.Dot1pItems>`
        
        .. attribute:: ip_items
        
        	
        	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IpItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.QosmItems, self).__init__()

            self.yang_name = "qosm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("class-items", ("class_items", System.QosmItems.ClassItems)), ("if-items", ("if_items", System.QosmItems.IfItems)), ("classp-items", ("classp_items", System.QosmItems.ClasspItems)), ("dscp-items", ("dscp_items", System.QosmItems.DscpItems)), ("dot1p-items", ("dot1p_items", System.QosmItems.Dot1pItems)), ("ip-items", ("ip_items", System.QosmItems.IpItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.class_items = System.QosmItems.ClassItems()
            self.class_items.parent = self
            self._children_name_map["class_items"] = "class-items"

            self.if_items = System.QosmItems.IfItems()
            self.if_items.parent = self
            self._children_name_map["if_items"] = "if-items"

            self.classp_items = System.QosmItems.ClasspItems()
            self.classp_items.parent = self
            self._children_name_map["classp_items"] = "classp-items"

            self.dscp_items = System.QosmItems.DscpItems()
            self.dscp_items.parent = self
            self._children_name_map["dscp_items"] = "dscp-items"

            self.dot1p_items = System.QosmItems.Dot1pItems()
            self.dot1p_items.parent = self
            self._children_name_map["dot1p_items"] = "dot1p-items"

            self.ip_items = System.QosmItems.IpItems()
            self.ip_items.parent = self
            self._children_name_map["ip_items"] = "ip-items"
            self._segment_path = lambda: "qosm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.QosmItems, ['name', 'adminst', 'operst'], name, value)


        class ClassItems(Entity):
            """
            
            
            .. attribute:: class_list
            
            	
            	**type**\: list of  		 :py:class:`ClassList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClassItems.ClassList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.ClassItems, self).__init__()

                self.yang_name = "class-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Class-list", ("class_list", System.QosmItems.ClassItems.ClassList))])
                self._leafs = OrderedDict()

                self.class_list = YList(self)
                self._segment_path = lambda: "class-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.ClassItems, [], name, value)


            class ClassList(Entity):
                """
                
                
                .. attribute:: qosgrp  (key)
                
                	ID
                	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.ClassItems.ClassList, self).__init__()

                    self.yang_name = "Class-list"
                    self.yang_parent_name = "class-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['qosgrp']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                    ])
                    self.qosgrp = None
                    self._segment_path = lambda: "Class-list" + "[qosGrp='" + str(self.qosgrp) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/class-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.ClassItems.ClassList, ['qosgrp'], name, value)




        class IfItems(Entity):
            """
            
            
            .. attribute:: if_list
            
            	
            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IfItems.IfList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.IfItems, self).__init__()

                self.yang_name = "if-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("If-list", ("if_list", System.QosmItems.IfItems.IfList))])
                self._leafs = OrderedDict()

                self.if_list = YList(self)
                self._segment_path = lambda: "if-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.IfItems, [], name, value)


            class IfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: class_items
                
                	
                	**type**\:  :py:class:`ClassItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IfItems.IfList.ClassItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.IfItems.IfList, self).__init__()

                    self.yang_name = "If-list"
                    self.yang_parent_name = "if-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("class-items", ("class_items", System.QosmItems.IfItems.IfList.ClassItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ])
                    self.id = None

                    self.class_items = System.QosmItems.IfItems.IfList.ClassItems()
                    self.class_items.parent = self
                    self._children_name_map["class_items"] = "class-items"
                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/if-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.IfItems.IfList, ['id'], name, value)


                class ClassItems(Entity):
                    """
                    
                    
                    .. attribute:: ifclass_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IfClassList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IfItems.IfList.ClassItems.IfClassList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.QosmItems.IfItems.IfList.ClassItems, self).__init__()

                        self.yang_name = "class-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IfClass-list", ("ifclass_list", System.QosmItems.IfItems.IfList.ClassItems.IfClassList))])
                        self._leafs = OrderedDict()

                        self.ifclass_list = YList(self)
                        self._segment_path = lambda: "class-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.QosmItems.IfItems.IfList.ClassItems, [], name, value)


                    class IfClassList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.QosmItems.IfItems.IfList.ClassItems.IfClassList, self).__init__()

                            self.yang_name = "IfClass-list"
                            self.yang_parent_name = "class-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.enumeration, 'id'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                            ])
                            self.id = None
                            self._segment_path = lambda: "IfClass-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.QosmItems.IfItems.IfList.ClassItems.IfClassList, ['id'], name, value)






        class ClasspItems(Entity):
            """
            
            
            .. attribute:: class_list
            
            	
            	**type**\: list of  		 :py:class:`ClassList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems.ClassList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.ClasspItems, self).__init__()

                self.yang_name = "classp-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Class-list", ("class_list", System.QosmItems.ClasspItems.ClassList))])
                self._leafs = OrderedDict()

                self.class_list = YList(self)
                self._segment_path = lambda: "classp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.ClasspItems, [], name, value)


            class ClassList(Entity):
                """
                
                
                .. attribute:: qosgrp  (key)
                
                	Priority
                	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                
                	**config**\: False
                
                .. attribute:: admin
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: mtu
                
                	MTU
                	**type**\: int
                
                	**range:** 1500..9216
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`QospOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospOperSt>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: cong_items
                
                	
                	**type**\:  :py:class:`CongItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems.ClassList.CongItems>`
                
                	**config**\: False
                
                .. attribute:: queue_items
                
                	
                	**type**\:  :py:class:`QueueItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems.ClassList.QueueItems>`
                
                	**config**\: False
                
                .. attribute:: buffer_items
                
                	
                	**type**\:  :py:class:`BufferItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems.ClassList.BufferItems>`
                
                	**config**\: False
                
                .. attribute:: sched_items
                
                	
                	**type**\:  :py:class:`SchedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.ClasspItems.ClassList.SchedItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.ClasspItems.ClassList, self).__init__()

                    self.yang_name = "Class-list"
                    self.yang_parent_name = "classp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['qosgrp']
                    self._child_classes = OrderedDict([("cong-items", ("cong_items", System.QosmItems.ClasspItems.ClassList.CongItems)), ("queue-items", ("queue_items", System.QosmItems.ClasspItems.ClassList.QueueItems)), ("buffer-items", ("buffer_items", System.QosmItems.ClasspItems.ClassList.BufferItems)), ("sched-items", ("sched_items", System.QosmItems.ClasspItems.ClassList.SchedItems))])
                    self._leafs = OrderedDict([
                        ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                        ('admin', (YLeaf(YType.enumeration, 'admin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospOperSt', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.qosgrp = None
                    self.admin = None
                    self.mtu = None
                    self.operst = None
                    self.name = None
                    self.descr = None

                    self.cong_items = System.QosmItems.ClasspItems.ClassList.CongItems()
                    self.cong_items.parent = self
                    self._children_name_map["cong_items"] = "cong-items"

                    self.queue_items = System.QosmItems.ClasspItems.ClassList.QueueItems()
                    self.queue_items.parent = self
                    self._children_name_map["queue_items"] = "queue-items"

                    self.buffer_items = System.QosmItems.ClasspItems.ClassList.BufferItems()
                    self.buffer_items.parent = self
                    self._children_name_map["buffer_items"] = "buffer-items"

                    self.sched_items = System.QosmItems.ClasspItems.ClassList.SchedItems()
                    self.sched_items.parent = self
                    self._children_name_map["sched_items"] = "sched-items"
                    self._segment_path = lambda: "Class-list" + "[qosGrp='" + str(self.qosgrp) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/classp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.ClasspItems.ClassList, ['qosgrp', 'admin', 'mtu', 'operst', 'name', 'descr'], name, value)


                class CongItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: algo
                    
                    	TBD
                    	**type**\:  :py:class:`QospCongAlgo <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospCongAlgo>`
                    
                    	**config**\: False
                    
                    .. attribute:: ecn
                    
                    	TBD
                    	**type**\:  :py:class:`QospECN <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospECN>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.QosmItems.ClasspItems.ClassList.CongItems, self).__init__()

                        self.yang_name = "cong-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('algo', (YLeaf(YType.enumeration, 'algo'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospCongAlgo', '')])),
                            ('ecn', (YLeaf(YType.enumeration, 'ecn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospECN', '')])),
                        ])
                        self.name = None
                        self.descr = None
                        self.algo = None
                        self.ecn = None
                        self._segment_path = lambda: "cong-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.QosmItems.ClasspItems.ClassList.CongItems, ['name', 'descr', 'algo', 'ecn'], name, value)



                class QueueItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: meth
                    
                    	TBD
                    	**type**\:  :py:class:`QospCtrlMeth <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospCtrlMeth>`
                    
                    	**config**\: False
                    
                    .. attribute:: limit
                    
                    	TBD
                    	**type**\: int
                    
                    	**range:** 1500..9216
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.QosmItems.ClasspItems.ClassList.QueueItems, self).__init__()

                        self.yang_name = "queue-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('meth', (YLeaf(YType.enumeration, 'meth'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospCtrlMeth', '')])),
                            ('limit', (YLeaf(YType.uint16, 'limit'), ['int'])),
                        ])
                        self.name = None
                        self.descr = None
                        self.meth = None
                        self.limit = None
                        self._segment_path = lambda: "queue-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.QosmItems.ClasspItems.ClassList.QueueItems, ['name', 'descr', 'meth', 'limit'], name, value)



                class BufferItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: min
                    
                    	TBD
                    	**type**\: int
                    
                    	**range:** 0..3
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.QosmItems.ClasspItems.ClassList.BufferItems, self).__init__()

                        self.yang_name = "buffer-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('min', (YLeaf(YType.uint8, 'min'), ['int'])),
                        ])
                        self.name = None
                        self.descr = None
                        self.min = None
                        self._segment_path = lambda: "buffer-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.QosmItems.ClasspItems.ClassList.BufferItems, ['name', 'descr', 'min'], name, value)



                class SchedItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: meth
                    
                    	TBD
                    	**type**\:  :py:class:`QospSchedAlgo <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospSchedAlgo>`
                    
                    	**config**\: False
                    
                    .. attribute:: bw
                    
                    	TBD
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.QosmItems.ClasspItems.ClassList.SchedItems, self).__init__()

                        self.yang_name = "sched-items"
                        self.yang_parent_name = "Class-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('meth', (YLeaf(YType.enumeration, 'meth'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospSchedAlgo', '')])),
                            ('bw', (YLeaf(YType.uint8, 'bw'), ['int'])),
                        ])
                        self.name = None
                        self.descr = None
                        self.meth = None
                        self.bw = None
                        self._segment_path = lambda: "sched-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.QosmItems.ClasspItems.ClassList.SchedItems, ['name', 'descr', 'meth', 'bw'], name, value)





        class DscpItems(Entity):
            """
            
            
            .. attribute:: dscprule_list
            
            	
            	**type**\: list of  		 :py:class:`DscpRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.DscpItems.DscpRuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.DscpItems, self).__init__()

                self.yang_name = "dscp-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("DscpRule-list", ("dscprule_list", System.QosmItems.DscpItems.DscpRuleList))])
                self._leafs = OrderedDict()

                self.dscprule_list = YList(self)
                self._segment_path = lambda: "dscp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.DscpItems, [], name, value)


            class DscpRuleList(Entity):
                """
                
                
                .. attribute:: from_  (key)
                
                	From
                	**type**\: int
                
                	**range:** 0..63
                
                	**config**\: False
                
                .. attribute:: to  (key)
                
                	To
                	**type**\: int
                
                	**range:** 0..63
                
                	**config**\: False
                
                .. attribute:: qosgrp  (key)
                
                	Group ID
                	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                
                	**config**\: False
                
                .. attribute:: markdscp  (key)
                
                	DSCP
                	**type**\: int
                
                	**range:** 0..63
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`QospOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospOperSt>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.DscpItems.DscpRuleList, self).__init__()

                    self.yang_name = "DscpRule-list"
                    self.yang_parent_name = "dscp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['from_','to','qosgrp','markdscp']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('from_', (YLeaf(YType.uint8, 'from'), ['int'])),
                        ('to', (YLeaf(YType.uint8, 'to'), ['int'])),
                        ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                        ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospOperSt', '')])),
                    ])
                    self.from_ = None
                    self.to = None
                    self.qosgrp = None
                    self.markdscp = None
                    self.name = None
                    self.descr = None
                    self.operst = None
                    self._segment_path = lambda: "DscpRule-list" + "[from='" + str(self.from_) + "']" + "[to='" + str(self.to) + "']" + "[qosGrp='" + str(self.qosgrp) + "']" + "[markDscp='" + str(self.markdscp) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/dscp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.DscpItems.DscpRuleList, ['from_', 'to', 'qosgrp', 'markdscp', 'name', 'descr', 'operst'], name, value)




        class Dot1pItems(Entity):
            """
            
            
            .. attribute:: dot1prule_list
            
            	
            	**type**\: list of  		 :py:class:`Dot1pRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.Dot1pItems.Dot1pRuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.Dot1pItems, self).__init__()

                self.yang_name = "dot1p-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Dot1pRule-list", ("dot1prule_list", System.QosmItems.Dot1pItems.Dot1pRuleList))])
                self._leafs = OrderedDict()

                self.dot1prule_list = YList(self)
                self._segment_path = lambda: "dot1p-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.Dot1pItems, [], name, value)


            class Dot1pRuleList(Entity):
                """
                
                
                .. attribute:: from_  (key)
                
                	From
                	**type**\: int
                
                	**range:** 0..7
                
                	**config**\: False
                
                .. attribute:: to  (key)
                
                	To
                	**type**\: int
                
                	**range:** 0..7
                
                	**config**\: False
                
                .. attribute:: qosgrp  (key)
                
                	Group ID
                	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                
                	**config**\: False
                
                .. attribute:: markdscp  (key)
                
                	DSCP
                	**type**\: int
                
                	**range:** 0..63
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`QospOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospOperSt>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.Dot1pItems.Dot1pRuleList, self).__init__()

                    self.yang_name = "Dot1pRule-list"
                    self.yang_parent_name = "dot1p-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['from_','to','qosgrp','markdscp']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('from_', (YLeaf(YType.uint8, 'from'), ['int'])),
                        ('to', (YLeaf(YType.uint8, 'to'), ['int'])),
                        ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                        ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospOperSt', '')])),
                    ])
                    self.from_ = None
                    self.to = None
                    self.qosgrp = None
                    self.markdscp = None
                    self.name = None
                    self.descr = None
                    self.operst = None
                    self._segment_path = lambda: "Dot1pRule-list" + "[from='" + str(self.from_) + "']" + "[to='" + str(self.to) + "']" + "[qosGrp='" + str(self.qosgrp) + "']" + "[markDscp='" + str(self.markdscp) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/dot1p-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.Dot1pItems.Dot1pRuleList, ['from_', 'to', 'qosgrp', 'markdscp', 'name', 'descr', 'operst'], name, value)




        class IpItems(Entity):
            """
            
            
            .. attribute:: iprule_list
            
            	
            	**type**\: list of  		 :py:class:`IpRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.QosmItems.IpItems.IpRuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.QosmItems.IpItems, self).__init__()

                self.yang_name = "ip-items"
                self.yang_parent_name = "qosm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("IpRule-list", ("iprule_list", System.QosmItems.IpItems.IpRuleList))])
                self._leafs = OrderedDict()

                self.iprule_list = YList(self)
                self._segment_path = lambda: "ip-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.QosmItems.IpItems, [], name, value)


            class IpRuleList(Entity):
                """
                
                
                .. attribute:: addr  (key)
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: qosgrp
                
                	Group ID
                	**type**\:  :py:class:`QosPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosPrio>`
                
                	**config**\: False
                
                .. attribute:: markdscp
                
                	DSCP
                	**type**\: int
                
                	**range:** 0..63
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`QospOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QospOperSt>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.QosmItems.IpItems.IpRuleList, self).__init__()

                    self.yang_name = "IpRule-list"
                    self.yang_parent_name = "ip-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['addr']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('qosgrp', (YLeaf(YType.enumeration, 'qosGrp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosPrio', '')])),
                        ('markdscp', (YLeaf(YType.uint8, 'markDscp'), ['int'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QospOperSt', '')])),
                    ])
                    self.addr = None
                    self.name = None
                    self.descr = None
                    self.qosgrp = None
                    self.markdscp = None
                    self.operst = None
                    self._segment_path = lambda: "IpRule-list" + "[addr='" + str(self.addr) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/qosm-items/ip-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.QosmItems.IpItems.IpRuleList, ['addr', 'name', 'descr', 'qosgrp', 'markdscp', 'operst'], name, value)





    class SisfItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: snooping_items
        
        	
        	**type**\:  :py:class:`SnoopingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.SnoopingItems>`
        
        .. attribute:: neighborbinding_items
        
        	
        	**type**\:  :py:class:`NeighborbindingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.NeighborbindingItems>`
        
        .. attribute:: dhcpguard_items
        
        	
        	**type**\:  :py:class:`DhcpguardItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.DhcpguardItems>`
        
        .. attribute:: raguard_items
        
        	
        	**type**\:  :py:class:`RaguardItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.RaguardItems>`
        
        .. attribute:: fhsif_items
        
        	
        	**type**\:  :py:class:`FhsifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsifItems>`
        
        .. attribute:: fhsvlan_items
        
        	
        	**type**\:  :py:class:`FhsvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsvlanItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SisfItems, self).__init__()

            self.yang_name = "sisf-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("snooping-items", ("snooping_items", System.SisfItems.SnoopingItems)), ("neighborbinding-items", ("neighborbinding_items", System.SisfItems.NeighborbindingItems)), ("dhcpguard-items", ("dhcpguard_items", System.SisfItems.DhcpguardItems)), ("raguard-items", ("raguard_items", System.SisfItems.RaguardItems)), ("fhsif-items", ("fhsif_items", System.SisfItems.FhsifItems)), ("fhsvlan-items", ("fhsvlan_items", System.SisfItems.FhsvlanItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.snooping_items = System.SisfItems.SnoopingItems()
            self.snooping_items.parent = self
            self._children_name_map["snooping_items"] = "snooping-items"

            self.neighborbinding_items = System.SisfItems.NeighborbindingItems()
            self.neighborbinding_items.parent = self
            self._children_name_map["neighborbinding_items"] = "neighborbinding-items"

            self.dhcpguard_items = System.SisfItems.DhcpguardItems()
            self.dhcpguard_items.parent = self
            self._children_name_map["dhcpguard_items"] = "dhcpguard-items"

            self.raguard_items = System.SisfItems.RaguardItems()
            self.raguard_items.parent = self
            self._children_name_map["raguard_items"] = "raguard-items"

            self.fhsif_items = System.SisfItems.FhsifItems()
            self.fhsif_items.parent = self
            self._children_name_map["fhsif_items"] = "fhsif-items"

            self.fhsvlan_items = System.SisfItems.FhsvlanItems()
            self.fhsvlan_items.parent = self
            self._children_name_map["fhsvlan_items"] = "fhsvlan-items"
            self._segment_path = lambda: "sisf-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SisfItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class SnoopingItems(Entity):
            """
            
            
            .. attribute:: instsnooping_list
            
            	
            	**type**\: list of  		 :py:class:`InstSnoopingList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.SnoopingItems.InstSnoopingList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.SnoopingItems, self).__init__()

                self.yang_name = "snooping-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("InstSnooping-list", ("instsnooping_list", System.SisfItems.SnoopingItems.InstSnoopingList))])
                self._leafs = OrderedDict()

                self.instsnooping_list = YList(self)
                self._segment_path = lambda: "snooping-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.SnoopingItems, [], name, value)


            class InstSnoopingList(Entity):
                """
                
                
                .. attribute:: policyname  (key)
                
                	
                	**type**\: str
                
                .. attribute:: trustedportenabled
                
                	
                	**type**\: bool
                
                .. attribute:: devicerole
                
                	Sets the role of the device attached to the port
                	**type**\:  :py:class:`SisfDeviceRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfDeviceRole>`
                
                .. attribute:: ndpprotocol
                
                	Glean addresses in NDP packets
                	**type**\:  :py:class:`SisfNdpflag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfNdpflag>`
                
                .. attribute:: dhcpprotocol
                
                	Glean addresses in DHCP packets
                	**type**\:  :py:class:`SisfDhcpflag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfDhcpflag>`
                
                .. attribute:: securitylevel
                
                	Setup security level of snoopiong policy
                	**type**\:  :py:class:`SisfSecurityLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfSecurityLevel>`
                
                .. attribute:: limitaddresscount
                
                	Configure maximum address per port
                	**type**\: int
                
                	**range:** 0..32000
                
                .. attribute:: tracking
                
                	Override default tracking behavior
                	**type**\:  :py:class:`SisfNonGlobalTracking <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfNonGlobalTracking>`
                
                .. attribute:: reachablelifetimer
                
                	TBD
                	**type**\: int
                
                	**range:** 0..86400
                
                .. attribute:: stalelifetimer
                
                	TBD
                	**type**\: int
                
                	**range:** 0..86400
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.SnoopingItems.InstSnoopingList, self).__init__()

                    self.yang_name = "InstSnooping-list"
                    self.yang_parent_name = "snooping-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['policyname']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('policyname', (YLeaf(YType.str, 'policyName'), ['str'])),
                        ('trustedportenabled', (YLeaf(YType.boolean, 'trustedPortEnabled'), ['bool'])),
                        ('devicerole', (YLeaf(YType.enumeration, 'deviceRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfDeviceRole', '')])),
                        ('ndpprotocol', (YLeaf(YType.enumeration, 'ndpProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfNdpflag', '')])),
                        ('dhcpprotocol', (YLeaf(YType.enumeration, 'dhcpProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfDhcpflag', '')])),
                        ('securitylevel', (YLeaf(YType.enumeration, 'securityLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfSecurityLevel', '')])),
                        ('limitaddresscount', (YLeaf(YType.uint16, 'limitAddressCount'), ['int'])),
                        ('tracking', (YLeaf(YType.enumeration, 'tracking'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfNonGlobalTracking', '')])),
                        ('reachablelifetimer', (YLeaf(YType.uint64, 'reachableLifetimer'), ['int'])),
                        ('stalelifetimer', (YLeaf(YType.uint64, 'staleLifetimer'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ])
                    self.policyname = None
                    self.trustedportenabled = None
                    self.devicerole = None
                    self.ndpprotocol = None
                    self.dhcpprotocol = None
                    self.securitylevel = None
                    self.limitaddresscount = None
                    self.tracking = None
                    self.reachablelifetimer = None
                    self.stalelifetimer = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.opererr = None
                    self._segment_path = lambda: "InstSnooping-list" + "[policyName='" + str(self.policyname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/snooping-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.SnoopingItems.InstSnoopingList, ['policyname', 'trustedportenabled', 'devicerole', 'ndpprotocol', 'dhcpprotocol', 'securitylevel', 'limitaddresscount', 'tracking', 'reachablelifetimer', 'stalelifetimer', 'name', 'adminst', 'ctrl', 'opererr'], name, value)




        class NeighborbindingItems(Entity):
            """
            
            
            .. attribute:: logging
            
            	
            	**type**\: bool
            
            .. attribute:: maxentries
            
            	Define maximum number of entries in the IPv6 snoopiong binding table
            	**type**\: int
            
            	**range:** 0..1000000
            
            .. attribute:: vlanlimit
            
            	Define maximum number of entries allowed per vlan
            	**type**\: int
            
            	**range:** 0..200000
            
            .. attribute:: maclimit
            
            	Define maximum number of entries allowed per mac
            	**type**\: int
            
            	**range:** 0..100000
            
            .. attribute:: portlimit
            
            	Define maximum number of entries allowed per port
            	**type**\: int
            
            	**range:** 0..100000
            
            .. attribute:: reachablelifetimer
            
            	Set reachable\-lifetimer of IPv6 snooping binding table
            	**type**\: int
            
            	**range:** 0..86400
            
            .. attribute:: stalelifetimer
            
            	Set stale\-lifetimer of IPv6 snooping binding table
            	**type**\: int
            
            	**range:** 0..86400
            
            .. attribute:: downlifetimer
            
            	Set down\-lifetimer of IPv6 snooping binding table
            	**type**\: int
            
            	**range:** 0..86400
            
            .. attribute:: tracking
            
            	
            	**type**\: bool
            
            	**default value**\: false
            
            .. attribute:: retryinterval
            
            	Configure interval time between two probings
            	**type**\: int
            
            	**range:** 1..3600
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bindingip_items
            
            	
            	**type**\:  :py:class:`BindingipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.NeighborbindingItems.BindingipItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.NeighborbindingItems, self).__init__()

                self.yang_name = "neighborbinding-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("bindingip-items", ("bindingip_items", System.SisfItems.NeighborbindingItems.BindingipItems))])
                self._leafs = OrderedDict([
                    ('logging', (YLeaf(YType.boolean, 'logging'), ['bool'])),
                    ('maxentries', (YLeaf(YType.uint32, 'maxEntries'), ['int'])),
                    ('vlanlimit', (YLeaf(YType.uint32, 'vlanLimit'), ['int'])),
                    ('maclimit', (YLeaf(YType.uint32, 'macLimit'), ['int'])),
                    ('portlimit', (YLeaf(YType.uint32, 'portLimit'), ['int'])),
                    ('reachablelifetimer', (YLeaf(YType.uint64, 'reachableLifetimer'), ['int'])),
                    ('stalelifetimer', (YLeaf(YType.uint64, 'staleLifetimer'), ['int'])),
                    ('downlifetimer', (YLeaf(YType.uint64, 'downLifetimer'), ['int'])),
                    ('tracking', (YLeaf(YType.boolean, 'tracking'), ['bool'])),
                    ('retryinterval', (YLeaf(YType.uint16, 'retryInterval'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.logging = None
                self.maxentries = None
                self.vlanlimit = None
                self.maclimit = None
                self.portlimit = None
                self.reachablelifetimer = None
                self.stalelifetimer = None
                self.downlifetimer = None
                self.tracking = None
                self.retryinterval = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.bindingip_items = System.SisfItems.NeighborbindingItems.BindingipItems()
                self.bindingip_items.parent = self
                self._children_name_map["bindingip_items"] = "bindingip-items"
                self._segment_path = lambda: "neighborbinding-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.NeighborbindingItems, ['logging', 'maxentries', 'vlanlimit', 'maclimit', 'portlimit', 'reachablelifetimer', 'stalelifetimer', 'downlifetimer', 'tracking', 'retryinterval', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class BindingipItems(Entity):
                """
                
                
                .. attribute:: staticbinding_list
                
                	
                	**type**\: list of  		 :py:class:`StaticBindingList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.NeighborbindingItems.BindingipItems.StaticBindingList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.NeighborbindingItems.BindingipItems, self).__init__()

                    self.yang_name = "bindingip-items"
                    self.yang_parent_name = "neighborbinding-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("StaticBinding-list", ("staticbinding_list", System.SisfItems.NeighborbindingItems.BindingipItems.StaticBindingList))])
                    self._leafs = OrderedDict()

                    self.staticbinding_list = YList(self)
                    self._segment_path = lambda: "bindingip-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/neighborbinding-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.NeighborbindingItems.BindingipItems, [], name, value)


                class StaticBindingList(Entity):
                    """
                    
                    
                    .. attribute:: v6addr  (key)
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vlanid  (key)
                    
                    	Configure Vlan ID of static binding entry
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: interface
                    
                    	Configure interface of static binding entry
                    	**type**\: str
                    
                    .. attribute:: mac
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: tracking
                    
                    	Configure tracking option of static binding entry
                    	**type**\:  :py:class:`SisfNonGlobalTracking <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfNonGlobalTracking>`
                    
                    .. attribute:: retryinterval
                    
                    	Configure retry interfval between two probings of static binding entry
                    	**type**\: int
                    
                    	**range:** 0..3600
                    
                    .. attribute:: reachablelifetimer
                    
                    	Configure reachable\-lifetimer of static binding entry
                    	**type**\: int
                    
                    	**range:** \-1..86400
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: opererr
                    
                    	Operational Errors Qualifier
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SisfItems.NeighborbindingItems.BindingipItems.StaticBindingList, self).__init__()

                        self.yang_name = "StaticBinding-list"
                        self.yang_parent_name = "bindingip-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['v6addr','vlanid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('v6addr', (YLeaf(YType.str, 'v6Addr'), ['str'])),
                            ('vlanid', (YLeaf(YType.uint16, 'vlanID'), ['int'])),
                            ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('tracking', (YLeaf(YType.enumeration, 'tracking'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfNonGlobalTracking', '')])),
                            ('retryinterval', (YLeaf(YType.int16, 'retryInterval'), ['int'])),
                            ('reachablelifetimer', (YLeaf(YType.int32, 'reachableLifetimer'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                        ])
                        self.v6addr = None
                        self.vlanid = None
                        self.interface = None
                        self.mac = None
                        self.tracking = None
                        self.retryinterval = None
                        self.reachablelifetimer = None
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.opererr = None
                        self._segment_path = lambda: "StaticBinding-list" + "[v6Addr='" + str(self.v6addr) + "']" + "[vlanID='" + str(self.vlanid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/neighborbinding-items/bindingip-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SisfItems.NeighborbindingItems.BindingipItems.StaticBindingList, ['v6addr', 'vlanid', 'interface', 'mac', 'tracking', 'retryinterval', 'reachablelifetimer', 'name', 'adminst', 'ctrl', 'opererr'], name, value)





        class DhcpguardItems(Entity):
            """
            
            
            .. attribute:: instdhcpguard_list
            
            	
            	**type**\: list of  		 :py:class:`InstDhcpGuardList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.DhcpguardItems.InstDhcpGuardList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.DhcpguardItems, self).__init__()

                self.yang_name = "dhcpguard-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("InstDhcpGuard-list", ("instdhcpguard_list", System.SisfItems.DhcpguardItems.InstDhcpGuardList))])
                self._leafs = OrderedDict()

                self.instdhcpguard_list = YList(self)
                self._segment_path = lambda: "dhcpguard-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.DhcpguardItems, [], name, value)


            class InstDhcpGuardList(Entity):
                """
                
                
                .. attribute:: policyname  (key)
                
                	
                	**type**\: str
                
                .. attribute:: devicerole
                
                	Set the role of device attached to the port
                	**type**\:  :py:class:`SisfDhcpGuardDeviceRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfDhcpGuardDeviceRole>`
                
                .. attribute:: trustedportenabled
                
                	
                	**type**\: bool
                
                .. attribute:: preferencemax
                
                	Configure maximum allowed advertised server preference
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: preferencemin
                
                	Configure minimum allowed advertised server preference
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.DhcpguardItems.InstDhcpGuardList, self).__init__()

                    self.yang_name = "InstDhcpGuard-list"
                    self.yang_parent_name = "dhcpguard-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['policyname']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('policyname', (YLeaf(YType.str, 'policyName'), ['str'])),
                        ('devicerole', (YLeaf(YType.enumeration, 'deviceRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfDhcpGuardDeviceRole', '')])),
                        ('trustedportenabled', (YLeaf(YType.boolean, 'trustedPortEnabled'), ['bool'])),
                        ('preferencemax', (YLeaf(YType.uint16, 'preferenceMax'), ['int'])),
                        ('preferencemin', (YLeaf(YType.uint16, 'preferenceMin'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ])
                    self.policyname = None
                    self.devicerole = None
                    self.trustedportenabled = None
                    self.preferencemax = None
                    self.preferencemin = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.opererr = None
                    self._segment_path = lambda: "InstDhcpGuard-list" + "[policyName='" + str(self.policyname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/dhcpguard-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.DhcpguardItems.InstDhcpGuardList, ['policyname', 'devicerole', 'trustedportenabled', 'preferencemax', 'preferencemin', 'name', 'adminst', 'ctrl', 'opererr'], name, value)




        class RaguardItems(Entity):
            """
            
            
            .. attribute:: instraguard_list
            
            	
            	**type**\: list of  		 :py:class:`InstRaGuardList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.RaguardItems.InstRaGuardList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.RaguardItems, self).__init__()

                self.yang_name = "raguard-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("InstRaGuard-list", ("instraguard_list", System.SisfItems.RaguardItems.InstRaGuardList))])
                self._leafs = OrderedDict()

                self.instraguard_list = YList(self)
                self._segment_path = lambda: "raguard-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.RaguardItems, [], name, value)


            class InstRaGuardList(Entity):
                """
                
                
                .. attribute:: policyname  (key)
                
                	
                	**type**\: str
                
                .. attribute:: devicerole
                
                	Set the role of the device attached to the port
                	**type**\:  :py:class:`SisfRaGuardDeviceRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfRaGuardDeviceRole>`
                
                .. attribute:: trustedportenabled
                
                	
                	**type**\: bool
                
                .. attribute:: routerpreferencemaximum
                
                	Enable verification of the advertised router preference
                	**type**\:  :py:class:`SisfRaGuardRouterPreferenceMaximum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfRaGuardRouterPreferenceMaximum>`
                
                .. attribute:: hoplimitmax
                
                	Enable verification of the maximum advertised hop count limit
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: hoplimitmin
                
                	Enable verification of the minimum advertised hop count limit
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: managedconfig
                
                	Enable verification of the advertised M flag
                	**type**\:  :py:class:`SisfRaGuardManagedConfig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfRaGuardManagedConfig>`
                
                .. attribute:: otherconfig
                
                	Enable verification of the advertised O flag
                	**type**\:  :py:class:`SisfRaGuardOtherConfig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SisfRaGuardOtherConfig>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.RaguardItems.InstRaGuardList, self).__init__()

                    self.yang_name = "InstRaGuard-list"
                    self.yang_parent_name = "raguard-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['policyname']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('policyname', (YLeaf(YType.str, 'policyName'), ['str'])),
                        ('devicerole', (YLeaf(YType.enumeration, 'deviceRole'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfRaGuardDeviceRole', '')])),
                        ('trustedportenabled', (YLeaf(YType.boolean, 'trustedPortEnabled'), ['bool'])),
                        ('routerpreferencemaximum', (YLeaf(YType.enumeration, 'routerPreferenceMaximum'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfRaGuardRouterPreferenceMaximum', '')])),
                        ('hoplimitmax', (YLeaf(YType.uint16, 'hopLimitMax'), ['int'])),
                        ('hoplimitmin', (YLeaf(YType.uint16, 'hopLimitMin'), ['int'])),
                        ('managedconfig', (YLeaf(YType.enumeration, 'managedConfig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfRaGuardManagedConfig', '')])),
                        ('otherconfig', (YLeaf(YType.enumeration, 'otherConfig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SisfRaGuardOtherConfig', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ])
                    self.policyname = None
                    self.devicerole = None
                    self.trustedportenabled = None
                    self.routerpreferencemaximum = None
                    self.hoplimitmax = None
                    self.hoplimitmin = None
                    self.managedconfig = None
                    self.otherconfig = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.opererr = None
                    self._segment_path = lambda: "InstRaGuard-list" + "[policyName='" + str(self.policyname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/raguard-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.RaguardItems.InstRaGuardList, ['policyname', 'devicerole', 'trustedportenabled', 'routerpreferencemaximum', 'hoplimitmax', 'hoplimitmin', 'managedconfig', 'otherconfig', 'name', 'adminst', 'ctrl', 'opererr'], name, value)




        class FhsifItems(Entity):
            """
            
            
            .. attribute:: fhsif_list
            
            	
            	**type**\: list of  		 :py:class:`FhsIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsifItems.FhsIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.FhsifItems, self).__init__()

                self.yang_name = "fhsif-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FhsIf-list", ("fhsif_list", System.SisfItems.FhsifItems.FhsIfList))])
                self._leafs = OrderedDict()

                self.fhsif_list = YList(self)
                self._segment_path = lambda: "fhsif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.FhsifItems, [], name, value)


            class FhsIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: snoopingpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: dhcpguardpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: raguardpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: deleted
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsifItems.FhsIfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.FhsifItems.FhsIfList, self).__init__()

                    self.yang_name = "FhsIf-list"
                    self.yang_parent_name = "fhsif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.SisfItems.FhsifItems.FhsIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('snoopingpolicyname', (YLeaf(YType.str, 'snoopingPolicyName'), ['str'])),
                        ('dhcpguardpolicyname', (YLeaf(YType.str, 'dhcpGuardPolicyName'), ['str'])),
                        ('raguardpolicyname', (YLeaf(YType.str, 'raGuardPolicyName'), ['str'])),
                        ('deleted', (YLeaf(YType.boolean, 'deleted'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ])
                    self.id = None
                    self.snoopingpolicyname = None
                    self.dhcpguardpolicyname = None
                    self.raguardpolicyname = None
                    self.deleted = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.rtvrfmbr_items = System.SisfItems.FhsifItems.FhsIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "FhsIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/fhsif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.FhsifItems.FhsIfList, ['id', 'snoopingpolicyname', 'dhcpguardpolicyname', 'raguardpolicyname', 'deleted', 'name', 'descr', 'adminst'], name, value)


                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SisfItems.FhsifItems.FhsIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "FhsIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SisfItems.FhsifItems.FhsIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "FhsIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SisfItems.FhsifItems.FhsIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






        class FhsvlanItems(Entity):
            """
            
            
            .. attribute:: fhsvlan_list
            
            	
            	**type**\: list of  		 :py:class:`FhsVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SisfItems.FhsvlanItems.FhsVlanList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SisfItems.FhsvlanItems, self).__init__()

                self.yang_name = "fhsvlan-items"
                self.yang_parent_name = "sisf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FhsVlan-list", ("fhsvlan_list", System.SisfItems.FhsvlanItems.FhsVlanList))])
                self._leafs = OrderedDict()

                self.fhsvlan_list = YList(self)
                self._segment_path = lambda: "fhsvlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SisfItems.FhsvlanItems, [], name, value)


            class FhsVlanList(Entity):
                """
                
                
                .. attribute:: vlanid  (key)
                
                	Vlan Number
                	**type**\: int
                
                	**range:** 1..4096
                
                .. attribute:: snoopingpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: dhcpguardpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: raguardpolicyname
                
                	
                	**type**\: str
                
                .. attribute:: deleted
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SisfItems.FhsvlanItems.FhsVlanList, self).__init__()

                    self.yang_name = "FhsVlan-list"
                    self.yang_parent_name = "fhsvlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vlanid']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('vlanid', (YLeaf(YType.uint16, 'vlanID'), ['int'])),
                        ('snoopingpolicyname', (YLeaf(YType.str, 'snoopingPolicyName'), ['str'])),
                        ('dhcpguardpolicyname', (YLeaf(YType.str, 'dhcpGuardPolicyName'), ['str'])),
                        ('raguardpolicyname', (YLeaf(YType.str, 'raGuardPolicyName'), ['str'])),
                        ('deleted', (YLeaf(YType.boolean, 'deleted'), ['bool'])),
                    ])
                    self.vlanid = None
                    self.snoopingpolicyname = None
                    self.dhcpguardpolicyname = None
                    self.raguardpolicyname = None
                    self.deleted = None
                    self._segment_path = lambda: "FhsVlan-list" + "[vlanID='" + str(self.vlanid) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sisf-items/fhsvlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SisfItems.FhsvlanItems.FhsVlanList, ['vlanid', 'snoopingpolicyname', 'dhcpguardpolicyname', 'raguardpolicyname', 'deleted'], name, value)





    class TmItems(Entity):
        """
        
        
        .. attribute:: adminst
        
        	TBD
        	**type**\:  :py:class:`TelemetryAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryAdminState>`
        
        .. attribute:: certificate_items
        
        	
        	**type**\:  :py:class:`CertificateItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.CertificateItems>`
        
        .. attribute:: destprof_items
        
        	
        	**type**\:  :py:class:`DestprofItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestprofItems>`
        
        .. attribute:: sensor_items
        
        	
        	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems>`
        
        .. attribute:: dest_items
        
        	
        	**type**\:  :py:class:`DestItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestItems>`
        
        .. attribute:: subs_items
        
        	
        	**type**\:  :py:class:`SubsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TmItems, self).__init__()

            self.yang_name = "tm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("certificate-items", ("certificate_items", System.TmItems.CertificateItems)), ("destprof-items", ("destprof_items", System.TmItems.DestprofItems)), ("sensor-items", ("sensor_items", System.TmItems.SensorItems)), ("dest-items", ("dest_items", System.TmItems.DestItems)), ("subs-items", ("subs_items", System.TmItems.SubsItems))])
            self._leafs = OrderedDict([
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryAdminState', '')])),
            ])
            self.adminst = None

            self.certificate_items = System.TmItems.CertificateItems()
            self.certificate_items.parent = self
            self._children_name_map["certificate_items"] = "certificate-items"

            self.destprof_items = System.TmItems.DestprofItems()
            self.destprof_items.parent = self
            self._children_name_map["destprof_items"] = "destprof-items"

            self.sensor_items = System.TmItems.SensorItems()
            self.sensor_items.parent = self
            self._children_name_map["sensor_items"] = "sensor-items"

            self.dest_items = System.TmItems.DestItems()
            self.dest_items.parent = self
            self._children_name_map["dest_items"] = "dest-items"

            self.subs_items = System.TmItems.SubsItems()
            self.subs_items.parent = self
            self._children_name_map["subs_items"] = "subs-items"
            self._segment_path = lambda: "tm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TmItems, ['adminst'], name, value)


        class CertificateItems(Entity):
            """
            
            
            .. attribute:: filename
            
            	TBD
            	**type**\: str
            
            	**length:** 0..256
            
            .. attribute:: hostname
            
            	TBD
            	**type**\: str
            
            	**length:** 0..256
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TmItems.CertificateItems, self).__init__()

                self.yang_name = "certificate-items"
                self.yang_parent_name = "tm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('filename', (YLeaf(YType.str, 'filename'), ['str'])),
                    ('hostname', (YLeaf(YType.str, 'hostname'), ['str'])),
                ])
                self.filename = None
                self.hostname = None
                self._segment_path = lambda: "certificate-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TmItems.CertificateItems, ['filename', 'hostname'], name, value)



        class DestprofItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	TBD
            	**type**\:  :py:class:`TelemetryAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryAdminState>`
            
            .. attribute:: vrf_items
            
            	
            	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestprofItems.VrfItems>`
            
            .. attribute:: compression_items
            
            	
            	**type**\:  :py:class:`CompressionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestprofItems.CompressionItems>`
            
            .. attribute:: sourceinterface_items
            
            	
            	**type**\:  :py:class:`SourceinterfaceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestprofItems.SourceinterfaceItems>`
            
            .. attribute:: retry_items
            
            	
            	**type**\:  :py:class:`RetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestprofItems.RetryItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TmItems.DestprofItems, self).__init__()

                self.yang_name = "destprof-items"
                self.yang_parent_name = "tm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.TmItems.DestprofItems.VrfItems)), ("compression-items", ("compression_items", System.TmItems.DestprofItems.CompressionItems)), ("sourceinterface-items", ("sourceinterface_items", System.TmItems.DestprofItems.SourceinterfaceItems)), ("retry-items", ("retry_items", System.TmItems.DestprofItems.RetryItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryAdminState', '')])),
                ])
                self.adminst = None

                self.vrf_items = System.TmItems.DestprofItems.VrfItems()
                self.vrf_items.parent = self
                self._children_name_map["vrf_items"] = "vrf-items"

                self.compression_items = System.TmItems.DestprofItems.CompressionItems()
                self.compression_items.parent = self
                self._children_name_map["compression_items"] = "compression-items"

                self.sourceinterface_items = System.TmItems.DestprofItems.SourceinterfaceItems()
                self.sourceinterface_items.parent = self
                self._children_name_map["sourceinterface_items"] = "sourceinterface-items"

                self.retry_items = System.TmItems.DestprofItems.RetryItems()
                self.retry_items.parent = self
                self._children_name_map["retry_items"] = "retry-items"
                self._segment_path = lambda: "destprof-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TmItems.DestprofItems, ['adminst'], name, value)


            class VrfItems(Entity):
                """
                
                
                .. attribute:: name
                
                	TBD
                	**type**\: str
                
                	**length:** 1..32
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.DestprofItems.VrfItems, self).__init__()

                    self.yang_name = "vrf-items"
                    self.yang_parent_name = "destprof-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.name = None
                    self._segment_path = lambda: "vrf-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/destprof-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.DestprofItems.VrfItems, ['name'], name, value)



            class CompressionItems(Entity):
                """
                
                
                .. attribute:: name
                
                	TBD
                	**type**\:  :py:class:`TelemetryCompression <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryCompression>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.DestprofItems.CompressionItems, self).__init__()

                    self.yang_name = "compression-items"
                    self.yang_parent_name = "destprof-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.enumeration, 'name'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryCompression', '')])),
                    ])
                    self.name = None
                    self._segment_path = lambda: "compression-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/destprof-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.DestprofItems.CompressionItems, ['name'], name, value)



            class SourceinterfaceItems(Entity):
                """
                
                
                .. attribute:: name
                
                	TBD
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.DestprofItems.SourceinterfaceItems, self).__init__()

                    self.yang_name = "sourceinterface-items"
                    self.yang_parent_name = "destprof-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.name = None
                    self._segment_path = lambda: "sourceinterface-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/destprof-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.DestprofItems.SourceinterfaceItems, ['name'], name, value)



            class RetryItems(Entity):
                """
                
                
                .. attribute:: size
                
                	
                	**type**\: int
                
                	**range:** 10..1500
                
                	**default value**\: 10
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.DestprofItems.RetryItems, self).__init__()

                    self.yang_name = "retry-items"
                    self.yang_parent_name = "destprof-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                    ])
                    self.size = None
                    self._segment_path = lambda: "retry-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/destprof-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.DestprofItems.RetryItems, ['size'], name, value)




        class SensorItems(Entity):
            """
            
            
            .. attribute:: sensorgroup_list
            
            	
            	**type**\: list of  		 :py:class:`SensorGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems.SensorGroupList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TmItems.SensorItems, self).__init__()

                self.yang_name = "sensor-items"
                self.yang_parent_name = "tm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("SensorGroup-list", ("sensorgroup_list", System.TmItems.SensorItems.SensorGroupList))])
                self._leafs = OrderedDict()

                self.sensorgroup_list = YList(self)
                self._segment_path = lambda: "sensor-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TmItems.SensorItems, [], name, value)


            class SensorGroupList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: str
                
                .. attribute:: datasrc
                
                	TBD
                	**type**\:  :py:class:`TelemetryDataSource <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryDataSource>`
                
                .. attribute:: path_items
                
                	
                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems.SensorGroupList.PathItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.SensorItems.SensorGroupList, self).__init__()

                    self.yang_name = "SensorGroup-list"
                    self.yang_parent_name = "sensor-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("path-items", ("path_items", System.TmItems.SensorItems.SensorGroupList.PathItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('datasrc', (YLeaf(YType.enumeration, 'dataSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryDataSource', '')])),
                    ])
                    self.id = None
                    self.datasrc = None

                    self.path_items = System.TmItems.SensorItems.SensorGroupList.PathItems()
                    self.path_items.parent = self
                    self._children_name_map["path_items"] = "path-items"
                    self._segment_path = lambda: "SensorGroup-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/sensor-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.SensorItems.SensorGroupList, ['id', 'datasrc'], name, value)


                class PathItems(Entity):
                    """
                    
                    
                    .. attribute:: sensorpath_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SensorPathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TmItems.SensorItems.SensorGroupList.PathItems, self).__init__()

                        self.yang_name = "path-items"
                        self.yang_parent_name = "SensorGroup-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("SensorPath-list", ("sensorpath_list", System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList))])
                        self._leafs = OrderedDict()

                        self.sensorpath_list = YList(self)
                        self._segment_path = lambda: "path-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TmItems.SensorItems.SensorGroupList.PathItems, [], name, value)


                    class SensorPathList(Entity):
                        """
                        
                        
                        .. attribute:: path  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: querycondition
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: filtercondition
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: excludefilter
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: secondarypath
                        
                        	TBD
                        	**type**\: str
                        
                        .. attribute:: secondarygroup
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: depth
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: include_items
                        
                        	
                        	**type**\:  :py:class:`IncludeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList, self).__init__()

                            self.yang_name = "SensorPath-list"
                            self.yang_parent_name = "path-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['path']
                            self._child_classes = OrderedDict([("include-items", ("include_items", System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems))])
                            self._leafs = OrderedDict([
                                ('path', (YLeaf(YType.str, 'path'), ['str'])),
                                ('querycondition', (YLeaf(YType.str, 'queryCondition'), ['str'])),
                                ('filtercondition', (YLeaf(YType.str, 'filterCondition'), ['str'])),
                                ('excludefilter', (YLeaf(YType.str, 'excludeFilter'), ['str'])),
                                ('secondarypath', (YLeaf(YType.str, 'secondaryPath'), ['str'])),
                                ('secondarygroup', (YLeaf(YType.uint64, 'secondaryGroup'), ['int'])),
                                ('depth', (YLeaf(YType.uint32, 'depth'), ['int'])),
                            ])
                            self.path = None
                            self.querycondition = None
                            self.filtercondition = None
                            self.excludefilter = None
                            self.secondarypath = None
                            self.secondarygroup = None
                            self.depth = None

                            self.include_items = System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems()
                            self.include_items.parent = self
                            self._children_name_map["include_items"] = "include-items"
                            self._segment_path = lambda: "SensorPath-list" + "[path='" + str(self.path) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList, ['path', 'querycondition', 'filtercondition', 'excludefilter', 'secondarypath', 'secondarygroup', 'depth'], name, value)


                        class IncludeItems(Entity):
                            """
                            
                            
                            .. attribute:: includefilter_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IncludeFilterList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems.IncludeFilterList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems, self).__init__()

                                self.yang_name = "include-items"
                                self.yang_parent_name = "SensorPath-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IncludeFilter-list", ("includefilter_list", System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems.IncludeFilterList))])
                                self._leafs = OrderedDict()

                                self.includefilter_list = YList(self)
                                self._segment_path = lambda: "include-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems, [], name, value)


                            class IncludeFilterList(Entity):
                                """
                                
                                
                                .. attribute:: filter  (key)
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems.IncludeFilterList, self).__init__()

                                    self.yang_name = "IncludeFilter-list"
                                    self.yang_parent_name = "include-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['filter']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('filter', (YLeaf(YType.str, 'filter'), ['str'])),
                                    ])
                                    self.filter = None
                                    self._segment_path = lambda: "IncludeFilter-list" + "[filter='" + str(self.filter) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TmItems.SensorItems.SensorGroupList.PathItems.SensorPathList.IncludeItems.IncludeFilterList, ['filter'], name, value)








        class DestItems(Entity):
            """
            
            
            .. attribute:: destgroup_list
            
            	
            	**type**\: list of  		 :py:class:`DestGroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestItems.DestGroupList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TmItems.DestItems, self).__init__()

                self.yang_name = "dest-items"
                self.yang_parent_name = "tm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("DestGroup-list", ("destgroup_list", System.TmItems.DestItems.DestGroupList))])
                self._leafs = OrderedDict()

                self.destgroup_list = YList(self)
                self._segment_path = lambda: "dest-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TmItems.DestItems, [], name, value)


            class DestGroupList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: str
                
                .. attribute:: addr_items
                
                	
                	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestItems.DestGroupList.AddrItems>`
                
                .. attribute:: chunking_items
                
                	
                	**type**\:  :py:class:`ChunkingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestItems.DestGroupList.ChunkingItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.DestItems.DestGroupList, self).__init__()

                    self.yang_name = "DestGroup-list"
                    self.yang_parent_name = "dest-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("addr-items", ("addr_items", System.TmItems.DestItems.DestGroupList.AddrItems)), ("chunking-items", ("chunking_items", System.TmItems.DestItems.DestGroupList.ChunkingItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ])
                    self.id = None

                    self.addr_items = System.TmItems.DestItems.DestGroupList.AddrItems()
                    self.addr_items.parent = self
                    self._children_name_map["addr_items"] = "addr-items"

                    self.chunking_items = System.TmItems.DestItems.DestGroupList.ChunkingItems()
                    self.chunking_items.parent = self
                    self._children_name_map["chunking_items"] = "chunking-items"
                    self._segment_path = lambda: "DestGroup-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/dest-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.DestItems.DestGroupList, ['id'], name, value)


                class AddrItems(Entity):
                    """
                    
                    
                    .. attribute:: dest_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DestList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.DestItems.DestGroupList.AddrItems.DestList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TmItems.DestItems.DestGroupList.AddrItems, self).__init__()

                        self.yang_name = "addr-items"
                        self.yang_parent_name = "DestGroup-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Dest-list", ("dest_list", System.TmItems.DestItems.DestGroupList.AddrItems.DestList))])
                        self._leafs = OrderedDict()

                        self.dest_list = YList(self)
                        self._segment_path = lambda: "addr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TmItems.DestItems.DestGroupList.AddrItems, [], name, value)


                    class DestList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: port  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: proto
                        
                        	TBD
                        	**type**\:  :py:class:`TelemetryProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryProtocol>`
                        
                        .. attribute:: enc
                        
                        	TBD
                        	**type**\:  :py:class:`TelemetryEncoding <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TelemetryEncoding>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TmItems.DestItems.DestGroupList.AddrItems.DestList, self).__init__()

                            self.yang_name = "Dest-list"
                            self.yang_parent_name = "addr-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr','port']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('port', (YLeaf(YType.uint16, 'port'), ['int'])),
                                ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryProtocol', '')])),
                                ('enc', (YLeaf(YType.enumeration, 'enc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TelemetryEncoding', '')])),
                            ])
                            self.addr = None
                            self.port = None
                            self.proto = None
                            self.enc = None
                            self._segment_path = lambda: "Dest-list" + "[addr='" + str(self.addr) + "']" + "[port='" + str(self.port) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TmItems.DestItems.DestGroupList.AddrItems.DestList, ['addr', 'port', 'proto', 'enc'], name, value)




                class ChunkingItems(Entity):
                    """
                    
                    
                    .. attribute:: chunksize
                    
                    	
                    	**type**\: int
                    
                    	**range:** 64..4096
                    
                    	**default value**\: 64
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TmItems.DestItems.DestGroupList.ChunkingItems, self).__init__()

                        self.yang_name = "chunking-items"
                        self.yang_parent_name = "DestGroup-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('chunksize', (YLeaf(YType.uint32, 'chunkSize'), ['int'])),
                        ])
                        self.chunksize = None
                        self._segment_path = lambda: "chunking-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TmItems.DestItems.DestGroupList.ChunkingItems, ['chunksize'], name, value)





        class SubsItems(Entity):
            """
            
            
            .. attribute:: subscription_list
            
            	
            	**type**\: list of  		 :py:class:`SubscriptionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems.SubscriptionList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TmItems.SubsItems, self).__init__()

                self.yang_name = "subs-items"
                self.yang_parent_name = "tm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Subscription-list", ("subscription_list", System.TmItems.SubsItems.SubscriptionList))])
                self._leafs = OrderedDict()

                self.subscription_list = YList(self)
                self._segment_path = lambda: "subs-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TmItems.SubsItems, [], name, value)


            class SubscriptionList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: rssensorgrouprel_items
                
                	
                	**type**\:  :py:class:`RssensorGroupRelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems>`
                
                .. attribute:: rsdestgrouprel_items
                
                	
                	**type**\:  :py:class:`RsdestGroupRelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TmItems.SubsItems.SubscriptionList, self).__init__()

                    self.yang_name = "Subscription-list"
                    self.yang_parent_name = "subs-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rssensorGroupRel-items", ("rssensorgrouprel_items", System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems)), ("rsdestGroupRel-items", ("rsdestgrouprel_items", System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                    ])
                    self.id = None

                    self.rssensorgrouprel_items = System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems()
                    self.rssensorgrouprel_items.parent = self
                    self._children_name_map["rssensorgrouprel_items"] = "rssensorGroupRel-items"

                    self.rsdestgrouprel_items = System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems()
                    self.rsdestgrouprel_items.parent = self
                    self._children_name_map["rsdestgrouprel_items"] = "rsdestGroupRel-items"
                    self._segment_path = lambda: "Subscription-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/tm-items/subs-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TmItems.SubsItems.SubscriptionList, ['id'], name, value)


                class RssensorGroupRelItems(Entity):
                    """
                    
                    
                    .. attribute:: rssensorgrouprel_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsSensorGroupRelList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems.RsSensorGroupRelList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems, self).__init__()

                        self.yang_name = "rssensorGroupRel-items"
                        self.yang_parent_name = "Subscription-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsSensorGroupRel-list", ("rssensorgrouprel_list", System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems.RsSensorGroupRelList))])
                        self._leafs = OrderedDict()

                        self.rssensorgrouprel_list = YList(self)
                        self._segment_path = lambda: "rssensorGroupRel-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems, [], name, value)


                    class RsSensorGroupRelList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: sampleintvl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems.RsSensorGroupRelList, self).__init__()

                            self.yang_name = "RsSensorGroupRel-list"
                            self.yang_parent_name = "rssensorGroupRel-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('sampleintvl', (YLeaf(YType.uint64, 'sampleIntvl'), ['int'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.sampleintvl = None
                            self._segment_path = lambda: "RsSensorGroupRel-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TmItems.SubsItems.SubscriptionList.RssensorGroupRelItems.RsSensorGroupRelList, ['tdn', 'tcl', 'sampleintvl'], name, value)




                class RsdestGroupRelItems(Entity):
                    """
                    
                    
                    .. attribute:: rsdestgrouprel_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsDestGroupRelList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems.RsDestGroupRelList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems, self).__init__()

                        self.yang_name = "rsdestGroupRel-items"
                        self.yang_parent_name = "Subscription-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsDestGroupRel-list", ("rsdestgrouprel_list", System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems.RsDestGroupRelList))])
                        self._leafs = OrderedDict()

                        self.rsdestgrouprel_list = YList(self)
                        self._segment_path = lambda: "rsdestGroupRel-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems, [], name, value)


                    class RsDestGroupRelList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems.RsDestGroupRelList, self).__init__()

                            self.yang_name = "RsDestGroupRel-list"
                            self.yang_parent_name = "rsdestGroupRel-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RsDestGroupRel-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TmItems.SubsItems.SubscriptionList.RsdestGroupRelItems.RsDestGroupRelList, ['tdn', 'tcl'], name, value)







    class TrackItems(Entity):
        """
        
        
        .. attribute:: object_items
        
        	
        	**type**\:  :py:class:`ObjectItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TrackItems, self).__init__()

            self.yang_name = "track-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("object-items", ("object_items", System.TrackItems.ObjectItems))])
            self._leafs = OrderedDict()

            self.object_items = System.TrackItems.ObjectItems()
            self.object_items.parent = self
            self._children_name_map["object_items"] = "object-items"
            self._segment_path = lambda: "track-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TrackItems, [], name, value)


        class ObjectItems(Entity):
            """
            
            
            .. attribute:: object_list
            
            	
            	**type**\: list of  		 :py:class:`ObjectList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TrackItems.ObjectItems, self).__init__()

                self.yang_name = "object-items"
                self.yang_parent_name = "track-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Object-list", ("object_list", System.TrackItems.ObjectItems.ObjectList))])
                self._leafs = OrderedDict()

                self.object_list = YList(self)
                self._segment_path = lambda: "object-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/track-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TrackItems.ObjectItems, [], name, value)


            class ObjectList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Track object ID
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: clients
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: if_items
                
                	
                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.IfItems>`
                
                .. attribute:: iprt_items
                
                	
                	**type**\:  :py:class:`IprtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.IprtItems>`
                
                .. attribute:: ipsla_items
                
                	
                	**type**\:  :py:class:`IpslaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.IpslaItems>`
                
                .. attribute:: list_items
                
                	
                	**type**\:  :py:class:`ListItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.ListItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TrackItems.ObjectItems.ObjectList, self).__init__()

                    self.yang_name = "Object-list"
                    self.yang_parent_name = "object-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("if-items", ("if_items", System.TrackItems.ObjectItems.ObjectList.IfItems)), ("iprt-items", ("iprt_items", System.TrackItems.ObjectItems.ObjectList.IprtItems)), ("ipsla-items", ("ipsla_items", System.TrackItems.ObjectItems.ObjectList.IpslaItems)), ("list-items", ("list_items", System.TrackItems.ObjectItems.ObjectList.ListItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                        ('clients', (YLeaf(YType.uint16, 'clients'), ['int'])),
                    ])
                    self.id = None
                    self.clients = None

                    self.if_items = System.TrackItems.ObjectItems.ObjectList.IfItems()
                    self.if_items.parent = self
                    self._children_name_map["if_items"] = "if-items"

                    self.iprt_items = System.TrackItems.ObjectItems.ObjectList.IprtItems()
                    self.iprt_items.parent = self
                    self._children_name_map["iprt_items"] = "iprt-items"

                    self.ipsla_items = System.TrackItems.ObjectItems.ObjectList.IpslaItems()
                    self.ipsla_items.parent = self
                    self._children_name_map["ipsla_items"] = "ipsla-items"

                    self.list_items = System.TrackItems.ObjectItems.ObjectList.ListItems()
                    self.list_items.parent = self
                    self._children_name_map["list_items"] = "list-items"
                    self._segment_path = lambda: "Object-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/track-items/object-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TrackItems.ObjectItems.ObjectList, ['id', 'clients'], name, value)


                class IfItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	Interface to track
                    	**type**\: str
                    
                    .. attribute:: protocoltype
                    
                    	Protocol type for interface object
                    	**type**\:  :py:class:`TrackIntfProtocolType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackIntfProtocolType>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TrackItems.ObjectItems.ObjectList.IfItems, self).__init__()

                        self.yang_name = "if-items"
                        self.yang_parent_name = "Object-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('protocoltype', (YLeaf(YType.enumeration, 'protocolType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackIntfProtocolType', '')])),
                        ])
                        self.id = None
                        self.protocoltype = None
                        self._segment_path = lambda: "if-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.IfItems, ['id', 'protocoltype'], name, value)



                class IprtItems(Entity):
                    """
                    
                    
                    .. attribute:: af
                    
                    	Address family
                    	**type**\:  :py:class:`TrackAf <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackAf>`
                    
                    .. attribute:: prefix
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: routestate
                    
                    	Route State
                    	**type**\:  :py:class:`TrackRouteState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackRouteState>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: routeowner
                    
                    	Owner of the route
                    	**type**\:  :py:class:`TrackRouteOwner <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackRouteOwner>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TrackItems.ObjectItems.ObjectList.IprtItems, self).__init__()

                        self.yang_name = "iprt-items"
                        self.yang_parent_name = "Object-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('af', (YLeaf(YType.enumeration, 'af'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackAf', '')])),
                            ('prefix', (YLeaf(YType.str, 'prefix'), ['str','str'])),
                            ('routestate', (YLeaf(YType.enumeration, 'routeState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackRouteState', '')])),
                            ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                            ('routeowner', (YLeaf(YType.enumeration, 'routeOwner'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackRouteOwner', '')])),
                        ])
                        self.af = None
                        self.prefix = None
                        self.routestate = None
                        self.vrf = None
                        self.routeowner = None
                        self._segment_path = lambda: "iprt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.IprtItems, ['af', 'prefix', 'routestate', 'vrf', 'routeowner'], name, value)



                class IpslaItems(Entity):
                    """
                    
                    
                    .. attribute:: probeid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: probestate
                    
                    	SLA reachability/state type
                    	**type**\:  :py:class:`TrackProbeState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackProbeState>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TrackItems.ObjectItems.ObjectList.IpslaItems, self).__init__()

                        self.yang_name = "ipsla-items"
                        self.yang_parent_name = "Object-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('probeid', (YLeaf(YType.uint32, 'probeId'), ['int'])),
                            ('probestate', (YLeaf(YType.enumeration, 'probeState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackProbeState', '')])),
                        ])
                        self.probeid = None
                        self.probestate = None
                        self._segment_path = lambda: "ipsla-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.IpslaItems, ['probeid', 'probestate'], name, value)



                class ListItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	Type of list object
                    	**type**\:  :py:class:`TrackListObj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TrackListObj>`
                    
                    .. attribute:: percentageup
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    	**default value**\: 1
                    
                    .. attribute:: percentagedown
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    	**default value**\: 0
                    
                    .. attribute:: weightup
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**default value**\: 1
                    
                    .. attribute:: weightdown
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**default value**\: 0
                    
                    .. attribute:: obj_items
                    
                    	
                    	**type**\:  :py:class:`ObjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TrackItems.ObjectItems.ObjectList.ListItems, self).__init__()

                        self.yang_name = "list-items"
                        self.yang_parent_name = "Object-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("obj-items", ("obj_items", System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TrackListObj', '')])),
                            ('percentageup', (YLeaf(YType.uint16, 'percentageUp'), ['int'])),
                            ('percentagedown', (YLeaf(YType.uint16, 'percentageDown'), ['int'])),
                            ('weightup', (YLeaf(YType.uint16, 'weightUp'), ['int'])),
                            ('weightdown', (YLeaf(YType.uint16, 'weightDown'), ['int'])),
                        ])
                        self.type = None
                        self.percentageup = None
                        self.percentagedown = None
                        self.weightup = None
                        self.weightdown = None

                        self.obj_items = System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems()
                        self.obj_items.parent = self
                        self._children_name_map["obj_items"] = "obj-items"
                        self._segment_path = lambda: "list-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.ListItems, ['type', 'percentageup', 'percentagedown', 'weightup', 'weightdown'], name, value)


                    class ObjItems(Entity):
                        """
                        
                        
                        .. attribute:: member_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MemberList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems.MemberList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems, self).__init__()

                            self.yang_name = "obj-items"
                            self.yang_parent_name = "list-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Member-list", ("member_list", System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems.MemberList))])
                            self._leafs = OrderedDict()

                            self.member_list = YList(self)
                            self._segment_path = lambda: "obj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems, [], name, value)


                        class MemberList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Track ID of object to be tracked
                            	**type**\: int
                            
                            	**range:** 1..512
                            
                            .. attribute:: weight
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            	**default value**\: 10
                            
                            .. attribute:: not_
                            
                            	
                            	**type**\: bool
                            
                            	**default value**\: true
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems.MemberList, self).__init__()

                                self.yang_name = "Member-list"
                                self.yang_parent_name = "obj-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                    ('not_', (YLeaf(YType.boolean, 'not'), ['bool'])),
                                ])
                                self.id = None
                                self.weight = None
                                self.not_ = None
                                self._segment_path = lambda: "Member-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TrackItems.ObjectItems.ObjectList.ListItems.ObjItems.MemberList, ['id', 'weight', 'not_'], name, value)








    class UdldItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.UdldItems, self).__init__()

            self.yang_name = "udld-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.UdldItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.UdldItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "udld-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.UdldItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: aggressive
            
            	Global Aggressive Mode
            	**type**\:  :py:class:`UdldAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.UdldAdminSt>`
            
            .. attribute:: msgintvl
            
            	Probe Message Interval
            	**type**\: int
            
            	**range:** 7..90
            
            .. attribute:: error
            
            	
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            	**default value**\: 0
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: physif_items
            
            	
            	**type**\:  :py:class:`PhysifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UdldItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "udld-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("physif-items", ("physif_items", System.UdldItems.InstItems.PhysifItems))])
                self._leafs = OrderedDict([
                    ('aggressive', (YLeaf(YType.enumeration, 'aggressive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'UdldAdminSt', '')])),
                    ('msgintvl', (YLeaf(YType.uint8, 'msgIntvl'), ['int'])),
                    ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.aggressive = None
                self.msgintvl = None
                self.error = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.physif_items = System.UdldItems.InstItems.PhysifItems()
                self.physif_items.parent = self
                self._children_name_map["physif_items"] = "physif-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/udld-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UdldItems.InstItems, ['aggressive', 'msgintvl', 'error', 'name', 'adminst', 'ctrl'], name, value)


            class PhysifItems(Entity):
                """
                
                
                .. attribute:: physif_list
                
                	
                	**type**\: list of  		 :py:class:`PhysIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UdldItems.InstItems.PhysifItems, self).__init__()

                    self.yang_name = "physif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("PhysIf-list", ("physif_list", System.UdldItems.InstItems.PhysifItems.PhysIfList))])
                    self._leafs = OrderedDict()

                    self.physif_list = YList(self)
                    self._segment_path = lambda: "physif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/udld-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UdldItems.InstItems.PhysifItems, [], name, value)


                class PhysIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: aggressive
                    
                    	Interface Aggressive Mode
                    	**type**\:  :py:class:`UdldAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.UdldAdminSt>`
                    
                    .. attribute:: bidirdetect
                    
                    	Bidirectional Detection Enabled
                    	**type**\:  :py:class:`UdldPortEnable <ydk.models.cisco_nx_os.Cisco_NX_OS_device.UdldPortEnable>`
                    
                    .. attribute:: fiber
                    
                    	Fiber Port
                    	**type**\:  :py:class:`UdldOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.UdldOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: error
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: ptimest_items
                    
                    	
                    	**type**\:  :py:class:`PtimestItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UdldItems.InstItems.PhysifItems.PhysIfList, self).__init__()

                        self.yang_name = "PhysIf-list"
                        self.yang_parent_name = "physif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("ptimest-items", ("ptimest_items", System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.UdldItems.InstItems.PhysifItems.PhysIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('aggressive', (YLeaf(YType.enumeration, 'aggressive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'UdldAdminSt', '')])),
                            ('bidirdetect', (YLeaf(YType.enumeration, 'biDirDetect'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'UdldPortEnable', '')])),
                            ('fiber', (YLeaf(YType.enumeration, 'fiber'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'UdldOperSt', '')])),
                            ('error', (YLeaf(YType.uint64, 'error'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.id = None
                        self.aggressive = None
                        self.bidirdetect = None
                        self.fiber = None
                        self.error = None
                        self.name = None
                        self.descr = None

                        self.ptimest_items = System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems()
                        self.ptimest_items.parent = self
                        self._children_name_map["ptimest_items"] = "ptimest-items"

                        self.rtvrfmbr_items = System.UdldItems.InstItems.PhysifItems.PhysIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "PhysIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/udld-items/inst-items/physif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList, ['id', 'aggressive', 'bidirdetect', 'fiber', 'error', 'name', 'descr'], name, value)


                    class PtimestItems(Entity):
                        """
                        
                        
                        .. attribute:: pktts_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PktTsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems.PktTsList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems, self).__init__()

                            self.yang_name = "ptimest-items"
                            self.yang_parent_name = "PhysIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PktTs-list", ("pktts_list", System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems.PktTsList))])
                            self._leafs = OrderedDict()

                            self.pktts_list = YList(self)
                            self._segment_path = lambda: "ptimest-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems, [], name, value)


                        class PktTsList(Entity):
                            """
                            
                            
                            .. attribute:: dir  (key)
                            
                            	Packet Direction
                            	**type**\:  :py:class:`UdldPktDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.UdldPktDirection>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems.PktTsList, self).__init__()

                                self.yang_name = "PktTs-list"
                                self.yang_parent_name = "ptimest-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['dir']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'UdldPktDirection', '')])),
                                ])
                                self.dir = None
                                self._segment_path = lambda: "PktTs-list" + "[dir='" + str(self.dir) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList.PtimestItems.PktTsList, ['dir'], name, value)




                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "PhysIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "PhysIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UdldItems.InstItems.PhysifItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class AcllogItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AcllogItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.AcllogItems, self).__init__()

            self.yang_name = "acllog-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.AcllogItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.AcllogItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "acllog-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.AcllogItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: log_items
            
            	
            	**type**\:  :py:class:`LogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AcllogItems.InstItems.LogItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AcllogItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "acllog-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("log-items", ("log_items", System.AcllogItems.InstItems.LogItems))])
                self._leafs = OrderedDict()

                self.log_items = System.AcllogItems.InstItems.LogItems()
                self.log_items.parent = self
                self._children_name_map["log_items"] = "log-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/acllog-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AcllogItems.InstItems, [], name, value)


            class LogItems(Entity):
                """
                
                
                .. attribute:: interval
                
                	
                	**type**\: str
                
                	**length:** 5..86400
                
                .. attribute:: matchlevel
                
                	
                	**type**\: int
                
                	**range:** 0..7
                
                	**default value**\: 6
                
                .. attribute:: loglevel
                
                	
                	**type**\: int
                
                	**range:** 0..7
                
                	**default value**\: 2
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AcllogItems.InstItems.LogItems, self).__init__()

                    self.yang_name = "log-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('interval', (YLeaf(YType.str, 'interval'), ['str'])),
                        ('matchlevel', (YLeaf(YType.uint8, 'matchLevel'), ['int'])),
                        ('loglevel', (YLeaf(YType.uint8, 'logLevel'), ['int'])),
                    ])
                    self.interval = None
                    self.matchlevel = None
                    self.loglevel = None
                    self._segment_path = lambda: "log-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/acllog-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AcllogItems.InstItems.LogItems, ['interval', 'matchlevel', 'loglevel'], name, value)





    class BdItems(Entity):
        """
        
        
        .. attribute:: descr
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: sysdefaultsviautostate
        
        	Disable/enable autoState for SVI interface
        	**type**\:  :py:class:`BdDefaultSVIAutoState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BdDefaultSVIAutoState>`
        
        .. attribute:: vlanconfig_items
        
        	
        	**type**\:  :py:class:`VlanconfigItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems>`
        
        .. attribute:: bd_items
        
        	
        	**type**\:  :py:class:`BdItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_>`
        
        .. attribute:: vlan_items
        
        	
        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems>`
        
        .. attribute:: vxlan_items
        
        	
        	**type**\:  :py:class:`VxlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BdItems, self).__init__()

            self.yang_name = "bd-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vlanconfig-items", ("vlanconfig_items", System.BdItems.VlanconfigItems)), ("bd-items", ("bd_items", System.BdItems.BdItems_)), ("vlan-items", ("vlan_items", System.BdItems.VlanItems)), ("vxlan-items", ("vxlan_items", System.BdItems.VxlanItems))])
            self._leafs = OrderedDict([
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ('sysdefaultsviautostate', (YLeaf(YType.enumeration, 'sysDefaultSVIAutostate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BdDefaultSVIAutoState', '')])),
            ])
            self.descr = None
            self.sysdefaultsviautostate = None

            self.vlanconfig_items = System.BdItems.VlanconfigItems()
            self.vlanconfig_items.parent = self
            self._children_name_map["vlanconfig_items"] = "vlanconfig-items"

            self.bd_items = System.BdItems.BdItems_()
            self.bd_items.parent = self
            self._children_name_map["bd_items"] = "bd-items"

            self.vlan_items = System.BdItems.VlanItems()
            self.vlan_items.parent = self
            self._children_name_map["vlan_items"] = "vlan-items"

            self.vxlan_items = System.BdItems.VxlanItems()
            self.vxlan_items.parent = self
            self._children_name_map["vxlan_items"] = "vxlan-items"
            self._segment_path = lambda: "bd-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BdItems, ['descr', 'sysdefaultsviautostate'], name, value)


        class VlanconfigItems(Entity):
            """
            
            
            .. attribute:: vlanconfig_list
            
            	
            	**type**\: list of  		 :py:class:`VlanConfigList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BdItems.VlanconfigItems, self).__init__()

                self.yang_name = "vlanconfig-items"
                self.yang_parent_name = "bd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VlanConfig-list", ("vlanconfig_list", System.BdItems.VlanconfigItems.VlanConfigList))])
                self._leafs = OrderedDict()

                self.vlanconfig_list = YList(self)
                self._segment_path = lambda: "vlanconfig-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BdItems.VlanconfigItems, [], name, value)


            class VlanConfigList(Entity):
                """
                
                
                .. attribute:: accencap  (key)
                
                	
                	**type**\: str
                
                .. attribute:: ipqos_items
                
                	
                	**type**\:  :py:class:`IpqosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BdItems.VlanconfigItems.VlanConfigList, self).__init__()

                    self.yang_name = "VlanConfig-list"
                    self.yang_parent_name = "vlanconfig-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['accencap']
                    self._child_classes = OrderedDict([("ipqos-items", ("ipqos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems))])
                    self._leafs = OrderedDict([
                        ('accencap', (YLeaf(YType.str, 'accEncap'), ['str'])),
                    ])
                    self.accencap = None

                    self.ipqos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems()
                    self.ipqos_items.parent = self
                    self._children_name_map["ipqos_items"] = "ipqos-items"
                    self._segment_path = lambda: "VlanConfig-list" + "[accEncap='" + str(self.accencap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/vlanconfig-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList, ['accencap'], name, value)


                class IpqosItems(Entity):
                    """
                    
                    
                    .. attribute:: statsstate
                    
                    	Globally enable/disable QoS statistics
                    	**type**\:  :py:class:`IpqosStatsState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsState>`
                    
                    .. attribute:: statclear_items
                    
                    	
                    	**type**\:  :py:class:`StatClearItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.StatClearItems>`
                    
                    .. attribute:: queuing_items
                    
                    	
                    	**type**\:  :py:class:`QueuingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems>`
                    
                    .. attribute:: nw_items
                    
                    	
                    	**type**\:  :py:class:`NwItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems>`
                    
                    .. attribute:: dflt_items
                    
                    	
                    	**type**\:  :py:class:`DfltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems, self).__init__()

                        self.yang_name = "ipqos-items"
                        self.yang_parent_name = "VlanConfig-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("statClear-items", ("statclear_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.StatClearItems)), ("queuing-items", ("queuing_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems)), ("nw-items", ("nw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems)), ("dflt-items", ("dflt_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems))])
                        self._leafs = OrderedDict([
                            ('statsstate', (YLeaf(YType.enumeration, 'statsState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsState', '')])),
                        ])
                        self.statsstate = None

                        self.statclear_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.StatClearItems()
                        self.statclear_items.parent = self
                        self._children_name_map["statclear_items"] = "statClear-items"

                        self.queuing_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems()
                        self.queuing_items.parent = self
                        self._children_name_map["queuing_items"] = "queuing-items"

                        self.nw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems()
                        self.nw_items.parent = self
                        self._children_name_map["nw_items"] = "nw-items"

                        self.dflt_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems()
                        self.dflt_items.parent = self
                        self._children_name_map["dflt_items"] = "dflt-items"
                        self._segment_path = lambda: "ipqos-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems, ['statsstate'], name, value)


                    class StatClearItems(Entity):
                        """
                        
                        
                        .. attribute:: pmaptype
                        
                        	policy\-map type
                        	**type**\:  :py:class:`IpqosPolicyType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPolicyType>`
                        
                        .. attribute:: direction
                        
                        	policy\-map direction input or output
                        	**type**\:  :py:class:`IpqosPolicyDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPolicyDirection>`
                        
                        .. attribute:: ethernet
                        
                        	list of ethernet interfaces
                        	**type**\: str
                        
                        .. attribute:: vlan
                        
                        	list of vlan interfaces
                        	**type**\: str
                        
                        .. attribute:: portchan
                        
                        	list of port\-channel interfaces
                        	**type**\: str
                        
                        .. attribute:: timestamp
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.StatClearItems, self).__init__()

                            self.yang_name = "statClear-items"
                            self.yang_parent_name = "ipqos-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pmaptype', (YLeaf(YType.enumeration, 'pmapType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPolicyType', '')])),
                                ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPolicyDirection', '')])),
                                ('ethernet', (YLeaf(YType.str, 'ethernet'), ['str'])),
                                ('vlan', (YLeaf(YType.str, 'vlan'), ['str'])),
                                ('portchan', (YLeaf(YType.str, 'portChan'), ['str'])),
                                ('timestamp', (YLeaf(YType.str, 'timeStamp'), ['str'])),
                            ])
                            self.pmaptype = None
                            self.direction = None
                            self.ethernet = None
                            self.vlan = None
                            self.portchan = None
                            self.timestamp = None
                            self._segment_path = lambda: "statClear-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.StatClearItems, ['pmaptype', 'direction', 'ethernet', 'vlan', 'portchan', 'timestamp'], name, value)



                    class QueuingItems(Entity):
                        """
                        
                        
                        .. attribute:: policy_items
                        
                        	
                        	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems>`
                        
                        .. attribute:: c_items
                        
                        	
                        	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems>`
                        
                        .. attribute:: p_items
                        
                        	
                        	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems>`
                        
                        .. attribute:: copypmap_items
                        
                        	
                        	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CopyPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems, self).__init__()

                            self.yang_name = "queuing-items"
                            self.yang_parent_name = "ipqos-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("policy-items", ("policy_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems)), ("c-items", ("c_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems)), ("p-items", ("p_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems)), ("copyPMap-items", ("copypmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CopyPMapItems))])
                            self._leafs = OrderedDict()

                            self.policy_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems()
                            self.policy_items.parent = self
                            self._children_name_map["policy_items"] = "policy-items"

                            self.c_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems()
                            self.c_items.parent = self
                            self._children_name_map["c_items"] = "c-items"

                            self.p_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems()
                            self.p_items.parent = self
                            self._children_name_map["p_items"] = "p-items"

                            self.copypmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CopyPMapItems()
                            self.copypmap_items.parent = self
                            self._children_name_map["copypmap_items"] = "copyPMap-items"
                            self._segment_path = lambda: "queuing-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems, [], name, value)


                        class PolicyItems(Entity):
                            """
                            
                            
                            .. attribute:: in_items
                            
                            	
                            	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems>`
                            
                            .. attribute:: out_items
                            
                            	
                            	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems, self).__init__()

                                self.yang_name = "policy-items"
                                self.yang_parent_name = "queuing-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("in-items", ("in_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems)), ("out-items", ("out_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems))])
                                self._leafs = OrderedDict()

                                self.in_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems()
                                self.in_items.parent = self
                                self._children_name_map["in_items"] = "in-items"

                                self.out_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems()
                                self.out_items.parent = self
                                self._children_name_map["out_items"] = "out-items"
                                self._segment_path = lambda: "policy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems, [], name, value)


                            class InItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems, self).__init__()

                                    self.yang_name = "in-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "in-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                            class OutItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems, self).__init__()

                                    self.yang_name = "out-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "out-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






                        class CItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems, self).__init__()

                                self.yang_name = "c-items"
                                self.yang_parent_name = "queuing-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "c-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: cmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "c-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.cmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems, [], name, value)


                                class CMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of class\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: acl_items
                                    
                                    	
                                    	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems>`
                                    
                                    .. attribute:: dscp_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems>`
                                    
                                    .. attribute:: iprtp_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                                    
                                    .. attribute:: packetlength_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                                    
                                    .. attribute:: cos_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems>`
                                    
                                    .. attribute:: mplsexperimental_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                                    
                                    .. attribute:: precedence_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                                    
                                    .. attribute:: protocol_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: dscpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                                    
                                    .. attribute:: cosnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems>`
                                    
                                    .. attribute:: mplsexperimentalnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                                    
                                    .. attribute:: precedencenot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                                    
                                    .. attribute:: protocolnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                                    
                                    .. attribute:: iprtpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                                    
                                    .. attribute:: packetlengthnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                                    
                                    .. attribute:: grp_items
                                    
                                    	
                                    	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems>`
                                    
                                    .. attribute:: rsclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList, self).__init__()

                                        self.yang_name = "CMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("acl-items", ("acl_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.configstatus = None

                                        self.acl_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems()
                                        self.acl_items.parent = self
                                        self._children_name_map["acl_items"] = "acl-items"

                                        self.dscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems()
                                        self.dscp_items.parent = self
                                        self._children_name_map["dscp_items"] = "dscp-items"

                                        self.iprtp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems()
                                        self.iprtp_items.parent = self
                                        self._children_name_map["iprtp_items"] = "ipRtp-items"

                                        self.packetlength_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                                        self.packetlength_items.parent = self
                                        self._children_name_map["packetlength_items"] = "packetLength-items"

                                        self.cos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems()
                                        self.cos_items.parent = self
                                        self._children_name_map["cos_items"] = "cos-items"

                                        self.mplsexperimental_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                                        self.mplsexperimental_items.parent = self
                                        self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                                        self.precedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                                        self.precedence_items.parent = self
                                        self._children_name_map["precedence_items"] = "precedence-items"

                                        self.protocol_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems()
                                        self.protocol_items.parent = self
                                        self._children_name_map["protocol_items"] = "protocol-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.dscpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems()
                                        self.dscpnot_items.parent = self
                                        self._children_name_map["dscpnot_items"] = "dscpNot-items"

                                        self.cosnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems()
                                        self.cosnot_items.parent = self
                                        self._children_name_map["cosnot_items"] = "cosNot-items"

                                        self.mplsexperimentalnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                                        self.mplsexperimentalnot_items.parent = self
                                        self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                                        self.precedencenot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                                        self.precedencenot_items.parent = self
                                        self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                                        self.protocolnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                                        self.protocolnot_items.parent = self
                                        self._children_name_map["protocolnot_items"] = "protocolNot-items"

                                        self.iprtpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                                        self.iprtpnot_items.parent = self
                                        self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                                        self.packetlengthnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                                        self.packetlengthnot_items.parent = self
                                        self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                                        self.grp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems()
                                        self.grp_items.parent = self
                                        self._children_name_map["grp_items"] = "grp-items"

                                        self.rsclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                                        self.rsclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                                    class AclItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: acl_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                            self.yang_name = "acl-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                            self._leafs = OrderedDict()

                                            self.acl_list = YList(self)
                                            self._segment_path = lambda: "acl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                                        class AclList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using ACL
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                                self.yang_name = "Acl-list"
                                                self.yang_parent_name = "acl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                                    class DscpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: dscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                            self.yang_name = "dscp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                            self._leafs = OrderedDict()

                                            self.dscp_list = YList(self)
                                            self._segment_path = lambda: "dscp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                                        class DscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                                self.yang_name = "Dscp-list"
                                                self.yang_parent_name = "dscp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                                    class IpRtpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                            self.yang_name = "ipRtp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                            self.yang_name = "packetLength-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLength-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                                    class CosItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                            self.yang_name = "cos-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                            self._leafs = OrderedDict()

                                            self.cos_list = YList(self)
                                            self._segment_path = lambda: "cos-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                                        class CosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                                self.yang_name = "Cos-list"
                                                self.yang_parent_name = "cos-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                            self.yang_name = "mplsExperimental-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.mplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimental-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                                        class MPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	MPLS experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                                self.yang_name = "MPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimental-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: precedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                            self.yang_name = "precedence-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.precedence_list = YList(self)
                                            self._segment_path = lambda: "precedence-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                                        class PrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                                self.yang_name = "Precedence-list"
                                                self.yang_parent_name = "precedence-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: protocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                            self.yang_name = "protocol-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.protocol_list = YList(self)
                                            self._segment_path = lambda: "protocol-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                                        class ProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                                self.yang_name = "Protocol-list"
                                                self.yang_parent_name = "protocol-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                                    class DscpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notdscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                            self.yang_name = "dscpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                            self._leafs = OrderedDict()

                                            self.notdscp_list = YList(self)
                                            self._segment_path = lambda: "dscpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                                        class NotDscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                                self.yang_name = "NotDscp-list"
                                                self.yang_parent_name = "dscpNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                                    class CosNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notcos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                            self.yang_name = "cosNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                            self._leafs = OrderedDict()

                                            self.notcos_list = YList(self)
                                            self._segment_path = lambda: "cosNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                                        class NotCosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                                self.yang_name = "NotCos-list"
                                                self.yang_parent_name = "cosNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notmplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                            self.yang_name = "mplsExperimentalNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.notmplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimentalNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                                        class NotMPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not mpls experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                                self.yang_name = "NotMPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimentalNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprecedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                            self.yang_name = "precedenceNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.notprecedence_list = YList(self)
                                            self._segment_path = lambda: "precedenceNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                                        class NotPrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                                self.yang_name = "NotPrecedence-list"
                                                self.yang_parent_name = "precedenceNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprotocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                            self.yang_name = "protocolNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.notprotocol_list = YList(self)
                                            self._segment_path = lambda: "protocolNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                                        class NotProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                                self.yang_name = "NotProtocol-list"
                                                self.yang_parent_name = "protocolNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                                    class IpRtpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                            self.yang_name = "ipRtpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                            self.yang_name = "packetLengthNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLengthNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                                    class GrpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: qosgrp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                            self.yang_name = "grp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                            self._leafs = OrderedDict()

                                            self.qosgrp_list = YList(self)
                                            self._segment_path = lambda: "grp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                                        class QoSGrpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: id  (key)
                                            
                                            	QoS group ID
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                                self.yang_name = "QoSGrp-list"
                                                self.yang_parent_name = "grp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['id']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.id = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                                    class RsclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rsclassmaptopolicymap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rsclassMapToPolicyMap-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                            self._leafs = OrderedDict()

                                            self.rsclassmaptopolicymap_list = YList(self)
                                            self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                                        class RsClassMapToPolicyMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                                self.yang_name = "RsClassMapToPolicyMap-list"
                                                self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







                        class PItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems, self).__init__()

                                self.yang_name = "p-items"
                                self.yang_parent_name = "queuing-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "p-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: pmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "p-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.pmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems, [], name, value)


                                class PMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of policy\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: refcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: cmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: rtipqospolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                                    
                                    .. attribute:: rtclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList, self).__init__()

                                        self.yang_name = "PMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.refcount = None
                                        self.configstatus = None

                                        self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems()
                                        self.cmap_items.parent = self
                                        self._children_name_map["cmap_items"] = "cmap-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.rtipqospolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                                        self.rtipqospolicyinsttopmap_items.parent = self
                                        self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                                        self.rtclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                                        self.rtclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                                    class CmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: matchcmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                            self.yang_name = "cmap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                            self._leafs = OrderedDict()

                                            self.matchcmap_list = YList(self)
                                            self._segment_path = lambda: "cmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                                        class MatchCMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using class\-map
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: prevcmap
                                            
                                            	Insert after the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: nextcmap
                                            
                                            	Insert before the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: setcos_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                            
                                            .. attribute:: mtu_items
                                            
                                            	
                                            	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                            
                                            .. attribute:: setprecedence_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                            
                                            .. attribute:: setdscp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                            
                                            .. attribute:: setgrp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                            
                                            .. attribute:: setdlbdisable_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                            
                                            .. attribute:: queuelimit_items
                                            
                                            	
                                            	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                            
                                            .. attribute:: pause_items
                                            
                                            	
                                            	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                            
                                            .. attribute:: dpp_items
                                            
                                            	
                                            	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                            
                                            .. attribute:: setbw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                            
                                            .. attribute:: setrembw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                            
                                            .. attribute:: shape_items
                                            
                                            	
                                            	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                            
                                            .. attribute:: police_items
                                            
                                            	
                                            	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                            
                                            .. attribute:: prio_items
                                            
                                            	
                                            	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                            
                                            .. attribute:: randdet_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                            
                                            .. attribute:: randdetnonecn_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                                self.yang_name = "MatchCMap-list"
                                                self.yang_parent_name = "cmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                                    ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.prevcmap = None
                                                self.nextcmap = None
                                                self.configstatus = None

                                                self.setcos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                                self.setcos_items.parent = self
                                                self._children_name_map["setcos_items"] = "setCos-items"

                                                self.mtu_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                                self.mtu_items.parent = self
                                                self._children_name_map["mtu_items"] = "mtu-items"

                                                self.setprecedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                                self.setprecedence_items.parent = self
                                                self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                                self.setdscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                                self.setdscp_items.parent = self
                                                self._children_name_map["setdscp_items"] = "setDscp-items"

                                                self.setgrp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                                self.setgrp_items.parent = self
                                                self._children_name_map["setgrp_items"] = "setGrp-items"

                                                self.setdlbdisable_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                                self.setdlbdisable_items.parent = self
                                                self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                                self.queuelimit_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                                self.queuelimit_items.parent = self
                                                self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                                self.pause_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                                self.pause_items.parent = self
                                                self._children_name_map["pause_items"] = "pause-items"

                                                self.dpp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                                self.dpp_items.parent = self
                                                self._children_name_map["dpp_items"] = "dpp-items"

                                                self.setbw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                                self.setbw_items.parent = self
                                                self._children_name_map["setbw_items"] = "setBW-items"

                                                self.setrembw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                                self.setrembw_items.parent = self
                                                self._children_name_map["setrembw_items"] = "setRemBW-items"

                                                self.shape_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                                self.shape_items.parent = self
                                                self._children_name_map["shape_items"] = "shape-items"

                                                self.police_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                                self.police_items.parent = self
                                                self._children_name_map["police_items"] = "police-items"

                                                self.prio_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                                self.prio_items.parent = self
                                                self._children_name_map["prio_items"] = "prio-items"

                                                self.randdet_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                                self.randdet_items.parent = self
                                                self._children_name_map["randdet_items"] = "RandDet-items"

                                                self.randdetnonecn_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                                self.randdetnonecn_items.parent = self
                                                self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                                self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                            class SetCosItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Cos value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                                    self.yang_name = "setCos-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setCos-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                            class MtuItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: value
                                                
                                                	Set MTU value
                                                	**type**\: int
                                                
                                                	**range:** 576..9216
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                                    self.yang_name = "mtu-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.value = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "mtu-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                            class SetPrecedenceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Precedence value
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                                    self.yang_name = "setPrecedence-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setPrecedence-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetDscpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Dscp value
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                                    self.yang_name = "setDscp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDscp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetGrpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id
                                                
                                                	QoS group ID
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                                    self.yang_name = "setGrp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.id = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setGrp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                            class SetDlbDisableItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                                    self.yang_name = "setDlbDisable-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDlbDisable-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                            class QueueLimitItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: queuelimitval
                                                
                                                	Value in bytes/kbytes/mbytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: queuelimitunit
                                                
                                                	Bytes/kbytes/mbytes
                                                	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                                
                                                .. attribute:: dynamic
                                                
                                                	Queue\-limit dynamic value
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                                    self.yang_name = "QueueLimit-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                                        ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                                        ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.queuelimitval = None
                                                    self.queuelimitunit = None
                                                    self.dynamic = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "QueueLimit-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                            class PauseItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: buffersize
                                                
                                                	size in bytes
                                                	**type**\: int
                                                
                                                	**range:** 5000..12582913
                                                
                                                .. attribute:: pausethreshold
                                                
                                                	xoff bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: resumethreshold
                                                
                                                	xon bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: pfccos0
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos1
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos2
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos3
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos4
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos5
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos6
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos7
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: receive
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                                    self.yang_name = "pause-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                                        ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                                        ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                                        ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                                        ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                                        ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                                        ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                                        ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                                        ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                                        ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                                        ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                                        ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.buffersize = None
                                                    self.pausethreshold = None
                                                    self.resumethreshold = None
                                                    self.pfccos0 = None
                                                    self.pfccos1 = None
                                                    self.pfccos2 = None
                                                    self.pfccos3 = None
                                                    self.pfccos4 = None
                                                    self.pfccos5 = None
                                                    self.pfccos6 = None
                                                    self.pfccos7 = None
                                                    self.receive = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "pause-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                            class DppItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: setqosgroup
                                                
                                                	QoS Group Value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                                    self.yang_name = "dpp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                                    ])
                                                    self.setqosgroup = None
                                                    self._segment_path = lambda: "dpp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                            class SetBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Available bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                                    self.yang_name = "setBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                            class SetRemBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Remaining bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                                    self.yang_name = "setRemBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setRemBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                            class ShapeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: min
                                                
                                                	Minimum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: minrateunit
                                                
                                                	Minimum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: max
                                                
                                                	Maximum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: maxrateunit
                                                
                                                	Maximum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                                    self.yang_name = "shape-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                                        ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                                        ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.min = None
                                                    self.minrateunit = None
                                                    self.max = None
                                                    self.maxrateunit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "shape-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                            class PoliceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cirrate
                                                
                                                	CIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: cirunit
                                                
                                                	CIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: bcrate
                                                
                                                	CIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: bcunit
                                                
                                                	CIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: pirrate
                                                
                                                	PIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: pirunit
                                                
                                                	PIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: berate
                                                
                                                	PIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: beunit
                                                
                                                	PIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: conformaction
                                                
                                                	Conform action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: conformsetcostransmit
                                                
                                                	set cos for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: conformsetdscptransmit
                                                
                                                	set dscp for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: conformsetprectransmit
                                                
                                                	set precedence for conforming traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: conformsetqosgrptransmit
                                                
                                                	set qos\-group for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedaction
                                                
                                                	Exceed action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: exceedsetcostransmit
                                                
                                                	set cos for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedsetdscptransmit
                                                
                                                	set dscp for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: exceedsetprectransmit
                                                
                                                	set precedence for exceeding traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: exceedsetqosgrptransmit
                                                
                                                	set qos\-group for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violateaction
                                                
                                                	Violate action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: violatesetcostransmit
                                                
                                                	set cos for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violatesetdscptransmit
                                                
                                                	set dscp for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: violatesetprectransmit
                                                
                                                	set precedence for violating traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: violatesetqosgrptransmit
                                                
                                                	set qos\-group for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                                    self.yang_name = "police-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                                        ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                                        ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                                        ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                                        ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                                        ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                                        ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                                        ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                                        ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                                        ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                                        ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                                        ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                                        ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.cirrate = None
                                                    self.cirunit = None
                                                    self.bcrate = None
                                                    self.bcunit = None
                                                    self.pirrate = None
                                                    self.pirunit = None
                                                    self.berate = None
                                                    self.beunit = None
                                                    self.conformaction = None
                                                    self.conformsetcostransmit = None
                                                    self.conformsetdscptransmit = None
                                                    self.conformsetprectransmit = None
                                                    self.conformsetqosgrptransmit = None
                                                    self.exceedaction = None
                                                    self.exceedsetcostransmit = None
                                                    self.exceedsetdscptransmit = None
                                                    self.exceedsetprectransmit = None
                                                    self.exceedsetqosgrptransmit = None
                                                    self.violateaction = None
                                                    self.violatesetcostransmit = None
                                                    self.violatesetdscptransmit = None
                                                    self.violatesetprectransmit = None
                                                    self.violatesetqosgrptransmit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "police-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                            class PrioItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: level
                                                
                                                	Optional priority level
                                                	**type**\: int
                                                
                                                	**range:** 1..8
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                                    self.yang_name = "prio-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.level = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "prio-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                            class RandDetItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthreshold
                                                
                                                	min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunit
                                                
                                                	min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthreshold
                                                
                                                	max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunit
                                                
                                                	max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavail
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: weight
                                                
                                                	weight range
                                                	**type**\: int
                                                
                                                	**range:** 0..15
                                                
                                                .. attribute:: capaverage
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: optimization
                                                
                                                	random optimization type
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: ecn
                                                
                                                	
                                                	**type**\: bool
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                                    self.yang_name = "RandDet-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                                        ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                                        ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                                        ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                                        ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                                        ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                                    ])
                                                    self.minthreshold = None
                                                    self.minthresholdunit = None
                                                    self.maxthreshold = None
                                                    self.maxthresholdunit = None
                                                    self.dropavail = None
                                                    self.weight = None
                                                    self.capaverage = None
                                                    self.optimization = None
                                                    self.ecn = None
                                                    self._segment_path = lambda: "RandDet-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                            class RandDetNonEcnItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthresholdnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunitnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthresholdnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunitnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavailnonecn
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                                    self.yang_name = "RandDetNonEcn-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                                        ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                                        ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                                    ])
                                                    self.minthresholdnonecn = None
                                                    self.minthresholdunitnonecn = None
                                                    self.maxthresholdnonecn = None
                                                    self.maxthresholdunitnonecn = None
                                                    self.dropavailnonecn = None
                                                    self._segment_path = lambda: "RandDetNonEcn-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                                    class RtipqosPolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtipqospolicyinsttopmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rtipqosPolicyInstToPMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                            self._leafs = OrderedDict()

                                            self.rtipqospolicyinsttopmap_list = YList(self)
                                            self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                                        class RtIpqosPolicyInstToPMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                                self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                                self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                                    class RtclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rtclassMapToPolicyMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






                        class CopyPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: lastfrom
                            
                            	Name of source policy\-map to copy from
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            .. attribute:: lastto
                            
                            	Name of policy\-map resulting from copying
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CopyPMapItems, self).__init__()

                                self.yang_name = "copyPMap-items"
                                self.yang_parent_name = "queuing-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                                    ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                                ])
                                self.lastfrom = None
                                self.lastto = None
                                self._segment_path = lambda: "copyPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.QueuingItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)




                    class NwItems(Entity):
                        """
                        
                        
                        .. attribute:: policy_items
                        
                        	
                        	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems>`
                        
                        .. attribute:: c_items
                        
                        	
                        	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems>`
                        
                        .. attribute:: p_items
                        
                        	
                        	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems>`
                        
                        .. attribute:: copypmap_items
                        
                        	
                        	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CopyPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems, self).__init__()

                            self.yang_name = "nw-items"
                            self.yang_parent_name = "ipqos-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("policy-items", ("policy_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems)), ("c-items", ("c_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems)), ("p-items", ("p_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems)), ("copyPMap-items", ("copypmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CopyPMapItems))])
                            self._leafs = OrderedDict()

                            self.policy_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems()
                            self.policy_items.parent = self
                            self._children_name_map["policy_items"] = "policy-items"

                            self.c_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems()
                            self.c_items.parent = self
                            self._children_name_map["c_items"] = "c-items"

                            self.p_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems()
                            self.p_items.parent = self
                            self._children_name_map["p_items"] = "p-items"

                            self.copypmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CopyPMapItems()
                            self.copypmap_items.parent = self
                            self._children_name_map["copypmap_items"] = "copyPMap-items"
                            self._segment_path = lambda: "nw-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems, [], name, value)


                        class PolicyItems(Entity):
                            """
                            
                            
                            .. attribute:: in_items
                            
                            	
                            	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems>`
                            
                            .. attribute:: out_items
                            
                            	
                            	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems, self).__init__()

                                self.yang_name = "policy-items"
                                self.yang_parent_name = "nw-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("in-items", ("in_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems)), ("out-items", ("out_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems))])
                                self._leafs = OrderedDict()

                                self.in_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems()
                                self.in_items.parent = self
                                self._children_name_map["in_items"] = "in-items"

                                self.out_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems()
                                self.out_items.parent = self
                                self._children_name_map["out_items"] = "out-items"
                                self._segment_path = lambda: "policy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems, [], name, value)


                            class InItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems, self).__init__()

                                    self.yang_name = "in-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "in-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                            class OutItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems, self).__init__()

                                    self.yang_name = "out-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "out-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






                        class CItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems, self).__init__()

                                self.yang_name = "c-items"
                                self.yang_parent_name = "nw-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "c-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: cmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "c-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.cmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems, [], name, value)


                                class CMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of class\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: acl_items
                                    
                                    	
                                    	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems>`
                                    
                                    .. attribute:: dscp_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems>`
                                    
                                    .. attribute:: iprtp_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                                    
                                    .. attribute:: packetlength_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                                    
                                    .. attribute:: cos_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems>`
                                    
                                    .. attribute:: mplsexperimental_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                                    
                                    .. attribute:: precedence_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                                    
                                    .. attribute:: protocol_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: dscpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                                    
                                    .. attribute:: cosnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems>`
                                    
                                    .. attribute:: mplsexperimentalnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                                    
                                    .. attribute:: precedencenot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                                    
                                    .. attribute:: protocolnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                                    
                                    .. attribute:: iprtpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                                    
                                    .. attribute:: packetlengthnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                                    
                                    .. attribute:: grp_items
                                    
                                    	
                                    	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems>`
                                    
                                    .. attribute:: rsclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList, self).__init__()

                                        self.yang_name = "CMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("acl-items", ("acl_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.configstatus = None

                                        self.acl_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems()
                                        self.acl_items.parent = self
                                        self._children_name_map["acl_items"] = "acl-items"

                                        self.dscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems()
                                        self.dscp_items.parent = self
                                        self._children_name_map["dscp_items"] = "dscp-items"

                                        self.iprtp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems()
                                        self.iprtp_items.parent = self
                                        self._children_name_map["iprtp_items"] = "ipRtp-items"

                                        self.packetlength_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                                        self.packetlength_items.parent = self
                                        self._children_name_map["packetlength_items"] = "packetLength-items"

                                        self.cos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems()
                                        self.cos_items.parent = self
                                        self._children_name_map["cos_items"] = "cos-items"

                                        self.mplsexperimental_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                                        self.mplsexperimental_items.parent = self
                                        self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                                        self.precedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                                        self.precedence_items.parent = self
                                        self._children_name_map["precedence_items"] = "precedence-items"

                                        self.protocol_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems()
                                        self.protocol_items.parent = self
                                        self._children_name_map["protocol_items"] = "protocol-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.dscpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems()
                                        self.dscpnot_items.parent = self
                                        self._children_name_map["dscpnot_items"] = "dscpNot-items"

                                        self.cosnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems()
                                        self.cosnot_items.parent = self
                                        self._children_name_map["cosnot_items"] = "cosNot-items"

                                        self.mplsexperimentalnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                                        self.mplsexperimentalnot_items.parent = self
                                        self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                                        self.precedencenot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                                        self.precedencenot_items.parent = self
                                        self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                                        self.protocolnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                                        self.protocolnot_items.parent = self
                                        self._children_name_map["protocolnot_items"] = "protocolNot-items"

                                        self.iprtpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                                        self.iprtpnot_items.parent = self
                                        self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                                        self.packetlengthnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                                        self.packetlengthnot_items.parent = self
                                        self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                                        self.grp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems()
                                        self.grp_items.parent = self
                                        self._children_name_map["grp_items"] = "grp-items"

                                        self.rsclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                                        self.rsclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                                    class AclItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: acl_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                            self.yang_name = "acl-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                            self._leafs = OrderedDict()

                                            self.acl_list = YList(self)
                                            self._segment_path = lambda: "acl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                                        class AclList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using ACL
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                                self.yang_name = "Acl-list"
                                                self.yang_parent_name = "acl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                                    class DscpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: dscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                            self.yang_name = "dscp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                            self._leafs = OrderedDict()

                                            self.dscp_list = YList(self)
                                            self._segment_path = lambda: "dscp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                                        class DscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                                self.yang_name = "Dscp-list"
                                                self.yang_parent_name = "dscp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                                    class IpRtpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                            self.yang_name = "ipRtp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                            self.yang_name = "packetLength-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLength-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                                    class CosItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                            self.yang_name = "cos-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                            self._leafs = OrderedDict()

                                            self.cos_list = YList(self)
                                            self._segment_path = lambda: "cos-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                                        class CosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                                self.yang_name = "Cos-list"
                                                self.yang_parent_name = "cos-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                            self.yang_name = "mplsExperimental-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.mplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimental-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                                        class MPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	MPLS experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                                self.yang_name = "MPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimental-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: precedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                            self.yang_name = "precedence-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.precedence_list = YList(self)
                                            self._segment_path = lambda: "precedence-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                                        class PrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                                self.yang_name = "Precedence-list"
                                                self.yang_parent_name = "precedence-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: protocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                            self.yang_name = "protocol-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.protocol_list = YList(self)
                                            self._segment_path = lambda: "protocol-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                                        class ProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                                self.yang_name = "Protocol-list"
                                                self.yang_parent_name = "protocol-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                                    class DscpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notdscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                            self.yang_name = "dscpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                            self._leafs = OrderedDict()

                                            self.notdscp_list = YList(self)
                                            self._segment_path = lambda: "dscpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                                        class NotDscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                                self.yang_name = "NotDscp-list"
                                                self.yang_parent_name = "dscpNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                                    class CosNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notcos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                            self.yang_name = "cosNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                            self._leafs = OrderedDict()

                                            self.notcos_list = YList(self)
                                            self._segment_path = lambda: "cosNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                                        class NotCosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                                self.yang_name = "NotCos-list"
                                                self.yang_parent_name = "cosNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notmplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                            self.yang_name = "mplsExperimentalNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.notmplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimentalNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                                        class NotMPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not mpls experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                                self.yang_name = "NotMPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimentalNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprecedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                            self.yang_name = "precedenceNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.notprecedence_list = YList(self)
                                            self._segment_path = lambda: "precedenceNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                                        class NotPrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                                self.yang_name = "NotPrecedence-list"
                                                self.yang_parent_name = "precedenceNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprotocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                            self.yang_name = "protocolNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.notprotocol_list = YList(self)
                                            self._segment_path = lambda: "protocolNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                                        class NotProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                                self.yang_name = "NotProtocol-list"
                                                self.yang_parent_name = "protocolNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                                    class IpRtpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                            self.yang_name = "ipRtpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                            self.yang_name = "packetLengthNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLengthNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                                    class GrpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: qosgrp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                            self.yang_name = "grp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                            self._leafs = OrderedDict()

                                            self.qosgrp_list = YList(self)
                                            self._segment_path = lambda: "grp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                                        class QoSGrpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: id  (key)
                                            
                                            	QoS group ID
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                                self.yang_name = "QoSGrp-list"
                                                self.yang_parent_name = "grp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['id']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.id = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                                    class RsclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rsclassmaptopolicymap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rsclassMapToPolicyMap-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                            self._leafs = OrderedDict()

                                            self.rsclassmaptopolicymap_list = YList(self)
                                            self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                                        class RsClassMapToPolicyMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                                self.yang_name = "RsClassMapToPolicyMap-list"
                                                self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







                        class PItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems, self).__init__()

                                self.yang_name = "p-items"
                                self.yang_parent_name = "nw-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "p-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: pmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "p-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.pmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems, [], name, value)


                                class PMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of policy\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: refcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: cmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: rtipqospolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                                    
                                    .. attribute:: rtclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList, self).__init__()

                                        self.yang_name = "PMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.refcount = None
                                        self.configstatus = None

                                        self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems()
                                        self.cmap_items.parent = self
                                        self._children_name_map["cmap_items"] = "cmap-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.rtipqospolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                                        self.rtipqospolicyinsttopmap_items.parent = self
                                        self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                                        self.rtclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                                        self.rtclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                                    class CmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: matchcmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                            self.yang_name = "cmap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                            self._leafs = OrderedDict()

                                            self.matchcmap_list = YList(self)
                                            self._segment_path = lambda: "cmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                                        class MatchCMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using class\-map
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: prevcmap
                                            
                                            	Insert after the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: nextcmap
                                            
                                            	Insert before the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: setcos_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                            
                                            .. attribute:: mtu_items
                                            
                                            	
                                            	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                            
                                            .. attribute:: setprecedence_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                            
                                            .. attribute:: setdscp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                            
                                            .. attribute:: setgrp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                            
                                            .. attribute:: setdlbdisable_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                            
                                            .. attribute:: queuelimit_items
                                            
                                            	
                                            	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                            
                                            .. attribute:: pause_items
                                            
                                            	
                                            	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                            
                                            .. attribute:: dpp_items
                                            
                                            	
                                            	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                            
                                            .. attribute:: setbw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                            
                                            .. attribute:: setrembw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                            
                                            .. attribute:: shape_items
                                            
                                            	
                                            	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                            
                                            .. attribute:: police_items
                                            
                                            	
                                            	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                            
                                            .. attribute:: prio_items
                                            
                                            	
                                            	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                            
                                            .. attribute:: randdet_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                            
                                            .. attribute:: randdetnonecn_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                                self.yang_name = "MatchCMap-list"
                                                self.yang_parent_name = "cmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                                    ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.prevcmap = None
                                                self.nextcmap = None
                                                self.configstatus = None

                                                self.setcos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                                self.setcos_items.parent = self
                                                self._children_name_map["setcos_items"] = "setCos-items"

                                                self.mtu_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                                self.mtu_items.parent = self
                                                self._children_name_map["mtu_items"] = "mtu-items"

                                                self.setprecedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                                self.setprecedence_items.parent = self
                                                self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                                self.setdscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                                self.setdscp_items.parent = self
                                                self._children_name_map["setdscp_items"] = "setDscp-items"

                                                self.setgrp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                                self.setgrp_items.parent = self
                                                self._children_name_map["setgrp_items"] = "setGrp-items"

                                                self.setdlbdisable_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                                self.setdlbdisable_items.parent = self
                                                self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                                self.queuelimit_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                                self.queuelimit_items.parent = self
                                                self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                                self.pause_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                                self.pause_items.parent = self
                                                self._children_name_map["pause_items"] = "pause-items"

                                                self.dpp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                                self.dpp_items.parent = self
                                                self._children_name_map["dpp_items"] = "dpp-items"

                                                self.setbw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                                self.setbw_items.parent = self
                                                self._children_name_map["setbw_items"] = "setBW-items"

                                                self.setrembw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                                self.setrembw_items.parent = self
                                                self._children_name_map["setrembw_items"] = "setRemBW-items"

                                                self.shape_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                                self.shape_items.parent = self
                                                self._children_name_map["shape_items"] = "shape-items"

                                                self.police_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                                self.police_items.parent = self
                                                self._children_name_map["police_items"] = "police-items"

                                                self.prio_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                                self.prio_items.parent = self
                                                self._children_name_map["prio_items"] = "prio-items"

                                                self.randdet_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                                self.randdet_items.parent = self
                                                self._children_name_map["randdet_items"] = "RandDet-items"

                                                self.randdetnonecn_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                                self.randdetnonecn_items.parent = self
                                                self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                                self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                            class SetCosItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Cos value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                                    self.yang_name = "setCos-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setCos-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                            class MtuItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: value
                                                
                                                	Set MTU value
                                                	**type**\: int
                                                
                                                	**range:** 576..9216
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                                    self.yang_name = "mtu-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.value = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "mtu-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                            class SetPrecedenceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Precedence value
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                                    self.yang_name = "setPrecedence-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setPrecedence-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetDscpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Dscp value
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                                    self.yang_name = "setDscp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDscp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetGrpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id
                                                
                                                	QoS group ID
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                                    self.yang_name = "setGrp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.id = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setGrp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                            class SetDlbDisableItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                                    self.yang_name = "setDlbDisable-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDlbDisable-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                            class QueueLimitItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: queuelimitval
                                                
                                                	Value in bytes/kbytes/mbytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: queuelimitunit
                                                
                                                	Bytes/kbytes/mbytes
                                                	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                                
                                                .. attribute:: dynamic
                                                
                                                	Queue\-limit dynamic value
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                                    self.yang_name = "QueueLimit-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                                        ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                                        ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.queuelimitval = None
                                                    self.queuelimitunit = None
                                                    self.dynamic = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "QueueLimit-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                            class PauseItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: buffersize
                                                
                                                	size in bytes
                                                	**type**\: int
                                                
                                                	**range:** 5000..12582913
                                                
                                                .. attribute:: pausethreshold
                                                
                                                	xoff bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: resumethreshold
                                                
                                                	xon bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: pfccos0
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos1
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos2
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos3
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos4
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos5
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos6
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos7
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: receive
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                                    self.yang_name = "pause-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                                        ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                                        ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                                        ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                                        ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                                        ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                                        ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                                        ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                                        ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                                        ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                                        ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                                        ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.buffersize = None
                                                    self.pausethreshold = None
                                                    self.resumethreshold = None
                                                    self.pfccos0 = None
                                                    self.pfccos1 = None
                                                    self.pfccos2 = None
                                                    self.pfccos3 = None
                                                    self.pfccos4 = None
                                                    self.pfccos5 = None
                                                    self.pfccos6 = None
                                                    self.pfccos7 = None
                                                    self.receive = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "pause-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                            class DppItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: setqosgroup
                                                
                                                	QoS Group Value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                                    self.yang_name = "dpp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                                    ])
                                                    self.setqosgroup = None
                                                    self._segment_path = lambda: "dpp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                            class SetBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Available bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                                    self.yang_name = "setBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                            class SetRemBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Remaining bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                                    self.yang_name = "setRemBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setRemBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                            class ShapeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: min
                                                
                                                	Minimum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: minrateunit
                                                
                                                	Minimum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: max
                                                
                                                	Maximum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: maxrateunit
                                                
                                                	Maximum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                                    self.yang_name = "shape-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                                        ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                                        ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.min = None
                                                    self.minrateunit = None
                                                    self.max = None
                                                    self.maxrateunit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "shape-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                            class PoliceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cirrate
                                                
                                                	CIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: cirunit
                                                
                                                	CIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: bcrate
                                                
                                                	CIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: bcunit
                                                
                                                	CIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: pirrate
                                                
                                                	PIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: pirunit
                                                
                                                	PIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: berate
                                                
                                                	PIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: beunit
                                                
                                                	PIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: conformaction
                                                
                                                	Conform action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: conformsetcostransmit
                                                
                                                	set cos for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: conformsetdscptransmit
                                                
                                                	set dscp for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: conformsetprectransmit
                                                
                                                	set precedence for conforming traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: conformsetqosgrptransmit
                                                
                                                	set qos\-group for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedaction
                                                
                                                	Exceed action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: exceedsetcostransmit
                                                
                                                	set cos for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedsetdscptransmit
                                                
                                                	set dscp for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: exceedsetprectransmit
                                                
                                                	set precedence for exceeding traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: exceedsetqosgrptransmit
                                                
                                                	set qos\-group for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violateaction
                                                
                                                	Violate action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: violatesetcostransmit
                                                
                                                	set cos for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violatesetdscptransmit
                                                
                                                	set dscp for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: violatesetprectransmit
                                                
                                                	set precedence for violating traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: violatesetqosgrptransmit
                                                
                                                	set qos\-group for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                                    self.yang_name = "police-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                                        ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                                        ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                                        ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                                        ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                                        ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                                        ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                                        ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                                        ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                                        ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                                        ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                                        ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                                        ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.cirrate = None
                                                    self.cirunit = None
                                                    self.bcrate = None
                                                    self.bcunit = None
                                                    self.pirrate = None
                                                    self.pirunit = None
                                                    self.berate = None
                                                    self.beunit = None
                                                    self.conformaction = None
                                                    self.conformsetcostransmit = None
                                                    self.conformsetdscptransmit = None
                                                    self.conformsetprectransmit = None
                                                    self.conformsetqosgrptransmit = None
                                                    self.exceedaction = None
                                                    self.exceedsetcostransmit = None
                                                    self.exceedsetdscptransmit = None
                                                    self.exceedsetprectransmit = None
                                                    self.exceedsetqosgrptransmit = None
                                                    self.violateaction = None
                                                    self.violatesetcostransmit = None
                                                    self.violatesetdscptransmit = None
                                                    self.violatesetprectransmit = None
                                                    self.violatesetqosgrptransmit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "police-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                            class PrioItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: level
                                                
                                                	Optional priority level
                                                	**type**\: int
                                                
                                                	**range:** 1..8
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                                    self.yang_name = "prio-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.level = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "prio-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                            class RandDetItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthreshold
                                                
                                                	min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunit
                                                
                                                	min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthreshold
                                                
                                                	max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunit
                                                
                                                	max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavail
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: weight
                                                
                                                	weight range
                                                	**type**\: int
                                                
                                                	**range:** 0..15
                                                
                                                .. attribute:: capaverage
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: optimization
                                                
                                                	random optimization type
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: ecn
                                                
                                                	
                                                	**type**\: bool
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                                    self.yang_name = "RandDet-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                                        ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                                        ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                                        ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                                        ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                                        ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                                    ])
                                                    self.minthreshold = None
                                                    self.minthresholdunit = None
                                                    self.maxthreshold = None
                                                    self.maxthresholdunit = None
                                                    self.dropavail = None
                                                    self.weight = None
                                                    self.capaverage = None
                                                    self.optimization = None
                                                    self.ecn = None
                                                    self._segment_path = lambda: "RandDet-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                            class RandDetNonEcnItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthresholdnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunitnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthresholdnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunitnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavailnonecn
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                                    self.yang_name = "RandDetNonEcn-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                                        ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                                        ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                                    ])
                                                    self.minthresholdnonecn = None
                                                    self.minthresholdunitnonecn = None
                                                    self.maxthresholdnonecn = None
                                                    self.maxthresholdunitnonecn = None
                                                    self.dropavailnonecn = None
                                                    self._segment_path = lambda: "RandDetNonEcn-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                                    class RtipqosPolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtipqospolicyinsttopmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rtipqosPolicyInstToPMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                            self._leafs = OrderedDict()

                                            self.rtipqospolicyinsttopmap_list = YList(self)
                                            self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                                        class RtIpqosPolicyInstToPMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                                self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                                self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                                    class RtclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rtclassMapToPolicyMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






                        class CopyPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: lastfrom
                            
                            	Name of source policy\-map to copy from
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            .. attribute:: lastto
                            
                            	Name of policy\-map resulting from copying
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CopyPMapItems, self).__init__()

                                self.yang_name = "copyPMap-items"
                                self.yang_parent_name = "nw-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                                    ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                                ])
                                self.lastfrom = None
                                self.lastto = None
                                self._segment_path = lambda: "copyPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.NwItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)




                    class DfltItems(Entity):
                        """
                        
                        
                        .. attribute:: policy_items
                        
                        	
                        	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems>`
                        
                        .. attribute:: c_items
                        
                        	
                        	**type**\:  :py:class:`CItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems>`
                        
                        .. attribute:: p_items
                        
                        	
                        	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems>`
                        
                        .. attribute:: copypmap_items
                        
                        	
                        	**type**\:  :py:class:`CopyPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CopyPMapItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems, self).__init__()

                            self.yang_name = "dflt-items"
                            self.yang_parent_name = "ipqos-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("policy-items", ("policy_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems)), ("c-items", ("c_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems)), ("p-items", ("p_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems)), ("copyPMap-items", ("copypmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CopyPMapItems))])
                            self._leafs = OrderedDict()

                            self.policy_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems()
                            self.policy_items.parent = self
                            self._children_name_map["policy_items"] = "policy-items"

                            self.c_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems()
                            self.c_items.parent = self
                            self._children_name_map["c_items"] = "c-items"

                            self.p_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems()
                            self.p_items.parent = self
                            self._children_name_map["p_items"] = "p-items"

                            self.copypmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CopyPMapItems()
                            self.copypmap_items.parent = self
                            self._children_name_map["copypmap_items"] = "copyPMap-items"
                            self._segment_path = lambda: "dflt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems, [], name, value)


                        class PolicyItems(Entity):
                            """
                            
                            
                            .. attribute:: in_items
                            
                            	
                            	**type**\:  :py:class:`InItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems>`
                            
                            .. attribute:: out_items
                            
                            	
                            	**type**\:  :py:class:`OutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems, self).__init__()

                                self.yang_name = "policy-items"
                                self.yang_parent_name = "dflt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("in-items", ("in_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems)), ("out-items", ("out_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems))])
                                self._leafs = OrderedDict()

                                self.in_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems()
                                self.in_items.parent = self
                                self._children_name_map["in_items"] = "in-items"

                                self.out_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems()
                                self.out_items.parent = self
                                self._children_name_map["out_items"] = "out-items"
                                self._segment_path = lambda: "policy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems, [], name, value)


                            class InItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems, self).__init__()

                                    self.yang_name = "in-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "in-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "in-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.InItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                            class OutItems(Entity):
                                """
                                
                                
                                .. attribute:: intf_items
                                
                                	
                                	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems>`
                                
                                .. attribute:: sys_items
                                
                                	
                                	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems>`
                                
                                .. attribute:: pmap_items
                                
                                	
                                	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems, self).__init__()

                                    self.yang_name = "out-items"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("intf-items", ("intf_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems)), ("sys-items", ("sys_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems)), ("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems))])
                                    self._leafs = OrderedDict()

                                    self.intf_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems()
                                    self.intf_items.parent = self
                                    self._children_name_map["intf_items"] = "intf-items"

                                    self.sys_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems()
                                    self.sys_items.parent = self
                                    self._children_name_map["sys_items"] = "sys-items"

                                    self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems()
                                    self.pmap_items.parent = self
                                    self._children_name_map["pmap_items"] = "pmap-items"
                                    self._segment_path = lambda: "out-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems, [], name, value)


                                class IntfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: if_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems, self).__init__()

                                        self.yang_name = "intf-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("If-list", ("if_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList))])
                                        self._leafs = OrderedDict()

                                        self.if_list = YList(self)
                                        self._segment_path = lambda: "intf-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems, [], name, value)


                                    class IfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  (key)
                                        
                                        	Interface name in a short form. eth1/1 or pc1
                                        	**type**\: str
                                        
                                        .. attribute:: delintfbit
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: false
                                        
                                        .. attribute:: pmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems>`
                                        
                                        .. attribute:: cmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems>`
                                        
                                        .. attribute:: quecmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`QueCmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList, self).__init__()

                                            self.yang_name = "If-list"
                                            self.yang_parent_name = "intf-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['name']
                                            self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems)), ("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems)), ("queCmap-items", ("quecmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('delintfbit', (YLeaf(YType.boolean, 'delIntfBit'), ['bool'])),
                                            ])
                                            self.name = None
                                            self.delintfbit = None

                                            self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems()
                                            self.pmap_items.parent = self
                                            self._children_name_map["pmap_items"] = "pmap-items"

                                            self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems()
                                            self.cmap_items.parent = self
                                            self._children_name_map["cmap_items"] = "cmap-items"

                                            self.quecmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems()
                                            self.quecmap_items.parent = self
                                            self._children_name_map["quecmap_items"] = "queCmap-items"
                                            self._segment_path = lambda: "If-list" + "[name='" + str(self.name) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList, ['name', 'delintfbit'], name, value)


                                        class PmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	Policy\-map Name
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: stats
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**default value**\: true
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rspolicyinsttopmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, self).__init__()

                                                self.yang_name = "pmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.stats = None
                                                self.configstatus = None

                                                self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems()
                                                self.rspolicyinsttopmap_items.parent = self
                                                self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                                self._segment_path = lambda: "pmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                            class RspolicyInstToPMapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                    self.yang_name = "rspolicyInstToPMap-items"
                                                    self.yang_parent_name = "pmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)




                                        class CmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: stats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`StatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, self).__init__()

                                                self.yang_name = "cmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Stats-list", ("stats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList))])
                                                self._leafs = OrderedDict()

                                                self.stats_list = YList(self)
                                                self._segment_path = lambda: "cmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems, [], name, value)


                                            class StatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: conformbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: exceedbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: violatebytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, self).__init__()

                                                    self.yang_name = "Stats-list"
                                                    self.yang_parent_name = "cmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('conformbytes', (YLeaf(YType.uint64, 'conformBytes'), ['int'])),
                                                        ('exceedbytes', (YLeaf(YType.uint64, 'exceedBytes'), ['int'])),
                                                        ('violatebytes', (YLeaf(YType.uint64, 'violateBytes'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.conformbytes = None
                                                    self.exceedbytes = None
                                                    self.violatebytes = None
                                                    self._segment_path = lambda: "Stats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.CmapItems.StatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'conformbytes', 'exceedbytes', 'violatebytes'], name, value)




                                        class QueCmapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: queuingstats_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`QueuingStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, self).__init__()

                                                self.yang_name = "queCmap-items"
                                                self.yang_parent_name = "If-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("QueuingStats-list", ("queuingstats_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList))])
                                                self._leafs = OrderedDict()

                                                self.queuingstats_list = YList(self)
                                                self._segment_path = lambda: "queCmap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems, [], name, value)


                                            class QueuingStatsList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cmapname  (key)
                                                
                                                	Class map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: stattype  (key)
                                                
                                                	QoS statistics type
                                                	**type**\:  :py:class:`IpqosStatsType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosStatsType>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pmapname
                                                
                                                	Policy map name
                                                	**type**\: str
                                                
                                                	**length:** 1..40
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: droppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: dropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: currqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: maxqueuedepth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingqdepthbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdropbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randdroppackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: randecnmarkedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfctxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcrxppp
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdshutdowncount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdrestoredcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: pfcwdflushedpackets
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, self).__init__()

                                                    self.yang_name = "QueuingStats-list"
                                                    self.yang_parent_name = "queCmap-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['cmapname','stattype']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cmapname', (YLeaf(YType.str, 'cmapName'), ['str'])),
                                                        ('stattype', (YLeaf(YType.enumeration, 'statType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosStatsType', '')])),
                                                        ('pmapname', (YLeaf(YType.str, 'pmapName'), ['str'])),
                                                        ('droppackets', (YLeaf(YType.uint64, 'dropPackets'), ['int'])),
                                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                                        ('txpackets', (YLeaf(YType.uint64, 'txPackets'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('currqueuedepth', (YLeaf(YType.uint64, 'currQueueDepth'), ['int'])),
                                                        ('maxqueuedepth', (YLeaf(YType.uint64, 'maxQueueDepth'), ['int'])),
                                                        ('ingqdroppackets', (YLeaf(YType.uint64, 'ingQDropPackets'), ['int'])),
                                                        ('ingqdepthbytes', (YLeaf(YType.uint64, 'ingQDepthBytes'), ['int'])),
                                                        ('randdropbytes', (YLeaf(YType.uint64, 'randDropBytes'), ['int'])),
                                                        ('randdroppackets', (YLeaf(YType.uint64, 'randDropPackets'), ['int'])),
                                                        ('randecnmarkedpackets', (YLeaf(YType.uint64, 'randEcnMarkedPackets'), ['int'])),
                                                        ('pfctxppp', (YLeaf(YType.uint64, 'pfcTxPpp'), ['int'])),
                                                        ('pfcrxppp', (YLeaf(YType.uint64, 'pfcRxPpp'), ['int'])),
                                                        ('pfcwdshutdowncount', (YLeaf(YType.uint64, 'pfcwdShutdownCount'), ['int'])),
                                                        ('pfcwdrestoredcount', (YLeaf(YType.uint64, 'pfcwdRestoredCount'), ['int'])),
                                                        ('pfcwdflushedpackets', (YLeaf(YType.uint64, 'pfcwdFlushedPackets'), ['int'])),
                                                    ])
                                                    self.cmapname = None
                                                    self.stattype = None
                                                    self.pmapname = None
                                                    self.droppackets = None
                                                    self.dropbytes = None
                                                    self.txpackets = None
                                                    self.txbytes = None
                                                    self.currqueuedepth = None
                                                    self.maxqueuedepth = None
                                                    self.ingqdroppackets = None
                                                    self.ingqdepthbytes = None
                                                    self.randdropbytes = None
                                                    self.randdroppackets = None
                                                    self.randecnmarkedpackets = None
                                                    self.pfctxppp = None
                                                    self.pfcrxppp = None
                                                    self.pfcwdshutdowncount = None
                                                    self.pfcwdrestoredcount = None
                                                    self.pfcwdflushedpackets = None
                                                    self._segment_path = lambda: "QueuingStats-list" + "[cmapName='" + str(self.cmapname) + "']" + "[statType='" + str(self.stattype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.IntfItems.IfList.QueCmapItems.QueuingStatsList, ['cmapname', 'stattype', 'pmapname', 'droppackets', 'dropbytes', 'txpackets', 'txbytes', 'currqueuedepth', 'maxqueuedepth', 'ingqdroppackets', 'ingqdepthbytes', 'randdropbytes', 'randdroppackets', 'randecnmarkedpackets', 'pfctxppp', 'pfcrxppp', 'pfcwdshutdowncount', 'pfcwdrestoredcount', 'pfcwdflushedpackets'], name, value)






                                class SysItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`PmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems, self).__init__()

                                        self.yang_name = "sys-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("pmap-items", ("pmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems))])
                                        self._leafs = OrderedDict()

                                        self.pmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems()
                                        self.pmap_items.parent = self
                                        self._children_name_map["pmap_items"] = "pmap-items"
                                        self._segment_path = lambda: "sys-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems, [], name, value)


                                    class PmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	Policy\-map Name
                                        	**type**\: str
                                        
                                        	**length:** 1..40
                                        
                                        .. attribute:: stats
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**default value**\: true
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rspolicyinsttopmap_items
                                        
                                        	
                                        	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems, self).__init__()

                                            self.yang_name = "pmap-items"
                                            self.yang_parent_name = "sys-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems))])
                                            self._leafs = OrderedDict([
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                            ])
                                            self.name = None
                                            self.stats = None
                                            self.configstatus = None

                                            self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems()
                                            self.rspolicyinsttopmap_items.parent = self
                                            self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                            self._segment_path = lambda: "pmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                        class RspolicyInstToPMapItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                                self.yang_name = "rspolicyInstToPMap-items"
                                                self.yang_parent_name = "pmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rspolicyInstToPMap-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.SysItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)





                                class PmapItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	Policy\-map Name
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: stats
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**default value**\: true
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rspolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RspolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems, self).__init__()

                                        self.yang_name = "pmap-items"
                                        self.yang_parent_name = "out-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("rspolicyInstToPMap-items", ("rspolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('stats', (YLeaf(YType.boolean, 'stats'), ['bool'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.stats = None
                                        self.configstatus = None

                                        self.rspolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems()
                                        self.rspolicyinsttopmap_items.parent = self
                                        self._children_name_map["rspolicyinsttopmap_items"] = "rspolicyInstToPMap-items"
                                        self._segment_path = lambda: "pmap-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems, ['name', 'stats', 'configstatus'], name, value)


                                    class RspolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rspolicyInstToPMap-items"
                                            self.yang_parent_name = "pmap-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rspolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PolicyItems.OutItems.PmapItems.RspolicyInstToPMapItems, ['tdn', 'tcl'], name, value)






                        class CItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems, self).__init__()

                                self.yang_name = "c-items"
                                self.yang_parent_name = "dflt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "c-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: cmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "c-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("CMapInst-list", ("cmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.cmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems, [], name, value)


                                class CMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of class\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: acl_items
                                    
                                    	
                                    	**type**\:  :py:class:`AclItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems>`
                                    
                                    .. attribute:: dscp_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems>`
                                    
                                    .. attribute:: iprtp_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems>`
                                    
                                    .. attribute:: packetlength_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems>`
                                    
                                    .. attribute:: cos_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems>`
                                    
                                    .. attribute:: mplsexperimental_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems>`
                                    
                                    .. attribute:: precedence_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems>`
                                    
                                    .. attribute:: protocol_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: dscpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`DscpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems>`
                                    
                                    .. attribute:: cosnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`CosNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems>`
                                    
                                    .. attribute:: mplsexperimentalnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplsExperimentalNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems>`
                                    
                                    .. attribute:: precedencenot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PrecedenceNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems>`
                                    
                                    .. attribute:: protocolnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`ProtocolNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems>`
                                    
                                    .. attribute:: iprtpnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpRtpNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems>`
                                    
                                    .. attribute:: packetlengthnot_items
                                    
                                    	
                                    	**type**\:  :py:class:`PacketLengthNotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems>`
                                    
                                    .. attribute:: grp_items
                                    
                                    	
                                    	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems>`
                                    
                                    .. attribute:: rsclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RsclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList, self).__init__()

                                        self.yang_name = "CMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("acl-items", ("acl_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems)), ("dscp-items", ("dscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems)), ("ipRtp-items", ("iprtp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems)), ("packetLength-items", ("packetlength_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems)), ("cos-items", ("cos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems)), ("mplsExperimental-items", ("mplsexperimental_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems)), ("precedence-items", ("precedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems)), ("protocol-items", ("protocol_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems)), ("dscpNot-items", ("dscpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems)), ("cosNot-items", ("cosnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems)), ("mplsExperimentalNot-items", ("mplsexperimentalnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems)), ("precedenceNot-items", ("precedencenot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems)), ("protocolNot-items", ("protocolnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems)), ("ipRtpNot-items", ("iprtpnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems)), ("packetLengthNot-items", ("packetlengthnot_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems)), ("grp-items", ("grp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems)), ("rsclassMapToPolicyMap-items", ("rsclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.configstatus = None

                                        self.acl_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems()
                                        self.acl_items.parent = self
                                        self._children_name_map["acl_items"] = "acl-items"

                                        self.dscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems()
                                        self.dscp_items.parent = self
                                        self._children_name_map["dscp_items"] = "dscp-items"

                                        self.iprtp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems()
                                        self.iprtp_items.parent = self
                                        self._children_name_map["iprtp_items"] = "ipRtp-items"

                                        self.packetlength_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems()
                                        self.packetlength_items.parent = self
                                        self._children_name_map["packetlength_items"] = "packetLength-items"

                                        self.cos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems()
                                        self.cos_items.parent = self
                                        self._children_name_map["cos_items"] = "cos-items"

                                        self.mplsexperimental_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems()
                                        self.mplsexperimental_items.parent = self
                                        self._children_name_map["mplsexperimental_items"] = "mplsExperimental-items"

                                        self.precedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems()
                                        self.precedence_items.parent = self
                                        self._children_name_map["precedence_items"] = "precedence-items"

                                        self.protocol_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems()
                                        self.protocol_items.parent = self
                                        self._children_name_map["protocol_items"] = "protocol-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.dscpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems()
                                        self.dscpnot_items.parent = self
                                        self._children_name_map["dscpnot_items"] = "dscpNot-items"

                                        self.cosnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems()
                                        self.cosnot_items.parent = self
                                        self._children_name_map["cosnot_items"] = "cosNot-items"

                                        self.mplsexperimentalnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems()
                                        self.mplsexperimentalnot_items.parent = self
                                        self._children_name_map["mplsexperimentalnot_items"] = "mplsExperimentalNot-items"

                                        self.precedencenot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems()
                                        self.precedencenot_items.parent = self
                                        self._children_name_map["precedencenot_items"] = "precedenceNot-items"

                                        self.protocolnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems()
                                        self.protocolnot_items.parent = self
                                        self._children_name_map["protocolnot_items"] = "protocolNot-items"

                                        self.iprtpnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems()
                                        self.iprtpnot_items.parent = self
                                        self._children_name_map["iprtpnot_items"] = "ipRtpNot-items"

                                        self.packetlengthnot_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems()
                                        self.packetlengthnot_items.parent = self
                                        self._children_name_map["packetlengthnot_items"] = "packetLengthNot-items"

                                        self.grp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems()
                                        self.grp_items.parent = self
                                        self._children_name_map["grp_items"] = "grp-items"

                                        self.rsclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems()
                                        self.rsclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rsclassmaptopolicymap_items"] = "rsclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "CMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList, ['name', 'matchtype', 'configstatus'], name, value)


                                    class AclItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: acl_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AclList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems, self).__init__()

                                            self.yang_name = "acl-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Acl-list", ("acl_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList))])
                                            self._leafs = OrderedDict()

                                            self.acl_list = YList(self)
                                            self._segment_path = lambda: "acl-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems, [], name, value)


                                        class AclList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using ACL
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList, self).__init__()

                                                self.yang_name = "Acl-list"
                                                self.yang_parent_name = "acl-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Acl-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.AclItems.AclList, ['name', 'configstatus'], name, value)




                                    class DscpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: dscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`DscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems, self).__init__()

                                            self.yang_name = "dscp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Dscp-list", ("dscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList))])
                                            self._leafs = OrderedDict()

                                            self.dscp_list = YList(self)
                                            self._segment_path = lambda: "dscp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems, [], name, value)


                                        class DscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, self).__init__()

                                                self.yang_name = "Dscp-list"
                                                self.yang_parent_name = "dscp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Dscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpItems.DscpList, ['val', 'configstatus'], name, value)




                                    class IpRtpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems, self).__init__()

                                            self.yang_name = "ipRtp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems, self).__init__()

                                            self.yang_name = "packetLength-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLength-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthItems, ['configstatus', 'range'], name, value)



                                    class CosItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems, self).__init__()

                                            self.yang_name = "cos-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Cos-list", ("cos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList))])
                                            self._leafs = OrderedDict()

                                            self.cos_list = YList(self)
                                            self._segment_path = lambda: "cos-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems, [], name, value)


                                        class CosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList, self).__init__()

                                                self.yang_name = "Cos-list"
                                                self.yang_parent_name = "cos-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Cos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosItems.CosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, self).__init__()

                                            self.yang_name = "mplsExperimental-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MPLSExperimental-list", ("mplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.mplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimental-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems, [], name, value)


                                        class MPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	MPLS experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, self).__init__()

                                                self.yang_name = "MPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimental-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "MPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalItems.MPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: precedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`PrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems, self).__init__()

                                            self.yang_name = "precedence-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Precedence-list", ("precedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.precedence_list = YList(self)
                                            self._segment_path = lambda: "precedence-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems, [], name, value)


                                        class PrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, self).__init__()

                                                self.yang_name = "Precedence-list"
                                                self.yang_parent_name = "precedence-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Precedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceItems.PrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: protocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems, self).__init__()

                                            self.yang_name = "protocol-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Protocol-list", ("protocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.protocol_list = YList(self)
                                            self._segment_path = lambda: "protocol-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems, [], name, value)


                                        class ProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, self).__init__()

                                                self.yang_name = "Protocol-list"
                                                self.yang_parent_name = "protocol-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "Protocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolItems.ProtocolList, ['val', 'configstatus'], name, value)




                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DescriptionItems, ['val'], name, value)



                                    class DscpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notdscp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotDscpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems, self).__init__()

                                            self.yang_name = "dscpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotDscp-list", ("notdscp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList))])
                                            self._leafs = OrderedDict()

                                            self.notdscp_list = YList(self)
                                            self._segment_path = lambda: "dscpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems, [], name, value)


                                        class NotDscpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not dscp value
                                            	**type**\: int
                                            
                                            	**range:** 0..63
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, self).__init__()

                                                self.yang_name = "NotDscp-list"
                                                self.yang_parent_name = "dscpNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotDscp-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.DscpNotItems.NotDscpList, ['val', 'configstatus'], name, value)




                                    class CosNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notcos_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotCosList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems, self).__init__()

                                            self.yang_name = "cosNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotCos-list", ("notcos_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList))])
                                            self._leafs = OrderedDict()

                                            self.notcos_list = YList(self)
                                            self._segment_path = lambda: "cosNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems, [], name, value)


                                        class NotCosList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not cos value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, self).__init__()

                                                self.yang_name = "NotCos-list"
                                                self.yang_parent_name = "cosNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotCos-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.CosNotItems.NotCosList, ['val', 'configstatus'], name, value)




                                    class MplsExperimentalNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notmplsexperimental_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotMPLSExperimentalList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, self).__init__()

                                            self.yang_name = "mplsExperimentalNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotMPLSExperimental-list", ("notmplsexperimental_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList))])
                                            self._leafs = OrderedDict()

                                            self.notmplsexperimental_list = YList(self)
                                            self._segment_path = lambda: "mplsExperimentalNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems, [], name, value)


                                        class NotMPLSExperimentalList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not mpls experimental value
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, self).__init__()

                                                self.yang_name = "NotMPLSExperimental-list"
                                                self.yang_parent_name = "mplsExperimentalNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotMPLSExperimental-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.MplsExperimentalNotItems.NotMPLSExperimentalList, ['val', 'configstatus'], name, value)




                                    class PrecedenceNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprecedence_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotPrecedenceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, self).__init__()

                                            self.yang_name = "precedenceNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotPrecedence-list", ("notprecedence_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList))])
                                            self._leafs = OrderedDict()

                                            self.notprecedence_list = YList(self)
                                            self._segment_path = lambda: "precedenceNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems, [], name, value)


                                        class NotPrecedenceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not precedence value
                                            	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, self).__init__()

                                                self.yang_name = "NotPrecedence-list"
                                                self.yang_parent_name = "precedenceNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotPrecedence-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PrecedenceNotItems.NotPrecedenceList, ['val', 'configstatus'], name, value)




                                    class ProtocolNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: notprotocol_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NotProtocolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems, self).__init__()

                                            self.yang_name = "protocolNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("NotProtocol-list", ("notprotocol_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList))])
                                            self._leafs = OrderedDict()

                                            self.notprotocol_list = YList(self)
                                            self._segment_path = lambda: "protocolNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems, [], name, value)


                                        class NotProtocolList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: val  (key)
                                            
                                            	Not protocol value
                                            	**type**\:  :py:class:`IpqosProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosProtocol>`
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, self).__init__()

                                                self.yang_name = "NotProtocol-list"
                                                self.yang_parent_name = "protocolNot-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['val']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosProtocol', '')])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.val = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "NotProtocol-list" + "[val='" + str(self.val) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.ProtocolNotItems.NotProtocolList, ['val', 'configstatus'], name, value)




                                    class IpRtpNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems, self).__init__()

                                            self.yang_name = "ipRtpNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "ipRtpNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.IpRtpNotItems, ['configstatus', 'range'], name, value)



                                    class PacketLengthNotItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: configstatus
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, self).__init__()

                                            self.yang_name = "packetLengthNot-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                            ])
                                            self.configstatus = None
                                            self.range = None
                                            self._segment_path = lambda: "packetLengthNot-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.PacketLengthNotItems, ['configstatus', 'range'], name, value)



                                    class GrpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: qosgrp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`QoSGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems, self).__init__()

                                            self.yang_name = "grp-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("QoSGrp-list", ("qosgrp_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList))])
                                            self._leafs = OrderedDict()

                                            self.qosgrp_list = YList(self)
                                            self._segment_path = lambda: "grp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems, [], name, value)


                                        class QoSGrpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: id  (key)
                                            
                                            	QoS group ID
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, self).__init__()

                                                self.yang_name = "QoSGrp-list"
                                                self.yang_parent_name = "grp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['id']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.id = None
                                                self.configstatus = None
                                                self._segment_path = lambda: "QoSGrp-list" + "[id='" + str(self.id) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.GrpItems.QoSGrpList, ['id', 'configstatus'], name, value)




                                    class RsclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rsclassmaptopolicymap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RsClassMapToPolicyMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rsclassMapToPolicyMap-items"
                                            self.yang_parent_name = "CMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RsClassMapToPolicyMap-list", ("rsclassmaptopolicymap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList))])
                                            self._leafs = OrderedDict()

                                            self.rsclassmaptopolicymap_list = YList(self)
                                            self._segment_path = lambda: "rsclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems, [], name, value)


                                        class RsClassMapToPolicyMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, self).__init__()

                                                self.yang_name = "RsClassMapToPolicyMap-list"
                                                self.yang_parent_name = "rsclassMapToPolicyMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RsClassMapToPolicyMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CItems.NameItems.CMapInstList.RsclassMapToPolicyMapItems.RsClassMapToPolicyMapList, ['tdn', 'tcl'], name, value)







                        class PItems(Entity):
                            """
                            
                            
                            .. attribute:: name_items
                            
                            	
                            	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems, self).__init__()

                                self.yang_name = "p-items"
                                self.yang_parent_name = "dflt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("name-items", ("name_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems))])
                                self._leafs = OrderedDict()

                                self.name_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems()
                                self.name_items.parent = self
                                self._children_name_map["name_items"] = "name-items"
                                self._segment_path = lambda: "p-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems, [], name, value)


                            class NameItems(Entity):
                                """
                                
                                
                                .. attribute:: pmapinst_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PMapInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems, self).__init__()

                                    self.yang_name = "name-items"
                                    self.yang_parent_name = "p-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PMapInst-list", ("pmapinst_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList))])
                                    self._leafs = OrderedDict()

                                    self.pmapinst_list = YList(self)
                                    self._segment_path = lambda: "name-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems, [], name, value)


                                class PMapInstList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Name of policy\-map
                                    	**type**\: str
                                    
                                    	**length:** 1..40
                                    
                                    .. attribute:: matchtype
                                    
                                    	Match\-any, match\-all or match\-first
                                    	**type**\:  :py:class:`IpqosQoSMatchType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQoSMatchType>`
                                    
                                    .. attribute:: refcount
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: configstatus
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: cmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`CmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems>`
                                    
                                    .. attribute:: description_items
                                    
                                    	
                                    	**type**\:  :py:class:`DescriptionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems>`
                                    
                                    .. attribute:: rtipqospolicyinsttopmap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtipqosPolicyInstToPMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems>`
                                    
                                    .. attribute:: rtclassmaptopolicymap_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtclassMapToPolicyMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList, self).__init__()

                                        self.yang_name = "PMapInst-list"
                                        self.yang_parent_name = "name-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("cmap-items", ("cmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems)), ("Description-items", ("description_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems)), ("rtipqosPolicyInstToPMap-items", ("rtipqospolicyinsttopmap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems)), ("rtclassMapToPolicyMap-items", ("rtclassmaptopolicymap_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('matchtype', (YLeaf(YType.enumeration, 'matchType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQoSMatchType', '')])),
                                            ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                            ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                        ])
                                        self.name = None
                                        self.matchtype = None
                                        self.refcount = None
                                        self.configstatus = None

                                        self.cmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems()
                                        self.cmap_items.parent = self
                                        self._children_name_map["cmap_items"] = "cmap-items"

                                        self.description_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems()
                                        self.description_items.parent = self
                                        self._children_name_map["description_items"] = "Description-items"

                                        self.rtipqospolicyinsttopmap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems()
                                        self.rtipqospolicyinsttopmap_items.parent = self
                                        self._children_name_map["rtipqospolicyinsttopmap_items"] = "rtipqosPolicyInstToPMap-items"

                                        self.rtclassmaptopolicymap_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems()
                                        self.rtclassmaptopolicymap_items.parent = self
                                        self._children_name_map["rtclassmaptopolicymap_items"] = "rtclassMapToPolicyMap-items"
                                        self._segment_path = lambda: "PMapInst-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList, ['name', 'matchtype', 'refcount', 'configstatus'], name, value)


                                    class CmapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: matchcmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MatchCMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems, self).__init__()

                                            self.yang_name = "cmap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MatchCMap-list", ("matchcmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList))])
                                            self._leafs = OrderedDict()

                                            self.matchcmap_list = YList(self)
                                            self._segment_path = lambda: "cmap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems, [], name, value)


                                        class MatchCMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	Match using class\-map
                                            	**type**\: str
                                            
                                            	**length:** 1..40
                                            
                                            .. attribute:: prevcmap
                                            
                                            	Insert after the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: nextcmap
                                            
                                            	Insert before the given class\-map
                                            	**type**\: str
                                            
                                            	**length:** 0..40
                                            
                                            .. attribute:: configstatus
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: setcos_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetCosItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems>`
                                            
                                            .. attribute:: mtu_items
                                            
                                            	
                                            	**type**\:  :py:class:`MtuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems>`
                                            
                                            .. attribute:: setprecedence_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetPrecedenceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems>`
                                            
                                            .. attribute:: setdscp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDscpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems>`
                                            
                                            .. attribute:: setgrp_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetGrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems>`
                                            
                                            .. attribute:: setdlbdisable_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetDlbDisableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems>`
                                            
                                            .. attribute:: queuelimit_items
                                            
                                            	
                                            	**type**\:  :py:class:`QueueLimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems>`
                                            
                                            .. attribute:: pause_items
                                            
                                            	
                                            	**type**\:  :py:class:`PauseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems>`
                                            
                                            .. attribute:: dpp_items
                                            
                                            	
                                            	**type**\:  :py:class:`DppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems>`
                                            
                                            .. attribute:: setbw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems>`
                                            
                                            .. attribute:: setrembw_items
                                            
                                            	
                                            	**type**\:  :py:class:`SetRemBWItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems>`
                                            
                                            .. attribute:: shape_items
                                            
                                            	
                                            	**type**\:  :py:class:`ShapeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems>`
                                            
                                            .. attribute:: police_items
                                            
                                            	
                                            	**type**\:  :py:class:`PoliceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems>`
                                            
                                            .. attribute:: prio_items
                                            
                                            	
                                            	**type**\:  :py:class:`PrioItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems>`
                                            
                                            .. attribute:: randdet_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems>`
                                            
                                            .. attribute:: randdetnonecn_items
                                            
                                            	
                                            	**type**\:  :py:class:`RandDetNonEcnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, self).__init__()

                                                self.yang_name = "MatchCMap-list"
                                                self.yang_parent_name = "cmap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([("setCos-items", ("setcos_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems)), ("mtu-items", ("mtu_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems)), ("setPrecedence-items", ("setprecedence_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems)), ("setDscp-items", ("setdscp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems)), ("setGrp-items", ("setgrp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems)), ("setDlbDisable-items", ("setdlbdisable_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems)), ("QueueLimit-items", ("queuelimit_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems)), ("pause-items", ("pause_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems)), ("dpp-items", ("dpp_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems)), ("setBW-items", ("setbw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems)), ("setRemBW-items", ("setrembw_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems)), ("shape-items", ("shape_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems)), ("police-items", ("police_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems)), ("prio-items", ("prio_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems)), ("RandDet-items", ("randdet_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems)), ("RandDetNonEcn-items", ("randdetnonecn_items", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('prevcmap', (YLeaf(YType.str, 'prevCMap'), ['str'])),
                                                    ('nextcmap', (YLeaf(YType.str, 'nextCMap'), ['str'])),
                                                    ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                ])
                                                self.name = None
                                                self.prevcmap = None
                                                self.nextcmap = None
                                                self.configstatus = None

                                                self.setcos_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems()
                                                self.setcos_items.parent = self
                                                self._children_name_map["setcos_items"] = "setCos-items"

                                                self.mtu_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems()
                                                self.mtu_items.parent = self
                                                self._children_name_map["mtu_items"] = "mtu-items"

                                                self.setprecedence_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems()
                                                self.setprecedence_items.parent = self
                                                self._children_name_map["setprecedence_items"] = "setPrecedence-items"

                                                self.setdscp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems()
                                                self.setdscp_items.parent = self
                                                self._children_name_map["setdscp_items"] = "setDscp-items"

                                                self.setgrp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems()
                                                self.setgrp_items.parent = self
                                                self._children_name_map["setgrp_items"] = "setGrp-items"

                                                self.setdlbdisable_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems()
                                                self.setdlbdisable_items.parent = self
                                                self._children_name_map["setdlbdisable_items"] = "setDlbDisable-items"

                                                self.queuelimit_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems()
                                                self.queuelimit_items.parent = self
                                                self._children_name_map["queuelimit_items"] = "QueueLimit-items"

                                                self.pause_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems()
                                                self.pause_items.parent = self
                                                self._children_name_map["pause_items"] = "pause-items"

                                                self.dpp_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems()
                                                self.dpp_items.parent = self
                                                self._children_name_map["dpp_items"] = "dpp-items"

                                                self.setbw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems()
                                                self.setbw_items.parent = self
                                                self._children_name_map["setbw_items"] = "setBW-items"

                                                self.setrembw_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems()
                                                self.setrembw_items.parent = self
                                                self._children_name_map["setrembw_items"] = "setRemBW-items"

                                                self.shape_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems()
                                                self.shape_items.parent = self
                                                self._children_name_map["shape_items"] = "shape-items"

                                                self.police_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems()
                                                self.police_items.parent = self
                                                self._children_name_map["police_items"] = "police-items"

                                                self.prio_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems()
                                                self.prio_items.parent = self
                                                self._children_name_map["prio_items"] = "prio-items"

                                                self.randdet_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems()
                                                self.randdet_items.parent = self
                                                self._children_name_map["randdet_items"] = "RandDet-items"

                                                self.randdetnonecn_items = System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems()
                                                self.randdetnonecn_items.parent = self
                                                self._children_name_map["randdetnonecn_items"] = "RandDetNonEcn-items"
                                                self._segment_path = lambda: "MatchCMap-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList, ['name', 'prevcmap', 'nextcmap', 'configstatus'], name, value)


                                            class SetCosItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Cos value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, self).__init__()

                                                    self.yang_name = "setCos-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setCos-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetCosItems, ['val', 'configstatus'], name, value)



                                            class MtuItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: value
                                                
                                                	Set MTU value
                                                	**type**\: int
                                                
                                                	**range:** 576..9216
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, self).__init__()

                                                    self.yang_name = "mtu-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('value', (YLeaf(YType.uint16, 'value'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.value = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "mtu-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.MtuItems, ['value', 'configstatus'], name, value)



                                            class SetPrecedenceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Precedence value
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, self).__init__()

                                                    self.yang_name = "setPrecedence-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.enumeration, 'val'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setPrecedence-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetPrecedenceItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetDscpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Dscp value
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: tunnel
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, self).__init__()

                                                    self.yang_name = "setDscp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('tunnel', (YLeaf(YType.boolean, 'tunnel'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.tunnel = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDscp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDscpItems, ['val', 'tunnel', 'configstatus'], name, value)



                                            class SetGrpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id
                                                
                                                	QoS group ID
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, self).__init__()

                                                    self.yang_name = "setGrp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.id = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setGrp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetGrpItems, ['id', 'configstatus'], name, value)



                                            class SetDlbDisableItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, self).__init__()

                                                    self.yang_name = "setDlbDisable-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setDlbDisable-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetDlbDisableItems, ['configstatus'], name, value)



                                            class QueueLimitItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: queuelimitval
                                                
                                                	Value in bytes/kbytes/mbytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: queuelimitunit
                                                
                                                	Bytes/kbytes/mbytes
                                                	**type**\:  :py:class:`IpqosQueueLimitUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosQueueLimitUnit>`
                                                
                                                .. attribute:: dynamic
                                                
                                                	Queue\-limit dynamic value
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, self).__init__()

                                                    self.yang_name = "QueueLimit-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('queuelimitval', (YLeaf(YType.uint64, 'QueueLimitVal'), ['int'])),
                                                        ('queuelimitunit', (YLeaf(YType.enumeration, 'QueueLimitUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosQueueLimitUnit', '')])),
                                                        ('dynamic', (YLeaf(YType.uint8, 'dynamic'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.queuelimitval = None
                                                    self.queuelimitunit = None
                                                    self.dynamic = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "QueueLimit-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.QueueLimitItems, ['queuelimitval', 'queuelimitunit', 'dynamic', 'configstatus'], name, value)



                                            class PauseItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: buffersize
                                                
                                                	size in bytes
                                                	**type**\: int
                                                
                                                	**range:** 5000..12582913
                                                
                                                .. attribute:: pausethreshold
                                                
                                                	xoff bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: resumethreshold
                                                
                                                	xon bytes
                                                	**type**\: int
                                                
                                                	**range:** 0..12582912
                                                
                                                .. attribute:: pfccos0
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos1
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos2
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos3
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos4
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos5
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos6
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfccos7
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: receive
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, self).__init__()

                                                    self.yang_name = "pause-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('buffersize', (YLeaf(YType.uint64, 'bufferSize'), ['int'])),
                                                        ('pausethreshold', (YLeaf(YType.uint64, 'pauseThreshold'), ['int'])),
                                                        ('resumethreshold', (YLeaf(YType.uint64, 'resumeThreshold'), ['int'])),
                                                        ('pfccos0', (YLeaf(YType.boolean, 'pfcCos0'), ['bool'])),
                                                        ('pfccos1', (YLeaf(YType.boolean, 'pfcCos1'), ['bool'])),
                                                        ('pfccos2', (YLeaf(YType.boolean, 'pfcCos2'), ['bool'])),
                                                        ('pfccos3', (YLeaf(YType.boolean, 'pfcCos3'), ['bool'])),
                                                        ('pfccos4', (YLeaf(YType.boolean, 'pfcCos4'), ['bool'])),
                                                        ('pfccos5', (YLeaf(YType.boolean, 'pfcCos5'), ['bool'])),
                                                        ('pfccos6', (YLeaf(YType.boolean, 'pfcCos6'), ['bool'])),
                                                        ('pfccos7', (YLeaf(YType.boolean, 'pfcCos7'), ['bool'])),
                                                        ('receive', (YLeaf(YType.boolean, 'receive'), ['bool'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.buffersize = None
                                                    self.pausethreshold = None
                                                    self.resumethreshold = None
                                                    self.pfccos0 = None
                                                    self.pfccos1 = None
                                                    self.pfccos2 = None
                                                    self.pfccos3 = None
                                                    self.pfccos4 = None
                                                    self.pfccos5 = None
                                                    self.pfccos6 = None
                                                    self.pfccos7 = None
                                                    self.receive = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "pause-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PauseItems, ['buffersize', 'pausethreshold', 'resumethreshold', 'pfccos0', 'pfccos1', 'pfccos2', 'pfccos3', 'pfccos4', 'pfccos5', 'pfccos6', 'pfccos7', 'receive', 'configstatus'], name, value)



                                            class DppItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: setqosgroup
                                                
                                                	QoS Group Value
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, self).__init__()

                                                    self.yang_name = "dpp-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('setqosgroup', (YLeaf(YType.uint16, 'setQosGroup'), ['int'])),
                                                    ])
                                                    self.setqosgroup = None
                                                    self._segment_path = lambda: "dpp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.DppItems, ['setqosgroup'], name, value)



                                            class SetBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Available bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, self).__init__()

                                                    self.yang_name = "setBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetBWItems, ['val', 'configstatus'], name, value)



                                            class SetRemBWItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: val
                                                
                                                	Remaining bandwidth
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, self).__init__()

                                                    self.yang_name = "setRemBW-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('val', (YLeaf(YType.uint8, 'val'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.val = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "setRemBW-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.SetRemBWItems, ['val', 'configstatus'], name, value)



                                            class ShapeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: min
                                                
                                                	Minimum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: minrateunit
                                                
                                                	Minimum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: max
                                                
                                                	Maximum shape rate
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: maxrateunit
                                                
                                                	Maximum shape rate unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, self).__init__()

                                                    self.yang_name = "shape-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('min', (YLeaf(YType.uint64, 'min'), ['int'])),
                                                        ('minrateunit', (YLeaf(YType.enumeration, 'minRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                                        ('maxrateunit', (YLeaf(YType.enumeration, 'maxRateUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.min = None
                                                    self.minrateunit = None
                                                    self.max = None
                                                    self.maxrateunit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "shape-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.ShapeItems, ['min', 'minrateunit', 'max', 'maxrateunit', 'configstatus'], name, value)



                                            class PoliceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cirrate
                                                
                                                	CIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: cirunit
                                                
                                                	CIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: bcrate
                                                
                                                	CIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: bcunit
                                                
                                                	CIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: pirrate
                                                
                                                	PIR
                                                	**type**\: int
                                                
                                                	**range:** 0..100000000000
                                                
                                                .. attribute:: pirunit
                                                
                                                	PIR unit
                                                	**type**\:  :py:class:`IpqosRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosRateUnit>`
                                                
                                                .. attribute:: berate
                                                
                                                	PIR burst
                                                	**type**\: int
                                                
                                                	**range:** 0..536870912
                                                
                                                .. attribute:: beunit
                                                
                                                	PIR burst unit
                                                	**type**\:  :py:class:`IpqosBurstRateUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosBurstRateUnit>`
                                                
                                                .. attribute:: conformaction
                                                
                                                	Conform action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: conformsetcostransmit
                                                
                                                	set cos for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: conformsetdscptransmit
                                                
                                                	set dscp for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: conformsetprectransmit
                                                
                                                	set precedence for conforming traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: conformsetqosgrptransmit
                                                
                                                	set qos\-group for conforming traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedaction
                                                
                                                	Exceed action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: exceedsetcostransmit
                                                
                                                	set cos for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: exceedsetdscptransmit
                                                
                                                	set dscp for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: exceedsetprectransmit
                                                
                                                	set precedence for exceeding traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: exceedsetqosgrptransmit
                                                
                                                	set qos\-group for exceeding traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violateaction
                                                
                                                	Violate action
                                                	**type**\:  :py:class:`IpqosPoliceAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPoliceAction>`
                                                
                                                .. attribute:: violatesetcostransmit
                                                
                                                	set cos for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: violatesetdscptransmit
                                                
                                                	set dscp for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..63
                                                
                                                .. attribute:: violatesetprectransmit
                                                
                                                	set precedence for violating traffic
                                                	**type**\:  :py:class:`IpqosPrec <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosPrec>`
                                                
                                                .. attribute:: violatesetqosgrptransmit
                                                
                                                	set qos\-group for violating traffic
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, self).__init__()

                                                    self.yang_name = "police-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('cirrate', (YLeaf(YType.uint64, 'cirRate'), ['int'])),
                                                        ('cirunit', (YLeaf(YType.enumeration, 'cirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('bcrate', (YLeaf(YType.uint64, 'bcRate'), ['int'])),
                                                        ('bcunit', (YLeaf(YType.enumeration, 'bcUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('pirrate', (YLeaf(YType.uint64, 'pirRate'), ['int'])),
                                                        ('pirunit', (YLeaf(YType.enumeration, 'pirUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosRateUnit', '')])),
                                                        ('berate', (YLeaf(YType.uint64, 'beRate'), ['int'])),
                                                        ('beunit', (YLeaf(YType.enumeration, 'beUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosBurstRateUnit', '')])),
                                                        ('conformaction', (YLeaf(YType.enumeration, 'conformAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('conformsetcostransmit', (YLeaf(YType.uint8, 'conformSetCosTransmit'), ['int'])),
                                                        ('conformsetdscptransmit', (YLeaf(YType.uint8, 'conformSetDscpTransmit'), ['int'])),
                                                        ('conformsetprectransmit', (YLeaf(YType.enumeration, 'conformSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('conformsetqosgrptransmit', (YLeaf(YType.uint16, 'conformSetQosGrpTransmit'), ['int'])),
                                                        ('exceedaction', (YLeaf(YType.enumeration, 'exceedAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('exceedsetcostransmit', (YLeaf(YType.uint8, 'exceedSetCosTransmit'), ['int'])),
                                                        ('exceedsetdscptransmit', (YLeaf(YType.uint8, 'exceedSetDscpTransmit'), ['int'])),
                                                        ('exceedsetprectransmit', (YLeaf(YType.enumeration, 'exceedSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('exceedsetqosgrptransmit', (YLeaf(YType.uint16, 'exceedSetQosGrpTransmit'), ['int'])),
                                                        ('violateaction', (YLeaf(YType.enumeration, 'violateAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPoliceAction', '')])),
                                                        ('violatesetcostransmit', (YLeaf(YType.uint8, 'violateSetCosTransmit'), ['int'])),
                                                        ('violatesetdscptransmit', (YLeaf(YType.uint8, 'violateSetDscpTransmit'), ['int'])),
                                                        ('violatesetprectransmit', (YLeaf(YType.enumeration, 'violateSetPrecTransmit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosPrec', '')])),
                                                        ('violatesetqosgrptransmit', (YLeaf(YType.uint16, 'violateSetQosGrpTransmit'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.cirrate = None
                                                    self.cirunit = None
                                                    self.bcrate = None
                                                    self.bcunit = None
                                                    self.pirrate = None
                                                    self.pirunit = None
                                                    self.berate = None
                                                    self.beunit = None
                                                    self.conformaction = None
                                                    self.conformsetcostransmit = None
                                                    self.conformsetdscptransmit = None
                                                    self.conformsetprectransmit = None
                                                    self.conformsetqosgrptransmit = None
                                                    self.exceedaction = None
                                                    self.exceedsetcostransmit = None
                                                    self.exceedsetdscptransmit = None
                                                    self.exceedsetprectransmit = None
                                                    self.exceedsetqosgrptransmit = None
                                                    self.violateaction = None
                                                    self.violatesetcostransmit = None
                                                    self.violatesetdscptransmit = None
                                                    self.violatesetprectransmit = None
                                                    self.violatesetqosgrptransmit = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "police-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PoliceItems, ['cirrate', 'cirunit', 'bcrate', 'bcunit', 'pirrate', 'pirunit', 'berate', 'beunit', 'conformaction', 'conformsetcostransmit', 'conformsetdscptransmit', 'conformsetprectransmit', 'conformsetqosgrptransmit', 'exceedaction', 'exceedsetcostransmit', 'exceedsetdscptransmit', 'exceedsetprectransmit', 'exceedsetqosgrptransmit', 'violateaction', 'violatesetcostransmit', 'violatesetdscptransmit', 'violatesetprectransmit', 'violatesetqosgrptransmit', 'configstatus'], name, value)



                                            class PrioItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: level
                                                
                                                	Optional priority level
                                                	**type**\: int
                                                
                                                	**range:** 1..8
                                                
                                                .. attribute:: configstatus
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, self).__init__()

                                                    self.yang_name = "prio-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('level', (YLeaf(YType.uint8, 'level'), ['int'])),
                                                        ('configstatus', (YLeaf(YType.uint32, 'configStatus'), ['int'])),
                                                    ])
                                                    self.level = None
                                                    self.configstatus = None
                                                    self._segment_path = lambda: "prio-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.PrioItems, ['level', 'configstatus'], name, value)



                                            class RandDetItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthreshold
                                                
                                                	min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunit
                                                
                                                	min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthreshold
                                                
                                                	max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunit
                                                
                                                	max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavail
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: weight
                                                
                                                	weight range
                                                	**type**\: int
                                                
                                                	**range:** 0..15
                                                
                                                .. attribute:: capaverage
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: optimization
                                                
                                                	random optimization type
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: ecn
                                                
                                                	
                                                	**type**\: bool
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, self).__init__()

                                                    self.yang_name = "RandDet-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthreshold', (YLeaf(YType.uint32, 'minThreshold'), ['int'])),
                                                        ('minthresholdunit', (YLeaf(YType.enumeration, 'minThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthreshold', (YLeaf(YType.uint32, 'maxThreshold'), ['int'])),
                                                        ('maxthresholdunit', (YLeaf(YType.enumeration, 'maxThresholdUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavail', (YLeaf(YType.uint8, 'dropAvail'), ['int'])),
                                                        ('weight', (YLeaf(YType.uint8, 'weight'), ['int'])),
                                                        ('capaverage', (YLeaf(YType.boolean, 'capAverage'), ['bool'])),
                                                        ('optimization', (YLeaf(YType.uint8, 'optimization'), ['int'])),
                                                        ('ecn', (YLeaf(YType.boolean, 'ecn'), ['bool'])),
                                                    ])
                                                    self.minthreshold = None
                                                    self.minthresholdunit = None
                                                    self.maxthreshold = None
                                                    self.maxthresholdunit = None
                                                    self.dropavail = None
                                                    self.weight = None
                                                    self.capaverage = None
                                                    self.optimization = None
                                                    self.ecn = None
                                                    self._segment_path = lambda: "RandDet-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetItems, ['minthreshold', 'minthresholdunit', 'maxthreshold', 'maxthresholdunit', 'dropavail', 'weight', 'capaverage', 'optimization', 'ecn'], name, value)



                                            class RandDetNonEcnItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: minthresholdnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: minthresholdunitnonecn
                                                
                                                	non ecn min threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: maxthresholdnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\: int
                                                
                                                	**range:** 0..52428800
                                                
                                                .. attribute:: maxthresholdunitnonecn
                                                
                                                	non ecn max threshold
                                                	**type**\:  :py:class:`IpqosThreshUnit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpqosThreshUnit>`
                                                
                                                .. attribute:: dropavailnonecn
                                                
                                                	drop availability range
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, self).__init__()

                                                    self.yang_name = "RandDetNonEcn-items"
                                                    self.yang_parent_name = "MatchCMap-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('minthresholdnonecn', (YLeaf(YType.uint32, 'minThresholdNonEcn'), ['int'])),
                                                        ('minthresholdunitnonecn', (YLeaf(YType.enumeration, 'minThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('maxthresholdnonecn', (YLeaf(YType.uint32, 'maxThresholdNonEcn'), ['int'])),
                                                        ('maxthresholdunitnonecn', (YLeaf(YType.enumeration, 'maxThresholdUnitNonEcn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpqosThreshUnit', '')])),
                                                        ('dropavailnonecn', (YLeaf(YType.uint8, 'dropAvailNonEcn'), ['int'])),
                                                    ])
                                                    self.minthresholdnonecn = None
                                                    self.minthresholdunitnonecn = None
                                                    self.maxthresholdnonecn = None
                                                    self.maxthresholdunitnonecn = None
                                                    self.dropavailnonecn = None
                                                    self._segment_path = lambda: "RandDetNonEcn-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.CmapItems.MatchCMapList.RandDetNonEcnItems, ['minthresholdnonecn', 'minthresholdunitnonecn', 'maxthresholdnonecn', 'maxthresholdunitnonecn', 'dropavailnonecn'], name, value)





                                    class DescriptionItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: val
                                        
                                        	Description string
                                        	**type**\: str
                                        
                                        	**length:** 0..200
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems, self).__init__()

                                            self.yang_name = "Description-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('val', (YLeaf(YType.str, 'val'), ['str'])),
                                            ])
                                            self.val = None
                                            self._segment_path = lambda: "Description-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.DescriptionItems, ['val'], name, value)



                                    class RtipqosPolicyInstToPMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtipqospolicyinsttopmap_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtIpqosPolicyInstToPMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, self).__init__()

                                            self.yang_name = "rtipqosPolicyInstToPMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtIpqosPolicyInstToPMap-list", ("rtipqospolicyinsttopmap_list", System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList))])
                                            self._leafs = OrderedDict()

                                            self.rtipqospolicyinsttopmap_list = YList(self)
                                            self._segment_path = lambda: "rtipqosPolicyInstToPMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems, [], name, value)


                                        class RtIpqosPolicyInstToPMapList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, self).__init__()

                                                self.yang_name = "RtIpqosPolicyInstToPMap-list"
                                                self.yang_parent_name = "rtipqosPolicyInstToPMap-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RtIpqosPolicyInstToPMap-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtipqosPolicyInstToPMapItems.RtIpqosPolicyInstToPMapList, ['tdn', 'tcl'], name, value)




                                    class RtclassMapToPolicyMapItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, self).__init__()

                                            self.yang_name = "rtclassMapToPolicyMap-items"
                                            self.yang_parent_name = "PMapInst-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rtclassMapToPolicyMap-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.PItems.NameItems.PMapInstList.RtclassMapToPolicyMapItems, ['tdn', 'tcl'], name, value)






                        class CopyPMapItems(Entity):
                            """
                            
                            
                            .. attribute:: lastfrom
                            
                            	Name of source policy\-map to copy from
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            .. attribute:: lastto
                            
                            	Name of policy\-map resulting from copying
                            	**type**\: str
                            
                            	**length:** 1..40
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CopyPMapItems, self).__init__()

                                self.yang_name = "copyPMap-items"
                                self.yang_parent_name = "dflt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lastfrom', (YLeaf(YType.str, 'lastFrom'), ['str'])),
                                    ('lastto', (YLeaf(YType.str, 'lastTo'), ['str'])),
                                ])
                                self.lastfrom = None
                                self.lastto = None
                                self._segment_path = lambda: "copyPMap-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanconfigItems.VlanConfigList.IpqosItems.DfltItems.CopyPMapItems, ['lastfrom', 'lastto'], name, value)







        class BdItems_(Entity):
            """
            
            
            .. attribute:: bd_list
            
            	
            	**type**\: list of  		 :py:class:`BDList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BdItems.BdItems_, self).__init__()

                self.yang_name = "bd-items"
                self.yang_parent_name = "bd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("BD-list", ("bd_list", System.BdItems.BdItems_.BDList))])
                self._leafs = OrderedDict()

                self.bd_list = YList(self)
                self._segment_path = lambda: "bd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BdItems.BdItems_, [], name, value)


            class BDList(Entity):
                """
                
                
                .. attribute:: fabencap  (key)
                
                	
                	**type**\: str
                
                .. attribute:: accencap
                
                	
                	**type**\: str
                
                .. attribute:: xconnect
                
                	Enable Cross Connect on VLAN
                	**type**\:  :py:class:`L2XConnect <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2XConnect>`
                
                .. attribute:: fwdmode
                
                	The Layer 2 bridge\-domain parameter mode used by the node for enabling forwarding modes
                	**type**\: str
                
                .. attribute:: bridgemode
                
                	Bridging Mode
                	**type**\:  :py:class:`L2BridgeMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2BridgeMode>`
                
                .. attribute:: fwdctrl
                
                	The Layer 2 bridge\-domain forwarding controls
                	**type**\: str
                
                .. attribute:: bddefdn
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: controllerid
                
                	Controller ID for Vlan
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: bdstate
                
                	Bridge Domain State can be active or suspended
                	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                
                .. attribute:: bdopername
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: id
                
                	Domain ID
                	**type**\: int
                
                	**range:** 1..4096
                
                .. attribute:: hwid
                
                	Hardware Resource ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`L2DomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomMode>`
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: createts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: member_items
                
                	
                	**type**\:  :py:class:`MemberItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.MemberItems>`
                
                .. attribute:: fmgrp_items
                
                	
                	**type**\:  :py:class:`FmgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.FmgrpItems>`
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems>`
                
                .. attribute:: vlan_items
                
                	
                	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems>`
                
                .. attribute:: vxlan_items
                
                	
                	**type**\:  :py:class:`VxlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems>`
                
                .. attribute:: rsextbd_items
                
                	
                	**type**\:  :py:class:`RsextBDItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RsextBDItems>`
                
                .. attribute:: rsbdvsanmap_items
                
                	
                	**type**\:  :py:class:`RsbdVsanMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RsbdVsanMapItems>`
                
                .. attribute:: rtfvdomifconn_items
                
                	
                	**type**\:  :py:class:`RtfvDomIfConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RtfvDomIfConnItems>`
                
                .. attribute:: dbgvlanstats_items
                
                	
                	**type**\:  :py:class:`DbgVlanStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbgVlanStatsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BdItems.BdItems_.BDList, self).__init__()

                    self.yang_name = "BD-list"
                    self.yang_parent_name = "bd-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['fabencap']
                    self._child_classes = OrderedDict([("member-items", ("member_items", System.BdItems.BdItems_.BDList.MemberItems)), ("fmgrp-items", ("fmgrp_items", System.BdItems.BdItems_.BDList.FmgrpItems)), ("db-items", ("db_items", System.BdItems.BdItems_.BDList.DbItems)), ("vlan-items", ("vlan_items", System.BdItems.BdItems_.BDList.VlanItems)), ("vxlan-items", ("vxlan_items", System.BdItems.BdItems_.BDList.VxlanItems)), ("rsextBD-items", ("rsextbd_items", System.BdItems.BdItems_.BDList.RsextBDItems)), ("rsbdVsanMap-items", ("rsbdvsanmap_items", System.BdItems.BdItems_.BDList.RsbdVsanMapItems)), ("rtfvDomIfConn-items", ("rtfvdomifconn_items", System.BdItems.BdItems_.BDList.RtfvDomIfConnItems)), ("dbgVlanStats-items", ("dbgvlanstats_items", System.BdItems.BdItems_.BDList.DbgVlanStatsItems))])
                    self._leafs = OrderedDict([
                        ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                        ('accencap', (YLeaf(YType.str, 'accEncap'), ['str'])),
                        ('xconnect', (YLeaf(YType.enumeration, 'xConnect'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2XConnect', '')])),
                        ('fwdmode', (YLeaf(YType.str, 'fwdMode'), ['str'])),
                        ('bridgemode', (YLeaf(YType.enumeration, 'bridgeMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2BridgeMode', '')])),
                        ('fwdctrl', (YLeaf(YType.str, 'fwdCtrl'), ['str'])),
                        ('bddefdn', (YLeaf(YType.str, 'bdDefDn'), ['str'])),
                        ('controllerid', (YLeaf(YType.str, 'controllerId'), ['str'])),
                        ('bdstate', (YLeaf(YType.enumeration, 'BdState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                        ('bdopername', (YLeaf(YType.str, 'BdOperName'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('hwid', (YLeaf(YType.uint32, 'hwId'), ['int'])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomMode', '')])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.fabencap = None
                    self.accencap = None
                    self.xconnect = None
                    self.fwdmode = None
                    self.bridgemode = None
                    self.fwdctrl = None
                    self.bddefdn = None
                    self.controllerid = None
                    self.bdstate = None
                    self.bdopername = None
                    self.name = None
                    self.id = None
                    self.hwid = None
                    self.mode = None
                    self.adminst = None
                    self.operst = None
                    self.createts = None
                    self.ctrl = None

                    self.member_items = System.BdItems.BdItems_.BDList.MemberItems()
                    self.member_items.parent = self
                    self._children_name_map["member_items"] = "member-items"

                    self.fmgrp_items = System.BdItems.BdItems_.BDList.FmgrpItems()
                    self.fmgrp_items.parent = self
                    self._children_name_map["fmgrp_items"] = "fmgrp-items"

                    self.db_items = System.BdItems.BdItems_.BDList.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"

                    self.vlan_items = System.BdItems.BdItems_.BDList.VlanItems()
                    self.vlan_items.parent = self
                    self._children_name_map["vlan_items"] = "vlan-items"

                    self.vxlan_items = System.BdItems.BdItems_.BDList.VxlanItems()
                    self.vxlan_items.parent = self
                    self._children_name_map["vxlan_items"] = "vxlan-items"

                    self.rsextbd_items = System.BdItems.BdItems_.BDList.RsextBDItems()
                    self.rsextbd_items.parent = self
                    self._children_name_map["rsextbd_items"] = "rsextBD-items"

                    self.rsbdvsanmap_items = System.BdItems.BdItems_.BDList.RsbdVsanMapItems()
                    self.rsbdvsanmap_items.parent = self
                    self._children_name_map["rsbdvsanmap_items"] = "rsbdVsanMap-items"

                    self.rtfvdomifconn_items = System.BdItems.BdItems_.BDList.RtfvDomIfConnItems()
                    self.rtfvdomifconn_items.parent = self
                    self._children_name_map["rtfvdomifconn_items"] = "rtfvDomIfConn-items"

                    self.dbgvlanstats_items = System.BdItems.BdItems_.BDList.DbgVlanStatsItems()
                    self.dbgvlanstats_items.parent = self
                    self._children_name_map["dbgvlanstats_items"] = "dbgVlanStats-items"
                    self._segment_path = lambda: "BD-list" + "[fabEncap='" + str(self.fabencap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/bd-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BdItems.BdItems_.BDList, ['fabencap', 'accencap', 'xconnect', 'fwdmode', 'bridgemode', 'fwdctrl', 'bddefdn', 'controllerid', 'bdstate', 'bdopername', 'name', 'id', 'hwid', 'mode', 'adminst', 'operst', 'createts', 'ctrl'], name, value)


                class MemberItems(Entity):
                    """
                    
                    
                    .. attribute:: vlanmemberif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VlanMemberIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.MemberItems.VlanMemberIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.MemberItems, self).__init__()

                        self.yang_name = "member-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("VlanMemberIf-list", ("vlanmemberif_list", System.BdItems.BdItems_.BDList.MemberItems.VlanMemberIfList))])
                        self._leafs = OrderedDict()

                        self.vlanmemberif_list = YList(self)
                        self._segment_path = lambda: "member-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.MemberItems, [], name, value)


                    class VlanMemberIfList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Interface ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vlan
                        
                        	VLAN
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.MemberItems.VlanMemberIfList, self).__init__()

                            self.yang_name = "VlanMemberIf-list"
                            self.yang_parent_name = "member-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('vlan', (YLeaf(YType.uint32, 'vlan'), ['int'])),
                            ])
                            self.id = None
                            self.vlan = None
                            self._segment_path = lambda: "VlanMemberIf-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.MemberItems.VlanMemberIfList, ['id', 'vlan'], name, value)




                class FmgrpItems(Entity):
                    """
                    
                    
                    .. attribute:: grp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`GrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.FmgrpItems.GrpList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.FmgrpItems, self).__init__()

                        self.yang_name = "fmgrp-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Grp-list", ("grp_list", System.BdItems.BdItems_.BDList.FmgrpItems.GrpList))])
                        self._leafs = OrderedDict()

                        self.grp_list = YList(self)
                        self._segment_path = lambda: "fmgrp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.FmgrpItems, [], name, value)


                    class GrpList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	Address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.FmgrpItems.GrpList, self).__init__()

                            self.yang_name = "Grp-list"
                            self.yang_parent_name = "fmgrp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.addr = None
                            self.name = None
                            self._segment_path = lambda: "Grp-list" + "[addr='" + str(self.addr) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.FmgrpItems.GrpList, ['addr', 'name'], name, value)




                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.BdItems.BdItems_.BDList.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: ip_items
                        
                        	
                        	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mac_items
                        
                        	
                        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("ip-items", ("ip_items", System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.name = None

                            self.ip_items = System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems()
                            self.ip_items.parent = self
                            self._children_name_map["ip_items"] = "ip-items"

                            self.mac_items = System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems()
                            self.mac_items.parent = self
                            self._children_name_map["mac_items"] = "mac-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList, ['type', 'name'], name, value)


                        class IpItems(Entity):
                            """
                            
                            
                            .. attribute:: ipep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems, self).__init__()

                                self.yang_name = "ip-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList))])
                                self._leafs = OrderedDict()

                                self.ipep_list = YList(self)
                                self._segment_path = lambda: "ip-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems, [], name, value)


                            class IpEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtipeprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rtmaceprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                    self.yang_name = "IpEp-list"
                                    self.yang_parent_name = "ip-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None

                                    self.rtipeprslttoipepatt_items = System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                    self.rtipeprslttoipepatt_items.parent = self
                                    self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                    self.rtmaceprslttoipepatt_items = System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                    self.rtmaceprslttoipepatt_items.parent = self
                                    self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                    self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                                class RtIpEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                                class RtMacEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                        class MacItems(Entity):
                            """
                            
                            
                            .. attribute:: macep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems, self).__init__()

                                self.yang_name = "mac-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList))])
                                self._leafs = OrderedDict()

                                self.macep_list = YList(self)
                                self._segment_path = lambda: "mac-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems, [], name, value)


                            class MacEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: createts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rsmaceptoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                    self.yang_name = "MacEp-list"
                                    self.yang_parent_name = "mac-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None
                                    self.createts = None

                                    self.rsmaceptoipepatt_items = System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                    self.rsmaceptoipepatt_items.parent = self
                                    self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                    self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                                class RsmacEpToIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rsmaceptoipepatt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                        self.yang_name = "rsmacEpToIpEpAtt-items"
                                        self.yang_parent_name = "MacEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                        self._leafs = OrderedDict()

                                        self.rsmaceptoipepatt_list = YList(self)
                                        self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                    class RsMacEpToIpEpAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                            self.yang_name = "RsMacEpToIpEpAtt-list"
                                            self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








                class VlanItems(Entity):
                    """
                    
                    
                    .. attribute:: cktep_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CktEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.VlanItems, self).__init__()

                        self.yang_name = "vlan-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CktEp-list", ("cktep_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList))])
                        self._leafs = OrderedDict()

                        self.cktep_list = YList(self)
                        self._segment_path = lambda: "vlan-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems, [], name, value)


                    class CktEpList(Entity):
                        """
                        
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: fabencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: id
                        
                        	Domain ID
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: hwid
                        
                        	Hardware Resource ID
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`L2DomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomMode>`
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: createts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        .. attribute:: enfpref
                        
                        	Switching Preference
                        	**type**\:  :py:class:`L2EnfPref <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2EnfPref>`
                        
                        .. attribute:: pctag
                        
                        	It represents the classId for the traffic terminating on this circuit
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: qosprio
                        
                        	It represents the default qos group for the traffic on this circuit
                        	**type**\:  :py:class:`QosTenantPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosTenantPrio>`
                        
                        .. attribute:: epgdn
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: mac_items
                        
                        	
                        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems>`
                        
                        .. attribute:: db_items
                        
                        	
                        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems>`
                        
                        .. attribute:: rtspanspansrctol2cktepatt_items
                        
                        	
                        	**type**\:  :py:class:`RtspanSpanSrcToL2CktEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems>`
                        
                        .. attribute:: rtfvdomifconn_items
                        
                        	
                        	**type**\:  :py:class:`RtfvDomIfConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems>`
                        
                        .. attribute:: rsvlaneppatt_items
                        
                        	
                        	**type**\:  :py:class:`RsvlanEppAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RsvlanEppAttItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList, self).__init__()

                            self.yang_name = "CktEp-list"
                            self.yang_parent_name = "vlan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['encap']
                            self._child_classes = OrderedDict([("mac-items", ("mac_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems)), ("db-items", ("db_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems)), ("rtspanSpanSrcToL2CktEpAtt-items", ("rtspanspansrctol2cktepatt_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems)), ("rtfvDomIfConn-items", ("rtfvdomifconn_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems)), ("rsvlanEppAtt-items", ("rsvlaneppatt_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RsvlanEppAttItems))])
                            self._leafs = OrderedDict([
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('hwid', (YLeaf(YType.uint32, 'hwId'), ['int'])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomMode', '')])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                                ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('enfpref', (YLeaf(YType.enumeration, 'enfPref'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2EnfPref', '')])),
                                ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                                ('qosprio', (YLeaf(YType.enumeration, 'qosPrio'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosTenantPrio', '')])),
                                ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                            ])
                            self.encap = None
                            self.fabencap = None
                            self.name = None
                            self.id = None
                            self.hwid = None
                            self.mode = None
                            self.adminst = None
                            self.operst = None
                            self.createts = None
                            self.ctrl = None
                            self.enfpref = None
                            self.pctag = None
                            self.qosprio = None
                            self.epgdn = None

                            self.mac_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems()
                            self.mac_items.parent = self
                            self._children_name_map["mac_items"] = "mac-items"

                            self.db_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems()
                            self.db_items.parent = self
                            self._children_name_map["db_items"] = "db-items"

                            self.rtspanspansrctol2cktepatt_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems()
                            self.rtspanspansrctol2cktepatt_items.parent = self
                            self._children_name_map["rtspanspansrctol2cktepatt_items"] = "rtspanSpanSrcToL2CktEpAtt-items"

                            self.rtfvdomifconn_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems()
                            self.rtfvdomifconn_items.parent = self
                            self._children_name_map["rtfvdomifconn_items"] = "rtfvDomIfConn-items"

                            self.rsvlaneppatt_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RsvlanEppAttItems()
                            self.rsvlaneppatt_items.parent = self
                            self._children_name_map["rsvlaneppatt_items"] = "rsvlanEppAtt-items"
                            self._segment_path = lambda: "CktEp-list" + "[encap='" + str(self.encap) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList, ['encap', 'fabencap', 'name', 'id', 'hwid', 'mode', 'adminst', 'operst', 'createts', 'ctrl', 'enfpref', 'pctag', 'qosprio', 'epgdn'], name, value)


                        class MacItems(Entity):
                            """
                            
                            
                            .. attribute:: macep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems, self).__init__()

                                self.yang_name = "mac-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList))])
                                self._leafs = OrderedDict()

                                self.macep_list = YList(self)
                                self._segment_path = lambda: "mac-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems, [], name, value)


                            class MacEpList(Entity):
                                """
                                
                                
                                .. attribute:: mac  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: if_
                                
                                	Interface
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`EpmEpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmEpOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: rtfvepdefreftol2macep_items
                                
                                	
                                	**type**\:  :py:class:`RtfvEpDefRefToL2MacEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList, self).__init__()

                                    self.yang_name = "MacEp-list"
                                    self.yang_parent_name = "mac-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['mac']
                                    self._child_classes = OrderedDict([("rtfvEpDefRefToL2MacEp-items", ("rtfvepdefreftol2macep_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems))])
                                    self._leafs = OrderedDict([
                                        ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                        ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmEpOperSt', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.mac = None
                                    self.if_ = None
                                    self.operst = None
                                    self.name = None

                                    self.rtfvepdefreftol2macep_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems()
                                    self.rtfvepdefreftol2macep_items.parent = self
                                    self._children_name_map["rtfvepdefreftol2macep_items"] = "rtfvEpDefRefToL2MacEp-items"
                                    self._segment_path = lambda: "MacEp-list" + "[mac='" + str(self.mac) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList, ['mac', 'if_', 'operst', 'name'], name, value)


                                class RtfvEpDefRefToL2MacEpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rtfvepdefreftol2macep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RtFvEpDefRefToL2MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems, self).__init__()

                                        self.yang_name = "rtfvEpDefRefToL2MacEp-items"
                                        self.yang_parent_name = "MacEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RtFvEpDefRefToL2MacEp-list", ("rtfvepdefreftol2macep_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList))])
                                        self._leafs = OrderedDict()

                                        self.rtfvepdefreftol2macep_list = YList(self)
                                        self._segment_path = lambda: "rtfvEpDefRefToL2MacEp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems, [], name, value)


                                    class RtFvEpDefRefToL2MacEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList, self).__init__()

                                            self.yang_name = "RtFvEpDefRefToL2MacEp-list"
                                            self.yang_parent_name = "rtfvEpDefRefToL2MacEp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RtFvEpDefRefToL2MacEp-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList, ['tdn', 'tcl'], name, value)






                        class DbItems(Entity):
                            """
                            
                            
                            .. attribute:: db_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems, self).__init__()

                                self.yang_name = "db-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Db-list", ("db_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList))])
                                self._leafs = OrderedDict()

                                self.db_list = YList(self)
                                self._segment_path = lambda: "db-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems, [], name, value)


                            class DbList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ip_items
                                
                                	
                                	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: mac_items
                                
                                	
                                	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList, self).__init__()

                                    self.yang_name = "Db-list"
                                    self.yang_parent_name = "db-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("ip-items", ("ip_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None

                                    self.ip_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems()
                                    self.ip_items.parent = self
                                    self._children_name_map["ip_items"] = "ip-items"

                                    self.mac_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems()
                                    self.mac_items.parent = self
                                    self._children_name_map["mac_items"] = "mac-items"
                                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList, ['type', 'name'], name, value)


                                class IpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems, self).__init__()

                                        self.yang_name = "ip-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList))])
                                        self._leafs = OrderedDict()

                                        self.ipep_list = YList(self)
                                        self._segment_path = lambda: "ip-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems, [], name, value)


                                    class IpEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifid
                                        
                                        	Path
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Endpoint Properties and State
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtipeprslttoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtmaceprslttoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                            self.yang_name = "IpEp-list"
                                            self.yang_parent_name = "ip-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.ifid = None
                                            self.flags = None

                                            self.rtipeprslttoipepatt_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                            self.rtipeprslttoipepatt_items.parent = self
                                            self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                            self.rtmaceprslttoipepatt_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                            self.rtmaceprslttoipepatt_items.parent = self
                                            self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                            self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                                        class RtIpEpRslttoIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                                self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                                self.yang_parent_name = "IpEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                                        class RtMacEpRslttoIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                                self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                                self.yang_parent_name = "IpEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                                class MacItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: macep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems, self).__init__()

                                        self.yang_name = "mac-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList))])
                                        self._leafs = OrderedDict()

                                        self.macep_list = YList(self)
                                        self._segment_path = lambda: "mac-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems, [], name, value)


                                    class MacEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifid
                                        
                                        	Path
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Endpoint Properties and State
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: createts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rsmaceptoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                            self.yang_name = "MacEp-list"
                                            self.yang_parent_name = "mac-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.ifid = None
                                            self.flags = None
                                            self.createts = None

                                            self.rsmaceptoipepatt_items = System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                            self.rsmaceptoipepatt_items.parent = self
                                            self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                            self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                                        class RsmacEpToIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rsmaceptoipepatt_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                                self.yang_name = "rsmacEpToIpEpAtt-items"
                                                self.yang_parent_name = "MacEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                                self._leafs = OrderedDict()

                                                self.rsmaceptoipepatt_list = YList(self)
                                                self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                            class RsMacEpToIpEpAttList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn  (key)
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                                    self.yang_name = "RsMacEpToIpEpAtt-list"
                                                    self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['tdn']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








                        class RtspanSpanSrcToL2CktEpAttItems(Entity):
                            """
                            
                            
                            .. attribute:: rtspanspansrctol2cktepatt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtSpanSpanSrcToL2CktEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, self).__init__()

                                self.yang_name = "rtspanSpanSrcToL2CktEpAtt-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtSpanSpanSrcToL2CktEpAtt-list", ("rtspanspansrctol2cktepatt_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList))])
                                self._leafs = OrderedDict()

                                self.rtspanspansrctol2cktepatt_list = YList(self)
                                self._segment_path = lambda: "rtspanSpanSrcToL2CktEpAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, [], name, value)


                            class RtSpanSpanSrcToL2CktEpAttList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, self).__init__()

                                    self.yang_name = "RtSpanSpanSrcToL2CktEpAtt-list"
                                    self.yang_parent_name = "rtspanSpanSrcToL2CktEpAtt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtSpanSpanSrcToL2CktEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, ['tdn', 'tcl'], name, value)




                        class RtfvDomIfConnItems(Entity):
                            """
                            
                            
                            .. attribute:: rtfvdomifconn_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtFvDomIfConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems, self).__init__()

                                self.yang_name = "rtfvDomIfConn-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtFvDomIfConn-list", ("rtfvdomifconn_list", System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList))])
                                self._leafs = OrderedDict()

                                self.rtfvdomifconn_list = YList(self)
                                self._segment_path = lambda: "rtfvDomIfConn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems, [], name, value)


                            class RtFvDomIfConnList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, self).__init__()

                                    self.yang_name = "RtFvDomIfConn-list"
                                    self.yang_parent_name = "rtfvDomIfConn-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtFvDomIfConn-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, ['tdn', 'tcl'], name, value)




                        class RsvlanEppAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	State
                            	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                            
                            	**config**\: False
                            
                            .. attribute:: statequal
                            
                            	State Qualifier
                            	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: ttype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                            
                            	**config**\: False
                            
                            .. attribute:: forceresolve
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            	**default value**\: true
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RsvlanEppAttItems, self).__init__()

                                self.yang_name = "rsvlanEppAtt-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                    ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                    ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                    ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                    ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self.state = None
                                self.statequal = None
                                self.ttype = None
                                self.rtype = None
                                self.forceresolve = None
                                self._segment_path = lambda: "rsvlanEppAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VlanItems.CktEpList.RsvlanEppAttItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                class VxlanItems(Entity):
                    """
                    
                    
                    .. attribute:: cktep_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CktEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.VxlanItems, self).__init__()

                        self.yang_name = "vxlan-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CktEp-list", ("cktep_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList))])
                        self._leafs = OrderedDict()

                        self.cktep_list = YList(self)
                        self._segment_path = lambda: "vxlan-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems, [], name, value)


                    class CktEpList(Entity):
                        """
                        
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mcastencap
                        
                        	Multicast Encapsulation
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	Domain ID
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        	**config**\: False
                        
                        .. attribute:: hwid
                        
                        	Hardware Resource ID
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`L2DomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: createts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: enfpref
                        
                        	Switching Preference
                        	**type**\:  :py:class:`L2EnfPref <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2EnfPref>`
                        
                        	**config**\: False
                        
                        .. attribute:: pctag
                        
                        	It represents the classId for the traffic terminating on this circuit
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: qosprio
                        
                        	It represents the default qos group for the traffic on this circuit
                        	**type**\:  :py:class:`QosTenantPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosTenantPrio>`
                        
                        	**config**\: False
                        
                        .. attribute:: epgdn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: db_items
                        
                        	
                        	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtspanspansrctol2cktepatt_items
                        
                        	
                        	**type**\:  :py:class:`RtspanSpanSrcToL2CktEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtfvdomifconn_items
                        
                        	
                        	**type**\:  :py:class:`RtfvDomIfConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsvxlaneppatt_items
                        
                        	
                        	**type**\:  :py:class:`RsvxlanEppAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RsvxlanEppAttItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList, self).__init__()

                            self.yang_name = "CktEp-list"
                            self.yang_parent_name = "vxlan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['encap']
                            self._child_classes = OrderedDict([("db-items", ("db_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems)), ("rtspanSpanSrcToL2CktEpAtt-items", ("rtspanspansrctol2cktepatt_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems)), ("rtfvDomIfConn-items", ("rtfvdomifconn_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems)), ("rsvxlanEppAtt-items", ("rsvxlaneppatt_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RsvxlanEppAttItems))])
                            self._leafs = OrderedDict([
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('mcastencap', (YLeaf(YType.str, 'mcastEncap'), ['str','str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('hwid', (YLeaf(YType.uint32, 'hwId'), ['int'])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomMode', '')])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                                ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('enfpref', (YLeaf(YType.enumeration, 'enfPref'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2EnfPref', '')])),
                                ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                                ('qosprio', (YLeaf(YType.enumeration, 'qosPrio'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosTenantPrio', '')])),
                                ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                            ])
                            self.encap = None
                            self.mcastencap = None
                            self.name = None
                            self.id = None
                            self.hwid = None
                            self.mode = None
                            self.adminst = None
                            self.operst = None
                            self.createts = None
                            self.ctrl = None
                            self.enfpref = None
                            self.pctag = None
                            self.qosprio = None
                            self.epgdn = None

                            self.db_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems()
                            self.db_items.parent = self
                            self._children_name_map["db_items"] = "db-items"

                            self.rtspanspansrctol2cktepatt_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems()
                            self.rtspanspansrctol2cktepatt_items.parent = self
                            self._children_name_map["rtspanspansrctol2cktepatt_items"] = "rtspanSpanSrcToL2CktEpAtt-items"

                            self.rtfvdomifconn_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems()
                            self.rtfvdomifconn_items.parent = self
                            self._children_name_map["rtfvdomifconn_items"] = "rtfvDomIfConn-items"

                            self.rsvxlaneppatt_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RsvxlanEppAttItems()
                            self.rsvxlaneppatt_items.parent = self
                            self._children_name_map["rsvxlaneppatt_items"] = "rsvxlanEppAtt-items"
                            self._segment_path = lambda: "CktEp-list" + "[encap='" + str(self.encap) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList, ['encap', 'mcastencap', 'name', 'id', 'hwid', 'mode', 'adminst', 'operst', 'createts', 'ctrl', 'enfpref', 'pctag', 'qosprio', 'epgdn'], name, value)


                        class DbItems(Entity):
                            """
                            
                            
                            .. attribute:: db_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems, self).__init__()

                                self.yang_name = "db-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Db-list", ("db_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList))])
                                self._leafs = OrderedDict()

                                self.db_list = YList(self)
                                self._segment_path = lambda: "db-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems, [], name, value)


                            class DbList(Entity):
                                """
                                
                                
                                .. attribute:: type  (key)
                                
                                	Type
                                	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ip_items
                                
                                	
                                	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: mac_items
                                
                                	
                                	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList, self).__init__()

                                    self.yang_name = "Db-list"
                                    self.yang_parent_name = "db-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['type']
                                    self._child_classes = OrderedDict([("ip-items", ("ip_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems))])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.type = None
                                    self.name = None

                                    self.ip_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems()
                                    self.ip_items.parent = self
                                    self._children_name_map["ip_items"] = "ip-items"

                                    self.mac_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems()
                                    self.mac_items.parent = self
                                    self._children_name_map["mac_items"] = "mac-items"
                                    self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList, ['type', 'name'], name, value)


                                class IpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems, self).__init__()

                                        self.yang_name = "ip-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList))])
                                        self._leafs = OrderedDict()

                                        self.ipep_list = YList(self)
                                        self._segment_path = lambda: "ip-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems, [], name, value)


                                    class IpEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifid
                                        
                                        	Path
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Endpoint Properties and State
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtipeprslttoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtmaceprslttoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                            self.yang_name = "IpEp-list"
                                            self.yang_parent_name = "ip-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.ifid = None
                                            self.flags = None

                                            self.rtipeprslttoipepatt_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                            self.rtipeprslttoipepatt_items.parent = self
                                            self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                            self.rtmaceprslttoipepatt_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                            self.rtmaceprslttoipepatt_items.parent = self
                                            self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                            self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                                        class RtIpEpRslttoIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                                self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                                self.yang_parent_name = "IpEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                                        class RtMacEpRslttoIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                                self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                                self.yang_parent_name = "IpEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                                class MacItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: macep_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems, self).__init__()

                                        self.yang_name = "mac-items"
                                        self.yang_parent_name = "Db-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList))])
                                        self._leafs = OrderedDict()

                                        self.macep_list = YList(self)
                                        self._segment_path = lambda: "mac-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems, [], name, value)


                                    class MacEpList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifid
                                        
                                        	Path
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Endpoint Properties and State
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: createts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rsmaceptoipepatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                            self.yang_name = "MacEp-list"
                                            self.yang_parent_name = "mac-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.ifid = None
                                            self.flags = None
                                            self.createts = None

                                            self.rsmaceptoipepatt_items = System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                            self.rsmaceptoipepatt_items.parent = self
                                            self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                            self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                                        class RsmacEpToIpEpAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rsmaceptoipepatt_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                                self.yang_name = "rsmacEpToIpEpAtt-items"
                                                self.yang_parent_name = "MacEp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                                self._leafs = OrderedDict()

                                                self.rsmaceptoipepatt_list = YList(self)
                                                self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                            class RsMacEpToIpEpAttList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn  (key)
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                                    self.yang_name = "RsMacEpToIpEpAtt-list"
                                                    self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['tdn']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








                        class RtspanSpanSrcToL2CktEpAttItems(Entity):
                            """
                            
                            
                            .. attribute:: rtspanspansrctol2cktepatt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtSpanSpanSrcToL2CktEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, self).__init__()

                                self.yang_name = "rtspanSpanSrcToL2CktEpAtt-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtSpanSpanSrcToL2CktEpAtt-list", ("rtspanspansrctol2cktepatt_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList))])
                                self._leafs = OrderedDict()

                                self.rtspanspansrctol2cktepatt_list = YList(self)
                                self._segment_path = lambda: "rtspanSpanSrcToL2CktEpAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, [], name, value)


                            class RtSpanSpanSrcToL2CktEpAttList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, self).__init__()

                                    self.yang_name = "RtSpanSpanSrcToL2CktEpAtt-list"
                                    self.yang_parent_name = "rtspanSpanSrcToL2CktEpAtt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtSpanSpanSrcToL2CktEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, ['tdn', 'tcl'], name, value)




                        class RtfvDomIfConnItems(Entity):
                            """
                            
                            
                            .. attribute:: rtfvdomifconn_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtFvDomIfConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems, self).__init__()

                                self.yang_name = "rtfvDomIfConn-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtFvDomIfConn-list", ("rtfvdomifconn_list", System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList))])
                                self._leafs = OrderedDict()

                                self.rtfvdomifconn_list = YList(self)
                                self._segment_path = lambda: "rtfvDomIfConn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems, [], name, value)


                            class RtFvDomIfConnList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, self).__init__()

                                    self.yang_name = "RtFvDomIfConn-list"
                                    self.yang_parent_name = "rtfvDomIfConn-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtFvDomIfConn-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, ['tdn', 'tcl'], name, value)




                        class RsvxlanEppAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	State
                            	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                            
                            	**config**\: False
                            
                            .. attribute:: statequal
                            
                            	State Qualifier
                            	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: ttype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtype
                            
                            	TBD
                            	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                            
                            	**config**\: False
                            
                            .. attribute:: forceresolve
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            	**default value**\: true
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RsvxlanEppAttItems, self).__init__()

                                self.yang_name = "rsvxlanEppAtt-items"
                                self.yang_parent_name = "CktEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                    ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                    ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                    ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                    ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self.state = None
                                self.statequal = None
                                self.ttype = None
                                self.rtype = None
                                self.forceresolve = None
                                self._segment_path = lambda: "rsvxlanEppAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.BdItems_.BDList.VxlanItems.CktEpList.RsvxlanEppAttItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                class RsextBDItems(Entity):
                    """
                    
                    
                    .. attribute:: rsextbd_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsExtBDList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RsextBDItems.RsExtBDList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.RsextBDItems, self).__init__()

                        self.yang_name = "rsextBD-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsExtBD-list", ("rsextbd_list", System.BdItems.BdItems_.BDList.RsextBDItems.RsExtBDList))])
                        self._leafs = OrderedDict()

                        self.rsextbd_list = YList(self)
                        self._segment_path = lambda: "rsextBD-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.RsextBDItems, [], name, value)


                    class RsExtBDList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.RsextBDItems.RsExtBDList, self).__init__()

                            self.yang_name = "RsExtBD-list"
                            self.yang_parent_name = "rsextBD-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self._segment_path = lambda: "RsExtBD-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.RsextBDItems.RsExtBDList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)




                class RsbdVsanMapItems(Entity):
                    """
                    
                    
                    .. attribute:: rsbdvsanmap_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsBdVsanMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RsbdVsanMapItems.RsBdVsanMapList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.RsbdVsanMapItems, self).__init__()

                        self.yang_name = "rsbdVsanMap-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsBdVsanMap-list", ("rsbdvsanmap_list", System.BdItems.BdItems_.BDList.RsbdVsanMapItems.RsBdVsanMapList))])
                        self._leafs = OrderedDict()

                        self.rsbdvsanmap_list = YList(self)
                        self._segment_path = lambda: "rsbdVsanMap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.RsbdVsanMapItems, [], name, value)


                    class RsBdVsanMapList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        .. attribute:: assocoperst
                        
                        	Operational State
                        	**type**\:  :py:class:`L2AssocOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2AssocOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.RsbdVsanMapItems.RsBdVsanMapList, self).__init__()

                            self.yang_name = "RsBdVsanMap-list"
                            self.yang_parent_name = "rsbdVsanMap-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ('assocoperst', (YLeaf(YType.enumeration, 'assocOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2AssocOperSt', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self.assocoperst = None
                            self._segment_path = lambda: "RsBdVsanMap-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.RsbdVsanMapItems.RsBdVsanMapList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve', 'assocoperst'], name, value)




                class RtfvDomIfConnItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvdomifconn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvDomIfConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.BdItems_.BDList.RtfvDomIfConnItems.RtFvDomIfConnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.RtfvDomIfConnItems, self).__init__()

                        self.yang_name = "rtfvDomIfConn-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvDomIfConn-list", ("rtfvdomifconn_list", System.BdItems.BdItems_.BDList.RtfvDomIfConnItems.RtFvDomIfConnList))])
                        self._leafs = OrderedDict()

                        self.rtfvdomifconn_list = YList(self)
                        self._segment_path = lambda: "rtfvDomIfConn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.RtfvDomIfConnItems, [], name, value)


                    class RtFvDomIfConnList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.BdItems_.BDList.RtfvDomIfConnItems.RtFvDomIfConnList, self).__init__()

                            self.yang_name = "RtFvDomIfConn-list"
                            self.yang_parent_name = "rtfvDomIfConn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvDomIfConn-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.BdItems_.BDList.RtfvDomIfConnItems.RtFvDomIfConnList, ['tdn', 'tcl'], name, value)




                class DbgVlanStatsItems(Entity):
                    """
                    
                    
                    .. attribute:: inucastoctets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inmcastoctets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inbcastoctets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inbcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inl3ucastoctets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inl3ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outucastoctets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.BdItems_.BDList.DbgVlanStatsItems, self).__init__()

                        self.yang_name = "dbgVlanStats-items"
                        self.yang_parent_name = "BD-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('inucastoctets', (YLeaf(YType.uint64, 'inUcastOctets'), ['int'])),
                            ('inucastpkts', (YLeaf(YType.uint64, 'inUcastPkts'), ['int'])),
                            ('inmcastoctets', (YLeaf(YType.uint64, 'inMcastOctets'), ['int'])),
                            ('inmcastpkts', (YLeaf(YType.uint64, 'inMcastPkts'), ['int'])),
                            ('inbcastoctets', (YLeaf(YType.uint64, 'inBcastOctets'), ['int'])),
                            ('inbcastpkts', (YLeaf(YType.uint64, 'inBcastPkts'), ['int'])),
                            ('inl3ucastoctets', (YLeaf(YType.uint64, 'inL3UcastOctets'), ['int'])),
                            ('inl3ucastpkts', (YLeaf(YType.uint64, 'inL3UcastPkts'), ['int'])),
                            ('outucastoctets', (YLeaf(YType.uint64, 'outUcastOctets'), ['int'])),
                            ('outucastpkts', (YLeaf(YType.uint64, 'outUcastPkts'), ['int'])),
                        ])
                        self.inucastoctets = None
                        self.inucastpkts = None
                        self.inmcastoctets = None
                        self.inmcastpkts = None
                        self.inbcastoctets = None
                        self.inbcastpkts = None
                        self.inl3ucastoctets = None
                        self.inl3ucastpkts = None
                        self.outucastoctets = None
                        self.outucastpkts = None
                        self._segment_path = lambda: "dbgVlanStats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.BdItems_.BDList.DbgVlanStatsItems, ['inucastoctets', 'inucastpkts', 'inmcastoctets', 'inmcastpkts', 'inbcastoctets', 'inbcastpkts', 'inl3ucastoctets', 'inl3ucastpkts', 'outucastoctets', 'outucastpkts'], name, value)





        class VlanItems(Entity):
            """
            
            
            .. attribute:: cktep_list
            
            	
            	**type**\: list of  		 :py:class:`CktEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BdItems.VlanItems, self).__init__()

                self.yang_name = "vlan-items"
                self.yang_parent_name = "bd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("CktEp-list", ("cktep_list", System.BdItems.VlanItems.CktEpList))])
                self._leafs = OrderedDict()

                self.cktep_list = YList(self)
                self._segment_path = lambda: "vlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BdItems.VlanItems, [], name, value)


            class CktEpList(Entity):
                """
                
                
                .. attribute:: encap  (key)
                
                	
                	**type**\: str
                
                .. attribute:: fabencap
                
                	
                	**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: id
                
                	Domain ID
                	**type**\: int
                
                	**range:** 1..4096
                
                .. attribute:: hwid
                
                	Hardware Resource ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`L2DomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomMode>`
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: createts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: enfpref
                
                	Switching Preference
                	**type**\:  :py:class:`L2EnfPref <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2EnfPref>`
                
                .. attribute:: pctag
                
                	It represents the classId for the traffic terminating on this circuit
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: qosprio
                
                	It represents the default qos group for the traffic on this circuit
                	**type**\:  :py:class:`QosTenantPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosTenantPrio>`
                
                .. attribute:: epgdn
                
                	
                	**type**\: str
                
                .. attribute:: mac_items
                
                	
                	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.MacItems>`
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems>`
                
                .. attribute:: rtspanspansrctol2cktepatt_items
                
                	
                	**type**\:  :py:class:`RtspanSpanSrcToL2CktEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems>`
                
                .. attribute:: rtfvdomifconn_items
                
                	
                	**type**\:  :py:class:`RtfvDomIfConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems>`
                
                .. attribute:: rsvlaneppatt_items
                
                	
                	**type**\:  :py:class:`RsvlanEppAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.RsvlanEppAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BdItems.VlanItems.CktEpList, self).__init__()

                    self.yang_name = "CktEp-list"
                    self.yang_parent_name = "vlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['encap']
                    self._child_classes = OrderedDict([("mac-items", ("mac_items", System.BdItems.VlanItems.CktEpList.MacItems)), ("db-items", ("db_items", System.BdItems.VlanItems.CktEpList.DbItems)), ("rtspanSpanSrcToL2CktEpAtt-items", ("rtspanspansrctol2cktepatt_items", System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems)), ("rtfvDomIfConn-items", ("rtfvdomifconn_items", System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems)), ("rsvlanEppAtt-items", ("rsvlaneppatt_items", System.BdItems.VlanItems.CktEpList.RsvlanEppAttItems))])
                    self._leafs = OrderedDict([
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('hwid', (YLeaf(YType.uint32, 'hwId'), ['int'])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomMode', '')])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('enfpref', (YLeaf(YType.enumeration, 'enfPref'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2EnfPref', '')])),
                        ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                        ('qosprio', (YLeaf(YType.enumeration, 'qosPrio'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosTenantPrio', '')])),
                        ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                    ])
                    self.encap = None
                    self.fabencap = None
                    self.name = None
                    self.id = None
                    self.hwid = None
                    self.mode = None
                    self.adminst = None
                    self.operst = None
                    self.createts = None
                    self.ctrl = None
                    self.enfpref = None
                    self.pctag = None
                    self.qosprio = None
                    self.epgdn = None

                    self.mac_items = System.BdItems.VlanItems.CktEpList.MacItems()
                    self.mac_items.parent = self
                    self._children_name_map["mac_items"] = "mac-items"

                    self.db_items = System.BdItems.VlanItems.CktEpList.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"

                    self.rtspanspansrctol2cktepatt_items = System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems()
                    self.rtspanspansrctol2cktepatt_items.parent = self
                    self._children_name_map["rtspanspansrctol2cktepatt_items"] = "rtspanSpanSrcToL2CktEpAtt-items"

                    self.rtfvdomifconn_items = System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems()
                    self.rtfvdomifconn_items.parent = self
                    self._children_name_map["rtfvdomifconn_items"] = "rtfvDomIfConn-items"

                    self.rsvlaneppatt_items = System.BdItems.VlanItems.CktEpList.RsvlanEppAttItems()
                    self.rsvlaneppatt_items.parent = self
                    self._children_name_map["rsvlaneppatt_items"] = "rsvlanEppAtt-items"
                    self._segment_path = lambda: "CktEp-list" + "[encap='" + str(self.encap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/vlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BdItems.VlanItems.CktEpList, ['encap', 'fabencap', 'name', 'id', 'hwid', 'mode', 'adminst', 'operst', 'createts', 'ctrl', 'enfpref', 'pctag', 'qosprio', 'epgdn'], name, value)


                class MacItems(Entity):
                    """
                    
                    
                    .. attribute:: macep_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.MacItems.MacEpList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanItems.CktEpList.MacItems, self).__init__()

                        self.yang_name = "mac-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.VlanItems.CktEpList.MacItems.MacEpList))])
                        self._leafs = OrderedDict()

                        self.macep_list = YList(self)
                        self._segment_path = lambda: "mac-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.MacItems, [], name, value)


                    class MacEpList(Entity):
                        """
                        
                        
                        .. attribute:: mac  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: if_
                        
                        	Interface
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`EpmEpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmEpOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: rtfvepdefreftol2macep_items
                        
                        	
                        	**type**\:  :py:class:`RtfvEpDefRefToL2MacEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList, self).__init__()

                            self.yang_name = "MacEp-list"
                            self.yang_parent_name = "mac-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['mac']
                            self._child_classes = OrderedDict([("rtfvEpDefRefToL2MacEp-items", ("rtfvepdefreftol2macep_items", System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems))])
                            self._leafs = OrderedDict([
                                ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmEpOperSt', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.mac = None
                            self.if_ = None
                            self.operst = None
                            self.name = None

                            self.rtfvepdefreftol2macep_items = System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems()
                            self.rtfvepdefreftol2macep_items.parent = self
                            self._children_name_map["rtfvepdefreftol2macep_items"] = "rtfvEpDefRefToL2MacEp-items"
                            self._segment_path = lambda: "MacEp-list" + "[mac='" + str(self.mac) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList, ['mac', 'if_', 'operst', 'name'], name, value)


                        class RtfvEpDefRefToL2MacEpItems(Entity):
                            """
                            
                            
                            .. attribute:: rtfvepdefreftol2macep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtFvEpDefRefToL2MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems, self).__init__()

                                self.yang_name = "rtfvEpDefRefToL2MacEp-items"
                                self.yang_parent_name = "MacEp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtFvEpDefRefToL2MacEp-list", ("rtfvepdefreftol2macep_list", System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList))])
                                self._leafs = OrderedDict()

                                self.rtfvepdefreftol2macep_list = YList(self)
                                self._segment_path = lambda: "rtfvEpDefRefToL2MacEp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems, [], name, value)


                            class RtFvEpDefRefToL2MacEpList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList, self).__init__()

                                    self.yang_name = "RtFvEpDefRefToL2MacEp-list"
                                    self.yang_parent_name = "rtfvEpDefRefToL2MacEp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtFvEpDefRefToL2MacEp-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanItems.CktEpList.MacItems.MacEpList.RtfvEpDefRefToL2MacEpItems.RtFvEpDefRefToL2MacEpList, ['tdn', 'tcl'], name, value)






                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanItems.CktEpList.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.BdItems.VlanItems.CktEpList.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: ip_items
                        
                        	
                        	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mac_items
                        
                        	
                        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanItems.CktEpList.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("ip-items", ("ip_items", System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.name = None

                            self.ip_items = System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems()
                            self.ip_items.parent = self
                            self._children_name_map["ip_items"] = "ip-items"

                            self.mac_items = System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems()
                            self.mac_items.parent = self
                            self._children_name_map["mac_items"] = "mac-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList, ['type', 'name'], name, value)


                        class IpItems(Entity):
                            """
                            
                            
                            .. attribute:: ipep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems, self).__init__()

                                self.yang_name = "ip-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList))])
                                self._leafs = OrderedDict()

                                self.ipep_list = YList(self)
                                self._segment_path = lambda: "ip-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems, [], name, value)


                            class IpEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtipeprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rtmaceprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                    self.yang_name = "IpEp-list"
                                    self.yang_parent_name = "ip-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None

                                    self.rtipeprslttoipepatt_items = System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                    self.rtipeprslttoipepatt_items.parent = self
                                    self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                    self.rtmaceprslttoipepatt_items = System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                    self.rtmaceprslttoipepatt_items.parent = self
                                    self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                    self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                                class RtIpEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                                class RtMacEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                        class MacItems(Entity):
                            """
                            
                            
                            .. attribute:: macep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems, self).__init__()

                                self.yang_name = "mac-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList))])
                                self._leafs = OrderedDict()

                                self.macep_list = YList(self)
                                self._segment_path = lambda: "mac-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems, [], name, value)


                            class MacEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: createts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rsmaceptoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                    self.yang_name = "MacEp-list"
                                    self.yang_parent_name = "mac-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None
                                    self.createts = None

                                    self.rsmaceptoipepatt_items = System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                    self.rsmaceptoipepatt_items.parent = self
                                    self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                    self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                                class RsmacEpToIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rsmaceptoipepatt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                        self.yang_name = "rsmacEpToIpEpAtt-items"
                                        self.yang_parent_name = "MacEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                        self._leafs = OrderedDict()

                                        self.rsmaceptoipepatt_list = YList(self)
                                        self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                    class RsMacEpToIpEpAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                            self.yang_name = "RsMacEpToIpEpAtt-list"
                                            self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








                class RtspanSpanSrcToL2CktEpAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtspanspansrctol2cktepatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtSpanSpanSrcToL2CktEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, self).__init__()

                        self.yang_name = "rtspanSpanSrcToL2CktEpAtt-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtSpanSpanSrcToL2CktEpAtt-list", ("rtspanspansrctol2cktepatt_list", System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList))])
                        self._leafs = OrderedDict()

                        self.rtspanspansrctol2cktepatt_list = YList(self)
                        self._segment_path = lambda: "rtspanSpanSrcToL2CktEpAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, [], name, value)


                    class RtSpanSpanSrcToL2CktEpAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, self).__init__()

                            self.yang_name = "RtSpanSpanSrcToL2CktEpAtt-list"
                            self.yang_parent_name = "rtspanSpanSrcToL2CktEpAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtSpanSpanSrcToL2CktEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, ['tdn', 'tcl'], name, value)




                class RtfvDomIfConnItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvdomifconn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvDomIfConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems, self).__init__()

                        self.yang_name = "rtfvDomIfConn-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvDomIfConn-list", ("rtfvdomifconn_list", System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList))])
                        self._leafs = OrderedDict()

                        self.rtfvdomifconn_list = YList(self)
                        self._segment_path = lambda: "rtfvDomIfConn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems, [], name, value)


                    class RtFvDomIfConnList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, self).__init__()

                            self.yang_name = "RtFvDomIfConn-list"
                            self.yang_parent_name = "rtfvDomIfConn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvDomIfConn-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, ['tdn', 'tcl'], name, value)




                class RsvlanEppAttItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                    
                    	**config**\: False
                    
                    .. attribute:: statequal
                    
                    	State Qualifier
                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: ttype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                    
                    	**config**\: False
                    
                    .. attribute:: forceresolve
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VlanItems.CktEpList.RsvlanEppAttItems, self).__init__()

                        self.yang_name = "rsvlanEppAtt-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.state = None
                        self.statequal = None
                        self.ttype = None
                        self.rtype = None
                        self.forceresolve = None
                        self._segment_path = lambda: "rsvlanEppAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VlanItems.CktEpList.RsvlanEppAttItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





        class VxlanItems(Entity):
            """
            
            
            .. attribute:: cktep_list
            
            	
            	**type**\: list of  		 :py:class:`CktEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BdItems.VxlanItems, self).__init__()

                self.yang_name = "vxlan-items"
                self.yang_parent_name = "bd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("CktEp-list", ("cktep_list", System.BdItems.VxlanItems.CktEpList))])
                self._leafs = OrderedDict()

                self.cktep_list = YList(self)
                self._segment_path = lambda: "vxlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BdItems.VxlanItems, [], name, value)


            class CktEpList(Entity):
                """
                
                
                .. attribute:: encap  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mcastencap
                
                	Multicast Encapsulation
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: id
                
                	Domain ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: hwid
                
                	Hardware Resource ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`L2DomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomMode>`
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: createts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: enfpref
                
                	Switching Preference
                	**type**\:  :py:class:`L2EnfPref <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2EnfPref>`
                
                	**config**\: False
                
                .. attribute:: pctag
                
                	It represents the classId for the traffic terminating on this circuit
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: qosprio
                
                	It represents the default qos group for the traffic on this circuit
                	**type**\:  :py:class:`QosTenantPrio <ydk.models.cisco_nx_os.Cisco_NX_OS_device.QosTenantPrio>`
                
                	**config**\: False
                
                .. attribute:: epgdn
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems>`
                
                	**config**\: False
                
                .. attribute:: rtspanspansrctol2cktepatt_items
                
                	
                	**type**\:  :py:class:`RtspanSpanSrcToL2CktEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems>`
                
                	**config**\: False
                
                .. attribute:: rtfvdomifconn_items
                
                	
                	**type**\:  :py:class:`RtfvDomIfConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems>`
                
                	**config**\: False
                
                .. attribute:: rsvxlaneppatt_items
                
                	
                	**type**\:  :py:class:`RsvxlanEppAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.RsvxlanEppAttItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BdItems.VxlanItems.CktEpList, self).__init__()

                    self.yang_name = "CktEp-list"
                    self.yang_parent_name = "vxlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['encap']
                    self._child_classes = OrderedDict([("db-items", ("db_items", System.BdItems.VxlanItems.CktEpList.DbItems)), ("rtspanSpanSrcToL2CktEpAtt-items", ("rtspanspansrctol2cktepatt_items", System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems)), ("rtfvDomIfConn-items", ("rtfvdomifconn_items", System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems)), ("rsvxlanEppAtt-items", ("rsvxlaneppatt_items", System.BdItems.VxlanItems.CktEpList.RsvxlanEppAttItems))])
                    self._leafs = OrderedDict([
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('mcastencap', (YLeaf(YType.str, 'mcastEncap'), ['str','str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('hwid', (YLeaf(YType.uint32, 'hwId'), ['int'])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomMode', '')])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('enfpref', (YLeaf(YType.enumeration, 'enfPref'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2EnfPref', '')])),
                        ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                        ('qosprio', (YLeaf(YType.enumeration, 'qosPrio'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'QosTenantPrio', '')])),
                        ('epgdn', (YLeaf(YType.str, 'epgDn'), ['str'])),
                    ])
                    self.encap = None
                    self.mcastencap = None
                    self.name = None
                    self.id = None
                    self.hwid = None
                    self.mode = None
                    self.adminst = None
                    self.operst = None
                    self.createts = None
                    self.ctrl = None
                    self.enfpref = None
                    self.pctag = None
                    self.qosprio = None
                    self.epgdn = None

                    self.db_items = System.BdItems.VxlanItems.CktEpList.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"

                    self.rtspanspansrctol2cktepatt_items = System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems()
                    self.rtspanspansrctol2cktepatt_items.parent = self
                    self._children_name_map["rtspanspansrctol2cktepatt_items"] = "rtspanSpanSrcToL2CktEpAtt-items"

                    self.rtfvdomifconn_items = System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems()
                    self.rtfvdomifconn_items.parent = self
                    self._children_name_map["rtfvdomifconn_items"] = "rtfvDomIfConn-items"

                    self.rsvxlaneppatt_items = System.BdItems.VxlanItems.CktEpList.RsvxlanEppAttItems()
                    self.rsvxlaneppatt_items.parent = self
                    self._children_name_map["rsvxlaneppatt_items"] = "rsvxlanEppAtt-items"
                    self._segment_path = lambda: "CktEp-list" + "[encap='" + str(self.encap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bd-items/vxlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BdItems.VxlanItems.CktEpList, ['encap', 'mcastencap', 'name', 'id', 'hwid', 'mode', 'adminst', 'operst', 'createts', 'ctrl', 'enfpref', 'pctag', 'qosprio', 'epgdn'], name, value)


                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VxlanItems.CktEpList.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.BdItems.VxlanItems.CktEpList.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: ip_items
                        
                        	
                        	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mac_items
                        
                        	
                        	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("ip-items", ("ip_items", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.name = None

                            self.ip_items = System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems()
                            self.ip_items.parent = self
                            self._children_name_map["ip_items"] = "ip-items"

                            self.mac_items = System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems()
                            self.mac_items.parent = self
                            self._children_name_map["mac_items"] = "mac-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList, ['type', 'name'], name, value)


                        class IpItems(Entity):
                            """
                            
                            
                            .. attribute:: ipep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems, self).__init__()

                                self.yang_name = "ip-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList))])
                                self._leafs = OrderedDict()

                                self.ipep_list = YList(self)
                                self._segment_path = lambda: "ip-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems, [], name, value)


                            class IpEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtipeprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rtmaceprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                    self.yang_name = "IpEp-list"
                                    self.yang_parent_name = "ip-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None

                                    self.rtipeprslttoipepatt_items = System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                    self.rtipeprslttoipepatt_items.parent = self
                                    self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                    self.rtmaceprslttoipepatt_items = System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                    self.rtmaceprslttoipepatt_items.parent = self
                                    self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                    self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                                class RtIpEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                                class RtMacEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                        class MacItems(Entity):
                            """
                            
                            
                            .. attribute:: macep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems, self).__init__()

                                self.yang_name = "mac-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList))])
                                self._leafs = OrderedDict()

                                self.macep_list = YList(self)
                                self._segment_path = lambda: "mac-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems, [], name, value)


                            class MacEpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ifid
                                
                                	Path
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: flags
                                
                                	Endpoint Properties and State
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: createts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rsmaceptoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                    self.yang_name = "MacEp-list"
                                    self.yang_parent_name = "mac-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ifid = None
                                    self.flags = None
                                    self.createts = None

                                    self.rsmaceptoipepatt_items = System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                    self.rsmaceptoipepatt_items.parent = self
                                    self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                    self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                                class RsmacEpToIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rsmaceptoipepatt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                        self.yang_name = "rsmacEpToIpEpAtt-items"
                                        self.yang_parent_name = "MacEp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                        self._leafs = OrderedDict()

                                        self.rsmaceptoipepatt_list = YList(self)
                                        self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                    class RsMacEpToIpEpAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                            self.yang_name = "RsMacEpToIpEpAtt-list"
                                            self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.BdItems.VxlanItems.CktEpList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








                class RtspanSpanSrcToL2CktEpAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtspanspansrctol2cktepatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtSpanSpanSrcToL2CktEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, self).__init__()

                        self.yang_name = "rtspanSpanSrcToL2CktEpAtt-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtSpanSpanSrcToL2CktEpAtt-list", ("rtspanspansrctol2cktepatt_list", System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList))])
                        self._leafs = OrderedDict()

                        self.rtspanspansrctol2cktepatt_list = YList(self)
                        self._segment_path = lambda: "rtspanSpanSrcToL2CktEpAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems, [], name, value)


                    class RtSpanSpanSrcToL2CktEpAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, self).__init__()

                            self.yang_name = "RtSpanSpanSrcToL2CktEpAtt-list"
                            self.yang_parent_name = "rtspanSpanSrcToL2CktEpAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtSpanSpanSrcToL2CktEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VxlanItems.CktEpList.RtspanSpanSrcToL2CktEpAttItems.RtSpanSpanSrcToL2CktEpAttList, ['tdn', 'tcl'], name, value)




                class RtfvDomIfConnItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvdomifconn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvDomIfConnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems, self).__init__()

                        self.yang_name = "rtfvDomIfConn-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvDomIfConn-list", ("rtfvdomifconn_list", System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList))])
                        self._leafs = OrderedDict()

                        self.rtfvdomifconn_list = YList(self)
                        self._segment_path = lambda: "rtfvDomIfConn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems, [], name, value)


                    class RtFvDomIfConnList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, self).__init__()

                            self.yang_name = "RtFvDomIfConn-list"
                            self.yang_parent_name = "rtfvDomIfConn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvDomIfConn-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BdItems.VxlanItems.CktEpList.RtfvDomIfConnItems.RtFvDomIfConnList, ['tdn', 'tcl'], name, value)




                class RsvxlanEppAttItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                    
                    	**config**\: False
                    
                    .. attribute:: statequal
                    
                    	State Qualifier
                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: ttype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                    
                    	**config**\: False
                    
                    .. attribute:: forceresolve
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BdItems.VxlanItems.CktEpList.RsvxlanEppAttItems, self).__init__()

                        self.yang_name = "rsvxlanEppAtt-items"
                        self.yang_parent_name = "CktEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.state = None
                        self.statequal = None
                        self.ttype = None
                        self.rtype = None
                        self.forceresolve = None
                        self._segment_path = lambda: "rsvxlanEppAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BdItems.VxlanItems.CktEpList.RsvxlanEppAttItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)






    class TemplateTableItems(Entity):
        """
        
        
        .. attribute:: templateentry_items
        
        	
        	**type**\:  :py:class:`TemplateEntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems.TemplateEntryItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TemplateTableItems, self).__init__()

            self.yang_name = "templateTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("templateEntry-items", ("templateentry_items", System.TemplateTableItems.TemplateEntryItems))])
            self._leafs = OrderedDict()

            self.templateentry_items = System.TemplateTableItems.TemplateEntryItems()
            self.templateentry_items.parent = self
            self._children_name_map["templateentry_items"] = "templateEntry-items"
            self._segment_path = lambda: "templateTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TemplateTableItems, [], name, value)


        class TemplateEntryItems(Entity):
            """
            
            
            .. attribute:: templateentry_list
            
            	
            	**type**\: list of  		 :py:class:`TemplateEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems.TemplateEntryItems.TemplateEntryList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TemplateTableItems.TemplateEntryItems, self).__init__()

                self.yang_name = "templateEntry-items"
                self.yang_parent_name = "templateTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("TemplateEntry-list", ("templateentry_list", System.TemplateTableItems.TemplateEntryItems.TemplateEntryList))])
                self._leafs = OrderedDict()

                self.templateentry_list = YList(self)
                self._segment_path = lambda: "templateEntry-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/templateTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TemplateTableItems.TemplateEntryItems, [], name, value)


            class TemplateEntryList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                .. attribute:: refcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optable_items
                
                	
                	**type**\:  :py:class:`OpTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList, self).__init__()

                    self.yang_name = "TemplateEntry-list"
                    self.yang_parent_name = "templateEntry-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("opTable-items", ("optable_items", System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                    ])
                    self.name = None
                    self.description = None
                    self.refcount = None

                    self.optable_items = System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems()
                    self.optable_items.parent = self
                    self._children_name_map["optable_items"] = "opTable-items"
                    self._segment_path = lambda: "TemplateEntry-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/templateTable-items/templateEntry-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList, ['name', 'description', 'refcount'], name, value)


                class OpTableItems(Entity):
                    """
                    
                    
                    .. attribute:: description
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: opentry_items
                    
                    	
                    	**type**\:  :py:class:`OpEntryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems, self).__init__()

                        self.yang_name = "opTable-items"
                        self.yang_parent_name = "TemplateEntry-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("opEntry-items", ("opentry_items", System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems))])
                        self._leafs = OrderedDict([
                            ('description', (YLeaf(YType.str, 'description'), ['str'])),
                        ])
                        self.description = None

                        self.opentry_items = System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems()
                        self.opentry_items.parent = self
                        self._children_name_map["opentry_items"] = "opEntry-items"
                        self._segment_path = lambda: "opTable-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems, ['description'], name, value)


                    class OpEntryItems(Entity):
                        """
                        
                        
                        .. attribute:: opentry_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OpEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems.OpEntryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems, self).__init__()

                            self.yang_name = "opEntry-items"
                            self.yang_parent_name = "opTable-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OpEntry-list", ("opentry_list", System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems.OpEntryList))])
                            self._leafs = OrderedDict()

                            self.opentry_list = YList(self)
                            self._segment_path = lambda: "opEntry-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems, [], name, value)


                        class OpEntryList(Entity):
                            """
                            
                            
                            .. attribute:: operationtype  (key)
                            
                            	OperationType
                            	**type**\:  :py:class:`ConftmplOperationType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ConftmplOperationType>`
                            
                            .. attribute:: templatetype
                            
                            	The type of config template depending on which resource it operates for
                            	**type**\:  :py:class:`ConftmplTemplateType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ConftmplTemplateType>`
                            
                            .. attribute:: substitutestring
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: configstring
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: description
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: refcount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems.OpEntryList, self).__init__()

                                self.yang_name = "OpEntry-list"
                                self.yang_parent_name = "opEntry-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['operationtype']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('operationtype', (YLeaf(YType.enumeration, 'operationType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ConftmplOperationType', '')])),
                                    ('templatetype', (YLeaf(YType.enumeration, 'templateType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ConftmplTemplateType', '')])),
                                    ('substitutestring', (YLeaf(YType.str, 'substituteString'), ['str'])),
                                    ('configstring', (YLeaf(YType.str, 'configString'), ['str'])),
                                    ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                    ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                ])
                                self.operationtype = None
                                self.templatetype = None
                                self.substitutestring = None
                                self.configstring = None
                                self.description = None
                                self.refcount = None
                                self._segment_path = lambda: "OpEntry-list" + "[operationType='" + str(self.operationtype) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TemplateTableItems.TemplateEntryItems.TemplateEntryList.OpTableItems.OpEntryItems.OpEntryList, ['operationtype', 'templatetype', 'substitutestring', 'configstring', 'description', 'refcount'], name, value)








    class FcItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: vfc_items
        
        	
        	**type**\:  :py:class:`VfcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FcItems, self).__init__()

            self.yang_name = "fc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vfc-items", ("vfc_items", System.FcItems.VfcItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.vfc_items = System.FcItems.VfcItems()
            self.vfc_items.parent = self
            self._children_name_map["vfc_items"] = "vfc-items"
            self._segment_path = lambda: "fc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FcItems, ['name', 'adminst', 'operst'], name, value)


        class VfcItems(Entity):
            """
            
            
            .. attribute:: vfcif_list
            
            	
            	**type**\: list of  		 :py:class:`VfcIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FcItems.VfcItems, self).__init__()

                self.yang_name = "vfc-items"
                self.yang_parent_name = "fc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("VfcIf-list", ("vfcif_list", System.FcItems.VfcItems.VfcIfList))])
                self._leafs = OrderedDict()

                self.vfcif_list = YList(self)
                self._segment_path = lambda: "vfc-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FcItems.VfcItems, [], name, value)


            class VfcIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: boundif
                
                	Bound Ethernet Ifindex
                	**type**\: str
                
                .. attribute:: boundmac
                
                	
                	**type**\: str
                
                .. attribute:: disablefka
                
                	Enable/Disable FKA
                	**type**\:  :py:class:`L2Disablefka <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2Disablefka>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: adminst
                
                	Administrative State
                	**type**\:  :py:class:`FcAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FcAdminSt>`
                
                .. attribute:: mode
                
                	Administrative Port Mode
                	**type**\:  :py:class:`L2Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2Mode>`
                
                .. attribute:: trunkmode
                
                	Administrative Trunking Mode
                	**type**\:  :py:class:`L2TrunkMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2TrunkMode>`
                
                .. attribute:: trunkvsans
                
                	Allowed Vsan Bitmap
                	**type**\: str
                
                .. attribute:: operportvsan
                
                	Operational Port vsan
                	**type**\: int
                
                	**range:** 1..4094
                
                	**config**\: False
                
                .. attribute:: opermode
                
                	Operational Port Mode
                	**type**\:  :py:class:`L2Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2Mode>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational Port State
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operstqual
                
                	Operational State Reason
                	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                
                	**config**\: False
                
                .. attribute:: opertrunkmode
                
                	Operational Trunking Mode
                	**type**\:  :py:class:`L2TrunkMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2TrunkMode>`
                
                	**config**\: False
                
                .. attribute:: trunkportupvsanbmp
                
                	Trunk Port Up Vsan Bitmap
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: trunkisolatedvsanbmp
                
                	Isolated Trunking Vsans Bitmap
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: allowedvsanbmp
                
                	Allowed Vsan Bitmap
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: portwwn
                
                	Port WWN
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lastlinkstchg
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rssrvextifmap_items
                
                	
                	**type**\:  :py:class:`RssrvExtIfMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems>`
                
                .. attribute:: rtvsanifmap_items
                
                	
                	**type**\:  :py:class:`RtVsanIfMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RtVsanIfMapItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FcItems.VfcItems.VfcIfList, self).__init__()

                    self.yang_name = "VfcIf-list"
                    self.yang_parent_name = "vfc-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rssrvExtIfMap-items", ("rssrvextifmap_items", System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems)), ("rtVsanIfMap-items", ("rtvsanifmap_items", System.FcItems.VfcItems.VfcIfList.RtVsanIfMapItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.FcItems.VfcItems.VfcIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('boundif', (YLeaf(YType.str, 'boundIf'), ['str'])),
                        ('boundmac', (YLeaf(YType.str, 'boundMac'), ['str'])),
                        ('disablefka', (YLeaf(YType.enumeration, 'disableFka'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2Disablefka', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FcAdminSt', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2Mode', '')])),
                        ('trunkmode', (YLeaf(YType.enumeration, 'trunkMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2TrunkMode', '')])),
                        ('trunkvsans', (YLeaf(YType.str, 'trunkVsans'), ['str'])),
                        ('operportvsan', (YLeaf(YType.uint32, 'operPortVsan'), ['int'])),
                        ('opermode', (YLeaf(YType.enumeration, 'operMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2Mode', '')])),
                        ('operst', (YLeaf(YType.str, 'operSt'), ['str'])),
                        ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                        ('opertrunkmode', (YLeaf(YType.enumeration, 'operTrunkMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2TrunkMode', '')])),
                        ('trunkportupvsanbmp', (YLeaf(YType.str, 'trunkPortUpVsanBmp'), ['str'])),
                        ('trunkisolatedvsanbmp', (YLeaf(YType.str, 'trunkIsolatedVsanBmp'), ['str'])),
                        ('allowedvsanbmp', (YLeaf(YType.str, 'allowedVsanBmp'), ['str'])),
                        ('portwwn', (YLeaf(YType.str, 'portWwn'), ['str'])),
                        ('lastlinkstchg', (YLeaf(YType.str, 'lastLinkStChg'), ['str'])),
                    ])
                    self.id = None
                    self.boundif = None
                    self.boundmac = None
                    self.disablefka = None
                    self.name = None
                    self.descr = None
                    self.adminst = None
                    self.mode = None
                    self.trunkmode = None
                    self.trunkvsans = None
                    self.operportvsan = None
                    self.opermode = None
                    self.operst = None
                    self.operstqual = None
                    self.opertrunkmode = None
                    self.trunkportupvsanbmp = None
                    self.trunkisolatedvsanbmp = None
                    self.allowedvsanbmp = None
                    self.portwwn = None
                    self.lastlinkstchg = None

                    self.rssrvextifmap_items = System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems()
                    self.rssrvextifmap_items.parent = self
                    self._children_name_map["rssrvextifmap_items"] = "rssrvExtIfMap-items"

                    self.rtvsanifmap_items = System.FcItems.VfcItems.VfcIfList.RtVsanIfMapItems()
                    self.rtvsanifmap_items.parent = self
                    self._children_name_map["rtvsanifmap_items"] = "rtVsanIfMap-items"

                    self.rtvrfmbr_items = System.FcItems.VfcItems.VfcIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "VfcIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fc-items/vfc-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FcItems.VfcItems.VfcIfList, ['id', 'boundif', 'boundmac', 'disablefka', 'name', 'descr', 'adminst', 'mode', 'trunkmode', 'trunkvsans', 'operportvsan', 'opermode', 'operst', 'operstqual', 'opertrunkmode', 'trunkportupvsanbmp', 'trunkisolatedvsanbmp', 'allowedvsanbmp', 'portwwn', 'lastlinkstchg'], name, value)


                class RssrvExtIfMapItems(Entity):
                    """
                    
                    
                    .. attribute:: rssrvextifmap_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsSrvExtIfMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems.RsSrvExtIfMapList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems, self).__init__()

                        self.yang_name = "rssrvExtIfMap-items"
                        self.yang_parent_name = "VfcIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsSrvExtIfMap-list", ("rssrvextifmap_list", System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems.RsSrvExtIfMapList))])
                        self._leafs = OrderedDict()

                        self.rssrvextifmap_list = YList(self)
                        self._segment_path = lambda: "rssrvExtIfMap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems, [], name, value)


                    class RsSrvExtIfMapList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        .. attribute:: configstatus
                        
                        	NPV Traffic Map Configuration Status
                        	**type**\:  :py:class:`L2TrafficMapCfgSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2TrafficMapCfgSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems.RsSrvExtIfMapList, self).__init__()

                            self.yang_name = "RsSrvExtIfMap-list"
                            self.yang_parent_name = "rssrvExtIfMap-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ('configstatus', (YLeaf(YType.enumeration, 'configStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2TrafficMapCfgSt', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self.configstatus = None
                            self._segment_path = lambda: "RsSrvExtIfMap-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RssrvExtIfMapItems.RsSrvExtIfMapList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve', 'configstatus'], name, value)




                class RtVsanIfMapItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FcItems.VfcItems.VfcIfList.RtVsanIfMapItems, self).__init__()

                        self.yang_name = "rtVsanIfMap-items"
                        self.yang_parent_name = "VfcIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtVsanIfMap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RtVsanIfMapItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FcItems.VfcItems.VfcIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "VfcIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "VfcIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FcItems.VfcItems.VfcIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







    class FcoeItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FcoeItems, self).__init__()

            self.yang_name = "fcoe-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.FcoeItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.FcoeItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "fcoe-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FcoeItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: fipkaintvl
            
            	FIP KeepAlive Interval
            	**type**\: int
            
            	**range:** 4..60
            
            .. attribute:: enablefex
            
            	Enable FCoE over FEX
            	**type**\:  :py:class:`FcoeAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FcoeAdminSt>`
            
            .. attribute:: veloopback
            
            	VFID check for VE ports
            	**type**\:  :py:class:`FcoeAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FcoeAdminSt>`
            
            .. attribute:: fcmap
            
            	FCOE Mac Address Prefix
            	**type**\: int
            
            	**range:** 982016..982271
            
            .. attribute:: fcfprio
            
            	FCF priority
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: vfc_items
            
            	
            	**type**\:  :py:class:`VfcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems.InstItems.VfcItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FcoeItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "fcoe-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("vfc-items", ("vfc_items", System.FcoeItems.InstItems.VfcItems))])
                self._leafs = OrderedDict([
                    ('fipkaintvl', (YLeaf(YType.uint32, 'fipKaIntvl'), ['int'])),
                    ('enablefex', (YLeaf(YType.enumeration, 'enableFex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FcoeAdminSt', '')])),
                    ('veloopback', (YLeaf(YType.enumeration, 'veLoopback'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FcoeAdminSt', '')])),
                    ('fcmap', (YLeaf(YType.uint32, 'fcMap'), ['int'])),
                    ('fcfprio', (YLeaf(YType.uint32, 'fcfPrio'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.fipkaintvl = None
                self.enablefex = None
                self.veloopback = None
                self.fcmap = None
                self.fcfprio = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.vfc_items = System.FcoeItems.InstItems.VfcItems()
                self.vfc_items.parent = self
                self._children_name_map["vfc_items"] = "vfc-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fcoe-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FcoeItems.InstItems, ['fipkaintvl', 'enablefex', 'veloopback', 'fcmap', 'fcfprio', 'name', 'adminst', 'ctrl'], name, value)


            class VfcItems(Entity):
                """
                
                
                .. attribute:: vfcif_list
                
                	
                	**type**\: list of  		 :py:class:`VfcIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems.InstItems.VfcItems.VfcIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FcoeItems.InstItems.VfcItems, self).__init__()

                    self.yang_name = "vfc-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VfcIf-list", ("vfcif_list", System.FcoeItems.InstItems.VfcItems.VfcIfList))])
                    self._leafs = OrderedDict()

                    self.vfcif_list = YList(self)
                    self._segment_path = lambda: "vfc-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fcoe-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FcoeItems.InstItems.VfcItems, [], name, value)


                class VfcIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	VFC If Id
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: peermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: peerwwn
                    
                    	Peer WWN
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fipkaintvl
                    
                    	Fip KeepAlive Interval
                    	**type**\: int
                    
                    	**range:** 4..60
                    
                    	**config**\: False
                    
                    .. attribute:: fcfprio
                    
                    	FCF priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: mode
                    
                    	VFC mode
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fcid_items
                    
                    	
                    	**type**\:  :py:class:`FcidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FcoeItems.InstItems.VfcItems.VfcIfList, self).__init__()

                        self.yang_name = "VfcIf-list"
                        self.yang_parent_name = "vfc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("fcid-items", ("fcid_items", System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('peermac', (YLeaf(YType.str, 'peerMac'), ['str'])),
                            ('peerwwn', (YLeaf(YType.str, 'peerWwn'), ['str'])),
                            ('fipkaintvl', (YLeaf(YType.uint32, 'fipKaIntvl'), ['int'])),
                            ('fcfprio', (YLeaf(YType.uint32, 'fcfPrio'), ['int'])),
                            ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                        ])
                        self.id = None
                        self.peermac = None
                        self.peerwwn = None
                        self.fipkaintvl = None
                        self.fcfprio = None
                        self.mode = None

                        self.fcid_items = System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems()
                        self.fcid_items.parent = self
                        self._children_name_map["fcid_items"] = "fcid-items"
                        self._segment_path = lambda: "VfcIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fcoe-items/inst-items/vfc-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FcoeItems.InstItems.VfcItems.VfcIfList, ['id', 'peermac', 'peerwwn', 'fipkaintvl', 'fcfprio', 'mode'], name, value)


                    class FcidItems(Entity):
                        """
                        
                        
                        .. attribute:: vfclogin_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VfcLoginList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems.VfcLoginList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems, self).__init__()

                            self.yang_name = "fcid-items"
                            self.yang_parent_name = "VfcIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VfcLogin-list", ("vfclogin_list", System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems.VfcLoginList))])
                            self._leafs = OrderedDict()

                            self.vfclogin_list = YList(self)
                            self._segment_path = lambda: "fcid-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems, [], name, value)


                        class VfcLoginList(Entity):
                            """
                            
                            
                            .. attribute:: fcid  (key)
                            
                            	Vfc FcId
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: wwn
                            
                            	Vfc WWN
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems.VfcLoginList, self).__init__()

                                self.yang_name = "VfcLogin-list"
                                self.yang_parent_name = "fcid-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['fcid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('fcid', (YLeaf(YType.uint32, 'fcId'), ['int'])),
                                    ('wwn', (YLeaf(YType.str, 'wwn'), ['str'])),
                                ])
                                self.fcid = None
                                self.wwn = None
                                self._segment_path = lambda: "VfcLogin-list" + "[fcId='" + str(self.fcid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.FcoeItems.InstItems.VfcItems.VfcIfList.FcidItems.VfcLoginList, ['fcid', 'wwn'], name, value)








    class NpvItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NpvItems, self).__init__()

            self.yang_name = "npv-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.NpvItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.NpvItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "npv-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NpvItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: srvif_items
            
            	
            	**type**\:  :py:class:`SrvifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems>`
            
            .. attribute:: extif_items
            
            	
            	**type**\:  :py:class:`ExtifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NpvItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "npv-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("srvif-items", ("srvif_items", System.NpvItems.InstItems.SrvifItems)), ("extif-items", ("extif_items", System.NpvItems.InstItems.ExtifItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.srvif_items = System.NpvItems.InstItems.SrvifItems()
                self.srvif_items.parent = self
                self._children_name_map["srvif_items"] = "srvif-items"

                self.extif_items = System.NpvItems.InstItems.ExtifItems()
                self.extif_items.parent = self
                self._children_name_map["extif_items"] = "extif-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/npv-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NpvItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class SrvifItems(Entity):
                """
                
                
                .. attribute:: srvif_list
                
                	
                	**type**\: list of  		 :py:class:`SrvIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NpvItems.InstItems.SrvifItems, self).__init__()

                    self.yang_name = "srvif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SrvIf-list", ("srvif_list", System.NpvItems.InstItems.SrvifItems.SrvIfList))])
                    self._leafs = OrderedDict()

                    self.srvif_list = YList(self)
                    self._segment_path = lambda: "srvif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/npv-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NpvItems.InstItems.SrvifItems, [], name, value)


                class SrvIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Flags Of Enable/disable In SrvIf
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: defaultvsan
                    
                    	Server Interface Default Vsan 
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    	**config**\: False
                    
                    .. attribute:: defaultextif
                    
                    	default external interface
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fcid
                    
                    	Fc\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fsmst
                    
                    	Runtime Srv Interface FSM
                    	**type**\:  :py:class:`NpvSrvIfFsmSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NpvSrvIfFsmSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: wwpn
                    
                    	World Wide Port Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wwnn
                    
                    	World Wide Node Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: targetif_items
                    
                    	
                    	**type**\:  :py:class:`TargetifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vsan_items
                    
                    	
                    	**type**\:  :py:class:`VsanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: srvif_items
                    
                    	
                    	**type**\:  :py:class:`SrvifItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NpvItems.InstItems.SrvifItems.SrvIfList, self).__init__()

                        self.yang_name = "SrvIf-list"
                        self.yang_parent_name = "srvif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("targetif-items", ("targetif_items", System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems)), ("vsan-items", ("vsan_items", System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems)), ("srvif-items", ("srvif_items", System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ('defaultvsan', (YLeaf(YType.uint32, 'defaultVsan'), ['int'])),
                            ('defaultextif', (YLeaf(YType.str, 'defaultExtIf'), ['str'])),
                            ('fcid', (YLeaf(YType.uint32, 'fcid'), ['int'])),
                            ('fsmst', (YLeaf(YType.enumeration, 'fsmSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NpvSrvIfFsmSt', '')])),
                            ('wwpn', (YLeaf(YType.str, 'wwpn'), ['str'])),
                            ('wwnn', (YLeaf(YType.str, 'wwnn'), ['str'])),
                        ])
                        self.id = None
                        self.flags = None
                        self.defaultvsan = None
                        self.defaultextif = None
                        self.fcid = None
                        self.fsmst = None
                        self.wwpn = None
                        self.wwnn = None

                        self.targetif_items = System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems()
                        self.targetif_items.parent = self
                        self._children_name_map["targetif_items"] = "targetif-items"

                        self.vsan_items = System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems()
                        self.vsan_items.parent = self
                        self._children_name_map["vsan_items"] = "vsan-items"

                        self.srvif_items = System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_()
                        self.srvif_items.parent = self
                        self._children_name_map["srvif_items"] = "srvif-items"
                        self._segment_path = lambda: "SrvIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/npv-items/inst-items/srvif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList, ['id', 'flags', 'defaultvsan', 'defaultextif', 'fcid', 'fsmst', 'wwpn', 'wwnn'], name, value)


                    class TargetifItems(Entity):
                        """
                        
                        
                        .. attribute:: targetif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TargetIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems.TargetIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems, self).__init__()

                            self.yang_name = "targetif-items"
                            self.yang_parent_name = "SrvIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("TargetIf-list", ("targetif_list", System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems.TargetIfList))])
                            self._leafs = OrderedDict()

                            self.targetif_list = YList(self)
                            self._segment_path = lambda: "targetif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems, [], name, value)


                        class TargetIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Mapped Interface Id
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems.TargetIfList, self).__init__()

                                self.yang_name = "TargetIf-list"
                                self.yang_parent_name = "targetif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ])
                                self.id = None
                                self._segment_path = lambda: "TargetIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.TargetifItems.TargetIfList, ['id'], name, value)




                    class VsanItems(Entity):
                        """
                        
                        
                        .. attribute:: srvvsan_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SrvVsanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems.SrvVsanList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems, self).__init__()

                            self.yang_name = "vsan-items"
                            self.yang_parent_name = "SrvIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SrvVsan-list", ("srvvsan_list", System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems.SrvVsanList))])
                            self._leafs = OrderedDict()

                            self.srvvsan_list = YList(self)
                            self._segment_path = lambda: "vsan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems, [], name, value)


                        class SrvVsanList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Server Interface Vsan ID
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems.SrvVsanList, self).__init__()

                                self.yang_name = "SrvVsan-list"
                                self.yang_parent_name = "vsan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ])
                                self.id = None
                                self._segment_path = lambda: "SrvVsan-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.VsanItems.SrvVsanList, ['id'], name, value)




                    class SrvifItems_(Entity):
                        """
                        
                        
                        .. attribute:: srvifflogi_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SrvIfFlogiList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_.SrvIfFlogiList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_, self).__init__()

                            self.yang_name = "srvif-items"
                            self.yang_parent_name = "SrvIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SrvIfFlogi-list", ("srvifflogi_list", System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_.SrvIfFlogiList))])
                            self._leafs = OrderedDict()

                            self.srvifflogi_list = YList(self)
                            self._segment_path = lambda: "srvif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_, [], name, value)


                        class SrvIfFlogiList(Entity):
                            """
                            
                            
                            .. attribute:: fcid  (key)
                            
                            	Fc\-id
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: wwpn
                            
                            	World Wide Port Name
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: wwnn
                            
                            	World Wide Node Name
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: defaultvsan
                            
                            	Server Interface Default Vsan 
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            	**config**\: False
                            
                            .. attribute:: defaultextif
                            
                            	default external interface
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_.SrvIfFlogiList, self).__init__()

                                self.yang_name = "SrvIfFlogi-list"
                                self.yang_parent_name = "srvif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['fcid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('fcid', (YLeaf(YType.uint32, 'fcid'), ['int'])),
                                    ('wwpn', (YLeaf(YType.str, 'wwpn'), ['str'])),
                                    ('wwnn', (YLeaf(YType.str, 'wwnn'), ['str'])),
                                    ('defaultvsan', (YLeaf(YType.uint32, 'defaultVsan'), ['int'])),
                                    ('defaultextif', (YLeaf(YType.str, 'defaultExtIf'), ['str'])),
                                ])
                                self.fcid = None
                                self.wwpn = None
                                self.wwnn = None
                                self.defaultvsan = None
                                self.defaultextif = None
                                self._segment_path = lambda: "SrvIfFlogi-list" + "[fcid='" + str(self.fcid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NpvItems.InstItems.SrvifItems.SrvIfList.SrvifItems_.SrvIfFlogiList, ['fcid', 'wwpn', 'wwnn', 'defaultvsan', 'defaultextif'], name, value)






            class ExtifItems(Entity):
                """
                
                
                .. attribute:: extif_list
                
                	
                	**type**\: list of  		 :py:class:`ExtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems.ExtIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NpvItems.InstItems.ExtifItems, self).__init__()

                    self.yang_name = "extif-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ExtIf-list", ("extif_list", System.NpvItems.InstItems.ExtifItems.ExtIfList))])
                    self._leafs = OrderedDict()

                    self.extif_list = YList(self)
                    self._segment_path = lambda: "extif-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/npv-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NpvItems.InstItems.ExtifItems, [], name, value)


                class ExtIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fsmst
                    
                    	Runtime Ext Interface FSM state
                    	**type**\:  :py:class:`NpvExtIfFsmSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NpvExtIfFsmSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: numvsan
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: defaultvsan
                    
                    	External Interface Default Vsan 
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    	**config**\: False
                    
                    .. attribute:: flogivsan
                    
                    	Interface Flogi Vsan
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    	**config**\: False
                    
                    .. attribute:: operportmode
                    
                    	Oper Port Mode
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: logifindex
                    
                    	Logic Interface Index
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Flags Of Enable/disable In ExtIf
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fcid
                    
                    	Fc\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: wwpn
                    
                    	World Wide Port Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wwnn
                    
                    	World Wide Node Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: targetif_items
                    
                    	
                    	**type**\:  :py:class:`TargetifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vsan_items
                    
                    	
                    	**type**\:  :py:class:`VsanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NpvItems.InstItems.ExtifItems.ExtIfList, self).__init__()

                        self.yang_name = "ExtIf-list"
                        self.yang_parent_name = "extif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("targetif-items", ("targetif_items", System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems)), ("vsan-items", ("vsan_items", System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('fsmst', (YLeaf(YType.enumeration, 'fsmSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NpvExtIfFsmSt', '')])),
                            ('numvsan', (YLeaf(YType.uint32, 'numVsan'), ['int'])),
                            ('defaultvsan', (YLeaf(YType.uint32, 'defaultVsan'), ['int'])),
                            ('flogivsan', (YLeaf(YType.uint32, 'flogiVsan'), ['int'])),
                            ('operportmode', (YLeaf(YType.str, 'operPortMode'), ['str'])),
                            ('logifindex', (YLeaf(YType.str, 'logIfIndex'), ['str'])),
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ('fcid', (YLeaf(YType.uint32, 'fcid'), ['int'])),
                            ('wwpn', (YLeaf(YType.str, 'wwpn'), ['str'])),
                            ('wwnn', (YLeaf(YType.str, 'wwnn'), ['str'])),
                        ])
                        self.id = None
                        self.fsmst = None
                        self.numvsan = None
                        self.defaultvsan = None
                        self.flogivsan = None
                        self.operportmode = None
                        self.logifindex = None
                        self.flags = None
                        self.fcid = None
                        self.wwpn = None
                        self.wwnn = None

                        self.targetif_items = System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems()
                        self.targetif_items.parent = self
                        self._children_name_map["targetif_items"] = "targetif-items"

                        self.vsan_items = System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems()
                        self.vsan_items.parent = self
                        self._children_name_map["vsan_items"] = "vsan-items"
                        self._segment_path = lambda: "ExtIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/npv-items/inst-items/extif-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NpvItems.InstItems.ExtifItems.ExtIfList, ['id', 'fsmst', 'numvsan', 'defaultvsan', 'flogivsan', 'operportmode', 'logifindex', 'flags', 'fcid', 'wwpn', 'wwnn'], name, value)


                    class TargetifItems(Entity):
                        """
                        
                        
                        .. attribute:: targetif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`TargetIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems.TargetIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems, self).__init__()

                            self.yang_name = "targetif-items"
                            self.yang_parent_name = "ExtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("TargetIf-list", ("targetif_list", System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems.TargetIfList))])
                            self._leafs = OrderedDict()

                            self.targetif_list = YList(self)
                            self._segment_path = lambda: "targetif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems, [], name, value)


                        class TargetIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Mapped Interface Id
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems.TargetIfList, self).__init__()

                                self.yang_name = "TargetIf-list"
                                self.yang_parent_name = "targetif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ])
                                self.id = None
                                self._segment_path = lambda: "TargetIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NpvItems.InstItems.ExtifItems.ExtIfList.TargetifItems.TargetIfList, ['id'], name, value)




                    class VsanItems(Entity):
                        """
                        
                        
                        .. attribute:: extvsan_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ExtVsanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems.ExtVsanList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems, self).__init__()

                            self.yang_name = "vsan-items"
                            self.yang_parent_name = "ExtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ExtVsan-list", ("extvsan_list", System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems.ExtVsanList))])
                            self._leafs = OrderedDict()

                            self.extvsan_list = YList(self)
                            self._segment_path = lambda: "vsan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems, [], name, value)


                        class ExtVsanList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	External Interface Vsan ID
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            	**config**\: False
                            
                            .. attribute:: fsmst
                            
                            	External Interface Vsan State
                            	**type**\:  :py:class:`NpvExtIfFsmSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NpvExtIfFsmSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems.ExtVsanList, self).__init__()

                                self.yang_name = "ExtVsan-list"
                                self.yang_parent_name = "vsan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('fsmst', (YLeaf(YType.enumeration, 'fsmSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NpvExtIfFsmSt', '')])),
                                ])
                                self.id = None
                                self.fsmst = None
                                self._segment_path = lambda: "ExtVsan-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NpvItems.InstItems.ExtifItems.ExtIfList.VsanItems.ExtVsanList, ['id', 'fsmst'], name, value)








    class VsanmgrItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: vsan_items
        
        	
        	**type**\:  :py:class:`VsanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems>`
        
        .. attribute:: bdvsancfg_items
        
        	
        	**type**\:  :py:class:`BdvsancfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.BdvsancfgItems>`
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VsanmgrItems, self).__init__()

            self.yang_name = "vsanmgr-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("vsan-items", ("vsan_items", System.VsanmgrItems.VsanItems)), ("bdvsancfg-items", ("bdvsancfg_items", System.VsanmgrItems.BdvsancfgItems)), ("inst-items", ("inst_items", System.VsanmgrItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.vsan_items = System.VsanmgrItems.VsanItems()
            self.vsan_items.parent = self
            self._children_name_map["vsan_items"] = "vsan-items"

            self.bdvsancfg_items = System.VsanmgrItems.BdvsancfgItems()
            self.bdvsancfg_items.parent = self
            self._children_name_map["bdvsancfg_items"] = "bdvsancfg-items"

            self.inst_items = System.VsanmgrItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vsanmgr-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VsanmgrItems, ['name', 'adminst', 'operst'], name, value)


        class VsanItems(Entity):
            """
            
            
            .. attribute:: vsan_list
            
            	
            	**type**\: list of  		 :py:class:`VsanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VsanmgrItems.VsanItems, self).__init__()

                self.yang_name = "vsan-items"
                self.yang_parent_name = "vsanmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Vsan-list", ("vsan_list", System.VsanmgrItems.VsanItems.VsanList))])
                self._leafs = OrderedDict()

                self.vsan_list = YList(self)
                self._segment_path = lambda: "vsan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VsanmgrItems.VsanItems, [], name, value)


            class VsanList(Entity):
                """
                
                
                .. attribute:: encap  (key)
                
                	
                	**type**\: str
                
                .. attribute:: id
                
                	Vsan ID
                	**type**\: int
                
                	**range:** 1..4094
                
                .. attribute:: adminst
                
                	Administrator State
                	**type**\:  :py:class:`VsanAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VsanAdminSt>`
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`VsanOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VsanOperSt>`
                
                	**config**\: False
                
                .. attribute:: lbtype
                
                	Loadbalancing Type
                	**type**\:  :py:class:`VsanLbType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VsanLbType>`
                
                .. attribute:: vsanname
                
                	
                	**type**\: str
                
                .. attribute:: interop
                
                	Iterop Mode value
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: rtbdvsanmap_items
                
                	
                	**type**\:  :py:class:`RtBdVsanMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList.RtBdVsanMapItems>`
                
                .. attribute:: rsvsanifmap_items
                
                	
                	**type**\:  :py:class:`RsvsanIfMapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems>`
                
                .. attribute:: rsvsanpathatt_items
                
                	
                	**type**\:  :py:class:`RsvsanPathAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VsanmgrItems.VsanItems.VsanList, self).__init__()

                    self.yang_name = "Vsan-list"
                    self.yang_parent_name = "vsan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['encap']
                    self._child_classes = OrderedDict([("rtBdVsanMap-items", ("rtbdvsanmap_items", System.VsanmgrItems.VsanItems.VsanList.RtBdVsanMapItems)), ("rsvsanIfMap-items", ("rsvsanifmap_items", System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems)), ("rsvsanPathAtt-items", ("rsvsanpathatt_items", System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems))])
                    self._leafs = OrderedDict([
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VsanAdminSt', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VsanOperSt', '')])),
                        ('lbtype', (YLeaf(YType.enumeration, 'lbType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VsanLbType', '')])),
                        ('vsanname', (YLeaf(YType.str, 'vsanName'), ['str'])),
                        ('interop', (YLeaf(YType.uint16, 'interop'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.encap = None
                    self.id = None
                    self.adminst = None
                    self.operst = None
                    self.lbtype = None
                    self.vsanname = None
                    self.interop = None
                    self.name = None

                    self.rtbdvsanmap_items = System.VsanmgrItems.VsanItems.VsanList.RtBdVsanMapItems()
                    self.rtbdvsanmap_items.parent = self
                    self._children_name_map["rtbdvsanmap_items"] = "rtBdVsanMap-items"

                    self.rsvsanifmap_items = System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems()
                    self.rsvsanifmap_items.parent = self
                    self._children_name_map["rsvsanifmap_items"] = "rsvsanIfMap-items"

                    self.rsvsanpathatt_items = System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems()
                    self.rsvsanpathatt_items.parent = self
                    self._children_name_map["rsvsanpathatt_items"] = "rsvsanPathAtt-items"
                    self._segment_path = lambda: "Vsan-list" + "[encap='" + str(self.encap) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/vsan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList, ['encap', 'id', 'adminst', 'operst', 'lbtype', 'vsanname', 'interop', 'name'], name, value)


                class RtBdVsanMapItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VsanmgrItems.VsanItems.VsanList.RtBdVsanMapItems, self).__init__()

                        self.yang_name = "rtBdVsanMap-items"
                        self.yang_parent_name = "Vsan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtBdVsanMap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList.RtBdVsanMapItems, ['tdn', 'tcl'], name, value)



                class RsvsanIfMapItems(Entity):
                    """
                    
                    
                    .. attribute:: rsvsanifmap_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsVsanIfMapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems.RsVsanIfMapList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems, self).__init__()

                        self.yang_name = "rsvsanIfMap-items"
                        self.yang_parent_name = "Vsan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsVsanIfMap-list", ("rsvsanifmap_list", System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems.RsVsanIfMapList))])
                        self._leafs = OrderedDict()

                        self.rsvsanifmap_list = YList(self)
                        self._segment_path = lambda: "rsvsanIfMap-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems, [], name, value)


                    class RsVsanIfMapList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems.RsVsanIfMapList, self).__init__()

                            self.yang_name = "RsVsanIfMap-list"
                            self.yang_parent_name = "rsvsanIfMap-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self._segment_path = lambda: "RsVsanIfMap-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList.RsvsanIfMapItems.RsVsanIfMapList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)




                class RsvsanPathAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rsvsanpathatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsVsanPathAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems.RsVsanPathAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems, self).__init__()

                        self.yang_name = "rsvsanPathAtt-items"
                        self.yang_parent_name = "Vsan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsVsanPathAtt-list", ("rsvsanpathatt_list", System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems.RsVsanPathAttList))])
                        self._leafs = OrderedDict()

                        self.rsvsanpathatt_list = YList(self)
                        self._segment_path = lambda: "rsvsanPathAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems, [], name, value)


                    class RsVsanPathAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        .. attribute:: type
                        
                        	native type to repsent port vsan
                        	**type**\:  :py:class:`L2NativeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2NativeT>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems.RsVsanPathAttList, self).__init__()

                            self.yang_name = "RsVsanPathAtt-list"
                            self.yang_parent_name = "rsvsanPathAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2NativeT', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self.type = None
                            self._segment_path = lambda: "RsVsanPathAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VsanmgrItems.VsanItems.VsanList.RsvsanPathAttItems.RsVsanPathAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve', 'type'], name, value)






        class BdvsancfgItems(Entity):
            """
            
            
            .. attribute:: vlanid
            
            	Vlan id
            	**type**\: int
            
            	**range:** 1..4096
            
            .. attribute:: createflag
            
            	Created/removed status
            	**type**\:  :py:class:`FcCreateState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FcCreateState>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VsanmgrItems.BdvsancfgItems, self).__init__()

                self.yang_name = "bdvsancfg-items"
                self.yang_parent_name = "vsanmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('vlanid', (YLeaf(YType.uint32, 'vlanId'), ['int'])),
                    ('createflag', (YLeaf(YType.enumeration, 'createFlag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FcCreateState', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.vlanid = None
                self.createflag = None
                self.name = None
                self._segment_path = lambda: "bdvsancfg-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VsanmgrItems.BdvsancfgItems, ['vlanid', 'createflag', 'name'], name, value)



        class InstItems(Entity):
            """
            
            
            .. attribute:: numconfiguredvsan
            
            	Current Configured Vsan Count
            	**type**\: int
            
            	**range:** 0..4096
            
            	**config**\: False
            
            .. attribute:: numcreatedvsan
            
            	Current Created Vsan Count
            	**type**\: int
            
            	**range:** 0..4096
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: vsanmbr_items
            
            	
            	**type**\:  :py:class:`VsanmbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.InstItems.VsanmbrItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VsanmgrItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vsanmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("vsanmbr-items", ("vsanmbr_items", System.VsanmgrItems.InstItems.VsanmbrItems))])
                self._leafs = OrderedDict([
                    ('numconfiguredvsan', (YLeaf(YType.uint32, 'numConfiguredVsan'), ['int'])),
                    ('numcreatedvsan', (YLeaf(YType.uint32, 'numCreatedVsan'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.numconfiguredvsan = None
                self.numcreatedvsan = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.vsanmbr_items = System.VsanmgrItems.InstItems.VsanmbrItems()
                self.vsanmbr_items.parent = self
                self._children_name_map["vsanmbr_items"] = "vsanmbr-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VsanmgrItems.InstItems, ['numconfiguredvsan', 'numcreatedvsan', 'name', 'adminst', 'ctrl'], name, value)


            class VsanmbrItems(Entity):
                """
                
                
                .. attribute:: vsanmbrif_list
                
                	
                	**type**\: list of  		 :py:class:`VsanMbrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VsanmgrItems.InstItems.VsanmbrItems.VsanMbrIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VsanmgrItems.InstItems.VsanmbrItems, self).__init__()

                    self.yang_name = "vsanmbr-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VsanMbrIf-list", ("vsanmbrif_list", System.VsanmgrItems.InstItems.VsanmbrItems.VsanMbrIfList))])
                    self._leafs = OrderedDict()

                    self.vsanmbrif_list = YList(self)
                    self._segment_path = lambda: "vsanmbr-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VsanmgrItems.InstItems.VsanmbrItems, [], name, value)


                class VsanMbrIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface Index
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: staticvsan
                    
                    	Static VSAN
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    	**config**\: False
                    
                    .. attribute:: allowedvsanbmp
                    
                    	Allowed Vsan Bitmap
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VsanmgrItems.InstItems.VsanmbrItems.VsanMbrIfList, self).__init__()

                        self.yang_name = "VsanMbrIf-list"
                        self.yang_parent_name = "vsanmbr-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('staticvsan', (YLeaf(YType.uint32, 'staticVsan'), ['int'])),
                            ('allowedvsanbmp', (YLeaf(YType.str, 'allowedVsanBmp'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.staticvsan = None
                        self.allowedvsanbmp = None
                        self.name = None
                        self._segment_path = lambda: "VsanMbrIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vsanmgr-items/inst-items/vsanmbr-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VsanmgrItems.InstItems.VsanmbrItems.VsanMbrIfList, ['id', 'staticvsan', 'allowedvsanbmp', 'name'], name, value)






    class FmItems(Entity):
        """
        
        
        .. attribute:: mplsstatic_items
        
        	
        	**type**\:  :py:class:`MplsstaticItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsstaticItems>`
        
        .. attribute:: mplsoam_items
        
        	
        	**type**\:  :py:class:`MplsoamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsoamItems>`
        
        .. attribute:: srte_items
        
        	
        	**type**\:  :py:class:`SrteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.SrteItems>`
        
        .. attribute:: mplssgmntrtg_items
        
        	
        	**type**\:  :py:class:`MplssgmntrtgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplssgmntrtgItems>`
        
        .. attribute:: mplsldp_items
        
        	
        	**type**\:  :py:class:`MplsldpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsldpItems>`
        
        .. attribute:: mplsl3vpn_items
        
        	
        	**type**\:  :py:class:`Mplsl3vpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Mplsl3vpnItems>`
        
        .. attribute:: mplsevpn_items
        
        	
        	**type**\:  :py:class:`MplsevpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsevpnItems>`
        
        .. attribute:: bgp_items
        
        	
        	**type**\:  :py:class:`BgpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BgpItems>`
        
        .. attribute:: hmm_items
        
        	
        	**type**\:  :py:class:`HmmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HmmItems>`
        
        .. attribute:: evpn_items
        
        	
        	**type**\:  :py:class:`EvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.EvpnItems>`
        
        .. attribute:: ngoam_items
        
        	
        	**type**\:  :py:class:`NgoamItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgoamItems>`
        
        .. attribute:: poe_items
        
        	
        	**type**\:  :py:class:`PoeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PoeItems>`
        
        .. attribute:: msdp_items
        
        	
        	**type**\:  :py:class:`MsdpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MsdpItems>`
        
        .. attribute:: dhcp_items
        
        	
        	**type**\:  :py:class:`DhcpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.DhcpItems>`
        
        .. attribute:: ifvlan_items
        
        	
        	**type**\:  :py:class:`IfvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IfvlanItems>`
        
        .. attribute:: bashshell_items
        
        	
        	**type**\:  :py:class:`BashshellItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BashshellItems>`
        
        .. attribute:: scpserver_items
        
        	
        	**type**\:  :py:class:`ScpserverItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.ScpserverItems>`
        
        .. attribute:: lldp_items
        
        	
        	**type**\:  :py:class:`LldpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LldpItems>`
        
        .. attribute:: lacp_items
        
        	
        	**type**\:  :py:class:`LacpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LacpItems>`
        
        .. attribute:: nxapi_items
        
        	
        	**type**\:  :py:class:`NxapiItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxapiItems>`
        
        .. attribute:: telnet_items
        
        	
        	**type**\:  :py:class:`TelnetItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TelnetItems>`
        
        .. attribute:: nxdb_items
        
        	
        	**type**\:  :py:class:`NxdbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxdbItems>`
        
        .. attribute:: vnsegment_items
        
        	
        	**type**\:  :py:class:`VnsegmentItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VnsegmentItems>`
        
        .. attribute:: tacacsplus_items
        
        	
        	**type**\:  :py:class:`TacacsplusItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TacacsplusItems>`
        
        .. attribute:: udld_items
        
        	
        	**type**\:  :py:class:`UdldItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.UdldItems>`
        
        .. attribute:: nat_items
        
        	
        	**type**\:  :py:class:`NatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NatItems>`
        
        .. attribute:: vrrpv3_items
        
        	
        	**type**\:  :py:class:`Vrrpv3Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Vrrpv3Items>`
        
        .. attribute:: vrrp_items
        
        	
        	**type**\:  :py:class:`VrrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VrrpItems>`
        
        .. attribute:: hsrp_items
        
        	
        	**type**\:  :py:class:`HsrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HsrpItems>`
        
        .. attribute:: netflow_items
        
        	
        	**type**\:  :py:class:`NetflowItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NetflowItems>`
        
        .. attribute:: analytics_items
        
        	
        	**type**\:  :py:class:`AnalyticsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.AnalyticsItems>`
        
        .. attribute:: bfd_items
        
        	
        	**type**\:  :py:class:`BfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BfdItems>`
        
        .. attribute:: tunnelif_items
        
        	
        	**type**\:  :py:class:`TunnelifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TunnelifItems>`
        
        .. attribute:: nvo_items
        
        	
        	**type**\:  :py:class:`NvoItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NvoItems>`
        
        .. attribute:: pbr_items
        
        	
        	**type**\:  :py:class:`PbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PbrItems>`
        
        .. attribute:: pim_items
        
        	
        	**type**\:  :py:class:`PimItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PimItems>`
        
        .. attribute:: ngmvpn_items
        
        	
        	**type**\:  :py:class:`NgmvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgmvpnItems>`
        
        .. attribute:: vpc_items
        
        	
        	**type**\:  :py:class:`VpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VpcItems>`
        
        .. attribute:: vtp_items
        
        	
        	**type**\:  :py:class:`VtpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VtpItems>`
        
        .. attribute:: pvlan_items
        
        	
        	**type**\:  :py:class:`PvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PvlanItems>`
        
        .. attribute:: ntpd_items
        
        	
        	**type**\:  :py:class:`NtpdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NtpdItems>`
        
        .. attribute:: telemetry_items
        
        	
        	**type**\:  :py:class:`TelemetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TelemetryItems>`
        
        .. attribute:: ospf_items
        
        	
        	**type**\:  :py:class:`OspfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.OspfItems>`
        
        .. attribute:: vctrl_items
        
        	
        	**type**\:  :py:class:`VctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VctrlItems>`
        
        .. attribute:: macsec_items
        
        	
        	**type**\:  :py:class:`MacsecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MacsecItems>`
        
        .. attribute:: npiv_items
        
        	
        	**type**\:  :py:class:`NpivItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NpivItems>`
        
        .. attribute:: pim6_items
        
        	
        	**type**\:  :py:class:`Pim6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Pim6Items>`
        
        .. attribute:: isis_items
        
        	
        	**type**\:  :py:class:`IsisItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IsisItems>`
        
        .. attribute:: hwtelemetry_items
        
        	
        	**type**\:  :py:class:`HwtelemetryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HwtelemetryItems>`
        
        .. attribute:: portsec_items
        
        	
        	**type**\:  :py:class:`PortsecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PortsecItems>`
        
        .. attribute:: flexlink_items
        
        	
        	**type**\:  :py:class:`FlexlinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.FlexlinkItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FmItems, self).__init__()

            self.yang_name = "fm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("mplsstatic-items", ("mplsstatic_items", System.FmItems.MplsstaticItems)), ("mplsoam-items", ("mplsoam_items", System.FmItems.MplsoamItems)), ("srte-items", ("srte_items", System.FmItems.SrteItems)), ("mplssgmntrtg-items", ("mplssgmntrtg_items", System.FmItems.MplssgmntrtgItems)), ("mplsldp-items", ("mplsldp_items", System.FmItems.MplsldpItems)), ("mplsl3vpn-items", ("mplsl3vpn_items", System.FmItems.Mplsl3vpnItems)), ("mplsevpn-items", ("mplsevpn_items", System.FmItems.MplsevpnItems)), ("bgp-items", ("bgp_items", System.FmItems.BgpItems)), ("hmm-items", ("hmm_items", System.FmItems.HmmItems)), ("evpn-items", ("evpn_items", System.FmItems.EvpnItems)), ("ngoam-items", ("ngoam_items", System.FmItems.NgoamItems)), ("poe-items", ("poe_items", System.FmItems.PoeItems)), ("msdp-items", ("msdp_items", System.FmItems.MsdpItems)), ("dhcp-items", ("dhcp_items", System.FmItems.DhcpItems)), ("ifvlan-items", ("ifvlan_items", System.FmItems.IfvlanItems)), ("bashshell-items", ("bashshell_items", System.FmItems.BashshellItems)), ("scpserver-items", ("scpserver_items", System.FmItems.ScpserverItems)), ("lldp-items", ("lldp_items", System.FmItems.LldpItems)), ("lacp-items", ("lacp_items", System.FmItems.LacpItems)), ("nxapi-items", ("nxapi_items", System.FmItems.NxapiItems)), ("telnet-items", ("telnet_items", System.FmItems.TelnetItems)), ("nxdb-items", ("nxdb_items", System.FmItems.NxdbItems)), ("vnsegment-items", ("vnsegment_items", System.FmItems.VnsegmentItems)), ("tacacsplus-items", ("tacacsplus_items", System.FmItems.TacacsplusItems)), ("udld-items", ("udld_items", System.FmItems.UdldItems)), ("nat-items", ("nat_items", System.FmItems.NatItems)), ("vrrpv3-items", ("vrrpv3_items", System.FmItems.Vrrpv3Items)), ("vrrp-items", ("vrrp_items", System.FmItems.VrrpItems)), ("hsrp-items", ("hsrp_items", System.FmItems.HsrpItems)), ("netflow-items", ("netflow_items", System.FmItems.NetflowItems)), ("analytics-items", ("analytics_items", System.FmItems.AnalyticsItems)), ("bfd-items", ("bfd_items", System.FmItems.BfdItems)), ("tunnelif-items", ("tunnelif_items", System.FmItems.TunnelifItems)), ("nvo-items", ("nvo_items", System.FmItems.NvoItems)), ("pbr-items", ("pbr_items", System.FmItems.PbrItems)), ("pim-items", ("pim_items", System.FmItems.PimItems)), ("ngmvpn-items", ("ngmvpn_items", System.FmItems.NgmvpnItems)), ("vpc-items", ("vpc_items", System.FmItems.VpcItems)), ("vtp-items", ("vtp_items", System.FmItems.VtpItems)), ("pvlan-items", ("pvlan_items", System.FmItems.PvlanItems)), ("ntpd-items", ("ntpd_items", System.FmItems.NtpdItems)), ("telemetry-items", ("telemetry_items", System.FmItems.TelemetryItems)), ("ospf-items", ("ospf_items", System.FmItems.OspfItems)), ("vctrl-items", ("vctrl_items", System.FmItems.VctrlItems)), ("macsec-items", ("macsec_items", System.FmItems.MacsecItems)), ("npiv-items", ("npiv_items", System.FmItems.NpivItems)), ("pim6-items", ("pim6_items", System.FmItems.Pim6Items)), ("isis-items", ("isis_items", System.FmItems.IsisItems)), ("hwtelemetry-items", ("hwtelemetry_items", System.FmItems.HwtelemetryItems)), ("portsec-items", ("portsec_items", System.FmItems.PortsecItems)), ("flexlink-items", ("flexlink_items", System.FmItems.FlexlinkItems))])
            self._leafs = OrderedDict()

            self.mplsstatic_items = System.FmItems.MplsstaticItems()
            self.mplsstatic_items.parent = self
            self._children_name_map["mplsstatic_items"] = "mplsstatic-items"

            self.mplsoam_items = System.FmItems.MplsoamItems()
            self.mplsoam_items.parent = self
            self._children_name_map["mplsoam_items"] = "mplsoam-items"

            self.srte_items = System.FmItems.SrteItems()
            self.srte_items.parent = self
            self._children_name_map["srte_items"] = "srte-items"

            self.mplssgmntrtg_items = System.FmItems.MplssgmntrtgItems()
            self.mplssgmntrtg_items.parent = self
            self._children_name_map["mplssgmntrtg_items"] = "mplssgmntrtg-items"

            self.mplsldp_items = System.FmItems.MplsldpItems()
            self.mplsldp_items.parent = self
            self._children_name_map["mplsldp_items"] = "mplsldp-items"

            self.mplsl3vpn_items = System.FmItems.Mplsl3vpnItems()
            self.mplsl3vpn_items.parent = self
            self._children_name_map["mplsl3vpn_items"] = "mplsl3vpn-items"

            self.mplsevpn_items = System.FmItems.MplsevpnItems()
            self.mplsevpn_items.parent = self
            self._children_name_map["mplsevpn_items"] = "mplsevpn-items"

            self.bgp_items = System.FmItems.BgpItems()
            self.bgp_items.parent = self
            self._children_name_map["bgp_items"] = "bgp-items"

            self.hmm_items = System.FmItems.HmmItems()
            self.hmm_items.parent = self
            self._children_name_map["hmm_items"] = "hmm-items"

            self.evpn_items = System.FmItems.EvpnItems()
            self.evpn_items.parent = self
            self._children_name_map["evpn_items"] = "evpn-items"

            self.ngoam_items = System.FmItems.NgoamItems()
            self.ngoam_items.parent = self
            self._children_name_map["ngoam_items"] = "ngoam-items"

            self.poe_items = System.FmItems.PoeItems()
            self.poe_items.parent = self
            self._children_name_map["poe_items"] = "poe-items"

            self.msdp_items = System.FmItems.MsdpItems()
            self.msdp_items.parent = self
            self._children_name_map["msdp_items"] = "msdp-items"

            self.dhcp_items = System.FmItems.DhcpItems()
            self.dhcp_items.parent = self
            self._children_name_map["dhcp_items"] = "dhcp-items"

            self.ifvlan_items = System.FmItems.IfvlanItems()
            self.ifvlan_items.parent = self
            self._children_name_map["ifvlan_items"] = "ifvlan-items"

            self.bashshell_items = System.FmItems.BashshellItems()
            self.bashshell_items.parent = self
            self._children_name_map["bashshell_items"] = "bashshell-items"

            self.scpserver_items = System.FmItems.ScpserverItems()
            self.scpserver_items.parent = self
            self._children_name_map["scpserver_items"] = "scpserver-items"

            self.lldp_items = System.FmItems.LldpItems()
            self.lldp_items.parent = self
            self._children_name_map["lldp_items"] = "lldp-items"

            self.lacp_items = System.FmItems.LacpItems()
            self.lacp_items.parent = self
            self._children_name_map["lacp_items"] = "lacp-items"

            self.nxapi_items = System.FmItems.NxapiItems()
            self.nxapi_items.parent = self
            self._children_name_map["nxapi_items"] = "nxapi-items"

            self.telnet_items = System.FmItems.TelnetItems()
            self.telnet_items.parent = self
            self._children_name_map["telnet_items"] = "telnet-items"

            self.nxdb_items = System.FmItems.NxdbItems()
            self.nxdb_items.parent = self
            self._children_name_map["nxdb_items"] = "nxdb-items"

            self.vnsegment_items = System.FmItems.VnsegmentItems()
            self.vnsegment_items.parent = self
            self._children_name_map["vnsegment_items"] = "vnsegment-items"

            self.tacacsplus_items = System.FmItems.TacacsplusItems()
            self.tacacsplus_items.parent = self
            self._children_name_map["tacacsplus_items"] = "tacacsplus-items"

            self.udld_items = System.FmItems.UdldItems()
            self.udld_items.parent = self
            self._children_name_map["udld_items"] = "udld-items"

            self.nat_items = System.FmItems.NatItems()
            self.nat_items.parent = self
            self._children_name_map["nat_items"] = "nat-items"

            self.vrrpv3_items = System.FmItems.Vrrpv3Items()
            self.vrrpv3_items.parent = self
            self._children_name_map["vrrpv3_items"] = "vrrpv3-items"

            self.vrrp_items = System.FmItems.VrrpItems()
            self.vrrp_items.parent = self
            self._children_name_map["vrrp_items"] = "vrrp-items"

            self.hsrp_items = System.FmItems.HsrpItems()
            self.hsrp_items.parent = self
            self._children_name_map["hsrp_items"] = "hsrp-items"

            self.netflow_items = System.FmItems.NetflowItems()
            self.netflow_items.parent = self
            self._children_name_map["netflow_items"] = "netflow-items"

            self.analytics_items = System.FmItems.AnalyticsItems()
            self.analytics_items.parent = self
            self._children_name_map["analytics_items"] = "analytics-items"

            self.bfd_items = System.FmItems.BfdItems()
            self.bfd_items.parent = self
            self._children_name_map["bfd_items"] = "bfd-items"

            self.tunnelif_items = System.FmItems.TunnelifItems()
            self.tunnelif_items.parent = self
            self._children_name_map["tunnelif_items"] = "tunnelif-items"

            self.nvo_items = System.FmItems.NvoItems()
            self.nvo_items.parent = self
            self._children_name_map["nvo_items"] = "nvo-items"

            self.pbr_items = System.FmItems.PbrItems()
            self.pbr_items.parent = self
            self._children_name_map["pbr_items"] = "pbr-items"

            self.pim_items = System.FmItems.PimItems()
            self.pim_items.parent = self
            self._children_name_map["pim_items"] = "pim-items"

            self.ngmvpn_items = System.FmItems.NgmvpnItems()
            self.ngmvpn_items.parent = self
            self._children_name_map["ngmvpn_items"] = "ngmvpn-items"

            self.vpc_items = System.FmItems.VpcItems()
            self.vpc_items.parent = self
            self._children_name_map["vpc_items"] = "vpc-items"

            self.vtp_items = System.FmItems.VtpItems()
            self.vtp_items.parent = self
            self._children_name_map["vtp_items"] = "vtp-items"

            self.pvlan_items = System.FmItems.PvlanItems()
            self.pvlan_items.parent = self
            self._children_name_map["pvlan_items"] = "pvlan-items"

            self.ntpd_items = System.FmItems.NtpdItems()
            self.ntpd_items.parent = self
            self._children_name_map["ntpd_items"] = "ntpd-items"

            self.telemetry_items = System.FmItems.TelemetryItems()
            self.telemetry_items.parent = self
            self._children_name_map["telemetry_items"] = "telemetry-items"

            self.ospf_items = System.FmItems.OspfItems()
            self.ospf_items.parent = self
            self._children_name_map["ospf_items"] = "ospf-items"

            self.vctrl_items = System.FmItems.VctrlItems()
            self.vctrl_items.parent = self
            self._children_name_map["vctrl_items"] = "vctrl-items"

            self.macsec_items = System.FmItems.MacsecItems()
            self.macsec_items.parent = self
            self._children_name_map["macsec_items"] = "macsec-items"

            self.npiv_items = System.FmItems.NpivItems()
            self.npiv_items.parent = self
            self._children_name_map["npiv_items"] = "npiv-items"

            self.pim6_items = System.FmItems.Pim6Items()
            self.pim6_items.parent = self
            self._children_name_map["pim6_items"] = "pim6-items"

            self.isis_items = System.FmItems.IsisItems()
            self.isis_items.parent = self
            self._children_name_map["isis_items"] = "isis-items"

            self.hwtelemetry_items = System.FmItems.HwtelemetryItems()
            self.hwtelemetry_items.parent = self
            self._children_name_map["hwtelemetry_items"] = "hwtelemetry-items"

            self.portsec_items = System.FmItems.PortsecItems()
            self.portsec_items.parent = self
            self._children_name_map["portsec_items"] = "portsec-items"

            self.flexlink_items = System.FmItems.FlexlinkItems()
            self.flexlink_items.parent = self
            self._children_name_map["flexlink_items"] = "flexlink-items"
            self._segment_path = lambda: "fm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FmItems, [], name, value)


        class MplsstaticItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsstaticItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MplsstaticItems, self).__init__()

                self.yang_name = "mplsstatic-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MplsstaticItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None

                self.service_items = System.FmItems.MplsstaticItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "mplsstatic-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MplsstaticItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsstaticItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MplsstaticItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "mplsstatic-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MplsstaticItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsstatic-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MplsstaticItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MplsstaticItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsstatic-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MplsstaticItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class MplsoamItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsoamItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MplsoamItems, self).__init__()

                self.yang_name = "mplsoam-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MplsoamItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None

                self.service_items = System.FmItems.MplsoamItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "mplsoam-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MplsoamItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsoamItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MplsoamItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "mplsoam-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MplsoamItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsoam-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MplsoamItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MplsoamItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsoam-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MplsoamItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class SrteItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.SrteItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.SrteItems, self).__init__()

                self.yang_name = "srte-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.SrteItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.SrteItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "srte-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.SrteItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.SrteItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.SrteItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "srte-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.SrteItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/srte-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.SrteItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.SrteItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/srte-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.SrteItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class MplssgmntrtgItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplssgmntrtgItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MplssgmntrtgItems, self).__init__()

                self.yang_name = "mplssgmntrtg-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MplssgmntrtgItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None

                self.service_items = System.FmItems.MplssgmntrtgItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "mplssgmntrtg-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MplssgmntrtgItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplssgmntrtgItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MplssgmntrtgItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "mplssgmntrtg-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MplssgmntrtgItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplssgmntrtg-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MplssgmntrtgItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MplssgmntrtgItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplssgmntrtg-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MplssgmntrtgItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class MplsldpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsldpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MplsldpItems, self).__init__()

                self.yang_name = "mplsldp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MplsldpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None

                self.service_items = System.FmItems.MplsldpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "mplsldp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MplsldpItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MplsldpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MplsldpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "mplsldp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MplsldpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsldp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MplsldpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MplsldpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsldp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MplsldpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class Mplsl3vpnItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Mplsl3vpnItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.Mplsl3vpnItems, self).__init__()

                self.yang_name = "mplsl3vpn-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.Mplsl3vpnItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None

                self.service_items = System.FmItems.Mplsl3vpnItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "mplsl3vpn-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.Mplsl3vpnItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Mplsl3vpnItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.Mplsl3vpnItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "mplsl3vpn-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.Mplsl3vpnItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsl3vpn-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.Mplsl3vpnItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.Mplsl3vpnItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/mplsl3vpn-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.Mplsl3vpnItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class MplsevpnItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: conflictingfeature
            
            	
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MplsevpnItems, self).__init__()

                self.yang_name = "mplsevpn-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                    ('conflictingfeature', (YLeaf(YType.str, 'conflictingFeature'), ['str'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None
                self.conflictingfeature = None
                self._segment_path = lambda: "mplsevpn-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MplsevpnItems, ['adminst', 'operst', 'maxinstance', 'conflictingfeature'], name, value)



        class BgpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BgpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.BgpItems, self).__init__()

                self.yang_name = "bgp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.BgpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.BgpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "bgp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.BgpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BgpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.BgpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "bgp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.BgpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bgp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.BgpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.BgpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bgp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.BgpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class HmmItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HmmItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.HmmItems, self).__init__()

                self.yang_name = "hmm-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.HmmItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.HmmItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "hmm-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.HmmItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HmmItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.HmmItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "hmm-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.HmmItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hmm-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.HmmItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.HmmItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hmm-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.HmmItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class EvpnItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.EvpnItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.EvpnItems, self).__init__()

                self.yang_name = "evpn-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.EvpnItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.EvpnItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "evpn-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.EvpnItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.EvpnItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.EvpnItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "evpn-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.EvpnItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/evpn-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.EvpnItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.EvpnItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/evpn-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.EvpnItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NgoamItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgoamItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NgoamItems, self).__init__()

                self.yang_name = "ngoam-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NgoamItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NgoamItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "ngoam-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NgoamItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgoamItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NgoamItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "ngoam-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NgoamItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ngoam-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NgoamItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NgoamItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ngoam-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NgoamItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class PoeItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PoeItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.PoeItems, self).__init__()

                self.yang_name = "poe-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.PoeItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.PoeItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "poe-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.PoeItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PoeItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.PoeItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "poe-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.PoeItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/poe-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.PoeItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.PoeItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/poe-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.PoeItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class MsdpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MsdpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MsdpItems, self).__init__()

                self.yang_name = "msdp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MsdpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.MsdpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "msdp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MsdpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MsdpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MsdpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "msdp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MsdpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/msdp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MsdpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MsdpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/msdp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MsdpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class DhcpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.DhcpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.DhcpItems, self).__init__()

                self.yang_name = "dhcp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.DhcpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.DhcpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "dhcp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.DhcpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.DhcpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.DhcpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "dhcp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.DhcpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/dhcp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.DhcpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.DhcpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/dhcp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.DhcpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class IfvlanItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IfvlanItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.IfvlanItems, self).__init__()

                self.yang_name = "ifvlan-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.IfvlanItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.IfvlanItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "ifvlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.IfvlanItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IfvlanItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.IfvlanItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "ifvlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.IfvlanItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ifvlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.IfvlanItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.IfvlanItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ifvlan-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.IfvlanItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class BashshellItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BashshellItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.BashshellItems, self).__init__()

                self.yang_name = "bashshell-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.BashshellItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.BashshellItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "bashshell-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.BashshellItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BashshellItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.BashshellItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "bashshell-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.BashshellItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bashshell-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.BashshellItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.BashshellItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bashshell-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.BashshellItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class ScpserverItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.ScpserverItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.ScpserverItems, self).__init__()

                self.yang_name = "scpserver-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.ScpserverItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None

                self.service_items = System.FmItems.ScpserverItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "scpserver-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.ScpserverItems, ['adminst', 'operst'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.ScpserverItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.ScpserverItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "scpserver-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.ScpserverItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/scpserver-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.ScpserverItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.ScpserverItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/scpserver-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.ScpserverItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class LldpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LldpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.LldpItems, self).__init__()

                self.yang_name = "lldp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.LldpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.LldpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "lldp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.LldpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LldpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.LldpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "lldp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.LldpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/lldp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.LldpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.LldpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/lldp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.LldpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class LacpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LacpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.LacpItems, self).__init__()

                self.yang_name = "lacp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.LacpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.LacpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "lacp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.LacpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.LacpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.LacpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "lacp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.LacpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/lacp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.LacpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.LacpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/lacp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.LacpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NxapiItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxapiItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NxapiItems, self).__init__()

                self.yang_name = "nxapi-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NxapiItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NxapiItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "nxapi-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NxapiItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxapiItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NxapiItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "nxapi-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NxapiItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nxapi-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NxapiItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NxapiItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nxapi-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NxapiItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class TelnetItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.TelnetItems, self).__init__()

                self.yang_name = "telnet-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None
                self._segment_path = lambda: "telnet-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.TelnetItems, ['adminst', 'operst'], name, value)



        class NxdbItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxdbItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NxdbItems, self).__init__()

                self.yang_name = "nxdb-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NxdbItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NxdbItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "nxdb-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NxdbItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NxdbItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NxdbItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "nxdb-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NxdbItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nxdb-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NxdbItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NxdbItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nxdb-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NxdbItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class VnsegmentItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VnsegmentItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.VnsegmentItems, self).__init__()

                self.yang_name = "vnsegment-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.VnsegmentItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.VnsegmentItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "vnsegment-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.VnsegmentItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VnsegmentItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.VnsegmentItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "vnsegment-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.VnsegmentItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vnsegment-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.VnsegmentItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.VnsegmentItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vnsegment-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.VnsegmentItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class TacacsplusItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TacacsplusItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.TacacsplusItems, self).__init__()

                self.yang_name = "tacacsplus-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.TacacsplusItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None

                self.service_items = System.FmItems.TacacsplusItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "tacacsplus-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.TacacsplusItems, ['adminst', 'operst'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TacacsplusItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.TacacsplusItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "tacacsplus-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.TacacsplusItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/tacacsplus-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.TacacsplusItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.TacacsplusItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/tacacsplus-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.TacacsplusItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class UdldItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.UdldItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.UdldItems, self).__init__()

                self.yang_name = "udld-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.UdldItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.UdldItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "udld-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.UdldItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.UdldItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.UdldItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "udld-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.UdldItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/udld-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.UdldItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.UdldItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/udld-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.UdldItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NatItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NatItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NatItems, self).__init__()

                self.yang_name = "nat-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NatItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NatItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "nat-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NatItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NatItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NatItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "nat-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NatItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nat-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NatItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NatItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nat-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NatItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class Vrrpv3Items(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Vrrpv3Items.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.Vrrpv3Items, self).__init__()

                self.yang_name = "vrrpv3-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.Vrrpv3Items.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.Vrrpv3Items.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "vrrpv3-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.Vrrpv3Items, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Vrrpv3Items.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.Vrrpv3Items.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "vrrpv3-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.Vrrpv3Items.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vrrpv3-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.Vrrpv3Items.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.Vrrpv3Items.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vrrpv3-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.Vrrpv3Items.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class VrrpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VrrpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.VrrpItems, self).__init__()

                self.yang_name = "vrrp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.VrrpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.VrrpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "vrrp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.VrrpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VrrpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.VrrpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "vrrp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.VrrpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vrrp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.VrrpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.VrrpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vrrp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.VrrpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class HsrpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HsrpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.HsrpItems, self).__init__()

                self.yang_name = "hsrp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.HsrpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.HsrpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "hsrp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.HsrpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HsrpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.HsrpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "hsrp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.HsrpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hsrp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.HsrpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.HsrpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hsrp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.HsrpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NetflowItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NetflowItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NetflowItems, self).__init__()

                self.yang_name = "netflow-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NetflowItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NetflowItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "netflow-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NetflowItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NetflowItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NetflowItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "netflow-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NetflowItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/netflow-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NetflowItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NetflowItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/netflow-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NetflowItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class AnalyticsItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.AnalyticsItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.AnalyticsItems, self).__init__()

                self.yang_name = "analytics-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.AnalyticsItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.AnalyticsItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "analytics-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.AnalyticsItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.AnalyticsItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.AnalyticsItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "analytics-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.AnalyticsItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/analytics-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.AnalyticsItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.AnalyticsItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/analytics-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.AnalyticsItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class BfdItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BfdItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.BfdItems, self).__init__()

                self.yang_name = "bfd-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.BfdItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.BfdItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "bfd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.BfdItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.BfdItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.BfdItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "bfd-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.BfdItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bfd-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.BfdItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.BfdItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/bfd-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.BfdItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class TunnelifItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TunnelifItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.TunnelifItems, self).__init__()

                self.yang_name = "tunnelif-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.TunnelifItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.TunnelifItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "tunnelif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.TunnelifItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TunnelifItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.TunnelifItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "tunnelif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.TunnelifItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/tunnelif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.TunnelifItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.TunnelifItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/tunnelif-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.TunnelifItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NvoItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NvoItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NvoItems, self).__init__()

                self.yang_name = "nvo-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NvoItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NvoItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "nvo-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NvoItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NvoItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NvoItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "nvo-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NvoItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nvo-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NvoItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NvoItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/nvo-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NvoItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class PbrItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PbrItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.PbrItems, self).__init__()

                self.yang_name = "pbr-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.PbrItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.PbrItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "pbr-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.PbrItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PbrItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.PbrItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "pbr-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.PbrItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pbr-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.PbrItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.PbrItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pbr-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.PbrItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class PimItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PimItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.PimItems, self).__init__()

                self.yang_name = "pim-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.PimItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.PimItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "pim-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.PimItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PimItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.PimItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "pim-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.PimItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pim-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.PimItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.PimItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pim-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.PimItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NgmvpnItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgmvpnItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NgmvpnItems, self).__init__()

                self.yang_name = "ngmvpn-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NgmvpnItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.NgmvpnItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "ngmvpn-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NgmvpnItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NgmvpnItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NgmvpnItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "ngmvpn-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NgmvpnItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ngmvpn-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NgmvpnItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NgmvpnItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ngmvpn-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NgmvpnItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class VpcItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VpcItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.VpcItems, self).__init__()

                self.yang_name = "vpc-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.VpcItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.VpcItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "vpc-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.VpcItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VpcItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.VpcItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "vpc-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.VpcItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vpc-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.VpcItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.VpcItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vpc-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.VpcItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class VtpItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VtpItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.VtpItems, self).__init__()

                self.yang_name = "vtp-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.VtpItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.VtpItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "vtp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.VtpItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.VtpItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.VtpItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "vtp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.VtpItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vtp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.VtpItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.VtpItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/vtp-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.VtpItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class PvlanItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PvlanItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.PvlanItems, self).__init__()

                self.yang_name = "pvlan-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.PvlanItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.PvlanItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "pvlan-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.PvlanItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PvlanItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.PvlanItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "pvlan-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.PvlanItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pvlan-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.PvlanItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.PvlanItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pvlan-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.PvlanItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NtpdItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NtpdItems, self).__init__()

                self.yang_name = "ntpd-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None
                self._segment_path = lambda: "ntpd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NtpdItems, ['adminst', 'operst'], name, value)



        class TelemetryItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TelemetryItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.TelemetryItems, self).__init__()

                self.yang_name = "telemetry-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.TelemetryItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.TelemetryItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "telemetry-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.TelemetryItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.TelemetryItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.TelemetryItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "telemetry-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.TelemetryItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/telemetry-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.TelemetryItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.TelemetryItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/telemetry-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.TelemetryItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class OspfItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.OspfItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.OspfItems, self).__init__()

                self.yang_name = "ospf-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.OspfItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.OspfItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "ospf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.OspfItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.OspfItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.OspfItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "ospf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.OspfItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ospf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.OspfItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.OspfItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/ospf-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.OspfItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class VctrlItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.VctrlItems, self).__init__()

                self.yang_name = "vctrl-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None
                self._segment_path = lambda: "vctrl-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.VctrlItems, ['adminst', 'operst'], name, value)



        class MacsecItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MacsecItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.MacsecItems, self).__init__()

                self.yang_name = "macsec-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.MacsecItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.MacsecItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "macsec-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.MacsecItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.MacsecItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.MacsecItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "macsec-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.MacsecItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/macsec-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.MacsecItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.MacsecItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/macsec-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.MacsecItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class NpivItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NpivItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.NpivItems, self).__init__()

                self.yang_name = "npiv-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.NpivItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None

                self.service_items = System.FmItems.NpivItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "npiv-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.NpivItems, ['adminst', 'operst'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.NpivItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.NpivItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "npiv-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.NpivItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/npiv-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.NpivItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.NpivItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/npiv-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.NpivItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class Pim6Items(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Pim6Items.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.Pim6Items, self).__init__()

                self.yang_name = "pim6-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.Pim6Items.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.Pim6Items.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "pim6-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.Pim6Items, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.Pim6Items.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.Pim6Items.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "pim6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.Pim6Items.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pim6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.Pim6Items.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.Pim6Items.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/pim6-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.Pim6Items.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class IsisItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IsisItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.IsisItems, self).__init__()

                self.yang_name = "isis-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.IsisItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.IsisItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "isis-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.IsisItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.IsisItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.IsisItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "isis-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.IsisItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/isis-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.IsisItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.IsisItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/isis-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.IsisItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class HwtelemetryItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HwtelemetryItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.HwtelemetryItems, self).__init__()

                self.yang_name = "hwtelemetry-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.HwtelemetryItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.HwtelemetryItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "hwtelemetry-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.HwtelemetryItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.HwtelemetryItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.HwtelemetryItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "hwtelemetry-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.HwtelemetryItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hwtelemetry-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.HwtelemetryItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.HwtelemetryItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/hwtelemetry-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.HwtelemetryItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class PortsecItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PortsecItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.PortsecItems, self).__init__()

                self.yang_name = "portsec-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.PortsecItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                ])
                self.adminst = None
                self.operst = None

                self.service_items = System.FmItems.PortsecItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "portsec-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.PortsecItems, ['adminst', 'operst'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.PortsecItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.PortsecItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "portsec-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.PortsecItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/portsec-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.PortsecItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.PortsecItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/portsec-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.PortsecItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)





        class FlexlinkItems(Entity):
            """
            
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FmAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmAdminState>`
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FmOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmOperState>`
            
            	**config**\: False
            
            .. attribute:: maxinstance
            
            	Maximum number of instances supported
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: service_items
            
            	
            	**type**\:  :py:class:`ServiceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.FlexlinkItems.ServiceItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FmItems.FlexlinkItems, self).__init__()

                self.yang_name = "flexlink-items"
                self.yang_parent_name = "fm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("service-items", ("service_items", System.FmItems.FlexlinkItems.ServiceItems))])
                self._leafs = OrderedDict([
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmAdminState', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmOperState', '')])),
                    ('maxinstance', (YLeaf(YType.uint32, 'maxInstance'), ['int'])),
                ])
                self.adminst = None
                self.operst = None
                self.maxinstance = None

                self.service_items = System.FmItems.FlexlinkItems.ServiceItems()
                self.service_items.parent = self
                self._children_name_map["service_items"] = "service-items"
                self._segment_path = lambda: "flexlink-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FmItems.FlexlinkItems, ['adminst', 'operst', 'maxinstance'], name, value)


            class ServiceItems(Entity):
                """
                
                
                .. attribute:: serviceinstance_list
                
                	
                	**type**\: list of  		 :py:class:`ServiceInstanceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FmItems.FlexlinkItems.ServiceItems.ServiceInstanceList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.FmItems.FlexlinkItems.ServiceItems, self).__init__()

                    self.yang_name = "service-items"
                    self.yang_parent_name = "flexlink-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ServiceInstance-list", ("serviceinstance_list", System.FmItems.FlexlinkItems.ServiceItems.ServiceInstanceList))])
                    self._leafs = OrderedDict()

                    self.serviceinstance_list = YList(self)
                    self._segment_path = lambda: "service-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/flexlink-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.FmItems.FlexlinkItems.ServiceItems, [], name, value)


                class ServiceInstanceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational status of the instance
                    	**type**\:  :py:class:`FmInstOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FmInstOperState>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.FmItems.FlexlinkItems.ServiceItems.ServiceInstanceList, self).__init__()

                        self.yang_name = "ServiceInstance-list"
                        self.yang_parent_name = "service-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FmInstOperState', '')])),
                        ])
                        self.id = None
                        self.operst = None
                        self._segment_path = lambda: "ServiceInstance-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/fm-items/flexlink-items/service-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.FmItems.FlexlinkItems.ServiceItems.ServiceInstanceList, ['id', 'operst'], name, value)






    class FsetItems(Entity):
        """
        
        
        .. attribute:: featureset_list
        
        	
        	**type**\: list of  		 :py:class:`FeatureSetList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FsetItems.FeatureSetList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FsetItems, self).__init__()

            self.yang_name = "fset-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("FeatureSet-list", ("featureset_list", System.FsetItems.FeatureSetList))])
            self._leafs = OrderedDict()

            self.featureset_list = YList(self)
            self._segment_path = lambda: "fset-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FsetItems, [], name, value)


        class FeatureSetList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	
            	**type**\: str
            
            .. attribute:: adminst
            
            	Admin status
            	**type**\:  :py:class:`FsetAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FsetAdminState>`
            
            .. attribute:: force
            
            	
            	**type**\: bool
            
            .. attribute:: operst
            
            	Operational status
            	**type**\:  :py:class:`FsetOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FsetOperState>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FsetItems.FeatureSetList, self).__init__()

                self.yang_name = "FeatureSet-list"
                self.yang_parent_name = "fset-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FsetAdminState', '')])),
                    ('force', (YLeaf(YType.boolean, 'force'), ['bool'])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FsetOperState', '')])),
                ])
                self.name = None
                self.adminst = None
                self.force = None
                self.operst = None
                self._segment_path = lambda: "FeatureSet-list" + "[name='" + str(self.name) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fset-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FsetItems.FeatureSetList, ['name', 'adminst', 'force', 'operst'], name, value)




    class InstallItems(Entity):
        """
        
        
        .. attribute:: imgpath
        
        	Full image path for target installation image
        	**type**\: str
        
        .. attribute:: imgname
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: operation_
        
        	Select install or impact operation or abort current installation
        	**type**\:  :py:class:`InstallerInstOper <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstOper>`
        
        .. attribute:: installtype
        
        	Perform non\-disruptive installation
        	**type**\:  :py:class:`InstallerInstType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstType>`
        
        .. attribute:: biosforce
        
        	Forcefully upgrade the BIOS version
        	**type**\:  :py:class:`InstallerInstEnum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstEnum>`
        
        .. attribute:: stage
        
        	Stage of installation operation
        	**type**\:  :py:class:`InstallerStage <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerStage>`
        
        	**config**\: False
        
        .. attribute:: upgerr
        
        	Install upgrade error value
        	**type**\:  :py:class:`InstallerInstErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstErr>`
        
        	**config**\: False
        
        .. attribute:: upgerrstr
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: mod_items
        
        	
        	**type**\:  :py:class:`ModItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstallItems.ModItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.InstallItems, self).__init__()

            self.yang_name = "install-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("mod-items", ("mod_items", System.InstallItems.ModItems))])
            self._leafs = OrderedDict([
                ('imgpath', (YLeaf(YType.str, 'imgPath'), ['str'])),
                ('imgname', (YLeaf(YType.str, 'imgName'), ['str'])),
                ('operation_', (YLeaf(YType.enumeration, 'operation'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstOper', '')])),
                ('installtype', (YLeaf(YType.enumeration, 'installType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstType', '')])),
                ('biosforce', (YLeaf(YType.enumeration, 'biosForce'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstEnum', '')])),
                ('stage', (YLeaf(YType.enumeration, 'stage'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerStage', '')])),
                ('upgerr', (YLeaf(YType.enumeration, 'upgErr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstErr', '')])),
                ('upgerrstr', (YLeaf(YType.str, 'upgErrStr'), ['str'])),
            ])
            self.imgpath = None
            self.imgname = None
            self.operation_ = None
            self.installtype = None
            self.biosforce = None
            self.stage = None
            self.upgerr = None
            self.upgerrstr = None

            self.mod_items = System.InstallItems.ModItems()
            self.mod_items.parent = self
            self._children_name_map["mod_items"] = "mod-items"
            self._segment_path = lambda: "install-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.InstallItems, ['imgpath', 'imgname', 'operation_', 'installtype', 'biosforce', 'stage', 'upgerr', 'upgerrstr'], name, value)


        class ModItems(Entity):
            """
            
            
            .. attribute:: installupgtable_list
            
            	
            	**type**\: list of  		 :py:class:`InstallUpgTableList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstallItems.ModItems.InstallUpgTableList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.InstallItems.ModItems, self).__init__()

                self.yang_name = "mod-items"
                self.yang_parent_name = "install-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("InstallUpgTable-list", ("installupgtable_list", System.InstallItems.ModItems.InstallUpgTableList))])
                self._leafs = OrderedDict()

                self.installupgtable_list = YList(self)
                self._segment_path = lambda: "mod-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/install-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.InstallItems.ModItems, [], name, value)


            class InstallUpgTableList(Entity):
                """
                
                
                .. attribute:: module  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: modtype_items
                
                	
                	**type**\:  :py:class:`ModtypeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstallItems.ModItems.InstallUpgTableList, self).__init__()

                    self.yang_name = "InstallUpgTable-list"
                    self.yang_parent_name = "mod-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['module']
                    self._child_classes = OrderedDict([("modtype-items", ("modtype_items", System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems))])
                    self._leafs = OrderedDict([
                        ('module', (YLeaf(YType.uint32, 'module'), ['int'])),
                    ])
                    self.module = None

                    self.modtype_items = System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems()
                    self.modtype_items.parent = self
                    self._children_name_map["modtype_items"] = "modtype-items"
                    self._segment_path = lambda: "InstallUpgTable-list" + "[module='" + str(self.module) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/install-items/mod-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstallItems.ModItems.InstallUpgTableList, ['module'], name, value)


                class ModtypeItems(Entity):
                    """
                    
                    
                    .. attribute:: modupgtable_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ModUpgTableList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems.ModUpgTableList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems, self).__init__()

                        self.yang_name = "modtype-items"
                        self.yang_parent_name = "InstallUpgTable-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ModUpgTable-list", ("modupgtable_list", System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems.ModUpgTableList))])
                        self._leafs = OrderedDict()

                        self.modupgtable_list = YList(self)
                        self._segment_path = lambda: "modtype-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems, [], name, value)


                    class ModUpgTableList(Entity):
                        """
                        
                        
                        .. attribute:: modtype  (key)
                        
                        	Module type
                        	**type**\:  :py:class:`InstallerInstModType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstModType>`
                        
                        	**config**\: False
                        
                        .. attribute:: module
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: runver
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: targetver
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upgreq
                        
                        	Upgrade required result
                        	**type**\:  :py:class:`InstallerInstEnum <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerInstEnum>`
                        
                        	**config**\: False
                        
                        .. attribute:: upgstatus
                        
                        	Upgrade status of each module
                        	**type**\:  :py:class:`InstallerUpgStatusType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallerUpgStatusType>`
                        
                        	**config**\: False
                        
                        .. attribute:: failstr
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems.ModUpgTableList, self).__init__()

                            self.yang_name = "ModUpgTable-list"
                            self.yang_parent_name = "modtype-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['modtype']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('modtype', (YLeaf(YType.enumeration, 'modType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstModType', '')])),
                                ('module', (YLeaf(YType.uint32, 'module'), ['int'])),
                                ('runver', (YLeaf(YType.str, 'runVer'), ['str'])),
                                ('targetver', (YLeaf(YType.str, 'targetVer'), ['str'])),
                                ('upgreq', (YLeaf(YType.enumeration, 'upgReq'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerInstEnum', '')])),
                                ('upgstatus', (YLeaf(YType.enumeration, 'upgStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'InstallerUpgStatusType', '')])),
                                ('failstr', (YLeaf(YType.str, 'failStr'), ['str'])),
                            ])
                            self.modtype = None
                            self.module = None
                            self.runver = None
                            self.targetver = None
                            self.upgreq = None
                            self.upgstatus = None
                            self.failstr = None
                            self._segment_path = lambda: "ModUpgTable-list" + "[modType='" + str(self.modtype) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstallItems.ModItems.InstallUpgTableList.ModtypeItems.ModUpgTableList, ['modtype', 'module', 'runver', 'targetver', 'upgreq', 'upgstatus', 'failstr'], name, value)







    class IntfItems(Entity):
        """
        
        
        .. attribute:: descr
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: phys_items
        
        	
        	**type**\:  :py:class:`PhysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems>`
        
        .. attribute:: aggr_items
        
        	
        	**type**\:  :py:class:`AggrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems>`
        
        .. attribute:: rtd_items
        
        	
        	**type**\:  :py:class:`RtdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems>`
        
        .. attribute:: lb_items
        
        	
        	**type**\:  :py:class:`LbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems>`
        
        .. attribute:: encrtd_items
        
        	
        	**type**\:  :py:class:`EncrtdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems>`
        
        .. attribute:: svi_items
        
        	
        	**type**\:  :py:class:`SviItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems>`
        
        .. attribute:: tunnelif_items
        
        	
        	**type**\:  :py:class:`TunnelifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IntfItems, self).__init__()

            self.yang_name = "intf-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("phys-items", ("phys_items", System.IntfItems.PhysItems)), ("aggr-items", ("aggr_items", System.IntfItems.AggrItems)), ("rtd-items", ("rtd_items", System.IntfItems.RtdItems)), ("lb-items", ("lb_items", System.IntfItems.LbItems)), ("encrtd-items", ("encrtd_items", System.IntfItems.EncrtdItems)), ("svi-items", ("svi_items", System.IntfItems.SviItems)), ("tunnelif-items", ("tunnelif_items", System.IntfItems.TunnelifItems))])
            self._leafs = OrderedDict([
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
            ])
            self.descr = None

            self.phys_items = System.IntfItems.PhysItems()
            self.phys_items.parent = self
            self._children_name_map["phys_items"] = "phys-items"

            self.aggr_items = System.IntfItems.AggrItems()
            self.aggr_items.parent = self
            self._children_name_map["aggr_items"] = "aggr-items"

            self.rtd_items = System.IntfItems.RtdItems()
            self.rtd_items.parent = self
            self._children_name_map["rtd_items"] = "rtd-items"

            self.lb_items = System.IntfItems.LbItems()
            self.lb_items.parent = self
            self._children_name_map["lb_items"] = "lb-items"

            self.encrtd_items = System.IntfItems.EncrtdItems()
            self.encrtd_items.parent = self
            self._children_name_map["encrtd_items"] = "encrtd-items"

            self.svi_items = System.IntfItems.SviItems()
            self.svi_items.parent = self
            self._children_name_map["svi_items"] = "svi-items"

            self.tunnelif_items = System.IntfItems.TunnelifItems()
            self.tunnelif_items.parent = self
            self._children_name_map["tunnelif_items"] = "tunnelif-items"
            self._segment_path = lambda: "intf-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IntfItems, ['descr'], name, value)


        class PhysItems(Entity):
            """
            
            
            .. attribute:: physif_list
            
            	
            	**type**\: list of  		 :py:class:`PhysIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.PhysItems, self).__init__()

                self.yang_name = "phys-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PhysIf-list", ("physif_list", System.IntfItems.PhysItems.PhysIfList))])
                self._leafs = OrderedDict()

                self.physif_list = YList(self)
                self._segment_path = lambda: "phys-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.PhysItems, [], name, value)


            class PhysIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: linktransmitreset
                
                	Link Transmit Reset
                	**type**\:  :py:class:`L1LinkTransmitReset <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkTransmitReset>`
                
                .. attribute:: linkdebouncelinkup
                
                	Link Debounce Interval \- LinkUp Event
                	**type**\: int
                
                	**range:** 0..10000
                
                .. attribute:: packettimestampstate
                
                	 packet timestamp feature state
                	**type**\:  :py:class:`L1PacketTimestampState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PacketTimestampState>`
                
                .. attribute:: packettimestampingresssourceid
                
                	 Ingress timestamp Source Id
                	**type**\: int
                
                	**range:** 0..8388606
                
                .. attribute:: packettimestampegresssourceid
                
                	 Egress timestamp Source Id
                	**type**\: int
                
                	**range:** 0..8388606
                
                .. attribute:: speedgroup
                
                	Speed Group
                	**type**\:  :py:class:`L1SpeedGroup <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SpeedGroup>`
                
                .. attribute:: beacon
                
                	Beacon State
                	**type**\:  :py:class:`L1Beacon <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Beacon>`
                
                .. attribute:: voicevlanid
                
                	Voice VLAN ID
                	**type**\: int
                
                	**range:** 0..4092
                
                .. attribute:: voicevlantype
                
                	Voice vlan type
                	**type**\:  :py:class:`L1VoiceVlanType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1VoiceVlanType>`
                
                .. attribute:: voiceportcos
                
                	Voice Port Cos
                	**type**\: int
                
                	**range:** \-1..7
                
                .. attribute:: voiceporttrust
                
                	Voice Port Trust
                	**type**\: int
                
                	**range:** \-128..127
                
                .. attribute:: fecmode
                
                	FEC Mode
                	**type**\:  :py:class:`L1FECMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1FECMode>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	descr
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: switchingst
                
                	Switching State
                	**type**\:  :py:class:`L1SwitchingSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SwitchingSt>`
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Administrative Port State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: speed
                
                	Administrative Port Speed
                	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
                
                .. attribute:: duplex
                
                	Duplex
                	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
                
                .. attribute:: autoneg
                
                	Administrative Port Auto\-Negotiation
                	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
                
                .. attribute:: mtu
                
                	Administrative port MTU
                	**type**\: int
                
                	**range:** 576..9216
                
                .. attribute:: snmptrapst
                
                	Administrative Port Snmp Trap State
                	**type**\:  :py:class:`L1SnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SnmpTrapSt>`
                
                .. attribute:: mode
                
                	Administrative port mode
                	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
                
                .. attribute:: layer
                
                	Administrative port layer
                	**type**\:  :py:class:`L1Layer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Layer>`
                
                .. attribute:: mdix
                
                	Administrative Medium\-dependant interface crossover(Mdix) mode
                	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
                
                .. attribute:: delay
                
                	Administrative port delay time
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: linkdebounce
                
                	Administrative port link debounce interval
                	**type**\: int
                
                	**range:** 0..20000
                
                .. attribute:: dot1qethertype
                
                	Administrative port Dot1q ether\-type\: configures TPID value in VLAN tag field for packets received and sent by interface
                	**type**\:  :py:class:`L1Dot1qEtherType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Dot1qEtherType>`
                
                .. attribute:: bw
                
                	Bandwidth parameter for a routed interface, port channel or subinterface
                	**type**\: int
                
                	**range:** 0..3200000000
                
                .. attribute:: medium
                
                	Administrative port medium type
                	**type**\:  :py:class:`L1Medium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Medium>`
                
                .. attribute:: inhbw
                
                	Administrative port inherit bandwidth
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: spanmode
                
                	Administrative port span mode
                	**type**\:  :py:class:`L1SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SpanMode>`
                
                .. attribute:: linklog
                
                	Administrative link logging enable
                	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
                
                .. attribute:: trunklog
                
                	Administrative trunk logging enable
                	**type**\:  :py:class:`L1TrunkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TrunkLog>`
                
                .. attribute:: routermac
                
                	
                	**type**\: str
                
                	**default value**\: 0
                
                .. attribute:: portt
                
                	Type of the port\: Fabric vs Leaf
                	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                
                .. attribute:: usage
                
                	Port Usage Type
                	**type**\: str
                
                .. attribute:: trunkvlans
                
                	Configed Trunk Vlans
                	**type**\: str
                
                .. attribute:: accessvlan
                
                	Configured Access Vlan
                	**type**\: str
                
                .. attribute:: controllerid
                
                	Controller ID
                	**type**\: str
                
                .. attribute:: nativevlan
                
                	Configured Native Vlan
                	**type**\: str
                
                .. attribute:: usercfgdflags
                
                	Port User Config Flags
                	**type**\: str
                
                .. attribute:: nfmphysif_items
                
                	
                	**type**\:  :py:class:`NfmphysifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.NfmphysifItems>`
                
                .. attribute:: priorflowctrl_items
                
                	
                	**type**\:  :py:class:`PriorflowctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PriorflowctrlItems>`
                
                .. attribute:: priorflowctrlwd_items
                
                	
                	**type**\:  :py:class:`PriorflowctrlwdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PriorflowctrlwdItems>`
                
                .. attribute:: physextd_items
                
                	
                	**type**\:  :py:class:`PhysExtdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysExtdItems>`
                
                .. attribute:: eeep_items
                
                	
                	**type**\:  :py:class:`EeepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.EeepItems>`
                
                .. attribute:: stormctrlp_items
                
                	
                	**type**\:  :py:class:`StormctrlpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.StormctrlpItems>`
                
                .. attribute:: loadp_items
                
                	
                	**type**\:  :py:class:`LoadpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.LoadpItems>`
                
                .. attribute:: vlanmapping_items
                
                	
                	**type**\:  :py:class:`VlanmappingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.VlanmappingItems>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.VrfItems>`
                
                .. attribute:: phys_items
                
                	
                	**type**\:  :py:class:`PhysItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_>`
                
                .. attribute:: hwifdetails_items
                
                	
                	**type**\:  :py:class:`HwifdetailsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.HwifdetailsItems>`
                
                .. attribute:: aggrmbrif_items
                
                	
                	**type**\:  :py:class:`AggrmbrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.AggrmbrifItems>`
                
                .. attribute:: multisiteiftracking_items
                
                	
                	**type**\:  :py:class:`MultisiteiftrackingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.MultisiteiftrackingItems>`
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems>`
                
                .. attribute:: rtinbandconf_items
                
                	
                	**type**\:  :py:class:`RtInbandConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtInbandConfItems>`
                
                .. attribute:: rtextconf_items
                
                	
                	**type**\:  :py:class:`RtextConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtextConfItems>`
                
                .. attribute:: rtbrconf_items
                
                	
                	**type**\:  :py:class:`RtbrConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtbrConfItems>`
                
                .. attribute:: rtfvnodeportatt_items
                
                	
                	**type**\:  :py:class:`RtfvNodePortAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems>`
                
                .. attribute:: rtmbrifs_items
                
                	
                	**type**\:  :py:class:`RtmbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtmbrIfsItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtvrfMbrItems>`
                
                .. attribute:: rtphysrtdconf_items
                
                	
                	**type**\:  :py:class:`RtphysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtphysRtdConfItems>`
                
                .. attribute:: rtl3encphysrtdconf_items
                
                	
                	**type**\:  :py:class:`Rtl3EncPhysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems>`
                
                .. attribute:: rttunneltunnelmbrifs_items
                
                	
                	**type**\:  :py:class:`RttunnelTunnelMbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems>`
                
                .. attribute:: rtlsnodetoif_items
                
                	
                	**type**\:  :py:class:`RtLsNodeToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtLsNodeToIfItems>`
                
                .. attribute:: dbgifin_items
                
                	
                	**type**\:  :py:class:`DbgIfInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIfInItems>`
                
                .. attribute:: dbgifout_items
                
                	
                	**type**\:  :py:class:`DbgIfOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIfOutItems>`
                
                .. attribute:: dbgipin_items
                
                	
                	**type**\:  :py:class:`DbgIpInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIpInItems>`
                
                .. attribute:: dbgdot1d_items
                
                	
                	**type**\:  :py:class:`DbgDot1dItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgDot1dItems>`
                
                .. attribute:: dbgetherstats_items
                
                	
                	**type**\:  :py:class:`DbgEtherStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgEtherStatsItems>`
                
                .. attribute:: dbgdot3stats_items
                
                	
                	**type**\:  :py:class:`DbgDot3StatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgDot3StatsItems>`
                
                .. attribute:: dbgifhcin_items
                
                	
                	**type**\:  :py:class:`DbgIfHCInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIfHCInItems>`
                
                .. attribute:: dbgifhcout_items
                
                	
                	**type**\:  :py:class:`DbgIfHCOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIfHCOutItems>`
                
                .. attribute:: dbgipv6ifstats_items
                
                	
                	**type**\:  :py:class:`DbgIpv6IfStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIpv6IfStatsItems>`
                
                .. attribute:: dbgifstorm_items
                
                	
                	**type**\:  :py:class:`DbgIfStormItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DbgIfStormItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.PhysItems.PhysIfList, self).__init__()

                    self.yang_name = "PhysIf-list"
                    self.yang_parent_name = "phys-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("nfmphysif-items", ("nfmphysif_items", System.IntfItems.PhysItems.PhysIfList.NfmphysifItems)), ("priorflowctrl-items", ("priorflowctrl_items", System.IntfItems.PhysItems.PhysIfList.PriorflowctrlItems)), ("priorflowctrlwd-items", ("priorflowctrlwd_items", System.IntfItems.PhysItems.PhysIfList.PriorflowctrlwdItems)), ("physExtd-items", ("physextd_items", System.IntfItems.PhysItems.PhysIfList.PhysExtdItems)), ("eeep-items", ("eeep_items", System.IntfItems.PhysItems.PhysIfList.EeepItems)), ("stormctrlp-items", ("stormctrlp_items", System.IntfItems.PhysItems.PhysIfList.StormctrlpItems)), ("loadp-items", ("loadp_items", System.IntfItems.PhysItems.PhysIfList.LoadpItems)), ("vlanmapping-items", ("vlanmapping_items", System.IntfItems.PhysItems.PhysIfList.VlanmappingItems)), ("vrf-items", ("vrf_items", System.IntfItems.PhysItems.PhysIfList.VrfItems)), ("phys-items", ("phys_items", System.IntfItems.PhysItems.PhysIfList.PhysItems_)), ("hwifdetails-items", ("hwifdetails_items", System.IntfItems.PhysItems.PhysIfList.HwifdetailsItems)), ("aggrmbrif-items", ("aggrmbrif_items", System.IntfItems.PhysItems.PhysIfList.AggrmbrifItems)), ("multisiteiftracking-items", ("multisiteiftracking_items", System.IntfItems.PhysItems.PhysIfList.MultisiteiftrackingItems)), ("dom-items", ("dom_items", System.IntfItems.PhysItems.PhysIfList.DomItems)), ("rtInbandConf-items", ("rtinbandconf_items", System.IntfItems.PhysItems.PhysIfList.RtInbandConfItems)), ("rtextConf-items", ("rtextconf_items", System.IntfItems.PhysItems.PhysIfList.RtextConfItems)), ("rtbrConf-items", ("rtbrconf_items", System.IntfItems.PhysItems.PhysIfList.RtbrConfItems)), ("rtfvNodePortAtt-items", ("rtfvnodeportatt_items", System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems)), ("rtmbrIfs-items", ("rtmbrifs_items", System.IntfItems.PhysItems.PhysIfList.RtmbrIfsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.PhysItems.PhysIfList.RtvrfMbrItems)), ("rtphysRtdConf-items", ("rtphysrtdconf_items", System.IntfItems.PhysItems.PhysIfList.RtphysRtdConfItems)), ("rtl3EncPhysRtdConf-items", ("rtl3encphysrtdconf_items", System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems)), ("rttunnelTunnelMbrIfs-items", ("rttunneltunnelmbrifs_items", System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems)), ("rtLsNodeToIf-items", ("rtlsnodetoif_items", System.IntfItems.PhysItems.PhysIfList.RtLsNodeToIfItems)), ("dbgIfIn-items", ("dbgifin_items", System.IntfItems.PhysItems.PhysIfList.DbgIfInItems)), ("dbgIfOut-items", ("dbgifout_items", System.IntfItems.PhysItems.PhysIfList.DbgIfOutItems)), ("dbgIpIn-items", ("dbgipin_items", System.IntfItems.PhysItems.PhysIfList.DbgIpInItems)), ("dbgDot1d-items", ("dbgdot1d_items", System.IntfItems.PhysItems.PhysIfList.DbgDot1dItems)), ("dbgEtherStats-items", ("dbgetherstats_items", System.IntfItems.PhysItems.PhysIfList.DbgEtherStatsItems)), ("dbgDot3Stats-items", ("dbgdot3stats_items", System.IntfItems.PhysItems.PhysIfList.DbgDot3StatsItems)), ("dbgIfHCIn-items", ("dbgifhcin_items", System.IntfItems.PhysItems.PhysIfList.DbgIfHCInItems)), ("dbgIfHCOut-items", ("dbgifhcout_items", System.IntfItems.PhysItems.PhysIfList.DbgIfHCOutItems)), ("dbgIpv6IfStats-items", ("dbgipv6ifstats_items", System.IntfItems.PhysItems.PhysIfList.DbgIpv6IfStatsItems)), ("dbgIfStorm-items", ("dbgifstorm_items", System.IntfItems.PhysItems.PhysIfList.DbgIfStormItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('linktransmitreset', (YLeaf(YType.enumeration, 'linkTransmitReset'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkTransmitReset', '')])),
                        ('linkdebouncelinkup', (YLeaf(YType.uint16, 'linkDebounceLinkUp'), ['int'])),
                        ('packettimestampstate', (YLeaf(YType.enumeration, 'packetTimestampState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PacketTimestampState', '')])),
                        ('packettimestampingresssourceid', (YLeaf(YType.uint32, 'packetTimestampIngressSourceId'), ['int'])),
                        ('packettimestampegresssourceid', (YLeaf(YType.uint32, 'packetTimestampEgressSourceId'), ['int'])),
                        ('speedgroup', (YLeaf(YType.enumeration, 'speedGroup'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SpeedGroup', '')])),
                        ('beacon', (YLeaf(YType.enumeration, 'beacon'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Beacon', '')])),
                        ('voicevlanid', (YLeaf(YType.uint16, 'voiceVlanId'), ['int'])),
                        ('voicevlantype', (YLeaf(YType.enumeration, 'voiceVlanType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1VoiceVlanType', '')])),
                        ('voiceportcos', (YLeaf(YType.int8, 'voicePortCos'), ['int'])),
                        ('voiceporttrust', (YLeaf(YType.int8, 'voicePortTrust'), ['int'])),
                        ('fecmode', (YLeaf(YType.enumeration, 'FECMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1FECMode', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('switchingst', (YLeaf(YType.enumeration, 'switchingSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SwitchingSt', '')])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                        ('speed', (YLeaf(YType.enumeration, 'speed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                        ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                        ('autoneg', (YLeaf(YType.enumeration, 'autoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SnmpTrapSt', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                        ('layer', (YLeaf(YType.enumeration, 'layer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Layer', '')])),
                        ('mdix', (YLeaf(YType.enumeration, 'mdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                        ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                        ('linkdebounce', (YLeaf(YType.uint16, 'linkDebounce'), ['int'])),
                        ('dot1qethertype', (YLeaf(YType.enumeration, 'dot1qEtherType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Dot1qEtherType', '')])),
                        ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                        ('medium', (YLeaf(YType.enumeration, 'medium'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Medium', '')])),
                        ('inhbw', (YLeaf(YType.uint32, 'inhBw'), ['int'])),
                        ('spanmode', (YLeaf(YType.enumeration, 'spanMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SpanMode', '')])),
                        ('linklog', (YLeaf(YType.enumeration, 'linkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                        ('trunklog', (YLeaf(YType.enumeration, 'trunkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TrunkLog', '')])),
                        ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                        ('portt', (YLeaf(YType.enumeration, 'portT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                        ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                        ('trunkvlans', (YLeaf(YType.str, 'trunkVlans'), ['str'])),
                        ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                        ('controllerid', (YLeaf(YType.str, 'controllerId'), ['str'])),
                        ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                        ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                    ])
                    self.id = None
                    self.linktransmitreset = None
                    self.linkdebouncelinkup = None
                    self.packettimestampstate = None
                    self.packettimestampingresssourceid = None
                    self.packettimestampegresssourceid = None
                    self.speedgroup = None
                    self.beacon = None
                    self.voicevlanid = None
                    self.voicevlantype = None
                    self.voiceportcos = None
                    self.voiceporttrust = None
                    self.fecmode = None
                    self.name = None
                    self.descr = None
                    self.switchingst = None
                    self.adminst = None
                    self.speed = None
                    self.duplex = None
                    self.autoneg = None
                    self.mtu = None
                    self.snmptrapst = None
                    self.mode = None
                    self.layer = None
                    self.mdix = None
                    self.delay = None
                    self.linkdebounce = None
                    self.dot1qethertype = None
                    self.bw = None
                    self.medium = None
                    self.inhbw = None
                    self.spanmode = None
                    self.linklog = None
                    self.trunklog = None
                    self.routermac = None
                    self.portt = None
                    self.usage = None
                    self.trunkvlans = None
                    self.accessvlan = None
                    self.controllerid = None
                    self.nativevlan = None
                    self.usercfgdflags = None

                    self.nfmphysif_items = System.IntfItems.PhysItems.PhysIfList.NfmphysifItems()
                    self.nfmphysif_items.parent = self
                    self._children_name_map["nfmphysif_items"] = "nfmphysif-items"

                    self.priorflowctrl_items = System.IntfItems.PhysItems.PhysIfList.PriorflowctrlItems()
                    self.priorflowctrl_items.parent = self
                    self._children_name_map["priorflowctrl_items"] = "priorflowctrl-items"

                    self.priorflowctrlwd_items = System.IntfItems.PhysItems.PhysIfList.PriorflowctrlwdItems()
                    self.priorflowctrlwd_items.parent = self
                    self._children_name_map["priorflowctrlwd_items"] = "priorflowctrlwd-items"

                    self.physextd_items = System.IntfItems.PhysItems.PhysIfList.PhysExtdItems()
                    self.physextd_items.parent = self
                    self._children_name_map["physextd_items"] = "physExtd-items"

                    self.eeep_items = System.IntfItems.PhysItems.PhysIfList.EeepItems()
                    self.eeep_items.parent = self
                    self._children_name_map["eeep_items"] = "eeep-items"

                    self.stormctrlp_items = System.IntfItems.PhysItems.PhysIfList.StormctrlpItems()
                    self.stormctrlp_items.parent = self
                    self._children_name_map["stormctrlp_items"] = "stormctrlp-items"

                    self.loadp_items = System.IntfItems.PhysItems.PhysIfList.LoadpItems()
                    self.loadp_items.parent = self
                    self._children_name_map["loadp_items"] = "loadp-items"

                    self.vlanmapping_items = System.IntfItems.PhysItems.PhysIfList.VlanmappingItems()
                    self.vlanmapping_items.parent = self
                    self._children_name_map["vlanmapping_items"] = "vlanmapping-items"

                    self.vrf_items = System.IntfItems.PhysItems.PhysIfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.phys_items = System.IntfItems.PhysItems.PhysIfList.PhysItems_()
                    self.phys_items.parent = self
                    self._children_name_map["phys_items"] = "phys-items"

                    self.hwifdetails_items = System.IntfItems.PhysItems.PhysIfList.HwifdetailsItems()
                    self.hwifdetails_items.parent = self
                    self._children_name_map["hwifdetails_items"] = "hwifdetails-items"

                    self.aggrmbrif_items = System.IntfItems.PhysItems.PhysIfList.AggrmbrifItems()
                    self.aggrmbrif_items.parent = self
                    self._children_name_map["aggrmbrif_items"] = "aggrmbrif-items"

                    self.multisiteiftracking_items = System.IntfItems.PhysItems.PhysIfList.MultisiteiftrackingItems()
                    self.multisiteiftracking_items.parent = self
                    self._children_name_map["multisiteiftracking_items"] = "multisiteiftracking-items"

                    self.dom_items = System.IntfItems.PhysItems.PhysIfList.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"

                    self.rtinbandconf_items = System.IntfItems.PhysItems.PhysIfList.RtInbandConfItems()
                    self.rtinbandconf_items.parent = self
                    self._children_name_map["rtinbandconf_items"] = "rtInbandConf-items"

                    self.rtextconf_items = System.IntfItems.PhysItems.PhysIfList.RtextConfItems()
                    self.rtextconf_items.parent = self
                    self._children_name_map["rtextconf_items"] = "rtextConf-items"

                    self.rtbrconf_items = System.IntfItems.PhysItems.PhysIfList.RtbrConfItems()
                    self.rtbrconf_items.parent = self
                    self._children_name_map["rtbrconf_items"] = "rtbrConf-items"

                    self.rtfvnodeportatt_items = System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems()
                    self.rtfvnodeportatt_items.parent = self
                    self._children_name_map["rtfvnodeportatt_items"] = "rtfvNodePortAtt-items"

                    self.rtmbrifs_items = System.IntfItems.PhysItems.PhysIfList.RtmbrIfsItems()
                    self.rtmbrifs_items.parent = self
                    self._children_name_map["rtmbrifs_items"] = "rtmbrIfs-items"

                    self.rtvrfmbr_items = System.IntfItems.PhysItems.PhysIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtphysrtdconf_items = System.IntfItems.PhysItems.PhysIfList.RtphysRtdConfItems()
                    self.rtphysrtdconf_items.parent = self
                    self._children_name_map["rtphysrtdconf_items"] = "rtphysRtdConf-items"

                    self.rtl3encphysrtdconf_items = System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems()
                    self.rtl3encphysrtdconf_items.parent = self
                    self._children_name_map["rtl3encphysrtdconf_items"] = "rtl3EncPhysRtdConf-items"

                    self.rtnwpathtoif_items = System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                    self.rttunneltunnelmbrifs_items = System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems()
                    self.rttunneltunnelmbrifs_items.parent = self
                    self._children_name_map["rttunneltunnelmbrifs_items"] = "rttunnelTunnelMbrIfs-items"

                    self.rtlsnodetoif_items = System.IntfItems.PhysItems.PhysIfList.RtLsNodeToIfItems()
                    self.rtlsnodetoif_items.parent = self
                    self._children_name_map["rtlsnodetoif_items"] = "rtLsNodeToIf-items"

                    self.dbgifin_items = System.IntfItems.PhysItems.PhysIfList.DbgIfInItems()
                    self.dbgifin_items.parent = self
                    self._children_name_map["dbgifin_items"] = "dbgIfIn-items"

                    self.dbgifout_items = System.IntfItems.PhysItems.PhysIfList.DbgIfOutItems()
                    self.dbgifout_items.parent = self
                    self._children_name_map["dbgifout_items"] = "dbgIfOut-items"

                    self.dbgipin_items = System.IntfItems.PhysItems.PhysIfList.DbgIpInItems()
                    self.dbgipin_items.parent = self
                    self._children_name_map["dbgipin_items"] = "dbgIpIn-items"

                    self.dbgdot1d_items = System.IntfItems.PhysItems.PhysIfList.DbgDot1dItems()
                    self.dbgdot1d_items.parent = self
                    self._children_name_map["dbgdot1d_items"] = "dbgDot1d-items"

                    self.dbgetherstats_items = System.IntfItems.PhysItems.PhysIfList.DbgEtherStatsItems()
                    self.dbgetherstats_items.parent = self
                    self._children_name_map["dbgetherstats_items"] = "dbgEtherStats-items"

                    self.dbgdot3stats_items = System.IntfItems.PhysItems.PhysIfList.DbgDot3StatsItems()
                    self.dbgdot3stats_items.parent = self
                    self._children_name_map["dbgdot3stats_items"] = "dbgDot3Stats-items"

                    self.dbgifhcin_items = System.IntfItems.PhysItems.PhysIfList.DbgIfHCInItems()
                    self.dbgifhcin_items.parent = self
                    self._children_name_map["dbgifhcin_items"] = "dbgIfHCIn-items"

                    self.dbgifhcout_items = System.IntfItems.PhysItems.PhysIfList.DbgIfHCOutItems()
                    self.dbgifhcout_items.parent = self
                    self._children_name_map["dbgifhcout_items"] = "dbgIfHCOut-items"

                    self.dbgipv6ifstats_items = System.IntfItems.PhysItems.PhysIfList.DbgIpv6IfStatsItems()
                    self.dbgipv6ifstats_items.parent = self
                    self._children_name_map["dbgipv6ifstats_items"] = "dbgIpv6IfStats-items"

                    self.dbgifstorm_items = System.IntfItems.PhysItems.PhysIfList.DbgIfStormItems()
                    self.dbgifstorm_items.parent = self
                    self._children_name_map["dbgifstorm_items"] = "dbgIfStorm-items"
                    self._segment_path = lambda: "PhysIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/phys-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.PhysItems.PhysIfList, ['id', 'linktransmitreset', 'linkdebouncelinkup', 'packettimestampstate', 'packettimestampingresssourceid', 'packettimestampegresssourceid', 'speedgroup', 'beacon', 'voicevlanid', 'voicevlantype', 'voiceportcos', 'voiceporttrust', 'fecmode', 'name', 'descr', 'switchingst', 'adminst', 'speed', 'duplex', 'autoneg', 'mtu', 'snmptrapst', 'mode', 'layer', 'mdix', 'delay', 'linkdebounce', 'dot1qethertype', 'bw', 'medium', 'inhbw', 'spanmode', 'linklog', 'trunklog', 'routermac', 'portt', 'usage', 'trunkvlans', 'accessvlan', 'controllerid', 'nativevlan', 'usercfgdflags'], name, value)


                class NfmphysifItems(Entity):
                    """
                    
                    
                    .. attribute:: slicesrcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: slotnum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: asicnum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: slicenum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.NfmphysifItems, self).__init__()

                        self.yang_name = "nfmphysif-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('slicesrcid', (YLeaf(YType.uint32, 'sliceSrcId'), ['int'])),
                            ('slotnum', (YLeaf(YType.uint32, 'slotNum'), ['int'])),
                            ('asicnum', (YLeaf(YType.uint32, 'asicNum'), ['int'])),
                            ('slicenum', (YLeaf(YType.uint32, 'sliceNum'), ['int'])),
                        ])
                        self.slicesrcid = None
                        self.slotnum = None
                        self.asicnum = None
                        self.slicenum = None
                        self._segment_path = lambda: "nfmphysif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.NfmphysifItems, ['slicesrcid', 'slotnum', 'asicnum', 'slicenum'], name, value)



                class PriorflowctrlItems(Entity):
                    """
                    
                    
                    .. attribute:: mode
                    
                    	priority\-flow\-control mode on/off/auto
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.PriorflowctrlItems, self).__init__()

                        self.yang_name = "priorflowctrl-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mode', (YLeaf(YType.uint8, 'mode'), ['int'])),
                        ])
                        self.mode = None
                        self._segment_path = lambda: "priorflowctrl-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PriorflowctrlItems, ['mode'], name, value)



                class PriorflowctrlwdItems(Entity):
                    """
                    
                    
                    .. attribute:: watchdoginterval
                    
                    	watch dog internal on/off
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: disableaction
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: interfacemutiplier
                    
                    	shutdown mutlipler value
                    	**type**\: int
                    
                    	**range:** 1..11
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.PriorflowctrlwdItems, self).__init__()

                        self.yang_name = "priorflowctrlwd-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('watchdoginterval', (YLeaf(YType.uint8, 'watchDogInterval'), ['int'])),
                            ('disableaction', (YLeaf(YType.boolean, 'disableAction'), ['bool'])),
                            ('interfacemutiplier', (YLeaf(YType.uint8, 'interfaceMutiplier'), ['int'])),
                        ])
                        self.watchdoginterval = None
                        self.disableaction = None
                        self.interfacemutiplier = None
                        self._segment_path = lambda: "priorflowctrlwd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PriorflowctrlwdItems, ['watchdoginterval', 'disableaction', 'interfacemutiplier'], name, value)



                class PhysExtdItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: id
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: porttypefabric
                    
                    	Identifies if or not the port is a fabric\-facing port
                    	**type**\:  :py:class:`L1PortTypeFabric <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PortTypeFabric>`
                    
                    .. attribute:: routermacipv6extract
                    
                    	Disable/enable switchport ipv6 extract
                    	**type**\:  :py:class:`L1RouterMacIpv6Extract <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1RouterMacIpv6Extract>`
                    
                    .. attribute:: switchportblock
                    
                    	Disable/enable switchport block on interface
                    	**type**\: str
                    
                    .. attribute:: switchportmaclearn
                    
                    	Disable/enable mac learning on interface
                    	**type**\:  :py:class:`L1SwitchportMacLearn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SwitchportMacLearn>`
                    
                    .. attribute:: flowctrl
                    
                    	Disable/enable flowcontrol block on interface
                    	**type**\: str
                    
                    .. attribute:: stormctrlbcastlevel
                    
                    	storm\-control broadcast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlbcastpps
                    
                    	storm\-control broadcast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlmcastlevel
                    
                    	storm\-control multicast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlmcastpps
                    
                    	storm\-control multicast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlucastlevel
                    
                    	Storm control unicast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlucastpps
                    
                    	Storm control unicast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlact
                    
                    	Storm control action
                    	**type**\: str
                    
                    .. attribute:: bufferboost
                    
                    	Disable/enable buffer boost on interface
                    	**type**\:  :py:class:`L1BufferBoost <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1BufferBoost>`
                    
                    .. attribute:: switchportvirtualethernetbridge
                    
                    	Disable/enable switchport virtual ethernet bridge on interface
                    	**type**\:  :py:class:`L1SwitchportVirtualEthernetBridge <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SwitchportVirtualEthernetBridge>`
                    
                    .. attribute:: allowmultitag
                    
                    	Allow Multitag
                    	**type**\:  :py:class:`L1AllowMultiTag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AllowMultiTag>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems, self).__init__()

                        self.yang_name = "physExtd-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('porttypefabric', (YLeaf(YType.enumeration, 'portTypeFabric'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PortTypeFabric', '')])),
                            ('routermacipv6extract', (YLeaf(YType.enumeration, 'routerMacIpv6Extract'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1RouterMacIpv6Extract', '')])),
                            ('switchportblock', (YLeaf(YType.str, 'switchportBlock'), ['str'])),
                            ('switchportmaclearn', (YLeaf(YType.enumeration, 'switchportMacLearn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SwitchportMacLearn', '')])),
                            ('flowctrl', (YLeaf(YType.str, 'flowCtrl'), ['str'])),
                            ('stormctrlbcastlevel', (YLeaf(YType.str, 'stormCtrlBCastLevel'), ['Decimal64'])),
                            ('stormctrlbcastpps', (YLeaf(YType.uint32, 'stormCtrlBCastPPS'), ['int'])),
                            ('stormctrlmcastlevel', (YLeaf(YType.str, 'stormCtrlMCastLevel'), ['Decimal64'])),
                            ('stormctrlmcastpps', (YLeaf(YType.uint32, 'stormCtrlMCastPPS'), ['int'])),
                            ('stormctrlucastlevel', (YLeaf(YType.str, 'stormCtrlUCastLevel'), ['Decimal64'])),
                            ('stormctrlucastpps', (YLeaf(YType.uint32, 'stormCtrlUCastPPS'), ['int'])),
                            ('stormctrlact', (YLeaf(YType.str, 'stormCtrlAct'), ['str'])),
                            ('bufferboost', (YLeaf(YType.enumeration, 'bufferBoost'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1BufferBoost', '')])),
                            ('switchportvirtualethernetbridge', (YLeaf(YType.enumeration, 'switchportVirtualEthernetBridge'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SwitchportVirtualEthernetBridge', '')])),
                            ('allowmultitag', (YLeaf(YType.enumeration, 'allowMultiTag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AllowMultiTag', '')])),
                        ])
                        self.name = None
                        self.descr = None
                        self.id = None
                        self.porttypefabric = None
                        self.routermacipv6extract = None
                        self.switchportblock = None
                        self.switchportmaclearn = None
                        self.flowctrl = None
                        self.stormctrlbcastlevel = None
                        self.stormctrlbcastpps = None
                        self.stormctrlmcastlevel = None
                        self.stormctrlmcastpps = None
                        self.stormctrlucastlevel = None
                        self.stormctrlucastpps = None
                        self.stormctrlact = None
                        self.bufferboost = None
                        self.switchportvirtualethernetbridge = None
                        self.allowmultitag = None

                        self.rtvrfmbr_items = System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "physExtd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems, ['name', 'descr', 'id', 'porttypefabric', 'routermacipv6extract', 'switchportblock', 'switchportmaclearn', 'flowctrl', 'stormctrlbcastlevel', 'stormctrlbcastpps', 'stormctrlmcastlevel', 'stormctrlmcastpps', 'stormctrlucastlevel', 'stormctrlucastpps', 'stormctrlact', 'bufferboost', 'switchportvirtualethernetbridge', 'allowmultitag'], name, value)


                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "physExtd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "physExtd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysExtdItems.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)





                class EeepItems(Entity):
                    """
                    
                    
                    .. attribute:: eeestate
                    
                    	Administrative state for port energy efficient ethernet (EEE) on the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEEState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEEState>`
                    
                    .. attribute:: eeelpi
                    
                    	Administrative port EEE LPI threshold of the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEELpi <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEELpi>`
                    
                    .. attribute:: eeelat
                    
                    	Administrative port EEE latency of the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEELatency <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEELatency>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.EeepItems, self).__init__()

                        self.yang_name = "eeep-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('eeestate', (YLeaf(YType.enumeration, 'eeeState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEEState', '')])),
                            ('eeelpi', (YLeaf(YType.enumeration, 'eeeLpi'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEELpi', '')])),
                            ('eeelat', (YLeaf(YType.enumeration, 'eeeLat'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEELatency', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.eeestate = None
                        self.eeelpi = None
                        self.eeelat = None
                        self.name = None
                        self.descr = None
                        self._segment_path = lambda: "eeep-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.EeepItems, ['eeestate', 'eeelpi', 'eeelat', 'name', 'descr'], name, value)



                class StormctrlpItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	Packet Type
                    	**type**\:  :py:class:`L1PktT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PktT>`
                    
                    .. attribute:: rate
                    
                    	Traffic rate
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: burstrate
                    
                    	Max burst size
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: ratepps
                    
                    	Tarffic rate
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: burstpps
                    
                    	Max burst size
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.StormctrlpItems, self).__init__()

                        self.yang_name = "stormctrlp-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PktT', '')])),
                            ('rate', (YLeaf(YType.str, 'rate'), ['Decimal64'])),
                            ('burstrate', (YLeaf(YType.str, 'burstRate'), ['Decimal64'])),
                            ('ratepps', (YLeaf(YType.uint32, 'ratePps'), ['int'])),
                            ('burstpps', (YLeaf(YType.uint32, 'burstPps'), ['int'])),
                        ])
                        self.type = None
                        self.rate = None
                        self.burstrate = None
                        self.ratepps = None
                        self.burstpps = None
                        self._segment_path = lambda: "stormctrlp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.StormctrlpItems, ['type', 'rate', 'burstrate', 'ratepps', 'burstpps'], name, value)



                class LoadpItems(Entity):
                    """
                    
                    
                    .. attribute:: loadintvl1
                    
                    	Port load sampling interval 1 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 5..300
                    
                    .. attribute:: loadintvl2
                    
                    	Port load sampling interval 2 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 5..300
                    
                    .. attribute:: loadintvl3
                    
                    	Port load sampling interval 3 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 0..300
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.LoadpItems, self).__init__()

                        self.yang_name = "loadp-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('loadintvl1', (YLeaf(YType.uint16, 'loadIntvl1'), ['int'])),
                            ('loadintvl2', (YLeaf(YType.uint16, 'loadIntvl2'), ['int'])),
                            ('loadintvl3', (YLeaf(YType.uint16, 'loadIntvl3'), ['int'])),
                        ])
                        self.loadintvl1 = None
                        self.loadintvl2 = None
                        self.loadintvl3 = None
                        self._segment_path = lambda: "loadp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.LoadpItems, ['loadintvl1', 'loadintvl2', 'loadintvl3'], name, value)



                class VlanmappingItems(Entity):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: false
                    
                    .. attribute:: vlantranslatetable_items
                    
                    	
                    	**type**\:  :py:class:`VlantranslatetableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems, self).__init__()

                        self.yang_name = "vlanmapping-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vlantranslatetable-items", ("vlantranslatetable_items", System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems))])
                        self._leafs = OrderedDict([
                            ('enabled', (YLeaf(YType.boolean, 'Enabled'), ['bool'])),
                        ])
                        self.enabled = None

                        self.vlantranslatetable_items = System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems()
                        self.vlantranslatetable_items.parent = self
                        self._children_name_map["vlantranslatetable_items"] = "vlantranslatetable-items"
                        self._segment_path = lambda: "vlanmapping-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems, ['enabled'], name, value)


                    class VlantranslatetableItems(Entity):
                        """
                        
                        
                        .. attribute:: vlan_items
                        
                        	
                        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems, self).__init__()

                            self.yang_name = "vlantranslatetable-items"
                            self.yang_parent_name = "vlanmapping-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems))])
                            self._leafs = OrderedDict()

                            self.vlan_items = System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems()
                            self.vlan_items.parent = self
                            self._children_name_map["vlan_items"] = "vlan-items"
                            self._segment_path = lambda: "vlantranslatetable-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems, [], name, value)


                        class VlanItems(Entity):
                            """
                            
                            
                            .. attribute:: vlantranslateentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VlanTranslateEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems, self).__init__()

                                self.yang_name = "vlan-items"
                                self.yang_parent_name = "vlantranslatetable-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VlanTranslateEntry-list", ("vlantranslateentry_list", System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList))])
                                self._leafs = OrderedDict()

                                self.vlantranslateentry_list = YList(self)
                                self._segment_path = lambda: "vlan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems, [], name, value)


                            class VlanTranslateEntryList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan Id
                                	**type**\: str
                                
                                .. attribute:: innervlanid
                                
                                	Inner Vlan Id
                                	**type**\: str
                                
                                .. attribute:: translatevlanid
                                
                                	Translate Vlan Id
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList, self).__init__()

                                    self.yang_name = "VlanTranslateEntry-list"
                                    self.yang_parent_name = "vlan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.str, 'vlanid'), ['str'])),
                                        ('innervlanid', (YLeaf(YType.str, 'innervlanid'), ['str'])),
                                        ('translatevlanid', (YLeaf(YType.str, 'translatevlanid'), ['str'])),
                                    ])
                                    self.vlanid = None
                                    self.innervlanid = None
                                    self.translatevlanid = None
                                    self._segment_path = lambda: "VlanTranslateEntry-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList, ['vlanid', 'innervlanid', 'translatevlanid'], name, value)






                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.VrfItems, ['name'], name, value)



                class PhysItems_(Entity):
                    """
                    
                    
                    .. attribute:: operlinkdebounce
                    
                    	Link Debounce Interval
                    	**type**\: int
                    
                    	**range:** 0..20000
                    
                    	**config**\: False
                    
                    .. attribute:: sharestate
                    
                    	Interface share state
                    	**type**\:  :py:class:`EthpmShareState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmShareState>`
                    
                    	**config**\: False
                    
                    .. attribute:: operfecmode
                    
                    	Operational FEC Mode
                    	**type**\:  :py:class:`L1FECModePhysIfOperFECMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1FECModePhysIfOperFECMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: cachedusercfgdflags
                    
                    	Cached Port User Config Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: operautoneg
                    
                    	negotiate auto
                    	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermtu
                    
                    	Operational Maximum transmission unit
                    	**type**\: int
                    
                    	**range:** 576..9216
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Administrative State
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operdescr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..254
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Failure Reason
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqualcode
                    
                    	Operational Port Status Syserror Code
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: opererrdisqual
                    
                    	Operational Port Error Disable Reason Code
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: operspeed
                    
                    	Operational Port Speed
                    	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermode
                    
                    	Operational Port Mode
                    	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
                    
                    	**config**\: False
                    
                    .. attribute:: operduplex
                    
                    	Operational Duplex State
                    	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
                    
                    	**config**\: False
                    
                    .. attribute:: operflowctrl
                    
                    	Operational Port Flow Control
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operphyenst
                    
                    	Operational Physical Port Enable State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: backplanemac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operroutermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: txt
                    
                    	Port Transmit Type
                    	**type**\:  :py:class:`L1TxT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TxT>`
                    
                    	**config**\: False
                    
                    .. attribute:: lastlinkstchg
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portcfgwaitflags
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: accessvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: nativevlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: cfgnativevlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: cfgaccessvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: primaryvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operbitset
                    
                    	Port Oper Bitset
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdcid
                    
                    	Vdc Id
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: resetctr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: media
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: allowedvlans
                    
                    	Allowed Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opervlans
                    
                    	Operational Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: errvlans
                    
                    	Errored Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opertrunkstatus
                    
                    	Trunking Status
                    	**type**\:  :py:class:`EthpmTrunkStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmTrunkStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: bundleindex
                    
                    	Interface Bundle Index \- table for a particular output primitive
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opermdix
                    
                    	Port Oper Mdix Mode
                    	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
                    
                    	**config**\: False
                    
                    .. attribute:: currerrindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lasterrors
                    
                    	Last Seen Errors
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: errdistimerrunning
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: bundlebupid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operdcemode
                    
                    	Operational Dce Mode
                    	**type**\:  :py:class:`L1DceMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1DceMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: intft
                    
                    	Interface Type
                    	**type**\:  :py:class:`L1IntfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1IntfT>`
                    
                    	**config**\: False
                    
                    .. attribute:: diags
                    
                    	Port Diags Type
                    	**type**\:  :py:class:`L1DiagsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1DiagsT>`
                    
                    	**config**\: False
                    
                    .. attribute:: opereeestate
                    
                    	Operational Port EEE State
                    	**type**\:  :py:class:`L1EEEState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEEState>`
                    
                    	**config**\: False
                    
                    .. attribute:: opereeetxwktime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: opereeerxwktime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: usercfgdflags
                    
                    	Port User Config Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numofsi
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: gport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: silist
                    
                    	Configured Sub\-interface Ids
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dynamicvlan
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: usage
                    
                    	Port Usage
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fcot_items
                    
                    	
                    	**type**\:  :py:class:`FcotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems>`
                    
                    .. attribute:: fcotx2_items
                    
                    	
                    	**type**\:  :py:class:`Fcotx2Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_.Fcotx2Items>`
                    
                    .. attribute:: portcap_items
                    
                    	
                    	**type**\:  :py:class:`PortcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_.PortcapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.PhysItems_, self).__init__()

                        self.yang_name = "phys-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("fcot-items", ("fcot_items", System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems)), ("fcotx2-items", ("fcotx2_items", System.IntfItems.PhysItems.PhysIfList.PhysItems_.Fcotx2Items)), ("portcap-items", ("portcap_items", System.IntfItems.PhysItems.PhysIfList.PhysItems_.PortcapItems))])
                        self._leafs = OrderedDict([
                            ('operlinkdebounce', (YLeaf(YType.uint16, 'operLinkDebounce'), ['int'])),
                            ('sharestate', (YLeaf(YType.enumeration, 'shareState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmShareState', '')])),
                            ('operfecmode', (YLeaf(YType.enumeration, 'operFECMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1FECModePhysIfOperFECMode', '')])),
                            ('cachedusercfgdflags', (YLeaf(YType.str, 'cachedUserCfgdFlags'), ['str'])),
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('operautoneg', (YLeaf(YType.enumeration, 'operAutoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                            ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                            ('operdescr', (YLeaf(YType.str, 'operDescr'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('operstqualcode', (YLeaf(YType.uint32, 'operStQualCode'), ['int'])),
                            ('opererrdisqual', (YLeaf(YType.enumeration, 'operErrDisQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('operspeed', (YLeaf(YType.enumeration, 'operSpeed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                            ('opermode', (YLeaf(YType.enumeration, 'operMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                            ('operduplex', (YLeaf(YType.enumeration, 'operDuplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                            ('operflowctrl', (YLeaf(YType.str, 'operFlowCtrl'), ['str'])),
                            ('operphyenst', (YLeaf(YType.enumeration, 'operPhyEnSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('backplanemac', (YLeaf(YType.str, 'backplaneMac'), ['str'])),
                            ('operroutermac', (YLeaf(YType.str, 'operRouterMac'), ['str'])),
                            ('txt', (YLeaf(YType.enumeration, 'txT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TxT', '')])),
                            ('lastlinkstchg', (YLeaf(YType.str, 'lastLinkStChg'), ['str'])),
                            ('portcfgwaitflags', (YLeaf(YType.uint32, 'portCfgWaitFlags'), ['int'])),
                            ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                            ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                            ('cfgnativevlan', (YLeaf(YType.str, 'cfgNativeVlan'), ['str'])),
                            ('cfgaccessvlan', (YLeaf(YType.str, 'cfgAccessVlan'), ['str'])),
                            ('primaryvlan', (YLeaf(YType.str, 'primaryVlan'), ['str'])),
                            ('operbitset', (YLeaf(YType.str, 'operBitset'), ['str'])),
                            ('vdcid', (YLeaf(YType.uint16, 'vdcId'), ['int'])),
                            ('resetctr', (YLeaf(YType.uint32, 'resetCtr'), ['int'])),
                            ('media', (YLeaf(YType.uint32, 'media'), ['int'])),
                            ('encap', (YLeaf(YType.uint32, 'encap'), ['int'])),
                            ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                            ('allowedvlans', (YLeaf(YType.str, 'allowedVlans'), ['str'])),
                            ('opervlans', (YLeaf(YType.str, 'operVlans'), ['str'])),
                            ('errvlans', (YLeaf(YType.str, 'errVlans'), ['str'])),
                            ('opertrunkstatus', (YLeaf(YType.enumeration, 'operTrunkStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmTrunkStatus', '')])),
                            ('bundleindex', (YLeaf(YType.str, 'bundleIndex'), ['str'])),
                            ('opermdix', (YLeaf(YType.enumeration, 'operMdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                            ('currerrindex', (YLeaf(YType.uint32, 'currErrIndex'), ['int'])),
                            ('lasterrors', (YLeaf(YType.str, 'lastErrors'), ['str'])),
                            ('errdistimerrunning', (YLeaf(YType.boolean, 'errDisTimerRunning'), ['bool'])),
                            ('bundlebupid', (YLeaf(YType.uint32, 'bundleBupId'), ['int'])),
                            ('operdcemode', (YLeaf(YType.enumeration, 'operDceMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1DceMode', '')])),
                            ('intft', (YLeaf(YType.enumeration, 'intfT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1IntfT', '')])),
                            ('diags', (YLeaf(YType.enumeration, 'diags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1DiagsT', '')])),
                            ('opereeestate', (YLeaf(YType.enumeration, 'operEEEState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEEState', '')])),
                            ('opereeetxwktime', (YLeaf(YType.uint32, 'operEEETxWkTime'), ['int'])),
                            ('opereeerxwktime', (YLeaf(YType.uint32, 'operEEERxWkTime'), ['int'])),
                            ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                            ('numofsi', (YLeaf(YType.uint32, 'numOfSI'), ['int'])),
                            ('gport', (YLeaf(YType.uint32, 'gport'), ['int'])),
                            ('silist', (YLeaf(YType.str, 'siList'), ['str'])),
                            ('dynamicvlan', (YLeaf(YType.boolean, 'dynamicVlan'), ['bool'])),
                            ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                        ])
                        self.operlinkdebounce = None
                        self.sharestate = None
                        self.operfecmode = None
                        self.cachedusercfgdflags = None
                        self.ifindex = None
                        self.operautoneg = None
                        self.opermtu = None
                        self.adminst = None
                        self.operdescr = None
                        self.operst = None
                        self.operstqual = None
                        self.operstqualcode = None
                        self.opererrdisqual = None
                        self.operspeed = None
                        self.opermode = None
                        self.operduplex = None
                        self.operflowctrl = None
                        self.operphyenst = None
                        self.backplanemac = None
                        self.operroutermac = None
                        self.txt = None
                        self.lastlinkstchg = None
                        self.portcfgwaitflags = None
                        self.accessvlan = None
                        self.nativevlan = None
                        self.cfgnativevlan = None
                        self.cfgaccessvlan = None
                        self.primaryvlan = None
                        self.operbitset = None
                        self.vdcid = None
                        self.resetctr = None
                        self.media = None
                        self.encap = None
                        self.iod = None
                        self.allowedvlans = None
                        self.opervlans = None
                        self.errvlans = None
                        self.opertrunkstatus = None
                        self.bundleindex = None
                        self.opermdix = None
                        self.currerrindex = None
                        self.lasterrors = None
                        self.errdistimerrunning = None
                        self.bundlebupid = None
                        self.operdcemode = None
                        self.intft = None
                        self.diags = None
                        self.opereeestate = None
                        self.opereeetxwktime = None
                        self.opereeerxwktime = None
                        self.usercfgdflags = None
                        self.numofsi = None
                        self.gport = None
                        self.silist = None
                        self.dynamicvlan = None
                        self.usage = None

                        self.fcot_items = System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems()
                        self.fcot_items.parent = self
                        self._children_name_map["fcot_items"] = "fcot-items"

                        self.fcotx2_items = System.IntfItems.PhysItems.PhysIfList.PhysItems_.Fcotx2Items()
                        self.fcotx2_items.parent = self
                        self._children_name_map["fcotx2_items"] = "fcotx2-items"

                        self.portcap_items = System.IntfItems.PhysItems.PhysIfList.PhysItems_.PortcapItems()
                        self.portcap_items.parent = self
                        self._children_name_map["portcap_items"] = "portcap-items"
                        self._segment_path = lambda: "phys-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_, ['operlinkdebounce', 'sharestate', 'operfecmode', 'cachedusercfgdflags', 'ifindex', 'operautoneg', 'opermtu', 'adminst', 'operdescr', 'operst', 'operstqual', 'operstqualcode', 'opererrdisqual', 'operspeed', 'opermode', 'operduplex', 'operflowctrl', 'operphyenst', 'backplanemac', 'operroutermac', 'txt', 'lastlinkstchg', 'portcfgwaitflags', 'accessvlan', 'nativevlan', 'cfgnativevlan', 'cfgaccessvlan', 'primaryvlan', 'operbitset', 'vdcid', 'resetctr', 'media', 'encap', 'iod', 'allowedvlans', 'opervlans', 'errvlans', 'opertrunkstatus', 'bundleindex', 'opermdix', 'currerrindex', 'lasterrors', 'errdistimerrunning', 'bundlebupid', 'operdcemode', 'intft', 'diags', 'opereeestate', 'opereeetxwktime', 'opereeerxwktime', 'usercfgdflags', 'numofsi', 'gport', 'silist', 'dynamicvlan', 'usage'], name, value)


                    class FcotItems(Entity):
                        """
                        
                        
                        .. attribute:: partnumber
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: versionid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: isfcotpresent
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`EthpmFcotState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotState>`
                        
                        	**config**\: False
                        
                        .. attribute:: flags
                        
                        	Flags
                        	**type**\:  :py:class:`EthpmFcotFlags <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotFlags>`
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`EthpmFcotType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotType>`
                        
                        	**config**\: False
                        
                        .. attribute:: typename
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: eid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: xcvrid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: xcvrextid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: connecttype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: xcvrcode
                        
                        	Transceiver Code
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: encoding
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: brin100mhz
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: baseresvd1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: distinkmfor9u
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: distin100mfor9u
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: distin10mfor50u
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: distin10mfor60u
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: distin1mforcu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: baseresvd2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: vendorname
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: baseresvd3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: vendorid
                        
                        	Vendor ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorpn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorrev
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: baseresvd4
                        
                        	Base Reserved Field
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ccid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: extoption
                        
                        	Extended Option
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: brmaxmargin
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: brminmargin
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: vendorsn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: datecode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: diagmontype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: enhoption
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: sff8472compl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ccex
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: vendordata
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxspeed
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: minspeed
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: fcotnum
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fcottype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: gigethcc
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fctxtype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: lane_items
                        
                        	
                        	**type**\:  :py:class:`LaneItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems, self).__init__()

                            self.yang_name = "fcot-items"
                            self.yang_parent_name = "phys-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("lane-items", ("lane_items", System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems))])
                            self._leafs = OrderedDict([
                                ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                                ('versionid', (YLeaf(YType.str, 'versionId'), ['str'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('isfcotpresent', (YLeaf(YType.boolean, 'isFcotPresent'), ['bool'])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotState', '')])),
                                ('flags', (YLeaf(YType.enumeration, 'flags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotFlags', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotType', '')])),
                                ('typename', (YLeaf(YType.str, 'typeName'), ['str'])),
                                ('eid', (YLeaf(YType.str, 'eid'), ['str'])),
                                ('xcvrid', (YLeaf(YType.uint8, 'xcvrId'), ['int'])),
                                ('xcvrextid', (YLeaf(YType.uint8, 'xcvrExtId'), ['int'])),
                                ('connecttype', (YLeaf(YType.uint8, 'connectType'), ['int'])),
                                ('xcvrcode', (YLeaf(YType.str, 'xcvrCode'), ['str'])),
                                ('encoding', (YLeaf(YType.uint8, 'encoding'), ['int'])),
                                ('brin100mhz', (YLeaf(YType.uint8, 'brIn100MHz'), ['int'])),
                                ('baseresvd1', (YLeaf(YType.uint8, 'baseResvd1'), ['int'])),
                                ('distinkmfor9u', (YLeaf(YType.uint8, 'distInKmFor9u'), ['int'])),
                                ('distin100mfor9u', (YLeaf(YType.uint8, 'distIn100mFor9u'), ['int'])),
                                ('distin10mfor50u', (YLeaf(YType.uint8, 'distIn10mFor50u'), ['int'])),
                                ('distin10mfor60u', (YLeaf(YType.uint8, 'distIn10mFor60u'), ['int'])),
                                ('distin1mforcu', (YLeaf(YType.uint8, 'distIn1mForCu'), ['int'])),
                                ('baseresvd2', (YLeaf(YType.uint8, 'baseResvd2'), ['int'])),
                                ('vendorname', (YLeaf(YType.str, 'vendorName'), ['str'])),
                                ('baseresvd3', (YLeaf(YType.uint8, 'baseResvd3'), ['int'])),
                                ('vendorid', (YLeaf(YType.str, 'vendorId'), ['str'])),
                                ('vendorpn', (YLeaf(YType.str, 'vendorPn'), ['str'])),
                                ('vendorrev', (YLeaf(YType.str, 'vendorRev'), ['str'])),
                                ('baseresvd4', (YLeaf(YType.str, 'baseResvd4'), ['str'])),
                                ('ccid', (YLeaf(YType.uint8, 'ccid'), ['int'])),
                                ('extoption', (YLeaf(YType.str, 'extOption'), ['str'])),
                                ('brmaxmargin', (YLeaf(YType.uint8, 'brMaxMargin'), ['int'])),
                                ('brminmargin', (YLeaf(YType.uint8, 'brMinMargin'), ['int'])),
                                ('vendorsn', (YLeaf(YType.str, 'vendorSn'), ['str'])),
                                ('datecode', (YLeaf(YType.str, 'dateCode'), ['str'])),
                                ('diagmontype', (YLeaf(YType.uint8, 'diagMonType'), ['int'])),
                                ('enhoption', (YLeaf(YType.uint8, 'enhOption'), ['int'])),
                                ('sff8472compl', (YLeaf(YType.uint8, 'sff8472Compl'), ['int'])),
                                ('ccex', (YLeaf(YType.uint8, 'ccex'), ['int'])),
                                ('vendordata', (YLeaf(YType.str, 'vendorData'), ['str'])),
                                ('maxspeed', (YLeaf(YType.uint32, 'maxSpeed'), ['int'])),
                                ('minspeed', (YLeaf(YType.uint32, 'minSpeed'), ['int'])),
                                ('fcotnum', (YLeaf(YType.uint8, 'fcotNum'), ['int'])),
                                ('fcottype', (YLeaf(YType.uint8, 'fcotType'), ['int'])),
                                ('gigethcc', (YLeaf(YType.uint8, 'gigEthCC'), ['int'])),
                                ('fctxtype', (YLeaf(YType.uint8, 'fCTxType'), ['int'])),
                            ])
                            self.partnumber = None
                            self.versionid = None
                            self.description = None
                            self.isfcotpresent = None
                            self.state = None
                            self.flags = None
                            self.type = None
                            self.typename = None
                            self.eid = None
                            self.xcvrid = None
                            self.xcvrextid = None
                            self.connecttype = None
                            self.xcvrcode = None
                            self.encoding = None
                            self.brin100mhz = None
                            self.baseresvd1 = None
                            self.distinkmfor9u = None
                            self.distin100mfor9u = None
                            self.distin10mfor50u = None
                            self.distin10mfor60u = None
                            self.distin1mforcu = None
                            self.baseresvd2 = None
                            self.vendorname = None
                            self.baseresvd3 = None
                            self.vendorid = None
                            self.vendorpn = None
                            self.vendorrev = None
                            self.baseresvd4 = None
                            self.ccid = None
                            self.extoption = None
                            self.brmaxmargin = None
                            self.brminmargin = None
                            self.vendorsn = None
                            self.datecode = None
                            self.diagmontype = None
                            self.enhoption = None
                            self.sff8472compl = None
                            self.ccex = None
                            self.vendordata = None
                            self.maxspeed = None
                            self.minspeed = None
                            self.fcotnum = None
                            self.fcottype = None
                            self.gigethcc = None
                            self.fctxtype = None

                            self.lane_items = System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems()
                            self.lane_items.parent = self
                            self._children_name_map["lane_items"] = "lane-items"
                            self._segment_path = lambda: "fcot-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems, ['partnumber', 'versionid', 'description', 'isfcotpresent', 'state', 'flags', 'type', 'typename', 'eid', 'xcvrid', 'xcvrextid', 'connecttype', 'xcvrcode', 'encoding', 'brin100mhz', 'baseresvd1', 'distinkmfor9u', 'distin100mfor9u', 'distin10mfor50u', 'distin10mfor60u', 'distin1mforcu', 'baseresvd2', 'vendorname', 'baseresvd3', 'vendorid', 'vendorpn', 'vendorrev', 'baseresvd4', 'ccid', 'extoption', 'brmaxmargin', 'brminmargin', 'vendorsn', 'datecode', 'diagmontype', 'enhoption', 'sff8472compl', 'ccex', 'vendordata', 'maxspeed', 'minspeed', 'fcotnum', 'fcottype', 'gigethcc', 'fctxtype'], name, value)


                        class LaneItems(Entity):
                            """
                            
                            
                            .. attribute:: fcotsensor_list
                            
                            	
                            	**type**\: list of  		 :py:class:`FcotSensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems.FcotSensorList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems, self).__init__()

                                self.yang_name = "lane-items"
                                self.yang_parent_name = "fcot-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("FcotSensor-list", ("fcotsensor_list", System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems.FcotSensorList))])
                                self._leafs = OrderedDict()

                                self.fcotsensor_list = YList(self)
                                self._segment_path = lambda: "lane-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems, [], name, value)


                            class FcotSensorList(Entity):
                                """
                                
                                
                                .. attribute:: laneid  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: sensorid  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: lanetype
                                
                                	The transceiver LANE type
                                	**type**\:  :py:class:`EqptFcotDomLane <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptFcotDomLane>`
                                
                                	**config**\: False
                                
                                .. attribute:: description
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: unit
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: highalarm
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: highwarning
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: lowalarm
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: lowwarning
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: avg
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: instant
                                
                                	
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems.FcotSensorList, self).__init__()

                                    self.yang_name = "FcotSensor-list"
                                    self.yang_parent_name = "lane-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['laneid','sensorid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('laneid', (YLeaf(YType.uint16, 'laneId'), ['int'])),
                                        ('sensorid', (YLeaf(YType.uint16, 'sensorId'), ['int'])),
                                        ('lanetype', (YLeaf(YType.enumeration, 'laneType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptFcotDomLane', '')])),
                                        ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                        ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                        ('value', (YLeaf(YType.str, 'value'), ['Decimal64'])),
                                        ('highalarm', (YLeaf(YType.str, 'highAlarm'), ['Decimal64'])),
                                        ('highwarning', (YLeaf(YType.str, 'highWarning'), ['Decimal64'])),
                                        ('lowalarm', (YLeaf(YType.str, 'lowAlarm'), ['Decimal64'])),
                                        ('lowwarning', (YLeaf(YType.str, 'lowWarning'), ['Decimal64'])),
                                        ('max', (YLeaf(YType.str, 'max'), ['Decimal64'])),
                                        ('min', (YLeaf(YType.str, 'min'), ['Decimal64'])),
                                        ('avg', (YLeaf(YType.str, 'avg'), ['Decimal64'])),
                                        ('instant', (YLeaf(YType.str, 'instant'), ['Decimal64'])),
                                    ])
                                    self.laneid = None
                                    self.sensorid = None
                                    self.lanetype = None
                                    self.description = None
                                    self.unit = None
                                    self.value = None
                                    self.highalarm = None
                                    self.highwarning = None
                                    self.lowalarm = None
                                    self.lowwarning = None
                                    self.max = None
                                    self.min = None
                                    self.avg = None
                                    self.instant = None
                                    self._segment_path = lambda: "FcotSensor-list" + "[laneId='" + str(self.laneid) + "']" + "[sensorId='" + str(self.sensorid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_.FcotItems.LaneItems.FcotSensorList, ['laneid', 'sensorid', 'lanetype', 'description', 'unit', 'value', 'highalarm', 'highwarning', 'lowalarm', 'lowwarning', 'max', 'min', 'avg', 'instant'], name, value)





                    class Fcotx2Items(Entity):
                        """
                        
                        
                        .. attribute:: partnumber
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: versionid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: description
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: isfcotpresent
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`EthpmFcotState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotState>`
                        
                        	**config**\: False
                        
                        .. attribute:: flags
                        
                        	Flags
                        	**type**\:  :py:class:`EthpmFcotFlags <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotFlags>`
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`EthpmFcotType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotType>`
                        
                        	**config**\: False
                        
                        .. attribute:: typename
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: eid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: xcvrtype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: connecttype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: bitencoding
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: bitratembps
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: protocoltype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: xgethcode
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: sonetsdhcode
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: xgfccode
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: range
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: fibretype
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: wavelench0
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: wavelench1
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: wavelench2
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: wavelench3
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: packageoui
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorname
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorpn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorrev
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendorserno
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: datecode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: lotcode
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: fivevstressenv
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: threethreevstressenv
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: apsstressenv
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: normalapsvolt
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: diagoptmoncap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: lowpwrstartupcap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: reserved
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: checksum
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ciscopid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ciscovid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ciscosn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ciscopn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ciscorev
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: extvendorspecific
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxspeed
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: minspeed
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: fcotnum
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fcottype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: gigethcc
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fctxtype
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.PhysItems_.Fcotx2Items, self).__init__()

                            self.yang_name = "fcotx2-items"
                            self.yang_parent_name = "phys-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                                ('versionid', (YLeaf(YType.str, 'versionId'), ['str'])),
                                ('description', (YLeaf(YType.str, 'description'), ['str'])),
                                ('isfcotpresent', (YLeaf(YType.boolean, 'isFcotPresent'), ['bool'])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotState', '')])),
                                ('flags', (YLeaf(YType.enumeration, 'flags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotFlags', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotType', '')])),
                                ('typename', (YLeaf(YType.str, 'typeName'), ['str'])),
                                ('eid', (YLeaf(YType.str, 'eid'), ['str'])),
                                ('xcvrtype', (YLeaf(YType.uint8, 'xcvrType'), ['int'])),
                                ('connecttype', (YLeaf(YType.uint8, 'connectType'), ['int'])),
                                ('bitencoding', (YLeaf(YType.uint8, 'bitEncoding'), ['int'])),
                                ('bitratembps', (YLeaf(YType.str, 'bitRateMbps'), ['str'])),
                                ('protocoltype', (YLeaf(YType.uint8, 'protocolType'), ['int'])),
                                ('xgethcode', (YLeaf(YType.str, 'xgEthCode'), ['str'])),
                                ('sonetsdhcode', (YLeaf(YType.str, 'sonetSdhCode'), ['str'])),
                                ('xgfccode', (YLeaf(YType.str, 'xgFcCode'), ['str'])),
                                ('range', (YLeaf(YType.str, 'range'), ['str'])),
                                ('fibretype', (YLeaf(YType.str, 'fibreType'), ['str'])),
                                ('wavelench0', (YLeaf(YType.str, 'waveLenCh0'), ['str'])),
                                ('wavelench1', (YLeaf(YType.str, 'waveLenCh1'), ['str'])),
                                ('wavelench2', (YLeaf(YType.str, 'waveLenCh2'), ['str'])),
                                ('wavelench3', (YLeaf(YType.str, 'waveLenCh3'), ['str'])),
                                ('packageoui', (YLeaf(YType.str, 'packageOui'), ['str'])),
                                ('vendorname', (YLeaf(YType.str, 'vendorName'), ['str'])),
                                ('vendorpn', (YLeaf(YType.str, 'vendorPn'), ['str'])),
                                ('vendorrev', (YLeaf(YType.str, 'vendorRev'), ['str'])),
                                ('vendorserno', (YLeaf(YType.str, 'vendorSerNo'), ['str'])),
                                ('datecode', (YLeaf(YType.str, 'dateCode'), ['str'])),
                                ('lotcode', (YLeaf(YType.str, 'lotCode'), ['str'])),
                                ('fivevstressenv', (YLeaf(YType.uint8, 'fiveVStressEnv'), ['int'])),
                                ('threethreevstressenv', (YLeaf(YType.uint8, 'threeThreeVStressEnv'), ['int'])),
                                ('apsstressenv', (YLeaf(YType.uint8, 'apsStressEnv'), ['int'])),
                                ('normalapsvolt', (YLeaf(YType.uint8, 'normalApsVolt'), ['int'])),
                                ('diagoptmoncap', (YLeaf(YType.uint8, 'diagOptMonCap'), ['int'])),
                                ('lowpwrstartupcap', (YLeaf(YType.uint8, 'lowPwrStartupCap'), ['int'])),
                                ('reserved', (YLeaf(YType.uint8, 'reserved'), ['int'])),
                                ('checksum', (YLeaf(YType.uint8, 'checksum'), ['int'])),
                                ('ciscopid', (YLeaf(YType.str, 'ciscoPid'), ['str'])),
                                ('ciscovid', (YLeaf(YType.str, 'ciscoVid'), ['str'])),
                                ('ciscosn', (YLeaf(YType.str, 'ciscoSN'), ['str'])),
                                ('ciscopn', (YLeaf(YType.str, 'ciscoPN'), ['str'])),
                                ('ciscorev', (YLeaf(YType.str, 'ciscoRev'), ['str'])),
                                ('extvendorspecific', (YLeaf(YType.str, 'extVendorSpecific'), ['str'])),
                                ('maxspeed', (YLeaf(YType.uint32, 'maxSpeed'), ['int'])),
                                ('minspeed', (YLeaf(YType.uint32, 'minSpeed'), ['int'])),
                                ('fcotnum', (YLeaf(YType.uint8, 'fcotNum'), ['int'])),
                                ('fcottype', (YLeaf(YType.uint8, 'fcotType'), ['int'])),
                                ('gigethcc', (YLeaf(YType.uint8, 'gigEthCC'), ['int'])),
                                ('fctxtype', (YLeaf(YType.uint8, 'fCTxType'), ['int'])),
                            ])
                            self.partnumber = None
                            self.versionid = None
                            self.description = None
                            self.isfcotpresent = None
                            self.state = None
                            self.flags = None
                            self.type = None
                            self.typename = None
                            self.eid = None
                            self.xcvrtype = None
                            self.connecttype = None
                            self.bitencoding = None
                            self.bitratembps = None
                            self.protocoltype = None
                            self.xgethcode = None
                            self.sonetsdhcode = None
                            self.xgfccode = None
                            self.range = None
                            self.fibretype = None
                            self.wavelench0 = None
                            self.wavelench1 = None
                            self.wavelench2 = None
                            self.wavelench3 = None
                            self.packageoui = None
                            self.vendorname = None
                            self.vendorpn = None
                            self.vendorrev = None
                            self.vendorserno = None
                            self.datecode = None
                            self.lotcode = None
                            self.fivevstressenv = None
                            self.threethreevstressenv = None
                            self.apsstressenv = None
                            self.normalapsvolt = None
                            self.diagoptmoncap = None
                            self.lowpwrstartupcap = None
                            self.reserved = None
                            self.checksum = None
                            self.ciscopid = None
                            self.ciscovid = None
                            self.ciscosn = None
                            self.ciscopn = None
                            self.ciscorev = None
                            self.extvendorspecific = None
                            self.maxspeed = None
                            self.minspeed = None
                            self.fcotnum = None
                            self.fcottype = None
                            self.gigethcc = None
                            self.fctxtype = None
                            self._segment_path = lambda: "fcotx2-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_.Fcotx2Items, ['partnumber', 'versionid', 'description', 'isfcotpresent', 'state', 'flags', 'type', 'typename', 'eid', 'xcvrtype', 'connecttype', 'bitencoding', 'bitratembps', 'protocoltype', 'xgethcode', 'sonetsdhcode', 'xgfccode', 'range', 'fibretype', 'wavelench0', 'wavelench1', 'wavelench2', 'wavelench3', 'packageoui', 'vendorname', 'vendorpn', 'vendorrev', 'vendorserno', 'datecode', 'lotcode', 'fivevstressenv', 'threethreevstressenv', 'apsstressenv', 'normalapsvolt', 'diagoptmoncap', 'lowpwrstartupcap', 'reserved', 'checksum', 'ciscopid', 'ciscovid', 'ciscosn', 'ciscopn', 'ciscorev', 'extvendorspecific', 'maxspeed', 'minspeed', 'fcotnum', 'fcottype', 'gigethcc', 'fctxtype'], name, value)



                    class PortcapItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	Port Identifier
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: speed
                        
                        	Speed Bitmask
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: duplex
                        
                        	Duplex Bitmask for simutaneous communication between interfaces
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: trunkencap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: channel
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: suppression
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: rxflowcontrol
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: txflowcontrol
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: cosrewrite
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: tosrewrite
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: span
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: udld
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: autoneg
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: linkdebounce
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: linkdebouncetime
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fcotcapable
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ratemode
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: mdix
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: portgroup
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ctscapable
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxprio
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxqueue
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxthold
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxprio
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxqueue
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxthold
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Port Model Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portgrpmbrs
                        
                        	Port\-group Members
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: protosupport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: portcap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: eeecapval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: eeewaketimes10g
                        
                        	EEE 10G Wake Times
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: eeeflapflags
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.PhysItems_.PortcapItems, self).__init__()

                            self.yang_name = "portcap-items"
                            self.yang_parent_name = "phys-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('speed', (YLeaf(YType.str, 'speed'), ['str'])),
                                ('duplex', (YLeaf(YType.str, 'duplex'), ['str'])),
                                ('trunkencap', (YLeaf(YType.uint8, 'trunkEncap'), ['int'])),
                                ('channel', (YLeaf(YType.uint8, 'channel'), ['int'])),
                                ('suppression', (YLeaf(YType.uint8, 'suppression'), ['int'])),
                                ('rxflowcontrol', (YLeaf(YType.uint8, 'rxFlowControl'), ['int'])),
                                ('txflowcontrol', (YLeaf(YType.uint8, 'txFlowControl'), ['int'])),
                                ('cosrewrite', (YLeaf(YType.uint8, 'cosRewrite'), ['int'])),
                                ('tosrewrite', (YLeaf(YType.uint8, 'tosRewrite'), ['int'])),
                                ('span', (YLeaf(YType.uint8, 'span'), ['int'])),
                                ('udld', (YLeaf(YType.uint8, 'udld'), ['int'])),
                                ('autoneg', (YLeaf(YType.uint8, 'autoneg'), ['int'])),
                                ('linkdebounce', (YLeaf(YType.uint8, 'linkDebounce'), ['int'])),
                                ('linkdebouncetime', (YLeaf(YType.uint8, 'linkDebounceTime'), ['int'])),
                                ('fcotcapable', (YLeaf(YType.uint8, 'fcotCapable'), ['int'])),
                                ('ratemode', (YLeaf(YType.uint8, 'rateMode'), ['int'])),
                                ('mdix', (YLeaf(YType.uint8, 'mdix'), ['int'])),
                                ('portgroup', (YLeaf(YType.uint8, 'portGroup'), ['int'])),
                                ('ctscapable', (YLeaf(YType.uint8, 'ctsCapable'), ['int'])),
                                ('qosrxprio', (YLeaf(YType.uint8, 'qosRxPrio'), ['int'])),
                                ('qosrxqueue', (YLeaf(YType.uint8, 'qosRxQueue'), ['int'])),
                                ('qosrxthold', (YLeaf(YType.uint8, 'qosRxThold'), ['int'])),
                                ('qostxprio', (YLeaf(YType.uint8, 'qosTxPrio'), ['int'])),
                                ('qostxqueue', (YLeaf(YType.uint8, 'qosTxQueue'), ['int'])),
                                ('qostxthold', (YLeaf(YType.uint8, 'qosTxThold'), ['int'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                ('portgrpmbrs', (YLeaf(YType.str, 'portGrpMbrs'), ['str'])),
                                ('protosupport', (YLeaf(YType.uint32, 'protoSupport'), ['int'])),
                                ('portcap', (YLeaf(YType.uint32, 'portCap'), ['int'])),
                                ('eeecapval', (YLeaf(YType.uint16, 'eeeCapVal'), ['int'])),
                                ('eeewaketimes10g', (YLeaf(YType.str, 'eeeWakeTimes10g'), ['str'])),
                                ('eeeflapflags', (YLeaf(YType.uint16, 'eeeFlapFlags'), ['int'])),
                            ])
                            self.id = None
                            self.speed = None
                            self.duplex = None
                            self.trunkencap = None
                            self.channel = None
                            self.suppression = None
                            self.rxflowcontrol = None
                            self.txflowcontrol = None
                            self.cosrewrite = None
                            self.tosrewrite = None
                            self.span = None
                            self.udld = None
                            self.autoneg = None
                            self.linkdebounce = None
                            self.linkdebouncetime = None
                            self.fcotcapable = None
                            self.ratemode = None
                            self.mdix = None
                            self.portgroup = None
                            self.ctscapable = None
                            self.qosrxprio = None
                            self.qosrxqueue = None
                            self.qosrxthold = None
                            self.qostxprio = None
                            self.qostxqueue = None
                            self.qostxthold = None
                            self.model = None
                            self.type = None
                            self.portgrpmbrs = None
                            self.protosupport = None
                            self.portcap = None
                            self.eeecapval = None
                            self.eeewaketimes10g = None
                            self.eeeflapflags = None
                            self._segment_path = lambda: "portcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.PhysItems_.PortcapItems, ['id', 'speed', 'duplex', 'trunkencap', 'channel', 'suppression', 'rxflowcontrol', 'txflowcontrol', 'cosrewrite', 'tosrewrite', 'span', 'udld', 'autoneg', 'linkdebounce', 'linkdebouncetime', 'fcotcapable', 'ratemode', 'mdix', 'portgroup', 'ctscapable', 'qosrxprio', 'qosrxqueue', 'qosrxthold', 'qostxprio', 'qostxqueue', 'qostxthold', 'model', 'type', 'portgrpmbrs', 'protosupport', 'portcap', 'eeecapval', 'eeewaketimes10g', 'eeeflapflags'], name, value)




                class HwifdetailsItems(Entity):
                    """
                    
                    
                    .. attribute:: slice
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: sport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vif
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.HwifdetailsItems, self).__init__()

                        self.yang_name = "hwifdetails-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('slice', (YLeaf(YType.uint32, 'slice'), ['int'])),
                            ('sport', (YLeaf(YType.uint32, 'sPort'), ['int'])),
                            ('vif', (YLeaf(YType.uint32, 'vif'), ['int'])),
                        ])
                        self.slice = None
                        self.sport = None
                        self.vif = None
                        self._segment_path = lambda: "hwifdetails-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.HwifdetailsItems, ['slice', 'sport', 'vif'], name, value)



                class AggrmbrifItems(Entity):
                    """
                    
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`PcOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: channelingst
                    
                    	Channeling Status
                    	**type**\:  :py:class:`PcChannelingSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcChannelingSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: summoperst
                    
                    	Summarized Oper State
                    	**type**\:  :py:class:`PcSummOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcSummOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: uptime
                    
                    	Member Up Time
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Member Port Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: bdlportnum
                    
                    	Bundle Port Number
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: ltlprogrammed
                    
                    	LTL Programmed
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.AggrmbrifItems, self).__init__()

                        self.yang_name = "aggrmbrif-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcOperSt', '')])),
                            ('channelingst', (YLeaf(YType.enumeration, 'channelingSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcChannelingSt', '')])),
                            ('summoperst', (YLeaf(YType.enumeration, 'summOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcSummOperSt', '')])),
                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ('bdlportnum', (YLeaf(YType.uint32, 'bdlPortNum'), ['int'])),
                            ('ltlprogrammed', (YLeaf(YType.boolean, 'ltlProgrammed'), ['bool'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.operst = None
                        self.channelingst = None
                        self.summoperst = None
                        self.uptime = None
                        self.flags = None
                        self.bdlportnum = None
                        self.ltlprogrammed = None
                        self.name = None
                        self._segment_path = lambda: "aggrmbrif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.AggrmbrifItems, ['operst', 'channelingst', 'summoperst', 'uptime', 'flags', 'bdlportnum', 'ltlprogrammed', 'name'], name, value)



                class MultisiteiftrackingItems(Entity):
                    """
                    
                    
                    .. attribute:: tracking
                    
                    	Configure EVPN multisite tracking for DCI/Fabric interface
                    	**type**\:  :py:class:`NvoMultisiteTrackingT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteTrackingT>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.MultisiteiftrackingItems, self).__init__()

                        self.yang_name = "multisiteiftracking-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tracking', (YLeaf(YType.enumeration, 'tracking'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteTrackingT', '')])),
                        ])
                        self.tracking = None
                        self._segment_path = lambda: "multisiteiftracking-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.MultisiteiftrackingItems, ['tracking'], name, value)



                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: domdef_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DomDef-list", ("domdef_list", System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList))])
                        self._leafs = OrderedDict()

                        self.domdef_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems, [], name, value)


                    class DomDefList(Entity):
                        """
                        
                        
                        .. attribute:: dompkey  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: instrimedcy
                        
                        	TBD
                        	**type**\:  :py:class:`FvImmediacy_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FvImmediacy_>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: rsdomdefns_items
                        
                        	
                        	**type**\:  :py:class:`RsdomDefNsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsdomdefnslocal_items
                        
                        	
                        	**type**\:  :py:class:`RsdomDefNsLocalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtfvtodomdef_items
                        
                        	
                        	**type**\:  :py:class:`RtfvToDomDefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList, self).__init__()

                            self.yang_name = "DomDef-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['dompkey']
                            self._child_classes = OrderedDict([("rsdomDefNs-items", ("rsdomdefns_items", System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems)), ("rsdomDefNsLocal-items", ("rsdomdefnslocal_items", System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems)), ("rtfvToDomDef-items", ("rtfvtodomdef_items", System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems))])
                            self._leafs = OrderedDict([
                                ('dompkey', (YLeaf(YType.str, 'domPKey'), ['str'])),
                                ('instrimedcy', (YLeaf(YType.enumeration, 'instrImedcy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FvImmediacy_', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.dompkey = None
                            self.instrimedcy = None
                            self.name = None

                            self.rsdomdefns_items = System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems()
                            self.rsdomdefns_items.parent = self
                            self._children_name_map["rsdomdefns_items"] = "rsdomDefNs-items"

                            self.rsdomdefnslocal_items = System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems()
                            self.rsdomdefnslocal_items.parent = self
                            self._children_name_map["rsdomdefnslocal_items"] = "rsdomDefNsLocal-items"

                            self.rtfvtodomdef_items = System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems()
                            self.rtfvtodomdef_items.parent = self
                            self._children_name_map["rtfvtodomdef_items"] = "rtfvToDomDef-items"
                            self._segment_path = lambda: "DomDef-list" + "[domPKey='" + str(self.dompkey) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList, ['dompkey', 'instrimedcy', 'name'], name, value)


                        class RsdomDefNsItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems, self).__init__()

                                self.yang_name = "rsdomDefNs-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsdomDefNs-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems, ['tdn', 'tcl'], name, value)



                        class RsdomDefNsLocalItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems, self).__init__()

                                self.yang_name = "rsdomDefNsLocal-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsdomDefNsLocal-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems, ['tdn', 'tcl'], name, value)



                        class RtfvToDomDefItems(Entity):
                            """
                            
                            
                            .. attribute:: rtfvtodomdef_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtFvToDomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems, self).__init__()

                                self.yang_name = "rtfvToDomDef-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtFvToDomDef-list", ("rtfvtodomdef_list", System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList))])
                                self._leafs = OrderedDict()

                                self.rtfvtodomdef_list = YList(self)
                                self._segment_path = lambda: "rtfvToDomDef-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems, [], name, value)


                            class RtFvToDomDefList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, self).__init__()

                                    self.yang_name = "RtFvToDomDef-list"
                                    self.yang_parent_name = "rtfvToDomDef-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtFvToDomDef-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, ['tdn', 'tcl'], name, value)






                class RtInbandConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtInbandConfItems, self).__init__()

                        self.yang_name = "rtInbandConf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtInbandConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtInbandConfItems, ['tdn', 'tcl'], name, value)



                class RtextConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtextConfItems, self).__init__()

                        self.yang_name = "rtextConf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtextConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtextConfItems, ['tdn', 'tcl'], name, value)



                class RtbrConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtbrConfItems, self).__init__()

                        self.yang_name = "rtbrConf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtbrConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtbrConfItems, ['tdn', 'tcl'], name, value)



                class RtfvNodePortAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvnodeportatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvNodePortAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems, self).__init__()

                        self.yang_name = "rtfvNodePortAtt-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvNodePortAtt-list", ("rtfvnodeportatt_list", System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList))])
                        self._leafs = OrderedDict()

                        self.rtfvnodeportatt_list = YList(self)
                        self._segment_path = lambda: "rtfvNodePortAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems, [], name, value)


                    class RtFvNodePortAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList, self).__init__()

                            self.yang_name = "RtFvNodePortAtt-list"
                            self.yang_parent_name = "rtfvNodePortAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvNodePortAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList, ['tdn', 'tcl'], name, value)




                class RtmbrIfsItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtmbrIfsItems, self).__init__()

                        self.yang_name = "rtmbrIfs-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtmbrIfs-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtmbrIfsItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtphysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtphysRtdConfItems, self).__init__()

                        self.yang_name = "rtphysRtdConf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtphysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtphysRtdConfItems, ['tdn', 'tcl'], name, value)



                class Rtl3EncPhysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtl3encphysrtdconf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtL3EncPhysRtdConfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems, self).__init__()

                        self.yang_name = "rtl3EncPhysRtdConf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtL3EncPhysRtdConf-list", ("rtl3encphysrtdconf_list", System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList))])
                        self._leafs = OrderedDict()

                        self.rtl3encphysrtdconf_list = YList(self)
                        self._segment_path = lambda: "rtl3EncPhysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems, [], name, value)


                    class RtL3EncPhysRtdConfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, self).__init__()

                            self.yang_name = "RtL3EncPhysRtdConf-list"
                            self.yang_parent_name = "rtl3EncPhysRtdConf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtL3EncPhysRtdConf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, ['tdn', 'tcl'], name, value)




                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




                class RttunnelTunnelMbrIfsItems(Entity):
                    """
                    
                    
                    .. attribute:: rttunneltunnelmbrifs_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtTunnelTunnelMbrIfsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems.RtTunnelTunnelMbrIfsList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems, self).__init__()

                        self.yang_name = "rttunnelTunnelMbrIfs-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtTunnelTunnelMbrIfs-list", ("rttunneltunnelmbrifs_list", System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems.RtTunnelTunnelMbrIfsList))])
                        self._leafs = OrderedDict()

                        self.rttunneltunnelmbrifs_list = YList(self)
                        self._segment_path = lambda: "rttunnelTunnelMbrIfs-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems, [], name, value)


                    class RtTunnelTunnelMbrIfsList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems.RtTunnelTunnelMbrIfsList, self).__init__()

                            self.yang_name = "RtTunnelTunnelMbrIfs-list"
                            self.yang_parent_name = "rttunnelTunnelMbrIfs-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtTunnelTunnelMbrIfs-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RttunnelTunnelMbrIfsItems.RtTunnelTunnelMbrIfsList, ['tdn', 'tcl'], name, value)




                class RtLsNodeToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.RtLsNodeToIfItems, self).__init__()

                        self.yang_name = "rtLsNodeToIf-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtLsNodeToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.RtLsNodeToIfItems, ['tdn', 'tcl'], name, value)



                class DbgIfInItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: errors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: unknownprotos
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: unknownetype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nobuffer
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rateinterval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: octetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: packetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIfInItems, self).__init__()

                        self.yang_name = "dbgIfIn-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                            ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                            ('unknownprotos', (YLeaf(YType.uint64, 'unknownProtos'), ['int'])),
                            ('unknownetype', (YLeaf(YType.uint64, 'unknownEtype'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('nobuffer', (YLeaf(YType.uint64, 'noBuffer'), ['int'])),
                            ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                            ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                            ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.nucastpkts = None
                        self.discards = None
                        self.errors = None
                        self.unknownprotos = None
                        self.unknownetype = None
                        self.broadcastpkts = None
                        self.multicastpkts = None
                        self.nobuffer = None
                        self.rateinterval = None
                        self.octetrate = None
                        self.packetrate = None
                        self._segment_path = lambda: "dbgIfIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIfInItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'unknownprotos', 'unknownetype', 'broadcastpkts', 'multicastpkts', 'nobuffer', 'rateinterval', 'octetrate', 'packetrate'], name, value)



                class DbgIfOutItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: errors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: qlen
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rateinterval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: octetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: packetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIfOutItems, self).__init__()

                        self.yang_name = "dbgIfOut-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                            ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                            ('qlen', (YLeaf(YType.uint64, 'qLen'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                            ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                            ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.nucastpkts = None
                        self.discards = None
                        self.errors = None
                        self.qlen = None
                        self.broadcastpkts = None
                        self.multicastpkts = None
                        self.rateinterval = None
                        self.octetrate = None
                        self.packetrate = None
                        self._segment_path = lambda: "dbgIfOut-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIfOutItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'qlen', 'broadcastpkts', 'multicastpkts', 'rateinterval', 'octetrate', 'packetrate'], name, value)



                class DbgIpInItems(Entity):
                    """
                    
                    
                    .. attribute:: receives
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: hdrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: forwdatagrams
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIpInItems, self).__init__()

                        self.yang_name = "dbgIpIn-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('receives', (YLeaf(YType.uint64, 'receives'), ['int'])),
                            ('hdrerrors', (YLeaf(YType.uint64, 'hdrErrors'), ['int'])),
                            ('forwdatagrams', (YLeaf(YType.uint64, 'forwDatagrams'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                        ])
                        self.receives = None
                        self.hdrerrors = None
                        self.forwdatagrams = None
                        self.discards = None
                        self._segment_path = lambda: "dbgIpIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIpInItems, ['receives', 'hdrerrors', 'forwdatagrams', 'discards'], name, value)



                class DbgDot1dItems(Entity):
                    """
                    
                    
                    .. attribute:: baseportdelayexceededdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: baseportmtuexceededdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tpportinframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tpportoutframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: portindiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgDot1dItems, self).__init__()

                        self.yang_name = "dbgDot1d-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('baseportdelayexceededdiscards', (YLeaf(YType.uint64, 'basePortDelayExceededDiscards'), ['int'])),
                            ('baseportmtuexceededdiscards', (YLeaf(YType.uint64, 'basePortMtuExceededDiscards'), ['int'])),
                            ('tpportinframes', (YLeaf(YType.uint64, 'tpPortInFrames'), ['int'])),
                            ('tpportoutframes', (YLeaf(YType.uint64, 'tpPortOutFrames'), ['int'])),
                            ('portindiscards', (YLeaf(YType.uint64, 'portInDiscards'), ['int'])),
                        ])
                        self.baseportdelayexceededdiscards = None
                        self.baseportmtuexceededdiscards = None
                        self.tpportinframes = None
                        self.tpportoutframes = None
                        self.portindiscards = None
                        self._segment_path = lambda: "dbgDot1d-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgDot1dItems, ['baseportdelayexceededdiscards', 'baseportmtuexceededdiscards', 'tpportinframes', 'tpportoutframes', 'portindiscards'], name, value)



                class DbgEtherStatsItems(Entity):
                    """
                    
                    
                    .. attribute:: dropevents
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: undersizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: giantpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: stormsupressedpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: oversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: jabbers
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: collisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: crcalignerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txnoerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxnoerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxoversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txoversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: overrun
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: underrun
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ignored
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: watchdog
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ifdowndrop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgEtherStatsItems, self).__init__()

                        self.yang_name = "dbgEtherStats-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('dropevents', (YLeaf(YType.uint64, 'dropEvents'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('undersizepkts', (YLeaf(YType.uint64, 'undersizePkts'), ['int'])),
                            ('giantpkts', (YLeaf(YType.uint64, 'giantPkts'), ['int'])),
                            ('stormsupressedpkts', (YLeaf(YType.uint64, 'stormSupressedPkts'), ['int'])),
                            ('fragments', (YLeaf(YType.uint64, 'fragments'), ['int'])),
                            ('pkts64octets', (YLeaf(YType.uint64, 'pkts64Octets'), ['int'])),
                            ('pkts65to127octets', (YLeaf(YType.uint64, 'pkts65to127Octets'), ['int'])),
                            ('pkts128to255octets', (YLeaf(YType.uint64, 'pkts128to255Octets'), ['int'])),
                            ('pkts256to511octets', (YLeaf(YType.uint64, 'pkts256to511Octets'), ['int'])),
                            ('pkts512to1023octets', (YLeaf(YType.uint64, 'pkts512to1023Octets'), ['int'])),
                            ('pkts1024to1518octets', (YLeaf(YType.uint64, 'pkts1024to1518Octets'), ['int'])),
                            ('pkts1519to1548octets', (YLeaf(YType.uint64, 'pkts1519to1548Octets'), ['int'])),
                            ('rxpkts64octets', (YLeaf(YType.uint64, 'rxPkts64Octets'), ['int'])),
                            ('txpkts64octets', (YLeaf(YType.uint64, 'txPkts64Octets'), ['int'])),
                            ('rxpkts65to127octets', (YLeaf(YType.uint64, 'rxPkts65to127Octets'), ['int'])),
                            ('txpkts65to127octets', (YLeaf(YType.uint64, 'txPkts65to127Octets'), ['int'])),
                            ('rxpkts128to255octets', (YLeaf(YType.uint64, 'rxPkts128to255Octets'), ['int'])),
                            ('txpkts128to255octets', (YLeaf(YType.uint64, 'txPkts128to255Octets'), ['int'])),
                            ('rxpkts256to511octets', (YLeaf(YType.uint64, 'rxPkts256to511Octets'), ['int'])),
                            ('txpkts256to511octets', (YLeaf(YType.uint64, 'txPkts256to511Octets'), ['int'])),
                            ('rxpkts512to1023octets', (YLeaf(YType.uint64, 'rxPkts512to1023Octets'), ['int'])),
                            ('txpkts512to1023octets', (YLeaf(YType.uint64, 'txPkts512to1023Octets'), ['int'])),
                            ('rxpkts1024to1518octets', (YLeaf(YType.uint64, 'rxPkts1024to1518Octets'), ['int'])),
                            ('txpkts1024to1518octets', (YLeaf(YType.uint64, 'txPkts1024to1518Octets'), ['int'])),
                            ('rxpkts1519to1548octets', (YLeaf(YType.uint64, 'rxPkts1519to1548Octets'), ['int'])),
                            ('txpkts1519to1548octets', (YLeaf(YType.uint64, 'txPkts1519to1548Octets'), ['int'])),
                            ('oversizepkts', (YLeaf(YType.uint64, 'oversizePkts'), ['int'])),
                            ('jabbers', (YLeaf(YType.uint64, 'jabbers'), ['int'])),
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('pkts', (YLeaf(YType.uint64, 'pkts'), ['int'])),
                            ('collisions', (YLeaf(YType.uint64, 'collisions'), ['int'])),
                            ('crcalignerrors', (YLeaf(YType.uint64, 'cRCAlignErrors'), ['int'])),
                            ('txnoerrors', (YLeaf(YType.uint64, 'tXNoErrors'), ['int'])),
                            ('rxnoerrors', (YLeaf(YType.uint64, 'rXNoErrors'), ['int'])),
                            ('rxoversizepkts', (YLeaf(YType.uint64, 'rxOversizePkts'), ['int'])),
                            ('txoversizepkts', (YLeaf(YType.uint64, 'txOversizePkts'), ['int'])),
                            ('overrun', (YLeaf(YType.uint64, 'overrun'), ['int'])),
                            ('underrun', (YLeaf(YType.uint64, 'underrun'), ['int'])),
                            ('ignored', (YLeaf(YType.uint64, 'ignored'), ['int'])),
                            ('watchdog', (YLeaf(YType.uint64, 'watchdog'), ['int'])),
                            ('ifdowndrop', (YLeaf(YType.uint64, 'ifdowndrop'), ['int'])),
                        ])
                        self.dropevents = None
                        self.multicastpkts = None
                        self.broadcastpkts = None
                        self.undersizepkts = None
                        self.giantpkts = None
                        self.stormsupressedpkts = None
                        self.fragments = None
                        self.pkts64octets = None
                        self.pkts65to127octets = None
                        self.pkts128to255octets = None
                        self.pkts256to511octets = None
                        self.pkts512to1023octets = None
                        self.pkts1024to1518octets = None
                        self.pkts1519to1548octets = None
                        self.rxpkts64octets = None
                        self.txpkts64octets = None
                        self.rxpkts65to127octets = None
                        self.txpkts65to127octets = None
                        self.rxpkts128to255octets = None
                        self.txpkts128to255octets = None
                        self.rxpkts256to511octets = None
                        self.txpkts256to511octets = None
                        self.rxpkts512to1023octets = None
                        self.txpkts512to1023octets = None
                        self.rxpkts1024to1518octets = None
                        self.txpkts1024to1518octets = None
                        self.rxpkts1519to1548octets = None
                        self.txpkts1519to1548octets = None
                        self.oversizepkts = None
                        self.jabbers = None
                        self.octets = None
                        self.pkts = None
                        self.collisions = None
                        self.crcalignerrors = None
                        self.txnoerrors = None
                        self.rxnoerrors = None
                        self.rxoversizepkts = None
                        self.txoversizepkts = None
                        self.overrun = None
                        self.underrun = None
                        self.ignored = None
                        self.watchdog = None
                        self.ifdowndrop = None
                        self._segment_path = lambda: "dbgEtherStats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgEtherStatsItems, ['dropevents', 'multicastpkts', 'broadcastpkts', 'undersizepkts', 'giantpkts', 'stormsupressedpkts', 'fragments', 'pkts64octets', 'pkts65to127octets', 'pkts128to255octets', 'pkts256to511octets', 'pkts512to1023octets', 'pkts1024to1518octets', 'pkts1519to1548octets', 'rxpkts64octets', 'txpkts64octets', 'rxpkts65to127octets', 'txpkts65to127octets', 'rxpkts128to255octets', 'txpkts128to255octets', 'rxpkts256to511octets', 'txpkts256to511octets', 'rxpkts512to1023octets', 'txpkts512to1023octets', 'rxpkts1024to1518octets', 'txpkts1024to1518octets', 'rxpkts1519to1548octets', 'txpkts1519to1548octets', 'oversizepkts', 'jabbers', 'octets', 'pkts', 'collisions', 'crcalignerrors', 'txnoerrors', 'rxnoerrors', 'rxoversizepkts', 'txoversizepkts', 'overrun', 'underrun', 'ignored', 'watchdog', 'ifdowndrop'], name, value)



                class DbgDot3StatsItems(Entity):
                    """
                    
                    
                    .. attribute:: alignmenterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fcserrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: singlecollisionframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multiplecollisionframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sqettesterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: deferredtransmissions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: latecollisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: excessivecollisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: internalmactransmiterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: carriersenseerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: frametoolongs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: internalmacreceiveerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: symbolerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: controlinunknownopcodes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inpauseframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outpauseframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: lostcarriererrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nocarriererrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inputdribble
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: babble
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: runts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgDot3StatsItems, self).__init__()

                        self.yang_name = "dbgDot3Stats-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('alignmenterrors', (YLeaf(YType.uint64, 'alignmentErrors'), ['int'])),
                            ('fcserrors', (YLeaf(YType.uint64, 'fCSErrors'), ['int'])),
                            ('singlecollisionframes', (YLeaf(YType.uint64, 'singleCollisionFrames'), ['int'])),
                            ('multiplecollisionframes', (YLeaf(YType.uint64, 'multipleCollisionFrames'), ['int'])),
                            ('sqettesterrors', (YLeaf(YType.uint64, 'sQETTestErrors'), ['int'])),
                            ('deferredtransmissions', (YLeaf(YType.uint64, 'deferredTransmissions'), ['int'])),
                            ('latecollisions', (YLeaf(YType.uint64, 'lateCollisions'), ['int'])),
                            ('excessivecollisions', (YLeaf(YType.uint64, 'excessiveCollisions'), ['int'])),
                            ('internalmactransmiterrors', (YLeaf(YType.uint64, 'internalMacTransmitErrors'), ['int'])),
                            ('carriersenseerrors', (YLeaf(YType.uint64, 'carrierSenseErrors'), ['int'])),
                            ('frametoolongs', (YLeaf(YType.uint64, 'frameTooLongs'), ['int'])),
                            ('internalmacreceiveerrors', (YLeaf(YType.uint64, 'internalMacReceiveErrors'), ['int'])),
                            ('symbolerrors', (YLeaf(YType.uint64, 'symbolErrors'), ['int'])),
                            ('controlinunknownopcodes', (YLeaf(YType.uint64, 'controlInUnknownOpcodes'), ['int'])),
                            ('inpauseframes', (YLeaf(YType.uint64, 'inPauseFrames'), ['int'])),
                            ('outpauseframes', (YLeaf(YType.uint64, 'outPauseFrames'), ['int'])),
                            ('lostcarriererrors', (YLeaf(YType.uint64, 'lostCarrierErrors'), ['int'])),
                            ('nocarriererrors', (YLeaf(YType.uint64, 'noCarrierErrors'), ['int'])),
                            ('inputdribble', (YLeaf(YType.uint64, 'inputdribble'), ['int'])),
                            ('babble', (YLeaf(YType.uint64, 'babble'), ['int'])),
                            ('runts', (YLeaf(YType.uint64, 'runts'), ['int'])),
                        ])
                        self.alignmenterrors = None
                        self.fcserrors = None
                        self.singlecollisionframes = None
                        self.multiplecollisionframes = None
                        self.sqettesterrors = None
                        self.deferredtransmissions = None
                        self.latecollisions = None
                        self.excessivecollisions = None
                        self.internalmactransmiterrors = None
                        self.carriersenseerrors = None
                        self.frametoolongs = None
                        self.internalmacreceiveerrors = None
                        self.symbolerrors = None
                        self.controlinunknownopcodes = None
                        self.inpauseframes = None
                        self.outpauseframes = None
                        self.lostcarriererrors = None
                        self.nocarriererrors = None
                        self.inputdribble = None
                        self.babble = None
                        self.runts = None
                        self._segment_path = lambda: "dbgDot3Stats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgDot3StatsItems, ['alignmenterrors', 'fcserrors', 'singlecollisionframes', 'multiplecollisionframes', 'sqettesterrors', 'deferredtransmissions', 'latecollisions', 'excessivecollisions', 'internalmactransmiterrors', 'carriersenseerrors', 'frametoolongs', 'internalmacreceiveerrors', 'symbolerrors', 'controlinunknownopcodes', 'inpauseframes', 'outpauseframes', 'lostcarriererrors', 'nocarriererrors', 'inputdribble', 'babble', 'runts'], name, value)



                class DbgIfHCInItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIfHCInItems, self).__init__()

                        self.yang_name = "dbgIfHCIn-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.multicastpkts = None
                        self.broadcastpkts = None
                        self._segment_path = lambda: "dbgIfHCIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIfHCInItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpkts'], name, value)



                class DbgIfHCOutItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpckts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIfHCOutItems, self).__init__()

                        self.yang_name = "dbgIfHCOut-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpckts', (YLeaf(YType.uint64, 'broadcastPckts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.multicastpkts = None
                        self.broadcastpckts = None
                        self.broadcastpkts = None
                        self._segment_path = lambda: "dbgIfHCOut-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIfHCOutItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpckts', 'broadcastpkts'], name, value)



                class DbgIpv6IfStatsItems(Entity):
                    """
                    
                    
                    .. attribute:: inreceives
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inhdrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inaddrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: indiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outforwdatagrams
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIpv6IfStatsItems, self).__init__()

                        self.yang_name = "dbgIpv6IfStats-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('inreceives', (YLeaf(YType.uint64, 'inReceives'), ['int'])),
                            ('inhdrerrors', (YLeaf(YType.uint64, 'inHdrErrors'), ['int'])),
                            ('inaddrerrors', (YLeaf(YType.uint64, 'inAddrErrors'), ['int'])),
                            ('indiscards', (YLeaf(YType.uint64, 'inDiscards'), ['int'])),
                            ('outforwdatagrams', (YLeaf(YType.uint64, 'outForwDatagrams'), ['int'])),
                            ('outdiscards', (YLeaf(YType.uint64, 'outDiscards'), ['int'])),
                            ('inmcastpkts', (YLeaf(YType.uint64, 'inMcastPkts'), ['int'])),
                            ('outmcastpkts', (YLeaf(YType.uint64, 'outMcastPkts'), ['int'])),
                        ])
                        self.inreceives = None
                        self.inhdrerrors = None
                        self.inaddrerrors = None
                        self.indiscards = None
                        self.outforwdatagrams = None
                        self.outdiscards = None
                        self.inmcastpkts = None
                        self.outmcastpkts = None
                        self._segment_path = lambda: "dbgIpv6IfStats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIpv6IfStatsItems, ['inreceives', 'inhdrerrors', 'inaddrerrors', 'indiscards', 'outforwdatagrams', 'outdiscards', 'inmcastpkts', 'outmcastpkts'], name, value)



                class DbgIfStormItems(Entity):
                    """
                    
                    
                    .. attribute:: dropbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.PhysItems.PhysIfList.DbgIfStormItems, self).__init__()

                        self.yang_name = "dbgIfStorm-items"
                        self.yang_parent_name = "PhysIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                        ])
                        self.dropbytes = None
                        self._segment_path = lambda: "dbgIfStorm-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.PhysItems.PhysIfList.DbgIfStormItems, ['dropbytes'], name, value)





        class AggrItems(Entity):
            """
            
            
            .. attribute:: aggrif_list
            
            	
            	**type**\: list of  		 :py:class:`AggrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.AggrItems, self).__init__()

                self.yang_name = "aggr-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("AggrIf-list", ("aggrif_list", System.IntfItems.AggrItems.AggrIfList))])
                self._leafs = OrderedDict()

                self.aggrif_list = YList(self)
                self._segment_path = lambda: "aggr-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.AggrItems, [], name, value)


            class AggrIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: pcid
                
                	Port Channel Id
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: pcmode
                
                	Aggregated Interface Protocol Channel Mode
                	**type**\:  :py:class:`PcMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcMode>`
                
                .. attribute:: ctrl
                
                	PC Interface Control Properties
                	**type**\: str
                
                .. attribute:: minlinks
                
                	Minimum Links
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: maxlinks
                
                	Maximum Links
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: hashdist
                
                	Hash Distribution Configured \- Adaptive/fixed
                	**type**\:  :py:class:`PcHashDist <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcHashDist>`
                
                .. attribute:: iod
                
                	Interface Ordinal
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: operchannelmode
                
                	Operational Mode
                	**type**\:  :py:class:`PcMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcMode>`
                
                	**config**\: False
                
                .. attribute:: lastst
                
                	Last Status \- Successful/failed
                	**type**\:  :py:class:`PcLastSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcLastSt>`
                
                	**config**\: False
                
                .. attribute:: laststcause
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lasttime
                
                	Time when Last Status was Set
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: createtime
                
                	Time of Port\-channel Creation
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: fop
                
                	First Operational Port
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lastbundletime
                
                	Time of Last Member Addition
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lastbundlembr
                
                	Last Member Added
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lastunbundletime
                
                	Time of Last Member Removal
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lastunbundlembr
                
                	Last Member Removed
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: suspminlinks
                
                	Port\-channel Suspended Due to Min\-links
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: ltl
                
                	PIXM\-allocated LTL
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: lif
                
                	ELTM\-allocated LIF
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: maxactive
                
                	Max Possible Active Members
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: loaddeferstarttime
                
                	Time when First Non\-fop Port Came Up
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: isexplicit
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	descr
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: adminst
                
                	Administrative Port State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: speed
                
                	Administrative Port Speed
                	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
                
                .. attribute:: duplex
                
                	Duplex
                	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
                
                .. attribute:: autoneg
                
                	Administrative Port Auto\-Negotiation
                	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
                
                .. attribute:: mtu
                
                	Administrative port MTU
                	**type**\: int
                
                	**range:** 576..9216
                
                .. attribute:: snmptrapst
                
                	Administrative Port Snmp Trap State
                	**type**\:  :py:class:`L1SnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SnmpTrapSt>`
                
                .. attribute:: mode
                
                	Administrative port mode
                	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
                
                .. attribute:: layer
                
                	Layer
                	**type**\:  :py:class:`L1LayerAggrIfLayer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LayerAggrIfLayer>`
                
                .. attribute:: mdix
                
                	Administrative Medium\-dependant interface crossover(Mdix) mode
                	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
                
                .. attribute:: delay
                
                	Administrative port delay time
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: linkdebounce
                
                	Administrative port link debounce interval
                	**type**\: int
                
                	**range:** 0..20000
                
                .. attribute:: dot1qethertype
                
                	Administrative port Dot1q ether\-type\: configures TPID value in VLAN tag field for packets received and sent by interface
                	**type**\:  :py:class:`L1Dot1qEtherType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Dot1qEtherType>`
                
                .. attribute:: bw
                
                	Bandwidth parameter for a routed interface, port channel or subinterface
                	**type**\: int
                
                	**range:** 0..3200000000
                
                .. attribute:: medium
                
                	Administrative port medium type
                	**type**\:  :py:class:`L1Medium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Medium>`
                
                .. attribute:: inhbw
                
                	Administrative port inherit bandwidth
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: spanmode
                
                	Administrative port span mode
                	**type**\:  :py:class:`L1SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SpanMode>`
                
                .. attribute:: linklog
                
                	Administrative link logging enable
                	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
                
                .. attribute:: trunklog
                
                	Administrative trunk logging enable
                	**type**\:  :py:class:`L1TrunkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TrunkLog>`
                
                .. attribute:: routermac
                
                	
                	**type**\: str
                
                	**default value**\: 0
                
                .. attribute:: portt
                
                	Type of the port\: Fabric vs Leaf
                	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                
                .. attribute:: usage
                
                	Port Usage Type
                	**type**\: str
                
                .. attribute:: trunkvlans
                
                	Configed Trunk Vlans
                	**type**\: str
                
                .. attribute:: accessvlan
                
                	Configured Access Vlan
                	**type**\: str
                
                .. attribute:: controllerid
                
                	Controller ID
                	**type**\: str
                
                .. attribute:: nativevlan
                
                	Configured Native Vlan
                	**type**\: str
                
                .. attribute:: usercfgdflags
                
                	Port User Config Flags
                	**type**\: str
                
                .. attribute:: priorflowctrl_items
                
                	
                	**type**\:  :py:class:`PriorflowctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.PriorflowctrlItems>`
                
                .. attribute:: priorflowctrlwd_items
                
                	
                	**type**\:  :py:class:`PriorflowctrlwdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.PriorflowctrlwdItems>`
                
                .. attribute:: eeep_items
                
                	
                	**type**\:  :py:class:`EeepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.EeepItems>`
                
                .. attribute:: stormctrlp_items
                
                	
                	**type**\:  :py:class:`StormctrlpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.StormctrlpItems>`
                
                .. attribute:: loadp_items
                
                	
                	**type**\:  :py:class:`LoadpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.LoadpItems>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.VrfItems>`
                
                .. attribute:: aggrif_items
                
                	
                	**type**\:  :py:class:`AggrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrifItems>`
                
                .. attribute:: hwifdetails_items
                
                	
                	**type**\:  :py:class:`HwifdetailsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.HwifdetailsItems>`
                
                .. attribute:: bundleinfo_items
                
                	
                	**type**\:  :py:class:`BundleInfoItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.BundleInfoItems>`
                
                .. attribute:: aggrextd_items
                
                	
                	**type**\:  :py:class:`AggrExtdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrExtdItems>`
                
                .. attribute:: vlanmapping_items
                
                	
                	**type**\:  :py:class:`VlanmappingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.VlanmappingItems>`
                
                .. attribute:: bndlmbrif_items
                
                	
                	**type**\:  :py:class:`BndlmbrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems>`
                
                .. attribute:: multisiteiftracking_items
                
                	
                	**type**\:  :py:class:`MultisiteiftrackingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.MultisiteiftrackingItems>`
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems>`
                
                .. attribute:: rtfexbndlgrptoaggrif_items
                
                	
                	**type**\:  :py:class:`RtfexBndlGrpToAggrIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtfexBndlGrpToAggrIfItems>`
                
                .. attribute:: rtaccbndlgrptoaggrif_items
                
                	
                	**type**\:  :py:class:`RtaccBndlGrpToAggrIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtaccBndlGrpToAggrIfItems>`
                
                .. attribute:: rtextconf_items
                
                	
                	**type**\:  :py:class:`RtextConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtextConfItems>`
                
                .. attribute:: rtbrconf_items
                
                	
                	**type**\:  :py:class:`RtbrConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtbrConfItems>`
                
                .. attribute:: rtvpcconf_items
                
                	
                	**type**\:  :py:class:`RtvpcConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtvpcConfItems>`
                
                .. attribute:: rtfvnodeportatt_items
                
                	
                	**type**\:  :py:class:`RtfvNodePortAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems>`
                
                .. attribute:: rsmbrifs_items
                
                	
                	**type**\:  :py:class:`RsmbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems>`
                
                .. attribute:: rslacppolcons_items
                
                	
                	**type**\:  :py:class:`RslacpPolConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RslacpPolConsItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtvrfMbrItems>`
                
                .. attribute:: rtphysrtdconf_items
                
                	
                	**type**\:  :py:class:`RtphysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtphysRtdConfItems>`
                
                .. attribute:: rtl3encphysrtdconf_items
                
                	
                	**type**\:  :py:class:`Rtl3EncPhysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems>`
                
                .. attribute:: rtlsnodetoif_items
                
                	
                	**type**\:  :py:class:`RtLsNodeToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtLsNodeToIfItems>`
                
                .. attribute:: dbgifin_items
                
                	
                	**type**\:  :py:class:`DbgIfInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIfInItems>`
                
                .. attribute:: dbgifout_items
                
                	
                	**type**\:  :py:class:`DbgIfOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIfOutItems>`
                
                .. attribute:: dbgipin_items
                
                	
                	**type**\:  :py:class:`DbgIpInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIpInItems>`
                
                .. attribute:: dbgdot1d_items
                
                	
                	**type**\:  :py:class:`DbgDot1dItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgDot1dItems>`
                
                .. attribute:: dbgetherstats_items
                
                	
                	**type**\:  :py:class:`DbgEtherStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgEtherStatsItems>`
                
                .. attribute:: dbgdot3stats_items
                
                	
                	**type**\:  :py:class:`DbgDot3StatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgDot3StatsItems>`
                
                .. attribute:: dbgifhcin_items
                
                	
                	**type**\:  :py:class:`DbgIfHCInItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIfHCInItems>`
                
                .. attribute:: dbgifhcout_items
                
                	
                	**type**\:  :py:class:`DbgIfHCOutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIfHCOutItems>`
                
                .. attribute:: dbgipv6ifstats_items
                
                	
                	**type**\:  :py:class:`DbgIpv6IfStatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIpv6IfStatsItems>`
                
                .. attribute:: dbgifstorm_items
                
                	
                	**type**\:  :py:class:`DbgIfStormItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DbgIfStormItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.AggrItems.AggrIfList, self).__init__()

                    self.yang_name = "AggrIf-list"
                    self.yang_parent_name = "aggr-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("priorflowctrl-items", ("priorflowctrl_items", System.IntfItems.AggrItems.AggrIfList.PriorflowctrlItems)), ("priorflowctrlwd-items", ("priorflowctrlwd_items", System.IntfItems.AggrItems.AggrIfList.PriorflowctrlwdItems)), ("eeep-items", ("eeep_items", System.IntfItems.AggrItems.AggrIfList.EeepItems)), ("stormctrlp-items", ("stormctrlp_items", System.IntfItems.AggrItems.AggrIfList.StormctrlpItems)), ("loadp-items", ("loadp_items", System.IntfItems.AggrItems.AggrIfList.LoadpItems)), ("vrf-items", ("vrf_items", System.IntfItems.AggrItems.AggrIfList.VrfItems)), ("aggrif-items", ("aggrif_items", System.IntfItems.AggrItems.AggrIfList.AggrifItems)), ("hwifdetails-items", ("hwifdetails_items", System.IntfItems.AggrItems.AggrIfList.HwifdetailsItems)), ("bundleInfo-items", ("bundleinfo_items", System.IntfItems.AggrItems.AggrIfList.BundleInfoItems)), ("aggrExtd-items", ("aggrextd_items", System.IntfItems.AggrItems.AggrIfList.AggrExtdItems)), ("vlanmapping-items", ("vlanmapping_items", System.IntfItems.AggrItems.AggrIfList.VlanmappingItems)), ("bndlmbrif-items", ("bndlmbrif_items", System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems)), ("multisiteiftracking-items", ("multisiteiftracking_items", System.IntfItems.AggrItems.AggrIfList.MultisiteiftrackingItems)), ("dom-items", ("dom_items", System.IntfItems.AggrItems.AggrIfList.DomItems)), ("rtfexBndlGrpToAggrIf-items", ("rtfexbndlgrptoaggrif_items", System.IntfItems.AggrItems.AggrIfList.RtfexBndlGrpToAggrIfItems)), ("rtaccBndlGrpToAggrIf-items", ("rtaccbndlgrptoaggrif_items", System.IntfItems.AggrItems.AggrIfList.RtaccBndlGrpToAggrIfItems)), ("rtextConf-items", ("rtextconf_items", System.IntfItems.AggrItems.AggrIfList.RtextConfItems)), ("rtbrConf-items", ("rtbrconf_items", System.IntfItems.AggrItems.AggrIfList.RtbrConfItems)), ("rtvpcConf-items", ("rtvpcconf_items", System.IntfItems.AggrItems.AggrIfList.RtvpcConfItems)), ("rtfvNodePortAtt-items", ("rtfvnodeportatt_items", System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems)), ("rsmbrIfs-items", ("rsmbrifs_items", System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems)), ("rslacpPolCons-items", ("rslacppolcons_items", System.IntfItems.AggrItems.AggrIfList.RslacpPolConsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.AggrItems.AggrIfList.RtvrfMbrItems)), ("rtphysRtdConf-items", ("rtphysrtdconf_items", System.IntfItems.AggrItems.AggrIfList.RtphysRtdConfItems)), ("rtl3EncPhysRtdConf-items", ("rtl3encphysrtdconf_items", System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems)), ("rtLsNodeToIf-items", ("rtlsnodetoif_items", System.IntfItems.AggrItems.AggrIfList.RtLsNodeToIfItems)), ("dbgIfIn-items", ("dbgifin_items", System.IntfItems.AggrItems.AggrIfList.DbgIfInItems)), ("dbgIfOut-items", ("dbgifout_items", System.IntfItems.AggrItems.AggrIfList.DbgIfOutItems)), ("dbgIpIn-items", ("dbgipin_items", System.IntfItems.AggrItems.AggrIfList.DbgIpInItems)), ("dbgDot1d-items", ("dbgdot1d_items", System.IntfItems.AggrItems.AggrIfList.DbgDot1dItems)), ("dbgEtherStats-items", ("dbgetherstats_items", System.IntfItems.AggrItems.AggrIfList.DbgEtherStatsItems)), ("dbgDot3Stats-items", ("dbgdot3stats_items", System.IntfItems.AggrItems.AggrIfList.DbgDot3StatsItems)), ("dbgIfHCIn-items", ("dbgifhcin_items", System.IntfItems.AggrItems.AggrIfList.DbgIfHCInItems)), ("dbgIfHCOut-items", ("dbgifhcout_items", System.IntfItems.AggrItems.AggrIfList.DbgIfHCOutItems)), ("dbgIpv6IfStats-items", ("dbgipv6ifstats_items", System.IntfItems.AggrItems.AggrIfList.DbgIpv6IfStatsItems)), ("dbgIfStorm-items", ("dbgifstorm_items", System.IntfItems.AggrItems.AggrIfList.DbgIfStormItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('pcid', (YLeaf(YType.uint16, 'pcId'), ['int'])),
                        ('pcmode', (YLeaf(YType.enumeration, 'pcMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcMode', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('minlinks', (YLeaf(YType.uint32, 'minLinks'), ['int'])),
                        ('maxlinks', (YLeaf(YType.uint32, 'maxLinks'), ['int'])),
                        ('hashdist', (YLeaf(YType.enumeration, 'hashDist'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcHashDist', '')])),
                        ('iod', (YLeaf(YType.uint32, 'iod'), ['int'])),
                        ('operchannelmode', (YLeaf(YType.enumeration, 'operChannelMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcMode', '')])),
                        ('lastst', (YLeaf(YType.enumeration, 'lastSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcLastSt', '')])),
                        ('laststcause', (YLeaf(YType.str, 'lastStCause'), ['str'])),
                        ('lasttime', (YLeaf(YType.str, 'lastTime'), ['str'])),
                        ('createtime', (YLeaf(YType.str, 'createTime'), ['str'])),
                        ('fop', (YLeaf(YType.str, 'fop'), ['str'])),
                        ('lastbundletime', (YLeaf(YType.str, 'lastBundleTime'), ['str'])),
                        ('lastbundlembr', (YLeaf(YType.str, 'lastBundleMbr'), ['str'])),
                        ('lastunbundletime', (YLeaf(YType.str, 'lastUnbundleTime'), ['str'])),
                        ('lastunbundlembr', (YLeaf(YType.str, 'lastUnbundleMbr'), ['str'])),
                        ('suspminlinks', (YLeaf(YType.boolean, 'suspMinlinks'), ['bool'])),
                        ('ltl', (YLeaf(YType.uint32, 'ltl'), ['int'])),
                        ('lif', (YLeaf(YType.uint32, 'lif'), ['int'])),
                        ('maxactive', (YLeaf(YType.uint32, 'maxActive'), ['int'])),
                        ('loaddeferstarttime', (YLeaf(YType.str, 'loadDeferStartTime'), ['str'])),
                        ('isexplicit', (YLeaf(YType.boolean, 'isExplicit'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                        ('speed', (YLeaf(YType.enumeration, 'speed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                        ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                        ('autoneg', (YLeaf(YType.enumeration, 'autoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SnmpTrapSt', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                        ('layer', (YLeaf(YType.enumeration, 'layer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LayerAggrIfLayer', '')])),
                        ('mdix', (YLeaf(YType.enumeration, 'mdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                        ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                        ('linkdebounce', (YLeaf(YType.uint16, 'linkDebounce'), ['int'])),
                        ('dot1qethertype', (YLeaf(YType.enumeration, 'dot1qEtherType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Dot1qEtherType', '')])),
                        ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                        ('medium', (YLeaf(YType.enumeration, 'medium'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Medium', '')])),
                        ('inhbw', (YLeaf(YType.uint32, 'inhBw'), ['int'])),
                        ('spanmode', (YLeaf(YType.enumeration, 'spanMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SpanMode', '')])),
                        ('linklog', (YLeaf(YType.enumeration, 'linkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                        ('trunklog', (YLeaf(YType.enumeration, 'trunkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TrunkLog', '')])),
                        ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                        ('portt', (YLeaf(YType.enumeration, 'portT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                        ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                        ('trunkvlans', (YLeaf(YType.str, 'trunkVlans'), ['str'])),
                        ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                        ('controllerid', (YLeaf(YType.str, 'controllerId'), ['str'])),
                        ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                        ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                    ])
                    self.id = None
                    self.pcid = None
                    self.pcmode = None
                    self.ctrl = None
                    self.minlinks = None
                    self.maxlinks = None
                    self.hashdist = None
                    self.iod = None
                    self.operchannelmode = None
                    self.lastst = None
                    self.laststcause = None
                    self.lasttime = None
                    self.createtime = None
                    self.fop = None
                    self.lastbundletime = None
                    self.lastbundlembr = None
                    self.lastunbundletime = None
                    self.lastunbundlembr = None
                    self.suspminlinks = None
                    self.ltl = None
                    self.lif = None
                    self.maxactive = None
                    self.loaddeferstarttime = None
                    self.isexplicit = None
                    self.name = None
                    self.descr = None
                    self.adminst = None
                    self.speed = None
                    self.duplex = None
                    self.autoneg = None
                    self.mtu = None
                    self.snmptrapst = None
                    self.mode = None
                    self.layer = None
                    self.mdix = None
                    self.delay = None
                    self.linkdebounce = None
                    self.dot1qethertype = None
                    self.bw = None
                    self.medium = None
                    self.inhbw = None
                    self.spanmode = None
                    self.linklog = None
                    self.trunklog = None
                    self.routermac = None
                    self.portt = None
                    self.usage = None
                    self.trunkvlans = None
                    self.accessvlan = None
                    self.controllerid = None
                    self.nativevlan = None
                    self.usercfgdflags = None

                    self.priorflowctrl_items = System.IntfItems.AggrItems.AggrIfList.PriorflowctrlItems()
                    self.priorflowctrl_items.parent = self
                    self._children_name_map["priorflowctrl_items"] = "priorflowctrl-items"

                    self.priorflowctrlwd_items = System.IntfItems.AggrItems.AggrIfList.PriorflowctrlwdItems()
                    self.priorflowctrlwd_items.parent = self
                    self._children_name_map["priorflowctrlwd_items"] = "priorflowctrlwd-items"

                    self.eeep_items = System.IntfItems.AggrItems.AggrIfList.EeepItems()
                    self.eeep_items.parent = self
                    self._children_name_map["eeep_items"] = "eeep-items"

                    self.stormctrlp_items = System.IntfItems.AggrItems.AggrIfList.StormctrlpItems()
                    self.stormctrlp_items.parent = self
                    self._children_name_map["stormctrlp_items"] = "stormctrlp-items"

                    self.loadp_items = System.IntfItems.AggrItems.AggrIfList.LoadpItems()
                    self.loadp_items.parent = self
                    self._children_name_map["loadp_items"] = "loadp-items"

                    self.vrf_items = System.IntfItems.AggrItems.AggrIfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.aggrif_items = System.IntfItems.AggrItems.AggrIfList.AggrifItems()
                    self.aggrif_items.parent = self
                    self._children_name_map["aggrif_items"] = "aggrif-items"

                    self.hwifdetails_items = System.IntfItems.AggrItems.AggrIfList.HwifdetailsItems()
                    self.hwifdetails_items.parent = self
                    self._children_name_map["hwifdetails_items"] = "hwifdetails-items"

                    self.bundleinfo_items = System.IntfItems.AggrItems.AggrIfList.BundleInfoItems()
                    self.bundleinfo_items.parent = self
                    self._children_name_map["bundleinfo_items"] = "bundleInfo-items"

                    self.aggrextd_items = System.IntfItems.AggrItems.AggrIfList.AggrExtdItems()
                    self.aggrextd_items.parent = self
                    self._children_name_map["aggrextd_items"] = "aggrExtd-items"

                    self.vlanmapping_items = System.IntfItems.AggrItems.AggrIfList.VlanmappingItems()
                    self.vlanmapping_items.parent = self
                    self._children_name_map["vlanmapping_items"] = "vlanmapping-items"

                    self.bndlmbrif_items = System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems()
                    self.bndlmbrif_items.parent = self
                    self._children_name_map["bndlmbrif_items"] = "bndlmbrif-items"

                    self.multisiteiftracking_items = System.IntfItems.AggrItems.AggrIfList.MultisiteiftrackingItems()
                    self.multisiteiftracking_items.parent = self
                    self._children_name_map["multisiteiftracking_items"] = "multisiteiftracking-items"

                    self.dom_items = System.IntfItems.AggrItems.AggrIfList.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"

                    self.rtfexbndlgrptoaggrif_items = System.IntfItems.AggrItems.AggrIfList.RtfexBndlGrpToAggrIfItems()
                    self.rtfexbndlgrptoaggrif_items.parent = self
                    self._children_name_map["rtfexbndlgrptoaggrif_items"] = "rtfexBndlGrpToAggrIf-items"

                    self.rtaccbndlgrptoaggrif_items = System.IntfItems.AggrItems.AggrIfList.RtaccBndlGrpToAggrIfItems()
                    self.rtaccbndlgrptoaggrif_items.parent = self
                    self._children_name_map["rtaccbndlgrptoaggrif_items"] = "rtaccBndlGrpToAggrIf-items"

                    self.rtextconf_items = System.IntfItems.AggrItems.AggrIfList.RtextConfItems()
                    self.rtextconf_items.parent = self
                    self._children_name_map["rtextconf_items"] = "rtextConf-items"

                    self.rtbrconf_items = System.IntfItems.AggrItems.AggrIfList.RtbrConfItems()
                    self.rtbrconf_items.parent = self
                    self._children_name_map["rtbrconf_items"] = "rtbrConf-items"

                    self.rtvpcconf_items = System.IntfItems.AggrItems.AggrIfList.RtvpcConfItems()
                    self.rtvpcconf_items.parent = self
                    self._children_name_map["rtvpcconf_items"] = "rtvpcConf-items"

                    self.rtfvnodeportatt_items = System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems()
                    self.rtfvnodeportatt_items.parent = self
                    self._children_name_map["rtfvnodeportatt_items"] = "rtfvNodePortAtt-items"

                    self.rsmbrifs_items = System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems()
                    self.rsmbrifs_items.parent = self
                    self._children_name_map["rsmbrifs_items"] = "rsmbrIfs-items"

                    self.rslacppolcons_items = System.IntfItems.AggrItems.AggrIfList.RslacpPolConsItems()
                    self.rslacppolcons_items.parent = self
                    self._children_name_map["rslacppolcons_items"] = "rslacpPolCons-items"

                    self.rtvrfmbr_items = System.IntfItems.AggrItems.AggrIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtphysrtdconf_items = System.IntfItems.AggrItems.AggrIfList.RtphysRtdConfItems()
                    self.rtphysrtdconf_items.parent = self
                    self._children_name_map["rtphysrtdconf_items"] = "rtphysRtdConf-items"

                    self.rtl3encphysrtdconf_items = System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems()
                    self.rtl3encphysrtdconf_items.parent = self
                    self._children_name_map["rtl3encphysrtdconf_items"] = "rtl3EncPhysRtdConf-items"

                    self.rtnwpathtoif_items = System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                    self.rtlsnodetoif_items = System.IntfItems.AggrItems.AggrIfList.RtLsNodeToIfItems()
                    self.rtlsnodetoif_items.parent = self
                    self._children_name_map["rtlsnodetoif_items"] = "rtLsNodeToIf-items"

                    self.dbgifin_items = System.IntfItems.AggrItems.AggrIfList.DbgIfInItems()
                    self.dbgifin_items.parent = self
                    self._children_name_map["dbgifin_items"] = "dbgIfIn-items"

                    self.dbgifout_items = System.IntfItems.AggrItems.AggrIfList.DbgIfOutItems()
                    self.dbgifout_items.parent = self
                    self._children_name_map["dbgifout_items"] = "dbgIfOut-items"

                    self.dbgipin_items = System.IntfItems.AggrItems.AggrIfList.DbgIpInItems()
                    self.dbgipin_items.parent = self
                    self._children_name_map["dbgipin_items"] = "dbgIpIn-items"

                    self.dbgdot1d_items = System.IntfItems.AggrItems.AggrIfList.DbgDot1dItems()
                    self.dbgdot1d_items.parent = self
                    self._children_name_map["dbgdot1d_items"] = "dbgDot1d-items"

                    self.dbgetherstats_items = System.IntfItems.AggrItems.AggrIfList.DbgEtherStatsItems()
                    self.dbgetherstats_items.parent = self
                    self._children_name_map["dbgetherstats_items"] = "dbgEtherStats-items"

                    self.dbgdot3stats_items = System.IntfItems.AggrItems.AggrIfList.DbgDot3StatsItems()
                    self.dbgdot3stats_items.parent = self
                    self._children_name_map["dbgdot3stats_items"] = "dbgDot3Stats-items"

                    self.dbgifhcin_items = System.IntfItems.AggrItems.AggrIfList.DbgIfHCInItems()
                    self.dbgifhcin_items.parent = self
                    self._children_name_map["dbgifhcin_items"] = "dbgIfHCIn-items"

                    self.dbgifhcout_items = System.IntfItems.AggrItems.AggrIfList.DbgIfHCOutItems()
                    self.dbgifhcout_items.parent = self
                    self._children_name_map["dbgifhcout_items"] = "dbgIfHCOut-items"

                    self.dbgipv6ifstats_items = System.IntfItems.AggrItems.AggrIfList.DbgIpv6IfStatsItems()
                    self.dbgipv6ifstats_items.parent = self
                    self._children_name_map["dbgipv6ifstats_items"] = "dbgIpv6IfStats-items"

                    self.dbgifstorm_items = System.IntfItems.AggrItems.AggrIfList.DbgIfStormItems()
                    self.dbgifstorm_items.parent = self
                    self._children_name_map["dbgifstorm_items"] = "dbgIfStorm-items"
                    self._segment_path = lambda: "AggrIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/aggr-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.AggrItems.AggrIfList, ['id', 'pcid', 'pcmode', 'ctrl', 'minlinks', 'maxlinks', 'hashdist', 'iod', 'operchannelmode', 'lastst', 'laststcause', 'lasttime', 'createtime', 'fop', 'lastbundletime', 'lastbundlembr', 'lastunbundletime', 'lastunbundlembr', 'suspminlinks', 'ltl', 'lif', 'maxactive', 'loaddeferstarttime', 'isexplicit', 'name', 'descr', 'adminst', 'speed', 'duplex', 'autoneg', 'mtu', 'snmptrapst', 'mode', 'layer', 'mdix', 'delay', 'linkdebounce', 'dot1qethertype', 'bw', 'medium', 'inhbw', 'spanmode', 'linklog', 'trunklog', 'routermac', 'portt', 'usage', 'trunkvlans', 'accessvlan', 'controllerid', 'nativevlan', 'usercfgdflags'], name, value)


                class PriorflowctrlItems(Entity):
                    """
                    
                    
                    .. attribute:: mode
                    
                    	priority\-flow\-control mode on/off/auto
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.PriorflowctrlItems, self).__init__()

                        self.yang_name = "priorflowctrl-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mode', (YLeaf(YType.uint8, 'mode'), ['int'])),
                        ])
                        self.mode = None
                        self._segment_path = lambda: "priorflowctrl-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.PriorflowctrlItems, ['mode'], name, value)



                class PriorflowctrlwdItems(Entity):
                    """
                    
                    
                    .. attribute:: watchdoginterval
                    
                    	watch dog internal on/off
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: disableaction
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: true
                    
                    .. attribute:: interfacemutiplier
                    
                    	shutdown mutlipler value
                    	**type**\: int
                    
                    	**range:** 1..11
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.PriorflowctrlwdItems, self).__init__()

                        self.yang_name = "priorflowctrlwd-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('watchdoginterval', (YLeaf(YType.uint8, 'watchDogInterval'), ['int'])),
                            ('disableaction', (YLeaf(YType.boolean, 'disableAction'), ['bool'])),
                            ('interfacemutiplier', (YLeaf(YType.uint8, 'interfaceMutiplier'), ['int'])),
                        ])
                        self.watchdoginterval = None
                        self.disableaction = None
                        self.interfacemutiplier = None
                        self._segment_path = lambda: "priorflowctrlwd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.PriorflowctrlwdItems, ['watchdoginterval', 'disableaction', 'interfacemutiplier'], name, value)



                class EeepItems(Entity):
                    """
                    
                    
                    .. attribute:: eeestate
                    
                    	Administrative state for port energy efficient ethernet (EEE) on the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEEState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEEState>`
                    
                    .. attribute:: eeelpi
                    
                    	Administrative port EEE LPI threshold of the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEELpi <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEELpi>`
                    
                    .. attribute:: eeelat
                    
                    	Administrative port EEE latency of the Layer 1 physical interface
                    	**type**\:  :py:class:`L1EEELatency <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEELatency>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.EeepItems, self).__init__()

                        self.yang_name = "eeep-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('eeestate', (YLeaf(YType.enumeration, 'eeeState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEEState', '')])),
                            ('eeelpi', (YLeaf(YType.enumeration, 'eeeLpi'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEELpi', '')])),
                            ('eeelat', (YLeaf(YType.enumeration, 'eeeLat'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEELatency', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.eeestate = None
                        self.eeelpi = None
                        self.eeelat = None
                        self.name = None
                        self.descr = None
                        self._segment_path = lambda: "eeep-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.EeepItems, ['eeestate', 'eeelpi', 'eeelat', 'name', 'descr'], name, value)



                class StormctrlpItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	Packet Type
                    	**type**\:  :py:class:`L1PktT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PktT>`
                    
                    .. attribute:: rate
                    
                    	Traffic rate
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: burstrate
                    
                    	Max burst size
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: ratepps
                    
                    	Tarffic rate
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: burstpps
                    
                    	Max burst size
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.StormctrlpItems, self).__init__()

                        self.yang_name = "stormctrlp-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PktT', '')])),
                            ('rate', (YLeaf(YType.str, 'rate'), ['Decimal64'])),
                            ('burstrate', (YLeaf(YType.str, 'burstRate'), ['Decimal64'])),
                            ('ratepps', (YLeaf(YType.uint32, 'ratePps'), ['int'])),
                            ('burstpps', (YLeaf(YType.uint32, 'burstPps'), ['int'])),
                        ])
                        self.type = None
                        self.rate = None
                        self.burstrate = None
                        self.ratepps = None
                        self.burstpps = None
                        self._segment_path = lambda: "stormctrlp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.StormctrlpItems, ['type', 'rate', 'burstrate', 'ratepps', 'burstpps'], name, value)



                class LoadpItems(Entity):
                    """
                    
                    
                    .. attribute:: loadintvl1
                    
                    	Port load sampling interval 1 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 5..300
                    
                    .. attribute:: loadintvl2
                    
                    	Port load sampling interval 2 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 5..300
                    
                    .. attribute:: loadintvl3
                    
                    	Port load sampling interval 3 at bit\-rate and packet\-rate statistics
                    	**type**\: int
                    
                    	**range:** 0..300
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.LoadpItems, self).__init__()

                        self.yang_name = "loadp-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('loadintvl1', (YLeaf(YType.uint16, 'loadIntvl1'), ['int'])),
                            ('loadintvl2', (YLeaf(YType.uint16, 'loadIntvl2'), ['int'])),
                            ('loadintvl3', (YLeaf(YType.uint16, 'loadIntvl3'), ['int'])),
                        ])
                        self.loadintvl1 = None
                        self.loadintvl2 = None
                        self.loadintvl3 = None
                        self._segment_path = lambda: "loadp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.LoadpItems, ['loadintvl1', 'loadintvl2', 'loadintvl3'], name, value)



                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.VrfItems, ['name'], name, value)



                class AggrifItems(Entity):
                    """
                    
                    
                    .. attribute:: numactiveports
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: activembrs
                    
                    	List of Active Members
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: nummbrup
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: operautoneg
                    
                    	negotiate auto
                    	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermtu
                    
                    	Operational Maximum transmission unit
                    	**type**\: int
                    
                    	**range:** 576..9216
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Administrative State
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operdescr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..254
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Failure Reason
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqualcode
                    
                    	Operational Port Status Syserror Code
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: opererrdisqual
                    
                    	Operational Port Error Disable Reason Code
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: operspeed
                    
                    	Operational Port Speed
                    	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermode
                    
                    	Operational Port Mode
                    	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
                    
                    	**config**\: False
                    
                    .. attribute:: operduplex
                    
                    	Operational Duplex State
                    	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
                    
                    	**config**\: False
                    
                    .. attribute:: operflowctrl
                    
                    	Operational Port Flow Control
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operphyenst
                    
                    	Operational Physical Port Enable State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: backplanemac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operroutermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: txt
                    
                    	Port Transmit Type
                    	**type**\:  :py:class:`L1TxT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TxT>`
                    
                    	**config**\: False
                    
                    .. attribute:: lastlinkstchg
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portcfgwaitflags
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: accessvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: nativevlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: cfgnativevlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: cfgaccessvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: primaryvlan
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operbitset
                    
                    	Port Oper Bitset
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdcid
                    
                    	Vdc Id
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: resetctr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: media
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: allowedvlans
                    
                    	Allowed Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opervlans
                    
                    	Operational Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: errvlans
                    
                    	Errored Vlans
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opertrunkstatus
                    
                    	Trunking Status
                    	**type**\:  :py:class:`EthpmTrunkStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmTrunkStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: bundleindex
                    
                    	Interface Bundle Index \- table for a particular output primitive
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: opermdix
                    
                    	Port Oper Mdix Mode
                    	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
                    
                    	**config**\: False
                    
                    .. attribute:: currerrindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lasterrors
                    
                    	Last Seen Errors
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: errdistimerrunning
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: bundlebupid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operdcemode
                    
                    	Operational Dce Mode
                    	**type**\:  :py:class:`L1DceMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1DceMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: intft
                    
                    	Interface Type
                    	**type**\:  :py:class:`L1IntfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1IntfT>`
                    
                    	**config**\: False
                    
                    .. attribute:: diags
                    
                    	Port Diags Type
                    	**type**\:  :py:class:`L1DiagsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1DiagsT>`
                    
                    	**config**\: False
                    
                    .. attribute:: opereeestate
                    
                    	Operational Port EEE State
                    	**type**\:  :py:class:`L1EEEState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1EEEState>`
                    
                    	**config**\: False
                    
                    .. attribute:: opereeetxwktime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: opereeerxwktime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: usercfgdflags
                    
                    	Port User Config Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numofsi
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: silist
                    
                    	Configured Sub\-interface Ids
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dynamicvlan
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: usage
                    
                    	Port Usage
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portcap_items
                    
                    	
                    	**type**\:  :py:class:`PortcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrifItems.PortcapItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.AggrifItems, self).__init__()

                        self.yang_name = "aggrif-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("portcap-items", ("portcap_items", System.IntfItems.AggrItems.AggrIfList.AggrifItems.PortcapItems))])
                        self._leafs = OrderedDict([
                            ('numactiveports', (YLeaf(YType.uint16, 'numActivePorts'), ['int'])),
                            ('activembrs', (YLeaf(YType.str, 'activeMbrs'), ['str'])),
                            ('nummbrup', (YLeaf(YType.uint8, 'numMbrUp'), ['int'])),
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('operautoneg', (YLeaf(YType.enumeration, 'operAutoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                            ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                            ('operdescr', (YLeaf(YType.str, 'operDescr'), ['str'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('operstqualcode', (YLeaf(YType.uint32, 'operStQualCode'), ['int'])),
                            ('opererrdisqual', (YLeaf(YType.enumeration, 'operErrDisQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('operspeed', (YLeaf(YType.enumeration, 'operSpeed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                            ('opermode', (YLeaf(YType.enumeration, 'operMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                            ('operduplex', (YLeaf(YType.enumeration, 'operDuplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                            ('operflowctrl', (YLeaf(YType.str, 'operFlowCtrl'), ['str'])),
                            ('operphyenst', (YLeaf(YType.enumeration, 'operPhyEnSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('backplanemac', (YLeaf(YType.str, 'backplaneMac'), ['str'])),
                            ('operroutermac', (YLeaf(YType.str, 'operRouterMac'), ['str'])),
                            ('txt', (YLeaf(YType.enumeration, 'txT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TxT', '')])),
                            ('lastlinkstchg', (YLeaf(YType.str, 'lastLinkStChg'), ['str'])),
                            ('portcfgwaitflags', (YLeaf(YType.uint32, 'portCfgWaitFlags'), ['int'])),
                            ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                            ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                            ('cfgnativevlan', (YLeaf(YType.str, 'cfgNativeVlan'), ['str'])),
                            ('cfgaccessvlan', (YLeaf(YType.str, 'cfgAccessVlan'), ['str'])),
                            ('primaryvlan', (YLeaf(YType.str, 'primaryVlan'), ['str'])),
                            ('operbitset', (YLeaf(YType.str, 'operBitset'), ['str'])),
                            ('vdcid', (YLeaf(YType.uint16, 'vdcId'), ['int'])),
                            ('resetctr', (YLeaf(YType.uint32, 'resetCtr'), ['int'])),
                            ('media', (YLeaf(YType.uint32, 'media'), ['int'])),
                            ('encap', (YLeaf(YType.uint32, 'encap'), ['int'])),
                            ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                            ('allowedvlans', (YLeaf(YType.str, 'allowedVlans'), ['str'])),
                            ('opervlans', (YLeaf(YType.str, 'operVlans'), ['str'])),
                            ('errvlans', (YLeaf(YType.str, 'errVlans'), ['str'])),
                            ('opertrunkstatus', (YLeaf(YType.enumeration, 'operTrunkStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmTrunkStatus', '')])),
                            ('bundleindex', (YLeaf(YType.str, 'bundleIndex'), ['str'])),
                            ('opermdix', (YLeaf(YType.enumeration, 'operMdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                            ('currerrindex', (YLeaf(YType.uint32, 'currErrIndex'), ['int'])),
                            ('lasterrors', (YLeaf(YType.str, 'lastErrors'), ['str'])),
                            ('errdistimerrunning', (YLeaf(YType.boolean, 'errDisTimerRunning'), ['bool'])),
                            ('bundlebupid', (YLeaf(YType.uint32, 'bundleBupId'), ['int'])),
                            ('operdcemode', (YLeaf(YType.enumeration, 'operDceMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1DceMode', '')])),
                            ('intft', (YLeaf(YType.enumeration, 'intfT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1IntfT', '')])),
                            ('diags', (YLeaf(YType.enumeration, 'diags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1DiagsT', '')])),
                            ('opereeestate', (YLeaf(YType.enumeration, 'operEEEState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1EEEState', '')])),
                            ('opereeetxwktime', (YLeaf(YType.uint32, 'operEEETxWkTime'), ['int'])),
                            ('opereeerxwktime', (YLeaf(YType.uint32, 'operEEERxWkTime'), ['int'])),
                            ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                            ('numofsi', (YLeaf(YType.uint32, 'numOfSI'), ['int'])),
                            ('silist', (YLeaf(YType.str, 'siList'), ['str'])),
                            ('dynamicvlan', (YLeaf(YType.boolean, 'dynamicVlan'), ['bool'])),
                            ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                        ])
                        self.numactiveports = None
                        self.activembrs = None
                        self.nummbrup = None
                        self.ifindex = None
                        self.operautoneg = None
                        self.opermtu = None
                        self.adminst = None
                        self.operdescr = None
                        self.operst = None
                        self.operstqual = None
                        self.operstqualcode = None
                        self.opererrdisqual = None
                        self.operspeed = None
                        self.opermode = None
                        self.operduplex = None
                        self.operflowctrl = None
                        self.operphyenst = None
                        self.backplanemac = None
                        self.operroutermac = None
                        self.txt = None
                        self.lastlinkstchg = None
                        self.portcfgwaitflags = None
                        self.accessvlan = None
                        self.nativevlan = None
                        self.cfgnativevlan = None
                        self.cfgaccessvlan = None
                        self.primaryvlan = None
                        self.operbitset = None
                        self.vdcid = None
                        self.resetctr = None
                        self.media = None
                        self.encap = None
                        self.iod = None
                        self.allowedvlans = None
                        self.opervlans = None
                        self.errvlans = None
                        self.opertrunkstatus = None
                        self.bundleindex = None
                        self.opermdix = None
                        self.currerrindex = None
                        self.lasterrors = None
                        self.errdistimerrunning = None
                        self.bundlebupid = None
                        self.operdcemode = None
                        self.intft = None
                        self.diags = None
                        self.opereeestate = None
                        self.opereeetxwktime = None
                        self.opereeerxwktime = None
                        self.usercfgdflags = None
                        self.numofsi = None
                        self.silist = None
                        self.dynamicvlan = None
                        self.usage = None

                        self.portcap_items = System.IntfItems.AggrItems.AggrIfList.AggrifItems.PortcapItems()
                        self.portcap_items.parent = self
                        self._children_name_map["portcap_items"] = "portcap-items"
                        self._segment_path = lambda: "aggrif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrifItems, ['numactiveports', 'activembrs', 'nummbrup', 'ifindex', 'operautoneg', 'opermtu', 'adminst', 'operdescr', 'operst', 'operstqual', 'operstqualcode', 'opererrdisqual', 'operspeed', 'opermode', 'operduplex', 'operflowctrl', 'operphyenst', 'backplanemac', 'operroutermac', 'txt', 'lastlinkstchg', 'portcfgwaitflags', 'accessvlan', 'nativevlan', 'cfgnativevlan', 'cfgaccessvlan', 'primaryvlan', 'operbitset', 'vdcid', 'resetctr', 'media', 'encap', 'iod', 'allowedvlans', 'opervlans', 'errvlans', 'opertrunkstatus', 'bundleindex', 'opermdix', 'currerrindex', 'lasterrors', 'errdistimerrunning', 'bundlebupid', 'operdcemode', 'intft', 'diags', 'opereeestate', 'opereeetxwktime', 'opereeerxwktime', 'usercfgdflags', 'numofsi', 'silist', 'dynamicvlan', 'usage'], name, value)


                    class PortcapItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	Port Identifier
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: speed
                        
                        	Speed Bitmask
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: duplex
                        
                        	Duplex Bitmask for simutaneous communication between interfaces
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: trunkencap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: channel
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: suppression
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: rxflowcontrol
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: txflowcontrol
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: cosrewrite
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: tosrewrite
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: span
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: udld
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: autoneg
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: linkdebounce
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: linkdebouncetime
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: fcotcapable
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ratemode
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: mdix
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: portgroup
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: ctscapable
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxprio
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxqueue
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qosrxthold
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxprio
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxqueue
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: qostxthold
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Port Model Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: portgrpmbrs
                        
                        	Port\-group Members
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: protosupport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: portcap
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: eeecapval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: eeewaketimes10g
                        
                        	EEE 10G Wake Times
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: eeeflapflags
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.AggrifItems.PortcapItems, self).__init__()

                            self.yang_name = "portcap-items"
                            self.yang_parent_name = "aggrif-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('speed', (YLeaf(YType.str, 'speed'), ['str'])),
                                ('duplex', (YLeaf(YType.str, 'duplex'), ['str'])),
                                ('trunkencap', (YLeaf(YType.uint8, 'trunkEncap'), ['int'])),
                                ('channel', (YLeaf(YType.uint8, 'channel'), ['int'])),
                                ('suppression', (YLeaf(YType.uint8, 'suppression'), ['int'])),
                                ('rxflowcontrol', (YLeaf(YType.uint8, 'rxFlowControl'), ['int'])),
                                ('txflowcontrol', (YLeaf(YType.uint8, 'txFlowControl'), ['int'])),
                                ('cosrewrite', (YLeaf(YType.uint8, 'cosRewrite'), ['int'])),
                                ('tosrewrite', (YLeaf(YType.uint8, 'tosRewrite'), ['int'])),
                                ('span', (YLeaf(YType.uint8, 'span'), ['int'])),
                                ('udld', (YLeaf(YType.uint8, 'udld'), ['int'])),
                                ('autoneg', (YLeaf(YType.uint8, 'autoneg'), ['int'])),
                                ('linkdebounce', (YLeaf(YType.uint8, 'linkDebounce'), ['int'])),
                                ('linkdebouncetime', (YLeaf(YType.uint8, 'linkDebounceTime'), ['int'])),
                                ('fcotcapable', (YLeaf(YType.uint8, 'fcotCapable'), ['int'])),
                                ('ratemode', (YLeaf(YType.uint8, 'rateMode'), ['int'])),
                                ('mdix', (YLeaf(YType.uint8, 'mdix'), ['int'])),
                                ('portgroup', (YLeaf(YType.uint8, 'portGroup'), ['int'])),
                                ('ctscapable', (YLeaf(YType.uint8, 'ctsCapable'), ['int'])),
                                ('qosrxprio', (YLeaf(YType.uint8, 'qosRxPrio'), ['int'])),
                                ('qosrxqueue', (YLeaf(YType.uint8, 'qosRxQueue'), ['int'])),
                                ('qosrxthold', (YLeaf(YType.uint8, 'qosRxThold'), ['int'])),
                                ('qostxprio', (YLeaf(YType.uint8, 'qosTxPrio'), ['int'])),
                                ('qostxqueue', (YLeaf(YType.uint8, 'qosTxQueue'), ['int'])),
                                ('qostxthold', (YLeaf(YType.uint8, 'qosTxThold'), ['int'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                ('portgrpmbrs', (YLeaf(YType.str, 'portGrpMbrs'), ['str'])),
                                ('protosupport', (YLeaf(YType.uint32, 'protoSupport'), ['int'])),
                                ('portcap', (YLeaf(YType.uint32, 'portCap'), ['int'])),
                                ('eeecapval', (YLeaf(YType.uint16, 'eeeCapVal'), ['int'])),
                                ('eeewaketimes10g', (YLeaf(YType.str, 'eeeWakeTimes10g'), ['str'])),
                                ('eeeflapflags', (YLeaf(YType.uint16, 'eeeFlapFlags'), ['int'])),
                            ])
                            self.id = None
                            self.speed = None
                            self.duplex = None
                            self.trunkencap = None
                            self.channel = None
                            self.suppression = None
                            self.rxflowcontrol = None
                            self.txflowcontrol = None
                            self.cosrewrite = None
                            self.tosrewrite = None
                            self.span = None
                            self.udld = None
                            self.autoneg = None
                            self.linkdebounce = None
                            self.linkdebouncetime = None
                            self.fcotcapable = None
                            self.ratemode = None
                            self.mdix = None
                            self.portgroup = None
                            self.ctscapable = None
                            self.qosrxprio = None
                            self.qosrxqueue = None
                            self.qosrxthold = None
                            self.qostxprio = None
                            self.qostxqueue = None
                            self.qostxthold = None
                            self.model = None
                            self.type = None
                            self.portgrpmbrs = None
                            self.protosupport = None
                            self.portcap = None
                            self.eeecapval = None
                            self.eeewaketimes10g = None
                            self.eeeflapflags = None
                            self._segment_path = lambda: "portcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrifItems.PortcapItems, ['id', 'speed', 'duplex', 'trunkencap', 'channel', 'suppression', 'rxflowcontrol', 'txflowcontrol', 'cosrewrite', 'tosrewrite', 'span', 'udld', 'autoneg', 'linkdebounce', 'linkdebouncetime', 'fcotcapable', 'ratemode', 'mdix', 'portgroup', 'ctscapable', 'qosrxprio', 'qosrxqueue', 'qosrxthold', 'qostxprio', 'qostxqueue', 'qostxthold', 'model', 'type', 'portgrpmbrs', 'protosupport', 'portcap', 'eeecapval', 'eeewaketimes10g', 'eeeflapflags'], name, value)




                class HwifdetailsItems(Entity):
                    """
                    
                    
                    .. attribute:: slice
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: sport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vif
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.HwifdetailsItems, self).__init__()

                        self.yang_name = "hwifdetails-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('slice', (YLeaf(YType.uint32, 'slice'), ['int'])),
                            ('sport', (YLeaf(YType.uint32, 'sPort'), ['int'])),
                            ('vif', (YLeaf(YType.uint32, 'vif'), ['int'])),
                        ])
                        self.slice = None
                        self.sport = None
                        self.vif = None
                        self._segment_path = lambda: "hwifdetails-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.HwifdetailsItems, ['slice', 'sport', 'vif'], name, value)



                class BundleInfoItems(Entity):
                    """
                    
                    
                    .. attribute:: opertype
                    
                    	P    ort channel type
                    	**type**\:  :py:class:`PcPortChannelType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcPortChannelType>`
                    
                    	**config**\: False
                    
                    .. attribute:: operprotocol
                    
                    	Port channel protocol
                    	**type**\:  :py:class:`PcPortChannelProtocol <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcPortChannelProtocol>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.BundleInfoItems, self).__init__()

                        self.yang_name = "bundleInfo-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('opertype', (YLeaf(YType.enumeration, 'operType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcPortChannelType', '')])),
                            ('operprotocol', (YLeaf(YType.enumeration, 'operProtocol'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcPortChannelProtocol', '')])),
                        ])
                        self.opertype = None
                        self.operprotocol = None
                        self._segment_path = lambda: "bundleInfo-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.BundleInfoItems, ['opertype', 'operprotocol'], name, value)



                class AggrExtdItems(Entity):
                    """
                    
                    
                    .. attribute:: potype
                    
                    	Port\-channel type
                    	**type**\:  :py:class:`PcPoType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcPoType>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: id
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: porttypefabric
                    
                    	Identifies if or not the port is a fabric\-facing port
                    	**type**\:  :py:class:`L1PortTypeFabric <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PortTypeFabric>`
                    
                    .. attribute:: routermacipv6extract
                    
                    	Disable/enable switchport ipv6 extract
                    	**type**\:  :py:class:`L1RouterMacIpv6Extract <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1RouterMacIpv6Extract>`
                    
                    .. attribute:: switchportblock
                    
                    	Disable/enable switchport block on interface
                    	**type**\: str
                    
                    .. attribute:: switchportmaclearn
                    
                    	Disable/enable mac learning on interface
                    	**type**\:  :py:class:`L1SwitchportMacLearn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SwitchportMacLearn>`
                    
                    .. attribute:: flowctrl
                    
                    	Disable/enable flowcontrol block on interface
                    	**type**\: str
                    
                    .. attribute:: stormctrlbcastlevel
                    
                    	storm\-control broadcast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlbcastpps
                    
                    	storm\-control broadcast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlmcastlevel
                    
                    	storm\-control multicast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlmcastpps
                    
                    	storm\-control multicast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlucastlevel
                    
                    	Storm control unicast level
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: stormctrlucastpps
                    
                    	Storm control unicast PPS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: stormctrlact
                    
                    	Storm control action
                    	**type**\: str
                    
                    .. attribute:: bufferboost
                    
                    	Disable/enable buffer boost on interface
                    	**type**\:  :py:class:`L1BufferBoost <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1BufferBoost>`
                    
                    .. attribute:: switchportvirtualethernetbridge
                    
                    	Disable/enable switchport virtual ethernet bridge on interface
                    	**type**\:  :py:class:`L1SwitchportVirtualEthernetBridge <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SwitchportVirtualEthernetBridge>`
                    
                    .. attribute:: allowmultitag
                    
                    	Allow Multitag
                    	**type**\:  :py:class:`L1AllowMultiTag <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AllowMultiTag>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems, self).__init__()

                        self.yang_name = "aggrExtd-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('potype', (YLeaf(YType.enumeration, 'poType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcPoType', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('porttypefabric', (YLeaf(YType.enumeration, 'portTypeFabric'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PortTypeFabric', '')])),
                            ('routermacipv6extract', (YLeaf(YType.enumeration, 'routerMacIpv6Extract'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1RouterMacIpv6Extract', '')])),
                            ('switchportblock', (YLeaf(YType.str, 'switchportBlock'), ['str'])),
                            ('switchportmaclearn', (YLeaf(YType.enumeration, 'switchportMacLearn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SwitchportMacLearn', '')])),
                            ('flowctrl', (YLeaf(YType.str, 'flowCtrl'), ['str'])),
                            ('stormctrlbcastlevel', (YLeaf(YType.str, 'stormCtrlBCastLevel'), ['Decimal64'])),
                            ('stormctrlbcastpps', (YLeaf(YType.uint32, 'stormCtrlBCastPPS'), ['int'])),
                            ('stormctrlmcastlevel', (YLeaf(YType.str, 'stormCtrlMCastLevel'), ['Decimal64'])),
                            ('stormctrlmcastpps', (YLeaf(YType.uint32, 'stormCtrlMCastPPS'), ['int'])),
                            ('stormctrlucastlevel', (YLeaf(YType.str, 'stormCtrlUCastLevel'), ['Decimal64'])),
                            ('stormctrlucastpps', (YLeaf(YType.uint32, 'stormCtrlUCastPPS'), ['int'])),
                            ('stormctrlact', (YLeaf(YType.str, 'stormCtrlAct'), ['str'])),
                            ('bufferboost', (YLeaf(YType.enumeration, 'bufferBoost'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1BufferBoost', '')])),
                            ('switchportvirtualethernetbridge', (YLeaf(YType.enumeration, 'switchportVirtualEthernetBridge'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SwitchportVirtualEthernetBridge', '')])),
                            ('allowmultitag', (YLeaf(YType.enumeration, 'allowMultiTag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AllowMultiTag', '')])),
                        ])
                        self.potype = None
                        self.name = None
                        self.descr = None
                        self.id = None
                        self.porttypefabric = None
                        self.routermacipv6extract = None
                        self.switchportblock = None
                        self.switchportmaclearn = None
                        self.flowctrl = None
                        self.stormctrlbcastlevel = None
                        self.stormctrlbcastpps = None
                        self.stormctrlmcastlevel = None
                        self.stormctrlmcastpps = None
                        self.stormctrlucastlevel = None
                        self.stormctrlucastpps = None
                        self.stormctrlact = None
                        self.bufferboost = None
                        self.switchportvirtualethernetbridge = None
                        self.allowmultitag = None

                        self.rtvrfmbr_items = System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "aggrExtd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems, ['potype', 'name', 'descr', 'id', 'porttypefabric', 'routermacipv6extract', 'switchportblock', 'switchportmaclearn', 'flowctrl', 'stormctrlbcastlevel', 'stormctrlbcastpps', 'stormctrlmcastlevel', 'stormctrlmcastpps', 'stormctrlucastlevel', 'stormctrlucastpps', 'stormctrlact', 'bufferboost', 'switchportvirtualethernetbridge', 'allowmultitag'], name, value)


                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "aggrExtd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "aggrExtd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.AggrExtdItems.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)





                class VlanmappingItems(Entity):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\: bool
                    
                    	**default value**\: false
                    
                    .. attribute:: vlantranslatetable_items
                    
                    	
                    	**type**\:  :py:class:`VlantranslatetableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems, self).__init__()

                        self.yang_name = "vlanmapping-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vlantranslatetable-items", ("vlantranslatetable_items", System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems))])
                        self._leafs = OrderedDict([
                            ('enabled', (YLeaf(YType.boolean, 'Enabled'), ['bool'])),
                        ])
                        self.enabled = None

                        self.vlantranslatetable_items = System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems()
                        self.vlantranslatetable_items.parent = self
                        self._children_name_map["vlantranslatetable_items"] = "vlantranslatetable-items"
                        self._segment_path = lambda: "vlanmapping-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems, ['enabled'], name, value)


                    class VlantranslatetableItems(Entity):
                        """
                        
                        
                        .. attribute:: vlan_items
                        
                        	
                        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems, self).__init__()

                            self.yang_name = "vlantranslatetable-items"
                            self.yang_parent_name = "vlanmapping-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems))])
                            self._leafs = OrderedDict()

                            self.vlan_items = System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems()
                            self.vlan_items.parent = self
                            self._children_name_map["vlan_items"] = "vlan-items"
                            self._segment_path = lambda: "vlantranslatetable-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems, [], name, value)


                        class VlanItems(Entity):
                            """
                            
                            
                            .. attribute:: vlantranslateentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VlanTranslateEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems, self).__init__()

                                self.yang_name = "vlan-items"
                                self.yang_parent_name = "vlantranslatetable-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VlanTranslateEntry-list", ("vlantranslateentry_list", System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList))])
                                self._leafs = OrderedDict()

                                self.vlantranslateentry_list = YList(self)
                                self._segment_path = lambda: "vlan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems, [], name, value)


                            class VlanTranslateEntryList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan Id
                                	**type**\: str
                                
                                .. attribute:: innervlanid
                                
                                	Inner Vlan Id
                                	**type**\: str
                                
                                .. attribute:: translatevlanid
                                
                                	Translate Vlan Id
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList, self).__init__()

                                    self.yang_name = "VlanTranslateEntry-list"
                                    self.yang_parent_name = "vlan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.str, 'vlanid'), ['str'])),
                                        ('innervlanid', (YLeaf(YType.str, 'innervlanid'), ['str'])),
                                        ('translatevlanid', (YLeaf(YType.str, 'translatevlanid'), ['str'])),
                                    ])
                                    self.vlanid = None
                                    self.innervlanid = None
                                    self.translatevlanid = None
                                    self._segment_path = lambda: "VlanTranslateEntry-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.VlanmappingItems.VlantranslatetableItems.VlanItems.VlanTranslateEntryList, ['vlanid', 'innervlanid', 'translatevlanid'], name, value)






                class BndlmbrifItems(Entity):
                    """
                    
                    
                    .. attribute:: bndlmbrif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`BndlMbrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems.BndlMbrIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems, self).__init__()

                        self.yang_name = "bndlmbrif-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("BndlMbrIf-list", ("bndlmbrif_list", System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems.BndlMbrIfList))])
                        self._leafs = OrderedDict()

                        self.bndlmbrif_list = YList(self)
                        self._segment_path = lambda: "bndlmbrif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems, [], name, value)


                    class BndlMbrIfList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Interface index
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems.BndlMbrIfList, self).__init__()

                            self.yang_name = "BndlMbrIf-list"
                            self.yang_parent_name = "bndlmbrif-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ])
                            self.id = None
                            self._segment_path = lambda: "BndlMbrIf-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.BndlmbrifItems.BndlMbrIfList, ['id'], name, value)




                class MultisiteiftrackingItems(Entity):
                    """
                    
                    
                    .. attribute:: tracking
                    
                    	Configure EVPN multisite tracking for DCI/Fabric interface
                    	**type**\:  :py:class:`NvoMultisiteTrackingT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteTrackingT>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.MultisiteiftrackingItems, self).__init__()

                        self.yang_name = "multisiteiftracking-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tracking', (YLeaf(YType.enumeration, 'tracking'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteTrackingT', '')])),
                        ])
                        self.tracking = None
                        self._segment_path = lambda: "multisiteiftracking-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.MultisiteiftrackingItems, ['tracking'], name, value)



                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: domdef_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("DomDef-list", ("domdef_list", System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList))])
                        self._leafs = OrderedDict()

                        self.domdef_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems, [], name, value)


                    class DomDefList(Entity):
                        """
                        
                        
                        .. attribute:: dompkey  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: instrimedcy
                        
                        	TBD
                        	**type**\:  :py:class:`FvImmediacy_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FvImmediacy_>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: rsdomdefns_items
                        
                        	
                        	**type**\:  :py:class:`RsdomDefNsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsdomdefnslocal_items
                        
                        	
                        	**type**\:  :py:class:`RsdomDefNsLocalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtfvtodomdef_items
                        
                        	
                        	**type**\:  :py:class:`RtfvToDomDefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList, self).__init__()

                            self.yang_name = "DomDef-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['dompkey']
                            self._child_classes = OrderedDict([("rsdomDefNs-items", ("rsdomdefns_items", System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems)), ("rsdomDefNsLocal-items", ("rsdomdefnslocal_items", System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems)), ("rtfvToDomDef-items", ("rtfvtodomdef_items", System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems))])
                            self._leafs = OrderedDict([
                                ('dompkey', (YLeaf(YType.str, 'domPKey'), ['str'])),
                                ('instrimedcy', (YLeaf(YType.enumeration, 'instrImedcy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FvImmediacy_', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.dompkey = None
                            self.instrimedcy = None
                            self.name = None

                            self.rsdomdefns_items = System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems()
                            self.rsdomdefns_items.parent = self
                            self._children_name_map["rsdomdefns_items"] = "rsdomDefNs-items"

                            self.rsdomdefnslocal_items = System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems()
                            self.rsdomdefnslocal_items.parent = self
                            self._children_name_map["rsdomdefnslocal_items"] = "rsdomDefNsLocal-items"

                            self.rtfvtodomdef_items = System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems()
                            self.rtfvtodomdef_items.parent = self
                            self._children_name_map["rtfvtodomdef_items"] = "rtfvToDomDef-items"
                            self._segment_path = lambda: "DomDef-list" + "[domPKey='" + str(self.dompkey) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList, ['dompkey', 'instrimedcy', 'name'], name, value)


                        class RsdomDefNsItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems, self).__init__()

                                self.yang_name = "rsdomDefNs-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsdomDefNs-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems, ['tdn', 'tcl'], name, value)



                        class RsdomDefNsLocalItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems, self).__init__()

                                self.yang_name = "rsdomDefNsLocal-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsdomDefNsLocal-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems, ['tdn', 'tcl'], name, value)



                        class RtfvToDomDefItems(Entity):
                            """
                            
                            
                            .. attribute:: rtfvtodomdef_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtFvToDomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems, self).__init__()

                                self.yang_name = "rtfvToDomDef-items"
                                self.yang_parent_name = "DomDef-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtFvToDomDef-list", ("rtfvtodomdef_list", System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList))])
                                self._leafs = OrderedDict()

                                self.rtfvtodomdef_list = YList(self)
                                self._segment_path = lambda: "rtfvToDomDef-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems, [], name, value)


                            class RtFvToDomDefList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, self).__init__()

                                    self.yang_name = "RtFvToDomDef-list"
                                    self.yang_parent_name = "rtfvToDomDef-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtFvToDomDef-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, ['tdn', 'tcl'], name, value)






                class RtfexBndlGrpToAggrIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtfexBndlGrpToAggrIfItems, self).__init__()

                        self.yang_name = "rtfexBndlGrpToAggrIf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtfexBndlGrpToAggrIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtfexBndlGrpToAggrIfItems, ['tdn', 'tcl'], name, value)



                class RtaccBndlGrpToAggrIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtaccBndlGrpToAggrIfItems, self).__init__()

                        self.yang_name = "rtaccBndlGrpToAggrIf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtaccBndlGrpToAggrIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtaccBndlGrpToAggrIfItems, ['tdn', 'tcl'], name, value)



                class RtextConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtextConfItems, self).__init__()

                        self.yang_name = "rtextConf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtextConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtextConfItems, ['tdn', 'tcl'], name, value)



                class RtbrConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtbrConfItems, self).__init__()

                        self.yang_name = "rtbrConf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtbrConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtbrConfItems, ['tdn', 'tcl'], name, value)



                class RtvpcConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtvpcConfItems, self).__init__()

                        self.yang_name = "rtvpcConf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvpcConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtvpcConfItems, ['tdn', 'tcl'], name, value)



                class RtfvNodePortAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvnodeportatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvNodePortAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems, self).__init__()

                        self.yang_name = "rtfvNodePortAtt-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvNodePortAtt-list", ("rtfvnodeportatt_list", System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList))])
                        self._leafs = OrderedDict()

                        self.rtfvnodeportatt_list = YList(self)
                        self._segment_path = lambda: "rtfvNodePortAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems, [], name, value)


                    class RtFvNodePortAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList, self).__init__()

                            self.yang_name = "RtFvNodePortAtt-list"
                            self.yang_parent_name = "rtfvNodePortAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvNodePortAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList, ['tdn', 'tcl'], name, value)




                class RsmbrIfsItems(Entity):
                    """
                    
                    
                    .. attribute:: rsmbrifs_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsMbrIfsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems, self).__init__()

                        self.yang_name = "rsmbrIfs-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsMbrIfs-list", ("rsmbrifs_list", System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList))])
                        self._leafs = OrderedDict()

                        self.rsmbrifs_list = YList(self)
                        self._segment_path = lambda: "rsmbrIfs-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems, [], name, value)


                    class RsMbrIfsList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: ismbrforce
                        
                        	Channel group force
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList, self).__init__()

                            self.yang_name = "RsMbrIfs-list"
                            self.yang_parent_name = "rsmbrIfs-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('ismbrforce', (YLeaf(YType.boolean, 'isMbrForce'), ['bool'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.ismbrforce = None
                            self._segment_path = lambda: "RsMbrIfs-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList, ['tdn', 'tcl', 'ismbrforce'], name, value)




                class RslacpPolConsItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RslacpPolConsItems, self).__init__()

                        self.yang_name = "rslacpPolCons-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rslacpPolCons-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RslacpPolConsItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtphysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtphysRtdConfItems, self).__init__()

                        self.yang_name = "rtphysRtdConf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtphysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtphysRtdConfItems, ['tdn', 'tcl'], name, value)



                class Rtl3EncPhysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtl3encphysrtdconf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtL3EncPhysRtdConfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems, self).__init__()

                        self.yang_name = "rtl3EncPhysRtdConf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtL3EncPhysRtdConf-list", ("rtl3encphysrtdconf_list", System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList))])
                        self._leafs = OrderedDict()

                        self.rtl3encphysrtdconf_list = YList(self)
                        self._segment_path = lambda: "rtl3EncPhysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems, [], name, value)


                    class RtL3EncPhysRtdConfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, self).__init__()

                            self.yang_name = "RtL3EncPhysRtdConf-list"
                            self.yang_parent_name = "rtl3EncPhysRtdConf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtL3EncPhysRtdConf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, ['tdn', 'tcl'], name, value)




                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




                class RtLsNodeToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.RtLsNodeToIfItems, self).__init__()

                        self.yang_name = "rtLsNodeToIf-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtLsNodeToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.RtLsNodeToIfItems, ['tdn', 'tcl'], name, value)



                class DbgIfInItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: errors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: unknownprotos
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: unknownetype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nobuffer
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rateinterval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: octetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: packetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIfInItems, self).__init__()

                        self.yang_name = "dbgIfIn-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                            ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                            ('unknownprotos', (YLeaf(YType.uint64, 'unknownProtos'), ['int'])),
                            ('unknownetype', (YLeaf(YType.uint64, 'unknownEtype'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('nobuffer', (YLeaf(YType.uint64, 'noBuffer'), ['int'])),
                            ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                            ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                            ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.nucastpkts = None
                        self.discards = None
                        self.errors = None
                        self.unknownprotos = None
                        self.unknownetype = None
                        self.broadcastpkts = None
                        self.multicastpkts = None
                        self.nobuffer = None
                        self.rateinterval = None
                        self.octetrate = None
                        self.packetrate = None
                        self._segment_path = lambda: "dbgIfIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIfInItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'unknownprotos', 'unknownetype', 'broadcastpkts', 'multicastpkts', 'nobuffer', 'rateinterval', 'octetrate', 'packetrate'], name, value)



                class DbgIfOutItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: errors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: qlen
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rateinterval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: octetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: packetrate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIfOutItems, self).__init__()

                        self.yang_name = "dbgIfOut-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('nucastpkts', (YLeaf(YType.uint64, 'nUcastPkts'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                            ('errors', (YLeaf(YType.uint64, 'errors'), ['int'])),
                            ('qlen', (YLeaf(YType.uint64, 'qLen'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('rateinterval', (YLeaf(YType.uint32, 'rateInterval'), ['int'])),
                            ('octetrate', (YLeaf(YType.uint64, 'octetRate'), ['int'])),
                            ('packetrate', (YLeaf(YType.uint64, 'packetRate'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.nucastpkts = None
                        self.discards = None
                        self.errors = None
                        self.qlen = None
                        self.broadcastpkts = None
                        self.multicastpkts = None
                        self.rateinterval = None
                        self.octetrate = None
                        self.packetrate = None
                        self._segment_path = lambda: "dbgIfOut-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIfOutItems, ['octets', 'ucastpkts', 'nucastpkts', 'discards', 'errors', 'qlen', 'broadcastpkts', 'multicastpkts', 'rateinterval', 'octetrate', 'packetrate'], name, value)



                class DbgIpInItems(Entity):
                    """
                    
                    
                    .. attribute:: receives
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: hdrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: forwdatagrams
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: discards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIpInItems, self).__init__()

                        self.yang_name = "dbgIpIn-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('receives', (YLeaf(YType.uint64, 'receives'), ['int'])),
                            ('hdrerrors', (YLeaf(YType.uint64, 'hdrErrors'), ['int'])),
                            ('forwdatagrams', (YLeaf(YType.uint64, 'forwDatagrams'), ['int'])),
                            ('discards', (YLeaf(YType.uint64, 'discards'), ['int'])),
                        ])
                        self.receives = None
                        self.hdrerrors = None
                        self.forwdatagrams = None
                        self.discards = None
                        self._segment_path = lambda: "dbgIpIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIpInItems, ['receives', 'hdrerrors', 'forwdatagrams', 'discards'], name, value)



                class DbgDot1dItems(Entity):
                    """
                    
                    
                    .. attribute:: baseportdelayexceededdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: baseportmtuexceededdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tpportinframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tpportoutframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: portindiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgDot1dItems, self).__init__()

                        self.yang_name = "dbgDot1d-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('baseportdelayexceededdiscards', (YLeaf(YType.uint64, 'basePortDelayExceededDiscards'), ['int'])),
                            ('baseportmtuexceededdiscards', (YLeaf(YType.uint64, 'basePortMtuExceededDiscards'), ['int'])),
                            ('tpportinframes', (YLeaf(YType.uint64, 'tpPortInFrames'), ['int'])),
                            ('tpportoutframes', (YLeaf(YType.uint64, 'tpPortOutFrames'), ['int'])),
                            ('portindiscards', (YLeaf(YType.uint64, 'portInDiscards'), ['int'])),
                        ])
                        self.baseportdelayexceededdiscards = None
                        self.baseportmtuexceededdiscards = None
                        self.tpportinframes = None
                        self.tpportoutframes = None
                        self.portindiscards = None
                        self._segment_path = lambda: "dbgDot1d-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgDot1dItems, ['baseportdelayexceededdiscards', 'baseportmtuexceededdiscards', 'tpportinframes', 'tpportoutframes', 'portindiscards'], name, value)



                class DbgEtherStatsItems(Entity):
                    """
                    
                    
                    .. attribute:: dropevents
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: undersizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: giantpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: stormsupressedpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts64octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts65to127octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts128to255octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts256to511octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts512to1023octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts1024to1518octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxpkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txpkts1519to1548octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: oversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: jabbers
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: collisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: crcalignerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txnoerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxnoerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxoversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txoversizepkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: overrun
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: underrun
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ignored
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: watchdog
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ifdowndrop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgEtherStatsItems, self).__init__()

                        self.yang_name = "dbgEtherStats-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('dropevents', (YLeaf(YType.uint64, 'dropEvents'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                            ('undersizepkts', (YLeaf(YType.uint64, 'undersizePkts'), ['int'])),
                            ('giantpkts', (YLeaf(YType.uint64, 'giantPkts'), ['int'])),
                            ('stormsupressedpkts', (YLeaf(YType.uint64, 'stormSupressedPkts'), ['int'])),
                            ('fragments', (YLeaf(YType.uint64, 'fragments'), ['int'])),
                            ('pkts64octets', (YLeaf(YType.uint64, 'pkts64Octets'), ['int'])),
                            ('pkts65to127octets', (YLeaf(YType.uint64, 'pkts65to127Octets'), ['int'])),
                            ('pkts128to255octets', (YLeaf(YType.uint64, 'pkts128to255Octets'), ['int'])),
                            ('pkts256to511octets', (YLeaf(YType.uint64, 'pkts256to511Octets'), ['int'])),
                            ('pkts512to1023octets', (YLeaf(YType.uint64, 'pkts512to1023Octets'), ['int'])),
                            ('pkts1024to1518octets', (YLeaf(YType.uint64, 'pkts1024to1518Octets'), ['int'])),
                            ('pkts1519to1548octets', (YLeaf(YType.uint64, 'pkts1519to1548Octets'), ['int'])),
                            ('rxpkts64octets', (YLeaf(YType.uint64, 'rxPkts64Octets'), ['int'])),
                            ('txpkts64octets', (YLeaf(YType.uint64, 'txPkts64Octets'), ['int'])),
                            ('rxpkts65to127octets', (YLeaf(YType.uint64, 'rxPkts65to127Octets'), ['int'])),
                            ('txpkts65to127octets', (YLeaf(YType.uint64, 'txPkts65to127Octets'), ['int'])),
                            ('rxpkts128to255octets', (YLeaf(YType.uint64, 'rxPkts128to255Octets'), ['int'])),
                            ('txpkts128to255octets', (YLeaf(YType.uint64, 'txPkts128to255Octets'), ['int'])),
                            ('rxpkts256to511octets', (YLeaf(YType.uint64, 'rxPkts256to511Octets'), ['int'])),
                            ('txpkts256to511octets', (YLeaf(YType.uint64, 'txPkts256to511Octets'), ['int'])),
                            ('rxpkts512to1023octets', (YLeaf(YType.uint64, 'rxPkts512to1023Octets'), ['int'])),
                            ('txpkts512to1023octets', (YLeaf(YType.uint64, 'txPkts512to1023Octets'), ['int'])),
                            ('rxpkts1024to1518octets', (YLeaf(YType.uint64, 'rxPkts1024to1518Octets'), ['int'])),
                            ('txpkts1024to1518octets', (YLeaf(YType.uint64, 'txPkts1024to1518Octets'), ['int'])),
                            ('rxpkts1519to1548octets', (YLeaf(YType.uint64, 'rxPkts1519to1548Octets'), ['int'])),
                            ('txpkts1519to1548octets', (YLeaf(YType.uint64, 'txPkts1519to1548Octets'), ['int'])),
                            ('oversizepkts', (YLeaf(YType.uint64, 'oversizePkts'), ['int'])),
                            ('jabbers', (YLeaf(YType.uint64, 'jabbers'), ['int'])),
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('pkts', (YLeaf(YType.uint64, 'pkts'), ['int'])),
                            ('collisions', (YLeaf(YType.uint64, 'collisions'), ['int'])),
                            ('crcalignerrors', (YLeaf(YType.uint64, 'cRCAlignErrors'), ['int'])),
                            ('txnoerrors', (YLeaf(YType.uint64, 'tXNoErrors'), ['int'])),
                            ('rxnoerrors', (YLeaf(YType.uint64, 'rXNoErrors'), ['int'])),
                            ('rxoversizepkts', (YLeaf(YType.uint64, 'rxOversizePkts'), ['int'])),
                            ('txoversizepkts', (YLeaf(YType.uint64, 'txOversizePkts'), ['int'])),
                            ('overrun', (YLeaf(YType.uint64, 'overrun'), ['int'])),
                            ('underrun', (YLeaf(YType.uint64, 'underrun'), ['int'])),
                            ('ignored', (YLeaf(YType.uint64, 'ignored'), ['int'])),
                            ('watchdog', (YLeaf(YType.uint64, 'watchdog'), ['int'])),
                            ('ifdowndrop', (YLeaf(YType.uint64, 'ifdowndrop'), ['int'])),
                        ])
                        self.dropevents = None
                        self.multicastpkts = None
                        self.broadcastpkts = None
                        self.undersizepkts = None
                        self.giantpkts = None
                        self.stormsupressedpkts = None
                        self.fragments = None
                        self.pkts64octets = None
                        self.pkts65to127octets = None
                        self.pkts128to255octets = None
                        self.pkts256to511octets = None
                        self.pkts512to1023octets = None
                        self.pkts1024to1518octets = None
                        self.pkts1519to1548octets = None
                        self.rxpkts64octets = None
                        self.txpkts64octets = None
                        self.rxpkts65to127octets = None
                        self.txpkts65to127octets = None
                        self.rxpkts128to255octets = None
                        self.txpkts128to255octets = None
                        self.rxpkts256to511octets = None
                        self.txpkts256to511octets = None
                        self.rxpkts512to1023octets = None
                        self.txpkts512to1023octets = None
                        self.rxpkts1024to1518octets = None
                        self.txpkts1024to1518octets = None
                        self.rxpkts1519to1548octets = None
                        self.txpkts1519to1548octets = None
                        self.oversizepkts = None
                        self.jabbers = None
                        self.octets = None
                        self.pkts = None
                        self.collisions = None
                        self.crcalignerrors = None
                        self.txnoerrors = None
                        self.rxnoerrors = None
                        self.rxoversizepkts = None
                        self.txoversizepkts = None
                        self.overrun = None
                        self.underrun = None
                        self.ignored = None
                        self.watchdog = None
                        self.ifdowndrop = None
                        self._segment_path = lambda: "dbgEtherStats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgEtherStatsItems, ['dropevents', 'multicastpkts', 'broadcastpkts', 'undersizepkts', 'giantpkts', 'stormsupressedpkts', 'fragments', 'pkts64octets', 'pkts65to127octets', 'pkts128to255octets', 'pkts256to511octets', 'pkts512to1023octets', 'pkts1024to1518octets', 'pkts1519to1548octets', 'rxpkts64octets', 'txpkts64octets', 'rxpkts65to127octets', 'txpkts65to127octets', 'rxpkts128to255octets', 'txpkts128to255octets', 'rxpkts256to511octets', 'txpkts256to511octets', 'rxpkts512to1023octets', 'txpkts512to1023octets', 'rxpkts1024to1518octets', 'txpkts1024to1518octets', 'rxpkts1519to1548octets', 'txpkts1519to1548octets', 'oversizepkts', 'jabbers', 'octets', 'pkts', 'collisions', 'crcalignerrors', 'txnoerrors', 'rxnoerrors', 'rxoversizepkts', 'txoversizepkts', 'overrun', 'underrun', 'ignored', 'watchdog', 'ifdowndrop'], name, value)



                class DbgDot3StatsItems(Entity):
                    """
                    
                    
                    .. attribute:: alignmenterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fcserrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: singlecollisionframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multiplecollisionframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sqettesterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: deferredtransmissions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: latecollisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: excessivecollisions
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: internalmactransmiterrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: carriersenseerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: frametoolongs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: internalmacreceiveerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: symbolerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: controlinunknownopcodes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inpauseframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outpauseframes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: lostcarriererrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: nocarriererrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inputdribble
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: babble
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: runts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgDot3StatsItems, self).__init__()

                        self.yang_name = "dbgDot3Stats-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('alignmenterrors', (YLeaf(YType.uint64, 'alignmentErrors'), ['int'])),
                            ('fcserrors', (YLeaf(YType.uint64, 'fCSErrors'), ['int'])),
                            ('singlecollisionframes', (YLeaf(YType.uint64, 'singleCollisionFrames'), ['int'])),
                            ('multiplecollisionframes', (YLeaf(YType.uint64, 'multipleCollisionFrames'), ['int'])),
                            ('sqettesterrors', (YLeaf(YType.uint64, 'sQETTestErrors'), ['int'])),
                            ('deferredtransmissions', (YLeaf(YType.uint64, 'deferredTransmissions'), ['int'])),
                            ('latecollisions', (YLeaf(YType.uint64, 'lateCollisions'), ['int'])),
                            ('excessivecollisions', (YLeaf(YType.uint64, 'excessiveCollisions'), ['int'])),
                            ('internalmactransmiterrors', (YLeaf(YType.uint64, 'internalMacTransmitErrors'), ['int'])),
                            ('carriersenseerrors', (YLeaf(YType.uint64, 'carrierSenseErrors'), ['int'])),
                            ('frametoolongs', (YLeaf(YType.uint64, 'frameTooLongs'), ['int'])),
                            ('internalmacreceiveerrors', (YLeaf(YType.uint64, 'internalMacReceiveErrors'), ['int'])),
                            ('symbolerrors', (YLeaf(YType.uint64, 'symbolErrors'), ['int'])),
                            ('controlinunknownopcodes', (YLeaf(YType.uint64, 'controlInUnknownOpcodes'), ['int'])),
                            ('inpauseframes', (YLeaf(YType.uint64, 'inPauseFrames'), ['int'])),
                            ('outpauseframes', (YLeaf(YType.uint64, 'outPauseFrames'), ['int'])),
                            ('lostcarriererrors', (YLeaf(YType.uint64, 'lostCarrierErrors'), ['int'])),
                            ('nocarriererrors', (YLeaf(YType.uint64, 'noCarrierErrors'), ['int'])),
                            ('inputdribble', (YLeaf(YType.uint64, 'inputdribble'), ['int'])),
                            ('babble', (YLeaf(YType.uint64, 'babble'), ['int'])),
                            ('runts', (YLeaf(YType.uint64, 'runts'), ['int'])),
                        ])
                        self.alignmenterrors = None
                        self.fcserrors = None
                        self.singlecollisionframes = None
                        self.multiplecollisionframes = None
                        self.sqettesterrors = None
                        self.deferredtransmissions = None
                        self.latecollisions = None
                        self.excessivecollisions = None
                        self.internalmactransmiterrors = None
                        self.carriersenseerrors = None
                        self.frametoolongs = None
                        self.internalmacreceiveerrors = None
                        self.symbolerrors = None
                        self.controlinunknownopcodes = None
                        self.inpauseframes = None
                        self.outpauseframes = None
                        self.lostcarriererrors = None
                        self.nocarriererrors = None
                        self.inputdribble = None
                        self.babble = None
                        self.runts = None
                        self._segment_path = lambda: "dbgDot3Stats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgDot3StatsItems, ['alignmenterrors', 'fcserrors', 'singlecollisionframes', 'multiplecollisionframes', 'sqettesterrors', 'deferredtransmissions', 'latecollisions', 'excessivecollisions', 'internalmactransmiterrors', 'carriersenseerrors', 'frametoolongs', 'internalmacreceiveerrors', 'symbolerrors', 'controlinunknownopcodes', 'inpauseframes', 'outpauseframes', 'lostcarriererrors', 'nocarriererrors', 'inputdribble', 'babble', 'runts'], name, value)



                class DbgIfHCInItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIfHCInItems, self).__init__()

                        self.yang_name = "dbgIfHCIn-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.multicastpkts = None
                        self.broadcastpkts = None
                        self._segment_path = lambda: "dbgIfHCIn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIfHCInItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpkts'], name, value)



                class DbgIfHCOutItems(Entity):
                    """
                    
                    
                    .. attribute:: octets
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: multicastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpckts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: broadcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIfHCOutItems, self).__init__()

                        self.yang_name = "dbgIfHCOut-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('octets', (YLeaf(YType.uint64, 'octets'), ['int'])),
                            ('ucastpkts', (YLeaf(YType.uint64, 'ucastPkts'), ['int'])),
                            ('multicastpkts', (YLeaf(YType.uint64, 'multicastPkts'), ['int'])),
                            ('broadcastpckts', (YLeaf(YType.uint64, 'broadcastPckts'), ['int'])),
                            ('broadcastpkts', (YLeaf(YType.uint64, 'broadcastPkts'), ['int'])),
                        ])
                        self.octets = None
                        self.ucastpkts = None
                        self.multicastpkts = None
                        self.broadcastpckts = None
                        self.broadcastpkts = None
                        self._segment_path = lambda: "dbgIfHCOut-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIfHCOutItems, ['octets', 'ucastpkts', 'multicastpkts', 'broadcastpckts', 'broadcastpkts'], name, value)



                class DbgIpv6IfStatsItems(Entity):
                    """
                    
                    
                    .. attribute:: inreceives
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inhdrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inaddrerrors
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: indiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outforwdatagrams
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outdiscards
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: inmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: outmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIpv6IfStatsItems, self).__init__()

                        self.yang_name = "dbgIpv6IfStats-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('inreceives', (YLeaf(YType.uint64, 'inReceives'), ['int'])),
                            ('inhdrerrors', (YLeaf(YType.uint64, 'inHdrErrors'), ['int'])),
                            ('inaddrerrors', (YLeaf(YType.uint64, 'inAddrErrors'), ['int'])),
                            ('indiscards', (YLeaf(YType.uint64, 'inDiscards'), ['int'])),
                            ('outforwdatagrams', (YLeaf(YType.uint64, 'outForwDatagrams'), ['int'])),
                            ('outdiscards', (YLeaf(YType.uint64, 'outDiscards'), ['int'])),
                            ('inmcastpkts', (YLeaf(YType.uint64, 'inMcastPkts'), ['int'])),
                            ('outmcastpkts', (YLeaf(YType.uint64, 'outMcastPkts'), ['int'])),
                        ])
                        self.inreceives = None
                        self.inhdrerrors = None
                        self.inaddrerrors = None
                        self.indiscards = None
                        self.outforwdatagrams = None
                        self.outdiscards = None
                        self.inmcastpkts = None
                        self.outmcastpkts = None
                        self._segment_path = lambda: "dbgIpv6IfStats-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIpv6IfStatsItems, ['inreceives', 'inhdrerrors', 'inaddrerrors', 'indiscards', 'outforwdatagrams', 'outdiscards', 'inmcastpkts', 'outmcastpkts'], name, value)



                class DbgIfStormItems(Entity):
                    """
                    
                    
                    .. attribute:: dropbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.AggrItems.AggrIfList.DbgIfStormItems, self).__init__()

                        self.yang_name = "dbgIfStorm-items"
                        self.yang_parent_name = "AggrIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                        ])
                        self.dropbytes = None
                        self._segment_path = lambda: "dbgIfStorm-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.AggrItems.AggrIfList.DbgIfStormItems, ['dropbytes'], name, value)





        class RtdItems(Entity):
            """
            
            
            .. attribute:: rtdif_list
            
            	
            	**type**\: list of  		 :py:class:`RtdIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.RtdItems, self).__init__()

                self.yang_name = "rtd-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RtdIf-list", ("rtdif_list", System.IntfItems.RtdItems.RtdIfList))])
                self._leafs = OrderedDict()

                self.rtdif_list = YList(self)
                self._segment_path = lambda: "rtd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.RtdItems, [], name, value)


            class RtdIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: rtpseudoif_items
                
                	
                	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList.RtpseudoIfItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList.RtvrfMbrItems>`
                
                .. attribute:: rsphysrtdconf_items
                
                	
                	**type**\:  :py:class:`RsphysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList.RsphysRtdConfItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.RtdItems.RtdIfList, self).__init__()

                    self.yang_name = "RtdIf-list"
                    self.yang_parent_name = "rtd-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rtpseudoIf-items", ("rtpseudoif_items", System.IntfItems.RtdItems.RtdIfList.RtpseudoIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.RtdItems.RtdIfList.RtvrfMbrItems)), ("rsphysRtdConf-items", ("rsphysrtdconf_items", System.IntfItems.RtdItems.RtdIfList.RsphysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ])
                    self.id = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.rtpseudoif_items = System.IntfItems.RtdItems.RtdIfList.RtpseudoIfItems()
                    self.rtpseudoif_items.parent = self
                    self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                    self.rtvrfmbr_items = System.IntfItems.RtdItems.RtdIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rsphysrtdconf_items = System.IntfItems.RtdItems.RtdIfList.RsphysRtdConfItems()
                    self.rsphysrtdconf_items.parent = self
                    self._children_name_map["rsphysrtdconf_items"] = "rsphysRtdConf-items"

                    self.rtnwpathtoif_items = System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "RtdIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/rtd-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.RtdItems.RtdIfList, ['id', 'name', 'descr', 'adminst'], name, value)


                class RtpseudoIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.RtdItems.RtdIfList.RtpseudoIfItems, self).__init__()

                        self.yang_name = "rtpseudoIf-items"
                        self.yang_parent_name = "RtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtpseudoIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.RtdItems.RtdIfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.RtdItems.RtdIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "RtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.RtdItems.RtdIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RsphysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                    
                    	**config**\: False
                    
                    .. attribute:: statequal
                    
                    	State Qualifier
                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: ttype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                    
                    	**config**\: False
                    
                    .. attribute:: forceresolve
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.RtdItems.RtdIfList.RsphysRtdConfItems, self).__init__()

                        self.yang_name = "rsphysRtdConf-items"
                        self.yang_parent_name = "RtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.state = None
                        self.statequal = None
                        self.ttype = None
                        self.rtype = None
                        self.forceresolve = None
                        self._segment_path = lambda: "rsphysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.RtdItems.RtdIfList.RsphysRtdConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "RtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.RtdItems.RtdIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






        class LbItems(Entity):
            """
            
            
            .. attribute:: lbrtdif_list
            
            	
            	**type**\: list of  		 :py:class:`LbRtdIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.LbItems, self).__init__()

                self.yang_name = "lb-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("LbRtdIf-list", ("lbrtdif_list", System.IntfItems.LbItems.LbRtdIfList))])
                self._leafs = OrderedDict()

                self.lbrtdif_list = YList(self)
                self._segment_path = lambda: "lb-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.LbItems, [], name, value)


            class LbRtdIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: linklog
                
                	Administrative Link Logging Enable
                	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.VrfItems>`
                
                .. attribute:: lbrtdif_items
                
                	
                	**type**\:  :py:class:`LbrtdifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.LbrtdifItems>`
                
                .. attribute:: rtpseudoif_items
                
                	
                	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RtpseudoIfItems>`
                
                .. attribute:: rtopersourceinterface_items
                
                	
                	**type**\:  :py:class:`RtoperSourceInterfaceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RtoperSourceInterfaceItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RtvrfMbrItems>`
                
                .. attribute:: rsprotlbif_items
                
                	
                	**type**\:  :py:class:`RsprotLbIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RsprotLbIfItems>`
                
                .. attribute:: rslbiftolocale_items
                
                	
                	**type**\:  :py:class:`RslbIfToLocaleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems>`
                
                .. attribute:: rslbiftooutref_items
                
                	
                	**type**\:  :py:class:`RslbIfToOutRefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.LbItems.LbRtdIfList, self).__init__()

                    self.yang_name = "LbRtdIf-list"
                    self.yang_parent_name = "lb-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.IntfItems.LbItems.LbRtdIfList.VrfItems)), ("lbrtdif-items", ("lbrtdif_items", System.IntfItems.LbItems.LbRtdIfList.LbrtdifItems)), ("rtpseudoIf-items", ("rtpseudoif_items", System.IntfItems.LbItems.LbRtdIfList.RtpseudoIfItems)), ("rtoperSourceInterface-items", ("rtopersourceinterface_items", System.IntfItems.LbItems.LbRtdIfList.RtoperSourceInterfaceItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.LbItems.LbRtdIfList.RtvrfMbrItems)), ("rsprotLbIf-items", ("rsprotlbif_items", System.IntfItems.LbItems.LbRtdIfList.RsprotLbIfItems)), ("rslbIfToLocale-items", ("rslbiftolocale_items", System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems)), ("rslbIfToOutRef-items", ("rslbiftooutref_items", System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('linklog', (YLeaf(YType.enumeration, 'linkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ])
                    self.id = None
                    self.linklog = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.vrf_items = System.IntfItems.LbItems.LbRtdIfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.lbrtdif_items = System.IntfItems.LbItems.LbRtdIfList.LbrtdifItems()
                    self.lbrtdif_items.parent = self
                    self._children_name_map["lbrtdif_items"] = "lbrtdif-items"

                    self.rtpseudoif_items = System.IntfItems.LbItems.LbRtdIfList.RtpseudoIfItems()
                    self.rtpseudoif_items.parent = self
                    self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                    self.rtopersourceinterface_items = System.IntfItems.LbItems.LbRtdIfList.RtoperSourceInterfaceItems()
                    self.rtopersourceinterface_items.parent = self
                    self._children_name_map["rtopersourceinterface_items"] = "rtoperSourceInterface-items"

                    self.rtvrfmbr_items = System.IntfItems.LbItems.LbRtdIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rsprotlbif_items = System.IntfItems.LbItems.LbRtdIfList.RsprotLbIfItems()
                    self.rsprotlbif_items.parent = self
                    self._children_name_map["rsprotlbif_items"] = "rsprotLbIf-items"

                    self.rslbiftolocale_items = System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems()
                    self.rslbiftolocale_items.parent = self
                    self._children_name_map["rslbiftolocale_items"] = "rslbIfToLocale-items"

                    self.rslbiftooutref_items = System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems()
                    self.rslbiftooutref_items.parent = self
                    self._children_name_map["rslbiftooutref_items"] = "rslbIfToOutRef-items"

                    self.rtnwpathtoif_items = System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "LbRtdIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/lb-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList, ['id', 'linklog', 'name', 'descr', 'adminst'], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.VrfItems, ['name'], name, value)



                class LbrtdifItems(Entity):
                    """
                    
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermtu
                    
                    	Operational MTU
                    	**type**\: int
                    
                    	**range:** 576..9216
                    
                    	**config**\: False
                    
                    .. attribute:: operdescr
                    
                    	Operational Description
                    	**type**\: str
                    
                    	**length:** 0..254
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Failure Reason
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: currerrindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lasterrors
                    
                    	Last Seen Errors
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operbitset
                    
                    	Operational State Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.LbrtdifItems, self).__init__()

                        self.yang_name = "lbrtdif-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                            ('operdescr', (YLeaf(YType.str, 'operDescr'), ['str'])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('currerrindex', (YLeaf(YType.uint32, 'currErrIndex'), ['int'])),
                            ('lasterrors', (YLeaf(YType.str, 'lastErrors'), ['str'])),
                            ('operbitset', (YLeaf(YType.str, 'operBitset'), ['str'])),
                        ])
                        self.ifindex = None
                        self.iod = None
                        self.operst = None
                        self.opermtu = None
                        self.operdescr = None
                        self.operstqual = None
                        self.currerrindex = None
                        self.lasterrors = None
                        self.operbitset = None
                        self._segment_path = lambda: "lbrtdif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.LbrtdifItems, ['ifindex', 'iod', 'operst', 'opermtu', 'operdescr', 'operstqual', 'currerrindex', 'lasterrors', 'operbitset'], name, value)



                class RtpseudoIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RtpseudoIfItems, self).__init__()

                        self.yang_name = "rtpseudoIf-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtpseudoIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                class RtoperSourceInterfaceItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RtoperSourceInterfaceItems, self).__init__()

                        self.yang_name = "rtoperSourceInterface-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoperSourceInterface-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RtoperSourceInterfaceItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RsprotLbIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: mode
                    
                    	TBD
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RsprotLbIfItems, self).__init__()

                        self.yang_name = "rsprotLbIf-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.mode = None
                        self._segment_path = lambda: "rsprotLbIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RsprotLbIfItems, ['tdn', 'tcl', 'mode'], name, value)



                class RslbIfToLocaleItems(Entity):
                    """
                    
                    
                    .. attribute:: rslbiftolocale_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsLbIfToLocaleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems.RsLbIfToLocaleList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems, self).__init__()

                        self.yang_name = "rslbIfToLocale-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsLbIfToLocale-list", ("rslbiftolocale_list", System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems.RsLbIfToLocaleList))])
                        self._leafs = OrderedDict()

                        self.rslbiftolocale_list = YList(self)
                        self._segment_path = lambda: "rslbIfToLocale-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems, [], name, value)


                    class RsLbIfToLocaleList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems.RsLbIfToLocaleList, self).__init__()

                            self.yang_name = "RsLbIfToLocale-list"
                            self.yang_parent_name = "rslbIfToLocale-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RsLbIfToLocale-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RslbIfToLocaleItems.RsLbIfToLocaleList, ['tdn', 'tcl'], name, value)




                class RslbIfToOutRefItems(Entity):
                    """
                    
                    
                    .. attribute:: rslbiftooutref_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsLbIfToOutRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems.RsLbIfToOutRefList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems, self).__init__()

                        self.yang_name = "rslbIfToOutRef-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsLbIfToOutRef-list", ("rslbiftooutref_list", System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems.RsLbIfToOutRefList))])
                        self._leafs = OrderedDict()

                        self.rslbiftooutref_list = YList(self)
                        self._segment_path = lambda: "rslbIfToOutRef-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems, [], name, value)


                    class RsLbIfToOutRefList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems.RsLbIfToOutRefList, self).__init__()

                            self.yang_name = "RsLbIfToOutRef-list"
                            self.yang_parent_name = "rslbIfToOutRef-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RsLbIfToOutRef-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RslbIfToOutRefItems.RsLbIfToOutRefList, ['tdn', 'tcl'], name, value)




                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "LbRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.LbItems.LbRtdIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






        class EncrtdItems(Entity):
            """
            
            
            .. attribute:: encrtdif_list
            
            	
            	**type**\: list of  		 :py:class:`EncRtdIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.EncrtdItems, self).__init__()

                self.yang_name = "encrtd-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("EncRtdIf-list", ("encrtdif_list", System.IntfItems.EncrtdItems.EncRtdIfList))])
                self._leafs = OrderedDict()

                self.encrtdif_list = YList(self)
                self._segment_path = lambda: "encrtd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.EncrtdItems, [], name, value)


            class EncRtdIfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: mtu
                
                	Interface Mtu
                	**type**\: int
                
                	**range:** 576..9216
                
                .. attribute:: mtuinherit
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: delay
                
                	Interface Interface Delay
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: encap
                
                	
                	**type**\: str
                
                .. attribute:: bw
                
                	Interface Bandwidth
                	**type**\: int
                
                	**range:** 0..3200000000
                
                .. attribute:: linklogen
                
                	Interface Link Logging Enable
                	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
                
                .. attribute:: routermac
                
                	
                	**type**\: str
                
                	**default value**\: 0
                
                .. attribute:: ifconndn
                
                	
                	**type**\: str
                
                .. attribute:: mediumtype
                
                	Interface Medium Type
                	**type**\:  :py:class:`L1Medium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Medium>`
                
                .. attribute:: routermacipv6extract
                
                	Disable/enable switchport ipv6 extract
                	**type**\:  :py:class:`L1RouterMacIpv6Extract <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1RouterMacIpv6Extract>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.VrfItems>`
                
                .. attribute:: encrtdif_items
                
                	
                	**type**\:  :py:class:`EncrtdifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.EncrtdifItems>`
                
                .. attribute:: rtpseudoif_items
                
                	
                	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.RtpseudoIfItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.RtvrfMbrItems>`
                
                .. attribute:: rsencphysrtdconf_items
                
                	
                	**type**\:  :py:class:`RsencPhysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.RsencPhysRtdConfItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.EncrtdItems.EncRtdIfList, self).__init__()

                    self.yang_name = "EncRtdIf-list"
                    self.yang_parent_name = "encrtd-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.IntfItems.EncrtdItems.EncRtdIfList.VrfItems)), ("encrtdif-items", ("encrtdif_items", System.IntfItems.EncrtdItems.EncRtdIfList.EncrtdifItems)), ("rtpseudoIf-items", ("rtpseudoif_items", System.IntfItems.EncrtdItems.EncRtdIfList.RtpseudoIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.EncrtdItems.EncRtdIfList.RtvrfMbrItems)), ("rsencPhysRtdConf-items", ("rsencphysrtdconf_items", System.IntfItems.EncrtdItems.EncRtdIfList.RsencPhysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('mtuinherit', (YLeaf(YType.boolean, 'mtuInherit'), ['bool'])),
                        ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                        ('linklogen', (YLeaf(YType.enumeration, 'linkLogEn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                        ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                        ('ifconndn', (YLeaf(YType.str, 'ifConnDn'), ['str'])),
                        ('mediumtype', (YLeaf(YType.enumeration, 'mediumType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Medium', '')])),
                        ('routermacipv6extract', (YLeaf(YType.enumeration, 'routerMacIpv6Extract'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1RouterMacIpv6Extract', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ])
                    self.id = None
                    self.mtu = None
                    self.mtuinherit = None
                    self.delay = None
                    self.encap = None
                    self.bw = None
                    self.linklogen = None
                    self.routermac = None
                    self.ifconndn = None
                    self.mediumtype = None
                    self.routermacipv6extract = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.vrf_items = System.IntfItems.EncrtdItems.EncRtdIfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.encrtdif_items = System.IntfItems.EncrtdItems.EncRtdIfList.EncrtdifItems()
                    self.encrtdif_items.parent = self
                    self._children_name_map["encrtdif_items"] = "encrtdif-items"

                    self.rtpseudoif_items = System.IntfItems.EncrtdItems.EncRtdIfList.RtpseudoIfItems()
                    self.rtpseudoif_items.parent = self
                    self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                    self.rtvrfmbr_items = System.IntfItems.EncrtdItems.EncRtdIfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rsencphysrtdconf_items = System.IntfItems.EncrtdItems.EncRtdIfList.RsencPhysRtdConfItems()
                    self.rsencphysrtdconf_items.parent = self
                    self._children_name_map["rsencphysrtdconf_items"] = "rsencPhysRtdConf-items"

                    self.rtnwpathtoif_items = System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "EncRtdIf-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/encrtd-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList, ['id', 'mtu', 'mtuinherit', 'delay', 'encap', 'bw', 'linklogen', 'routermac', 'ifconndn', 'mediumtype', 'routermacipv6extract', 'name', 'descr', 'adminst'], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.VrfItems, ['name'], name, value)



                class EncrtdifItems(Entity):
                    """
                    
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: operroutermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operencap
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: operdescr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..254
                    
                    	**config**\: False
                    
                    .. attribute:: fsmstate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Failure Reason
                    	**type**\:  :py:class:`L1OperStQual_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperStQual_>`
                    
                    	**config**\: False
                    
                    .. attribute:: opermtu
                    
                    	Operational Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 576..9216
                    
                    	**config**\: False
                    
                    .. attribute:: currerrindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lasterrors
                    
                    	Holds most recently seen errors
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: operbitset
                    
                    	Specifies Operational State Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sicfgflags
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.EncrtdifItems, self).__init__()

                        self.yang_name = "encrtdif-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('operroutermac', (YLeaf(YType.str, 'operRouterMac'), ['str'])),
                            ('operencap', (YLeaf(YType.uint16, 'operEncap'), ['int'])),
                            ('operdescr', (YLeaf(YType.str, 'operDescr'), ['str'])),
                            ('fsmstate', (YLeaf(YType.uint8, 'fsmState'), ['int'])),
                            ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperStQual_', '')])),
                            ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                            ('currerrindex', (YLeaf(YType.uint32, 'currErrIndex'), ['int'])),
                            ('lasterrors', (YLeaf(YType.str, 'lastErrors'), ['str'])),
                            ('operbitset', (YLeaf(YType.str, 'operBitset'), ['str'])),
                            ('sicfgflags', (YLeaf(YType.uint32, 'siCfgFlags'), ['int'])),
                        ])
                        self.ifindex = None
                        self.operroutermac = None
                        self.operencap = None
                        self.operdescr = None
                        self.fsmstate = None
                        self.iod = None
                        self.operst = None
                        self.operstqual = None
                        self.opermtu = None
                        self.currerrindex = None
                        self.lasterrors = None
                        self.operbitset = None
                        self.sicfgflags = None
                        self._segment_path = lambda: "encrtdif-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.EncrtdifItems, ['ifindex', 'operroutermac', 'operencap', 'operdescr', 'fsmstate', 'iod', 'operst', 'operstqual', 'opermtu', 'currerrindex', 'lasterrors', 'operbitset', 'sicfgflags'], name, value)



                class RtpseudoIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.RtpseudoIfItems, self).__init__()

                        self.yang_name = "rtpseudoIf-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtpseudoIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RsencPhysRtdConfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                    
                    	**config**\: False
                    
                    .. attribute:: statequal
                    
                    	State Qualifier
                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: ttype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                    
                    	**config**\: False
                    
                    .. attribute:: forceresolve
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.RsencPhysRtdConfItems, self).__init__()

                        self.yang_name = "rsencPhysRtdConf-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.state = None
                        self.statequal = None
                        self.ttype = None
                        self.rtype = None
                        self.forceresolve = None
                        self._segment_path = lambda: "rsencPhysRtdConf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.RsencPhysRtdConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "EncRtdIf-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.EncrtdItems.EncRtdIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






        class SviItems(Entity):
            """
            
            
            .. attribute:: if_list
            
            	
            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.SviItems, self).__init__()

                self.yang_name = "svi-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("If-list", ("if_list", System.IntfItems.SviItems.IfList))])
                self._leafs = OrderedDict()

                self.if_list = YList(self)
                self._segment_path = lambda: "svi-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.SviItems, [], name, value)


            class IfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: vlanid
                
                	VLAN ID Associated with the SVI
                	**type**\: int
                
                	**range:** 0..4095
                
                .. attribute:: mac
                
                	
                	**type**\: str
                
                .. attribute:: medium
                
                	indicates the administrative port medium type
                	**type**\:  :py:class:`SviMedium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SviMedium>`
                
                .. attribute:: mtu
                
                	the administrative MTU port on the aggregated interface
                	**type**\: int
                
                	**range:** 64..9216
                
                .. attribute:: mtuinherit
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: delay
                
                	specifies the administrative port delay
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: bw
                
                	specifies the administrative port bandwidth
                	**type**\: int
                
                	**range:** 1..400000000
                
                .. attribute:: cardel
                
                	Carrier Delay\: hold period for which Carrier transition                          like L2 interfacing going down is ignored
                	**type**\: int
                
                	**range:** 0..60000
                
                .. attribute:: loadintvl1
                
                	Load\-averaging Interval 1
                	**type**\: int
                
                	**range:** 60..600
                
                .. attribute:: loadintvl2
                
                	Load\-averaging Interval 2
                	**type**\: int
                
                	**range:** 60..600
                
                .. attribute:: loadintvl3
                
                	Load\-averaging Interval 3
                	**type**\: int
                
                	**range:** 60..600
                
                .. attribute:: inbmgmt
                
                	
                	**type**\: bool
                
                .. attribute:: autostate
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: snmptrap
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: operst
                
                	the runtime state of the object or policy
                	**type**\:  :py:class:`SviOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SviOperSt>`
                
                	**config**\: False
                
                .. attribute:: operstqual
                
                	Reason for Operational State Being Down (status qualifier)
                	**type**\:  :py:class:`SviOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SviOperStQual>`
                
                	**config**\: False
                
                .. attribute:: vlant
                
                	VLAN Type
                	**type**\:  :py:class:`L2DomType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomType>`
                
                	**config**\: False
                
                .. attribute:: ctrlrid
                
                	Controller ID
                	**type**\: str
                
                .. attribute:: iod
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Tunnel Description
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.VrfItems>`
                
                .. attribute:: multisiteiftracking_items
                
                	
                	**type**\:  :py:class:`MultisiteiftrackingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.MultisiteiftrackingItems>`
                
                .. attribute:: svi_items
                
                	
                	**type**\:  :py:class:`SviItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.SviItems_>`
                
                .. attribute:: rtpseudoif_items
                
                	
                	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.RtpseudoIfItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.SviItems.IfList, self).__init__()

                    self.yang_name = "If-list"
                    self.yang_parent_name = "svi-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.IntfItems.SviItems.IfList.VrfItems)), ("multisiteiftracking-items", ("multisiteiftracking_items", System.IntfItems.SviItems.IfList.MultisiteiftrackingItems)), ("svi-items", ("svi_items", System.IntfItems.SviItems.IfList.SviItems_)), ("rtpseudoIf-items", ("rtpseudoif_items", System.IntfItems.SviItems.IfList.RtpseudoIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.SviItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.SviItems.IfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('vlanid', (YLeaf(YType.uint16, 'vlanId'), ['int'])),
                        ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                        ('medium', (YLeaf(YType.enumeration, 'medium'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SviMedium', '')])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('mtuinherit', (YLeaf(YType.boolean, 'mtuInherit'), ['bool'])),
                        ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                        ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                        ('cardel', (YLeaf(YType.uint32, 'carDel'), ['int'])),
                        ('loadintvl1', (YLeaf(YType.uint32, 'loadIntvl1'), ['int'])),
                        ('loadintvl2', (YLeaf(YType.uint32, 'loadIntvl2'), ['int'])),
                        ('loadintvl3', (YLeaf(YType.uint32, 'loadIntvl3'), ['int'])),
                        ('inbmgmt', (YLeaf(YType.boolean, 'inbMgmt'), ['bool'])),
                        ('autostate', (YLeaf(YType.boolean, 'autostate'), ['bool'])),
                        ('snmptrap', (YLeaf(YType.boolean, 'snmpTrap'), ['bool'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SviOperSt', '')])),
                        ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SviOperStQual', '')])),
                        ('vlant', (YLeaf(YType.enumeration, 'vlanT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomType', '')])),
                        ('ctrlrid', (YLeaf(YType.str, 'ctrlrId'), ['str'])),
                        ('iod', (YLeaf(YType.uint32, 'iod'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ])
                    self.id = None
                    self.vlanid = None
                    self.mac = None
                    self.medium = None
                    self.mtu = None
                    self.mtuinherit = None
                    self.delay = None
                    self.bw = None
                    self.cardel = None
                    self.loadintvl1 = None
                    self.loadintvl2 = None
                    self.loadintvl3 = None
                    self.inbmgmt = None
                    self.autostate = None
                    self.snmptrap = None
                    self.operst = None
                    self.operstqual = None
                    self.vlant = None
                    self.ctrlrid = None
                    self.iod = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.vrf_items = System.IntfItems.SviItems.IfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.multisiteiftracking_items = System.IntfItems.SviItems.IfList.MultisiteiftrackingItems()
                    self.multisiteiftracking_items.parent = self
                    self._children_name_map["multisiteiftracking_items"] = "multisiteiftracking-items"

                    self.svi_items = System.IntfItems.SviItems.IfList.SviItems_()
                    self.svi_items.parent = self
                    self._children_name_map["svi_items"] = "svi-items"

                    self.rtpseudoif_items = System.IntfItems.SviItems.IfList.RtpseudoIfItems()
                    self.rtpseudoif_items.parent = self
                    self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                    self.rtvrfmbr_items = System.IntfItems.SviItems.IfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.IntfItems.SviItems.IfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/svi-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.SviItems.IfList, ['id', 'vlanid', 'mac', 'medium', 'mtu', 'mtuinherit', 'delay', 'bw', 'cardel', 'loadintvl1', 'loadintvl2', 'loadintvl3', 'inbmgmt', 'autostate', 'snmptrap', 'operst', 'operstqual', 'vlant', 'ctrlrid', 'iod', 'name', 'descr', 'adminst'], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.VrfItems, ['name'], name, value)



                class MultisiteiftrackingItems(Entity):
                    """
                    
                    
                    .. attribute:: tracking
                    
                    	Configure EVPN multisite tracking for DCI/Fabric interface
                    	**type**\:  :py:class:`NvoMultisiteTrackingT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteTrackingT>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.MultisiteiftrackingItems, self).__init__()

                        self.yang_name = "multisiteiftracking-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tracking', (YLeaf(YType.enumeration, 'tracking'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteTrackingT', '')])),
                        ])
                        self.tracking = None
                        self._segment_path = lambda: "multisiteiftracking-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.MultisiteiftrackingItems, ['tracking'], name, value)



                class SviItems_(Entity):
                    """
                    
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: operdescr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Operational State
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: operstqual
                    
                    	Operational State Qualifier
                    	**type**\:  :py:class:`SviOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SviOperStQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: opercarrierdelaysec
                    
                    	Operational Carrier Delay Seconds
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    	**config**\: False
                    
                    .. attribute:: opercarrierdelaymsec
                    
                    	Operational Carrier Delay milliseconds
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    	**config**\: False
                    
                    .. attribute:: opermtu
                    
                    	Operational Mtu
                    	**type**\: int
                    
                    	**range:** 64..9216
                    
                    	**config**\: False
                    
                    .. attribute:: operbw
                    
                    	operational Bandwidth
                    	**type**\: int
                    
                    	**range:** 1..400000000
                    
                    	**config**\: False
                    
                    .. attribute:: operdelay
                    
                    	operational delay
                    	**type**\: int
                    
                    	**range:** 1..16777215
                    
                    	**config**\: False
                    
                    .. attribute:: operautostate
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: opermac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: operloadintvl1
                    
                    	Load Interval 1
                    	**type**\: int
                    
                    	**range:** 60..600
                    
                    	**config**\: False
                    
                    .. attribute:: operloadintvl2
                    
                    	Load Interval 2
                    	**type**\: int
                    
                    	**range:** 60..600
                    
                    	**config**\: False
                    
                    .. attribute:: operloadintvl3
                    
                    	Load Interval 3
                    	**type**\: int
                    
                    	**range:** 60..600
                    
                    	**config**\: False
                    
                    .. attribute:: operlastchgsec
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: operlastchgusec
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.SviItems_, self).__init__()

                        self.yang_name = "svi-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('operdescr', (YLeaf(YType.str, 'operDescr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SviOperStQual', '')])),
                            ('opercarrierdelaysec', (YLeaf(YType.uint32, 'operCarrierDelaySec'), ['int'])),
                            ('opercarrierdelaymsec', (YLeaf(YType.uint32, 'operCarrierDelayMsec'), ['int'])),
                            ('opermtu', (YLeaf(YType.uint32, 'operMtu'), ['int'])),
                            ('operbw', (YLeaf(YType.uint32, 'operBw'), ['int'])),
                            ('operdelay', (YLeaf(YType.uint32, 'operDelay'), ['int'])),
                            ('operautostate', (YLeaf(YType.boolean, 'operAutoState'), ['bool'])),
                            ('opermac', (YLeaf(YType.str, 'operMac'), ['str'])),
                            ('iod', (YLeaf(YType.uint64, 'iod'), ['int'])),
                            ('operloadintvl1', (YLeaf(YType.uint32, 'operLoadIntvl1'), ['int'])),
                            ('operloadintvl2', (YLeaf(YType.uint32, 'operLoadIntvl2'), ['int'])),
                            ('operloadintvl3', (YLeaf(YType.uint32, 'operLoadIntvl3'), ['int'])),
                            ('operlastchgsec', (YLeaf(YType.uint64, 'operLastChgSec'), ['int'])),
                            ('operlastchgusec', (YLeaf(YType.uint64, 'operLastChgUsec'), ['int'])),
                        ])
                        self.ifindex = None
                        self.operdescr = None
                        self.adminst = None
                        self.operstqual = None
                        self.opercarrierdelaysec = None
                        self.opercarrierdelaymsec = None
                        self.opermtu = None
                        self.operbw = None
                        self.operdelay = None
                        self.operautostate = None
                        self.opermac = None
                        self.iod = None
                        self.operloadintvl1 = None
                        self.operloadintvl2 = None
                        self.operloadintvl3 = None
                        self.operlastchgsec = None
                        self.operlastchgusec = None
                        self._segment_path = lambda: "svi-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.SviItems_, ['ifindex', 'operdescr', 'adminst', 'operstqual', 'opercarrierdelaysec', 'opercarrierdelaymsec', 'opermtu', 'operbw', 'operdelay', 'operautostate', 'opermac', 'iod', 'operloadintvl1', 'operloadintvl2', 'operloadintvl3', 'operlastchgsec', 'operlastchgusec'], name, value)



                class RtpseudoIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.RtpseudoIfItems, self).__init__()

                        self.yang_name = "rtpseudoIf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtpseudoIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.SviItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.SviItems.IfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.SviItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.SviItems.IfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.SviItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.SviItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






        class TunnelifItems(Entity):
            """
            
            
            .. attribute:: if_list
            
            	
            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IntfItems.TunnelifItems, self).__init__()

                self.yang_name = "tunnelif-items"
                self.yang_parent_name = "intf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("If-list", ("if_list", System.IntfItems.TunnelifItems.IfList))])
                self._leafs = OrderedDict()

                self.if_list = YList(self)
                self._segment_path = lambda: "tunnelif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IntfItems.TunnelifItems, [], name, value)


            class IfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: tunsrcaddr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: tunsrcintf
                
                	Tunnel Source
                	**type**\: str
                
                .. attribute:: tunsrcdirect
                
                	Tunnel Source
                	**type**\:  :py:class:`TunnelifTunnelSrcDirect <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelSrcDirect>`
                
                .. attribute:: tundestaddr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: tunmode
                
                	Tunnel Mode
                	**type**\:  :py:class:`TunnelifTunnelMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelMode>`
                
                .. attribute:: tunvrf
                
                	Tunnel Transport VRF
                	**type**\: str
                
                .. attribute:: tunmtu
                
                	Tunnel MTU
                	**type**\: int
                
                	**range:** 64..9196
                
                .. attribute:: tunpmtud
                
                	Tunnel PMTU Discovery
                	**type**\:  :py:class:`TunnelifTunnelPMTUD <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelPMTUD>`
                
                .. attribute:: tunminpmtu
                
                	Tunnel min PMTU
                	**type**\: int
                
                	**range:** 64..9196
                
                .. attribute:: tunpmtuage
                
                	Tunnel PMTU age
                	**type**\: int
                
                	**range:** 0..30
                
                .. attribute:: tunbw
                
                	Tunnel Bandwidth
                	**type**\: int
                
                	**range:** 1..10000000
                
                .. attribute:: tunttl
                
                	Tunnel TTL
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: snmptrapst
                
                	Snmp Trap State
                	**type**\:  :py:class:`TunnelifSnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifSnmpTrapSt>`
                
                .. attribute:: tunoperst
                
                	Tunnel Operational State
                	**type**\:  :py:class:`TunnelifTunnelOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelOperSt>`
                
                	**config**\: False
                
                .. attribute:: tunoperstqual
                
                	Tunnel Operational State Qualifier
                	**type**\:  :py:class:`TunnelifTunnelOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelOperStQual>`
                
                	**config**\: False
                
                .. attribute:: laststatechgdts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tundelinprog
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: tunintfoptions
                
                	Tunnel Interface Options
                	**type**\:  :py:class:`TunnelifTunnelOption <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelifTunnelOption>`
                
                	**config**\: False
                
                .. attribute:: tuniod
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: tunifindex
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: tunifpmtu
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: lastctrrstchgdts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tunrxpackets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tunrxbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tuntxpackets
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tuntxbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tunsrcip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Tunnel Description
                	**type**\: str
                
                	**length:** 0..254
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList.VrfItems>`
                
                .. attribute:: rtpseudoif_items
                
                	
                	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList.RtpseudoIfItems>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IntfItems.TunnelifItems.IfList, self).__init__()

                    self.yang_name = "If-list"
                    self.yang_parent_name = "tunnelif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.IntfItems.TunnelifItems.IfList.VrfItems)), ("rtpseudoIf-items", ("rtpseudoif_items", System.IntfItems.TunnelifItems.IfList.RtpseudoIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.IntfItems.TunnelifItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('tunsrcaddr', (YLeaf(YType.str, 'tunSrcAddr'), ['str','str'])),
                        ('tunsrcintf', (YLeaf(YType.str, 'tunSrcIntf'), ['str'])),
                        ('tunsrcdirect', (YLeaf(YType.enumeration, 'tunSrcDirect'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelSrcDirect', '')])),
                        ('tundestaddr', (YLeaf(YType.str, 'tunDestAddr'), ['str','str'])),
                        ('tunmode', (YLeaf(YType.enumeration, 'tunMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelMode', '')])),
                        ('tunvrf', (YLeaf(YType.str, 'tunVrf'), ['str'])),
                        ('tunmtu', (YLeaf(YType.uint32, 'tunMtu'), ['int'])),
                        ('tunpmtud', (YLeaf(YType.enumeration, 'tunPMTUD'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelPMTUD', '')])),
                        ('tunminpmtu', (YLeaf(YType.uint32, 'tunminPMTU'), ['int'])),
                        ('tunpmtuage', (YLeaf(YType.uint32, 'tunPMTUage'), ['int'])),
                        ('tunbw', (YLeaf(YType.uint32, 'tunBW'), ['int'])),
                        ('tunttl', (YLeaf(YType.uint32, 'tunTTL'), ['int'])),
                        ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifSnmpTrapSt', '')])),
                        ('tunoperst', (YLeaf(YType.enumeration, 'tunOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelOperSt', '')])),
                        ('tunoperstqual', (YLeaf(YType.enumeration, 'tunOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelOperStQual', '')])),
                        ('laststatechgdts', (YLeaf(YType.str, 'lastStateChgdTs'), ['str'])),
                        ('tundelinprog', (YLeaf(YType.boolean, 'tunDelInProg'), ['bool'])),
                        ('tunintfoptions', (YLeaf(YType.enumeration, 'tunIntfOptions'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelifTunnelOption', '')])),
                        ('tuniod', (YLeaf(YType.uint32, 'tunIod'), ['int'])),
                        ('tunifindex', (YLeaf(YType.uint32, 'tunIfIndex'), ['int'])),
                        ('tunifpmtu', (YLeaf(YType.uint32, 'tunIfPmtu'), ['int'])),
                        ('lastctrrstchgdts', (YLeaf(YType.str, 'lastCtrRstChgdTs'), ['str'])),
                        ('tunrxpackets', (YLeaf(YType.uint64, 'tunRxPackets'), ['int'])),
                        ('tunrxbytes', (YLeaf(YType.uint64, 'tunRxBytes'), ['int'])),
                        ('tuntxpackets', (YLeaf(YType.uint64, 'tunTxPackets'), ['int'])),
                        ('tuntxbytes', (YLeaf(YType.uint64, 'tunTxBytes'), ['int'])),
                        ('tunsrcip', (YLeaf(YType.str, 'tunSrcIP'), ['str','str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ])
                    self.id = None
                    self.tunsrcaddr = None
                    self.tunsrcintf = None
                    self.tunsrcdirect = None
                    self.tundestaddr = None
                    self.tunmode = None
                    self.tunvrf = None
                    self.tunmtu = None
                    self.tunpmtud = None
                    self.tunminpmtu = None
                    self.tunpmtuage = None
                    self.tunbw = None
                    self.tunttl = None
                    self.snmptrapst = None
                    self.tunoperst = None
                    self.tunoperstqual = None
                    self.laststatechgdts = None
                    self.tundelinprog = None
                    self.tunintfoptions = None
                    self.tuniod = None
                    self.tunifindex = None
                    self.tunifpmtu = None
                    self.lastctrrstchgdts = None
                    self.tunrxpackets = None
                    self.tunrxbytes = None
                    self.tuntxpackets = None
                    self.tuntxbytes = None
                    self.tunsrcip = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.vrf_items = System.IntfItems.TunnelifItems.IfList.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"

                    self.rtpseudoif_items = System.IntfItems.TunnelifItems.IfList.RtpseudoIfItems()
                    self.rtpseudoif_items.parent = self
                    self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                    self.rtvrfmbr_items = System.IntfItems.TunnelifItems.IfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/intf-items/tunnelif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IntfItems.TunnelifItems.IfList, ['id', 'tunsrcaddr', 'tunsrcintf', 'tunsrcdirect', 'tundestaddr', 'tunmode', 'tunvrf', 'tunmtu', 'tunpmtud', 'tunminpmtu', 'tunpmtuage', 'tunbw', 'tunttl', 'snmptrapst', 'tunoperst', 'tunoperstqual', 'laststatechgdts', 'tundelinprog', 'tunintfoptions', 'tuniod', 'tunifindex', 'tunifpmtu', 'lastctrrstchgdts', 'tunrxpackets', 'tunrxbytes', 'tuntxpackets', 'tuntxbytes', 'tunsrcip', 'name', 'descr', 'adminst'], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Vrf Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.TunnelifItems.IfList.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None
                        self._segment_path = lambda: "vrf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.TunnelifItems.IfList.VrfItems, ['name'], name, value)



                class RtpseudoIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.TunnelifItems.IfList.RtpseudoIfItems, self).__init__()

                        self.yang_name = "rtpseudoIf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtpseudoIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.TunnelifItems.IfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.TunnelifItems.IfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.TunnelifItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IntfItems.TunnelifItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







    class Ipv4Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Ipv4Items, self).__init__()

            self.yang_name = "ipv4-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Ipv4Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.Ipv4Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "ipv4-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Ipv4Items, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: sourceroute
            
            	Source\-Route
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: accesslistmatchlocal
            
            	Access\-List Match Local
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: hardwareecmphashoffsetvalue
            
            	
            	**type**\: int
            
            	**range:** 0..63
            
            	**default value**\: 0
            
            .. attribute:: hardwareecmphashoffsetconcat
            
            	hardware Ecmp HashOffset Concatenation
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: hardwareecmphashpolynomial
            
            	hardware Ecmp Hash\-Polynomial
            	**type**\:  :py:class:`IpHardwareEcmpHashPolynomialT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpHardwareEcmpHashPolynomialT>`
            
            .. attribute:: logginglevel
            
            	Logging level
            	**type**\:  :py:class:`ArpLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpLoggingLevel>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems>`
            
            .. attribute:: client_items
            
            	
            	**type**\:  :py:class:`ClientItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.ClientItems>`
            
            .. attribute:: iploadsharing_items
            
            	
            	**type**\:  :py:class:`IploadsharingItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.IploadsharingItems>`
            
            .. attribute:: loadstat_items
            
            	
            	**type**\:  :py:class:`LoadstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.LoadstatItems>`
            
            .. attribute:: iptrafficstat_items
            
            	
            	**type**\:  :py:class:`IptrafficstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.IptrafficstatItems>`
            
            .. attribute:: iptrafficerrstat_items
            
            	
            	**type**\:  :py:class:`IptrafficerrstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.IptrafficerrstatItems>`
            
            .. attribute:: icmptrafficstat_items
            
            	
            	**type**\:  :py:class:`IcmptrafficstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.IcmptrafficstatItems>`
            
            .. attribute:: rfc4293trafficstat_items
            
            	
            	**type**\:  :py:class:`Rfc4293trafficstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.Rfc4293trafficstatItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Ipv4Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "ipv4-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.Ipv4Items.InstItems.DomItems)), ("client-items", ("client_items", System.Ipv4Items.InstItems.ClientItems)), ("iploadsharing-items", ("iploadsharing_items", System.Ipv4Items.InstItems.IploadsharingItems)), ("loadstat-items", ("loadstat_items", System.Ipv4Items.InstItems.LoadstatItems)), ("iptrafficstat-items", ("iptrafficstat_items", System.Ipv4Items.InstItems.IptrafficstatItems)), ("iptrafficerrstat-items", ("iptrafficerrstat_items", System.Ipv4Items.InstItems.IptrafficerrstatItems)), ("icmptrafficstat-items", ("icmptrafficstat_items", System.Ipv4Items.InstItems.IcmptrafficstatItems)), ("rfc4293trafficstat-items", ("rfc4293trafficstat_items", System.Ipv4Items.InstItems.Rfc4293trafficstatItems))])
                self._leafs = OrderedDict([
                    ('sourceroute', (YLeaf(YType.enumeration, 'sourceRoute'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('accesslistmatchlocal', (YLeaf(YType.enumeration, 'accessListMatchLocal'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('hardwareecmphashoffsetvalue', (YLeaf(YType.uint16, 'hardwareEcmpHashOffsetValue'), ['int'])),
                    ('hardwareecmphashoffsetconcat', (YLeaf(YType.enumeration, 'hardwareEcmpHashOffsetConcat'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('hardwareecmphashpolynomial', (YLeaf(YType.enumeration, 'hardwareEcmpHashPolynomial'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpHardwareEcmpHashPolynomialT', '')])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpLoggingLevel', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.sourceroute = None
                self.accesslistmatchlocal = None
                self.hardwareecmphashoffsetvalue = None
                self.hardwareecmphashoffsetconcat = None
                self.hardwareecmphashpolynomial = None
                self.logginglevel = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.Ipv4Items.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.client_items = System.Ipv4Items.InstItems.ClientItems()
                self.client_items.parent = self
                self._children_name_map["client_items"] = "client-items"

                self.iploadsharing_items = System.Ipv4Items.InstItems.IploadsharingItems()
                self.iploadsharing_items.parent = self
                self._children_name_map["iploadsharing_items"] = "iploadsharing-items"

                self.loadstat_items = System.Ipv4Items.InstItems.LoadstatItems()
                self.loadstat_items.parent = self
                self._children_name_map["loadstat_items"] = "loadstat-items"

                self.iptrafficstat_items = System.Ipv4Items.InstItems.IptrafficstatItems()
                self.iptrafficstat_items.parent = self
                self._children_name_map["iptrafficstat_items"] = "iptrafficstat-items"

                self.iptrafficerrstat_items = System.Ipv4Items.InstItems.IptrafficerrstatItems()
                self.iptrafficerrstat_items.parent = self
                self._children_name_map["iptrafficerrstat_items"] = "iptrafficerrstat-items"

                self.icmptrafficstat_items = System.Ipv4Items.InstItems.IcmptrafficstatItems()
                self.icmptrafficstat_items.parent = self
                self._children_name_map["icmptrafficstat_items"] = "icmptrafficstat-items"

                self.rfc4293trafficstat_items = System.Ipv4Items.InstItems.Rfc4293trafficstatItems()
                self.rfc4293trafficstat_items.parent = self
                self._children_name_map["rfc4293trafficstat_items"] = "rfc4293trafficstat-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Ipv4Items.InstItems, ['sourceroute', 'accesslistmatchlocal', 'hardwareecmphashoffsetvalue', 'hardwareecmphashoffsetconcat', 'hardwareecmphashpolynomial', 'logginglevel', 'name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Ipv4Items.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: autodiscard
                    
                    	Auto\-Discard
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ipicmperrorssrcintf
                    
                    	ICMP errors source\-interface
                    	**type**\: str
                    
                    .. attribute:: rtstaticbfd_items
                    
                    	
                    	**type**\:  :py:class:`RtstaticbfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: pstat_items
                    
                    	
                    	**type**\:  :py:class:`PstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.PstatItems>`
                    
                    .. attribute:: rt_items
                    
                    	
                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems>`
                    
                    .. attribute:: routestat_items
                    
                    	
                    	**type**\:  :py:class:`RoutestatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RoutestatItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv4Items.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("rtstaticbfd-items", ("rtstaticbfd_items", System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems)), ("if-items", ("if_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems)), ("pstat-items", ("pstat_items", System.Ipv4Items.InstItems.DomItems.DomList.PstatItems)), ("rt-items", ("rt_items", System.Ipv4Items.InstItems.DomItems.DomList.RtItems)), ("routestat-items", ("routestat_items", System.Ipv4Items.InstItems.DomItems.DomList.RoutestatItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('autodiscard', (YLeaf(YType.enumeration, 'autoDiscard'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ipicmperrorssrcintf', (YLeaf(YType.str, 'ipIcmpErrorsSrcIntf'), ['str'])),
                        ])
                        self.name = None
                        self.autodiscard = None
                        self.ipicmperrorssrcintf = None

                        self.rtstaticbfd_items = System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems()
                        self.rtstaticbfd_items.parent = self
                        self._children_name_map["rtstaticbfd_items"] = "rtstaticbfd-items"

                        self.if_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.pstat_items = System.Ipv4Items.InstItems.DomItems.DomList.PstatItems()
                        self.pstat_items.parent = self
                        self._children_name_map["pstat_items"] = "pstat-items"

                        self.rt_items = System.Ipv4Items.InstItems.DomItems.DomList.RtItems()
                        self.rt_items.parent = self
                        self._children_name_map["rt_items"] = "rt-items"

                        self.routestat_items = System.Ipv4Items.InstItems.DomItems.DomList.RoutestatItems()
                        self.routestat_items.parent = self
                        self._children_name_map["routestat_items"] = "routestat-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList, ['name', 'autodiscard', 'ipicmperrorssrcintf'], name, value)


                    class RtstaticbfdItems(Entity):
                        """
                        
                        
                        .. attribute:: rtstaticbfd_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtStaticBfdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems, self).__init__()

                            self.yang_name = "rtstaticbfd-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtStaticBfd-list", ("rtstaticbfd_list", System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList))])
                            self._leafs = OrderedDict()

                            self.rtstaticbfd_list = YList(self)
                            self._segment_path = lambda: "rtstaticbfd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems, [], name, value)


                        class RtStaticBfdList(Entity):
                            """
                            
                            
                            .. attribute:: intf  (key)
                            
                            	Interface
                            	**type**\: str
                            
                            .. attribute:: nexthop  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList, self).__init__()

                                self.yang_name = "RtStaticBfd-list"
                                self.yang_parent_name = "rtstaticbfd-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['intf','nexthop']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                    ('nexthop', (YLeaf(YType.str, 'nexthop'), ['str','str'])),
                                ])
                                self.intf = None
                                self.nexthop = None
                                self._segment_path = lambda: "RtStaticBfd-list" + "[intf='" + str(self.intf) + "']" + "[nexthop='" + str(self.nexthop) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList, ['intf', 'nexthop'], name, value)




                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: directedbroadcast
                            
                            	
                            	**type**\:  :py:class:`DirectedBroadcast <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DirectedBroadcast>`
                            
                            	**default value**\: disabled
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\: str
                            
                            	**length:** 0..63
                            
                            .. attribute:: forward
                            
                            	IP forward
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: unnumbered
                            
                            	IP unnumbered
                            	**type**\: str
                            
                            .. attribute:: urpf
                            
                            	URPF Info
                            	**type**\:  :py:class:`IpUrpfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpUrpfT>`
                            
                            .. attribute:: dropglean
                            
                            	ip drop\-glean enabled/disabled
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: mode
                            
                            	Mode
                            	**type**\: str
                            
                            .. attribute:: donorif
                            
                            	Donor Interface
                            	**type**\: str
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: operstqual
                            
                            	Operational State Qualifier
                            	**type**\:  :py:class:`IpUnnumberedOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpUnnumberedOperStQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: addr_items
                            
                            	
                            	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems>`
                            
                            .. attribute:: dampening_items
                            
                            	
                            	**type**\:  :py:class:`DampeningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningItems>`
                            
                            .. attribute:: dampeningdata_items
                            
                            	
                            	**type**\:  :py:class:`DampeningdataItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningdataItems>`
                            
                            .. attribute:: trafficstat_items
                            
                            	
                            	**type**\:  :py:class:`TrafficstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.TrafficstatItems>`
                            
                            .. attribute:: stat_items
                            
                            	
                            	**type**\:  :py:class:`StatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.StatItems>`
                            
                            .. attribute:: rpol_items
                            
                            	
                            	**type**\:  :py:class:`RpolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("addr-items", ("addr_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems)), ("dampening-items", ("dampening_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningItems)), ("dampeningdata-items", ("dampeningdata_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningdataItems)), ("trafficstat-items", ("trafficstat_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.TrafficstatItems)), ("stat-items", ("stat_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.StatItems)), ("rpol-items", ("rpol_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('directedbroadcast', (YLeaf(YType.enumeration, 'directedBroadcast'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'System', 'Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DirectedBroadcast')])),
                                    ('acl', (YLeaf(YType.str, 'acl'), ['str'])),
                                    ('forward', (YLeaf(YType.enumeration, 'forward'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('unnumbered', (YLeaf(YType.str, 'unnumbered'), ['str'])),
                                    ('urpf', (YLeaf(YType.enumeration, 'urpf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpUrpfT', '')])),
                                    ('dropglean', (YLeaf(YType.enumeration, 'dropGlean'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                                    ('donorif', (YLeaf(YType.str, 'donorIf'), ['str'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpUnnumberedOperStQual', '')])),
                                ])
                                self.id = None
                                self.directedbroadcast = None
                                self.acl = None
                                self.forward = None
                                self.unnumbered = None
                                self.urpf = None
                                self.dropglean = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.ctrl = None
                                self.mode = None
                                self.donorif = None
                                self.operst = None
                                self.operstqual = None

                                self.addr_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems()
                                self.addr_items.parent = self
                                self._children_name_map["addr_items"] = "addr-items"

                                self.dampening_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningItems()
                                self.dampening_items.parent = self
                                self._children_name_map["dampening_items"] = "dampening-items"

                                self.dampeningdata_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningdataItems()
                                self.dampeningdata_items.parent = self
                                self._children_name_map["dampeningdata_items"] = "dampeningdata-items"

                                self.trafficstat_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.TrafficstatItems()
                                self.trafficstat_items.parent = self
                                self._children_name_map["trafficstat_items"] = "trafficstat-items"

                                self.stat_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.StatItems()
                                self.stat_items.parent = self
                                self._children_name_map["stat_items"] = "stat-items"

                                self.rpol_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems()
                                self.rpol_items.parent = self
                                self._children_name_map["rpol_items"] = "rpol-items"

                                self.rtvrfmbr_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'directedbroadcast', 'acl', 'forward', 'unnumbered', 'urpf', 'dropglean', 'name', 'descr', 'adminst', 'ctrl', 'mode', 'donorif', 'operst', 'operstqual'], name, value)

                            class DirectedBroadcast(Enum):
                                """
                                DirectedBroadcast (Enum Class)

                                .. data:: disabled = 0

                                .. data:: enabled = 1

                                """

                                disabled = Enum.YLeaf(0, "disabled")

                                enabled = Enum.YLeaf(1, "enabled")



                            class AddrItems(Entity):
                                """
                                
                                
                                .. attribute:: addr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems, self).__init__()

                                    self.yang_name = "addr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Addr-list", ("addr_list", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList))])
                                    self._leafs = OrderedDict()

                                    self.addr_list = YList(self)
                                    self._segment_path = lambda: "addr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems, [], name, value)


                                class AddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`IpAddrT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Controls
                                    	**type**\: str
                                    
                                    .. attribute:: vpcpeer
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: pref
                                    
                                    	Preference
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: tag
                                    
                                    	Route Tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operstqual
                                    
                                    	Operational State Qualifier
                                    	**type**\:  :py:class:`IpAddrOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrOperStQual>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList, self).__init__()

                                        self.yang_name = "Addr-list"
                                        self.yang_parent_name = "addr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('vpcpeer', (YLeaf(YType.str, 'vpcPeer'), ['str','str'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrOperStQual', '')])),
                                        ])
                                        self.addr = None
                                        self.type = None
                                        self.ctrl = None
                                        self.vpcpeer = None
                                        self.pref = None
                                        self.tag = None
                                        self.operst = None
                                        self.operstqual = None
                                        self._segment_path = lambda: "Addr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList, ['addr', 'type', 'ctrl', 'vpcpeer', 'pref', 'tag', 'operst', 'operstqual'], name, value)




                            class DampeningItems(Entity):
                                """
                                
                                
                                .. attribute:: halflifeperiod
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..30
                                
                                .. attribute:: reusethreshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..20000
                                
                                .. attribute:: suppressthreshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..20000
                                
                                .. attribute:: maxsuppress
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: restartenabled
                                
                                	Restart enabled
                                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                
                                .. attribute:: restartpenalty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..20000
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningItems, self).__init__()

                                    self.yang_name = "dampening-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('halflifeperiod', (YLeaf(YType.uint64, 'halfLifePeriod'), ['int'])),
                                        ('reusethreshold', (YLeaf(YType.uint64, 'reuseThreshold'), ['int'])),
                                        ('suppressthreshold', (YLeaf(YType.uint64, 'suppressThreshold'), ['int'])),
                                        ('maxsuppress', (YLeaf(YType.uint64, 'maxSuppress'), ['int'])),
                                        ('restartenabled', (YLeaf(YType.enumeration, 'restartEnabled'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ('restartpenalty', (YLeaf(YType.uint64, 'restartPenalty'), ['int'])),
                                    ])
                                    self.halflifeperiod = None
                                    self.reusethreshold = None
                                    self.suppressthreshold = None
                                    self.maxsuppress = None
                                    self.restartenabled = None
                                    self.restartpenalty = None
                                    self._segment_path = lambda: "dampening-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningItems, ['halflifeperiod', 'reusethreshold', 'suppressthreshold', 'maxsuppress', 'restartenabled', 'restartpenalty'], name, value)



                            class DampeningdataItems(Entity):
                                """
                                
                                
                                .. attribute:: flapcount
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: penalty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: suppressed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: reusetime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: halflifeperiod
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: reusethreshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: suppressthreshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: maxsuppress
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: maxpenalty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: restartpenalty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningdataItems, self).__init__()

                                    self.yang_name = "dampeningdata-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('flapcount', (YLeaf(YType.uint64, 'flapCount'), ['int'])),
                                        ('penalty', (YLeaf(YType.uint64, 'penalty'), ['int'])),
                                        ('suppressed', (YLeaf(YType.uint64, 'suppressed'), ['int'])),
                                        ('reusetime', (YLeaf(YType.uint64, 'reuseTime'), ['int'])),
                                        ('halflifeperiod', (YLeaf(YType.uint64, 'halfLifePeriod'), ['int'])),
                                        ('reusethreshold', (YLeaf(YType.uint64, 'reuseThreshold'), ['int'])),
                                        ('suppressthreshold', (YLeaf(YType.uint64, 'suppressThreshold'), ['int'])),
                                        ('maxsuppress', (YLeaf(YType.uint64, 'maxSuppress'), ['int'])),
                                        ('maxpenalty', (YLeaf(YType.uint64, 'maxPenalty'), ['int'])),
                                        ('restartpenalty', (YLeaf(YType.uint64, 'restartPenalty'), ['int'])),
                                    ])
                                    self.flapcount = None
                                    self.penalty = None
                                    self.suppressed = None
                                    self.reusetime = None
                                    self.halflifeperiod = None
                                    self.reusethreshold = None
                                    self.suppressthreshold = None
                                    self.maxsuppress = None
                                    self.maxpenalty = None
                                    self.restartpenalty = None
                                    self._segment_path = lambda: "dampeningdata-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.DampeningdataItems, ['flapcount', 'penalty', 'suppressed', 'reusetime', 'halflifeperiod', 'reusethreshold', 'suppressthreshold', 'maxsuppress', 'maxpenalty', 'restartpenalty'], name, value)



                            class TrafficstatItems(Entity):
                                """
                                
                                
                                .. attribute:: upktsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: upktrecv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: upktfwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: upktorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: upktconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ubytesent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ubytercv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ubytefwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ubyteorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ubyteconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mpktsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mpktrcv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mpktfwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mpktorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mpktconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mbytesent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mbytercv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mbytefwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mbyteorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: mbyteconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bpktsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bpktrcv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bpktfwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bpktorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bpktconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bbytesent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bbytercv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bbytefwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bbyteorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bbyteconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lpktsent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lpktrcv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lpktfwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lpktorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lpktconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lbytesent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lbytercv
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lbytefwd
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lbyteorig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lbyteconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.TrafficstatItems, self).__init__()

                                    self.yang_name = "trafficstat-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('upktsent', (YLeaf(YType.uint64, 'upktSent'), ['int'])),
                                        ('upktrecv', (YLeaf(YType.uint64, 'upktRecv'), ['int'])),
                                        ('upktfwd', (YLeaf(YType.uint64, 'upktFwd'), ['int'])),
                                        ('upktorig', (YLeaf(YType.uint64, 'upktOrig'), ['int'])),
                                        ('upktconsumed', (YLeaf(YType.uint64, 'upktConsumed'), ['int'])),
                                        ('ubytesent', (YLeaf(YType.uint64, 'ubyteSent'), ['int'])),
                                        ('ubytercv', (YLeaf(YType.uint64, 'ubyteRcv'), ['int'])),
                                        ('ubytefwd', (YLeaf(YType.uint64, 'ubyteFwd'), ['int'])),
                                        ('ubyteorig', (YLeaf(YType.uint64, 'ubyteOrig'), ['int'])),
                                        ('ubyteconsumed', (YLeaf(YType.uint64, 'ubyteConsumed'), ['int'])),
                                        ('mpktsent', (YLeaf(YType.uint64, 'mpktSent'), ['int'])),
                                        ('mpktrcv', (YLeaf(YType.uint64, 'mpktRcv'), ['int'])),
                                        ('mpktfwd', (YLeaf(YType.uint64, 'mpktFwd'), ['int'])),
                                        ('mpktorig', (YLeaf(YType.uint64, 'mpktOrig'), ['int'])),
                                        ('mpktconsumed', (YLeaf(YType.uint64, 'mpktConsumed'), ['int'])),
                                        ('mbytesent', (YLeaf(YType.uint64, 'mbyteSent'), ['int'])),
                                        ('mbytercv', (YLeaf(YType.uint64, 'mbyteRcv'), ['int'])),
                                        ('mbytefwd', (YLeaf(YType.uint64, 'mbyteFwd'), ['int'])),
                                        ('mbyteorig', (YLeaf(YType.uint64, 'mbyteOrig'), ['int'])),
                                        ('mbyteconsumed', (YLeaf(YType.uint64, 'mbyteConsumed'), ['int'])),
                                        ('bpktsent', (YLeaf(YType.uint64, 'bpktSent'), ['int'])),
                                        ('bpktrcv', (YLeaf(YType.uint64, 'bpktRcv'), ['int'])),
                                        ('bpktfwd', (YLeaf(YType.uint64, 'bpktFwd'), ['int'])),
                                        ('bpktorig', (YLeaf(YType.uint64, 'bpktOrig'), ['int'])),
                                        ('bpktconsumed', (YLeaf(YType.uint64, 'bpktConsumed'), ['int'])),
                                        ('bbytesent', (YLeaf(YType.uint64, 'bbyteSent'), ['int'])),
                                        ('bbytercv', (YLeaf(YType.uint64, 'bbyteRcv'), ['int'])),
                                        ('bbytefwd', (YLeaf(YType.uint64, 'bbyteFwd'), ['int'])),
                                        ('bbyteorig', (YLeaf(YType.uint64, 'bbyteOrig'), ['int'])),
                                        ('bbyteconsumed', (YLeaf(YType.uint64, 'bbyteConsumed'), ['int'])),
                                        ('lpktsent', (YLeaf(YType.uint64, 'lpktSent'), ['int'])),
                                        ('lpktrcv', (YLeaf(YType.uint64, 'lpktRcv'), ['int'])),
                                        ('lpktfwd', (YLeaf(YType.uint64, 'lpktFwd'), ['int'])),
                                        ('lpktorig', (YLeaf(YType.uint64, 'lpktOrig'), ['int'])),
                                        ('lpktconsumed', (YLeaf(YType.uint64, 'lpktConsumed'), ['int'])),
                                        ('lbytesent', (YLeaf(YType.uint64, 'lbyteSent'), ['int'])),
                                        ('lbytercv', (YLeaf(YType.uint64, 'lbyteRcv'), ['int'])),
                                        ('lbytefwd', (YLeaf(YType.uint64, 'lbyteFwd'), ['int'])),
                                        ('lbyteorig', (YLeaf(YType.uint64, 'lbyteOrig'), ['int'])),
                                        ('lbyteconsumed', (YLeaf(YType.uint64, 'lbyteConsumed'), ['int'])),
                                    ])
                                    self.upktsent = None
                                    self.upktrecv = None
                                    self.upktfwd = None
                                    self.upktorig = None
                                    self.upktconsumed = None
                                    self.ubytesent = None
                                    self.ubytercv = None
                                    self.ubytefwd = None
                                    self.ubyteorig = None
                                    self.ubyteconsumed = None
                                    self.mpktsent = None
                                    self.mpktrcv = None
                                    self.mpktfwd = None
                                    self.mpktorig = None
                                    self.mpktconsumed = None
                                    self.mbytesent = None
                                    self.mbytercv = None
                                    self.mbytefwd = None
                                    self.mbyteorig = None
                                    self.mbyteconsumed = None
                                    self.bpktsent = None
                                    self.bpktrcv = None
                                    self.bpktfwd = None
                                    self.bpktorig = None
                                    self.bpktconsumed = None
                                    self.bbytesent = None
                                    self.bbytercv = None
                                    self.bbytefwd = None
                                    self.bbyteorig = None
                                    self.bbyteconsumed = None
                                    self.lpktsent = None
                                    self.lpktrcv = None
                                    self.lpktfwd = None
                                    self.lpktorig = None
                                    self.lpktconsumed = None
                                    self.lbytesent = None
                                    self.lbytercv = None
                                    self.lbytefwd = None
                                    self.lbyteorig = None
                                    self.lbyteconsumed = None
                                    self._segment_path = lambda: "trafficstat-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.TrafficstatItems, ['upktsent', 'upktrecv', 'upktfwd', 'upktorig', 'upktconsumed', 'ubytesent', 'ubytercv', 'ubytefwd', 'ubyteorig', 'ubyteconsumed', 'mpktsent', 'mpktrcv', 'mpktfwd', 'mpktorig', 'mpktconsumed', 'mbytesent', 'mbytercv', 'mbytefwd', 'mbyteorig', 'mbyteconsumed', 'bpktsent', 'bpktrcv', 'bpktfwd', 'bpktorig', 'bpktconsumed', 'bbytesent', 'bbytercv', 'bbytefwd', 'bbyteorig', 'bbyteconsumed', 'lpktsent', 'lpktrcv', 'lpktfwd', 'lpktorig', 'lpktconsumed', 'lbytesent', 'lbytercv', 'lbytefwd', 'lbyteorig', 'lbyteconsumed'], name, value)



                            class StatItems(Entity):
                                """
                                
                                
                                .. attribute:: iodvalue
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: vrfnameout
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: protostate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: linkstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: adminstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: priaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: prisubnet
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: primasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: priroutepref
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: pritag
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: secaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: secaddrsubnet
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: secaddrmasklen
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: secaddrroutepref
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: secaddrtag
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: numaddr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vaddrclient
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vaddrprefix
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vaddrsubnet
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vaddrmasklen
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: numvaddr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: unnumintf
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: firstiod
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: unnumchildintf
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ipdisabled
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bcastaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: maddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: nummaddr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: mtu
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: pref
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: tag
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: proxyarp
                                
                                	Proxy Arp
                                	**type**\:  :py:class:`NwAdminStIfStatProxyArp <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatProxyArp>`
                                
                                	**config**\: False
                                
                                .. attribute:: localproxyarp
                                
                                	Local Proxy Arp
                                	**type**\:  :py:class:`NwAdminStIfStatLocalProxyArp <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatLocalProxyArp>`
                                
                                	**config**\: False
                                
                                .. attribute:: mrouting
                                
                                	Multicast Routing
                                	**type**\:  :py:class:`NwAdminStIfStatMRouting <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatMRouting>`
                                
                                	**config**\: False
                                
                                .. attribute:: icmpredirect
                                
                                	Icmp Redirect
                                	**type**\:  :py:class:`NwAdminStIfStatIcmpRedirect <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatIcmpRedirect>`
                                
                                	**config**\: False
                                
                                .. attribute:: directbcast
                                
                                	Directed Broadcast
                                	**type**\:  :py:class:`NwAdminStIfStatDirectBcast <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatDirectBcast>`
                                
                                	**config**\: False
                                
                                .. attribute:: ipunreach
                                
                                	IP Unreachable
                                	**type**\:  :py:class:`NwAdminStIfStatIpUnreach <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatIpUnreach>`
                                
                                	**config**\: False
                                
                                .. attribute:: portunreach
                                
                                	Port Unreachable
                                	**type**\:  :py:class:`NwAdminStIfStatPortUnreach <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStIfStatPortUnreach>`
                                
                                	**config**\: False
                                
                                .. attribute:: urpfmode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: iploadsharing
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: aclin
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: aclout
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: statslastreset
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.StatItems, self).__init__()

                                    self.yang_name = "stat-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('iodvalue', (YLeaf(YType.uint64, 'iodValue'), ['int'])),
                                        ('vrfnameout', (YLeaf(YType.str, 'vrfNameOut'), ['str'])),
                                        ('protostate', (YLeaf(YType.str, 'protoState'), ['str'])),
                                        ('linkstate', (YLeaf(YType.str, 'linkState'), ['str'])),
                                        ('adminstate', (YLeaf(YType.str, 'adminState'), ['str'])),
                                        ('priaddr', (YLeaf(YType.str, 'priAddr'), ['str'])),
                                        ('prisubnet', (YLeaf(YType.str, 'priSubnet'), ['str'])),
                                        ('primasklen', (YLeaf(YType.uint8, 'priMasklen'), ['int'])),
                                        ('priroutepref', (YLeaf(YType.uint8, 'priRoutePref'), ['int'])),
                                        ('pritag', (YLeaf(YType.uint32, 'priTag'), ['int'])),
                                        ('secaddr', (YLeaf(YType.str, 'secAddr'), ['str'])),
                                        ('secaddrsubnet', (YLeaf(YType.str, 'secAddrSubnet'), ['str'])),
                                        ('secaddrmasklen', (YLeaf(YType.str, 'secAddrMasklen'), ['str'])),
                                        ('secaddrroutepref', (YLeaf(YType.str, 'secAddrRoutePref'), ['str'])),
                                        ('secaddrtag', (YLeaf(YType.str, 'secAddrTag'), ['str'])),
                                        ('numaddr', (YLeaf(YType.uint32, 'numAddr'), ['int'])),
                                        ('vaddrclient', (YLeaf(YType.str, 'vaddrClient'), ['str'])),
                                        ('vaddrprefix', (YLeaf(YType.str, 'vaddrPrefix'), ['str'])),
                                        ('vaddrsubnet', (YLeaf(YType.str, 'vaddrSubnet'), ['str'])),
                                        ('vaddrmasklen', (YLeaf(YType.str, 'vaddrMasklen'), ['str'])),
                                        ('numvaddr', (YLeaf(YType.uint64, 'numVaddr'), ['int'])),
                                        ('unnumintf', (YLeaf(YType.str, 'unnumIntf'), ['str'])),
                                        ('firstiod', (YLeaf(YType.uint64, 'firstIod'), ['int'])),
                                        ('unnumchildintf', (YLeaf(YType.str, 'unnumChildIntf'), ['str'])),
                                        ('ipdisabled', (YLeaf(YType.str, 'ipDisabled'), ['str'])),
                                        ('bcastaddr', (YLeaf(YType.str, 'bcastAddr'), ['str'])),
                                        ('maddr', (YLeaf(YType.str, 'mAddr'), ['str'])),
                                        ('nummaddr', (YLeaf(YType.uint32, 'numMaddr'), ['int'])),
                                        ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                                        ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                        ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                        ('proxyarp', (YLeaf(YType.enumeration, 'proxyArp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatProxyArp', '')])),
                                        ('localproxyarp', (YLeaf(YType.enumeration, 'localProxyArp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatLocalProxyArp', '')])),
                                        ('mrouting', (YLeaf(YType.enumeration, 'mRouting'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatMRouting', '')])),
                                        ('icmpredirect', (YLeaf(YType.enumeration, 'icmpRedirect'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatIcmpRedirect', '')])),
                                        ('directbcast', (YLeaf(YType.enumeration, 'directBcast'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatDirectBcast', '')])),
                                        ('ipunreach', (YLeaf(YType.enumeration, 'ipUnreach'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatIpUnreach', '')])),
                                        ('portunreach', (YLeaf(YType.enumeration, 'portUnreach'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStIfStatPortUnreach', '')])),
                                        ('urpfmode', (YLeaf(YType.str, 'urpfMode'), ['str'])),
                                        ('iploadsharing', (YLeaf(YType.str, 'ipLoadSharing'), ['str'])),
                                        ('aclin', (YLeaf(YType.str, 'aclIn'), ['str'])),
                                        ('aclout', (YLeaf(YType.str, 'aclOut'), ['str'])),
                                        ('statslastreset', (YLeaf(YType.str, 'statsLastReset'), ['str'])),
                                    ])
                                    self.iodvalue = None
                                    self.vrfnameout = None
                                    self.protostate = None
                                    self.linkstate = None
                                    self.adminstate = None
                                    self.priaddr = None
                                    self.prisubnet = None
                                    self.primasklen = None
                                    self.priroutepref = None
                                    self.pritag = None
                                    self.secaddr = None
                                    self.secaddrsubnet = None
                                    self.secaddrmasklen = None
                                    self.secaddrroutepref = None
                                    self.secaddrtag = None
                                    self.numaddr = None
                                    self.vaddrclient = None
                                    self.vaddrprefix = None
                                    self.vaddrsubnet = None
                                    self.vaddrmasklen = None
                                    self.numvaddr = None
                                    self.unnumintf = None
                                    self.firstiod = None
                                    self.unnumchildintf = None
                                    self.ipdisabled = None
                                    self.bcastaddr = None
                                    self.maddr = None
                                    self.nummaddr = None
                                    self.mtu = None
                                    self.pref = None
                                    self.tag = None
                                    self.proxyarp = None
                                    self.localproxyarp = None
                                    self.mrouting = None
                                    self.icmpredirect = None
                                    self.directbcast = None
                                    self.ipunreach = None
                                    self.portunreach = None
                                    self.urpfmode = None
                                    self.iploadsharing = None
                                    self.aclin = None
                                    self.aclout = None
                                    self.statslastreset = None
                                    self._segment_path = lambda: "stat-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.StatItems, ['iodvalue', 'vrfnameout', 'protostate', 'linkstate', 'adminstate', 'priaddr', 'prisubnet', 'primasklen', 'priroutepref', 'pritag', 'secaddr', 'secaddrsubnet', 'secaddrmasklen', 'secaddrroutepref', 'secaddrtag', 'numaddr', 'vaddrclient', 'vaddrprefix', 'vaddrsubnet', 'vaddrmasklen', 'numvaddr', 'unnumintf', 'firstiod', 'unnumchildintf', 'ipdisabled', 'bcastaddr', 'maddr', 'nummaddr', 'mtu', 'pref', 'tag', 'proxyarp', 'localproxyarp', 'mrouting', 'icmpredirect', 'directbcast', 'ipunreach', 'portunreach', 'urpfmode', 'iploadsharing', 'aclin', 'aclout', 'statslastreset'], name, value)



                            class RpolItems(Entity):
                                """
                                
                                
                                .. attribute:: rmapname
                                
                                	
                                	**type**\: str
                                
                                	**length:** 0..63
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems, self).__init__()

                                    self.yang_name = "rpol-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rmapname', (YLeaf(YType.str, 'rmapname'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.rmapname = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "rpol-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems, ['rmapname', 'name', 'descr'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class PstatItems(Entity):
                        """
                        
                        
                        .. attribute:: contextname
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: contextid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: basetid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: autodisc
                        
                        	Auto Discard
                        	**type**\:  :py:class:`NwAdminStProcessStatAutoDisc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStProcessStatAutoDisc>`
                        
                        	**config**\: False
                        
                        .. attribute:: autodiscadd
                        
                        	Auto Discard Added
                        	**type**\:  :py:class:`NwAdminStProcessStatAutoDiscAdd <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStProcessStatAutoDiscAdd>`
                        
                        	**config**\: False
                        
                        .. attribute:: nullbcast
                        
                        	Null BroadCast
                        	**type**\:  :py:class:`NwAdminStProcessStatNullBcast <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStProcessStatNullBcast>`
                        
                        	**config**\: False
                        
                        .. attribute:: autopuntbcast
                        
                        	Auto Punt Broadcast
                        	**type**\:  :py:class:`NwAdminStProcessStatAutoPuntBcast <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStProcessStatAutoPuntBcast>`
                        
                        	**config**\: False
                        
                        .. attribute:: staticdisc
                        
                        	Static Discard
                        	**type**\:  :py:class:`NwAdminStProcessStatStaticDisc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminStProcessStatStaticDisc>`
                        
                        	**config**\: False
                        
                        .. attribute:: staticdefroute
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ipunreach
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: entryiod
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: localaddr
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv4Items.InstItems.DomItems.DomList.PstatItems, self).__init__()

                            self.yang_name = "pstat-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('contextname', (YLeaf(YType.str, 'contextName'), ['str'])),
                                ('contextid', (YLeaf(YType.uint64, 'contextId'), ['int'])),
                                ('basetid', (YLeaf(YType.uint64, 'baseTId'), ['int'])),
                                ('autodisc', (YLeaf(YType.enumeration, 'autoDisc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStProcessStatAutoDisc', '')])),
                                ('autodiscadd', (YLeaf(YType.enumeration, 'autoDiscAdd'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStProcessStatAutoDiscAdd', '')])),
                                ('nullbcast', (YLeaf(YType.enumeration, 'nullBcast'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStProcessStatNullBcast', '')])),
                                ('autopuntbcast', (YLeaf(YType.enumeration, 'autoPuntBcast'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStProcessStatAutoPuntBcast', '')])),
                                ('staticdisc', (YLeaf(YType.enumeration, 'staticDisc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminStProcessStatStaticDisc', '')])),
                                ('staticdefroute', (YLeaf(YType.uint64, 'staticDefRoute'), ['int'])),
                                ('ipunreach', (YLeaf(YType.uint64, 'ipUnreach'), ['int'])),
                                ('entryiod', (YLeaf(YType.str, 'entryIod'), ['str'])),
                                ('localaddr', (YLeaf(YType.str, 'localAddr'), ['str'])),
                            ])
                            self.contextname = None
                            self.contextid = None
                            self.basetid = None
                            self.autodisc = None
                            self.autodiscadd = None
                            self.nullbcast = None
                            self.autopuntbcast = None
                            self.staticdisc = None
                            self.staticdefroute = None
                            self.ipunreach = None
                            self.entryiod = None
                            self.localaddr = None
                            self._segment_path = lambda: "pstat-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.PstatItems, ['contextname', 'contextid', 'basetid', 'autodisc', 'autodiscadd', 'nullbcast', 'autopuntbcast', 'staticdisc', 'staticdefroute', 'ipunreach', 'entryiod', 'localaddr'], name, value)



                    class RtItems(Entity):
                        """
                        
                        
                        .. attribute:: route_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems, self).__init__()

                            self.yang_name = "rt-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList))])
                            self._leafs = OrderedDict()

                            self.route_list = YList(self)
                            self._segment_path = lambda: "rt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems, [], name, value)


                        class RouteList(Entity):
                            """
                            
                            
                            .. attribute:: prefix  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: pref
                            
                            	Preference
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: tag
                            
                            	Tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pctag
                            
                            	PC Tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: nh_items
                            
                            	
                            	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems>`
                            
                            .. attribute:: nhs_items
                            
                            	
                            	**type**\:  :py:class:`NhsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList, self).__init__()

                                self.yang_name = "Route-list"
                                self.yang_parent_name = "rt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['prefix']
                                self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems)), ("nhs-items", ("nhs_items", System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems))])
                                self._leafs = OrderedDict([
                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                    ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                    ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ])
                                self.prefix = None
                                self.name = None
                                self.descr = None
                                self.pref = None
                                self.tag = None
                                self.pctag = None
                                self.ctrl = None

                                self.nh_items = System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems()
                                self.nh_items.parent = self
                                self._children_name_map["nh_items"] = "nh-items"

                                self.nhs_items = System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems()
                                self.nhs_items.parent = self
                                self._children_name_map["nhs_items"] = "nhs-items"
                                self._segment_path = lambda: "Route-list" + "[prefix='" + str(self.prefix) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList, ['prefix', 'name', 'descr', 'pref', 'tag', 'pctag', 'ctrl'], name, value)


                            class NhItems(Entity):
                                """
                                
                                
                                .. attribute:: nexthop_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems, self).__init__()

                                    self.yang_name = "nh-items"
                                    self.yang_parent_name = "Route-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList))])
                                    self._leafs = OrderedDict()

                                    self.nexthop_list = YList(self)
                                    self._segment_path = lambda: "nh-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems, [], name, value)


                                class NexthopList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nhif  (key)
                                    
                                    	Nexthop Interface
                                    	**type**\: str
                                    
                                    .. attribute:: nhaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: nhvrf  (key)
                                    
                                    	Nexthop VRF
                                    	**type**\: str
                                    
                                    .. attribute:: rtname
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pref
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: object
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rwencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: flags
                                    
                                    	Rnh Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList, self).__init__()

                                        self.yang_name = "Nexthop-list"
                                        self.yang_parent_name = "nh-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['nhif','nhaddr','nhvrf']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                            ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ('nhvrf', (YLeaf(YType.str, 'nhVrf'), ['str'])),
                                            ('rtname', (YLeaf(YType.str, 'rtname'), ['str'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('object', (YLeaf(YType.uint32, 'object'), ['int'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rwencap', (YLeaf(YType.str, 'rwEncap'), ['str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                        ])
                                        self.nhif = None
                                        self.nhaddr = None
                                        self.nhvrf = None
                                        self.rtname = None
                                        self.tag = None
                                        self.pref = None
                                        self.object = None
                                        self.name = None
                                        self.descr = None
                                        self.rwencap = None
                                        self.flags = None
                                        self.operst = None
                                        self._segment_path = lambda: "Nexthop-list" + "[nhIf='" + str(self.nhif) + "']" + "[nhAddr='" + str(self.nhaddr) + "']" + "[nhVrf='" + str(self.nhvrf) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList, ['nhif', 'nhaddr', 'nhvrf', 'rtname', 'tag', 'pref', 'object', 'name', 'descr', 'rwencap', 'flags', 'operst'], name, value)




                            class NhsItems(Entity):
                                """
                                
                                
                                .. attribute:: nexthopstub_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NexthopStubList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems, self).__init__()

                                    self.yang_name = "nhs-items"
                                    self.yang_parent_name = "Route-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("NexthopStub-list", ("nexthopstub_list", System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList))])
                                    self._leafs = OrderedDict()

                                    self.nexthopstub_list = YList(self)
                                    self._segment_path = lambda: "nhs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems, [], name, value)


                                class NexthopStubList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nhif  (key)
                                    
                                    	Nexthop Interface
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: nhaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: nhvrf  (key)
                                    
                                    	Nexthop VRF
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rwencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Rnh Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList, self).__init__()

                                        self.yang_name = "NexthopStub-list"
                                        self.yang_parent_name = "nhs-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['nhif','nhaddr','nhvrf']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                            ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ('nhvrf', (YLeaf(YType.str, 'nhVrf'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rwencap', (YLeaf(YType.str, 'rwEncap'), ['str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                        ])
                                        self.nhif = None
                                        self.nhaddr = None
                                        self.nhvrf = None
                                        self.name = None
                                        self.descr = None
                                        self.rwencap = None
                                        self.flags = None
                                        self.operst = None
                                        self._segment_path = lambda: "NexthopStub-list" + "[nhIf='" + str(self.nhif) + "']" + "[nhAddr='" + str(self.nhaddr) + "']" + "[nhVrf='" + str(self.nhvrf) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList, ['nhif', 'nhaddr', 'nhvrf', 'name', 'descr', 'rwencap', 'flags', 'operst'], name, value)






                    class RoutestatItems(Entity):
                        """
                        
                        
                        .. attribute:: contextname
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: contextid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: prefixmask
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nhprefixmask
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vrfinfo
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: intrinfo
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: uribstat
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nhopuribstat
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: trackobjnum
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: trackobjstate
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv4Items.InstItems.DomItems.DomList.RoutestatItems, self).__init__()

                            self.yang_name = "routestat-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('contextname', (YLeaf(YType.str, 'contextName'), ['str'])),
                                ('contextid', (YLeaf(YType.uint32, 'contextId'), ['int'])),
                                ('prefixmask', (YLeaf(YType.str, 'prefixMask'), ['str'])),
                                ('nhprefixmask', (YLeaf(YType.str, 'nhPrefixMask'), ['str'])),
                                ('vrfinfo', (YLeaf(YType.str, 'vrfInfo'), ['str'])),
                                ('intrinfo', (YLeaf(YType.str, 'intrInfo'), ['str'])),
                                ('uribstat', (YLeaf(YType.str, 'uribStat'), ['str'])),
                                ('nhopuribstat', (YLeaf(YType.str, 'nhopUribStat'), ['str'])),
                                ('trackobjnum', (YLeaf(YType.str, 'trackObjNum'), ['str'])),
                                ('trackobjstate', (YLeaf(YType.str, 'trackObjState'), ['str'])),
                            ])
                            self.contextname = None
                            self.contextid = None
                            self.prefixmask = None
                            self.nhprefixmask = None
                            self.vrfinfo = None
                            self.intrinfo = None
                            self.uribstat = None
                            self.nhopuribstat = None
                            self.trackobjnum = None
                            self.trackobjstate = None
                            self._segment_path = lambda: "routestat-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv4Items.InstItems.DomItems.DomList.RoutestatItems, ['contextname', 'contextid', 'prefixmask', 'nhprefixmask', 'vrfinfo', 'intrinfo', 'uribstat', 'nhopuribstat', 'trackobjnum', 'trackobjstate'], name, value)





            class ClientItems(Entity):
                """
                
                
                .. attribute:: client_list
                
                	
                	**type**\: list of  		 :py:class:`ClientList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv4Items.InstItems.ClientItems.ClientList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.ClientItems, self).__init__()

                    self.yang_name = "client-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Client-list", ("client_list", System.Ipv4Items.InstItems.ClientItems.ClientList))])
                    self._leafs = OrderedDict()

                    self.client_list = YList(self)
                    self._segment_path = lambda: "client-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.ClientItems, [], name, value)


                class ClientList(Entity):
                    """
                    
                    
                    .. attribute:: clientname  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clientprotocol  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: clientuuid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientpid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientextpid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: clientindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: clientcontextid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: clientmtssap
                    
                    	Client Data Mts Sap
                    	**type**\: int
                    
                    	**range:** \-32768..32767
                    
                    	**config**\: False
                    
                    .. attribute:: clientflag
                    
                    	Client Flag
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: clientdatamsgsuccess
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: clientdatamsgfail
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: clientrcvfunname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv4Items.InstItems.ClientItems.ClientList, self).__init__()

                        self.yang_name = "Client-list"
                        self.yang_parent_name = "client-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['clientname','clientprotocol']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('clientname', (YLeaf(YType.str, 'clientName'), ['str'])),
                            ('clientprotocol', (YLeaf(YType.uint8, 'clientProtocol'), ['int'])),
                            ('clientuuid', (YLeaf(YType.int32, 'clientUuid'), ['int'])),
                            ('clientpid', (YLeaf(YType.int32, 'clientPid'), ['int'])),
                            ('clientextpid', (YLeaf(YType.uint32, 'clientExtPid'), ['int'])),
                            ('clientindex', (YLeaf(YType.uint16, 'clientIndex'), ['int'])),
                            ('clientcontextid', (YLeaf(YType.uint32, 'clientContextId'), ['int'])),
                            ('clientmtssap', (YLeaf(YType.int16, 'clientMtsSap'), ['int'])),
                            ('clientflag', (YLeaf(YType.uint8, 'clientFlag'), ['int'])),
                            ('clientdatamsgsuccess', (YLeaf(YType.uint64, 'clientDataMsgSuccess'), ['int'])),
                            ('clientdatamsgfail', (YLeaf(YType.uint64, 'clientDataMsgFail'), ['int'])),
                            ('clientrcvfunname', (YLeaf(YType.str, 'clientRcvFunName'), ['str'])),
                        ])
                        self.clientname = None
                        self.clientprotocol = None
                        self.clientuuid = None
                        self.clientpid = None
                        self.clientextpid = None
                        self.clientindex = None
                        self.clientcontextid = None
                        self.clientmtssap = None
                        self.clientflag = None
                        self.clientdatamsgsuccess = None
                        self.clientdatamsgfail = None
                        self.clientrcvfunname = None
                        self._segment_path = lambda: "Client-list" + "[clientName='" + str(self.clientname) + "']" + "[clientProtocol='" + str(self.clientprotocol) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/client-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv4Items.InstItems.ClientItems.ClientList, ['clientname', 'clientprotocol', 'clientuuid', 'clientpid', 'clientextpid', 'clientindex', 'clientcontextid', 'clientmtssap', 'clientflag', 'clientdatamsgsuccess', 'clientdatamsgfail', 'clientrcvfunname'], name, value)




            class IploadsharingItems(Entity):
                """
                
                
                .. attribute:: loadsharemode
                
                	Load sharing mode
                	**type**\:  :py:class:`IpLoadShareFormat <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpLoadShareFormat>`
                
                .. attribute:: universalid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: greouterhash
                
                	GRE Outer Hash
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: concatenation
                
                	Concatenation
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: rotate
                
                	
                	**type**\: int
                
                	**range:** 1..63
                
                	**default value**\: 32
                
                .. attribute:: ecmploadsharing
                
                	ECMP load sharing
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.IploadsharingItems, self).__init__()

                    self.yang_name = "iploadsharing-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('loadsharemode', (YLeaf(YType.enumeration, 'loadShareMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpLoadShareFormat', '')])),
                        ('universalid', (YLeaf(YType.uint32, 'universalID'), ['int'])),
                        ('greouterhash', (YLeaf(YType.enumeration, 'greOuterHash'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('concatenation', (YLeaf(YType.enumeration, 'concatenation'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('rotate', (YLeaf(YType.uint16, 'rotate'), ['int'])),
                        ('ecmploadsharing', (YLeaf(YType.enumeration, 'ecmpLoadSharing'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ])
                    self.loadsharemode = None
                    self.universalid = None
                    self.greouterhash = None
                    self.concatenation = None
                    self.rotate = None
                    self.ecmploadsharing = None
                    self._segment_path = lambda: "iploadsharing-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.IploadsharingItems, ['loadsharemode', 'universalid', 'greouterhash', 'concatenation', 'rotate', 'ecmploadsharing'], name, value)



            class LoadstatItems(Entity):
                """
                
                
                .. attribute:: univeridranseed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: iploadshareoption
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: hashflag
                
                	GRE\-Outer Hash
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: concat
                
                	Concatenation
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: rotate
                
                	
                	**type**\: int
                
                	**range:** 1..63
                
                	**config**\: False
                
                	**default value**\: 32
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.LoadstatItems, self).__init__()

                    self.yang_name = "loadstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('univeridranseed', (YLeaf(YType.uint32, 'univerIdRanSeed'), ['int'])),
                        ('iploadshareoption', (YLeaf(YType.str, 'ipLoadshareOption'), ['str'])),
                        ('hashflag', (YLeaf(YType.enumeration, 'hashFlag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('concat', (YLeaf(YType.enumeration, 'concat'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('rotate', (YLeaf(YType.uint16, 'rotate'), ['int'])),
                    ])
                    self.univeridranseed = None
                    self.iploadshareoption = None
                    self.hashflag = None
                    self.concat = None
                    self.rotate = None
                    self._segment_path = lambda: "loadstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.LoadstatItems, ['univeridranseed', 'iploadshareoption', 'hashflag', 'concat', 'rotate'], name, value)



            class IptrafficstatItems(Entity):
                """
                
                
                .. attribute:: received
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: sent
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: consumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fwducast
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fwdmcast
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fwdlabel
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ingressmcecfwdpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsend
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsnop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsbsec
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optslsrr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optstimestamp
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsesec
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsrecordroute
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsstrsrcroute
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsalert
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: optsother
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: frag
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragmented
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outfrag
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: cantfrag
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reasm
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragto
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.IptrafficstatItems, self).__init__()

                    self.yang_name = "iptrafficstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('received', (YLeaf(YType.uint32, 'received'), ['int'])),
                        ('sent', (YLeaf(YType.uint32, 'sent'), ['int'])),
                        ('consumed', (YLeaf(YType.uint32, 'consumed'), ['int'])),
                        ('fwducast', (YLeaf(YType.uint32, 'fwdUcast'), ['int'])),
                        ('fwdmcast', (YLeaf(YType.uint32, 'fwdMcast'), ['int'])),
                        ('fwdlabel', (YLeaf(YType.uint32, 'fwdLabel'), ['int'])),
                        ('ingressmcecfwdpkts', (YLeaf(YType.uint32, 'ingressMcecFwdPkts'), ['int'])),
                        ('optsend', (YLeaf(YType.uint32, 'optsEnd'), ['int'])),
                        ('optsnop', (YLeaf(YType.uint32, 'optsNop'), ['int'])),
                        ('optsbsec', (YLeaf(YType.uint32, 'optsBsec'), ['int'])),
                        ('optslsrr', (YLeaf(YType.uint32, 'optsLsrr'), ['int'])),
                        ('optstimestamp', (YLeaf(YType.uint32, 'optsTimestamp'), ['int'])),
                        ('optsesec', (YLeaf(YType.uint32, 'optsEsec'), ['int'])),
                        ('optsrecordroute', (YLeaf(YType.uint32, 'optsRecordRoute'), ['int'])),
                        ('optsstrsrcroute', (YLeaf(YType.uint32, 'optsStrsrcRoute'), ['int'])),
                        ('optsalert', (YLeaf(YType.uint32, 'optsAlert'), ['int'])),
                        ('optsother', (YLeaf(YType.uint32, 'optsOther'), ['int'])),
                        ('frag', (YLeaf(YType.uint32, 'frag'), ['int'])),
                        ('fragmented', (YLeaf(YType.uint32, 'fragmented'), ['int'])),
                        ('outfrag', (YLeaf(YType.uint32, 'outFrag'), ['int'])),
                        ('fragdrop', (YLeaf(YType.uint32, 'fragDrop'), ['int'])),
                        ('cantfrag', (YLeaf(YType.uint32, 'cantFrag'), ['int'])),
                        ('reasm', (YLeaf(YType.uint32, 'reasm'), ['int'])),
                        ('fragto', (YLeaf(YType.uint32, 'fragTO'), ['int'])),
                    ])
                    self.received = None
                    self.sent = None
                    self.consumed = None
                    self.fwducast = None
                    self.fwdmcast = None
                    self.fwdlabel = None
                    self.ingressmcecfwdpkts = None
                    self.optsend = None
                    self.optsnop = None
                    self.optsbsec = None
                    self.optslsrr = None
                    self.optstimestamp = None
                    self.optsesec = None
                    self.optsrecordroute = None
                    self.optsstrsrcroute = None
                    self.optsalert = None
                    self.optsother = None
                    self.frag = None
                    self.fragmented = None
                    self.outfrag = None
                    self.fragdrop = None
                    self.cantfrag = None
                    self.reasm = None
                    self.fragto = None
                    self._segment_path = lambda: "iptrafficstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.IptrafficstatItems, ['received', 'sent', 'consumed', 'fwducast', 'fwdmcast', 'fwdlabel', 'ingressmcecfwdpkts', 'optsend', 'optsnop', 'optsbsec', 'optslsrr', 'optstimestamp', 'optsesec', 'optsrecordroute', 'optsstrsrcroute', 'optsalert', 'optsother', 'frag', 'fragmented', 'outfrag', 'fragdrop', 'cantfrag', 'reasm', 'fragto'], name, value)



            class IptrafficerrstatItems(Entity):
                """
                
                
                .. attribute:: badcsum
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: toosmall
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badver
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badhlen
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badlen
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: baddest
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badttl
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: cantfwd
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badencap
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: noroute
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: noproto
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badoptions
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vincimigpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: snoopsuccess
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: sviioddown
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: restartpktdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: mbuferrcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badcntxtiddrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpfdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: badgwmacdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsoptionfail
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: natindrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: natoutdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsmfwdfail
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipslispdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipslispdecapdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipslispencapdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipslispencap
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsmfwdcopydrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsrareassdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsicmpredirprocdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsifmgrinitfail
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsinvalidfilter
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ipsinvalidl2msg
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: aclingressdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: aclegressdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: acldirbcastdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.IptrafficerrstatItems, self).__init__()

                    self.yang_name = "iptrafficerrstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('badcsum', (YLeaf(YType.uint32, 'badCsum'), ['int'])),
                        ('toosmall', (YLeaf(YType.uint32, 'tooSmall'), ['int'])),
                        ('badver', (YLeaf(YType.uint32, 'badVer'), ['int'])),
                        ('badhlen', (YLeaf(YType.uint32, 'badHLen'), ['int'])),
                        ('badlen', (YLeaf(YType.uint32, 'badLen'), ['int'])),
                        ('baddest', (YLeaf(YType.uint32, 'badDest'), ['int'])),
                        ('badttl', (YLeaf(YType.uint32, 'badTTL'), ['int'])),
                        ('cantfwd', (YLeaf(YType.uint32, 'cantFwd'), ['int'])),
                        ('outdrop', (YLeaf(YType.uint32, 'outDrop'), ['int'])),
                        ('badencap', (YLeaf(YType.uint32, 'badEncap'), ['int'])),
                        ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                        ('noproto', (YLeaf(YType.uint32, 'noProto'), ['int'])),
                        ('badoptions', (YLeaf(YType.uint32, 'badOptions'), ['int'])),
                        ('vincimigpkts', (YLeaf(YType.uint32, 'vinciMigPkts'), ['int'])),
                        ('snoopsuccess', (YLeaf(YType.uint32, 'snoopSuccess'), ['int'])),
                        ('sviioddown', (YLeaf(YType.uint32, 'sviIodDown'), ['int'])),
                        ('restartpktdrop', (YLeaf(YType.uint32, 'restartPktDrop'), ['int'])),
                        ('mbuferrcount', (YLeaf(YType.uint32, 'mbufErrCount'), ['int'])),
                        ('badcntxtiddrop', (YLeaf(YType.uint32, 'badCntxtIdDrop'), ['int'])),
                        ('rpfdrop', (YLeaf(YType.uint32, 'rpfDrop'), ['int'])),
                        ('badgwmacdrop', (YLeaf(YType.uint32, 'badGwMacDrop'), ['int'])),
                        ('ipsoptionfail', (YLeaf(YType.uint32, 'ipsOptionFail'), ['int'])),
                        ('natindrop', (YLeaf(YType.uint32, 'natInDrop'), ['int'])),
                        ('natoutdrop', (YLeaf(YType.uint32, 'natOutDrop'), ['int'])),
                        ('ipsmfwdfail', (YLeaf(YType.uint32, 'ipsMfwdFail'), ['int'])),
                        ('ipslispdrop', (YLeaf(YType.uint32, 'ipsLispDrop'), ['int'])),
                        ('ipslispdecapdrop', (YLeaf(YType.uint32, 'ipsLispDecapDrop'), ['int'])),
                        ('ipslispencapdrop', (YLeaf(YType.uint32, 'ipsLispEncapDrop'), ['int'])),
                        ('ipslispencap', (YLeaf(YType.uint32, 'ipsLispEncap'), ['int'])),
                        ('ipsmfwdcopydrop', (YLeaf(YType.uint32, 'ipsMfwdCopyDrop'), ['int'])),
                        ('ipsrareassdrop', (YLeaf(YType.uint32, 'ipsRaReassDrop'), ['int'])),
                        ('ipsicmpredirprocdrop', (YLeaf(YType.uint32, 'ipsIcmpRedirProcDrop'), ['int'])),
                        ('ipsifmgrinitfail', (YLeaf(YType.uint32, 'ipsIfmgrInitFail'), ['int'])),
                        ('ipsinvalidfilter', (YLeaf(YType.uint32, 'ipsInvalidFilter'), ['int'])),
                        ('ipsinvalidl2msg', (YLeaf(YType.uint32, 'ipsInvalidL2msg'), ['int'])),
                        ('aclingressdrop', (YLeaf(YType.uint32, 'aclIngressDrop'), ['int'])),
                        ('aclegressdrop', (YLeaf(YType.uint32, 'aclEgressDrop'), ['int'])),
                        ('acldirbcastdrop', (YLeaf(YType.uint32, 'aclDirBcastDrop'), ['int'])),
                    ])
                    self.badcsum = None
                    self.toosmall = None
                    self.badver = None
                    self.badhlen = None
                    self.badlen = None
                    self.baddest = None
                    self.badttl = None
                    self.cantfwd = None
                    self.outdrop = None
                    self.badencap = None
                    self.noroute = None
                    self.noproto = None
                    self.badoptions = None
                    self.vincimigpkts = None
                    self.snoopsuccess = None
                    self.sviioddown = None
                    self.restartpktdrop = None
                    self.mbuferrcount = None
                    self.badcntxtiddrop = None
                    self.rpfdrop = None
                    self.badgwmacdrop = None
                    self.ipsoptionfail = None
                    self.natindrop = None
                    self.natoutdrop = None
                    self.ipsmfwdfail = None
                    self.ipslispdrop = None
                    self.ipslispdecapdrop = None
                    self.ipslispencapdrop = None
                    self.ipslispencap = None
                    self.ipsmfwdcopydrop = None
                    self.ipsrareassdrop = None
                    self.ipsicmpredirprocdrop = None
                    self.ipsifmgrinitfail = None
                    self.ipsinvalidfilter = None
                    self.ipsinvalidl2msg = None
                    self.aclingressdrop = None
                    self.aclegressdrop = None
                    self.acldirbcastdrop = None
                    self._segment_path = lambda: "iptrafficerrstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.IptrafficerrstatItems, ['badcsum', 'toosmall', 'badver', 'badhlen', 'badlen', 'baddest', 'badttl', 'cantfwd', 'outdrop', 'badencap', 'noroute', 'noproto', 'badoptions', 'vincimigpkts', 'snoopsuccess', 'sviioddown', 'restartpktdrop', 'mbuferrcount', 'badcntxtiddrop', 'rpfdrop', 'badgwmacdrop', 'ipsoptionfail', 'natindrop', 'natoutdrop', 'ipsmfwdfail', 'ipslispdrop', 'ipslispdecapdrop', 'ipslispencapdrop', 'ipslispencap', 'ipsmfwdcopydrop', 'ipsrareassdrop', 'ipsicmpredirprocdrop', 'ipsifmgrinitfail', 'ipsinvalidfilter', 'ipsinvalidl2msg', 'aclingressdrop', 'aclegressdrop', 'acldirbcastdrop'], name, value)



            class IcmptrafficstatItems(Entity):
                """
                
                
                .. attribute:: txredir
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txunreach
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txechoreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txechoreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txmaskreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txmaskreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txinforeq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txinforeply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txparamprob
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txsrcquench
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txtstampreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txtstampreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txtstampxceed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txrtrsolicit
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: txrtradvert
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outbadlen
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outencapfail
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outxmitfail
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmporigreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: redirorigreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outerr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: oldshortip
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: oldicmp
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: errordrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxredir
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxunreach
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxechoreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxechoreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxmaskreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxmaskreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxinforeq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxinforeply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxparamprob
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxsrcquench
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxtstampreq
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxtstampreply
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxtimexceed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxrtrsolicit
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxrtradvert
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxformaterror
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rxcsumerror
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmplispprocessed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmpnoclients
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmpconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmpreplies
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmpreplydropinvldaddr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: icmpreplydropinactaddr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: statslastreset
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.IcmptrafficstatItems, self).__init__()

                    self.yang_name = "icmptrafficstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('txredir', (YLeaf(YType.uint32, 'txRedir'), ['int'])),
                        ('txunreach', (YLeaf(YType.uint32, 'txUnreach'), ['int'])),
                        ('txechoreq', (YLeaf(YType.uint32, 'txEchoReq'), ['int'])),
                        ('txechoreply', (YLeaf(YType.uint32, 'txEchoReply'), ['int'])),
                        ('txmaskreq', (YLeaf(YType.uint32, 'txMaskReq'), ['int'])),
                        ('txmaskreply', (YLeaf(YType.uint32, 'txMaskReply'), ['int'])),
                        ('txinforeq', (YLeaf(YType.uint32, 'txInfoReq'), ['int'])),
                        ('txinforeply', (YLeaf(YType.uint32, 'txInfoReply'), ['int'])),
                        ('txparamprob', (YLeaf(YType.uint32, 'txParamProb'), ['int'])),
                        ('txsrcquench', (YLeaf(YType.uint32, 'txSrcQuench'), ['int'])),
                        ('txtstampreq', (YLeaf(YType.uint32, 'txTstampReq'), ['int'])),
                        ('txtstampreply', (YLeaf(YType.uint32, 'txTstampReply'), ['int'])),
                        ('txtstampxceed', (YLeaf(YType.uint32, 'txTstampXceed'), ['int'])),
                        ('txrtrsolicit', (YLeaf(YType.uint32, 'txRtrSolicit'), ['int'])),
                        ('txrtradvert', (YLeaf(YType.uint32, 'txRtrAdvert'), ['int'])),
                        ('outbadlen', (YLeaf(YType.uint32, 'outBadLen'), ['int'])),
                        ('outencapfail', (YLeaf(YType.uint32, 'outEncapFail'), ['int'])),
                        ('outxmitfail', (YLeaf(YType.uint32, 'outXmitFail'), ['int'])),
                        ('icmporigreq', (YLeaf(YType.uint32, 'icmpOrigReq'), ['int'])),
                        ('redirorigreq', (YLeaf(YType.uint32, 'redirOrigReq'), ['int'])),
                        ('outerr', (YLeaf(YType.uint32, 'outErr'), ['int'])),
                        ('oldshortip', (YLeaf(YType.uint32, 'oldShortIp'), ['int'])),
                        ('oldicmp', (YLeaf(YType.uint32, 'oldIcmp'), ['int'])),
                        ('errordrop', (YLeaf(YType.uint32, 'errorDrop'), ['int'])),
                        ('rxredir', (YLeaf(YType.uint32, 'rxRedir'), ['int'])),
                        ('rxunreach', (YLeaf(YType.uint32, 'rxUnreach'), ['int'])),
                        ('rxechoreq', (YLeaf(YType.uint32, 'rxEchoReq'), ['int'])),
                        ('rxechoreply', (YLeaf(YType.uint32, 'rxEchoReply'), ['int'])),
                        ('rxmaskreq', (YLeaf(YType.uint32, 'rxMaskReq'), ['int'])),
                        ('rxmaskreply', (YLeaf(YType.uint32, 'rxMaskReply'), ['int'])),
                        ('rxinforeq', (YLeaf(YType.uint32, 'rxInfoReq'), ['int'])),
                        ('rxinforeply', (YLeaf(YType.uint32, 'rxInfoReply'), ['int'])),
                        ('rxparamprob', (YLeaf(YType.uint32, 'rxParamProb'), ['int'])),
                        ('rxsrcquench', (YLeaf(YType.uint32, 'rxSrcQuench'), ['int'])),
                        ('rxtstampreq', (YLeaf(YType.uint32, 'rxTstampReq'), ['int'])),
                        ('rxtstampreply', (YLeaf(YType.uint32, 'rxTstampReply'), ['int'])),
                        ('rxtimexceed', (YLeaf(YType.uint32, 'rxTimeXceed'), ['int'])),
                        ('rxrtrsolicit', (YLeaf(YType.uint32, 'rxRtrSolicit'), ['int'])),
                        ('rxrtradvert', (YLeaf(YType.uint32, 'rxRtrAdvert'), ['int'])),
                        ('rxformaterror', (YLeaf(YType.uint32, 'rxFormatError'), ['int'])),
                        ('rxcsumerror', (YLeaf(YType.uint32, 'rxCsumError'), ['int'])),
                        ('icmplispprocessed', (YLeaf(YType.uint32, 'icmpLispProcessed'), ['int'])),
                        ('icmpnoclients', (YLeaf(YType.uint32, 'icmpNoClients'), ['int'])),
                        ('icmpconsumed', (YLeaf(YType.uint32, 'icmpConsumed'), ['int'])),
                        ('icmpreplies', (YLeaf(YType.uint32, 'icmpReplies'), ['int'])),
                        ('icmpreplydropinvldaddr', (YLeaf(YType.uint32, 'icmpReplyDropInvldAddr'), ['int'])),
                        ('icmpreplydropinactaddr', (YLeaf(YType.uint32, 'icmpReplyDropInactAddr'), ['int'])),
                        ('statslastreset', (YLeaf(YType.str, 'statsLastReset'), ['str'])),
                    ])
                    self.txredir = None
                    self.txunreach = None
                    self.txechoreq = None
                    self.txechoreply = None
                    self.txmaskreq = None
                    self.txmaskreply = None
                    self.txinforeq = None
                    self.txinforeply = None
                    self.txparamprob = None
                    self.txsrcquench = None
                    self.txtstampreq = None
                    self.txtstampreply = None
                    self.txtstampxceed = None
                    self.txrtrsolicit = None
                    self.txrtradvert = None
                    self.outbadlen = None
                    self.outencapfail = None
                    self.outxmitfail = None
                    self.icmporigreq = None
                    self.redirorigreq = None
                    self.outerr = None
                    self.oldshortip = None
                    self.oldicmp = None
                    self.errordrop = None
                    self.rxredir = None
                    self.rxunreach = None
                    self.rxechoreq = None
                    self.rxechoreply = None
                    self.rxmaskreq = None
                    self.rxmaskreply = None
                    self.rxinforeq = None
                    self.rxinforeply = None
                    self.rxparamprob = None
                    self.rxsrcquench = None
                    self.rxtstampreq = None
                    self.rxtstampreply = None
                    self.rxtimexceed = None
                    self.rxrtrsolicit = None
                    self.rxrtradvert = None
                    self.rxformaterror = None
                    self.rxcsumerror = None
                    self.icmplispprocessed = None
                    self.icmpnoclients = None
                    self.icmpconsumed = None
                    self.icmpreplies = None
                    self.icmpreplydropinvldaddr = None
                    self.icmpreplydropinactaddr = None
                    self.statslastreset = None
                    self._segment_path = lambda: "icmptrafficstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.IcmptrafficstatItems, ['txredir', 'txunreach', 'txechoreq', 'txechoreply', 'txmaskreq', 'txmaskreply', 'txinforeq', 'txinforeply', 'txparamprob', 'txsrcquench', 'txtstampreq', 'txtstampreply', 'txtstampxceed', 'txrtrsolicit', 'txrtradvert', 'outbadlen', 'outencapfail', 'outxmitfail', 'icmporigreq', 'redirorigreq', 'outerr', 'oldshortip', 'oldicmp', 'errordrop', 'rxredir', 'rxunreach', 'rxechoreq', 'rxechoreply', 'rxmaskreq', 'rxmaskreply', 'rxinforeq', 'rxinforeply', 'rxparamprob', 'rxsrcquench', 'rxtstampreq', 'rxtstampreply', 'rxtimexceed', 'rxrtrsolicit', 'rxrtradvert', 'rxformaterror', 'rxcsumerror', 'icmplispprocessed', 'icmpnoclients', 'icmpconsumed', 'icmpreplies', 'icmpreplydropinvldaddr', 'icmpreplydropinactaddr', 'statslastreset'], name, value)



            class Rfc4293trafficstatItems(Entity):
                """
                
                
                .. attribute:: inrcv
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inoctet
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inhdrerr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: innoroutes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inaddrerr
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: innoproto
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: intruncated
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inforwdgrams
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reasmreqds
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reasmoks
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reasmfails
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: indiscards
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: indelivers
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inmcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inmcastbytes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: inbcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outrequest
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outnoroutes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outforwdgrams
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outdiscards
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outfragreqds
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outfragoks
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outfragfails
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outfragcreates
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outtransmits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outbytes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outmcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outmcastbytes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outbcastpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: outbcastbytes
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv4Items.InstItems.Rfc4293trafficstatItems, self).__init__()

                    self.yang_name = "rfc4293trafficstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('inrcv', (YLeaf(YType.uint32, 'inrcv'), ['int'])),
                        ('inoctet', (YLeaf(YType.uint32, 'inoctet'), ['int'])),
                        ('inhdrerr', (YLeaf(YType.uint32, 'inhdrerr'), ['int'])),
                        ('innoroutes', (YLeaf(YType.uint32, 'innoroutes'), ['int'])),
                        ('inaddrerr', (YLeaf(YType.uint32, 'inaddrerr'), ['int'])),
                        ('innoproto', (YLeaf(YType.uint32, 'innoproto'), ['int'])),
                        ('intruncated', (YLeaf(YType.uint32, 'intruncated'), ['int'])),
                        ('inforwdgrams', (YLeaf(YType.uint32, 'inforwdgrams'), ['int'])),
                        ('reasmreqds', (YLeaf(YType.uint32, 'reasmreqds'), ['int'])),
                        ('reasmoks', (YLeaf(YType.uint32, 'reasmoks'), ['int'])),
                        ('reasmfails', (YLeaf(YType.uint32, 'reasmfails'), ['int'])),
                        ('indiscards', (YLeaf(YType.uint32, 'indiscards'), ['int'])),
                        ('indelivers', (YLeaf(YType.uint32, 'indelivers'), ['int'])),
                        ('inmcastpkts', (YLeaf(YType.uint32, 'inMcastPkts'), ['int'])),
                        ('inmcastbytes', (YLeaf(YType.uint32, 'inMcastBytes'), ['int'])),
                        ('inbcastpkts', (YLeaf(YType.uint32, 'inBcastPkts'), ['int'])),
                        ('outrequest', (YLeaf(YType.uint32, 'outRequest'), ['int'])),
                        ('outnoroutes', (YLeaf(YType.uint32, 'outNoRoutes'), ['int'])),
                        ('outforwdgrams', (YLeaf(YType.uint32, 'outForwdGrams'), ['int'])),
                        ('outdiscards', (YLeaf(YType.uint32, 'outDiscards'), ['int'])),
                        ('outfragreqds', (YLeaf(YType.uint32, 'outFragReqds'), ['int'])),
                        ('outfragoks', (YLeaf(YType.uint32, 'outFragOks'), ['int'])),
                        ('outfragfails', (YLeaf(YType.uint32, 'outFragFails'), ['int'])),
                        ('outfragcreates', (YLeaf(YType.uint32, 'outFragCreates'), ['int'])),
                        ('outtransmits', (YLeaf(YType.uint32, 'outTransmits'), ['int'])),
                        ('outbytes', (YLeaf(YType.uint32, 'outBytes'), ['int'])),
                        ('outmcastpkts', (YLeaf(YType.uint32, 'outMcastPkts'), ['int'])),
                        ('outmcastbytes', (YLeaf(YType.uint32, 'outMcastBytes'), ['int'])),
                        ('outbcastpkts', (YLeaf(YType.uint32, 'outBcastPkts'), ['int'])),
                        ('outbcastbytes', (YLeaf(YType.uint32, 'outBcastBytes'), ['int'])),
                    ])
                    self.inrcv = None
                    self.inoctet = None
                    self.inhdrerr = None
                    self.innoroutes = None
                    self.inaddrerr = None
                    self.innoproto = None
                    self.intruncated = None
                    self.inforwdgrams = None
                    self.reasmreqds = None
                    self.reasmoks = None
                    self.reasmfails = None
                    self.indiscards = None
                    self.indelivers = None
                    self.inmcastpkts = None
                    self.inmcastbytes = None
                    self.inbcastpkts = None
                    self.outrequest = None
                    self.outnoroutes = None
                    self.outforwdgrams = None
                    self.outdiscards = None
                    self.outfragreqds = None
                    self.outfragoks = None
                    self.outfragfails = None
                    self.outfragcreates = None
                    self.outtransmits = None
                    self.outbytes = None
                    self.outmcastpkts = None
                    self.outmcastbytes = None
                    self.outbcastpkts = None
                    self.outbcastbytes = None
                    self._segment_path = lambda: "rfc4293trafficstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv4Items.InstItems.Rfc4293trafficstatItems, ['inrcv', 'inoctet', 'inhdrerr', 'innoroutes', 'inaddrerr', 'innoproto', 'intruncated', 'inforwdgrams', 'reasmreqds', 'reasmoks', 'reasmfails', 'indiscards', 'indelivers', 'inmcastpkts', 'inmcastbytes', 'inbcastpkts', 'outrequest', 'outnoroutes', 'outforwdgrams', 'outdiscards', 'outfragreqds', 'outfragoks', 'outfragfails', 'outfragcreates', 'outtransmits', 'outbytes', 'outmcastpkts', 'outmcastbytes', 'outbcastpkts', 'outbcastbytes'], name, value)





    class Ipv6Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Ipv6Items, self).__init__()

            self.yang_name = "ipv6-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Ipv6Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.Ipv6Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "ipv6-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Ipv6Items, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: accesslistmatchlocal
            
            	Access\-List Match Local
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: staticneighboroutsidesubnet
            
            	Static Neighbor Outside Subnet 
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: queuepackets
            
            	Queue\-packets
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: switchpackets
            
            	Switch\-packets
            	**type**\:  :py:class:`IpSwitchPktTarget <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpSwitchPktTarget>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: mtustats_items
            
            	
            	**type**\:  :py:class:`MtustatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.MtustatsItems>`
            
            .. attribute:: clientstats_items
            
            	
            	**type**\:  :py:class:`ClientstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.ClientstatsItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems>`
            
            .. attribute:: fragstats_items
            
            	
            	**type**\:  :py:class:`FragstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.FragstatsItems>`
            
            .. attribute:: logs_items
            
            	
            	**type**\:  :py:class:`LogsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.LogsItems>`
            
            .. attribute:: pktqstats_items
            
            	
            	**type**\:  :py:class:`PktqstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.PktqstatsItems>`
            
            .. attribute:: ipv6stats_items
            
            	
            	**type**\:  :py:class:`Ipv6statsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.Ipv6statsItems>`
            
            .. attribute:: trafficstats_items
            
            	
            	**type**\:  :py:class:`TrafficstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.TrafficstatsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Ipv6Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "ipv6-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("mtustats-items", ("mtustats_items", System.Ipv6Items.InstItems.MtustatsItems)), ("clientstats-items", ("clientstats_items", System.Ipv6Items.InstItems.ClientstatsItems)), ("dom-items", ("dom_items", System.Ipv6Items.InstItems.DomItems)), ("fragstats-items", ("fragstats_items", System.Ipv6Items.InstItems.FragstatsItems)), ("logs-items", ("logs_items", System.Ipv6Items.InstItems.LogsItems)), ("pktqstats-items", ("pktqstats_items", System.Ipv6Items.InstItems.PktqstatsItems)), ("ipv6stats-items", ("ipv6stats_items", System.Ipv6Items.InstItems.Ipv6statsItems)), ("trafficstats-items", ("trafficstats_items", System.Ipv6Items.InstItems.TrafficstatsItems))])
                self._leafs = OrderedDict([
                    ('accesslistmatchlocal', (YLeaf(YType.enumeration, 'accessListMatchLocal'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('staticneighboroutsidesubnet', (YLeaf(YType.enumeration, 'staticNeighborOutsideSubnet'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('queuepackets', (YLeaf(YType.enumeration, 'queuePackets'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('switchpackets', (YLeaf(YType.enumeration, 'switchPackets'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpSwitchPktTarget', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.accesslistmatchlocal = None
                self.staticneighboroutsidesubnet = None
                self.queuepackets = None
                self.switchpackets = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.mtustats_items = System.Ipv6Items.InstItems.MtustatsItems()
                self.mtustats_items.parent = self
                self._children_name_map["mtustats_items"] = "mtustats-items"

                self.clientstats_items = System.Ipv6Items.InstItems.ClientstatsItems()
                self.clientstats_items.parent = self
                self._children_name_map["clientstats_items"] = "clientstats-items"

                self.dom_items = System.Ipv6Items.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.fragstats_items = System.Ipv6Items.InstItems.FragstatsItems()
                self.fragstats_items.parent = self
                self._children_name_map["fragstats_items"] = "fragstats-items"

                self.logs_items = System.Ipv6Items.InstItems.LogsItems()
                self.logs_items.parent = self
                self._children_name_map["logs_items"] = "logs-items"

                self.pktqstats_items = System.Ipv6Items.InstItems.PktqstatsItems()
                self.pktqstats_items.parent = self
                self._children_name_map["pktqstats_items"] = "pktqstats-items"

                self.ipv6stats_items = System.Ipv6Items.InstItems.Ipv6statsItems()
                self.ipv6stats_items.parent = self
                self._children_name_map["ipv6stats_items"] = "ipv6stats-items"

                self.trafficstats_items = System.Ipv6Items.InstItems.TrafficstatsItems()
                self.trafficstats_items.parent = self
                self._children_name_map["trafficstats_items"] = "trafficstats-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Ipv6Items.InstItems, ['accesslistmatchlocal', 'staticneighboroutsidesubnet', 'queuepackets', 'switchpackets', 'name', 'adminst', 'ctrl'], name, value)


            class MtustatsItems(Entity):
                """
                
                
                .. attribute:: outstandingentries
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: expiredentries
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: purgedentries
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: internalerrors
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pkttoobig
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: cachemisses
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: cacheupdates
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: smallmtuadv
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: cachenoupdates
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.MtustatsItems, self).__init__()

                    self.yang_name = "mtustats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('outstandingentries', (YLeaf(YType.uint32, 'outstandingEntries'), ['int'])),
                        ('expiredentries', (YLeaf(YType.uint64, 'expiredEntries'), ['int'])),
                        ('purgedentries', (YLeaf(YType.uint64, 'purgedEntries'), ['int'])),
                        ('internalerrors', (YLeaf(YType.uint64, 'internalErrors'), ['int'])),
                        ('pkttoobig', (YLeaf(YType.uint64, 'pktTooBig'), ['int'])),
                        ('cachemisses', (YLeaf(YType.uint64, 'cacheMisses'), ['int'])),
                        ('cacheupdates', (YLeaf(YType.uint64, 'cacheUpdates'), ['int'])),
                        ('smallmtuadv', (YLeaf(YType.uint64, 'smallMtuAdv'), ['int'])),
                        ('cachenoupdates', (YLeaf(YType.uint64, 'cacheNoUpdates'), ['int'])),
                    ])
                    self.outstandingentries = None
                    self.expiredentries = None
                    self.purgedentries = None
                    self.internalerrors = None
                    self.pkttoobig = None
                    self.cachemisses = None
                    self.cacheupdates = None
                    self.smallmtuadv = None
                    self.cachenoupdates = None
                    self._segment_path = lambda: "mtustats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.MtustatsItems, ['outstandingentries', 'expiredentries', 'purgedentries', 'internalerrors', 'pkttoobig', 'cachemisses', 'cacheupdates', 'smallmtuadv', 'cachenoupdates'], name, value)



            class ClientstatsItems(Entity):
                """
                
                
                .. attribute:: ipv6clients_list
                
                	
                	**type**\: list of  		 :py:class:`IPv6ClientsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.ClientstatsItems.IPv6ClientsList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.ClientstatsItems, self).__init__()

                    self.yang_name = "clientstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IPv6Clients-list", ("ipv6clients_list", System.Ipv6Items.InstItems.ClientstatsItems.IPv6ClientsList))])
                    self._leafs = OrderedDict()

                    self.ipv6clients_list = YList(self)
                    self._segment_path = lambda: "clientstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.ClientstatsItems, [], name, value)


                class IPv6ClientsList(Entity):
                    """
                    
                    
                    .. attribute:: clientname  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clientprotocol  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientstatus
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clientpid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientextpid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientpibindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientuuid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientroutingvrf
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientroutingflag
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientctrlmtssap
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientdatamtssap
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: destunreachsent
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: destunreachrcvd
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: adminprohibsent
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: adminprohibrcvd
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientifextindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: clientrecvfn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clientrecvhex
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv6Items.InstItems.ClientstatsItems.IPv6ClientsList, self).__init__()

                        self.yang_name = "IPv6Clients-list"
                        self.yang_parent_name = "clientstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['clientname','clientprotocol']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('clientname', (YLeaf(YType.str, 'clientName'), ['str'])),
                            ('clientprotocol', (YLeaf(YType.int32, 'clientProtocol'), ['int'])),
                            ('clientstatus', (YLeaf(YType.str, 'clientStatus'), ['str'])),
                            ('clientpid', (YLeaf(YType.int32, 'clientPid'), ['int'])),
                            ('clientextpid', (YLeaf(YType.int32, 'clientExtPid'), ['int'])),
                            ('clientpibindex', (YLeaf(YType.int32, 'clientPibIndex'), ['int'])),
                            ('clientuuid', (YLeaf(YType.int32, 'clientUuid'), ['int'])),
                            ('clientroutingvrf', (YLeaf(YType.int32, 'clientRoutingVrf'), ['int'])),
                            ('clientroutingflag', (YLeaf(YType.int32, 'clientRoutingFlag'), ['int'])),
                            ('clientctrlmtssap', (YLeaf(YType.int32, 'clientCtrlMtsSap'), ['int'])),
                            ('clientdatamtssap', (YLeaf(YType.int32, 'clientDataMtsSap'), ['int'])),
                            ('destunreachsent', (YLeaf(YType.int32, 'destUnreachSent'), ['int'])),
                            ('destunreachrcvd', (YLeaf(YType.int32, 'destUnreachRcvd'), ['int'])),
                            ('adminprohibsent', (YLeaf(YType.int32, 'adminProhibSent'), ['int'])),
                            ('adminprohibrcvd', (YLeaf(YType.int32, 'adminProhibRcvd'), ['int'])),
                            ('clientifextindex', (YLeaf(YType.int32, 'clientIfExtIndex'), ['int'])),
                            ('clientrecvfn', (YLeaf(YType.str, 'clientRecvFn'), ['str'])),
                            ('clientrecvhex', (YLeaf(YType.str, 'clientRecvHex'), ['str'])),
                        ])
                        self.clientname = None
                        self.clientprotocol = None
                        self.clientstatus = None
                        self.clientpid = None
                        self.clientextpid = None
                        self.clientpibindex = None
                        self.clientuuid = None
                        self.clientroutingvrf = None
                        self.clientroutingflag = None
                        self.clientctrlmtssap = None
                        self.clientdatamtssap = None
                        self.destunreachsent = None
                        self.destunreachrcvd = None
                        self.adminprohibsent = None
                        self.adminprohibrcvd = None
                        self.clientifextindex = None
                        self.clientrecvfn = None
                        self.clientrecvhex = None
                        self._segment_path = lambda: "IPv6Clients-list" + "[clientName='" + str(self.clientname) + "']" + "[clientProtocol='" + str(self.clientprotocol) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/clientstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv6Items.InstItems.ClientstatsItems.IPv6ClientsList, ['clientname', 'clientprotocol', 'clientstatus', 'clientpid', 'clientextpid', 'clientpibindex', 'clientuuid', 'clientroutingvrf', 'clientroutingflag', 'clientctrlmtssap', 'clientdatamtssap', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'clientifextindex', 'clientrecvfn', 'clientrecvhex'], name, value)




            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Ipv6Items.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: mtustats_items
                    
                    	
                    	**type**\:  :py:class:`MtustatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems>`
                    
                    .. attribute:: rtstaticbfd_items
                    
                    	
                    	**type**\:  :py:class:`RtstaticbfdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: procstats_items
                    
                    	
                    	**type**\:  :py:class:`ProcstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.ProcstatsItems>`
                    
                    .. attribute:: rt_items
                    
                    	
                    	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems>`
                    
                    .. attribute:: routestats_items
                    
                    	
                    	**type**\:  :py:class:`RoutestatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv6Items.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("mtustats-items", ("mtustats_items", System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems)), ("rtstaticbfd-items", ("rtstaticbfd_items", System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems)), ("if-items", ("if_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems)), ("procstats-items", ("procstats_items", System.Ipv6Items.InstItems.DomItems.DomList.ProcstatsItems)), ("rt-items", ("rt_items", System.Ipv6Items.InstItems.DomItems.DomList.RtItems)), ("routestats-items", ("routestats_items", System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.mtustats_items = System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems()
                        self.mtustats_items.parent = self
                        self._children_name_map["mtustats_items"] = "mtustats-items"

                        self.rtstaticbfd_items = System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems()
                        self.rtstaticbfd_items.parent = self
                        self._children_name_map["rtstaticbfd_items"] = "rtstaticbfd-items"

                        self.if_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.procstats_items = System.Ipv6Items.InstItems.DomItems.DomList.ProcstatsItems()
                        self.procstats_items.parent = self
                        self._children_name_map["procstats_items"] = "procstats-items"

                        self.rt_items = System.Ipv6Items.InstItems.DomItems.DomList.RtItems()
                        self.rt_items.parent = self
                        self._children_name_map["rt_items"] = "rt-items"

                        self.routestats_items = System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems()
                        self.routestats_items.parent = self
                        self._children_name_map["routestats_items"] = "routestats-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList, ['name'], name, value)


                    class MtustatsItems(Entity):
                        """
                        
                        
                        .. attribute:: addr_items
                        
                        	
                        	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems, self).__init__()

                            self.yang_name = "mtustats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("addr-items", ("addr_items", System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems))])
                            self._leafs = OrderedDict()

                            self.addr_items = System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems()
                            self.addr_items.parent = self
                            self._children_name_map["addr_items"] = "addr-items"
                            self._segment_path = lambda: "mtustats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems, [], name, value)


                        class AddrItems(Entity):
                            """
                            
                            
                            .. attribute:: ipv6mtucachedeststat_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IPv6MtuCacheDestStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems.IPv6MtuCacheDestStatList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems, self).__init__()

                                self.yang_name = "addr-items"
                                self.yang_parent_name = "mtustats-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IPv6MtuCacheDestStat-list", ("ipv6mtucachedeststat_list", System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems.IPv6MtuCacheDestStatList))])
                                self._leafs = OrderedDict()

                                self.ipv6mtucachedeststat_list = YList(self)
                                self._segment_path = lambda: "addr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems, [], name, value)


                            class IPv6MtuCacheDestStatList(Entity):
                                """
                                
                                
                                .. attribute:: pathdestination  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pathmtu
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: outgoingiod
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: smallmtureceived
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bigmtureeived
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: smallmtu
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: lastmtuupdate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems.IPv6MtuCacheDestStatList, self).__init__()

                                    self.yang_name = "IPv6MtuCacheDestStat-list"
                                    self.yang_parent_name = "addr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['pathdestination']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('pathdestination', (YLeaf(YType.str, 'pathDestination'), ['str'])),
                                        ('pathmtu', (YLeaf(YType.uint16, 'pathMtu'), ['int'])),
                                        ('outgoingiod', (YLeaf(YType.str, 'outgoingIod'), ['str'])),
                                        ('smallmtureceived', (YLeaf(YType.str, 'smallMtuReceived'), ['str'])),
                                        ('bigmtureeived', (YLeaf(YType.str, 'bigMtuReeived'), ['str'])),
                                        ('smallmtu', (YLeaf(YType.uint16, 'smallMtu'), ['int'])),
                                        ('lastmtuupdate', (YLeaf(YType.str, 'lastMtuUpdate'), ['str'])),
                                    ])
                                    self.pathdestination = None
                                    self.pathmtu = None
                                    self.outgoingiod = None
                                    self.smallmtureceived = None
                                    self.bigmtureeived = None
                                    self.smallmtu = None
                                    self.lastmtuupdate = None
                                    self._segment_path = lambda: "IPv6MtuCacheDestStat-list" + "[pathDestination='" + str(self.pathdestination) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.MtustatsItems.AddrItems.IPv6MtuCacheDestStatList, ['pathdestination', 'pathmtu', 'outgoingiod', 'smallmtureceived', 'bigmtureeived', 'smallmtu', 'lastmtuupdate'], name, value)





                    class RtstaticbfdItems(Entity):
                        """
                        
                        
                        .. attribute:: rtstaticbfd_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtStaticBfdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems, self).__init__()

                            self.yang_name = "rtstaticbfd-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtStaticBfd-list", ("rtstaticbfd_list", System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList))])
                            self._leafs = OrderedDict()

                            self.rtstaticbfd_list = YList(self)
                            self._segment_path = lambda: "rtstaticbfd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems, [], name, value)


                        class RtStaticBfdList(Entity):
                            """
                            
                            
                            .. attribute:: intf  (key)
                            
                            	Interface
                            	**type**\: str
                            
                            .. attribute:: nexthop  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList, self).__init__()

                                self.yang_name = "RtStaticBfd-list"
                                self.yang_parent_name = "rtstaticbfd-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['intf','nexthop']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                    ('nexthop', (YLeaf(YType.str, 'nexthop'), ['str','str'])),
                                ])
                                self.intf = None
                                self.nexthop = None
                                self._segment_path = lambda: "RtStaticBfd-list" + "[intf='" + str(self.intf) + "']" + "[nexthop='" + str(self.nexthop) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtstaticbfdItems.RtStaticBfdList, ['intf', 'nexthop'], name, value)




                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: uselinklocaladdr
                            
                            	IPv6 Address Use Link Local Address
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: urpf
                            
                            	IPv6 URPF Info
                            	**type**\:  :py:class:`IpUrpfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpUrpfT>`
                            
                            .. attribute:: forward
                            
                            	IPv6 forward
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: autoconfig
                            
                            	IPv6 Stateless address autoconfig
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: defaultroute
                            
                            	Default Route Addition with Nexthop as RA Source Address
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: lladdr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: configerror
                            
                            	Config error
                            	**type**\:  :py:class:`Ipv6ConfigErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Ipv6ConfigErr>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: mode
                            
                            	Mode
                            	**type**\: str
                            
                            .. attribute:: donorif
                            
                            	Donor Interface
                            	**type**\: str
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: operstqual
                            
                            	Operational State Qualifier
                            	**type**\:  :py:class:`IpUnnumberedOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpUnnumberedOperStQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: addr_items
                            
                            	
                            	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems>`
                            
                            .. attribute:: lladdr_items
                            
                            	
                            	**type**\:  :py:class:`LladdrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems>`
                            
                            .. attribute:: nghbr_items
                            
                            	
                            	**type**\:  :py:class:`NghbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems>`
                            
                            .. attribute:: ifstats_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems>`
                            
                            .. attribute:: nbrstats_items
                            
                            	
                            	**type**\:  :py:class:`NbrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems>`
                            
                            .. attribute:: rpol_items
                            
                            	
                            	**type**\:  :py:class:`RpolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("addr-items", ("addr_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems)), ("lladdr-items", ("lladdr_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems)), ("nghbr-items", ("nghbr_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems)), ("ifstats-items", ("ifstats_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems)), ("nbrstats-items", ("nbrstats_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems)), ("rpol-items", ("rpol_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('uselinklocaladdr', (YLeaf(YType.enumeration, 'useLinkLocalAddr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('urpf', (YLeaf(YType.enumeration, 'urpf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpUrpfT', '')])),
                                    ('forward', (YLeaf(YType.enumeration, 'forward'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('autoconfig', (YLeaf(YType.enumeration, 'autoconfig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('defaultroute', (YLeaf(YType.enumeration, 'defaultRoute'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('lladdr', (YLeaf(YType.str, 'llAddr'), ['str','str'])),
                                    ('configerror', (YLeaf(YType.enumeration, 'configError'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Ipv6ConfigErr', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                                    ('donorif', (YLeaf(YType.str, 'donorIf'), ['str'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpUnnumberedOperStQual', '')])),
                                ])
                                self.id = None
                                self.uselinklocaladdr = None
                                self.urpf = None
                                self.forward = None
                                self.autoconfig = None
                                self.defaultroute = None
                                self.lladdr = None
                                self.configerror = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.ctrl = None
                                self.mode = None
                                self.donorif = None
                                self.operst = None
                                self.operstqual = None

                                self.addr_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems()
                                self.addr_items.parent = self
                                self._children_name_map["addr_items"] = "addr-items"

                                self.lladdr_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems()
                                self.lladdr_items.parent = self
                                self._children_name_map["lladdr_items"] = "lladdr-items"

                                self.nghbr_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems()
                                self.nghbr_items.parent = self
                                self._children_name_map["nghbr_items"] = "nghbr-items"

                                self.ifstats_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems()
                                self.ifstats_items.parent = self
                                self._children_name_map["ifstats_items"] = "ifstats-items"

                                self.nbrstats_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems()
                                self.nbrstats_items.parent = self
                                self._children_name_map["nbrstats_items"] = "nbrstats-items"

                                self.rpol_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems()
                                self.rpol_items.parent = self
                                self._children_name_map["rpol_items"] = "rpol-items"

                                self.rtvrfmbr_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'uselinklocaladdr', 'urpf', 'forward', 'autoconfig', 'defaultroute', 'lladdr', 'configerror', 'name', 'descr', 'adminst', 'ctrl', 'mode', 'donorif', 'operst', 'operstqual'], name, value)


                            class AddrItems(Entity):
                                """
                                
                                
                                .. attribute:: addr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems, self).__init__()

                                    self.yang_name = "addr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Addr-list", ("addr_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList))])
                                    self._leafs = OrderedDict()

                                    self.addr_list = YList(self)
                                    self._segment_path = lambda: "addr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems, [], name, value)


                                class AddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`IpAddrT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Controls
                                    	**type**\: str
                                    
                                    .. attribute:: vpcpeer
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: pref
                                    
                                    	Preference
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: tag
                                    
                                    	Route Tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operstqual
                                    
                                    	Operational State Qualifier
                                    	**type**\:  :py:class:`IpAddrOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrOperStQual>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList, self).__init__()

                                        self.yang_name = "Addr-list"
                                        self.yang_parent_name = "addr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('vpcpeer', (YLeaf(YType.str, 'vpcPeer'), ['str','str'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrOperStQual', '')])),
                                        ])
                                        self.addr = None
                                        self.type = None
                                        self.ctrl = None
                                        self.vpcpeer = None
                                        self.pref = None
                                        self.tag = None
                                        self.operst = None
                                        self.operstqual = None
                                        self._segment_path = lambda: "Addr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.AddrItems.AddrList, ['addr', 'type', 'ctrl', 'vpcpeer', 'pref', 'tag', 'operst', 'operstqual'], name, value)




                            class LladdrItems(Entity):
                                """
                                
                                
                                .. attribute:: lladdr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`LLaddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems.LLaddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems, self).__init__()

                                    self.yang_name = "lladdr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("LLaddr-list", ("lladdr_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems.LLaddrList))])
                                    self._leafs = OrderedDict()

                                    self.lladdr_list = YList(self)
                                    self._segment_path = lambda: "lladdr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems, [], name, value)


                                class LLaddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`IpAddrT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Controls
                                    	**type**\: str
                                    
                                    .. attribute:: vpcpeer
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: pref
                                    
                                    	Preference
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: tag
                                    
                                    	Route Tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operstqual
                                    
                                    	Operational State Qualifier
                                    	**type**\:  :py:class:`IpAddrOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrOperStQual>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems.LLaddrList, self).__init__()

                                        self.yang_name = "LLaddr-list"
                                        self.yang_parent_name = "lladdr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('vpcpeer', (YLeaf(YType.str, 'vpcPeer'), ['str','str'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrOperStQual', '')])),
                                        ])
                                        self.addr = None
                                        self.type = None
                                        self.ctrl = None
                                        self.vpcpeer = None
                                        self.pref = None
                                        self.tag = None
                                        self.operst = None
                                        self.operstqual = None
                                        self._segment_path = lambda: "LLaddr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.LladdrItems.LLaddrList, ['addr', 'type', 'ctrl', 'vpcpeer', 'pref', 'tag', 'operst', 'operstqual'], name, value)




                            class NghbrItems(Entity):
                                """
                                
                                
                                .. attribute:: neighbor_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NeighborList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems.NeighborList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems, self).__init__()

                                    self.yang_name = "nghbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Neighbor-list", ("neighbor_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems.NeighborList))])
                                    self._leafs = OrderedDict()

                                    self.neighbor_list = YList(self)
                                    self._segment_path = lambda: "nghbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems, [], name, value)


                                class NeighborList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: neighbormac
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: configerror
                                    
                                    	Config error
                                    	**type**\:  :py:class:`Ipv6ConfigErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Ipv6ConfigErr>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`IpAddrT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpAddrT>`
                                    
                                    .. attribute:: ctrl
                                    
                                    	Controls
                                    	**type**\: str
                                    
                                    .. attribute:: vpcpeer
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: pref
                                    
                                    	Preference
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: tag
                                    
                                    	Route Tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems.NeighborList, self).__init__()

                                        self.yang_name = "Neighbor-list"
                                        self.yang_parent_name = "nghbr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('neighbormac', (YLeaf(YType.str, 'neighborMac'), ['str'])),
                                            ('configerror', (YLeaf(YType.enumeration, 'configError'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Ipv6ConfigErr', '')])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpAddrT', '')])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                            ('vpcpeer', (YLeaf(YType.str, 'vpcPeer'), ['str','str'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                        ])
                                        self.addr = None
                                        self.neighbormac = None
                                        self.configerror = None
                                        self.type = None
                                        self.ctrl = None
                                        self.vpcpeer = None
                                        self.pref = None
                                        self.tag = None
                                        self.operst = None
                                        self._segment_path = lambda: "Neighbor-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NghbrItems.NeighborList, ['addr', 'neighbormac', 'configerror', 'type', 'ctrl', 'vpcpeer', 'pref', 'tag', 'operst'], name, value)




                            class IfstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: id
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifprotostate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: iflinkstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifadminstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifiod
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iffwdstatus
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: ifipv6enabled
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifaddrsubnet
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifanycastaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: iflladdr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: iflinklocalconfigstatus
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: iflinklocalstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifvipaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifmcastroutingstatus
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifreportllstatus
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifmcastgrouplocallyjoined
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifmcastsrcgrpaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifmtu
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ifucastrevpathfwdmode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifucastrevpathfwdflag
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifloadsharing
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifstatlastreset
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifaclinbound
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifacloutbound
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifunspecifiedsrc
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iftotalpktrxtentativeaddr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iftotalpktrxinvalidaddrstate
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iftotalpktrxduplicatestate
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ifanycastpkttcp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ifdeliverinterfacedown
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastpktsforwarded
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastpktsoriginated
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastpktsconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastbytesforwarded
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastbytesoriginated
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpucastbytesconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastpktsforwarded
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastpktsoriginated
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastpktsconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastbytesforwarded
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastbytesoriginated
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmcastbytesconsumed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems, self).__init__()

                                    self.yang_name = "ifstats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                        ('ifprotostate', (YLeaf(YType.str, 'ifProtoState'), ['str'])),
                                        ('iflinkstate', (YLeaf(YType.str, 'ifLinkState'), ['str'])),
                                        ('ifadminstate', (YLeaf(YType.str, 'ifAdminState'), ['str'])),
                                        ('ifiod', (YLeaf(YType.uint32, 'ifIod'), ['int'])),
                                        ('iffwdstatus', (YLeaf(YType.boolean, 'ifFwdStatus'), ['bool'])),
                                        ('ifipv6enabled', (YLeaf(YType.str, 'ifIpv6Enabled'), ['str'])),
                                        ('ifaddr', (YLeaf(YType.str, 'ifAddr'), ['str'])),
                                        ('ifaddrsubnet', (YLeaf(YType.str, 'ifAddrSubnet'), ['str','str'])),
                                        ('ifanycastaddr', (YLeaf(YType.str, 'ifAnycastAddr'), ['str'])),
                                        ('iflladdr', (YLeaf(YType.str, 'ifLLaddr'), ['str','str'])),
                                        ('iflinklocalconfigstatus', (YLeaf(YType.str, 'ifLinkLocalConfigStatus'), ['str'])),
                                        ('iflinklocalstate', (YLeaf(YType.str, 'ifLinkLocalState'), ['str'])),
                                        ('ifvipaddr', (YLeaf(YType.str, 'ifVIPAddr'), ['str'])),
                                        ('ifmcastroutingstatus', (YLeaf(YType.str, 'ifMcastRoutingStatus'), ['str'])),
                                        ('ifreportllstatus', (YLeaf(YType.str, 'ifReportLLStatus'), ['str'])),
                                        ('ifmcastgrouplocallyjoined', (YLeaf(YType.str, 'ifMcastGroupLocallyJoined'), ['str'])),
                                        ('ifmcastsrcgrpaddr', (YLeaf(YType.str, 'ifMcastSrcGrpAddr'), ['str'])),
                                        ('ifmtu', (YLeaf(YType.uint32, 'ifmtu'), ['int'])),
                                        ('ifucastrevpathfwdmode', (YLeaf(YType.str, 'ifUcastRevPathFwdMode'), ['str'])),
                                        ('ifucastrevpathfwdflag', (YLeaf(YType.str, 'ifUcastRevPathFwdFlag'), ['str'])),
                                        ('ifloadsharing', (YLeaf(YType.str, 'ifLoadSharing'), ['str'])),
                                        ('ifstatlastreset', (YLeaf(YType.str, 'ifStatLastReset'), ['str'])),
                                        ('ifaclinbound', (YLeaf(YType.str, 'ifAclInbound'), ['str'])),
                                        ('ifacloutbound', (YLeaf(YType.str, 'ifAclOutbound'), ['str'])),
                                        ('ifunspecifiedsrc', (YLeaf(YType.uint32, 'ifUnspecifiedSrc'), ['int'])),
                                        ('iftotalpktrxtentativeaddr', (YLeaf(YType.uint32, 'ifTotalPktRxTentativeAddr'), ['int'])),
                                        ('iftotalpktrxinvalidaddrstate', (YLeaf(YType.uint32, 'ifTotalPktRxInvalidAddrState'), ['int'])),
                                        ('iftotalpktrxduplicatestate', (YLeaf(YType.uint32, 'ifTotalPktRxDuplicateState'), ['int'])),
                                        ('ifanycastpkttcp', (YLeaf(YType.uint32, 'ifAnycastPktTCP'), ['int'])),
                                        ('ifdeliverinterfacedown', (YLeaf(YType.uint32, 'ifDeliverInterfaceDown'), ['int'])),
                                        ('rpucastpktsforwarded', (YLeaf(YType.uint32, 'rpUcastPktsForwarded'), ['int'])),
                                        ('rpucastpktsoriginated', (YLeaf(YType.uint32, 'rpUcastPktsOriginated'), ['int'])),
                                        ('rpucastpktsconsumed', (YLeaf(YType.uint32, 'rpUcastPktsConsumed'), ['int'])),
                                        ('rpucastbytesforwarded', (YLeaf(YType.uint32, 'rpUcastBytesForwarded'), ['int'])),
                                        ('rpucastbytesoriginated', (YLeaf(YType.uint32, 'rpUcastBytesOriginated'), ['int'])),
                                        ('rpucastbytesconsumed', (YLeaf(YType.uint32, 'rpUcastBytesConsumed'), ['int'])),
                                        ('rpmcastpktsforwarded', (YLeaf(YType.uint32, 'rpMcastPktsForwarded'), ['int'])),
                                        ('rpmcastpktsoriginated', (YLeaf(YType.uint32, 'rpMcastPktsOriginated'), ['int'])),
                                        ('rpmcastpktsconsumed', (YLeaf(YType.uint32, 'rpMcastPktsConsumed'), ['int'])),
                                        ('rpmcastbytesforwarded', (YLeaf(YType.uint32, 'rpMcastBytesForwarded'), ['int'])),
                                        ('rpmcastbytesoriginated', (YLeaf(YType.uint32, 'rpMcastBytesOriginated'), ['int'])),
                                        ('rpmcastbytesconsumed', (YLeaf(YType.uint32, 'rpMcastBytesConsumed'), ['int'])),
                                    ])
                                    self.id = None
                                    self.ifname = None
                                    self.ifprotostate = None
                                    self.iflinkstate = None
                                    self.ifadminstate = None
                                    self.ifiod = None
                                    self.iffwdstatus = None
                                    self.ifipv6enabled = None
                                    self.ifaddr = None
                                    self.ifaddrsubnet = None
                                    self.ifanycastaddr = None
                                    self.iflladdr = None
                                    self.iflinklocalconfigstatus = None
                                    self.iflinklocalstate = None
                                    self.ifvipaddr = None
                                    self.ifmcastroutingstatus = None
                                    self.ifreportllstatus = None
                                    self.ifmcastgrouplocallyjoined = None
                                    self.ifmcastsrcgrpaddr = None
                                    self.ifmtu = None
                                    self.ifucastrevpathfwdmode = None
                                    self.ifucastrevpathfwdflag = None
                                    self.ifloadsharing = None
                                    self.ifstatlastreset = None
                                    self.ifaclinbound = None
                                    self.ifacloutbound = None
                                    self.ifunspecifiedsrc = None
                                    self.iftotalpktrxtentativeaddr = None
                                    self.iftotalpktrxinvalidaddrstate = None
                                    self.iftotalpktrxduplicatestate = None
                                    self.ifanycastpkttcp = None
                                    self.ifdeliverinterfacedown = None
                                    self.rpucastpktsforwarded = None
                                    self.rpucastpktsoriginated = None
                                    self.rpucastpktsconsumed = None
                                    self.rpucastbytesforwarded = None
                                    self.rpucastbytesoriginated = None
                                    self.rpucastbytesconsumed = None
                                    self.rpmcastpktsforwarded = None
                                    self.rpmcastpktsoriginated = None
                                    self.rpmcastpktsconsumed = None
                                    self.rpmcastbytesforwarded = None
                                    self.rpmcastbytesoriginated = None
                                    self.rpmcastbytesconsumed = None
                                    self._segment_path = lambda: "ifstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems, ['id', 'ifname', 'ifprotostate', 'iflinkstate', 'ifadminstate', 'ifiod', 'iffwdstatus', 'ifipv6enabled', 'ifaddr', 'ifaddrsubnet', 'ifanycastaddr', 'iflladdr', 'iflinklocalconfigstatus', 'iflinklocalstate', 'ifvipaddr', 'ifmcastroutingstatus', 'ifreportllstatus', 'ifmcastgrouplocallyjoined', 'ifmcastsrcgrpaddr', 'ifmtu', 'ifucastrevpathfwdmode', 'ifucastrevpathfwdflag', 'ifloadsharing', 'ifstatlastreset', 'ifaclinbound', 'ifacloutbound', 'ifunspecifiedsrc', 'iftotalpktrxtentativeaddr', 'iftotalpktrxinvalidaddrstate', 'iftotalpktrxduplicatestate', 'ifanycastpkttcp', 'ifdeliverinterfacedown', 'rpucastpktsforwarded', 'rpucastpktsoriginated', 'rpucastpktsconsumed', 'rpucastbytesforwarded', 'rpucastbytesoriginated', 'rpucastbytesconsumed', 'rpmcastpktsforwarded', 'rpmcastpktsoriginated', 'rpmcastpktsconsumed', 'rpmcastbytesforwarded', 'rpmcastbytesoriginated', 'rpmcastbytesconsumed'], name, value)



                            class NbrstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: ipv6neighborstat_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IPv6NeighborStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems.IPv6NeighborStatList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems, self).__init__()

                                    self.yang_name = "nbrstats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("IPv6NeighborStat-list", ("ipv6neighborstat_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems.IPv6NeighborStatList))])
                                    self._leafs = OrderedDict()

                                    self.ipv6neighborstat_list = YList(self)
                                    self._segment_path = lambda: "nbrstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems, [], name, value)


                                class IPv6NeighborStatList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ngbraddr  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems.IPv6NeighborStatList, self).__init__()

                                        self.yang_name = "IPv6NeighborStat-list"
                                        self.yang_parent_name = "nbrstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ngbraddr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ngbraddr', (YLeaf(YType.str, 'ngbrAddr'), ['str'])),
                                        ])
                                        self.ngbraddr = None
                                        self._segment_path = lambda: "IPv6NeighborStat-list" + "[ngbrAddr='" + str(self.ngbraddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.NbrstatsItems.IPv6NeighborStatList, ['ngbraddr'], name, value)




                            class RpolItems(Entity):
                                """
                                
                                
                                .. attribute:: rmapname
                                
                                	
                                	**type**\: str
                                
                                	**length:** 0..63
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems, self).__init__()

                                    self.yang_name = "rpol-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rmapname', (YLeaf(YType.str, 'rmapname'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.rmapname = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "rpol-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RpolItems, ['rmapname', 'name', 'descr'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class ProcstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: procvrfid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: procautodiscard
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: procautodiscardadded
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: procstaticdiscard
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: procstaticdefaultcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: prociodlist
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: proclocaladdrlist
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.ProcstatsItems, self).__init__()

                            self.yang_name = "procstats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('procvrfid', (YLeaf(YType.uint32, 'procVRFId'), ['int'])),
                                ('procautodiscard', (YLeaf(YType.str, 'procAutoDiscard'), ['str'])),
                                ('procautodiscardadded', (YLeaf(YType.str, 'procAutoDiscardAdded'), ['str'])),
                                ('procstaticdiscard', (YLeaf(YType.str, 'procStaticDiscard'), ['str'])),
                                ('procstaticdefaultcount', (YLeaf(YType.uint32, 'procStaticDefaultCount'), ['int'])),
                                ('prociodlist', (YLeaf(YType.str, 'procIODList'), ['str'])),
                                ('proclocaladdrlist', (YLeaf(YType.str, 'procLocalAddrList'), ['str'])),
                            ])
                            self.procvrfid = None
                            self.procautodiscard = None
                            self.procautodiscardadded = None
                            self.procstaticdiscard = None
                            self.procstaticdefaultcount = None
                            self.prociodlist = None
                            self.proclocaladdrlist = None
                            self._segment_path = lambda: "procstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.ProcstatsItems, ['procvrfid', 'procautodiscard', 'procautodiscardadded', 'procstaticdiscard', 'procstaticdefaultcount', 'prociodlist', 'proclocaladdrlist'], name, value)



                    class RtItems(Entity):
                        """
                        
                        
                        .. attribute:: route_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems, self).__init__()

                            self.yang_name = "rt-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList))])
                            self._leafs = OrderedDict()

                            self.route_list = YList(self)
                            self._segment_path = lambda: "rt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems, [], name, value)


                        class RouteList(Entity):
                            """
                            
                            
                            .. attribute:: prefix  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: pref
                            
                            	Preference
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: tag
                            
                            	Tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pctag
                            
                            	PC Tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: nh_items
                            
                            	
                            	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems>`
                            
                            .. attribute:: nhs_items
                            
                            	
                            	**type**\:  :py:class:`NhsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList, self).__init__()

                                self.yang_name = "Route-list"
                                self.yang_parent_name = "rt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['prefix']
                                self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems)), ("nhs-items", ("nhs_items", System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems))])
                                self._leafs = OrderedDict([
                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                    ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                    ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ])
                                self.prefix = None
                                self.name = None
                                self.descr = None
                                self.pref = None
                                self.tag = None
                                self.pctag = None
                                self.ctrl = None

                                self.nh_items = System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems()
                                self.nh_items.parent = self
                                self._children_name_map["nh_items"] = "nh-items"

                                self.nhs_items = System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems()
                                self.nhs_items.parent = self
                                self._children_name_map["nhs_items"] = "nhs-items"
                                self._segment_path = lambda: "Route-list" + "[prefix='" + str(self.prefix) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList, ['prefix', 'name', 'descr', 'pref', 'tag', 'pctag', 'ctrl'], name, value)


                            class NhItems(Entity):
                                """
                                
                                
                                .. attribute:: nexthop_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems, self).__init__()

                                    self.yang_name = "nh-items"
                                    self.yang_parent_name = "Route-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList))])
                                    self._leafs = OrderedDict()

                                    self.nexthop_list = YList(self)
                                    self._segment_path = lambda: "nh-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems, [], name, value)


                                class NexthopList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nhif  (key)
                                    
                                    	Nexthop Interface
                                    	**type**\: str
                                    
                                    .. attribute:: nhaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: nhvrf  (key)
                                    
                                    	Nexthop VRF
                                    	**type**\: str
                                    
                                    .. attribute:: rtname
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pref
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: object
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rwencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: flags
                                    
                                    	Rnh Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList, self).__init__()

                                        self.yang_name = "Nexthop-list"
                                        self.yang_parent_name = "nh-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['nhif','nhaddr','nhvrf']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                            ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ('nhvrf', (YLeaf(YType.str, 'nhVrf'), ['str'])),
                                            ('rtname', (YLeaf(YType.str, 'rtname'), ['str'])),
                                            ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                            ('pref', (YLeaf(YType.uint8, 'pref'), ['int'])),
                                            ('object', (YLeaf(YType.uint32, 'object'), ['int'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rwencap', (YLeaf(YType.str, 'rwEncap'), ['str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                        ])
                                        self.nhif = None
                                        self.nhaddr = None
                                        self.nhvrf = None
                                        self.rtname = None
                                        self.tag = None
                                        self.pref = None
                                        self.object = None
                                        self.name = None
                                        self.descr = None
                                        self.rwencap = None
                                        self.flags = None
                                        self.operst = None
                                        self._segment_path = lambda: "Nexthop-list" + "[nhIf='" + str(self.nhif) + "']" + "[nhAddr='" + str(self.nhaddr) + "']" + "[nhVrf='" + str(self.nhvrf) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhItems.NexthopList, ['nhif', 'nhaddr', 'nhvrf', 'rtname', 'tag', 'pref', 'object', 'name', 'descr', 'rwencap', 'flags', 'operst'], name, value)




                            class NhsItems(Entity):
                                """
                                
                                
                                .. attribute:: nexthopstub_list
                                
                                	
                                	**type**\: list of  		 :py:class:`NexthopStubList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems, self).__init__()

                                    self.yang_name = "nhs-items"
                                    self.yang_parent_name = "Route-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("NexthopStub-list", ("nexthopstub_list", System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList))])
                                    self._leafs = OrderedDict()

                                    self.nexthopstub_list = YList(self)
                                    self._segment_path = lambda: "nhs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems, [], name, value)


                                class NexthopStubList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nhif  (key)
                                    
                                    	Nexthop Interface
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: nhaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: nhvrf  (key)
                                    
                                    	Nexthop VRF
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rwencap
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Rnh Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`IpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpOperSt>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList, self).__init__()

                                        self.yang_name = "NexthopStub-list"
                                        self.yang_parent_name = "nhs-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['nhif','nhaddr','nhvrf']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('nhif', (YLeaf(YType.str, 'nhIf'), ['str'])),
                                            ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ('nhvrf', (YLeaf(YType.str, 'nhVrf'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rwencap', (YLeaf(YType.str, 'rwEncap'), ['str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpOperSt', '')])),
                                        ])
                                        self.nhif = None
                                        self.nhaddr = None
                                        self.nhvrf = None
                                        self.name = None
                                        self.descr = None
                                        self.rwencap = None
                                        self.flags = None
                                        self.operst = None
                                        self._segment_path = lambda: "NexthopStub-list" + "[nhIf='" + str(self.nhif) + "']" + "[nhAddr='" + str(self.nhaddr) + "']" + "[nhVrf='" + str(self.nhvrf) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RtItems.RouteList.NhsItems.NexthopStubList, ['nhif', 'nhaddr', 'nhvrf', 'name', 'descr', 'rwencap', 'flags', 'operst'], name, value)






                    class RoutestatsItems(Entity):
                        """
                        
                        
                        .. attribute:: pfx_items
                        
                        	
                        	**type**\:  :py:class:`PfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems, self).__init__()

                            self.yang_name = "routestats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("pfx-items", ("pfx_items", System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems))])
                            self._leafs = OrderedDict()

                            self.pfx_items = System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems()
                            self.pfx_items.parent = self
                            self._children_name_map["pfx_items"] = "pfx-items"
                            self._segment_path = lambda: "routestats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems, [], name, value)


                        class PfxItems(Entity):
                            """
                            
                            
                            .. attribute:: ipv6routestatpfx_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IPv6RouteStatPfxList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems.IPv6RouteStatPfxList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems, self).__init__()

                                self.yang_name = "pfx-items"
                                self.yang_parent_name = "routestats-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IPv6RouteStatPfx-list", ("ipv6routestatpfx_list", System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems.IPv6RouteStatPfxList))])
                                self._leafs = OrderedDict()

                                self.ipv6routestatpfx_list = YList(self)
                                self._segment_path = lambda: "pfx-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems, [], name, value)


                            class IPv6RouteStatPfxList(Entity):
                                """
                                
                                
                                .. attribute:: rtprefix  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtnexthop  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtrealnexthop
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtrealnexthopiod
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtinterface
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtpreference
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rtnhvrfname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtresolvetableid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rttrackobjnum
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rttrackobjstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtrnhsenttourib
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rtbfdenabled
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems.IPv6RouteStatPfxList, self).__init__()

                                    self.yang_name = "IPv6RouteStatPfx-list"
                                    self.yang_parent_name = "pfx-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['rtprefix','rtnexthop']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('rtprefix', (YLeaf(YType.str, 'rtPrefix'), ['str','str'])),
                                        ('rtnexthop', (YLeaf(YType.str, 'rtNextHop'), ['str','str'])),
                                        ('rtrealnexthop', (YLeaf(YType.str, 'rtRealNextHop'), ['str'])),
                                        ('rtrealnexthopiod', (YLeaf(YType.str, 'rtRealNextHopIod'), ['str'])),
                                        ('rtinterface', (YLeaf(YType.str, 'rtInterface'), ['str'])),
                                        ('rtpreference', (YLeaf(YType.uint32, 'rtPreference'), ['int'])),
                                        ('rtnhvrfname', (YLeaf(YType.str, 'rtNhVrfName'), ['str'])),
                                        ('rtresolvetableid', (YLeaf(YType.uint32, 'rtResolveTableId'), ['int'])),
                                        ('rttrackobjnum', (YLeaf(YType.uint32, 'rtTrackObjNum'), ['int'])),
                                        ('rttrackobjstate', (YLeaf(YType.str, 'rtTrackObjState'), ['str'])),
                                        ('rtrnhsenttourib', (YLeaf(YType.str, 'rtRnhSentToUrib'), ['str'])),
                                        ('rtbfdenabled', (YLeaf(YType.str, 'rtBfdEnabled'), ['str'])),
                                    ])
                                    self.rtprefix = None
                                    self.rtnexthop = None
                                    self.rtrealnexthop = None
                                    self.rtrealnexthopiod = None
                                    self.rtinterface = None
                                    self.rtpreference = None
                                    self.rtnhvrfname = None
                                    self.rtresolvetableid = None
                                    self.rttrackobjnum = None
                                    self.rttrackobjstate = None
                                    self.rtrnhsenttourib = None
                                    self.rtbfdenabled = None
                                    self._segment_path = lambda: "IPv6RouteStatPfx-list" + "[rtPrefix='" + str(self.rtprefix) + "']" + "[rtNextHop='" + str(self.rtnexthop) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Ipv6Items.InstItems.DomItems.DomList.RoutestatsItems.PfxItems.IPv6RouteStatPfxList, ['rtprefix', 'rtnexthop', 'rtrealnexthop', 'rtrealnexthopiod', 'rtinterface', 'rtpreference', 'rtnhvrfname', 'rtresolvetableid', 'rttrackobjnum', 'rttrackobjstate', 'rtrnhsenttourib', 'rtbfdenabled'], name, value)







            class FragstatsItems(Entity):
                """
                
                
                .. attribute:: ipv6fragments_list
                
                	
                	**type**\: list of  		 :py:class:`IPv6FragmentsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.FragstatsItems.IPv6FragmentsList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.FragstatsItems, self).__init__()

                    self.yang_name = "fragstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IPv6Fragments-list", ("ipv6fragments_list", System.Ipv6Items.InstItems.FragstatsItems.IPv6FragmentsList))])
                    self._leafs = OrderedDict()

                    self.ipv6fragments_list = YList(self)
                    self._segment_path = lambda: "fragstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.FragstatsItems, [], name, value)


                class IPv6FragmentsList(Entity):
                    """
                    
                    
                    .. attribute:: srcaddr  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: dstaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fragid
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: fragoffset
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: fragmflag
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: fragnextheader
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: fragpayloadlen
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    .. attribute:: fragexpirationtime
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-2147483648..2147483647
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv6Items.InstItems.FragstatsItems.IPv6FragmentsList, self).__init__()

                        self.yang_name = "IPv6Fragments-list"
                        self.yang_parent_name = "fragstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['srcaddr']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str'])),
                            ('dstaddr', (YLeaf(YType.str, 'dstAddr'), ['str'])),
                            ('fragid', (YLeaf(YType.int32, 'fragId'), ['int'])),
                            ('fragoffset', (YLeaf(YType.int32, 'fragOffset'), ['int'])),
                            ('fragmflag', (YLeaf(YType.int32, 'fragMFlag'), ['int'])),
                            ('fragnextheader', (YLeaf(YType.int32, 'fragNextHeader'), ['int'])),
                            ('fragpayloadlen', (YLeaf(YType.int32, 'fragPayloadLen'), ['int'])),
                            ('fragexpirationtime', (YLeaf(YType.int32, 'fragExpirationTime'), ['int'])),
                        ])
                        self.srcaddr = None
                        self.dstaddr = None
                        self.fragid = None
                        self.fragoffset = None
                        self.fragmflag = None
                        self.fragnextheader = None
                        self.fragpayloadlen = None
                        self.fragexpirationtime = None
                        self._segment_path = lambda: "IPv6Fragments-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/fragstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv6Items.InstItems.FragstatsItems.IPv6FragmentsList, ['srcaddr', 'dstaddr', 'fragid', 'fragoffset', 'fragmflag', 'fragnextheader', 'fragpayloadlen', 'fragexpirationtime'], name, value)




            class LogsItems(Entity):
                """
                
                
                .. attribute:: ipv6eventlogs_list
                
                	
                	**type**\: list of  		 :py:class:`IPv6EventLogsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.LogsItems.IPv6EventLogsList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.LogsItems, self).__init__()

                    self.yang_name = "logs-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IPv6EventLogs-list", ("ipv6eventlogs_list", System.Ipv6Items.InstItems.LogsItems.IPv6EventLogsList))])
                    self._leafs = OrderedDict()

                    self.ipv6eventlogs_list = YList(self)
                    self._segment_path = lambda: "logs-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.LogsItems, [], name, value)


                class IPv6EventLogsList(Entity):
                    """
                    
                    
                    .. attribute:: eventtype  (key)
                    
                    	Event Log Type
                    	**type**\:  :py:class:`Ipv6IPv6EventType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Ipv6IPv6EventType>`
                    
                    .. attribute:: logsize
                    
                    	Event Log Size
                    	**type**\:  :py:class:`Ipv6IPv6EventLogSize <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Ipv6IPv6EventLogSize>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv6Items.InstItems.LogsItems.IPv6EventLogsList, self).__init__()

                        self.yang_name = "IPv6EventLogs-list"
                        self.yang_parent_name = "logs-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['eventtype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('eventtype', (YLeaf(YType.enumeration, 'eventType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Ipv6IPv6EventType', '')])),
                            ('logsize', (YLeaf(YType.enumeration, 'logSize'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Ipv6IPv6EventLogSize', '')])),
                        ])
                        self.eventtype = None
                        self.logsize = None
                        self._segment_path = lambda: "IPv6EventLogs-list" + "[eventType='" + str(self.eventtype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/logs-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv6Items.InstItems.LogsItems.IPv6EventLogsList, ['eventtype', 'logsize'], name, value)




            class PktqstatsItems(Entity):
                """
                
                
                .. attribute:: queuepacket
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.PktqstatsItems, self).__init__()

                    self.yang_name = "pktqstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('queuepacket', (YLeaf(YType.str, 'queuePacket'), ['str'])),
                    ])
                    self.queuepacket = None
                    self._segment_path = lambda: "pktqstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.PktqstatsItems, ['queuepacket'], name, value)



            class Ipv6statsItems(Entity):
                """
                
                
                .. attribute:: ipv6stat_list
                
                	
                	**type**\: list of  		 :py:class:`IPv6StatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Ipv6Items.InstItems.Ipv6statsItems.IPv6StatList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.Ipv6statsItems, self).__init__()

                    self.yang_name = "ipv6stats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IPv6Stat-list", ("ipv6stat_list", System.Ipv6Items.InstItems.Ipv6statsItems.IPv6StatList))])
                    self._leafs = OrderedDict()

                    self.ipv6stat_list = YList(self)
                    self._segment_path = lambda: "ipv6stats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.Ipv6statsItems, [], name, value)


                class IPv6StatList(Entity):
                    """
                    
                    
                    .. attribute:: ftmname  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ftmtimesecond
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: ftmtimenanosecond
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: ftcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Ipv6Items.InstItems.Ipv6statsItems.IPv6StatList, self).__init__()

                        self.yang_name = "IPv6Stat-list"
                        self.yang_parent_name = "ipv6stats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['ftmname']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ftmname', (YLeaf(YType.str, 'ftmName'), ['str'])),
                            ('ftmtimesecond', (YLeaf(YType.uint32, 'ftmTimeSecond'), ['int'])),
                            ('ftmtimenanosecond', (YLeaf(YType.uint32, 'ftmTimeNanoSecond'), ['int'])),
                            ('ftcount', (YLeaf(YType.uint64, 'ftCount'), ['int'])),
                        ])
                        self.ftmname = None
                        self.ftmtimesecond = None
                        self.ftmtimenanosecond = None
                        self.ftcount = None
                        self._segment_path = lambda: "IPv6Stat-list" + "[ftmName='" + str(self.ftmname) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/ipv6stats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Ipv6Items.InstItems.Ipv6statsItems.IPv6StatList, ['ftmname', 'ftmtimesecond', 'ftmtimenanosecond', 'ftcount'], name, value)




            class TrafficstatsItems(Entity):
                """
                
                
                .. attribute:: statlastreset
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ucastfragoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastfragoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ucastfragconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastfragconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ingressmcecfwdpkts
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ingresspktsvincimigration
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: errbadversion
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errroutelookupfailed
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errhoplimitexceeded
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: erringressifmgrinitdrops
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: errrpfdrop
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: erroptionheader
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errpayloadlentoosmall
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errpmfailed
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errmbuferror
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errencaperror
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errpktsdroppeddestifdown
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pktsrecvrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: bytesrecvrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: headererrorsrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: noroutesrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: addrerrorrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: unknownprotorx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: truncatedpktsrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: forwardgramsrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: reassemblyrequiredrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reassemblysuccessfulrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: reassemblyfailedrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: discardedpktsrx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: deliveredpktsrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastpktsrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastbytesrx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: pktssenttx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: bytessenttx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: sentrequeststx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: noroutestx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: forwardgramstx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: discardedpktstx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragrequiredtx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragsuccesfultx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragfailedtx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fragcreatestx
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: transmitstx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastpktstx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mcastbytestx
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rpucastpktsforwarded
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpucastpktsoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpucastpktsconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpucastbytesforwarded
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpucastbytesoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpucastbytesconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastpktsforwarded
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastpktsoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastpktsconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastbytesforwarded
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastbytesoriginated
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: rpmcastbytesconsumed
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Ipv6Items.InstItems.TrafficstatsItems, self).__init__()

                    self.yang_name = "trafficstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('statlastreset', (YLeaf(YType.str, 'statLastReset'), ['str'])),
                        ('ucastfragoriginated', (YLeaf(YType.uint64, 'ucastFragOriginated'), ['int'])),
                        ('mcastfragoriginated', (YLeaf(YType.uint64, 'mcastFragOriginated'), ['int'])),
                        ('ucastfragconsumed', (YLeaf(YType.uint64, 'ucastFragConsumed'), ['int'])),
                        ('mcastfragconsumed', (YLeaf(YType.uint64, 'mcastFragConsumed'), ['int'])),
                        ('ingressmcecfwdpkts', (YLeaf(YType.uint32, 'ingressMcecFwdPkts'), ['int'])),
                        ('ingresspktsvincimigration', (YLeaf(YType.uint32, 'ingressPktsVinciMigration'), ['int'])),
                        ('errbadversion', (YLeaf(YType.uint64, 'errBadVersion'), ['int'])),
                        ('errroutelookupfailed', (YLeaf(YType.uint64, 'errRouteLookupFailed'), ['int'])),
                        ('errhoplimitexceeded', (YLeaf(YType.uint64, 'errHopLimitExceeded'), ['int'])),
                        ('erringressifmgrinitdrops', (YLeaf(YType.uint32, 'errIngressIfMgrInitDrops'), ['int'])),
                        ('errrpfdrop', (YLeaf(YType.uint32, 'errRpfDrop'), ['int'])),
                        ('erroptionheader', (YLeaf(YType.uint64, 'errOptionHeader'), ['int'])),
                        ('errpayloadlentoosmall', (YLeaf(YType.uint64, 'errPayloadLenTooSmall'), ['int'])),
                        ('errpmfailed', (YLeaf(YType.uint64, 'errPMFailed'), ['int'])),
                        ('errmbuferror', (YLeaf(YType.uint64, 'errMbufError'), ['int'])),
                        ('errencaperror', (YLeaf(YType.uint64, 'errEncapError'), ['int'])),
                        ('errpktsdroppeddestifdown', (YLeaf(YType.uint64, 'errPktsDroppedDestIfDown'), ['int'])),
                        ('pktsrecvrx', (YLeaf(YType.uint64, 'pktsRecvRx'), ['int'])),
                        ('bytesrecvrx', (YLeaf(YType.uint64, 'bytesRecvRx'), ['int'])),
                        ('headererrorsrx', (YLeaf(YType.uint32, 'headerErrorsRx'), ['int'])),
                        ('noroutesrx', (YLeaf(YType.uint32, 'noRoutesRx'), ['int'])),
                        ('addrerrorrx', (YLeaf(YType.uint32, 'addrErrorRx'), ['int'])),
                        ('unknownprotorx', (YLeaf(YType.uint32, 'unknownProtoRx'), ['int'])),
                        ('truncatedpktsrx', (YLeaf(YType.uint32, 'truncatedPktsRx'), ['int'])),
                        ('forwardgramsrx', (YLeaf(YType.uint64, 'forwardgramsRx'), ['int'])),
                        ('reassemblyrequiredrx', (YLeaf(YType.uint32, 'reassemblyRequiredRx'), ['int'])),
                        ('reassemblysuccessfulrx', (YLeaf(YType.uint32, 'reassemblySuccessfulRx'), ['int'])),
                        ('reassemblyfailedrx', (YLeaf(YType.uint32, 'reassemblyFailedRx'), ['int'])),
                        ('discardedpktsrx', (YLeaf(YType.uint32, 'discardedPktsRx'), ['int'])),
                        ('deliveredpktsrx', (YLeaf(YType.uint64, 'deliveredPktsRx'), ['int'])),
                        ('mcastpktsrx', (YLeaf(YType.uint64, 'mcastPktsRx'), ['int'])),
                        ('mcastbytesrx', (YLeaf(YType.uint64, 'mcastBytesRx'), ['int'])),
                        ('pktssenttx', (YLeaf(YType.uint64, 'pktsSentTx'), ['int'])),
                        ('bytessenttx', (YLeaf(YType.uint64, 'bytesSentTx'), ['int'])),
                        ('sentrequeststx', (YLeaf(YType.uint64, 'sentRequestsTx'), ['int'])),
                        ('noroutestx', (YLeaf(YType.uint32, 'noRoutesTx'), ['int'])),
                        ('forwardgramstx', (YLeaf(YType.uint64, 'forwardgramsTx'), ['int'])),
                        ('discardedpktstx', (YLeaf(YType.uint32, 'discardedPktsTx'), ['int'])),
                        ('fragrequiredtx', (YLeaf(YType.uint32, 'fragRequiredTx'), ['int'])),
                        ('fragsuccesfultx', (YLeaf(YType.uint32, 'fragSuccesfulTx'), ['int'])),
                        ('fragfailedtx', (YLeaf(YType.uint32, 'fragFailedTx'), ['int'])),
                        ('fragcreatestx', (YLeaf(YType.uint32, 'fragCreatesTx'), ['int'])),
                        ('transmitstx', (YLeaf(YType.uint64, 'transmitsTx'), ['int'])),
                        ('mcastpktstx', (YLeaf(YType.uint64, 'mcastPktsTx'), ['int'])),
                        ('mcastbytestx', (YLeaf(YType.uint64, 'mcastBytesTx'), ['int'])),
                        ('rpucastpktsforwarded', (YLeaf(YType.uint32, 'rpUcastPktsForwarded'), ['int'])),
                        ('rpucastpktsoriginated', (YLeaf(YType.uint32, 'rpUcastPktsOriginated'), ['int'])),
                        ('rpucastpktsconsumed', (YLeaf(YType.uint32, 'rpUcastPktsConsumed'), ['int'])),
                        ('rpucastbytesforwarded', (YLeaf(YType.uint32, 'rpUcastBytesForwarded'), ['int'])),
                        ('rpucastbytesoriginated', (YLeaf(YType.uint32, 'rpUcastBytesOriginated'), ['int'])),
                        ('rpucastbytesconsumed', (YLeaf(YType.uint32, 'rpUcastBytesConsumed'), ['int'])),
                        ('rpmcastpktsforwarded', (YLeaf(YType.uint32, 'rpMcastPktsForwarded'), ['int'])),
                        ('rpmcastpktsoriginated', (YLeaf(YType.uint32, 'rpMcastPktsOriginated'), ['int'])),
                        ('rpmcastpktsconsumed', (YLeaf(YType.uint32, 'rpMcastPktsConsumed'), ['int'])),
                        ('rpmcastbytesforwarded', (YLeaf(YType.uint32, 'rpMcastBytesForwarded'), ['int'])),
                        ('rpmcastbytesoriginated', (YLeaf(YType.uint32, 'rpMcastBytesOriginated'), ['int'])),
                        ('rpmcastbytesconsumed', (YLeaf(YType.uint32, 'rpMcastBytesConsumed'), ['int'])),
                    ])
                    self.statlastreset = None
                    self.ucastfragoriginated = None
                    self.mcastfragoriginated = None
                    self.ucastfragconsumed = None
                    self.mcastfragconsumed = None
                    self.ingressmcecfwdpkts = None
                    self.ingresspktsvincimigration = None
                    self.errbadversion = None
                    self.errroutelookupfailed = None
                    self.errhoplimitexceeded = None
                    self.erringressifmgrinitdrops = None
                    self.errrpfdrop = None
                    self.erroptionheader = None
                    self.errpayloadlentoosmall = None
                    self.errpmfailed = None
                    self.errmbuferror = None
                    self.errencaperror = None
                    self.errpktsdroppeddestifdown = None
                    self.pktsrecvrx = None
                    self.bytesrecvrx = None
                    self.headererrorsrx = None
                    self.noroutesrx = None
                    self.addrerrorrx = None
                    self.unknownprotorx = None
                    self.truncatedpktsrx = None
                    self.forwardgramsrx = None
                    self.reassemblyrequiredrx = None
                    self.reassemblysuccessfulrx = None
                    self.reassemblyfailedrx = None
                    self.discardedpktsrx = None
                    self.deliveredpktsrx = None
                    self.mcastpktsrx = None
                    self.mcastbytesrx = None
                    self.pktssenttx = None
                    self.bytessenttx = None
                    self.sentrequeststx = None
                    self.noroutestx = None
                    self.forwardgramstx = None
                    self.discardedpktstx = None
                    self.fragrequiredtx = None
                    self.fragsuccesfultx = None
                    self.fragfailedtx = None
                    self.fragcreatestx = None
                    self.transmitstx = None
                    self.mcastpktstx = None
                    self.mcastbytestx = None
                    self.rpucastpktsforwarded = None
                    self.rpucastpktsoriginated = None
                    self.rpucastpktsconsumed = None
                    self.rpucastbytesforwarded = None
                    self.rpucastbytesoriginated = None
                    self.rpucastbytesconsumed = None
                    self.rpmcastpktsforwarded = None
                    self.rpmcastpktsoriginated = None
                    self.rpmcastpktsconsumed = None
                    self.rpmcastbytesforwarded = None
                    self.rpmcastbytesoriginated = None
                    self.rpmcastbytesconsumed = None
                    self._segment_path = lambda: "trafficstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Ipv6Items.InstItems.TrafficstatsItems, ['statlastreset', 'ucastfragoriginated', 'mcastfragoriginated', 'ucastfragconsumed', 'mcastfragconsumed', 'ingressmcecfwdpkts', 'ingresspktsvincimigration', 'errbadversion', 'errroutelookupfailed', 'errhoplimitexceeded', 'erringressifmgrinitdrops', 'errrpfdrop', 'erroptionheader', 'errpayloadlentoosmall', 'errpmfailed', 'errmbuferror', 'errencaperror', 'errpktsdroppeddestifdown', 'pktsrecvrx', 'bytesrecvrx', 'headererrorsrx', 'noroutesrx', 'addrerrorrx', 'unknownprotorx', 'truncatedpktsrx', 'forwardgramsrx', 'reassemblyrequiredrx', 'reassemblysuccessfulrx', 'reassemblyfailedrx', 'discardedpktsrx', 'deliveredpktsrx', 'mcastpktsrx', 'mcastbytesrx', 'pktssenttx', 'bytessenttx', 'sentrequeststx', 'noroutestx', 'forwardgramstx', 'discardedpktstx', 'fragrequiredtx', 'fragsuccesfultx', 'fragfailedtx', 'fragcreatestx', 'transmitstx', 'mcastpktstx', 'mcastbytestx', 'rpucastpktsforwarded', 'rpucastpktsoriginated', 'rpucastpktsconsumed', 'rpucastbytesforwarded', 'rpucastbytesoriginated', 'rpucastbytesconsumed', 'rpmcastpktsforwarded', 'rpmcastpktsoriginated', 'rpmcastpktsconsumed', 'rpmcastbytesforwarded', 'rpmcastbytesoriginated', 'rpmcastbytesconsumed'], name, value)





    class L1capprovItems(Entity):
        """
        
        
        .. attribute:: prov_list
        
        	
        	**type**\: list of  		 :py:class:`ProvList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L1capprovItems.ProvList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L1capprovItems, self).__init__()

            self.yang_name = "l1capprov-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Prov-list", ("prov_list", System.L1capprovItems.ProvList))])
            self._leafs = OrderedDict()

            self.prov_list = YList(self)
            self._segment_path = lambda: "l1capprov-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L1capprovItems, [], name, value)


        class ProvList(Entity):
            """
            
            
            .. attribute:: subj  (key)
            
            	TBD
            	**type**\:  :py:class:`L1capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1capSubj>`
            
            	**config**\: False
            
            .. attribute:: type  (key)
            
            	TBD
            	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
            
            	**config**\: False
            
            .. attribute:: total
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: remaining
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: utilization
            
            	TBD
            	**type**\: int
            
            	**range:** 0..255
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.L1capprovItems.ProvList, self).__init__()

                self.yang_name = "Prov-list"
                self.yang_parent_name = "l1capprov-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['subj','type']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1capSubj', '')])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                    ('total', (YLeaf(YType.uint32, 'total'), ['int'])),
                    ('remaining', (YLeaf(YType.uint32, 'remaining'), ['int'])),
                    ('utilization', (YLeaf(YType.uint8, 'utilization'), ['int'])),
                ])
                self.subj = None
                self.type = None
                self.total = None
                self.remaining = None
                self.utilization = None
                self._segment_path = lambda: "Prov-list" + "[subj='" + str(self.subj) + "']" + "[type='" + str(self.type) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/l1capprov-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.L1capprovItems.ProvList, ['subj', 'type', 'total', 'remaining', 'utilization'], name, value)




    class EthpmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.EthpmItems, self).__init__()

            self.yang_name = "ethpm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.EthpmItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.EthpmItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "ethpm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.EthpmItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: vlantagnative
            
            	
            	**type**\: bool
            
            .. attribute:: systemdefaultlayer
            
            	System Default Layer
            	**type**\:  :py:class:`L1Layer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Layer>`
            
            .. attribute:: systemdefaultadminst
            
            	System Default Admin St
            	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
            
            .. attribute:: systemjumbomtu
            
            	System Jumbo MTU
            	**type**\: int
            
            	**range:** 576..9216
            
            .. attribute:: logevent
            
            	Logging Interface events
            	**type**\: str
            
            .. attribute:: loglevel
            
            	Logging level
            	**type**\: int
            
            	**range:** 1..7
            
            .. attribute:: allowunsupportedsfp
            
            	
            	**type**\: bool
            
            	**default value**\: true
            
            .. attribute:: ifsysloginfo
            
            	Interface Syslog Info
            	**type**\:  :py:class:`EthpmSyslogInfo <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmSyslogInfo>`
            
            .. attribute:: adminlinkupsysloglevel
            
            	Admin Link\-Up Syslog Level
            	**type**\: int
            
            	**range:** 1..7
            
            .. attribute:: adminlinkdownsysloglevel
            
            	Admin Link\-Down Syslog Level
            	**type**\: int
            
            	**range:** 1..7
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: runtime_items
            
            	
            	**type**\:  :py:class:`RuntimeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.RuntimeItems>`
            
            .. attribute:: errdisrecover_items
            
            	
            	**type**\:  :py:class:`ErrdisrecoverItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ErrdisrecoverItems>`
            
            .. attribute:: vlan_items
            
            	
            	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.VlanItems>`
            
            .. attribute:: module_items
            
            	
            	**type**\:  :py:class:`ModuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ModuleItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.EthpmItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "ethpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("runtime-items", ("runtime_items", System.EthpmItems.InstItems.RuntimeItems)), ("errdisrecover-items", ("errdisrecover_items", System.EthpmItems.InstItems.ErrdisrecoverItems)), ("vlan-items", ("vlan_items", System.EthpmItems.InstItems.VlanItems)), ("module-items", ("module_items", System.EthpmItems.InstItems.ModuleItems))])
                self._leafs = OrderedDict([
                    ('vlantagnative', (YLeaf(YType.boolean, 'vlanTagNative'), ['bool'])),
                    ('systemdefaultlayer', (YLeaf(YType.enumeration, 'systemDefaultLayer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Layer', '')])),
                    ('systemdefaultadminst', (YLeaf(YType.enumeration, 'systemDefaultAdminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ('systemjumbomtu', (YLeaf(YType.uint32, 'systemJumboMtu'), ['int'])),
                    ('logevent', (YLeaf(YType.str, 'logEvent'), ['str'])),
                    ('loglevel', (YLeaf(YType.uint32, 'logLevel'), ['int'])),
                    ('allowunsupportedsfp', (YLeaf(YType.boolean, 'allowUnsupportedSfp'), ['bool'])),
                    ('ifsysloginfo', (YLeaf(YType.enumeration, 'ifSyslogInfo'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmSyslogInfo', '')])),
                    ('adminlinkupsysloglevel', (YLeaf(YType.uint32, 'adminLinkUpSyslogLevel'), ['int'])),
                    ('adminlinkdownsysloglevel', (YLeaf(YType.uint32, 'adminLinkDownSyslogLevel'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.vlantagnative = None
                self.systemdefaultlayer = None
                self.systemdefaultadminst = None
                self.systemjumbomtu = None
                self.logevent = None
                self.loglevel = None
                self.allowunsupportedsfp = None
                self.ifsysloginfo = None
                self.adminlinkupsysloglevel = None
                self.adminlinkdownsysloglevel = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.runtime_items = System.EthpmItems.InstItems.RuntimeItems()
                self.runtime_items.parent = self
                self._children_name_map["runtime_items"] = "runtime-items"

                self.errdisrecover_items = System.EthpmItems.InstItems.ErrdisrecoverItems()
                self.errdisrecover_items.parent = self
                self._children_name_map["errdisrecover_items"] = "errdisrecover-items"

                self.vlan_items = System.EthpmItems.InstItems.VlanItems()
                self.vlan_items.parent = self
                self._children_name_map["vlan_items"] = "vlan-items"

                self.module_items = System.EthpmItems.InstItems.ModuleItems()
                self.module_items.parent = self
                self._children_name_map["module_items"] = "module-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.EthpmItems.InstItems, ['vlantagnative', 'systemdefaultlayer', 'systemdefaultadminst', 'systemjumbomtu', 'logevent', 'loglevel', 'allowunsupportedsfp', 'ifsysloginfo', 'adminlinkupsysloglevel', 'adminlinkdownsysloglevel', 'name', 'adminst', 'ctrl'], name, value)


            class RuntimeItems(Entity):
                """
                
                
                .. attribute:: staticrmaccfgrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: pvlantrunkcfgrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dot1qrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ethertyperefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: l3satportrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: snmpiftbllastchange
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: issupacerrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: featurepongstate
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: slowdraincongcoreconfchkstate
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: slowdraincongedgeconfchkstate
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: slowdrainpausconfchkstate
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: slowdrainpausedgeconfchkstate
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: eeerefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fabpathcfgrefcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dceswid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: lifloopbackdone
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: numbundles
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: bundleiflist
                
                	Bundle Interface List
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: lbifs
                
                	Configured Loopback Interfaces
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EthpmItems.InstItems.RuntimeItems, self).__init__()

                    self.yang_name = "runtime-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('staticrmaccfgrefcount', (YLeaf(YType.uint32, 'staticRMacCfgRefCount'), ['int'])),
                        ('pvlantrunkcfgrefcount', (YLeaf(YType.uint32, 'pvlanTrunkCfgRefCount'), ['int'])),
                        ('dot1qrefcount', (YLeaf(YType.uint32, 'dot1qRefCount'), ['int'])),
                        ('ethertyperefcount', (YLeaf(YType.uint32, 'ethertypeRefCount'), ['int'])),
                        ('l3satportrefcount', (YLeaf(YType.uint32, 'l3SatportRefCount'), ['int'])),
                        ('snmpiftbllastchange', (YLeaf(YType.str, 'snmpIfTblLastChange'), ['str'])),
                        ('issupacerrefcount', (YLeaf(YType.uint32, 'issuPacerRefCount'), ['int'])),
                        ('featurepongstate', (YLeaf(YType.uint8, 'featurePongState'), ['int'])),
                        ('slowdraincongcoreconfchkstate', (YLeaf(YType.uint8, 'slowdrainCongCoreConfChkState'), ['int'])),
                        ('slowdraincongedgeconfchkstate', (YLeaf(YType.uint8, 'slowdrainCongEdgeConfChkState'), ['int'])),
                        ('slowdrainpausconfchkstate', (YLeaf(YType.uint8, 'slowdrainPausConfChkState'), ['int'])),
                        ('slowdrainpausedgeconfchkstate', (YLeaf(YType.uint8, 'slowdrainPausEdgeConfChkState'), ['int'])),
                        ('eeerefcount', (YLeaf(YType.uint32, 'eeeRefCount'), ['int'])),
                        ('fabpathcfgrefcount', (YLeaf(YType.uint32, 'fabpathCfgRefCount'), ['int'])),
                        ('dceswid', (YLeaf(YType.uint32, 'dceSwId'), ['int'])),
                        ('lifloopbackdone', (YLeaf(YType.boolean, 'lifLoopbackDone'), ['bool'])),
                        ('numbundles', (YLeaf(YType.uint32, 'numBundles'), ['int'])),
                        ('bundleiflist', (YLeaf(YType.str, 'bundleIfList'), ['str'])),
                        ('lbifs', (YLeaf(YType.str, 'lbIfs'), ['str'])),
                    ])
                    self.staticrmaccfgrefcount = None
                    self.pvlantrunkcfgrefcount = None
                    self.dot1qrefcount = None
                    self.ethertyperefcount = None
                    self.l3satportrefcount = None
                    self.snmpiftbllastchange = None
                    self.issupacerrefcount = None
                    self.featurepongstate = None
                    self.slowdraincongcoreconfchkstate = None
                    self.slowdraincongedgeconfchkstate = None
                    self.slowdrainpausconfchkstate = None
                    self.slowdrainpausedgeconfchkstate = None
                    self.eeerefcount = None
                    self.fabpathcfgrefcount = None
                    self.dceswid = None
                    self.lifloopbackdone = None
                    self.numbundles = None
                    self.bundleiflist = None
                    self.lbifs = None
                    self._segment_path = lambda: "runtime-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EthpmItems.InstItems.RuntimeItems, ['staticrmaccfgrefcount', 'pvlantrunkcfgrefcount', 'dot1qrefcount', 'ethertyperefcount', 'l3satportrefcount', 'snmpiftbllastchange', 'issupacerrefcount', 'featurepongstate', 'slowdraincongcoreconfchkstate', 'slowdraincongedgeconfchkstate', 'slowdrainpausconfchkstate', 'slowdrainpausedgeconfchkstate', 'eeerefcount', 'fabpathcfgrefcount', 'dceswid', 'lifloopbackdone', 'numbundles', 'bundleiflist', 'lbifs'], name, value)



            class ErrdisrecoverItems(Entity):
                """
                
                
                .. attribute:: errdisrecovintvl
                
                	Error Disable Recovery Interval
                	**type**\: int
                
                	**range:** 30..65535
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: event_items
                
                	
                	**type**\:  :py:class:`EventItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems>`
                
                .. attribute:: rserrdisrecoverpolcons_items
                
                	
                	**type**\:  :py:class:`RserrDisRecoverPolConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ErrdisrecoverItems.RserrDisRecoverPolConsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EthpmItems.InstItems.ErrdisrecoverItems, self).__init__()

                    self.yang_name = "errdisrecover-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Event-items", ("event_items", System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems)), ("rserrDisRecoverPolCons-items", ("rserrdisrecoverpolcons_items", System.EthpmItems.InstItems.ErrdisrecoverItems.RserrDisRecoverPolConsItems))])
                    self._leafs = OrderedDict([
                        ('errdisrecovintvl', (YLeaf(YType.uint32, 'errDisRecovIntvl'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.errdisrecovintvl = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None

                    self.event_items = System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems()
                    self.event_items.parent = self
                    self._children_name_map["event_items"] = "Event-items"

                    self.rserrdisrecoverpolcons_items = System.EthpmItems.InstItems.ErrdisrecoverItems.RserrDisRecoverPolConsItems()
                    self.rserrdisrecoverpolcons_items.parent = self
                    self._children_name_map["rserrdisrecoverpolcons_items"] = "rserrDisRecoverPolCons-items"
                    self._segment_path = lambda: "errdisrecover-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EthpmItems.InstItems.ErrdisrecoverItems, ['errdisrecovintvl', 'name', 'adminst', 'ctrl'], name, value)


                class EventItems(Entity):
                    """
                    
                    
                    .. attribute:: event_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EventList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems.EventList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems, self).__init__()

                        self.yang_name = "Event-items"
                        self.yang_parent_name = "errdisrecover-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Event-list", ("event_list", System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems.EventList))])
                        self._leafs = OrderedDict()

                        self.event_list = YList(self)
                        self._segment_path = lambda: "Event-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/errdisrecover-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems, [], name, value)


                    class EventList(Entity):
                        """
                        
                        
                        .. attribute:: event  (key)
                        
                        	Event
                        	**type**\:  :py:class:`EthpmErrDisEvent <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmErrDisEvent>`
                        
                        .. attribute:: detect
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: recover
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems.EventList, self).__init__()

                            self.yang_name = "Event-list"
                            self.yang_parent_name = "Event-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['event']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('event', (YLeaf(YType.enumeration, 'event'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmErrDisEvent', '')])),
                                ('detect', (YLeaf(YType.boolean, 'detect'), ['bool'])),
                                ('recover', (YLeaf(YType.boolean, 'recover'), ['bool'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ])
                            self.event = None
                            self.detect = None
                            self.recover = None
                            self.name = None
                            self.adminst = None
                            self.ctrl = None
                            self._segment_path = lambda: "Event-list" + "[event='" + str(self.event) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/errdisrecover-items/Event-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EthpmItems.InstItems.ErrdisrecoverItems.EventItems.EventList, ['event', 'detect', 'recover', 'name', 'adminst', 'ctrl'], name, value)




                class RserrDisRecoverPolConsItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EthpmItems.InstItems.ErrdisrecoverItems.RserrDisRecoverPolConsItems, self).__init__()

                        self.yang_name = "rserrDisRecoverPolCons-items"
                        self.yang_parent_name = "errdisrecover-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rserrDisRecoverPolCons-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/errdisrecover-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EthpmItems.InstItems.ErrdisrecoverItems.RserrDisRecoverPolConsItems, ['tdn', 'tcl'], name, value)




            class VlanItems(Entity):
                """
                
                
                .. attribute:: vlan_list
                
                	
                	**type**\: list of  		 :py:class:`VlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.VlanItems.VlanList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EthpmItems.InstItems.VlanItems, self).__init__()

                    self.yang_name = "vlan-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Vlan-list", ("vlan_list", System.EthpmItems.InstItems.VlanItems.VlanList))])
                    self._leafs = OrderedDict()

                    self.vlan_list = YList(self)
                    self._segment_path = lambda: "vlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EthpmItems.InstItems.VlanItems, [], name, value)


                class VlanList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Vlan ID
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: numif
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: flag
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: shutstate
                    
                    	Shut State of VLAN
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	Operational State of VLAN
                    	**type**\:  :py:class:`L2DomAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomAdminSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EthpmItems.InstItems.VlanItems.VlanList, self).__init__()

                        self.yang_name = "Vlan-list"
                        self.yang_parent_name = "vlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('numif', (YLeaf(YType.uint32, 'numIf'), ['int'])),
                            ('flag', (YLeaf(YType.uint32, 'flag'), ['int'])),
                            ('shutstate', (YLeaf(YType.enumeration, 'shutState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomAdminSt', '')])),
                        ])
                        self.id = None
                        self.numif = None
                        self.flag = None
                        self.shutstate = None
                        self.state = None
                        self._segment_path = lambda: "Vlan-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/vlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EthpmItems.InstItems.VlanItems.VlanList, ['id', 'numif', 'flag', 'shutstate', 'state'], name, value)




            class ModuleItems(Entity):
                """
                
                
                .. attribute:: module_list
                
                	
                	**type**\: list of  		 :py:class:`ModuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EthpmItems.InstItems.ModuleItems.ModuleList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EthpmItems.InstItems.ModuleItems, self).__init__()

                    self.yang_name = "module-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Module-list", ("module_list", System.EthpmItems.InstItems.ModuleItems.ModuleList))])
                    self._leafs = OrderedDict()

                    self.module_list = YList(self)
                    self._segment_path = lambda: "module-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EthpmItems.InstItems.ModuleItems, [], name, value)


                class ModuleList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: numporttypes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: swcardid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cfgdports
                    
                    	Configured Ports
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: runtimenumports
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: moduletype
                    
                    	Module Type
                    	**type**\:  :py:class:`L1Module <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Module>`
                    
                    	**config**\: False
                    
                    .. attribute:: isoffline
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: lcnodeaddress
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: portcfgsap
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: runtimeports
                    
                    	Runtime Ports
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EthpmItems.InstItems.ModuleItems.ModuleList, self).__init__()

                        self.yang_name = "Module-list"
                        self.yang_parent_name = "module-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                            ('numporttypes', (YLeaf(YType.uint32, 'numPortTypes'), ['int'])),
                            ('swcardid', (YLeaf(YType.uint16, 'swCardId'), ['int'])),
                            ('cfgdports', (YLeaf(YType.str, 'cfgdPorts'), ['str'])),
                            ('flags', (YLeaf(YType.uint32, 'flags'), ['int'])),
                            ('runtimenumports', (YLeaf(YType.uint8, 'runtimeNumPorts'), ['int'])),
                            ('moduletype', (YLeaf(YType.enumeration, 'moduleType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Module', '')])),
                            ('isoffline', (YLeaf(YType.boolean, 'isOffline'), ['bool'])),
                            ('lcnodeaddress', (YLeaf(YType.uint32, 'lcNodeAddress'), ['int'])),
                            ('portcfgsap', (YLeaf(YType.uint16, 'portCfgSap'), ['int'])),
                            ('runtimeports', (YLeaf(YType.str, 'runtimePorts'), ['str'])),
                        ])
                        self.id = None
                        self.numporttypes = None
                        self.swcardid = None
                        self.cfgdports = None
                        self.flags = None
                        self.runtimenumports = None
                        self.moduletype = None
                        self.isoffline = None
                        self.lcnodeaddress = None
                        self.portcfgsap = None
                        self.runtimeports = None
                        self._segment_path = lambda: "Module-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ethpm-items/inst-items/module-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EthpmItems.InstItems.ModuleItems.ModuleList, ['id', 'numporttypes', 'swcardid', 'cfgdports', 'flags', 'runtimenumports', 'moduletype', 'isoffline', 'lcnodeaddress', 'portcfgsap', 'runtimeports'], name, value)






    class BreakoutItems(Entity):
        """
        
        
        .. attribute:: module_items
        
        	
        	**type**\:  :py:class:`ModuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BreakoutItems.ModuleItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BreakoutItems, self).__init__()

            self.yang_name = "breakout-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("module-items", ("module_items", System.BreakoutItems.ModuleItems))])
            self._leafs = OrderedDict()

            self.module_items = System.BreakoutItems.ModuleItems()
            self.module_items.parent = self
            self._children_name_map["module_items"] = "module-items"
            self._segment_path = lambda: "breakout-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BreakoutItems, [], name, value)


        class ModuleItems(Entity):
            """
            
            
            .. attribute:: mod_list
            
            	
            	**type**\: list of  		 :py:class:`ModList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BreakoutItems.ModuleItems.ModList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BreakoutItems.ModuleItems, self).__init__()

                self.yang_name = "module-items"
                self.yang_parent_name = "breakout-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Mod-list", ("mod_list", System.BreakoutItems.ModuleItems.ModList))])
                self._leafs = OrderedDict()

                self.mod_list = YList(self)
                self._segment_path = lambda: "module-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/breakout-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BreakoutItems.ModuleItems, [], name, value)


            class ModList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: fport_items
                
                	
                	**type**\:  :py:class:`FportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BreakoutItems.ModuleItems.ModList.FportItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BreakoutItems.ModuleItems.ModList, self).__init__()

                    self.yang_name = "Mod-list"
                    self.yang_parent_name = "module-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("fport-items", ("fport_items", System.BreakoutItems.ModuleItems.ModList.FportItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                    ])
                    self.id = None

                    self.fport_items = System.BreakoutItems.ModuleItems.ModList.FportItems()
                    self.fport_items.parent = self
                    self._children_name_map["fport_items"] = "fport-items"
                    self._segment_path = lambda: "Mod-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/breakout-items/module-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BreakoutItems.ModuleItems.ModList, ['id'], name, value)


                class FportItems(Entity):
                    """
                    
                    
                    .. attribute:: fpp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FpPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BreakoutItems.ModuleItems.ModList.FportItems.FpPList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BreakoutItems.ModuleItems.ModList.FportItems, self).__init__()

                        self.yang_name = "fport-items"
                        self.yang_parent_name = "Mod-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FpP-list", ("fpp_list", System.BreakoutItems.ModuleItems.ModList.FportItems.FpPList))])
                        self._leafs = OrderedDict()

                        self.fpp_list = YList(self)
                        self._segment_path = lambda: "fport-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BreakoutItems.ModuleItems.ModList.FportItems, [], name, value)


                    class FpPList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..72
                        
                        .. attribute:: breakoutmap
                        
                        	Breakout Map
                        	**type**\:  :py:class:`ImBreakoutMapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ImBreakoutMapT>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BreakoutItems.ModuleItems.ModList.FportItems.FpPList, self).__init__()

                            self.yang_name = "FpP-list"
                            self.yang_parent_name = "fport-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                ('breakoutmap', (YLeaf(YType.enumeration, 'breakoutMap'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ImBreakoutMapT', '')])),
                            ])
                            self.id = None
                            self.breakoutmap = None
                            self._segment_path = lambda: "FpP-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BreakoutItems.ModuleItems.ModList.FportItems.FpPList, ['id', 'breakoutmap'], name, value)







    class ImItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ImItems, self).__init__()

            self.yang_name = "im-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.ImItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.ImItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "im-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ImItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: mode100m
            
            	Mode 100M
            	**type**\:  :py:class:`ImMode100M <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ImMode100M>`
            
            	**config**\: False
            
            .. attribute:: modehwprofile
            
            	Mode 4C, 2C+4Q
            	**type**\:  :py:class:`ImModeHwProfile <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ImModeHwProfile>`
            
            	**config**\: False
            
            .. attribute:: vdcst
            
            	Default VDC State
            	**type**\:  :py:class:`L1VdcSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1VdcSt>`
            
            	**config**\: False
            
            .. attribute:: breakoutprofile
            
            	Breakout Profile
            	**type**\:  :py:class:`ImBreakoutProfile <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ImBreakoutProfile>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: cap_items
            
            	
            	**type**\:  :py:class:`CapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.CapItems>`
            
            .. attribute:: module_items
            
            	
            	**type**\:  :py:class:`ModuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.ModuleItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ImItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "im-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("cap-items", ("cap_items", System.ImItems.InstItems.CapItems)), ("module-items", ("module_items", System.ImItems.InstItems.ModuleItems))])
                self._leafs = OrderedDict([
                    ('mode100m', (YLeaf(YType.enumeration, 'mode100M'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ImMode100M', '')])),
                    ('modehwprofile', (YLeaf(YType.enumeration, 'modeHwProfile'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ImModeHwProfile', '')])),
                    ('vdcst', (YLeaf(YType.enumeration, 'vdcSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1VdcSt', '')])),
                    ('breakoutprofile', (YLeaf(YType.enumeration, 'BreakoutProfile'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ImBreakoutProfile', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.mode100m = None
                self.modehwprofile = None
                self.vdcst = None
                self.breakoutprofile = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.cap_items = System.ImItems.InstItems.CapItems()
                self.cap_items.parent = self
                self._children_name_map["cap_items"] = "cap-items"

                self.module_items = System.ImItems.InstItems.ModuleItems()
                self.module_items.parent = self
                self._children_name_map["module_items"] = "module-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/im-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ImItems.InstItems, ['mode100m', 'modehwprofile', 'vdcst', 'breakoutprofile', 'name', 'adminst', 'ctrl'], name, value)


            class CapItems(Entity):
                """
                
                
                .. attribute:: capability_list
                
                	
                	**type**\: list of  		 :py:class:`CapabilityList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.CapItems.CapabilityList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ImItems.InstItems.CapItems, self).__init__()

                    self.yang_name = "cap-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Capability-list", ("capability_list", System.ImItems.InstItems.CapItems.CapabilityList))])
                    self._leafs = OrderedDict()

                    self.capability_list = YList(self)
                    self._segment_path = lambda: "cap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/im-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ImItems.InstItems.CapItems, [], name, value)


                class CapabilityList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: autoinstcpbl
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: isinstalled
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ImItems.InstItems.CapItems.CapabilityList, self).__init__()

                        self.yang_name = "Capability-list"
                        self.yang_parent_name = "cap-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('autoinstcpbl', (YLeaf(YType.boolean, 'autoInstCpbl'), ['bool'])),
                            ('isinstalled', (YLeaf(YType.boolean, 'isInstalled'), ['bool'])),
                        ])
                        self.id = None
                        self.autoinstcpbl = None
                        self.isinstalled = None
                        self._segment_path = lambda: "Capability-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/im-items/inst-items/cap-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ImItems.InstItems.CapItems.CapabilityList, ['id', 'autoinstcpbl', 'isinstalled'], name, value)




            class ModuleItems(Entity):
                """
                
                
                .. attribute:: module_list
                
                	
                	**type**\: list of  		 :py:class:`ModuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.ModuleItems.ModuleList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ImItems.InstItems.ModuleItems, self).__init__()

                    self.yang_name = "module-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Module-list", ("module_list", System.ImItems.InstItems.ModuleItems.ModuleList))])
                    self._leafs = OrderedDict()

                    self.module_list = YList(self)
                    self._segment_path = lambda: "module-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/im-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ImItems.InstItems.ModuleItems, [], name, value)


                class ModuleList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: numports
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: moduletype
                    
                    	Module Type
                    	**type**\:  :py:class:`L1Module <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Module>`
                    
                    	**config**\: False
                    
                    .. attribute:: swcardid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: lcnodeaddress
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: portcfgsap
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ispresent
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: runtimeflag
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: moduleinitievalflag
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lcexceptionflag
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lcinsertpldsz
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: portinfo_items
                    
                    	
                    	**type**\:  :py:class:`PortinfoItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ImItems.InstItems.ModuleItems.ModuleList, self).__init__()

                        self.yang_name = "Module-list"
                        self.yang_parent_name = "module-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("portinfo-items", ("portinfo_items", System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                            ('numports', (YLeaf(YType.uint8, 'numPorts'), ['int'])),
                            ('moduletype', (YLeaf(YType.enumeration, 'moduleType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Module', '')])),
                            ('swcardid', (YLeaf(YType.uint16, 'swCardId'), ['int'])),
                            ('lcnodeaddress', (YLeaf(YType.uint32, 'lcNodeAddress'), ['int'])),
                            ('portcfgsap', (YLeaf(YType.uint16, 'portCfgSap'), ['int'])),
                            ('ispresent', (YLeaf(YType.boolean, 'isPresent'), ['bool'])),
                            ('runtimeflag', (YLeaf(YType.uint8, 'runtimeFlag'), ['int'])),
                            ('moduleinitievalflag', (YLeaf(YType.uint32, 'moduleInitiEvalFlag'), ['int'])),
                            ('lcexceptionflag', (YLeaf(YType.uint32, 'lcExceptionFlag'), ['int'])),
                            ('lcinsertpldsz', (YLeaf(YType.uint32, 'lcInsertPldSz'), ['int'])),
                        ])
                        self.id = None
                        self.numports = None
                        self.moduletype = None
                        self.swcardid = None
                        self.lcnodeaddress = None
                        self.portcfgsap = None
                        self.ispresent = None
                        self.runtimeflag = None
                        self.moduleinitievalflag = None
                        self.lcexceptionflag = None
                        self.lcinsertpldsz = None

                        self.portinfo_items = System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems()
                        self.portinfo_items.parent = self
                        self._children_name_map["portinfo_items"] = "portinfo-items"
                        self._segment_path = lambda: "Module-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/im-items/inst-items/module-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ImItems.InstItems.ModuleItems.ModuleList, ['id', 'numports', 'moduletype', 'swcardid', 'lcnodeaddress', 'portcfgsap', 'ispresent', 'runtimeflag', 'moduleinitievalflag', 'lcexceptionflag', 'lcinsertpldsz'], name, value)


                    class PortinfoItems(Entity):
                        """
                        
                        
                        .. attribute:: portinfo_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PortInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems.PortInfoList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems, self).__init__()

                            self.yang_name = "portinfo-items"
                            self.yang_parent_name = "Module-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PortInfo-list", ("portinfo_list", System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems.PortInfoList))])
                            self._leafs = OrderedDict()

                            self.portinfo_list = YList(self)
                            self._segment_path = lambda: "portinfo-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems, [], name, value)


                        class PortInfoList(Entity):
                            """
                            
                            
                            .. attribute:: phylayer  (key)
                            
                            	Physical Layer
                            	**type**\:  :py:class:`L1PhyLayer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1PhyLayer>`
                            
                            	**config**\: False
                            
                            .. attribute:: numports
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems.PortInfoList, self).__init__()

                                self.yang_name = "PortInfo-list"
                                self.yang_parent_name = "portinfo-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['phylayer']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('phylayer', (YLeaf(YType.enumeration, 'phyLayer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1PhyLayer', '')])),
                                    ('numports', (YLeaf(YType.uint8, 'numPorts'), ['int'])),
                                    ('type', (YLeaf(YType.uint8, 'type'), ['int'])),
                                ])
                                self.phylayer = None
                                self.numports = None
                                self.type = None
                                self._segment_path = lambda: "PortInfo-list" + "[phyLayer='" + str(self.phylayer) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ImItems.InstItems.ModuleItems.ModuleList.PortinfoItems.PortInfoList, ['phylayer', 'numports', 'type'], name, value)








    class PcItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: pc_items
        
        	
        	**type**\:  :py:class:`PcItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PcItems.PcItems_>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.PcItems, self).__init__()

            self.yang_name = "pc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("pc-items", ("pc_items", System.PcItems.PcItems_))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.pc_items = System.PcItems.PcItems_()
            self.pc_items.parent = self
            self._children_name_map["pc_items"] = "pc-items"
            self._segment_path = lambda: "pc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.PcItems, ['name', 'adminst', 'operst'], name, value)


        class PcItems_(Entity):
            """
            
            
            .. attribute:: hashdist
            
            	Hash Distribution Type
            	**type**\:  :py:class:`PcPCHashDist <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PcPCHashDist>`
            
            	**config**\: False
            
            .. attribute:: loaddefertime
            
            	Load Defer Timeout
            	**type**\: int
            
            	**range:** 1..1800
            
            	**config**\: False
            
            .. attribute:: maxchannels
            
            	Max Number of Port\-channels
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: usedchannels
            
            	Number of Used Port\-channels
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: freechannels
            
            	Number of Free Port\-channels
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: pcntchannels
            
            	Percentage of Used Port\-channels
            	**type**\: int
            
            	**range:** 0..100
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PcItems.PcItems_, self).__init__()

                self.yang_name = "pc-items"
                self.yang_parent_name = "pc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('hashdist', (YLeaf(YType.enumeration, 'hashDist'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PcPCHashDist', '')])),
                    ('loaddefertime', (YLeaf(YType.uint32, 'loadDeferTime'), ['int'])),
                    ('maxchannels', (YLeaf(YType.uint32, 'maxChannels'), ['int'])),
                    ('usedchannels', (YLeaf(YType.uint32, 'usedChannels'), ['int'])),
                    ('freechannels', (YLeaf(YType.uint32, 'freeChannels'), ['int'])),
                    ('pcntchannels', (YLeaf(YType.uint8, 'pcntChannels'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.hashdist = None
                self.loaddefertime = None
                self.maxchannels = None
                self.usedchannels = None
                self.freechannels = None
                self.pcntchannels = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "pc-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PcItems.PcItems_, ['hashdist', 'loaddefertime', 'maxchannels', 'usedchannels', 'freechannels', 'pcntchannels', 'name', 'adminst', 'ctrl'], name, value)




    class L2capprovItems(Entity):
        """
        
        
        .. attribute:: prov_list
        
        	
        	**type**\: list of  		 :py:class:`ProvList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2capprovItems.ProvList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L2capprovItems, self).__init__()

            self.yang_name = "l2capprov-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Prov-list", ("prov_list", System.L2capprovItems.ProvList))])
            self._leafs = OrderedDict()

            self.prov_list = YList(self)
            self._segment_path = lambda: "l2capprov-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L2capprovItems, [], name, value)


        class ProvList(Entity):
            """
            
            
            .. attribute:: subj  (key)
            
            	Subject
            	**type**\:  :py:class:`L2capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2capSubj>`
            
            	**config**\: False
            
            .. attribute:: type  (key)
            
            	TBD
            	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
            
            	**config**\: False
            
            .. attribute:: total
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: remaining
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: utilization
            
            	TBD
            	**type**\: int
            
            	**range:** 0..255
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.L2capprovItems.ProvList, self).__init__()

                self.yang_name = "Prov-list"
                self.yang_parent_name = "l2capprov-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['subj','type']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2capSubj', '')])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                    ('total', (YLeaf(YType.uint32, 'total'), ['int'])),
                    ('remaining', (YLeaf(YType.uint32, 'remaining'), ['int'])),
                    ('utilization', (YLeaf(YType.uint8, 'utilization'), ['int'])),
                ])
                self.subj = None
                self.type = None
                self.total = None
                self.remaining = None
                self.utilization = None
                self._segment_path = lambda: "Prov-list" + "[subj='" + str(self.subj) + "']" + "[type='" + str(self.type) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/l2capprov-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.L2capprovItems.ProvList, ['subj', 'type', 'total', 'remaining', 'utilization'], name, value)




    class FcpmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.FcpmItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.FcpmItems, self).__init__()

            self.yang_name = "fcpm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.FcpmItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.FcpmItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "fcpm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.FcpmItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: switchwwn
            
            	Switch WWN
            	**type**\: str
            
            .. attribute:: edtov
            
            	Fc Protocol Error Detect Timeout
            	**type**\: int
            
            	**range:** 1000..4000
            
            .. attribute:: ratov
            
            	Fc Protocol Resource Allocation Timeout
            	**type**\: int
            
            	**range:** 5000..10000
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.FcpmItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "fcpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('switchwwn', (YLeaf(YType.str, 'switchWWN'), ['str'])),
                    ('edtov', (YLeaf(YType.uint32, 'edTov'), ['int'])),
                    ('ratov', (YLeaf(YType.uint32, 'raTov'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.switchwwn = None
                self.edtov = None
                self.ratov = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/fcpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.FcpmItems.InstItems, ['switchwwn', 'edtov', 'ratov', 'name', 'adminst', 'ctrl'], name, value)




    class L2fmItems(Entity):
        """
        
        
        .. attribute:: maclearn
        
        	mac\-learn Enable Disable
        	**type**\:  :py:class:`L2fmLearning <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2fmLearning>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L2fmItems, self).__init__()

            self.yang_name = "l2fm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('maclearn', (YLeaf(YType.enumeration, 'macLearn'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2fmLearning', '')])),
            ])
            self.maclearn = None
            self._segment_path = lambda: "l2fm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L2fmItems, ['maclearn'], name, value)



    class L2ribItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2ribItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L2ribItems, self).__init__()

            self.yang_name = "l2rib-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.L2ribItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.L2ribItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "l2rib-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L2ribItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: evpn_items
            
            	
            	**type**\:  :py:class:`EvpnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L2ribItems.InstItems.EvpnItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.L2ribItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "l2rib-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("evpn-items", ("evpn_items", System.L2ribItems.InstItems.EvpnItems))])
                self._leafs = OrderedDict()

                self.evpn_items = System.L2ribItems.InstItems.EvpnItems()
                self.evpn_items.parent = self
                self._children_name_map["evpn_items"] = "evpn-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/l2rib-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.L2ribItems.InstItems, [], name, value)


            class EvpnItems(Entity):
                """
                
                
                .. attribute:: ddmoves
                
                	
                	**type**\: int
                
                	**range:** 1..1000
                
                	**default value**\: 5
                
                .. attribute:: ddduration
                
                	
                	**type**\: int
                
                	**range:** 2..36000
                
                	**default value**\: 180
                
                .. attribute:: drtimeout
                
                	
                	**type**\: int
                
                	**range:** 0..1800
                
                	**default value**\: 30
                
                .. attribute:: drretrycnt
                
                	
                	**type**\: int
                
                	**range:** 0..3000
                
                	**default value**\: 3
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.L2ribItems.InstItems.EvpnItems, self).__init__()

                    self.yang_name = "evpn-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('ddmoves', (YLeaf(YType.uint16, 'ddMoves'), ['int'])),
                        ('ddduration', (YLeaf(YType.uint16, 'ddDuration'), ['int'])),
                        ('drtimeout', (YLeaf(YType.uint16, 'drTimeout'), ['int'])),
                        ('drretrycnt', (YLeaf(YType.uint16, 'drRetryCnt'), ['int'])),
                    ])
                    self.ddmoves = None
                    self.ddduration = None
                    self.drtimeout = None
                    self.drretrycnt = None
                    self._segment_path = lambda: "evpn-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/l2rib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.L2ribItems.InstItems.EvpnItems, ['ddmoves', 'ddduration', 'drtimeout', 'drretrycnt'], name, value)





    class PvlanItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.PvlanItems, self).__init__()

            self.yang_name = "pvlan-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Inst-items", ("inst_items", System.PvlanItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.PvlanItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "Inst-items"
            self._segment_path = lambda: "pvlan-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.PvlanItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems>`
            
            .. attribute:: vlan_items
            
            	
            	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.VlanItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PvlanItems.InstItems, self).__init__()

                self.yang_name = "Inst-items"
                self.yang_parent_name = "pvlan-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("If-items", ("if_items", System.PvlanItems.InstItems.IfItems)), ("vlan-items", ("vlan_items", System.PvlanItems.InstItems.VlanItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.PvlanItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "If-items"

                self.vlan_items = System.PvlanItems.InstItems.VlanItems()
                self.vlan_items.parent = self
                self._children_name_map["vlan_items"] = "vlan-items"
                self._segment_path = lambda: "Inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pvlan-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PvlanItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PvlanItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "If-items"
                    self.yang_parent_name = "Inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.PvlanItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "If-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pvlan-items/Inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PvlanItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: if_  (key)
                    
                    	ifindex
                    	**type**\: str
                    
                    .. attribute:: promprimapping
                    
                    	primary vlan mapping
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: promsecvlanmapping
                    
                    	secondary vlan mapping
                    	**type**\: str
                    
                    .. attribute:: prihostvlan
                    
                    	primary Host Vlan
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: sechostvlan
                    
                    	Host Vlan
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: nativevlan
                    
                    	Native Vlan
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: tallowedvlans
                    
                    	Trunk Allowed Vlans
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: id
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: pvlanpromtable_items
                    
                    	
                    	**type**\:  :py:class:`PvlanPromTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems>`
                    
                    .. attribute:: pvlantsectable_items
                    
                    	
                    	**type**\:  :py:class:`PvlanTSecTableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PvlanItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "If-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['if_']
                        self._child_classes = OrderedDict([("pvlanPromTable-items", ("pvlanpromtable_items", System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems)), ("PvlanTSecTable-items", ("pvlantsectable_items", System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.PvlanItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                            ('promprimapping', (YLeaf(YType.uint32, 'promPriMapping'), ['int'])),
                            ('promsecvlanmapping', (YLeaf(YType.str, 'promSecVlanMapping'), ['str'])),
                            ('prihostvlan', (YLeaf(YType.uint32, 'priHostVlan'), ['int'])),
                            ('sechostvlan', (YLeaf(YType.uint32, 'secHostVlan'), ['int'])),
                            ('nativevlan', (YLeaf(YType.uint32, 'nativevlan'), ['int'])),
                            ('tallowedvlans', (YLeaf(YType.str, 'tallowedvlans'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ])
                        self.if_ = None
                        self.promprimapping = None
                        self.promsecvlanmapping = None
                        self.prihostvlan = None
                        self.sechostvlan = None
                        self.nativevlan = None
                        self.tallowedvlans = None
                        self.name = None
                        self.descr = None
                        self.id = None

                        self.pvlanpromtable_items = System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems()
                        self.pvlanpromtable_items.parent = self
                        self._children_name_map["pvlanpromtable_items"] = "pvlanPromTable-items"

                        self.pvlantsectable_items = System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems()
                        self.pvlantsectable_items.parent = self
                        self._children_name_map["pvlantsectable_items"] = "PvlanTSecTable-items"

                        self.rtvrfmbr_items = System.PvlanItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[if='" + str(self.if_) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pvlan-items/Inst-items/If-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList, ['if_', 'promprimapping', 'promsecvlanmapping', 'prihostvlan', 'sechostvlan', 'nativevlan', 'tallowedvlans', 'name', 'descr', 'id'], name, value)


                    class PvlanPromTableItems(Entity):
                        """
                        
                        
                        .. attribute:: vlan_items
                        
                        	
                        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems, self).__init__()

                            self.yang_name = "pvlanPromTable-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems))])
                            self._leafs = OrderedDict()

                            self.vlan_items = System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems()
                            self.vlan_items.parent = self
                            self._children_name_map["vlan_items"] = "vlan-items"
                            self._segment_path = lambda: "pvlanPromTable-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems, [], name, value)


                        class VlanItems(Entity):
                            """
                            
                            
                            .. attribute:: pvlantpromentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PvlanTPromEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems.PvlanTPromEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems, self).__init__()

                                self.yang_name = "vlan-items"
                                self.yang_parent_name = "pvlanPromTable-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PvlanTPromEntry-list", ("pvlantpromentry_list", System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems.PvlanTPromEntryList))])
                                self._leafs = OrderedDict()

                                self.pvlantpromentry_list = YList(self)
                                self._segment_path = lambda: "vlan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems, [], name, value)


                            class PvlanTPromEntryList(Entity):
                                """
                                
                                
                                .. attribute:: privlanid  (key)
                                
                                	primary Vlan Id
                                	**type**\: int
                                
                                	**range:** 1..4096
                                
                                .. attribute:: secvlans
                                
                                	secondary vlan bitset
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems.PvlanTPromEntryList, self).__init__()

                                    self.yang_name = "PvlanTPromEntry-list"
                                    self.yang_parent_name = "vlan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['privlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('privlanid', (YLeaf(YType.uint32, 'priVlanId'), ['int'])),
                                        ('secvlans', (YLeaf(YType.str, 'secvlans'), ['str'])),
                                    ])
                                    self.privlanid = None
                                    self.secvlans = None
                                    self._segment_path = lambda: "PvlanTPromEntry-list" + "[priVlanId='" + str(self.privlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanPromTableItems.VlanItems.PvlanTPromEntryList, ['privlanid', 'secvlans'], name, value)





                    class PvlanTSecTableItems(Entity):
                        """
                        
                        
                        .. attribute:: vlan_items
                        
                        	
                        	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems, self).__init__()

                            self.yang_name = "PvlanTSecTable-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems))])
                            self._leafs = OrderedDict()

                            self.vlan_items = System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems()
                            self.vlan_items.parent = self
                            self._children_name_map["vlan_items"] = "vlan-items"
                            self._segment_path = lambda: "PvlanTSecTable-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems, [], name, value)


                        class VlanItems(Entity):
                            """
                            
                            
                            .. attribute:: pvlantsecentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PvlanTSecEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems.PvlanTSecEntryList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems, self).__init__()

                                self.yang_name = "vlan-items"
                                self.yang_parent_name = "PvlanTSecTable-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PvlanTSecEntry-list", ("pvlantsecentry_list", System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems.PvlanTSecEntryList))])
                                self._leafs = OrderedDict()

                                self.pvlantsecentry_list = YList(self)
                                self._segment_path = lambda: "vlan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems, [], name, value)


                            class PvlanTSecEntryList(Entity):
                                """
                                
                                
                                .. attribute:: privlanid  (key)
                                
                                	Primary Vlan Id
                                	**type**\: int
                                
                                	**range:** 1..4096
                                
                                .. attribute:: secvlanid
                                
                                	Secondary Vlan Id
                                	**type**\: int
                                
                                	**range:** 1..4096
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems.PvlanTSecEntryList, self).__init__()

                                    self.yang_name = "PvlanTSecEntry-list"
                                    self.yang_parent_name = "vlan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['privlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('privlanid', (YLeaf(YType.uint32, 'priVlanId'), ['int'])),
                                        ('secvlanid', (YLeaf(YType.uint32, 'secVlanId'), ['int'])),
                                    ])
                                    self.privlanid = None
                                    self.secvlanid = None
                                    self._segment_path = lambda: "PvlanTSecEntry-list" + "[priVlanId='" + str(self.privlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.PvlanTSecTableItems.VlanItems.PvlanTSecEntryList, ['privlanid', 'secvlanid'], name, value)





                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PvlanItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PvlanItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class VlanItems(Entity):
                """
                
                
                .. attribute:: pvlan_list
                
                	
                	**type**\: list of  		 :py:class:`PvlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PvlanItems.InstItems.VlanItems.PvlanList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PvlanItems.InstItems.VlanItems, self).__init__()

                    self.yang_name = "vlan-items"
                    self.yang_parent_name = "Inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Pvlan-list", ("pvlan_list", System.PvlanItems.InstItems.VlanItems.PvlanList))])
                    self._leafs = OrderedDict()

                    self.pvlan_list = YList(self)
                    self._segment_path = lambda: "vlan-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pvlan-items/Inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PvlanItems.InstItems.VlanItems, [], name, value)


                class PvlanList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Pvlan ID
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vlantype
                    
                    	Privte\-vlan type
                    	**type**\:  :py:class:`L2PvlanTypes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2PvlanTypes>`
                    
                    .. attribute:: association
                    
                    	Secondary Association
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PvlanItems.InstItems.VlanItems.PvlanList, self).__init__()

                        self.yang_name = "Pvlan-list"
                        self.yang_parent_name = "vlan-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vlantype', (YLeaf(YType.enumeration, 'vlanType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2PvlanTypes', '')])),
                            ('association', (YLeaf(YType.str, 'association'), ['str'])),
                        ])
                        self.id = None
                        self.vlantype = None
                        self.association = None
                        self._segment_path = lambda: "Pvlan-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pvlan-items/Inst-items/vlan-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PvlanItems.InstItems.VlanItems.PvlanList, ['id', 'vlantype', 'association'], name, value)






    class VlanmgrItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanmgrItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VlanmgrItems, self).__init__()

            self.yang_name = "vlanmgr-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.VlanmgrItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.VlanmgrItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vlanmgr-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VlanmgrItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: vdcid
            
            	VDC ID
            	**type**\: int
            
            	**range:** 1..4096
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dommbr_items
            
            	
            	**type**\:  :py:class:`DommbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanmgrItems.InstItems.DommbrItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VlanmgrItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vlanmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dommbr-items", ("dommbr_items", System.VlanmgrItems.InstItems.DommbrItems))])
                self._leafs = OrderedDict([
                    ('vdcid', (YLeaf(YType.uint16, 'vdcId'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.vdcid = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dommbr_items = System.VlanmgrItems.InstItems.DommbrItems()
                self.dommbr_items.parent = self
                self._children_name_map["dommbr_items"] = "dommbr-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vlanmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VlanmgrItems.InstItems, ['vdcid', 'name', 'adminst', 'ctrl'], name, value)


            class DommbrItems(Entity):
                """
                
                
                .. attribute:: dommbrif_list
                
                	
                	**type**\: list of  		 :py:class:`DomMbrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VlanmgrItems.InstItems.DommbrItems.DomMbrIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VlanmgrItems.InstItems.DommbrItems, self).__init__()

                    self.yang_name = "dommbr-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DomMbrIf-list", ("dommbrif_list", System.VlanmgrItems.InstItems.DommbrItems.DomMbrIfList))])
                    self._leafs = OrderedDict()

                    self.dommbrif_list = YList(self)
                    self._segment_path = lambda: "dommbr-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vlanmgr-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VlanmgrItems.InstItems.DommbrItems, [], name, value)


                class DomMbrIfList(Entity):
                    """
                    
                    
                    .. attribute:: ifidx  (key)
                    
                    	Interface Index
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: createflag
                    
                    	Create Flag
                    	**type**\:  :py:class:`L2CreateState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2CreateState>`
                    
                    	**config**\: False
                    
                    .. attribute:: bundleportst
                    
                    	Bundle Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: phyportstate
                    
                    	Physical Port State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: pmportstate
                    
                    	Protocol State
                    	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: accessvlan
                    
                    	Access VLAN
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: nativevlan
                    
                    	Native VLAN
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: pmportmode
                    
                    	Port Mode
                    	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
                    
                    	**config**\: False
                    
                    .. attribute:: allowedvlanbmp
                    
                    	Allowed Vlan Bitmap
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: trunkportupvlanbmp
                    
                    	Trunk Port Up Vlan Bitmap
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VlanmgrItems.InstItems.DommbrItems.DomMbrIfList, self).__init__()

                        self.yang_name = "DomMbrIf-list"
                        self.yang_parent_name = "dommbr-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['ifidx']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifidx', (YLeaf(YType.str, 'ifIdx'), ['str'])),
                            ('createflag', (YLeaf(YType.enumeration, 'createFlag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2CreateState', '')])),
                            ('bundleportst', (YLeaf(YType.enumeration, 'bundlePortSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('phyportstate', (YLeaf(YType.enumeration, 'phyPortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('pmportstate', (YLeaf(YType.enumeration, 'pmPortState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                            ('accessvlan', (YLeaf(YType.uint32, 'accessVlan'), ['int'])),
                            ('nativevlan', (YLeaf(YType.uint32, 'nativeVlan'), ['int'])),
                            ('pmportmode', (YLeaf(YType.enumeration, 'pmPortMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                            ('allowedvlanbmp', (YLeaf(YType.str, 'allowedVlanBmp'), ['str'])),
                            ('trunkportupvlanbmp', (YLeaf(YType.str, 'trunkPortUpVlanBmp'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.ifidx = None
                        self.createflag = None
                        self.bundleportst = None
                        self.phyportstate = None
                        self.pmportstate = None
                        self.accessvlan = None
                        self.nativevlan = None
                        self.pmportmode = None
                        self.allowedvlanbmp = None
                        self.trunkportupvlanbmp = None
                        self.name = None
                        self._segment_path = lambda: "DomMbrIf-list" + "[ifIdx='" + str(self.ifidx) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vlanmgr-items/inst-items/dommbr-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VlanmgrItems.InstItems.DommbrItems.DomMbrIfList, ['ifidx', 'createflag', 'bundleportst', 'phyportstate', 'pmportstate', 'accessvlan', 'nativevlan', 'pmportmode', 'allowedvlanbmp', 'trunkportupvlanbmp', 'name'], name, value)






    class EpsItems(Entity):
        """
        
        
        .. attribute:: evpnmulticast_items
        
        	
        	**type**\:  :py:class:`EvpnmulticastItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EvpnmulticastItems>`
        
        .. attribute:: multisite_items
        
        	
        	**type**\:  :py:class:`MultisiteItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.MultisiteItems>`
        
        .. attribute:: epid_items
        
        	
        	**type**\:  :py:class:`EpIdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.EpsItems, self).__init__()

            self.yang_name = "eps-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("evpnmulticast-items", ("evpnmulticast_items", System.EpsItems.EvpnmulticastItems)), ("multisite-items", ("multisite_items", System.EpsItems.MultisiteItems)), ("epId-items", ("epid_items", System.EpsItems.EpIdItems))])
            self._leafs = OrderedDict()

            self.evpnmulticast_items = System.EpsItems.EvpnmulticastItems()
            self.evpnmulticast_items.parent = self
            self._children_name_map["evpnmulticast_items"] = "evpnmulticast-items"

            self.multisite_items = System.EpsItems.MultisiteItems()
            self.multisite_items.parent = self
            self._children_name_map["multisite_items"] = "multisite-items"

            self.epid_items = System.EpsItems.EpIdItems()
            self.epid_items.parent = self
            self._children_name_map["epid_items"] = "epId-items"
            self._segment_path = lambda: "eps-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.EpsItems, [], name, value)


        class EvpnmulticastItems(Entity):
            """
            
            
            .. attribute:: state
            
            	Advertise EVPN Multicast State
            	**type**\:  :py:class:`NvoEvpnMcastStT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoEvpnMcastStT>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.EpsItems.EvpnmulticastItems, self).__init__()

                self.yang_name = "evpnmulticast-items"
                self.yang_parent_name = "eps-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoEvpnMcastStT', '')])),
                ])
                self.state = None
                self._segment_path = lambda: "evpnmulticast-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/eps-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.EpsItems.EvpnmulticastItems, ['state'], name, value)



        class MultisiteItems(Entity):
            """
            
            
            .. attribute:: state
            
            	Configures the state of EVPN Multisite Border\-gateway
            	**type**\:  :py:class:`NvoMultisiteStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteStateT>`
            
            .. attribute:: siteid
            
            	
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: delayrestoretime
            
            	
            	**type**\: int
            
            	**range:** 30..1000
            
            	**default value**\: 180
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.EpsItems.MultisiteItems, self).__init__()

                self.yang_name = "multisite-items"
                self.yang_parent_name = "eps-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteStateT', '')])),
                    ('siteid', (YLeaf(YType.uint64, 'siteId'), ['int'])),
                    ('delayrestoretime', (YLeaf(YType.uint16, 'delayRestoreTime'), ['int'])),
                ])
                self.state = None
                self.siteid = None
                self.delayrestoretime = None
                self._segment_path = lambda: "multisite-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/eps-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.EpsItems.MultisiteItems, ['state', 'siteid', 'delayrestoretime'], name, value)



        class EpIdItems(Entity):
            """
            
            
            .. attribute:: ep_list
            
            	
            	**type**\: list of  		 :py:class:`EpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.EpsItems.EpIdItems, self).__init__()

                self.yang_name = "epId-items"
                self.yang_parent_name = "eps-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Ep-list", ("ep_list", System.EpsItems.EpIdItems.EpList))])
                self._leafs = OrderedDict()

                self.ep_list = YList(self)
                self._segment_path = lambda: "epId-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/eps-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.EpsItems.EpIdItems, [], name, value)


            class EpList(Entity):
                """
                
                
                .. attribute:: epid  (key)
                
                	Network Virtualization Overlay Endpoint (NVE) ID
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: adminst
                
                	Administrative Up or Down state of the NVE
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: descr
                
                	
                	**type**\: str
                
                .. attribute:: sourceinterface
                
                	Source Interface associated with the NVE
                	**type**\: str
                
                .. attribute:: multisitebordergwinterface
                
                	Interface representing the Multisite Border Gateway
                	**type**\: str
                
                .. attribute:: holddowntime
                
                	
                	**type**\: int
                
                	**range:** 1..1500
                
                	**default value**\: 180
                
                .. attribute:: hostreach
                
                	Host Reachability Protocol
                	**type**\:  :py:class:`NvoHostReachT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoHostReachT>`
                
                .. attribute:: suppressarp
                
                	
                	**type**\: bool
                
                .. attribute:: mcastgroupl2
                
                	Base multicast group address for L2
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: mcastgroupl3
                
                	Base multicast group address for L3
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: ingressreplprotobgp
                
                	
                	**type**\: bool
                
                .. attribute:: advertisevmac
                
                	
                	**type**\: bool
                
                	**default value**\: false
                
                .. attribute:: controllerid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**default value**\: 0
                
                .. attribute:: cfgsrc
                
                	Enable or disable VxLAN configuration via controller
                	**type**\:  :py:class:`NvoCfgSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoCfgSrcT>`
                
                .. attribute:: encaptype
                
                	Encapsulation Type
                	**type**\:  :py:class:`NvoEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoEncapT>`
                
                .. attribute:: autoremapreplicationservers
                
                	
                	**type**\: bool
                
                .. attribute:: operstate
                
                	Operational State of the NVE
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: operstsrcloopbackintf
                
                	Operational State Up or Down of NVE Source Loopback Interface
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: operstmultisitebrdrgwloopbackintf
                
                	Operational State Up or Down of Multisite Border Gateway Loopback Interface
                	**type**\:  :py:class:`L2DomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L2DomOperSt>`
                
                	**config**\: False
                
                .. attribute:: adminstmultisitebrdrgwloopackintf
                
                	Administrative State Up or Down of Multisite Border Gateway Loopback Interface
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: operencaptype
                
                	Operational encapsulation type
                	**type**\:  :py:class:`NvoEncapT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoEncapT>`
                
                	**config**\: False
                
                .. attribute:: mac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: virtualrtrmac
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: virtualrtrmacreorig
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: learningmode
                
                	Indicates the host learning mode (Control plane or data plane)
                	**type**\:  :py:class:`NvoHostLearnModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoHostLearnModeT>`
                
                	**config**\: False
                
                .. attribute:: holduptime
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: holddowntimerexpirytime
                
                	Indicates the time after which the hold down timer will expire (in milliseconds)
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: holduptimerexpirytime
                
                	Indicates the time after which the hold up timer will expire (in milliseconds)
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: delayrestoremsbrdrgwexpirytime
                
                	Time when delay restore for Multisite Border Gateway Loopback Interface will expire
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: vpcvipnotified
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: primaryip
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: secondaryip
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: multisitebrdrgwintfip
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peers_items
                
                	
                	**type**\:  :py:class:`PeersItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems>`
                
                .. attribute:: nws_items
                
                	
                	**type**\:  :py:class:`NwsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems>`
                
                .. attribute:: cntrs_items
                
                	
                	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.CntrsItems>`
                
                .. attribute:: rsopersourceinterface_items
                
                	
                	**type**\:  :py:class:`RsoperSourceInterfaceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.RsoperSourceInterfaceItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.EpsItems.EpIdItems.EpList, self).__init__()

                    self.yang_name = "Ep-list"
                    self.yang_parent_name = "epId-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['epid']
                    self._child_classes = OrderedDict([("peers-items", ("peers_items", System.EpsItems.EpIdItems.EpList.PeersItems)), ("nws-items", ("nws_items", System.EpsItems.EpIdItems.EpList.NwsItems)), ("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.CntrsItems)), ("rsoperSourceInterface-items", ("rsopersourceinterface_items", System.EpsItems.EpIdItems.EpList.RsoperSourceInterfaceItems))])
                    self._leafs = OrderedDict([
                        ('epid', (YLeaf(YType.uint32, 'epId'), ['int'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('sourceinterface', (YLeaf(YType.str, 'sourceInterface'), ['str'])),
                        ('multisitebordergwinterface', (YLeaf(YType.str, 'multisiteBordergwInterface'), ['str'])),
                        ('holddowntime', (YLeaf(YType.uint16, 'holdDownTime'), ['int'])),
                        ('hostreach', (YLeaf(YType.enumeration, 'hostReach'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoHostReachT', '')])),
                        ('suppressarp', (YLeaf(YType.boolean, 'suppressARP'), ['bool'])),
                        ('mcastgroupl2', (YLeaf(YType.str, 'mcastGroupL2'), ['str','str'])),
                        ('mcastgroupl3', (YLeaf(YType.str, 'mcastGroupL3'), ['str','str'])),
                        ('ingressreplprotobgp', (YLeaf(YType.boolean, 'ingressReplProtoBGP'), ['bool'])),
                        ('advertisevmac', (YLeaf(YType.boolean, 'advertiseVmac'), ['bool'])),
                        ('controllerid', (YLeaf(YType.uint32, 'controllerId'), ['int'])),
                        ('cfgsrc', (YLeaf(YType.enumeration, 'cfgSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoCfgSrcT', '')])),
                        ('encaptype', (YLeaf(YType.enumeration, 'encapType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoEncapT', '')])),
                        ('autoremapreplicationservers', (YLeaf(YType.boolean, 'autoRemapReplicationServers'), ['bool'])),
                        ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('operstsrcloopbackintf', (YLeaf(YType.enumeration, 'operStSrcLoopbackIntf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('operstmultisitebrdrgwloopbackintf', (YLeaf(YType.enumeration, 'operStMultisiteBrdrGwLoopbackIntf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L2DomOperSt', '')])),
                        ('adminstmultisitebrdrgwloopackintf', (YLeaf(YType.enumeration, 'adminStMultisiteBrdrGwLoopackIntf'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('operencaptype', (YLeaf(YType.enumeration, 'operEncapType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoEncapT', '')])),
                        ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                        ('virtualrtrmac', (YLeaf(YType.str, 'virtualRtrMac'), ['str'])),
                        ('virtualrtrmacreorig', (YLeaf(YType.str, 'virtualRtrMacReorig'), ['str'])),
                        ('learningmode', (YLeaf(YType.enumeration, 'learningMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoHostLearnModeT', '')])),
                        ('holduptime', (YLeaf(YType.uint16, 'holdUpTime'), ['int'])),
                        ('holddowntimerexpirytime', (YLeaf(YType.str, 'holdDownTimerExpiryTime'), ['str'])),
                        ('holduptimerexpirytime', (YLeaf(YType.str, 'holdUpTimerExpiryTime'), ['str'])),
                        ('delayrestoremsbrdrgwexpirytime', (YLeaf(YType.str, 'delayRestoreMsBrdrGwExpiryTime'), ['str'])),
                        ('vpcvipnotified', (YLeaf(YType.boolean, 'vpcVIPNotified'), ['bool'])),
                        ('primaryip', (YLeaf(YType.str, 'primaryIp'), ['str'])),
                        ('secondaryip', (YLeaf(YType.str, 'secondaryIp'), ['str'])),
                        ('multisitebrdrgwintfip', (YLeaf(YType.str, 'multisiteBrdrGwIntfIp'), ['str'])),
                    ])
                    self.epid = None
                    self.adminst = None
                    self.descr = None
                    self.sourceinterface = None
                    self.multisitebordergwinterface = None
                    self.holddowntime = None
                    self.hostreach = None
                    self.suppressarp = None
                    self.mcastgroupl2 = None
                    self.mcastgroupl3 = None
                    self.ingressreplprotobgp = None
                    self.advertisevmac = None
                    self.controllerid = None
                    self.cfgsrc = None
                    self.encaptype = None
                    self.autoremapreplicationservers = None
                    self.operstate = None
                    self.operstsrcloopbackintf = None
                    self.operstmultisitebrdrgwloopbackintf = None
                    self.adminstmultisitebrdrgwloopackintf = None
                    self.operencaptype = None
                    self.mac = None
                    self.virtualrtrmac = None
                    self.virtualrtrmacreorig = None
                    self.learningmode = None
                    self.holduptime = None
                    self.holddowntimerexpirytime = None
                    self.holduptimerexpirytime = None
                    self.delayrestoremsbrdrgwexpirytime = None
                    self.vpcvipnotified = None
                    self.primaryip = None
                    self.secondaryip = None
                    self.multisitebrdrgwintfip = None

                    self.peers_items = System.EpsItems.EpIdItems.EpList.PeersItems()
                    self.peers_items.parent = self
                    self._children_name_map["peers_items"] = "peers-items"

                    self.nws_items = System.EpsItems.EpIdItems.EpList.NwsItems()
                    self.nws_items.parent = self
                    self._children_name_map["nws_items"] = "nws-items"

                    self.cntrs_items = System.EpsItems.EpIdItems.EpList.CntrsItems()
                    self.cntrs_items.parent = self
                    self._children_name_map["cntrs_items"] = "cntrs-items"

                    self.rsopersourceinterface_items = System.EpsItems.EpIdItems.EpList.RsoperSourceInterfaceItems()
                    self.rsopersourceinterface_items.parent = self
                    self._children_name_map["rsopersourceinterface_items"] = "rsoperSourceInterface-items"
                    self._segment_path = lambda: "Ep-list" + "[epId='" + str(self.epid) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/eps-items/epId-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.EpsItems.EpIdItems.EpList, ['epid', 'adminst', 'descr', 'sourceinterface', 'multisitebordergwinterface', 'holddowntime', 'hostreach', 'suppressarp', 'mcastgroupl2', 'mcastgroupl3', 'ingressreplprotobgp', 'advertisevmac', 'controllerid', 'cfgsrc', 'encaptype', 'autoremapreplicationservers', 'operstate', 'operstsrcloopbackintf', 'operstmultisitebrdrgwloopbackintf', 'adminstmultisitebrdrgwloopackintf', 'operencaptype', 'mac', 'virtualrtrmac', 'virtualrtrmacreorig', 'learningmode', 'holduptime', 'holddowntimerexpirytime', 'holduptimerexpirytime', 'delayrestoremsbrdrgwexpirytime', 'vpcvipnotified', 'primaryip', 'secondaryip', 'multisitebrdrgwintfip'], name, value)


                class PeersItems(Entity):
                    """
                    
                    
                    .. attribute:: st_ir_peer_items
                    
                    	
                    	**type**\:  :py:class:`StIrPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems>`
                    
                    .. attribute:: dyn_ir_peer_items
                    
                    	
                    	**type**\:  :py:class:`DynIrPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems>`
                    
                    .. attribute:: dy_peer_items
                    
                    	
                    	**type**\:  :py:class:`DyPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems>`
                    
                    .. attribute:: st_peer_items
                    
                    	
                    	**type**\:  :py:class:`StPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EpsItems.EpIdItems.EpList.PeersItems, self).__init__()

                        self.yang_name = "peers-items"
                        self.yang_parent_name = "Ep-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("st_ir_peer-items", ("st_ir_peer_items", System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems)), ("dyn_ir_peer-items", ("dyn_ir_peer_items", System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems)), ("dy_peer-items", ("dy_peer_items", System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems)), ("st_peer-items", ("st_peer_items", System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems))])
                        self._leafs = OrderedDict()

                        self.st_ir_peer_items = System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems()
                        self.st_ir_peer_items.parent = self
                        self._children_name_map["st_ir_peer_items"] = "st_ir_peer-items"

                        self.dyn_ir_peer_items = System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems()
                        self.dyn_ir_peer_items.parent = self
                        self._children_name_map["dyn_ir_peer_items"] = "dyn_ir_peer-items"

                        self.dy_peer_items = System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems()
                        self.dy_peer_items.parent = self
                        self._children_name_map["dy_peer_items"] = "dy_peer-items"

                        self.st_peer_items = System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems()
                        self.st_peer_items.parent = self
                        self._children_name_map["st_peer_items"] = "st_peer-items"
                        self._segment_path = lambda: "peers-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems, [], name, value)


                    class StIrPeerItems(Entity):
                        """
                        
                        
                        .. attribute:: stirpeer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`StIRPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems, self).__init__()

                            self.yang_name = "st_ir_peer-items"
                            self.yang_parent_name = "peers-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("StIRPeer-list", ("stirpeer_list", System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList))])
                            self._leafs = OrderedDict()

                            self.stirpeer_list = YList(self)
                            self._segment_path = lambda: "st_ir_peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems, [], name, value)


                        class StIRPeerList(Entity):
                            """
                            
                            
                            .. attribute:: ip  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	Indicates the NVE Peer Up or Down state
                            	**type**\:  :py:class:`NvoPeerStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoPeerStateT>`
                            
                            	**config**\: False
                            
                            .. attribute:: upstatetransitionts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cntrs_items
                            
                            	
                            	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList.CntrsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList, self).__init__()

                                self.yang_name = "StIRPeer-list"
                                self.yang_parent_name = "st_ir_peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['ip']
                                self._child_classes = OrderedDict([("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList.CntrsItems))])
                                self._leafs = OrderedDict([
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoPeerStateT', '')])),
                                    ('upstatetransitionts', (YLeaf(YType.str, 'upStateTransitionTs'), ['str'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.ip = None
                                self.state = None
                                self.upstatetransitionts = None
                                self.createts = None

                                self.cntrs_items = System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList.CntrsItems()
                                self.cntrs_items.parent = self
                                self._children_name_map["cntrs_items"] = "cntrs-items"
                                self._segment_path = lambda: "StIRPeer-list" + "[ip='" + str(self.ip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList, ['ip', 'state', 'upstatetransitionts', 'createts'], name, value)


                            class CntrsItems(Entity):
                                """
                                
                                
                                .. attribute:: txucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList.CntrsItems, self).__init__()

                                    self.yang_name = "cntrs-items"
                                    self.yang_parent_name = "StIRPeer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                                        ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                                        ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                                        ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                                        ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                                        ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                                        ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                                        ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                                    ])
                                    self.txucastpkts = None
                                    self.txucastbytes = None
                                    self.txmcastpkts = None
                                    self.txmcastbytes = None
                                    self.rxucastpkts = None
                                    self.rxucastbytes = None
                                    self.rxmcastpkts = None
                                    self.rxmcastbytes = None
                                    self._segment_path = lambda: "cntrs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StIrPeerItems.StIRPeerList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)





                    class DynIrPeerItems(Entity):
                        """
                        
                        
                        .. attribute:: dyirpeer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DyIRPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems, self).__init__()

                            self.yang_name = "dyn_ir_peer-items"
                            self.yang_parent_name = "peers-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DyIRPeer-list", ("dyirpeer_list", System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList))])
                            self._leafs = OrderedDict()

                            self.dyirpeer_list = YList(self)
                            self._segment_path = lambda: "dyn_ir_peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems, [], name, value)


                        class DyIRPeerList(Entity):
                            """
                            
                            
                            .. attribute:: ip  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	Indicates the NVE Peer Up or Down state
                            	**type**\:  :py:class:`NvoPeerStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoPeerStateT>`
                            
                            	**config**\: False
                            
                            .. attribute:: upstatetransitionts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cntrs_items
                            
                            	
                            	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList.CntrsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList, self).__init__()

                                self.yang_name = "DyIRPeer-list"
                                self.yang_parent_name = "dyn_ir_peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['ip']
                                self._child_classes = OrderedDict([("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList.CntrsItems))])
                                self._leafs = OrderedDict([
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoPeerStateT', '')])),
                                    ('upstatetransitionts', (YLeaf(YType.str, 'upStateTransitionTs'), ['str'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.ip = None
                                self.state = None
                                self.upstatetransitionts = None
                                self.createts = None

                                self.cntrs_items = System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList.CntrsItems()
                                self.cntrs_items.parent = self
                                self._children_name_map["cntrs_items"] = "cntrs-items"
                                self._segment_path = lambda: "DyIRPeer-list" + "[ip='" + str(self.ip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList, ['ip', 'state', 'upstatetransitionts', 'createts'], name, value)


                            class CntrsItems(Entity):
                                """
                                
                                
                                .. attribute:: txucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList.CntrsItems, self).__init__()

                                    self.yang_name = "cntrs-items"
                                    self.yang_parent_name = "DyIRPeer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                                        ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                                        ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                                        ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                                        ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                                        ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                                        ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                                        ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                                    ])
                                    self.txucastpkts = None
                                    self.txucastbytes = None
                                    self.txmcastpkts = None
                                    self.txmcastbytes = None
                                    self.rxucastpkts = None
                                    self.rxucastbytes = None
                                    self.rxmcastpkts = None
                                    self.rxmcastbytes = None
                                    self._segment_path = lambda: "cntrs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DynIrPeerItems.DyIRPeerList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)





                    class DyPeerItems(Entity):
                        """
                        
                        
                        .. attribute:: dypeer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DyPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems, self).__init__()

                            self.yang_name = "dy_peer-items"
                            self.yang_parent_name = "peers-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DyPeer-list", ("dypeer_list", System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList))])
                            self._leafs = OrderedDict()

                            self.dypeer_list = YList(self)
                            self._segment_path = lambda: "dy_peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems, [], name, value)


                        class DyPeerList(Entity):
                            """
                            
                            
                            .. attribute:: ip  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	Indicates the NVE Peer Up or Down state
                            	**type**\:  :py:class:`NvoPeerStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoPeerStateT>`
                            
                            	**config**\: False
                            
                            .. attribute:: upstatetransitionts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mac
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: firstvni
                            
                            	Indicates the first VNI on which the NVE peer was learnt
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cntrs_items
                            
                            	
                            	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList.CntrsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList, self).__init__()

                                self.yang_name = "DyPeer-list"
                                self.yang_parent_name = "dy_peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['ip']
                                self._child_classes = OrderedDict([("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList.CntrsItems))])
                                self._leafs = OrderedDict([
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoPeerStateT', '')])),
                                    ('upstatetransitionts', (YLeaf(YType.str, 'upStateTransitionTs'), ['str'])),
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('firstvni', (YLeaf(YType.uint32, 'firstVNI'), ['int'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.ip = None
                                self.state = None
                                self.upstatetransitionts = None
                                self.mac = None
                                self.firstvni = None
                                self.createts = None

                                self.cntrs_items = System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList.CntrsItems()
                                self.cntrs_items.parent = self
                                self._children_name_map["cntrs_items"] = "cntrs-items"
                                self._segment_path = lambda: "DyPeer-list" + "[ip='" + str(self.ip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList, ['ip', 'state', 'upstatetransitionts', 'mac', 'firstvni', 'createts'], name, value)


                            class CntrsItems(Entity):
                                """
                                
                                
                                .. attribute:: txucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList.CntrsItems, self).__init__()

                                    self.yang_name = "cntrs-items"
                                    self.yang_parent_name = "DyPeer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                                        ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                                        ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                                        ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                                        ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                                        ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                                        ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                                        ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                                    ])
                                    self.txucastpkts = None
                                    self.txucastbytes = None
                                    self.txmcastpkts = None
                                    self.txmcastbytes = None
                                    self.rxucastpkts = None
                                    self.rxucastbytes = None
                                    self.rxmcastpkts = None
                                    self.rxmcastbytes = None
                                    self._segment_path = lambda: "cntrs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.DyPeerItems.DyPeerList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)





                    class StPeerItems(Entity):
                        """
                        
                        
                        .. attribute:: stpeer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`StPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems, self).__init__()

                            self.yang_name = "st_peer-items"
                            self.yang_parent_name = "peers-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("StPeer-list", ("stpeer_list", System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList))])
                            self._leafs = OrderedDict()

                            self.stpeer_list = YList(self)
                            self._segment_path = lambda: "st_peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems, [], name, value)


                        class StPeerList(Entity):
                            """
                            
                            
                            .. attribute:: ip  (key)
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: type
                            
                            	NVO Peer type (mcast/physical)
                            	**type**\: str
                            
                            .. attribute:: peerid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: state
                            
                            	Indicates the NVE Peer Up or Down state
                            	**type**\:  :py:class:`NvoPeerStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoPeerStateT>`
                            
                            	**config**\: False
                            
                            .. attribute:: upstatetransitionts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mac
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: firstvni
                            
                            	Indicates the first VNI on which the NVE peer was learnt
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cntrs_items
                            
                            	
                            	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList.CntrsItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList, self).__init__()

                                self.yang_name = "StPeer-list"
                                self.yang_parent_name = "st_peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['ip']
                                self._child_classes = OrderedDict([("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList.CntrsItems))])
                                self._leafs = OrderedDict([
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                    ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                    ('peerid', (YLeaf(YType.uint32, 'peerId'), ['int'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoPeerStateT', '')])),
                                    ('upstatetransitionts', (YLeaf(YType.str, 'upStateTransitionTs'), ['str'])),
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('firstvni', (YLeaf(YType.uint32, 'firstVNI'), ['int'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.ip = None
                                self.type = None
                                self.peerid = None
                                self.state = None
                                self.upstatetransitionts = None
                                self.mac = None
                                self.firstvni = None
                                self.createts = None

                                self.cntrs_items = System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList.CntrsItems()
                                self.cntrs_items.parent = self
                                self._children_name_map["cntrs_items"] = "cntrs-items"
                                self._segment_path = lambda: "StPeer-list" + "[ip='" + str(self.ip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList, ['ip', 'type', 'peerid', 'state', 'upstatetransitionts', 'mac', 'firstvni', 'createts'], name, value)


                            class CntrsItems(Entity):
                                """
                                
                                
                                .. attribute:: txucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList.CntrsItems, self).__init__()

                                    self.yang_name = "cntrs-items"
                                    self.yang_parent_name = "StPeer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                                        ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                                        ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                                        ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                                        ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                                        ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                                        ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                                        ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                                    ])
                                    self.txucastpkts = None
                                    self.txucastbytes = None
                                    self.txmcastpkts = None
                                    self.txmcastbytes = None
                                    self.rxucastpkts = None
                                    self.rxucastbytes = None
                                    self.rxmcastpkts = None
                                    self.rxmcastbytes = None
                                    self._segment_path = lambda: "cntrs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.PeersItems.StPeerItems.StPeerList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)






                class NwsItems(Entity):
                    """
                    
                    
                    .. attribute:: vni_items
                    
                    	
                    	**type**\:  :py:class:`VniItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VniItems>`
                    
                    .. attribute:: opervni_items
                    
                    	
                    	**type**\:  :py:class:`OpervniItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems>`
                    
                    .. attribute:: vnis_items
                    
                    	
                    	**type**\:  :py:class:`VnisItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EpsItems.EpIdItems.EpList.NwsItems, self).__init__()

                        self.yang_name = "nws-items"
                        self.yang_parent_name = "Ep-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("vni-items", ("vni_items", System.EpsItems.EpIdItems.EpList.NwsItems.VniItems)), ("opervni-items", ("opervni_items", System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems)), ("vnis-items", ("vnis_items", System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems))])
                        self._leafs = OrderedDict()

                        self.vni_items = System.EpsItems.EpIdItems.EpList.NwsItems.VniItems()
                        self.vni_items.parent = self
                        self._children_name_map["vni_items"] = "vni-items"

                        self.opervni_items = System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems()
                        self.opervni_items.parent = self
                        self._children_name_map["opervni_items"] = "opervni-items"

                        self.vnis_items = System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems()
                        self.vnis_items.parent = self
                        self._children_name_map["vnis_items"] = "vnis-items"
                        self._segment_path = lambda: "nws-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems, [], name, value)


                    class VniItems(Entity):
                        """
                        
                        
                        .. attribute:: nw_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NwList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems, self).__init__()

                            self.yang_name = "vni-items"
                            self.yang_parent_name = "nws-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Nw-list", ("nw_list", System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList))])
                            self._leafs = OrderedDict()

                            self.nw_list = YList(self)
                            self._segment_path = lambda: "vni-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems, [], name, value)


                        class NwList(Entity):
                            """
                            
                            
                            .. attribute:: vni  (key)
                            
                            	Configure Virtual Network ID
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            .. attribute:: suppressarp
                            
                            	Enable or disable ARP suppression for VNI(s)
                            	**type**\:  :py:class:`NvoSuppressARPT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoSuppressARPT>`
                            
                            .. attribute:: mcastgroup
                            
                            	Configures multicast group address for VNI(s)
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: associatevrfflag
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: islegacymode
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: multisiteingrepl
                            
                            	Enable or disable Multisite Ingress Replication for VNI(s)
                            	**type**\:  :py:class:`NvoMultisiteIngReplStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteIngReplStateT>`
                            
                            .. attribute:: cfgsrc
                            
                            	Internal system property. Not intended for external use
                            	**type**\:  :py:class:`NvoCfgSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoCfgSrcT>`
                            
                            .. attribute:: ingrepl_items
                            
                            	
                            	**type**\:  :py:class:`IngReplItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList, self).__init__()

                                self.yang_name = "Nw-list"
                                self.yang_parent_name = "vni-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vni']
                                self._child_classes = OrderedDict([("IngRepl-items", ("ingrepl_items", System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems))])
                                self._leafs = OrderedDict([
                                    ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                    ('suppressarp', (YLeaf(YType.enumeration, 'suppressARP'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoSuppressARPT', '')])),
                                    ('mcastgroup', (YLeaf(YType.str, 'mcastGroup'), ['str','str'])),
                                    ('associatevrfflag', (YLeaf(YType.boolean, 'associateVrfFlag'), ['bool'])),
                                    ('islegacymode', (YLeaf(YType.boolean, 'isLegacyMode'), ['bool'])),
                                    ('multisiteingrepl', (YLeaf(YType.enumeration, 'multisiteIngRepl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteIngReplStateT', '')])),
                                    ('cfgsrc', (YLeaf(YType.enumeration, 'cfgSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoCfgSrcT', '')])),
                                ])
                                self.vni = None
                                self.suppressarp = None
                                self.mcastgroup = None
                                self.associatevrfflag = None
                                self.islegacymode = None
                                self.multisiteingrepl = None
                                self.cfgsrc = None

                                self.ingrepl_items = System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems()
                                self.ingrepl_items.parent = self
                                self._children_name_map["ingrepl_items"] = "IngRepl-items"
                                self._segment_path = lambda: "Nw-list" + "[vni='" + str(self.vni) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList, ['vni', 'suppressarp', 'mcastgroup', 'associatevrfflag', 'islegacymode', 'multisiteingrepl', 'cfgsrc'], name, value)


                            class IngReplItems(Entity):
                                """
                                
                                
                                .. attribute:: proto
                                
                                	Configure VxLAN Ingress Replication mode
                                	**type**\:  :py:class:`NvoIngReplProtoT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoIngReplProtoT>`
                                
                                .. attribute:: replmode
                                
                                	Replication Mode. For internal use only
                                	**type**\:  :py:class:`NvoReplModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoReplModeT>`
                                
                                .. attribute:: config_st_ir_peer_items
                                
                                	
                                	**type**\:  :py:class:`ConfigStIrPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems, self).__init__()

                                    self.yang_name = "IngRepl-items"
                                    self.yang_parent_name = "Nw-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("config_st_ir_peer-items", ("config_st_ir_peer_items", System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems))])
                                    self._leafs = OrderedDict([
                                        ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoIngReplProtoT', '')])),
                                        ('replmode', (YLeaf(YType.enumeration, 'replMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoReplModeT', '')])),
                                    ])
                                    self.proto = None
                                    self.replmode = None

                                    self.config_st_ir_peer_items = System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems()
                                    self.config_st_ir_peer_items.parent = self
                                    self._children_name_map["config_st_ir_peer_items"] = "config_st_ir_peer-items"
                                    self._segment_path = lambda: "IngRepl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems, ['proto', 'replmode'], name, value)


                                class ConfigStIrPeerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: configstirpeer_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ConfigStIRPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems, self).__init__()

                                        self.yang_name = "config_st_ir_peer-items"
                                        self.yang_parent_name = "IngRepl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ConfigStIRPeer-list", ("configstirpeer_list", System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList))])
                                        self._leafs = OrderedDict()

                                        self.configstirpeer_list = YList(self)
                                        self._segment_path = lambda: "config_st_ir_peer-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems, [], name, value)


                                    class ConfigStIRPeerList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ip  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList, self).__init__()

                                            self.yang_name = "ConfigStIRPeer-list"
                                            self.yang_parent_name = "config_st_ir_peer-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['ip']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                            ])
                                            self.ip = None
                                            self._segment_path = lambda: "ConfigStIRPeer-list" + "[ip='" + str(self.ip) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VniItems.NwList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList, ['ip'], name, value)







                    class OpervniItems(Entity):
                        """
                        
                        
                        .. attribute:: opernw_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OperNwList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems, self).__init__()

                            self.yang_name = "opervni-items"
                            self.yang_parent_name = "nws-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OperNw-list", ("opernw_list", System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList))])
                            self._leafs = OrderedDict()

                            self.opernw_list = YList(self)
                            self._segment_path = lambda: "opervni-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems, [], name, value)


                        class OperNwList(Entity):
                            """
                            
                            
                            .. attribute:: vni  (key)
                            
                            	Virtual Network ID
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            	**config**\: False
                            
                            .. attribute:: epid
                            
                            	Network Virtualization Overlay endpoint (NVE) ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: opermcastgroup
                            
                            	Indicates the  multicast group address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: opersupprarp
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	Indicates VNI Up or Down state
                            	**type**\:  :py:class:`NvoVniStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoVniStateT>`
                            
                            	**config**\: False
                            
                            .. attribute:: mode
                            
                            	Indicates VNI Host reachability mode
                            	**type**\:  :py:class:`NvoHostLearnModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoHostLearnModeT>`
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	Indicates if VNI is in L2 or L3 type
                            	**type**\:  :py:class:`NvoVniTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoVniTypeT>`
                            
                            	**config**\: False
                            
                            .. attribute:: vlanbd
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cntrs_items
                            
                            	
                            	**type**\:  :py:class:`CntrsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList.CntrsItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList, self).__init__()

                                self.yang_name = "OperNw-list"
                                self.yang_parent_name = "opervni-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vni']
                                self._child_classes = OrderedDict([("cntrs-items", ("cntrs_items", System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList.CntrsItems))])
                                self._leafs = OrderedDict([
                                    ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                    ('epid', (YLeaf(YType.uint32, 'epId'), ['int'])),
                                    ('opermcastgroup', (YLeaf(YType.str, 'operMcastGroup'), ['str','str'])),
                                    ('opersupprarp', (YLeaf(YType.boolean, 'operSupprARP'), ['bool'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoVniStateT', '')])),
                                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoHostLearnModeT', '')])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoVniTypeT', '')])),
                                    ('vlanbd', (YLeaf(YType.str, 'vlanBD'), ['str'])),
                                ])
                                self.vni = None
                                self.epid = None
                                self.opermcastgroup = None
                                self.opersupprarp = None
                                self.state = None
                                self.mode = None
                                self.type = None
                                self.vlanbd = None

                                self.cntrs_items = System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList.CntrsItems()
                                self.cntrs_items.parent = self
                                self._children_name_map["cntrs_items"] = "cntrs-items"
                                self._segment_path = lambda: "OperNw-list" + "[vni='" + str(self.vni) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList, ['vni', 'epid', 'opermcastgroup', 'opersupprarp', 'state', 'mode', 'type', 'vlanbd'], name, value)


                            class CntrsItems(Entity):
                                """
                                
                                
                                .. attribute:: txucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: txmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxucastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rxmcastbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList.CntrsItems, self).__init__()

                                    self.yang_name = "cntrs-items"
                                    self.yang_parent_name = "OperNw-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                                        ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                                        ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                                        ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                                        ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                                        ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                                        ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                                        ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                                    ])
                                    self.txucastpkts = None
                                    self.txucastbytes = None
                                    self.txmcastpkts = None
                                    self.txmcastbytes = None
                                    self.rxucastpkts = None
                                    self.rxucastbytes = None
                                    self.rxmcastpkts = None
                                    self.rxmcastbytes = None
                                    self._segment_path = lambda: "cntrs-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.OpervniItems.OperNwList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)





                    class VnisItems(Entity):
                        """
                        
                        
                        .. attribute:: nwrange_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NwRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems, self).__init__()

                            self.yang_name = "vnis-items"
                            self.yang_parent_name = "nws-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("NwRange-list", ("nwrange_list", System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList))])
                            self._leafs = OrderedDict()

                            self.nwrange_list = YList(self)
                            self._segment_path = lambda: "vnis-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems, [], name, value)


                        class NwRangeList(Entity):
                            """
                            
                            
                            .. attribute:: vnirangemin  (key)
                            
                            	Configures the minimum value for the VNI range
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            .. attribute:: vnirangemax  (key)
                            
                            	Configures the maximum value for the VNI range
                            	**type**\: int
                            
                            	**range:** 1..16777215
                            
                            .. attribute:: ismcastrange
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: suppressarp
                            
                            	Enable or disable ARP suppression for VNI(s)
                            	**type**\:  :py:class:`NvoSuppressARPT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoSuppressARPT>`
                            
                            .. attribute:: mcastgroup
                            
                            	Configures multicast group address for VNI(s)
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: associatevrfflag
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: islegacymode
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: multisiteingrepl
                            
                            	Enable or disable Multisite Ingress Replication for VNI(s)
                            	**type**\:  :py:class:`NvoMultisiteIngReplStateT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoMultisiteIngReplStateT>`
                            
                            .. attribute:: cfgsrc
                            
                            	Internal system property. Not intended for external use
                            	**type**\:  :py:class:`NvoCfgSrcT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoCfgSrcT>`
                            
                            .. attribute:: ingrepl_items
                            
                            	
                            	**type**\:  :py:class:`IngReplItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList, self).__init__()

                                self.yang_name = "NwRange-list"
                                self.yang_parent_name = "vnis-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vnirangemin','vnirangemax']
                                self._child_classes = OrderedDict([("IngRepl-items", ("ingrepl_items", System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems))])
                                self._leafs = OrderedDict([
                                    ('vnirangemin', (YLeaf(YType.uint32, 'vniRangeMin'), ['int'])),
                                    ('vnirangemax', (YLeaf(YType.uint32, 'vniRangeMax'), ['int'])),
                                    ('ismcastrange', (YLeaf(YType.boolean, 'isMcastRange'), ['bool'])),
                                    ('suppressarp', (YLeaf(YType.enumeration, 'suppressARP'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoSuppressARPT', '')])),
                                    ('mcastgroup', (YLeaf(YType.str, 'mcastGroup'), ['str','str'])),
                                    ('associatevrfflag', (YLeaf(YType.boolean, 'associateVrfFlag'), ['bool'])),
                                    ('islegacymode', (YLeaf(YType.boolean, 'isLegacyMode'), ['bool'])),
                                    ('multisiteingrepl', (YLeaf(YType.enumeration, 'multisiteIngRepl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoMultisiteIngReplStateT', '')])),
                                    ('cfgsrc', (YLeaf(YType.enumeration, 'cfgSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoCfgSrcT', '')])),
                                ])
                                self.vnirangemin = None
                                self.vnirangemax = None
                                self.ismcastrange = None
                                self.suppressarp = None
                                self.mcastgroup = None
                                self.associatevrfflag = None
                                self.islegacymode = None
                                self.multisiteingrepl = None
                                self.cfgsrc = None

                                self.ingrepl_items = System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems()
                                self.ingrepl_items.parent = self
                                self._children_name_map["ingrepl_items"] = "IngRepl-items"
                                self._segment_path = lambda: "NwRange-list" + "[vniRangeMin='" + str(self.vnirangemin) + "']" + "[vniRangeMax='" + str(self.vnirangemax) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList, ['vnirangemin', 'vnirangemax', 'ismcastrange', 'suppressarp', 'mcastgroup', 'associatevrfflag', 'islegacymode', 'multisiteingrepl', 'cfgsrc'], name, value)


                            class IngReplItems(Entity):
                                """
                                
                                
                                .. attribute:: proto
                                
                                	Configure VxLAN Ingress Replication mode
                                	**type**\:  :py:class:`NvoIngReplProtoT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoIngReplProtoT>`
                                
                                .. attribute:: replmode
                                
                                	Replication Mode. For internal use only
                                	**type**\:  :py:class:`NvoReplModeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NvoReplModeT>`
                                
                                .. attribute:: config_st_ir_peer_items
                                
                                	
                                	**type**\:  :py:class:`ConfigStIrPeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems, self).__init__()

                                    self.yang_name = "IngRepl-items"
                                    self.yang_parent_name = "NwRange-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("config_st_ir_peer-items", ("config_st_ir_peer_items", System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems))])
                                    self._leafs = OrderedDict([
                                        ('proto', (YLeaf(YType.enumeration, 'proto'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoIngReplProtoT', '')])),
                                        ('replmode', (YLeaf(YType.enumeration, 'replMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NvoReplModeT', '')])),
                                    ])
                                    self.proto = None
                                    self.replmode = None

                                    self.config_st_ir_peer_items = System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems()
                                    self.config_st_ir_peer_items.parent = self
                                    self._children_name_map["config_st_ir_peer_items"] = "config_st_ir_peer-items"
                                    self._segment_path = lambda: "IngRepl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems, ['proto', 'replmode'], name, value)


                                class ConfigStIrPeerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: configstirpeer_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ConfigStIRPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems, self).__init__()

                                        self.yang_name = "config_st_ir_peer-items"
                                        self.yang_parent_name = "IngRepl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ConfigStIRPeer-list", ("configstirpeer_list", System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList))])
                                        self._leafs = OrderedDict()

                                        self.configstirpeer_list = YList(self)
                                        self._segment_path = lambda: "config_st_ir_peer-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems, [], name, value)


                                    class ConfigStIRPeerList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ip  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList, self).__init__()

                                            self.yang_name = "ConfigStIRPeer-list"
                                            self.yang_parent_name = "config_st_ir_peer-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['ip']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                            ])
                                            self.ip = None
                                            self._segment_path = lambda: "ConfigStIRPeer-list" + "[ip='" + str(self.ip) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.EpsItems.EpIdItems.EpList.NwsItems.VnisItems.NwRangeList.IngReplItems.ConfigStIrPeerItems.ConfigStIRPeerList, ['ip'], name, value)








                class CntrsItems(Entity):
                    """
                    
                    
                    .. attribute:: txucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txucastbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txmcastbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxucastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxucastbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxmcastpkts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxmcastbytes
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EpsItems.EpIdItems.EpList.CntrsItems, self).__init__()

                        self.yang_name = "cntrs-items"
                        self.yang_parent_name = "Ep-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('txucastpkts', (YLeaf(YType.uint64, 'txUcastpkts'), ['int'])),
                            ('txucastbytes', (YLeaf(YType.uint64, 'txUcastbytes'), ['int'])),
                            ('txmcastpkts', (YLeaf(YType.uint64, 'txMcastpkts'), ['int'])),
                            ('txmcastbytes', (YLeaf(YType.uint64, 'txMcastbytes'), ['int'])),
                            ('rxucastpkts', (YLeaf(YType.uint64, 'rxUcastpkts'), ['int'])),
                            ('rxucastbytes', (YLeaf(YType.uint64, 'rxUcastbytes'), ['int'])),
                            ('rxmcastpkts', (YLeaf(YType.uint64, 'rxMcastpkts'), ['int'])),
                            ('rxmcastbytes', (YLeaf(YType.uint64, 'rxMcastbytes'), ['int'])),
                        ])
                        self.txucastpkts = None
                        self.txucastbytes = None
                        self.txmcastpkts = None
                        self.txmcastbytes = None
                        self.rxucastpkts = None
                        self.rxucastbytes = None
                        self.rxmcastpkts = None
                        self.rxmcastbytes = None
                        self._segment_path = lambda: "cntrs-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.CntrsItems, ['txucastpkts', 'txucastbytes', 'txmcastpkts', 'txmcastbytes', 'rxucastpkts', 'rxucastbytes', 'rxmcastpkts', 'rxmcastbytes'], name, value)



                class RsoperSourceInterfaceItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.EpsItems.EpIdItems.EpList.RsoperSourceInterfaceItems, self).__init__()

                        self.yang_name = "rsoperSourceInterface-items"
                        self.yang_parent_name = "Ep-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rsoperSourceInterface-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.EpsItems.EpIdItems.EpList.RsoperSourceInterfaceItems, ['tdn', 'tcl'], name, value)






    class CtxItems(Entity):
        """
        
        
        .. attribute:: ctx_list
        
        	
        	**type**\: list of  		 :py:class:`CtxList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CtxItems, self).__init__()

            self.yang_name = "ctx-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Ctx-list", ("ctx_list", System.CtxItems.CtxList))])
            self._leafs = OrderedDict()

            self.ctx_list = YList(self)
            self._segment_path = lambda: "ctx-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CtxItems, [], name, value)


        class CtxList(Entity):
            """
            
            
            .. attribute:: encap  (key)
            
            	
            	**type**\: str
            
            .. attribute:: pcenfpref
            
            	Policy Control Enforcement
            	**type**\:  :py:class:`FvPcEnfPref <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FvPcEnfPref>`
            
            .. attribute:: type
            
            	Type
            	**type**\:  :py:class:`L3CtxT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3CtxT>`
            
            .. attribute:: pctag
            
            	PC Tag
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: mgmtpctag
            
            	Management PC Tag
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: resourceid
            
            	VRF ID
            	**type**\: int
            
            	**range:** 1..65535
            
            	**config**\: False
            
            .. attribute:: id
            
            	VRF ID
            	**type**\: int
            
            	**range:** 1..65535
            
            	**config**\: False
            
            .. attribute:: descr
            
            	
            	**type**\: str
            
            .. attribute:: scope
            
            	Scope
            	**type**\: int
            
            	**range:** 1..16777215
            
            	**config**\: False
            
            .. attribute:: ctrlrid
            
            	Controller ID
            	**type**\: int
            
            	**range:** 0..16
            
            .. attribute:: seclbl
            
            	Security Label
            	**type**\: int
            
            	**range:** 1..4095
            
            	**config**\: False
            
            .. attribute:: adminstate
            
            	Admin State
            	**type**\:  :py:class:`L3VrfAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfAdminState>`
            
            .. attribute:: operstate
            
            	Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: operstqual
            
            	Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: oldoperstqual
            
            	Old Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: gsdbctx
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: pending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tibvalid
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tibid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: v4tibname
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: v4tibpending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tiboperstate
            
            	IPV4 Table Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: v4tiboperstqual
            
            	IPV4 Table Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v4tiboldoperstqual
            
            	IPV4 Old Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v6tibvalid
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v6tibid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: v6tibname
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: v6tibpending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v6tiboperstate
            
            	IPV6 Table Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: v6tiboperstqual
            
            	IPV6 Table Operational State Qualifer
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v6tiboldoperstqual
            
            	IPV6 Table Operational State Qualifer
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: createts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: lastchgdts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bgprd
            
            	BGP Route Distinguisher
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bgprddisp
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: prtclbmp
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: oui
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: vpnid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: pfx_items
            
            	
            	**type**\:  :py:class:`PfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.PfxItems>`
            
            .. attribute:: db_items
            
            	
            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems>`
            
            .. attribute:: mgmt_items
            
            	
            	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems>`
            
            .. attribute:: rttenconn_items
            
            	
            	**type**\:  :py:class:`RttenConnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.RttenConnItems>`
            
            .. attribute:: rsctxtoepp_items
            
            	
            	**type**\:  :py:class:`RsctxToEpPItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.RsctxToEpPItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CtxItems.CtxList, self).__init__()

                self.yang_name = "Ctx-list"
                self.yang_parent_name = "ctx-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['encap']
                self._child_classes = OrderedDict([("pfx-items", ("pfx_items", System.CtxItems.CtxList.PfxItems)), ("db-items", ("db_items", System.CtxItems.CtxList.DbItems)), ("mgmt-items", ("mgmt_items", System.CtxItems.CtxList.MgmtItems)), ("rttenConn-items", ("rttenconn_items", System.CtxItems.CtxList.RttenConnItems)), ("rsctxToEpP-items", ("rsctxtoepp_items", System.CtxItems.CtxList.RsctxToEpPItems))])
                self._leafs = OrderedDict([
                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                    ('pcenfpref', (YLeaf(YType.enumeration, 'pcEnfPref'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FvPcEnfPref', '')])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3CtxT', '')])),
                    ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                    ('mgmtpctag', (YLeaf(YType.uint32, 'mgmtPcTag'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('resourceid', (YLeaf(YType.uint16, 'resourceId'), ['int'])),
                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('scope', (YLeaf(YType.uint32, 'scope'), ['int'])),
                    ('ctrlrid', (YLeaf(YType.uint32, 'ctrlrId'), ['int'])),
                    ('seclbl', (YLeaf(YType.uint16, 'secLbl'), ['int'])),
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfAdminState', '')])),
                    ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('oldoperstqual', (YLeaf(YType.enumeration, 'oldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('gsdbctx', (YLeaf(YType.uint32, 'gsdbCtx'), ['int'])),
                    ('pending', (YLeaf(YType.boolean, 'pending'), ['bool'])),
                    ('v4tibvalid', (YLeaf(YType.boolean, 'v4TibValid'), ['bool'])),
                    ('v4tibid', (YLeaf(YType.uint32, 'v4TibId'), ['int'])),
                    ('v4tibname', (YLeaf(YType.str, 'v4TibName'), ['str'])),
                    ('v4tibpending', (YLeaf(YType.boolean, 'v4TibPending'), ['bool'])),
                    ('v4tiboperstate', (YLeaf(YType.enumeration, 'v4TibOperState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('v4tiboperstqual', (YLeaf(YType.enumeration, 'v4TibOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v4tiboldoperstqual', (YLeaf(YType.enumeration, 'v4TibOldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v6tibvalid', (YLeaf(YType.boolean, 'v6TibValid'), ['bool'])),
                    ('v6tibid', (YLeaf(YType.uint32, 'v6TibId'), ['int'])),
                    ('v6tibname', (YLeaf(YType.str, 'v6TibName'), ['str'])),
                    ('v6tibpending', (YLeaf(YType.boolean, 'v6TibPending'), ['bool'])),
                    ('v6tiboperstate', (YLeaf(YType.enumeration, 'v6TibOperState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('v6tiboperstqual', (YLeaf(YType.enumeration, 'v6TibOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v6tiboldoperstqual', (YLeaf(YType.enumeration, 'v6TibOldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                    ('lastchgdts', (YLeaf(YType.str, 'lastChgdTs'), ['str'])),
                    ('bgprd', (YLeaf(YType.str, 'bgpRd'), ['str'])),
                    ('bgprddisp', (YLeaf(YType.str, 'bgpRdDisp'), ['str'])),
                    ('prtclbmp', (YLeaf(YType.uint32, 'prtclBmp'), ['int'])),
                    ('oui', (YLeaf(YType.uint32, 'oui'), ['int'])),
                    ('vpnid', (YLeaf(YType.uint32, 'vpnId'), ['int'])),
                ])
                self.encap = None
                self.pcenfpref = None
                self.type = None
                self.pctag = None
                self.mgmtpctag = None
                self.name = None
                self.resourceid = None
                self.id = None
                self.descr = None
                self.scope = None
                self.ctrlrid = None
                self.seclbl = None
                self.adminstate = None
                self.operstate = None
                self.operstqual = None
                self.oldoperstqual = None
                self.gsdbctx = None
                self.pending = None
                self.v4tibvalid = None
                self.v4tibid = None
                self.v4tibname = None
                self.v4tibpending = None
                self.v4tiboperstate = None
                self.v4tiboperstqual = None
                self.v4tiboldoperstqual = None
                self.v6tibvalid = None
                self.v6tibid = None
                self.v6tibname = None
                self.v6tibpending = None
                self.v6tiboperstate = None
                self.v6tiboperstqual = None
                self.v6tiboldoperstqual = None
                self.createts = None
                self.lastchgdts = None
                self.bgprd = None
                self.bgprddisp = None
                self.prtclbmp = None
                self.oui = None
                self.vpnid = None

                self.pfx_items = System.CtxItems.CtxList.PfxItems()
                self.pfx_items.parent = self
                self._children_name_map["pfx_items"] = "pfx-items"

                self.db_items = System.CtxItems.CtxList.DbItems()
                self.db_items.parent = self
                self._children_name_map["db_items"] = "db-items"

                self.mgmt_items = System.CtxItems.CtxList.MgmtItems()
                self.mgmt_items.parent = self
                self._children_name_map["mgmt_items"] = "mgmt-items"

                self.rttenconn_items = System.CtxItems.CtxList.RttenConnItems()
                self.rttenconn_items.parent = self
                self._children_name_map["rttenconn_items"] = "rttenConn-items"

                self.rsctxtoepp_items = System.CtxItems.CtxList.RsctxToEpPItems()
                self.rsctxtoepp_items.parent = self
                self._children_name_map["rsctxtoepp_items"] = "rsctxToEpP-items"
                self._segment_path = lambda: "Ctx-list" + "[encap='" + str(self.encap) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ctx-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CtxItems.CtxList, ['encap', 'pcenfpref', 'type', 'pctag', 'mgmtpctag', 'name', 'resourceid', 'id', 'descr', 'scope', 'ctrlrid', 'seclbl', 'adminstate', 'operstate', 'operstqual', 'oldoperstqual', 'gsdbctx', 'pending', 'v4tibvalid', 'v4tibid', 'v4tibname', 'v4tibpending', 'v4tiboperstate', 'v4tiboperstqual', 'v4tiboldoperstqual', 'v6tibvalid', 'v6tibid', 'v6tibname', 'v6tibpending', 'v6tiboperstate', 'v6tiboperstqual', 'v6tiboldoperstqual', 'createts', 'lastchgdts', 'bgprd', 'bgprddisp', 'prtclbmp', 'oui', 'vpnid'], name, value)


            class PfxItems(Entity):
                """
                
                
                .. attribute:: pfxentry_list
                
                	
                	**type**\: list of  		 :py:class:`PfxEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.PfxItems.PfxEntryList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtxItems.CtxList.PfxItems, self).__init__()

                    self.yang_name = "pfx-items"
                    self.yang_parent_name = "Ctx-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("PfxEntry-list", ("pfxentry_list", System.CtxItems.CtxList.PfxItems.PfxEntryList))])
                    self._leafs = OrderedDict()

                    self.pfxentry_list = YList(self)
                    self._segment_path = lambda: "pfx-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtxItems.CtxList.PfxItems, [], name, value)


                class PfxEntryList(Entity):
                    """
                    
                    
                    .. attribute:: addr  (key)
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pctag
                    
                    	PC Tag
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`ActrlOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActrlOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CtxItems.CtxList.PfxItems.PfxEntryList, self).__init__()

                        self.yang_name = "PfxEntry-list"
                        self.yang_parent_name = "pfx-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['addr']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                            ('pctag', (YLeaf(YType.uint32, 'pcTag'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActrlOperSt', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.addr = None
                        self.pctag = None
                        self.operst = None
                        self.name = None
                        self.descr = None
                        self._segment_path = lambda: "PfxEntry-list" + "[addr='" + str(self.addr) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CtxItems.CtxList.PfxItems.PfxEntryList, ['addr', 'pctag', 'operst', 'name', 'descr'], name, value)




            class DbItems(Entity):
                """
                
                
                .. attribute:: db_list
                
                	
                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtxItems.CtxList.DbItems, self).__init__()

                    self.yang_name = "db-items"
                    self.yang_parent_name = "Ctx-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.CtxItems.CtxList.DbItems.DbList))])
                    self._leafs = OrderedDict()

                    self.db_list = YList(self)
                    self._segment_path = lambda: "db-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtxItems.CtxList.DbItems, [], name, value)


                class DbList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.MacItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CtxItems.CtxList.DbItems.DbList, self).__init__()

                        self.yang_name = "Db-list"
                        self.yang_parent_name = "db-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("ip-items", ("ip_items", System.CtxItems.CtxList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.CtxItems.CtxList.DbItems.DbList.MacItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.name = None

                        self.ip_items = System.CtxItems.CtxList.DbItems.DbList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.CtxItems.CtxList.DbItems.DbList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"
                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList, ['type', 'name'], name, value)


                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ipep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.DbItems.DbList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList))])
                            self._leafs = OrderedDict()

                            self.ipep_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.IpItems, [], name, value)


                        class IpEpList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: ifid
                            
                            	Path
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Endpoint Properties and State
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rtipeprslttoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtmaceprslttoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                self.yang_name = "IpEp-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ])
                                self.addr = None
                                self.name = None
                                self.ifid = None
                                self.flags = None

                                self.rtipeprslttoipepatt_items = System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                self.rtipeprslttoipepatt_items.parent = self
                                self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                self.rtmaceprslttoipepatt_items = System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                self.rtmaceprslttoipepatt_items.parent = self
                                self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                            class RtIpEpRslttoIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                    self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                    self.yang_parent_name = "IpEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                            class RtMacEpRslttoIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                    self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                    self.yang_parent_name = "IpEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: macep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.DbItems.DbList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList))])
                            self._leafs = OrderedDict()

                            self.macep_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.MacItems, [], name, value)


                        class MacEpList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: ifid
                            
                            	Path
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Endpoint Properties and State
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsmaceptoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                self.yang_name = "MacEp-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.addr = None
                                self.name = None
                                self.ifid = None
                                self.flags = None
                                self.createts = None

                                self.rsmaceptoipepatt_items = System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                self.rsmaceptoipepatt_items.parent = self
                                self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                            class RsmacEpToIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsmaceptoipepatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                    self.yang_name = "rsmacEpToIpEpAtt-items"
                                    self.yang_parent_name = "MacEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsmaceptoipepatt_list = YList(self)
                                    self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                class RsMacEpToIpEpAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                        self.yang_name = "RsMacEpToIpEpAtt-list"
                                        self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.CtxItems.CtxList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








            class MgmtItems(Entity):
                """
                
                
                .. attribute:: rtdmgmtif_list
                
                	
                	**type**\: list of  		 :py:class:`RtdMgmtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtxItems.CtxList.MgmtItems, self).__init__()

                    self.yang_name = "mgmt-items"
                    self.yang_parent_name = "Ctx-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtdMgmtIf-list", ("rtdmgmtif_list", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList))])
                    self._leafs = OrderedDict()

                    self.rtdmgmtif_list = YList(self)
                    self._segment_path = lambda: "mgmt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtxItems.CtxList.MgmtItems, [], name, value)


                class RtdMgmtIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    .. attribute:: rtpseudoif_items
                    
                    	
                    	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems>`
                    
                    .. attribute:: rsrtdmgmtconf_items
                    
                    	
                    	**type**\:  :py:class:`RsrtdMgmtConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList, self).__init__()

                        self.yang_name = "RtdMgmtIf-list"
                        self.yang_parent_name = "mgmt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("rtpseudoIf-items", ("rtpseudoif_items", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems)), ("rsrtdMgmtConf-items", ("rsrtdmgmtconf_items", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.rtpseudoif_items = System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems()
                        self.rtpseudoif_items.parent = self
                        self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                        self.rsrtdmgmtconf_items = System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems()
                        self.rsrtdmgmtconf_items.parent = self
                        self._children_name_map["rsrtdmgmtconf_items"] = "rsrtdMgmtConf-items"

                        self.rtvrfmbr_items = System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "RtdMgmtIf-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class RtpseudoIfItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems, self).__init__()

                            self.yang_name = "rtpseudoIf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtpseudoIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                    class RsrtdMgmtConfItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems, self).__init__()

                            self.yang_name = "rsrtdMgmtConf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self._segment_path = lambda: "rsrtdMgmtConf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CtxItems.CtxList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class RttenConnItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtxItems.CtxList.RttenConnItems, self).__init__()

                    self.yang_name = "rttenConn-items"
                    self.yang_parent_name = "Ctx-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rttenConn-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtxItems.CtxList.RttenConnItems, ['tdn', 'tcl'], name, value)



            class RsctxToEpPItems(Entity):
                """
                
                
                .. attribute:: rsctxtoepp_list
                
                	
                	**type**\: list of  		 :py:class:`RsCtxToEpPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CtxItems.CtxList.RsctxToEpPItems.RsCtxToEpPList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CtxItems.CtxList.RsctxToEpPItems, self).__init__()

                    self.yang_name = "rsctxToEpP-items"
                    self.yang_parent_name = "Ctx-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsCtxToEpP-list", ("rsctxtoepp_list", System.CtxItems.CtxList.RsctxToEpPItems.RsCtxToEpPList))])
                    self._leafs = OrderedDict()

                    self.rsctxtoepp_list = YList(self)
                    self._segment_path = lambda: "rsctxToEpP-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CtxItems.CtxList.RsctxToEpPItems, [], name, value)


                class RsCtxToEpPList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                    
                    	**config**\: False
                    
                    .. attribute:: statequal
                    
                    	State Qualifier
                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                    
                    	**config**\: False
                    
                    .. attribute:: ttype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtype
                    
                    	TBD
                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                    
                    	**config**\: False
                    
                    .. attribute:: forceresolve
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CtxItems.CtxList.RsctxToEpPItems.RsCtxToEpPList, self).__init__()

                        self.yang_name = "RsCtxToEpP-list"
                        self.yang_parent_name = "rsctxToEpP-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self.state = None
                        self.statequal = None
                        self.ttype = None
                        self.rtype = None
                        self.forceresolve = None
                        self._segment_path = lambda: "RsCtxToEpP-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CtxItems.CtxList.RsctxToEpPItems.RsCtxToEpPList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)






    class InstItems(Entity):
        """
        
        
        .. attribute:: inst_list
        
        	
        	**type**\: list of  		 :py:class:`InstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.InstItems, self).__init__()

            self.yang_name = "inst-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Inst-list", ("inst_list", System.InstItems.InstList))])
            self._leafs = OrderedDict()

            self.inst_list = YList(self)
            self._segment_path = lambda: "inst-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.InstItems, [], name, value)


        class InstList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: resourceid
            
            	VRF ID
            	**type**\: int
            
            	**range:** 1..65535
            
            	**config**\: False
            
            .. attribute:: id
            
            	VRF ID
            	**type**\: int
            
            	**range:** 1..65535
            
            	**config**\: False
            
            .. attribute:: encap
            
            	
            	**type**\: str
            
            .. attribute:: descr
            
            	
            	**type**\: str
            
            .. attribute:: scope
            
            	Scope
            	**type**\: int
            
            	**range:** 1..16777215
            
            	**config**\: False
            
            .. attribute:: ctrlrid
            
            	Controller ID
            	**type**\: int
            
            	**range:** 0..16
            
            .. attribute:: seclbl
            
            	Security Label
            	**type**\: int
            
            	**range:** 1..4095
            
            	**config**\: False
            
            .. attribute:: adminstate
            
            	Admin State
            	**type**\:  :py:class:`L3VrfAdminState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfAdminState>`
            
            .. attribute:: operstate
            
            	Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: operstqual
            
            	Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: oldoperstqual
            
            	Old Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: gsdbctx
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: pending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tibvalid
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tibid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: v4tibname
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: v4tibpending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v4tiboperstate
            
            	IPV4 Table Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: v4tiboperstqual
            
            	IPV4 Table Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v4tiboldoperstqual
            
            	IPV4 Old Operational State Qualifier
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v6tibvalid
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v6tibid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: v6tibname
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: v6tibpending
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: v6tiboperstate
            
            	IPV6 Table Operational State
            	**type**\:  :py:class:`L3VrfOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperState>`
            
            	**config**\: False
            
            .. attribute:: v6tiboperstqual
            
            	IPV6 Table Operational State Qualifer
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: v6tiboldoperstqual
            
            	IPV6 Table Operational State Qualifer
            	**type**\:  :py:class:`L3VrfOperStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfOperStateQual>`
            
            	**config**\: False
            
            .. attribute:: createts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: lastchgdts
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bgprd
            
            	BGP Route Distinguisher
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bgprddisp
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: prtclbmp
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: oui
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: vpnid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: tree_items
            
            	
            	**type**\:  :py:class:`TreeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.TreeItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems>`
            
            .. attribute:: db_items
            
            	
            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems>`
            
            .. attribute:: shchp_items
            
            	
            	**type**\:  :py:class:`ShchpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.ShchpItems>`
            
            .. attribute:: mgmt_items
            
            	
            	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems>`
            
            .. attribute:: rsvrfmbr_items
            
            	
            	**type**\:  :py:class:`RsvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.RsvrfMbrItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.InstItems.InstList, self).__init__()

                self.yang_name = "Inst-list"
                self.yang_parent_name = "inst-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name']
                self._child_classes = OrderedDict([("tree-items", ("tree_items", System.InstItems.InstList.TreeItems)), ("dom-items", ("dom_items", System.InstItems.InstList.DomItems)), ("db-items", ("db_items", System.InstItems.InstList.DbItems)), ("shchp-items", ("shchp_items", System.InstItems.InstList.ShchpItems)), ("mgmt-items", ("mgmt_items", System.InstItems.InstList.MgmtItems)), ("rsvrfMbr-items", ("rsvrfmbr_items", System.InstItems.InstList.RsvrfMbrItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('resourceid', (YLeaf(YType.uint16, 'resourceId'), ['int'])),
                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('scope', (YLeaf(YType.uint32, 'scope'), ['int'])),
                    ('ctrlrid', (YLeaf(YType.uint32, 'ctrlrId'), ['int'])),
                    ('seclbl', (YLeaf(YType.uint16, 'secLbl'), ['int'])),
                    ('adminstate', (YLeaf(YType.enumeration, 'adminState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfAdminState', '')])),
                    ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('oldoperstqual', (YLeaf(YType.enumeration, 'oldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('gsdbctx', (YLeaf(YType.uint32, 'gsdbCtx'), ['int'])),
                    ('pending', (YLeaf(YType.boolean, 'pending'), ['bool'])),
                    ('v4tibvalid', (YLeaf(YType.boolean, 'v4TibValid'), ['bool'])),
                    ('v4tibid', (YLeaf(YType.uint32, 'v4TibId'), ['int'])),
                    ('v4tibname', (YLeaf(YType.str, 'v4TibName'), ['str'])),
                    ('v4tibpending', (YLeaf(YType.boolean, 'v4TibPending'), ['bool'])),
                    ('v4tiboperstate', (YLeaf(YType.enumeration, 'v4TibOperState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('v4tiboperstqual', (YLeaf(YType.enumeration, 'v4TibOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v4tiboldoperstqual', (YLeaf(YType.enumeration, 'v4TibOldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v6tibvalid', (YLeaf(YType.boolean, 'v6TibValid'), ['bool'])),
                    ('v6tibid', (YLeaf(YType.uint32, 'v6TibId'), ['int'])),
                    ('v6tibname', (YLeaf(YType.str, 'v6TibName'), ['str'])),
                    ('v6tibpending', (YLeaf(YType.boolean, 'v6TibPending'), ['bool'])),
                    ('v6tiboperstate', (YLeaf(YType.enumeration, 'v6TibOperState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperState', '')])),
                    ('v6tiboperstqual', (YLeaf(YType.enumeration, 'v6TibOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('v6tiboldoperstqual', (YLeaf(YType.enumeration, 'v6TibOldOperStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfOperStateQual', '')])),
                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                    ('lastchgdts', (YLeaf(YType.str, 'lastChgdTs'), ['str'])),
                    ('bgprd', (YLeaf(YType.str, 'bgpRd'), ['str'])),
                    ('bgprddisp', (YLeaf(YType.str, 'bgpRdDisp'), ['str'])),
                    ('prtclbmp', (YLeaf(YType.uint32, 'prtclBmp'), ['int'])),
                    ('oui', (YLeaf(YType.uint32, 'oui'), ['int'])),
                    ('vpnid', (YLeaf(YType.uint32, 'vpnId'), ['int'])),
                ])
                self.name = None
                self.resourceid = None
                self.id = None
                self.encap = None
                self.descr = None
                self.scope = None
                self.ctrlrid = None
                self.seclbl = None
                self.adminstate = None
                self.operstate = None
                self.operstqual = None
                self.oldoperstqual = None
                self.gsdbctx = None
                self.pending = None
                self.v4tibvalid = None
                self.v4tibid = None
                self.v4tibname = None
                self.v4tibpending = None
                self.v4tiboperstate = None
                self.v4tiboperstqual = None
                self.v4tiboldoperstqual = None
                self.v6tibvalid = None
                self.v6tibid = None
                self.v6tibname = None
                self.v6tibpending = None
                self.v6tiboperstate = None
                self.v6tiboperstqual = None
                self.v6tiboldoperstqual = None
                self.createts = None
                self.lastchgdts = None
                self.bgprd = None
                self.bgprddisp = None
                self.prtclbmp = None
                self.oui = None
                self.vpnid = None

                self.tree_items = System.InstItems.InstList.TreeItems()
                self.tree_items.parent = self
                self._children_name_map["tree_items"] = "tree-items"

                self.dom_items = System.InstItems.InstList.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.db_items = System.InstItems.InstList.DbItems()
                self.db_items.parent = self
                self._children_name_map["db_items"] = "db-items"

                self.shchp_items = System.InstItems.InstList.ShchpItems()
                self.shchp_items.parent = self
                self._children_name_map["shchp_items"] = "shchp-items"

                self.mgmt_items = System.InstItems.InstList.MgmtItems()
                self.mgmt_items.parent = self
                self._children_name_map["mgmt_items"] = "mgmt-items"

                self.rsvrfmbr_items = System.InstItems.InstList.RsvrfMbrItems()
                self.rsvrfmbr_items.parent = self
                self._children_name_map["rsvrfmbr_items"] = "rsvrfMbr-items"
                self._segment_path = lambda: "Inst-list" + "[name='" + str(self.name) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/inst-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.InstItems.InstList, ['name', 'resourceid', 'id', 'encap', 'descr', 'scope', 'ctrlrid', 'seclbl', 'adminstate', 'operstate', 'operstqual', 'oldoperstqual', 'gsdbctx', 'pending', 'v4tibvalid', 'v4tibid', 'v4tibname', 'v4tibpending', 'v4tiboperstate', 'v4tiboperstqual', 'v4tiboldoperstqual', 'v6tibvalid', 'v6tibid', 'v6tibname', 'v6tibpending', 'v6tiboperstate', 'v6tiboperstqual', 'v6tiboldoperstqual', 'createts', 'lastchgdts', 'bgprd', 'bgprddisp', 'prtclbmp', 'oui', 'vpnid'], name, value)


            class TreeItems(Entity):
                """
                
                
                .. attribute:: tree_list
                
                	
                	**type**\: list of  		 :py:class:`TreeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.TreeItems.TreeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.TreeItems, self).__init__()

                    self.yang_name = "tree-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Tree-list", ("tree_list", System.InstItems.InstList.TreeItems.TreeList))])
                    self._leafs = OrderedDict()

                    self.tree_list = YList(self)
                    self._segment_path = lambda: "tree-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.TreeItems, [], name, value)


                class TreeList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Tree Id
                    	**type**\: int
                    
                    	**range:** 0..12
                    
                    	**config**\: False
                    
                    .. attribute:: root
                    
                    	Root
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Adminitrative State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.TreeItems.TreeList, self).__init__()

                        self.yang_name = "Tree-list"
                        self.yang_parent_name = "tree-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                            ('root', (YLeaf(YType.str, 'root'), ['str','str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.root = None
                        self.adminst = None
                        self.name = None
                        self._segment_path = lambda: "Tree-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.TreeItems.TreeList, ['id', 'root', 'adminst', 'name'], name, value)




            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.InstItems.InstList.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: rd
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: operrd
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: af_items
                    
                    	
                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("af-items", ("af_items", System.InstItems.InstList.DomItems.DomList.AfItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('rd', (YLeaf(YType.str, 'rd'), ['str'])),
                            ('operrd', (YLeaf(YType.str, 'operRd'), ['str'])),
                        ])
                        self.name = None
                        self.rd = None
                        self.operrd = None

                        self.af_items = System.InstItems.InstList.DomItems.DomList.AfItems()
                        self.af_items.parent = self
                        self._children_name_map["af_items"] = "af-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.DomItems.DomList, ['name', 'rd', 'operrd'], name, value)


                    class AfItems(Entity):
                        """
                        
                        
                        .. attribute:: domaf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DomAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.DomItems.DomList.AfItems, self).__init__()

                            self.yang_name = "af-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DomAf-list", ("domaf_list", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList))])
                            self._leafs = OrderedDict()

                            self.domaf_list = YList(self)
                            self._segment_path = lambda: "af-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems, [], name, value)


                        class DomAfList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                            
                            .. attribute:: ctrl_items
                            
                            	
                            	**type**\:  :py:class:`CtrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList, self).__init__()

                                self.yang_name = "DomAf-list"
                                self.yang_parent_name = "af-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("ctrl-items", ("ctrl_items", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                ])
                                self.type = None

                                self.ctrl_items = System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems()
                                self.ctrl_items.parent = self
                                self._children_name_map["ctrl_items"] = "ctrl-items"
                                self._segment_path = lambda: "DomAf-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList, ['type'], name, value)


                            class CtrlItems(Entity):
                                """
                                
                                
                                .. attribute:: afctrl_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AfCtrlList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems, self).__init__()

                                    self.yang_name = "ctrl-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AfCtrl-list", ("afctrl_list", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList))])
                                    self._leafs = OrderedDict()

                                    self.afctrl_list = YList(self)
                                    self._segment_path = lambda: "ctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems, [], name, value)


                                class AfCtrlList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Type
                                    	**type**\:  :py:class:`BgpAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BgpAfT>`
                                    
                                    .. attribute:: rttp_items
                                    
                                    	
                                    	**type**\:  :py:class:`RttpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList, self).__init__()

                                        self.yang_name = "AfCtrl-list"
                                        self.yang_parent_name = "ctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("rttp-items", ("rttp_items", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BgpAfT', '')])),
                                        ])
                                        self.type = None

                                        self.rttp_items = System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems()
                                        self.rttp_items.parent = self
                                        self._children_name_map["rttp_items"] = "rttp-items"
                                        self._segment_path = lambda: "AfCtrl-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList, ['type'], name, value)


                                    class RttpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rttp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RttPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems, self).__init__()

                                            self.yang_name = "rttp-items"
                                            self.yang_parent_name = "AfCtrl-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RttP-list", ("rttp_list", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList))])
                                            self._leafs = OrderedDict()

                                            self.rttp_list = YList(self)
                                            self._segment_path = lambda: "rttp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems, [], name, value)


                                        class RttPList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type  (key)
                                            
                                            	Type
                                            	**type**\:  :py:class:`RtctrlRttPType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRttPType>`
                                            
                                            .. attribute:: operrttauto
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ent_items
                                            
                                            	
                                            	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems>`
                                            
                                            .. attribute:: rtctrlmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RtctrlmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrlmapItems>`
                                            
                                            .. attribute:: rtctrldefmap_items
                                            
                                            	
                                            	**type**\:  :py:class:`RtctrldefmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrldefmapItems>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, self).__init__()

                                                self.yang_name = "RttP-list"
                                                self.yang_parent_name = "rttp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['type']
                                                self._child_classes = OrderedDict([("ent-items", ("ent_items", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems)), ("rtctrlmap-items", ("rtctrlmap_items", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrlmapItems)), ("rtctrldefmap-items", ("rtctrldefmap_items", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrldefmapItems))])
                                                self._leafs = OrderedDict([
                                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRttPType', '')])),
                                                    ('operrttauto', (YLeaf(YType.str, 'operRttAuto'), ['str'])),
                                                ])
                                                self.type = None
                                                self.operrttauto = None

                                                self.ent_items = System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems()
                                                self.ent_items.parent = self
                                                self._children_name_map["ent_items"] = "ent-items"

                                                self.rtctrlmap_items = System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrlmapItems()
                                                self.rtctrlmap_items.parent = self
                                                self._children_name_map["rtctrlmap_items"] = "rtctrlmap-items"

                                                self.rtctrldefmap_items = System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrldefmapItems()
                                                self.rtctrldefmap_items.parent = self
                                                self._children_name_map["rtctrldefmap_items"] = "rtctrldefmap-items"
                                                self._segment_path = lambda: "RttP-list" + "[type='" + str(self.type) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList, ['type', 'operrttauto'], name, value)


                                            class EntItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rttentry_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RttEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList>`
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, self).__init__()

                                                    self.yang_name = "ent-items"
                                                    self.yang_parent_name = "RttP-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RttEntry-list", ("rttentry_list", System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList))])
                                                    self._leafs = OrderedDict()

                                                    self.rttentry_list = YList(self)
                                                    self._segment_path = lambda: "ent-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems, [], name, value)


                                                class RttEntryList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: rtt  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, self).__init__()

                                                        self.yang_name = "RttEntry-list"
                                                        self.yang_parent_name = "ent-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['rtt']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('rtt', (YLeaf(YType.str, 'rtt'), ['str'])),
                                                        ])
                                                        self.rtt = None
                                                        self._segment_path = lambda: "RttEntry-list" + "[rtt='" + str(self.rtt) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.EntItems.RttEntryList, ['rtt'], name, value)




                                            class RtctrlmapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rtmap
                                                
                                                	
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrlmapItems, self).__init__()

                                                    self.yang_name = "rtctrlmap-items"
                                                    self.yang_parent_name = "RttP-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                    ])
                                                    self.rtmap = None
                                                    self._segment_path = lambda: "rtctrlmap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrlmapItems, ['rtmap'], name, value)



                                            class RtctrldefmapItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: pfxlimit
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..2147483647
                                                
                                                	**default value**\: 0
                                                
                                                .. attribute:: allowvpn
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: rtmap
                                                
                                                	
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrldefmapItems, self).__init__()

                                                    self.yang_name = "rtctrldefmap-items"
                                                    self.yang_parent_name = "RttP-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('pfxlimit', (YLeaf(YType.uint32, 'pfxLimit'), ['int'])),
                                                        ('allowvpn', (YLeaf(YType.boolean, 'allowVpn'), ['bool'])),
                                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                    ])
                                                    self.pfxlimit = None
                                                    self.allowvpn = None
                                                    self.rtmap = None
                                                    self._segment_path = lambda: "rtctrldefmap-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.InstItems.InstList.DomItems.DomList.AfItems.DomAfList.CtrlItems.AfCtrlList.RttpItems.RttPList.RtctrldefmapItems, ['pfxlimit', 'allowvpn', 'rtmap'], name, value)











            class DbItems(Entity):
                """
                
                
                .. attribute:: db_list
                
                	
                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.DbItems, self).__init__()

                    self.yang_name = "db-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.InstItems.InstList.DbItems.DbList))])
                    self._leafs = OrderedDict()

                    self.db_list = YList(self)
                    self._segment_path = lambda: "db-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.DbItems, [], name, value)


                class DbList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`EpmDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EpmDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: ip_items
                    
                    	
                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.IpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mac_items
                    
                    	
                    	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.MacItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.DbItems.DbList, self).__init__()

                        self.yang_name = "Db-list"
                        self.yang_parent_name = "db-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("ip-items", ("ip_items", System.InstItems.InstList.DbItems.DbList.IpItems)), ("mac-items", ("mac_items", System.InstItems.InstList.DbItems.DbList.MacItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EpmDbT', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.name = None

                        self.ip_items = System.InstItems.InstList.DbItems.DbList.IpItems()
                        self.ip_items.parent = self
                        self._children_name_map["ip_items"] = "ip-items"

                        self.mac_items = System.InstItems.InstList.DbItems.DbList.MacItems()
                        self.mac_items.parent = self
                        self._children_name_map["mac_items"] = "mac-items"
                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.DbItems.DbList, ['type', 'name'], name, value)


                    class IpItems(Entity):
                        """
                        
                        
                        .. attribute:: ipep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IpEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.DbItems.DbList.IpItems, self).__init__()

                            self.yang_name = "ip-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IpEp-list", ("ipep_list", System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList))])
                            self._leafs = OrderedDict()

                            self.ipep_list = YList(self)
                            self._segment_path = lambda: "ip-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.DbItems.DbList.IpItems, [], name, value)


                        class IpEpList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: ifid
                            
                            	Path
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Endpoint Properties and State
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rtipeprslttoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RtIpEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtmaceprslttoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RtMacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList, self).__init__()

                                self.yang_name = "IpEp-list"
                                self.yang_parent_name = "ip-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("rtIpEpRslttoIpEpAtt-items", ("rtipeprslttoipepatt_items", System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems)), ("rtMacEpRslttoIpEpAtt-items", ("rtmaceprslttoipepatt_items", System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ])
                                self.addr = None
                                self.name = None
                                self.ifid = None
                                self.flags = None

                                self.rtipeprslttoipepatt_items = System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems()
                                self.rtipeprslttoipepatt_items.parent = self
                                self._children_name_map["rtipeprslttoipepatt_items"] = "rtIpEpRslttoIpEpAtt-items"

                                self.rtmaceprslttoipepatt_items = System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems()
                                self.rtmaceprslttoipepatt_items.parent = self
                                self._children_name_map["rtmaceprslttoipepatt_items"] = "rtMacEpRslttoIpEpAtt-items"
                                self._segment_path = lambda: "IpEp-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList, ['addr', 'name', 'ifid', 'flags'], name, value)


                            class RtIpEpRslttoIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, self).__init__()

                                    self.yang_name = "rtIpEpRslttoIpEpAtt-items"
                                    self.yang_parent_name = "IpEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtIpEpRslttoIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtIpEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)



                            class RtMacEpRslttoIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, self).__init__()

                                    self.yang_name = "rtMacEpRslttoIpEpAtt-items"
                                    self.yang_parent_name = "IpEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtMacEpRslttoIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InstItems.InstList.DbItems.DbList.IpItems.IpEpList.RtMacEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                    class MacItems(Entity):
                        """
                        
                        
                        .. attribute:: macep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MacEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.DbItems.DbList.MacItems, self).__init__()

                            self.yang_name = "mac-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("MacEp-list", ("macep_list", System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList))])
                            self._leafs = OrderedDict()

                            self.macep_list = YList(self)
                            self._segment_path = lambda: "mac-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.DbItems.DbList.MacItems, [], name, value)


                        class MacEpList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: ifid
                            
                            	Path
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Endpoint Properties and State
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: createts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsmaceptoipepatt_items
                            
                            	
                            	**type**\:  :py:class:`RsmacEpToIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList, self).__init__()

                                self.yang_name = "MacEp-list"
                                self.yang_parent_name = "mac-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("rsmacEpToIpEpAtt-items", ("rsmaceptoipepatt_items", System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                ])
                                self.addr = None
                                self.name = None
                                self.ifid = None
                                self.flags = None
                                self.createts = None

                                self.rsmaceptoipepatt_items = System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems()
                                self.rsmaceptoipepatt_items.parent = self
                                self._children_name_map["rsmaceptoipepatt_items"] = "rsmacEpToIpEpAtt-items"
                                self._segment_path = lambda: "MacEp-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList, ['addr', 'name', 'ifid', 'flags', 'createts'], name, value)


                            class RsmacEpToIpEpAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsmaceptoipepatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsMacEpToIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, self).__init__()

                                    self.yang_name = "rsmacEpToIpEpAtt-items"
                                    self.yang_parent_name = "MacEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsMacEpToIpEpAtt-list", ("rsmaceptoipepatt_list", System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsmaceptoipepatt_list = YList(self)
                                    self._segment_path = lambda: "rsmacEpToIpEpAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems, [], name, value)


                                class RsMacEpToIpEpAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, self).__init__()

                                        self.yang_name = "RsMacEpToIpEpAtt-list"
                                        self.yang_parent_name = "rsmacEpToIpEpAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsMacEpToIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.InstItems.InstList.DbItems.DbList.MacItems.MacEpList.RsmacEpToIpEpAttItems.RsMacEpToIpEpAttList, ['tdn', 'tcl'], name, value)








            class ShchpItems(Entity):
                """
                
                
                .. attribute:: shardchp_list
                
                	
                	**type**\: list of  		 :py:class:`ShardChPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.ShchpItems.ShardChPList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.ShchpItems, self).__init__()

                    self.yang_name = "shchp-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ShardChP-list", ("shardchp_list", System.InstItems.InstList.ShchpItems.ShardChPList))])
                    self._leafs = OrderedDict()

                    self.shardchp_list = YList(self)
                    self._segment_path = lambda: "shchp-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.ShchpItems, [], name, value)


                class ShardChPList(Entity):
                    """
                    
                    
                    .. attribute:: af  (key)
                    
                    	Address Family
                    	**type**\:  :py:class:`NwAddrF <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAddrF>`
                    
                    	**config**\: False
                    
                    .. attribute:: node
                    
                    	Node
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.ShchpItems.ShardChPList, self).__init__()

                        self.yang_name = "ShardChP-list"
                        self.yang_parent_name = "shchp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['af']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('af', (YLeaf(YType.enumeration, 'af'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAddrF', '')])),
                            ('node', (YLeaf(YType.str, 'node'), ['str','str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.af = None
                        self.node = None
                        self.name = None
                        self.descr = None
                        self._segment_path = lambda: "ShardChP-list" + "[af='" + str(self.af) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.ShchpItems.ShardChPList, ['af', 'node', 'name', 'descr'], name, value)




            class MgmtItems(Entity):
                """
                
                
                .. attribute:: rtdmgmtif_list
                
                	
                	**type**\: list of  		 :py:class:`RtdMgmtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.MgmtItems, self).__init__()

                    self.yang_name = "mgmt-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtdMgmtIf-list", ("rtdmgmtif_list", System.InstItems.InstList.MgmtItems.RtdMgmtIfList))])
                    self._leafs = OrderedDict()

                    self.rtdmgmtif_list = YList(self)
                    self._segment_path = lambda: "mgmt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.MgmtItems, [], name, value)


                class RtdMgmtIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
                    
                    .. attribute:: rtpseudoif_items
                    
                    	
                    	**type**\:  :py:class:`RtpseudoIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems>`
                    
                    .. attribute:: rsrtdmgmtconf_items
                    
                    	
                    	**type**\:  :py:class:`RsrtdMgmtConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList, self).__init__()

                        self.yang_name = "RtdMgmtIf-list"
                        self.yang_parent_name = "mgmt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("rtpseudoIf-items", ("rtpseudoif_items", System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems)), ("rsrtdMgmtConf-items", ("rsrtdmgmtconf_items", System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.rtpseudoif_items = System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems()
                        self.rtpseudoif_items.parent = self
                        self._children_name_map["rtpseudoif_items"] = "rtpseudoIf-items"

                        self.rsrtdmgmtconf_items = System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems()
                        self.rsrtdmgmtconf_items.parent = self
                        self._children_name_map["rsrtdmgmtconf_items"] = "rsrtdMgmtConf-items"

                        self.rtvrfmbr_items = System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "RtdMgmtIf-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class RtpseudoIfItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems, self).__init__()

                            self.yang_name = "rtpseudoIf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtpseudoIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtpseudoIfItems, ['tdn', 'tcl'], name, value)



                    class RsrtdMgmtConfItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        .. attribute:: state
                        
                        	State
                        	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                        
                        	**config**\: False
                        
                        .. attribute:: statequal
                        
                        	State Qualifier
                        	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                        
                        	**config**\: False
                        
                        .. attribute:: ttype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtype
                        
                        	TBD
                        	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                        
                        	**config**\: False
                        
                        .. attribute:: forceresolve
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        	**default value**\: true
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems, self).__init__()

                            self.yang_name = "rsrtdMgmtConf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self.state = None
                            self.statequal = None
                            self.ttype = None
                            self.rtype = None
                            self.forceresolve = None
                            self._segment_path = lambda: "rsrtdMgmtConf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RsrtdMgmtConfItems, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "RtdMgmtIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.InstItems.InstList.MgmtItems.RtdMgmtIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class RsvrfMbrItems(Entity):
                """
                
                
                .. attribute:: rsvrfmbr_list
                
                	
                	**type**\: list of  		 :py:class:`RsVrfMbrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.InstItems.InstList.RsvrfMbrItems.RsVrfMbrList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.InstItems.InstList.RsvrfMbrItems, self).__init__()

                    self.yang_name = "rsvrfMbr-items"
                    self.yang_parent_name = "Inst-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsVrfMbr-list", ("rsvrfmbr_list", System.InstItems.InstList.RsvrfMbrItems.RsVrfMbrList))])
                    self._leafs = OrderedDict()

                    self.rsvrfmbr_list = YList(self)
                    self._segment_path = lambda: "rsvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.InstItems.InstList.RsvrfMbrItems, [], name, value)


                class RsVrfMbrList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.InstItems.InstList.RsvrfMbrItems.RsVrfMbrList, self).__init__()

                        self.yang_name = "RsVrfMbr-list"
                        self.yang_parent_name = "rsvrfMbr-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RsVrfMbr-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.InstItems.InstList.RsvrfMbrItems.RsVrfMbrList, ['tdn', 'tcl'], name, value)






    class L3capprovItems(Entity):
        """
        
        
        .. attribute:: prov_list
        
        	
        	**type**\: list of  		 :py:class:`ProvList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3capprovItems.ProvList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L3capprovItems, self).__init__()

            self.yang_name = "l3capprov-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Prov-list", ("prov_list", System.L3capprovItems.ProvList))])
            self._leafs = OrderedDict()

            self.prov_list = YList(self)
            self._segment_path = lambda: "l3capprov-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L3capprovItems, [], name, value)


        class ProvList(Entity):
            """
            
            
            .. attribute:: subj  (key)
            
            	Subject
            	**type**\:  :py:class:`L3capSubj <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3capSubj>`
            
            	**config**\: False
            
            .. attribute:: type  (key)
            
            	TBD
            	**type**\:  :py:class:`CapRuleT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CapRuleT>`
            
            	**config**\: False
            
            .. attribute:: total
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: remaining
            
            	TBD
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: utilization
            
            	TBD
            	**type**\: int
            
            	**range:** 0..255
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.L3capprovItems.ProvList, self).__init__()

                self.yang_name = "Prov-list"
                self.yang_parent_name = "l3capprov-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['subj','type']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('subj', (YLeaf(YType.enumeration, 'subj'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3capSubj', '')])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CapRuleT', '')])),
                    ('total', (YLeaf(YType.uint32, 'total'), ['int'])),
                    ('remaining', (YLeaf(YType.uint32, 'remaining'), ['int'])),
                    ('utilization', (YLeaf(YType.uint8, 'utilization'), ['int'])),
                ])
                self.subj = None
                self.type = None
                self.total = None
                self.remaining = None
                self.utilization = None
                self._segment_path = lambda: "Prov-list" + "[subj='" + str(self.subj) + "']" + "[type='" + str(self.type) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3capprov-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.L3capprovItems.ProvList, ['subj', 'type', 'total', 'remaining', 'utilization'], name, value)




    class L3vmItems(Entity):
        """
        
        
        .. attribute:: vrfmemberchangeretainl3cfg
        
        	
        	**type**\: bool
        
        	**default value**\: true
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.L3vmItems, self).__init__()

            self.yang_name = "l3vm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.L3vmItems.InstItems))])
            self._leafs = OrderedDict([
                ('vrfmemberchangeretainl3cfg', (YLeaf(YType.boolean, 'vrfmemberchangeretainl3cfg'), ['bool'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.vrfmemberchangeretainl3cfg = None
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.L3vmItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "l3vm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.L3vmItems, ['vrfmemberchangeretainl3cfg', 'name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: vrfallocid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: tblallocid
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: featureset
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dommbr_items
            
            	
            	**type**\:  :py:class:`DommbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems.InstItems.DommbrItems>`
            
            .. attribute:: tbl_items
            
            	
            	**type**\:  :py:class:`TblItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems.InstItems.TblItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.L3vmItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "l3vm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dommbr-items", ("dommbr_items", System.L3vmItems.InstItems.DommbrItems)), ("tbl-items", ("tbl_items", System.L3vmItems.InstItems.TblItems))])
                self._leafs = OrderedDict([
                    ('vrfallocid', (YLeaf(YType.uint32, 'vrfAllocId'), ['int'])),
                    ('tblallocid', (YLeaf(YType.uint32, 'tblAllocId'), ['int'])),
                    ('featureset', (YLeaf(YType.uint32, 'featureSet'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.vrfallocid = None
                self.tblallocid = None
                self.featureset = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dommbr_items = System.L3vmItems.InstItems.DommbrItems()
                self.dommbr_items.parent = self
                self._children_name_map["dommbr_items"] = "dommbr-items"

                self.tbl_items = System.L3vmItems.InstItems.TblItems()
                self.tbl_items.parent = self
                self._children_name_map["tbl_items"] = "tbl-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3vm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.L3vmItems.InstItems, ['vrfallocid', 'tblallocid', 'featureset', 'name', 'adminst', 'ctrl'], name, value)


            class DommbrItems(Entity):
                """
                
                
                .. attribute:: dommbrif_list
                
                	
                	**type**\: list of  		 :py:class:`DomMbrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems.InstItems.DommbrItems.DomMbrIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.L3vmItems.InstItems.DommbrItems, self).__init__()

                    self.yang_name = "dommbr-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DomMbrIf-list", ("dommbrif_list", System.L3vmItems.InstItems.DommbrItems.DomMbrIfList))])
                    self._leafs = OrderedDict()

                    self.dommbrif_list = YList(self)
                    self._segment_path = lambda: "dommbr-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3vm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.L3vmItems.InstItems.DommbrItems, [], name, value)


                class DomMbrIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vrfid
                    
                    	VRF ID
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    	**config**\: False
                    
                    .. attribute:: oldvrfid
                    
                    	Old VRF ID
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    	**config**\: False
                    
                    .. attribute:: vrfname
                    
                    	VRF Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: oldvrfname
                    
                    	Old VRF Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: gsdbctx
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: gsdbctxtype
                    
                    	GSDB Context Type
                    	**type**\:  :py:class:`L3VrfGsdbCtxType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L3VrfGsdbCtxType>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.L3vmItems.InstItems.DommbrItems.DomMbrIfList, self).__init__()

                        self.yang_name = "DomMbrIf-list"
                        self.yang_parent_name = "dommbr-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('iod', (YLeaf(YType.uint32, 'iod'), ['int'])),
                            ('vrfid', (YLeaf(YType.uint16, 'vrfId'), ['int'])),
                            ('oldvrfid', (YLeaf(YType.uint16, 'oldVrfId'), ['int'])),
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('oldvrfname', (YLeaf(YType.str, 'oldVrfName'), ['str'])),
                            ('gsdbctx', (YLeaf(YType.uint32, 'gsdbCtx'), ['int'])),
                            ('gsdbctxtype', (YLeaf(YType.enumeration, 'gsdbCtxType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L3VrfGsdbCtxType', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.iod = None
                        self.vrfid = None
                        self.oldvrfid = None
                        self.vrfname = None
                        self.oldvrfname = None
                        self.gsdbctx = None
                        self.gsdbctxtype = None
                        self.name = None
                        self._segment_path = lambda: "DomMbrIf-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3vm-items/inst-items/dommbr-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.L3vmItems.InstItems.DommbrItems.DomMbrIfList, ['id', 'iod', 'vrfid', 'oldvrfid', 'vrfname', 'oldvrfname', 'gsdbctx', 'gsdbctxtype', 'name'], name, value)




            class TblItems(Entity):
                """
                
                
                .. attribute:: tbl_list
                
                	
                	**type**\: list of  		 :py:class:`TblList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.L3vmItems.InstItems.TblItems.TblList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.L3vmItems.InstItems.TblItems, self).__init__()

                    self.yang_name = "tbl-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Tbl-list", ("tbl_list", System.L3vmItems.InstItems.TblItems.TblList))])
                    self._leafs = OrderedDict()

                    self.tbl_list = YList(self)
                    self._segment_path = lambda: "tbl-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3vm-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.L3vmItems.InstItems.TblItems, [], name, value)


                class TblList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: gsdbctx
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: rtlmtmax
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: rtlmtwarn
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: rtlmtwarnonly
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: rtlmtwarnpct
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: rtlmtreinstpct
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.L3vmItems.InstItems.TblItems.TblList, self).__init__()

                        self.yang_name = "Tbl-list"
                        self.yang_parent_name = "tbl-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('gsdbctx', (YLeaf(YType.uint32, 'gsdbCtx'), ['int'])),
                            ('rtlmtmax', (YLeaf(YType.uint32, 'rtLmtMax'), ['int'])),
                            ('rtlmtwarn', (YLeaf(YType.uint32, 'rtLmtWarn'), ['int'])),
                            ('rtlmtwarnonly', (YLeaf(YType.boolean, 'rtLmtWarnOnly'), ['bool'])),
                            ('rtlmtwarnpct', (YLeaf(YType.uint8, 'rtLmtWarnPct'), ['int'])),
                            ('rtlmtreinstpct', (YLeaf(YType.uint8, 'rtLmtReinstPct'), ['int'])),
                        ])
                        self.id = None
                        self.gsdbctx = None
                        self.rtlmtmax = None
                        self.rtlmtwarn = None
                        self.rtlmtwarnonly = None
                        self.rtlmtwarnpct = None
                        self.rtlmtreinstpct = None
                        self._segment_path = lambda: "Tbl-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/l3vm-items/inst-items/tbl-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.L3vmItems.InstItems.TblItems.TblList, ['id', 'gsdbctx', 'rtlmtmax', 'rtlmtwarn', 'rtlmtwarnonly', 'rtlmtwarnpct', 'rtlmtreinstpct'], name, value)






    class UribItems(Entity):
        """
        
        
        .. attribute:: table4_items
        
        	
        	**type**\:  :py:class:`Table4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.UribItems, self).__init__()

            self.yang_name = "urib-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("table4-items", ("table4_items", System.UribItems.Table4Items))])
            self._leafs = OrderedDict()

            self.table4_items = System.UribItems.Table4Items()
            self.table4_items.parent = self
            self._children_name_map["table4_items"] = "table4-items"
            self._segment_path = lambda: "urib-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.UribItems, [], name, value)


        class Table4Items(Entity):
            """
            
            
            .. attribute:: table4_list
            
            	
            	**type**\: list of  		 :py:class:`Table4List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.UribItems.Table4Items, self).__init__()

                self.yang_name = "table4-items"
                self.yang_parent_name = "urib-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Table4-list", ("table4_list", System.UribItems.Table4Items.Table4List))])
                self._leafs = OrderedDict()

                self.table4_list = YList(self)
                self._segment_path = lambda: "table4-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/urib-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.UribItems.Table4Items, [], name, value)


            class Table4List(Entity):
                """
                
                
                .. attribute:: vrfname  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: routecount
                
                	Total number of route in this table
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: unibestcount
                
                	Number of unicast route considered as the best
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: unibackupcount
                
                	Number of unicast route not considered as the best
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: multibestcount
                
                	Number of multicast route considered as the best
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: multibackupcount
                
                	Number of multicast route not considered as the best
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: routepermaskcount
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: route4_items
                
                	
                	**type**\:  :py:class:`Route4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.UribItems.Table4Items.Table4List, self).__init__()

                    self.yang_name = "Table4-list"
                    self.yang_parent_name = "table4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vrfname']
                    self._child_classes = OrderedDict([("route4-items", ("route4_items", System.UribItems.Table4Items.Table4List.Route4Items))])
                    self._leafs = OrderedDict([
                        ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                        ('routecount', (YLeaf(YType.uint32, 'routeCount'), ['int'])),
                        ('unibestcount', (YLeaf(YType.uint32, 'uniBestCount'), ['int'])),
                        ('unibackupcount', (YLeaf(YType.uint32, 'uniBackupCount'), ['int'])),
                        ('multibestcount', (YLeaf(YType.uint32, 'multiBestCount'), ['int'])),
                        ('multibackupcount', (YLeaf(YType.uint32, 'multiBackupCount'), ['int'])),
                        ('routepermaskcount', (YLeaf(YType.str, 'routePerMaskCount'), ['str'])),
                    ])
                    self.vrfname = None
                    self.routecount = None
                    self.unibestcount = None
                    self.unibackupcount = None
                    self.multibestcount = None
                    self.multibackupcount = None
                    self.routepermaskcount = None

                    self.route4_items = System.UribItems.Table4Items.Table4List.Route4Items()
                    self.route4_items.parent = self
                    self._children_name_map["route4_items"] = "route4-items"
                    self._segment_path = lambda: "Table4-list" + "[vrfName='" + str(self.vrfname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/urib-items/table4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.UribItems.Table4Items.Table4List, ['vrfname', 'routecount', 'unibestcount', 'unibackupcount', 'multibestcount', 'multibackupcount', 'routepermaskcount'], name, value)


                class Route4Items(Entity):
                    """
                    
                    
                    .. attribute:: route4_list
                    
                    	
                    	**type**\: list of  		 :py:class:`Route4List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items.Route4List>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.UribItems.Table4Items.Table4List.Route4Items, self).__init__()

                        self.yang_name = "route4-items"
                        self.yang_parent_name = "Table4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Route4-list", ("route4_list", System.UribItems.Table4Items.Table4List.Route4Items.Route4List))])
                        self._leafs = OrderedDict()

                        self.route4_list = YList(self)
                        self._segment_path = lambda: "route4-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items, [], name, value)


                    class Route4List(Entity):
                        """
                        
                        
                        .. attribute:: prefix  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nh4_items
                        
                        	
                        	**type**\:  :py:class:`Nh4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items>`
                        
                        	**config**\: False
                        
                        .. attribute:: routedetail4_items
                        
                        	
                        	**type**\:  :py:class:`Routedetail4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Routedetail4Items>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.UribItems.Table4Items.Table4List.Route4Items.Route4List, self).__init__()

                            self.yang_name = "Route4-list"
                            self.yang_parent_name = "route4-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['prefix']
                            self._child_classes = OrderedDict([("nh4-items", ("nh4_items", System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items)), ("routedetail4-items", ("routedetail4_items", System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Routedetail4Items))])
                            self._leafs = OrderedDict([
                                ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ])
                            self.prefix = None

                            self.nh4_items = System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items()
                            self.nh4_items.parent = self
                            self._children_name_map["nh4_items"] = "nh4-items"

                            self.routedetail4_items = System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Routedetail4Items()
                            self.routedetail4_items.parent = self
                            self._children_name_map["routedetail4_items"] = "routedetail4-items"
                            self._segment_path = lambda: "Route4-list" + "[prefix='" + str(self.prefix) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items.Route4List, ['prefix'], name, value)


                        class Nh4Items(Entity):
                            """
                            
                            
                            .. attribute:: nexthop4_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NextHop4List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items, self).__init__()

                                self.yang_name = "nh4-items"
                                self.yang_parent_name = "Route4-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NextHop4-list", ("nexthop4_list", System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List))])
                                self._leafs = OrderedDict()

                                self.nexthop4_list = YList(self)
                                self._segment_path = lambda: "nh4-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items, [], name, value)


                            class NextHop4List(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nhdetail4_items
                                
                                	
                                	**type**\:  :py:class:`Nhdetail4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List.Nhdetail4Items>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List, self).__init__()

                                    self.yang_name = "NextHop4-list"
                                    self.yang_parent_name = "nh4-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nhdetail4-items", ("nhdetail4_items", System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List.Nhdetail4Items))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nhdetail4_items = System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List.Nhdetail4Items()
                                    self.nhdetail4_items.parent = self
                                    self._children_name_map["nhdetail4_items"] = "nhdetail4-items"
                                    self._segment_path = lambda: "NextHop4-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List, ['id'], name, value)


                                class Nhdetail4Items(Entity):
                                    """
                                    
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List.Nhdetail4Items, self).__init__()

                                        self.yang_name = "nhdetail4-items"
                                        self.yang_parent_name = "NextHop4-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ])
                                        self.flags = None
                                        self._segment_path = lambda: "nhdetail4-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Nh4Items.NextHop4List.Nhdetail4Items, ['flags'], name, value)





                        class Routedetail4Items(Entity):
                            """
                            
                            
                            .. attribute:: flags
                            
                            	Route flags
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Routedetail4Items, self).__init__()

                                self.yang_name = "routedetail4-items"
                                self.yang_parent_name = "Route4-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ])
                                self.flags = None
                                self._segment_path = lambda: "routedetail4-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.UribItems.Table4Items.Table4List.Route4Items.Route4List.Routedetail4Items, ['flags'], name, value)








    class U6ribItems(Entity):
        """
        
        
        .. attribute:: table6_items
        
        	
        	**type**\:  :py:class:`Table6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.U6ribItems, self).__init__()

            self.yang_name = "u6rib-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("table6-items", ("table6_items", System.U6ribItems.Table6Items))])
            self._leafs = OrderedDict()

            self.table6_items = System.U6ribItems.Table6Items()
            self.table6_items.parent = self
            self._children_name_map["table6_items"] = "table6-items"
            self._segment_path = lambda: "u6rib-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.U6ribItems, [], name, value)


        class Table6Items(Entity):
            """
            
            
            .. attribute:: table6_list
            
            	
            	**type**\: list of  		 :py:class:`Table6List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.U6ribItems.Table6Items, self).__init__()

                self.yang_name = "table6-items"
                self.yang_parent_name = "u6rib-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Table6-list", ("table6_list", System.U6ribItems.Table6Items.Table6List))])
                self._leafs = OrderedDict()

                self.table6_list = YList(self)
                self._segment_path = lambda: "table6-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/u6rib-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.U6ribItems.Table6Items, [], name, value)


            class Table6List(Entity):
                """
                
                
                .. attribute:: vrfname  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: route6_items
                
                	
                	**type**\:  :py:class:`Route6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.U6ribItems.Table6Items.Table6List, self).__init__()

                    self.yang_name = "Table6-list"
                    self.yang_parent_name = "table6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vrfname']
                    self._child_classes = OrderedDict([("route6-items", ("route6_items", System.U6ribItems.Table6Items.Table6List.Route6Items))])
                    self._leafs = OrderedDict([
                        ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                    ])
                    self.vrfname = None

                    self.route6_items = System.U6ribItems.Table6Items.Table6List.Route6Items()
                    self.route6_items.parent = self
                    self._children_name_map["route6_items"] = "route6-items"
                    self._segment_path = lambda: "Table6-list" + "[vrfName='" + str(self.vrfname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/u6rib-items/table6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.U6ribItems.Table6Items.Table6List, ['vrfname'], name, value)


                class Route6Items(Entity):
                    """
                    
                    
                    .. attribute:: route6_list
                    
                    	
                    	**type**\: list of  		 :py:class:`Route6List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.U6ribItems.Table6Items.Table6List.Route6Items, self).__init__()

                        self.yang_name = "route6-items"
                        self.yang_parent_name = "Table6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Route6-list", ("route6_list", System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List))])
                        self._leafs = OrderedDict()

                        self.route6_list = YList(self)
                        self._segment_path = lambda: "route6-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items, [], name, value)


                    class Route6List(Entity):
                        """
                        
                        
                        .. attribute:: prefix  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nh6_items
                        
                        	
                        	**type**\:  :py:class:`Nh6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items>`
                        
                        	**config**\: False
                        
                        .. attribute:: routedetail6_items
                        
                        	
                        	**type**\:  :py:class:`Routedetail6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Routedetail6Items>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List, self).__init__()

                            self.yang_name = "Route6-list"
                            self.yang_parent_name = "route6-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['prefix']
                            self._child_classes = OrderedDict([("nh6-items", ("nh6_items", System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items)), ("routedetail6-items", ("routedetail6_items", System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Routedetail6Items))])
                            self._leafs = OrderedDict([
                                ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ])
                            self.prefix = None

                            self.nh6_items = System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items()
                            self.nh6_items.parent = self
                            self._children_name_map["nh6_items"] = "nh6-items"

                            self.routedetail6_items = System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Routedetail6Items()
                            self.routedetail6_items.parent = self
                            self._children_name_map["routedetail6_items"] = "routedetail6-items"
                            self._segment_path = lambda: "Route6-list" + "[prefix='" + str(self.prefix) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List, ['prefix'], name, value)


                        class Nh6Items(Entity):
                            """
                            
                            
                            .. attribute:: nexthop6_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NextHop6List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items, self).__init__()

                                self.yang_name = "nh6-items"
                                self.yang_parent_name = "Route6-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NextHop6-list", ("nexthop6_list", System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List))])
                                self._leafs = OrderedDict()

                                self.nexthop6_list = YList(self)
                                self._segment_path = lambda: "nh6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items, [], name, value)


                            class NextHop6List(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nhdetail6_items
                                
                                	
                                	**type**\:  :py:class:`Nhdetail6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List.Nhdetail6Items>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List, self).__init__()

                                    self.yang_name = "NextHop6-list"
                                    self.yang_parent_name = "nh6-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nhdetail6-items", ("nhdetail6_items", System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List.Nhdetail6Items))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nhdetail6_items = System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List.Nhdetail6Items()
                                    self.nhdetail6_items.parent = self
                                    self._children_name_map["nhdetail6_items"] = "nhdetail6-items"
                                    self._segment_path = lambda: "NextHop6-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List, ['id'], name, value)


                                class Nhdetail6Items(Entity):
                                    """
                                    
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List.Nhdetail6Items, self).__init__()

                                        self.yang_name = "nhdetail6-items"
                                        self.yang_parent_name = "NextHop6-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ])
                                        self.flags = None
                                        self._segment_path = lambda: "nhdetail6-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Nh6Items.NextHop6List.Nhdetail6Items, ['flags'], name, value)





                        class Routedetail6Items(Entity):
                            """
                            
                            
                            .. attribute:: flags
                            
                            	Route flags
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Routedetail6Items, self).__init__()

                                self.yang_name = "routedetail6-items"
                                self.yang_parent_name = "Route6-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ])
                                self.flags = None
                                self._segment_path = lambda: "routedetail6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.U6ribItems.Table6Items.Table6List.Route6Items.Route6List.Routedetail6Items, ['flags'], name, value)








    class Uribv4Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: dom_items
        
        	
        	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Uribv4Items, self).__init__()

            self.yang_name = "uribv4-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("dom-items", ("dom_items", System.Uribv4Items.DomItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.dom_items = System.Uribv4Items.DomItems()
            self.dom_items.parent = self
            self._children_name_map["dom_items"] = "dom-items"
            self._segment_path = lambda: "uribv4-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Uribv4Items, ['name', 'adminst', 'operst'], name, value)


        class DomItems(Entity):
            """
            
            
            .. attribute:: dom_list
            
            	
            	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Uribv4Items.DomItems, self).__init__()

                self.yang_name = "dom-items"
                self.yang_parent_name = "uribv4-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Uribv4Items.DomItems.DomList))])
                self._leafs = OrderedDict()

                self.dom_list = YList(self)
                self._segment_path = lambda: "dom-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/uribv4-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Uribv4Items.DomItems, [], name, value)


            class DomList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: operst
                
                	TBD
                	**type**\:  :py:class:`RibDomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RibDomOperSt>`
                
                	**config**\: False
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Uribv4Items.DomItems.DomList, self).__init__()

                    self.yang_name = "Dom-list"
                    self.yang_parent_name = "dom-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("db-items", ("db_items", System.Uribv4Items.DomItems.DomList.DbItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RibDomOperSt', '')])),
                    ])
                    self.name = None
                    self.operst = None

                    self.db_items = System.Uribv4Items.DomItems.DomList.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"
                    self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/uribv4-items/dom-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Uribv4Items.DomItems.DomList, ['name', 'operst'], name, value)


                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Uribv4Items.DomItems.DomList.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "Dom-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`RibDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RibDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: rt_items
                        
                        	
                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Uribv4Items.DomItems.DomList.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RibDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.name = None

                            self.rt_items = System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems()
                            self.rt_items.parent = self
                            self._children_name_map["rt_items"] = "rt-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                        class RtItems(Entity):
                            """
                            
                            
                            .. attribute:: route_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems, self).__init__()

                                self.yang_name = "rt-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList))])
                                self._leafs = OrderedDict()

                                self.route_list = YList(self)
                                self._segment_path = lambda: "rt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems, [], name, value)


                            class RouteList(Entity):
                                """
                                
                                
                                .. attribute:: prefix  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: nh_items
                                
                                	
                                	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: owner_items
                                
                                	
                                	**type**\:  :py:class:`OwnerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                    self.yang_name = "Route-list"
                                    self.yang_parent_name = "rt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['prefix']
                                    self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems)), ("owner-items", ("owner_items", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems))])
                                    self._leafs = OrderedDict([
                                        ('prefix', (YLeaf(YType.str, 'prefix'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.prefix = None
                                    self.name = None

                                    self.nh_items = System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems()
                                    self.nh_items.parent = self
                                    self._children_name_map["nh_items"] = "nh-items"

                                    self.owner_items = System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems()
                                    self.owner_items.parent = self
                                    self._children_name_map["owner_items"] = "owner-items"
                                    self._segment_path = lambda: "Route-list" + "[prefix='" + str(self.prefix) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList, ['prefix', 'name'], name, value)


                                class NhItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nexthop_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems, self).__init__()

                                        self.yang_name = "nh-items"
                                        self.yang_parent_name = "Route-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList))])
                                        self._leafs = OrderedDict()

                                        self.nexthop_list = YList(self)
                                        self._segment_path = lambda: "nh-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems, [], name, value)


                                    class NexthopList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: owner  (key)
                                        
                                        	Nexthop Owner
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: if_  (key)
                                        
                                        	Nexthop Interface
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: vrf  (key)
                                        
                                        	Nexthop VRF
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	TBD
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList, self).__init__()

                                            self.yang_name = "Nexthop-list"
                                            self.yang_parent_name = "nh-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['owner','addr','if_','vrf']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.owner = None
                                            self.addr = None
                                            self.if_ = None
                                            self.vrf = None
                                            self.type = None
                                            self.name = None
                                            self._segment_path = lambda: "Nexthop-list" + "[owner='" + str(self.owner) + "']" + "[addr='" + str(self.addr) + "']" + "[if='" + str(self.if_) + "']" + "[vrf='" + str(self.vrf) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList, ['owner', 'addr', 'if_', 'vrf', 'type', 'name'], name, value)




                                class OwnerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: routeowner_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteOwnerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems, self).__init__()

                                        self.yang_name = "owner-items"
                                        self.yang_parent_name = "Route-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RouteOwner-list", ("routeowner_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList))])
                                        self._leafs = OrderedDict()

                                        self.routeowner_list = YList(self)
                                        self._segment_path = lambda: "owner-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems, [], name, value)


                                    class RouteOwnerList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: owner  (key)
                                        
                                        	TBD
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nh_items
                                        
                                        	
                                        	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rsrouteownertonexthopatt_items
                                        
                                        	
                                        	**type**\:  :py:class:`RsrouteOwnerToNexthopAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList, self).__init__()

                                            self.yang_name = "RouteOwner-list"
                                            self.yang_parent_name = "owner-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['owner']
                                            self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems)), ("rsrouteOwnerToNexthopAtt-items", ("rsrouteownertonexthopatt_items", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems))])
                                            self._leafs = OrderedDict([
                                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.owner = None
                                            self.name = None

                                            self.nh_items = System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems()
                                            self.nh_items.parent = self
                                            self._children_name_map["nh_items"] = "nh-items"

                                            self.rsrouteownertonexthopatt_items = System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems()
                                            self.rsrouteownertonexthopatt_items.parent = self
                                            self._children_name_map["rsrouteownertonexthopatt_items"] = "rsrouteOwnerToNexthopAtt-items"
                                            self._segment_path = lambda: "RouteOwner-list" + "[owner='" + str(self.owner) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList, ['owner', 'name'], name, value)


                                        class NhItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nexthop_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems, self).__init__()

                                                self.yang_name = "nh-items"
                                                self.yang_parent_name = "RouteOwner-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList))])
                                                self._leafs = OrderedDict()

                                                self.nexthop_list = YList(self)
                                                self._segment_path = lambda: "nh-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems, [], name, value)


                                            class NexthopList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: owner  (key)
                                                
                                                	Nexthop Owner
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: if_  (key)
                                                
                                                	Nexthop Interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: vrf  (key)
                                                
                                                	Nexthop VRF
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	TBD
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList, self).__init__()

                                                    self.yang_name = "Nexthop-list"
                                                    self.yang_parent_name = "nh-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['owner','addr','if_','vrf']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                                        ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ])
                                                    self.owner = None
                                                    self.addr = None
                                                    self.if_ = None
                                                    self.vrf = None
                                                    self.type = None
                                                    self.name = None
                                                    self._segment_path = lambda: "Nexthop-list" + "[owner='" + str(self.owner) + "']" + "[addr='" + str(self.addr) + "']" + "[if='" + str(self.if_) + "']" + "[vrf='" + str(self.vrf) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList, ['owner', 'addr', 'if_', 'vrf', 'type', 'name'], name, value)




                                        class RsrouteOwnerToNexthopAttItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: rsrouteownertonexthopatt_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`RsRouteOwnerToNexthopAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems.RsRouteOwnerToNexthopAttList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems, self).__init__()

                                                self.yang_name = "rsrouteOwnerToNexthopAtt-items"
                                                self.yang_parent_name = "RouteOwner-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("RsRouteOwnerToNexthopAtt-list", ("rsrouteownertonexthopatt_list", System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems.RsRouteOwnerToNexthopAttList))])
                                                self._leafs = OrderedDict()

                                                self.rsrouteownertonexthopatt_list = YList(self)
                                                self._segment_path = lambda: "rsrouteOwnerToNexthopAtt-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems, [], name, value)


                                            class RsRouteOwnerToNexthopAttList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: tdn  (key)
                                                
                                                	Target\-dn
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: tcl
                                                
                                                	Target\-class
                                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems.RsRouteOwnerToNexthopAttList, self).__init__()

                                                    self.yang_name = "RsRouteOwnerToNexthopAtt-list"
                                                    self.yang_parent_name = "rsrouteOwnerToNexthopAtt-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['tdn']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                    ])
                                                    self.tdn = None
                                                    self.tcl = None
                                                    self._segment_path = lambda: "RsRouteOwnerToNexthopAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Uribv4Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.RsrouteOwnerToNexthopAttItems.RsRouteOwnerToNexthopAttList, ['tdn', 'tcl'], name, value)













    class Uribv6Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: dom_items
        
        	
        	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Uribv6Items, self).__init__()

            self.yang_name = "uribv6-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("dom-items", ("dom_items", System.Uribv6Items.DomItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.dom_items = System.Uribv6Items.DomItems()
            self.dom_items.parent = self
            self._children_name_map["dom_items"] = "dom-items"
            self._segment_path = lambda: "uribv6-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Uribv6Items, ['name', 'adminst', 'operst'], name, value)


        class DomItems(Entity):
            """
            
            
            .. attribute:: dom_list
            
            	
            	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Uribv6Items.DomItems, self).__init__()

                self.yang_name = "dom-items"
                self.yang_parent_name = "uribv6-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Uribv6Items.DomItems.DomList))])
                self._leafs = OrderedDict()

                self.dom_list = YList(self)
                self._segment_path = lambda: "dom-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/uribv6-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Uribv6Items.DomItems, [], name, value)


            class DomList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: operst
                
                	TBD
                	**type**\:  :py:class:`RibDomOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RibDomOperSt>`
                
                	**config**\: False
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Uribv6Items.DomItems.DomList, self).__init__()

                    self.yang_name = "Dom-list"
                    self.yang_parent_name = "dom-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("db-items", ("db_items", System.Uribv6Items.DomItems.DomList.DbItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RibDomOperSt', '')])),
                    ])
                    self.name = None
                    self.operst = None

                    self.db_items = System.Uribv6Items.DomItems.DomList.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"
                    self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/uribv6-items/dom-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Uribv6Items.DomItems.DomList, ['name', 'operst'], name, value)


                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Uribv6Items.DomItems.DomList.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "Dom-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.Uribv6Items.DomItems.DomList.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Type
                        	**type**\:  :py:class:`RibDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RibDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: rt_items
                        
                        	
                        	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Uribv6Items.DomItems.DomList.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("rt-items", ("rt_items", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RibDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.type = None
                            self.name = None

                            self.rt_items = System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems()
                            self.rt_items.parent = self
                            self._children_name_map["rt_items"] = "rt-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                        class RtItems(Entity):
                            """
                            
                            
                            .. attribute:: route_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems, self).__init__()

                                self.yang_name = "rt-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Route-list", ("route_list", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList))])
                                self._leafs = OrderedDict()

                                self.route_list = YList(self)
                                self._segment_path = lambda: "rt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems, [], name, value)


                            class RouteList(Entity):
                                """
                                
                                
                                .. attribute:: prefix  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: nh_items
                                
                                	
                                	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: owner_items
                                
                                	
                                	**type**\:  :py:class:`OwnerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList, self).__init__()

                                    self.yang_name = "Route-list"
                                    self.yang_parent_name = "rt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['prefix']
                                    self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems)), ("owner-items", ("owner_items", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems))])
                                    self._leafs = OrderedDict([
                                        ('prefix', (YLeaf(YType.str, 'prefix'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.prefix = None
                                    self.name = None

                                    self.nh_items = System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems()
                                    self.nh_items.parent = self
                                    self._children_name_map["nh_items"] = "nh-items"

                                    self.owner_items = System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems()
                                    self.owner_items.parent = self
                                    self._children_name_map["owner_items"] = "owner-items"
                                    self._segment_path = lambda: "Route-list" + "[prefix='" + str(self.prefix) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList, ['prefix', 'name'], name, value)


                                class NhItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nexthop_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems, self).__init__()

                                        self.yang_name = "nh-items"
                                        self.yang_parent_name = "Route-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList))])
                                        self._leafs = OrderedDict()

                                        self.nexthop_list = YList(self)
                                        self._segment_path = lambda: "nh-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems, [], name, value)


                                    class NexthopList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: owner  (key)
                                        
                                        	Nexthop Owner
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: if_  (key)
                                        
                                        	Nexthop Interface
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: vrf  (key)
                                        
                                        	Nexthop VRF
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	TBD
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList, self).__init__()

                                            self.yang_name = "Nexthop-list"
                                            self.yang_parent_name = "nh-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['owner','addr','if_','vrf']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                            ])
                                            self.owner = None
                                            self.addr = None
                                            self.if_ = None
                                            self.vrf = None
                                            self.name = None
                                            self.type = None
                                            self._segment_path = lambda: "Nexthop-list" + "[owner='" + str(self.owner) + "']" + "[addr='" + str(self.addr) + "']" + "[if='" + str(self.if_) + "']" + "[vrf='" + str(self.vrf) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.NhItems.NexthopList, ['owner', 'addr', 'if_', 'vrf', 'name', 'type'], name, value)




                                class OwnerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: routeowner_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteOwnerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems, self).__init__()

                                        self.yang_name = "owner-items"
                                        self.yang_parent_name = "Route-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RouteOwner-list", ("routeowner_list", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList))])
                                        self._leafs = OrderedDict()

                                        self.routeowner_list = YList(self)
                                        self._segment_path = lambda: "owner-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems, [], name, value)


                                    class RouteOwnerList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: owner  (key)
                                        
                                        	TBD
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nh_items
                                        
                                        	
                                        	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList, self).__init__()

                                            self.yang_name = "RouteOwner-list"
                                            self.yang_parent_name = "owner-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['owner']
                                            self._child_classes = OrderedDict([("nh-items", ("nh_items", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems))])
                                            self._leafs = OrderedDict([
                                                ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ])
                                            self.owner = None
                                            self.name = None

                                            self.nh_items = System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems()
                                            self.nh_items.parent = self
                                            self._children_name_map["nh_items"] = "nh-items"
                                            self._segment_path = lambda: "RouteOwner-list" + "[owner='" + str(self.owner) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList, ['owner', 'name'], name, value)


                                        class NhItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nexthop_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NexthopList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems, self).__init__()

                                                self.yang_name = "nh-items"
                                                self.yang_parent_name = "RouteOwner-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Nexthop-list", ("nexthop_list", System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList))])
                                                self._leafs = OrderedDict()

                                                self.nexthop_list = YList(self)
                                                self._segment_path = lambda: "nh-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems, [], name, value)


                                            class NexthopList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: owner  (key)
                                                
                                                	Nexthop Owner
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr  (key)
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: if_  (key)
                                                
                                                	Nexthop Interface
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: vrf  (key)
                                                
                                                	Nexthop VRF
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: type
                                                
                                                	TBD
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList, self).__init__()

                                                    self.yang_name = "Nexthop-list"
                                                    self.yang_parent_name = "nh-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['owner','addr','if_','vrf']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('owner', (YLeaf(YType.str, 'owner'), ['str'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                        ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('type', (YLeaf(YType.str, 'type'), ['str'])),
                                                    ])
                                                    self.owner = None
                                                    self.addr = None
                                                    self.if_ = None
                                                    self.vrf = None
                                                    self.name = None
                                                    self.type = None
                                                    self._segment_path = lambda: "Nexthop-list" + "[owner='" + str(self.owner) + "']" + "[addr='" + str(self.addr) + "']" + "[if='" + str(self.if_) + "']" + "[vrf='" + str(self.vrf) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Uribv6Items.DomItems.DomList.DbItems.DbList.RtItems.RouteList.OwnerItems.RouteOwnerList.NhItems.NexthopList, ['owner', 'addr', 'if_', 'vrf', 'name', 'type'], name, value)













    class ConngItems(Entity):
        """
        
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: path_items
        
        	
        	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ConngItems, self).__init__()

            self.yang_name = "conng-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("path-items", ("path_items", System.ConngItems.PathItems))])
            self._leafs = OrderedDict([
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
            ])
            self.descr = None
            self.name = None

            self.path_items = System.ConngItems.PathItems()
            self.path_items.parent = self
            self._children_name_map["path_items"] = "path-items"
            self._segment_path = lambda: "conng-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ConngItems, ['descr', 'name'], name, value)


        class PathItems(Entity):
            """
            
            
            .. attribute:: pathep_list
            
            	
            	**type**\: list of  		 :py:class:`PathEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ConngItems.PathItems, self).__init__()

                self.yang_name = "path-items"
                self.yang_parent_name = "conng-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PathEp-list", ("pathep_list", System.ConngItems.PathItems.PathEpList))])
                self._leafs = OrderedDict()

                self.pathep_list = YList(self)
                self._segment_path = lambda: "path-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/conng-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ConngItems.PathItems, [], name, value)


            class PathEpList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	TBD
                	**type**\: str
                
                .. attribute:: nativeencap
                
                	
                	**type**\: str
                
                .. attribute:: fabricpathdn
                
                	
                	**type**\: str
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: rtfvepdeftopathep_items
                
                	
                	**type**\:  :py:class:`RtfvEpDefToPathEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems>`
                
                .. attribute:: rtfvdypathatt_items
                
                	
                	**type**\:  :py:class:`RtfvDyPathAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems>`
                
                .. attribute:: rtvsanvsanpathatt_items
                
                	
                	**type**\:  :py:class:`RtvsanVsanPathAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems>`
                
                .. attribute:: rspathtoif_items
                
                	
                	**type**\:  :py:class:`RspathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RspathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ConngItems.PathItems.PathEpList, self).__init__()

                    self.yang_name = "PathEp-list"
                    self.yang_parent_name = "path-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rtfvEpDefToPathEp-items", ("rtfvepdeftopathep_items", System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems)), ("rtfvDyPathAtt-items", ("rtfvdypathatt_items", System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems)), ("rtvsanVsanPathAtt-items", ("rtvsanvsanpathatt_items", System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems)), ("rspathToIf-items", ("rspathtoif_items", System.ConngItems.PathItems.PathEpList.RspathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('nativeencap', (YLeaf(YType.str, 'nativeEncap'), ['str'])),
                        ('fabricpathdn', (YLeaf(YType.str, 'fabricPathDn'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.id = None
                    self.nativeencap = None
                    self.fabricpathdn = None
                    self.descr = None
                    self.name = None

                    self.rtfvepdeftopathep_items = System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems()
                    self.rtfvepdeftopathep_items.parent = self
                    self._children_name_map["rtfvepdeftopathep_items"] = "rtfvEpDefToPathEp-items"

                    self.rtfvdypathatt_items = System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems()
                    self.rtfvdypathatt_items.parent = self
                    self._children_name_map["rtfvdypathatt_items"] = "rtfvDyPathAtt-items"

                    self.rtvsanvsanpathatt_items = System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems()
                    self.rtvsanvsanpathatt_items.parent = self
                    self._children_name_map["rtvsanvsanpathatt_items"] = "rtvsanVsanPathAtt-items"

                    self.rspathtoif_items = System.ConngItems.PathItems.PathEpList.RspathToIfItems()
                    self.rspathtoif_items.parent = self
                    self._children_name_map["rspathtoif_items"] = "rspathToIf-items"
                    self._segment_path = lambda: "PathEp-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/conng-items/path-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ConngItems.PathItems.PathEpList, ['id', 'nativeencap', 'fabricpathdn', 'descr', 'name'], name, value)


                class RtfvEpDefToPathEpItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvepdeftopathep_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvEpDefToPathEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems.RtFvEpDefToPathEpList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems, self).__init__()

                        self.yang_name = "rtfvEpDefToPathEp-items"
                        self.yang_parent_name = "PathEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvEpDefToPathEp-list", ("rtfvepdeftopathep_list", System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems.RtFvEpDefToPathEpList))])
                        self._leafs = OrderedDict()

                        self.rtfvepdeftopathep_list = YList(self)
                        self._segment_path = lambda: "rtfvEpDefToPathEp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems, [], name, value)


                    class RtFvEpDefToPathEpList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems.RtFvEpDefToPathEpList, self).__init__()

                            self.yang_name = "RtFvEpDefToPathEp-list"
                            self.yang_parent_name = "rtfvEpDefToPathEp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvEpDefToPathEp-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtfvEpDefToPathEpItems.RtFvEpDefToPathEpList, ['tdn', 'tcl'], name, value)




                class RtfvDyPathAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtfvdypathatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtFvDyPathAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems.RtFvDyPathAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems, self).__init__()

                        self.yang_name = "rtfvDyPathAtt-items"
                        self.yang_parent_name = "PathEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtFvDyPathAtt-list", ("rtfvdypathatt_list", System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems.RtFvDyPathAttList))])
                        self._leafs = OrderedDict()

                        self.rtfvdypathatt_list = YList(self)
                        self._segment_path = lambda: "rtfvDyPathAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems, [], name, value)


                    class RtFvDyPathAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems.RtFvDyPathAttList, self).__init__()

                            self.yang_name = "RtFvDyPathAtt-list"
                            self.yang_parent_name = "rtfvDyPathAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtFvDyPathAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtfvDyPathAttItems.RtFvDyPathAttList, ['tdn', 'tcl'], name, value)




                class RtvsanVsanPathAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtvsanvsanpathatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtVsanVsanPathAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems.RtVsanVsanPathAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems, self).__init__()

                        self.yang_name = "rtvsanVsanPathAtt-items"
                        self.yang_parent_name = "PathEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtVsanVsanPathAtt-list", ("rtvsanvsanpathatt_list", System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems.RtVsanVsanPathAttList))])
                        self._leafs = OrderedDict()

                        self.rtvsanvsanpathatt_list = YList(self)
                        self._segment_path = lambda: "rtvsanVsanPathAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems, [], name, value)


                    class RtVsanVsanPathAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems.RtVsanVsanPathAttList, self).__init__()

                            self.yang_name = "RtVsanVsanPathAtt-list"
                            self.yang_parent_name = "rtvsanVsanPathAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtVsanVsanPathAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ConngItems.PathItems.PathEpList.RtvsanVsanPathAttItems.RtVsanVsanPathAttList, ['tdn', 'tcl'], name, value)




                class RspathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ConngItems.PathItems.PathEpList.RspathToIfItems, self).__init__()

                        self.yang_name = "rspathToIf-items"
                        self.yang_parent_name = "PathEp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rspathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ConngItems.PathItems.PathEpList.RspathToIfItems, ['tdn', 'tcl'], name, value)






    class VdcItems(Entity):
        """
        
        
        .. attribute:: vdc_list
        
        	
        	**type**\: list of  		 :py:class:`VdcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VdcItems.VdcList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VdcItems, self).__init__()

            self.yang_name = "vdc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("Vdc-list", ("vdc_list", System.VdcItems.VdcList))])
            self._leafs = OrderedDict()

            self.vdc_list = YList(self)
            self._segment_path = lambda: "vdc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VdcItems, [], name, value)


        class VdcList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	ID
            	**type**\: int
            
            	**range:** 1..4096
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VdcItems.VdcList, self).__init__()

                self.yang_name = "Vdc-list"
                self.yang_parent_name = "vdc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.id = None
                self.name = None
                self._segment_path = lambda: "Vdc-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vdc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VdcItems.VdcList, ['id', 'name'], name, value)




    class ProcsysItems(Entity):
        """
        
        
        .. attribute:: maxmemalloc
        
        	Maximum Memory Allocated
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        .. attribute:: upts
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..256
        
        	**config**\: False
        
        .. attribute:: proc_items
        
        	
        	**type**\:  :py:class:`ProcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.ProcItems>`
        
        .. attribute:: syscore_items
        
        	
        	**type**\:  :py:class:`SyscoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscoreItems>`
        
        .. attribute:: sysload_items
        
        	
        	**type**\:  :py:class:`SysloadItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SysloadItems>`
        
        .. attribute:: syscpusummary_items
        
        	
        	**type**\:  :py:class:`SyscpusummaryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscpusummaryItems>`
        
        .. attribute:: sysmem_items
        
        	
        	**type**\:  :py:class:`SysmemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SysmemItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ProcsysItems, self).__init__()

            self.yang_name = "procsys-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("proc-items", ("proc_items", System.ProcsysItems.ProcItems)), ("syscore-items", ("syscore_items", System.ProcsysItems.SyscoreItems)), ("sysload-items", ("sysload_items", System.ProcsysItems.SysloadItems)), ("syscpusummary-items", ("syscpusummary_items", System.ProcsysItems.SyscpusummaryItems)), ("sysmem-items", ("sysmem_items", System.ProcsysItems.SysmemItems))])
            self._leafs = OrderedDict([
                ('maxmemalloc', (YLeaf(YType.uint64, 'maxMemAlloc'), ['int'])),
                ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
            ])
            self.maxmemalloc = None
            self.upts = None
            self.name = None

            self.proc_items = System.ProcsysItems.ProcItems()
            self.proc_items.parent = self
            self._children_name_map["proc_items"] = "proc-items"

            self.syscore_items = System.ProcsysItems.SyscoreItems()
            self.syscore_items.parent = self
            self._children_name_map["syscore_items"] = "syscore-items"

            self.sysload_items = System.ProcsysItems.SysloadItems()
            self.sysload_items.parent = self
            self._children_name_map["sysload_items"] = "sysload-items"

            self.syscpusummary_items = System.ProcsysItems.SyscpusummaryItems()
            self.syscpusummary_items.parent = self
            self._children_name_map["syscpusummary_items"] = "syscpusummary-items"

            self.sysmem_items = System.ProcsysItems.SysmemItems()
            self.sysmem_items.parent = self
            self._children_name_map["sysmem_items"] = "sysmem-items"
            self._segment_path = lambda: "procsys-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ProcsysItems, ['maxmemalloc', 'upts', 'name'], name, value)


        class ProcItems(Entity):
            """
            
            
            .. attribute:: proc_list
            
            	
            	**type**\: list of  		 :py:class:`ProcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.ProcItems.ProcList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcsysItems.ProcItems, self).__init__()

                self.yang_name = "proc-items"
                self.yang_parent_name = "procsys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Proc-list", ("proc_list", System.ProcsysItems.ProcItems.ProcList))])
                self._leafs = OrderedDict()

                self.proc_list = YList(self)
                self._segment_path = lambda: "proc-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcsysItems.ProcItems, [], name, value)


            class ProcList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Process ID
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`ProcOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ProcOperSt>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..256
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ProcsysItems.ProcItems.ProcList, self).__init__()

                    self.yang_name = "Proc-list"
                    self.yang_parent_name = "proc-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ProcOperSt', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.id = None
                    self.operst = None
                    self.name = None
                    self._segment_path = lambda: "Proc-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/proc-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ProcsysItems.ProcItems.ProcList, ['id', 'operst', 'name'], name, value)




        class SyscoreItems(Entity):
            """
            
            
            .. attribute:: numofcores
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            .. attribute:: core_items
            
            	
            	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscoreItems.CoreItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcsysItems.SyscoreItems, self).__init__()

                self.yang_name = "syscore-items"
                self.yang_parent_name = "procsys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("core-items", ("core_items", System.ProcsysItems.SyscoreItems.CoreItems))])
                self._leafs = OrderedDict([
                    ('numofcores', (YLeaf(YType.uint32, 'numOfCores'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.numofcores = None
                self.name = None

                self.core_items = System.ProcsysItems.SyscoreItems.CoreItems()
                self.core_items.parent = self
                self._children_name_map["core_items"] = "core-items"
                self._segment_path = lambda: "syscore-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcsysItems.SyscoreItems, ['numofcores', 'name'], name, value)


            class CoreItems(Entity):
                """
                
                
                .. attribute:: core_list
                
                	
                	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscoreItems.CoreItems.CoreList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ProcsysItems.SyscoreItems.CoreItems, self).__init__()

                    self.yang_name = "core-items"
                    self.yang_parent_name = "syscore-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Core-list", ("core_list", System.ProcsysItems.SyscoreItems.CoreItems.CoreList))])
                    self._leafs = OrderedDict()

                    self.core_list = YList(self)
                    self._segment_path = lambda: "core-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscore-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ProcsysItems.SyscoreItems.CoreItems, [], name, value)


                class CoreList(Entity):
                    """
                    
                    
                    .. attribute:: processid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vdcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: modulenumber
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: instancenumber
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: processname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: date
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ProcsysItems.SyscoreItems.CoreItems.CoreList, self).__init__()

                        self.yang_name = "Core-list"
                        self.yang_parent_name = "core-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['processid']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('processid', (YLeaf(YType.uint32, 'processId'), ['int'])),
                            ('vdcid', (YLeaf(YType.uint32, 'vdcId'), ['int'])),
                            ('modulenumber', (YLeaf(YType.uint32, 'moduleNumber'), ['int'])),
                            ('instancenumber', (YLeaf(YType.uint32, 'instanceNumber'), ['int'])),
                            ('processname', (YLeaf(YType.str, 'processName'), ['str'])),
                            ('date', (YLeaf(YType.str, 'date'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.processid = None
                        self.vdcid = None
                        self.modulenumber = None
                        self.instancenumber = None
                        self.processname = None
                        self.date = None
                        self.name = None
                        self._segment_path = lambda: "Core-list" + "[processId='" + str(self.processid) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscore-items/core-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ProcsysItems.SyscoreItems.CoreItems.CoreList, ['processid', 'vdcid', 'modulenumber', 'instancenumber', 'processname', 'date', 'name'], name, value)





        class SysloadItems(Entity):
            """
            
            
            .. attribute:: loadaverage1m
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: loadaverage5m
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: loadaverage15m
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: totalproc
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: runproc
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcsysItems.SysloadItems, self).__init__()

                self.yang_name = "sysload-items"
                self.yang_parent_name = "procsys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('loadaverage1m', (YLeaf(YType.str, 'loadAverage1m'), ['Decimal64'])),
                    ('loadaverage5m', (YLeaf(YType.str, 'loadAverage5m'), ['Decimal64'])),
                    ('loadaverage15m', (YLeaf(YType.str, 'loadAverage15m'), ['Decimal64'])),
                    ('totalproc', (YLeaf(YType.uint32, 'totalProc'), ['int'])),
                    ('runproc', (YLeaf(YType.uint32, 'runProc'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.loadaverage1m = None
                self.loadaverage5m = None
                self.loadaverage15m = None
                self.totalproc = None
                self.runproc = None
                self.name = None
                self._segment_path = lambda: "sysload-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcsysItems.SysloadItems, ['loadaverage1m', 'loadaverage5m', 'loadaverage15m', 'totalproc', 'runproc', 'name'], name, value)



        class SyscpusummaryItems(Entity):
            """
            
            
            .. attribute:: user
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: kernel
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: idle
            
            	
            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
            
            	**range:** \-92233720368547758.08..92233720368547758.07
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            .. attribute:: syscpuhistory_items
            
            	
            	**type**\:  :py:class:`SyscpuhistoryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems>`
            
            .. attribute:: syscpu_items
            
            	
            	**type**\:  :py:class:`SyscpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscpusummaryItems.SyscpuItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcsysItems.SyscpusummaryItems, self).__init__()

                self.yang_name = "syscpusummary-items"
                self.yang_parent_name = "procsys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("syscpuhistory-items", ("syscpuhistory_items", System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems)), ("syscpu-items", ("syscpu_items", System.ProcsysItems.SyscpusummaryItems.SyscpuItems))])
                self._leafs = OrderedDict([
                    ('user', (YLeaf(YType.str, 'user'), ['Decimal64'])),
                    ('kernel', (YLeaf(YType.str, 'kernel'), ['Decimal64'])),
                    ('idle', (YLeaf(YType.str, 'idle'), ['Decimal64'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.user = None
                self.kernel = None
                self.idle = None
                self.name = None

                self.syscpuhistory_items = System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems()
                self.syscpuhistory_items.parent = self
                self._children_name_map["syscpuhistory_items"] = "syscpuhistory-items"

                self.syscpu_items = System.ProcsysItems.SyscpusummaryItems.SyscpuItems()
                self.syscpu_items.parent = self
                self._children_name_map["syscpu_items"] = "syscpu-items"
                self._segment_path = lambda: "syscpusummary-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcsysItems.SyscpusummaryItems, ['user', 'kernel', 'idle', 'name'], name, value)


            class SyscpuhistoryItems(Entity):
                """
                
                
                .. attribute:: syscpuhistory_list
                
                	
                	**type**\: list of  		 :py:class:`SysCpuHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems.SysCpuHistoryList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems, self).__init__()

                    self.yang_name = "syscpuhistory-items"
                    self.yang_parent_name = "syscpusummary-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SysCpuHistory-list", ("syscpuhistory_list", System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems.SysCpuHistoryList))])
                    self._leafs = OrderedDict()

                    self.syscpuhistory_list = YList(self)
                    self._segment_path = lambda: "syscpuhistory-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscpusummary-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems, [], name, value)


                class SysCpuHistoryList(Entity):
                    """
                    
                    
                    .. attribute:: durationname  (key)
                    
                    	cpu history duration name, it can be last60seconds,                           last60minutes, last60hours
                    	**type**\:  :py:class:`ProcCpuHistoryDurationName <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ProcCpuHistoryDurationName>`
                    
                    	**config**\: False
                    
                    .. attribute:: usage
                    
                    	Overall CPU usage in the system for the                          last duration time (60sec/60min/60hours)
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems.SysCpuHistoryList, self).__init__()

                        self.yang_name = "SysCpuHistory-list"
                        self.yang_parent_name = "syscpuhistory-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['durationname']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('durationname', (YLeaf(YType.enumeration, 'durationname'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ProcCpuHistoryDurationName', '')])),
                            ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.durationname = None
                        self.usage = None
                        self.name = None
                        self._segment_path = lambda: "SysCpuHistory-list" + "[durationname='" + str(self.durationname) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscpusummary-items/syscpuhistory-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ProcsysItems.SyscpusummaryItems.SyscpuhistoryItems.SysCpuHistoryList, ['durationname', 'usage', 'name'], name, value)




            class SyscpuItems(Entity):
                """
                
                
                .. attribute:: syscpu_list
                
                	
                	**type**\: list of  		 :py:class:`SysCpuList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcsysItems.SyscpusummaryItems.SyscpuItems.SysCpuList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ProcsysItems.SyscpusummaryItems.SyscpuItems, self).__init__()

                    self.yang_name = "syscpu-items"
                    self.yang_parent_name = "syscpusummary-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SysCpu-list", ("syscpu_list", System.ProcsysItems.SyscpusummaryItems.SyscpuItems.SysCpuList))])
                    self._leafs = OrderedDict()

                    self.syscpu_list = YList(self)
                    self._segment_path = lambda: "syscpu-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscpusummary-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ProcsysItems.SyscpusummaryItems.SyscpuItems, [], name, value)


                class SysCpuList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: user
                    
                    	
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: kernel
                    
                    	
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: idle
                    
                    	
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ProcsysItems.SyscpusummaryItems.SyscpuItems.SysCpuList, self).__init__()

                        self.yang_name = "SysCpu-list"
                        self.yang_parent_name = "syscpu-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('user', (YLeaf(YType.str, 'user'), ['Decimal64'])),
                            ('kernel', (YLeaf(YType.str, 'kernel'), ['Decimal64'])),
                            ('idle', (YLeaf(YType.str, 'idle'), ['Decimal64'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.id = None
                        self.user = None
                        self.kernel = None
                        self.idle = None
                        self.name = None
                        self._segment_path = lambda: "SysCpu-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/syscpusummary-items/syscpu-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ProcsysItems.SyscpusummaryItems.SyscpuItems.SysCpuList, ['id', 'user', 'kernel', 'idle', 'name'], name, value)





        class SysmemItems(Entity):
            """
            
            
            .. attribute:: total
            
            	
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            .. attribute:: used
            
            	
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            .. attribute:: free
            
            	
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            	**config**\: False
            
            .. attribute:: memstatus
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcsysItems.SysmemItems, self).__init__()

                self.yang_name = "sysmem-items"
                self.yang_parent_name = "procsys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('total', (YLeaf(YType.uint64, 'total'), ['int'])),
                    ('used', (YLeaf(YType.uint64, 'used'), ['int'])),
                    ('free', (YLeaf(YType.uint64, 'free'), ['int'])),
                    ('memstatus', (YLeaf(YType.str, 'memstatus'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.total = None
                self.used = None
                self.free = None
                self.memstatus = None
                self.name = None
                self._segment_path = lambda: "sysmem-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/procsys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcsysItems.SysmemItems, ['total', 'used', 'free', 'memstatus', 'name'], name, value)




    class ProcItems(Entity):
        """
        
        
        .. attribute:: maxmemalloc
        
        	Maximum Memory Allocated
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        .. attribute:: memfree
        
        	Free Memory
        	**type**\: int
        
        	**range:** 0..18446744073709551615
        
        	**config**\: False
        
        .. attribute:: cpupct
        
        	CPU Usage
        	**type**\: int
        
        	**range:** 0..100
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..256
        
        	**config**\: False
        
        .. attribute:: process_items
        
        	
        	**type**\:  :py:class:`ProcessItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcItems.ProcessItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ProcItems, self).__init__()

            self.yang_name = "proc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("process-items", ("process_items", System.ProcItems.ProcessItems))])
            self._leafs = OrderedDict([
                ('maxmemalloc', (YLeaf(YType.uint64, 'maxMemAlloc'), ['int'])),
                ('memfree', (YLeaf(YType.uint64, 'memFree'), ['int'])),
                ('cpupct', (YLeaf(YType.uint32, 'cpuPct'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
            ])
            self.maxmemalloc = None
            self.memfree = None
            self.cpupct = None
            self.name = None

            self.process_items = System.ProcItems.ProcessItems()
            self.process_items.parent = self
            self._children_name_map["process_items"] = "process-items"
            self._segment_path = lambda: "proc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ProcItems, ['maxmemalloc', 'memfree', 'cpupct', 'name'], name, value)


        class ProcessItems(Entity):
            """
            
            
            .. attribute:: entry_list
            
            	
            	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ProcItems.ProcessItems.EntryList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ProcItems.ProcessItems, self).__init__()

                self.yang_name = "process-items"
                self.yang_parent_name = "proc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.ProcItems.ProcessItems.EntryList))])
                self._leafs = OrderedDict()

                self.entry_list = YList(self)
                self._segment_path = lambda: "process-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/proc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ProcItems.ProcessItems, [], name, value)


            class EntryList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Process ID
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: processname
                
                	Process Name
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: startcnt
                
                	Start Count
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: pc
                
                	Program Counter
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: esp
                
                	Stack Pointer
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: processtype
                
                	Process Type
                	**type**\:  :py:class:`ProcProcessType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ProcProcessType>`
                
                	**config**\: False
                
                .. attribute:: maxmemalloc
                
                	Maximum Memory Allocated
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: memused
                
                	Maximum Memory used
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: operstate
                
                	Operational State
                	**type**\:  :py:class:`ProcOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ProcOperState>`
                
                	**config**\: False
                
                .. attribute:: phymem
                
                	Actual real physical memory used by the process (ram)
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..256
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ProcItems.ProcessItems.EntryList, self).__init__()

                    self.yang_name = "Entry-list"
                    self.yang_parent_name = "process-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('processname', (YLeaf(YType.str, 'processName'), ['str'])),
                        ('startcnt', (YLeaf(YType.uint32, 'startCnt'), ['int'])),
                        ('pc', (YLeaf(YType.uint64, 'pc'), ['int'])),
                        ('esp', (YLeaf(YType.uint64, 'esp'), ['int'])),
                        ('processtype', (YLeaf(YType.enumeration, 'processType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ProcProcessType', '')])),
                        ('maxmemalloc', (YLeaf(YType.uint64, 'maxMemAlloc'), ['int'])),
                        ('memused', (YLeaf(YType.uint64, 'memUsed'), ['int'])),
                        ('operstate', (YLeaf(YType.enumeration, 'operState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ProcOperState', '')])),
                        ('phymem', (YLeaf(YType.uint64, 'phyMem'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.id = None
                    self.processname = None
                    self.startcnt = None
                    self.pc = None
                    self.esp = None
                    self.processtype = None
                    self.maxmemalloc = None
                    self.memused = None
                    self.operstate = None
                    self.phymem = None
                    self.name = None
                    self._segment_path = lambda: "Entry-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/proc-items/process-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ProcItems.ProcessItems.EntryList, ['id', 'processname', 'startcnt', 'pc', 'esp', 'processtype', 'maxmemalloc', 'memused', 'operstate', 'phymem', 'name'], name, value)





    class RegrItems(Entity):
        """
        
        
        .. attribute:: if_list
        
        	
        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RegrItems.IfList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RegrItems, self).__init__()

            self.yang_name = "regr-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("If-list", ("if_list", System.RegrItems.IfList))])
            self._leafs = OrderedDict()

            self.if_list = YList(self)
            self._segment_path = lambda: "regr-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RegrItems, [], name, value)


        class IfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: enumprop
            
            	Enum Property
            	**type**\:  :py:class:`RegressEnumT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RegressEnumT>`
            
            	**config**\: False
            
            .. attribute:: strprop
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: intprop
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: boolprop
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..1024
            
            	**config**\: False
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RegrItems.IfList.RtvrfMbrItems>`
            
            	**config**\: False
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RegrItems.IfList.RtnwPathToIfItems>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RegrItems.IfList, self).__init__()

                self.yang_name = "If-list"
                self.yang_parent_name = "regr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.RegrItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.RegrItems.IfList.RtnwPathToIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('enumprop', (YLeaf(YType.enumeration, 'enumProp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RegressEnumT', '')])),
                    ('strprop', (YLeaf(YType.str, 'strProp'), ['str'])),
                    ('intprop', (YLeaf(YType.uint32, 'intProp'), ['int'])),
                    ('boolprop', (YLeaf(YType.boolean, 'boolProp'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.enumprop = None
                self.strprop = None
                self.intprop = None
                self.boolprop = None
                self.name = None
                self.descr = None

                self.rtvrfmbr_items = System.RegrItems.IfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.RegrItems.IfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/regr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RegrItems.IfList, ['id', 'enumprop', 'strprop', 'intprop', 'boolprop', 'name', 'descr'], name, value)


            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RegrItems.IfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RegrItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RegrItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RegrItems.IfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.RegrItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RegrItems.IfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RegrItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RegrItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






    class RpmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: rtextcom_items
        
        	
        	**type**\:  :py:class:`RtextcomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems>`
        
        .. attribute:: accesslist_items
        
        	
        	**type**\:  :py:class:`AccesslistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems>`
        
        .. attribute:: rtmap_items
        
        	
        	**type**\:  :py:class:`RtmapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems>`
        
        .. attribute:: expcommlist_items
        
        	
        	**type**\:  :py:class:`ExpcommlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.ExpcommlistItems>`
        
        .. attribute:: pfxlistv4_items
        
        	
        	**type**\:  :py:class:`Pfxlistv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items>`
        
        .. attribute:: pfxlistv6_items
        
        	
        	**type**\:  :py:class:`Pfxlistv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items>`
        
        .. attribute:: rtregcom_items
        
        	
        	**type**\:  :py:class:`RtregcomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RpmItems, self).__init__()

            self.yang_name = "rpm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("rtextcom-items", ("rtextcom_items", System.RpmItems.RtextcomItems)), ("accesslist-items", ("accesslist_items", System.RpmItems.AccesslistItems)), ("rtmap-items", ("rtmap_items", System.RpmItems.RtmapItems)), ("expcommlist-items", ("expcommlist_items", System.RpmItems.ExpcommlistItems)), ("pfxlistv4-items", ("pfxlistv4_items", System.RpmItems.Pfxlistv4Items)), ("pfxlistv6-items", ("pfxlistv6_items", System.RpmItems.Pfxlistv6Items)), ("rtregcom-items", ("rtregcom_items", System.RpmItems.RtregcomItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.rtextcom_items = System.RpmItems.RtextcomItems()
            self.rtextcom_items.parent = self
            self._children_name_map["rtextcom_items"] = "rtextcom-items"

            self.accesslist_items = System.RpmItems.AccesslistItems()
            self.accesslist_items.parent = self
            self._children_name_map["accesslist_items"] = "accesslist-items"

            self.rtmap_items = System.RpmItems.RtmapItems()
            self.rtmap_items.parent = self
            self._children_name_map["rtmap_items"] = "rtmap-items"

            self.expcommlist_items = System.RpmItems.ExpcommlistItems()
            self.expcommlist_items.parent = self
            self._children_name_map["expcommlist_items"] = "expcommlist-items"

            self.pfxlistv4_items = System.RpmItems.Pfxlistv4Items()
            self.pfxlistv4_items.parent = self
            self._children_name_map["pfxlistv4_items"] = "pfxlistv4-items"

            self.pfxlistv6_items = System.RpmItems.Pfxlistv6Items()
            self.pfxlistv6_items.parent = self
            self._children_name_map["pfxlistv6_items"] = "pfxlistv6-items"

            self.rtregcom_items = System.RpmItems.RtregcomItems()
            self.rtregcom_items.parent = self
            self._children_name_map["rtregcom_items"] = "rtregcom-items"
            self._segment_path = lambda: "rpm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RpmItems, ['name', 'adminst', 'operst'], name, value)


        class RtextcomItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.RtextcomItems, self).__init__()

                self.yang_name = "rtextcom-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.RpmItems.RtextcomItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "rtextcom-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.RtextcomItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: type
                
                	Type
                	**type**\:  :py:class:`RtcomComT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomComT>`
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`RtcomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomMode>`
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList.EntItems>`
                
                .. attribute:: rtextcommatt_items
                
                	
                	**type**\:  :py:class:`RtExtCommAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList.RtExtCommAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.RtextcomItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "rtextcom-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.RtextcomItems.RuleList.EntItems)), ("rtExtCommAtt-items", ("rtextcommatt_items", System.RpmItems.RtextcomItems.RuleList.RtExtCommAttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomComT', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomMode', '')])),
                    ])
                    self.name = None
                    self.descr = None
                    self.type = None
                    self.mode = None

                    self.ent_items = System.RpmItems.RtextcomItems.RuleList.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtextcommatt_items = System.RpmItems.RtextcomItems.RuleList.RtExtCommAttItems()
                    self.rtextcommatt_items.parent = self
                    self._children_name_map["rtextcommatt_items"] = "rtExtCommAtt-items"
                    self._segment_path = lambda: "Rule-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/rtextcom-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.RtextcomItems.RuleList, ['name', 'descr', 'type', 'mode'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.RtextcomItems.RuleList.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.RtextcomItems.RuleList.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: item_items
                        
                        	
                        	**type**\:  :py:class:`ItemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([("item-items", ("item_items", System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems))])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.order = None
                            self.name = None
                            self.descr = None
                            self.action = None
                            self.regex = None

                            self.item_items = System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems()
                            self.item_items.parent = self
                            self._children_name_map["item_items"] = "item-items"
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList, ['order', 'name', 'descr', 'action', 'regex'], name, value)


                        class ItemItems(Entity):
                            """
                            
                            
                            .. attribute:: item_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems, self).__init__()

                                self.yang_name = "item-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Item-list", ("item_list", System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList))])
                                self._leafs = OrderedDict()

                                self.item_list = YList(self)
                                self._segment_path = lambda: "item-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems, [], name, value)


                            class ItemList(Entity):
                                """
                                
                                
                                .. attribute:: scope  (key)
                                
                                	Scope
                                	**type**\:  :py:class:`RtextcomScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomScope>`
                                
                                .. attribute:: community  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtextcomType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomType>`
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList, self).__init__()

                                    self.yang_name = "Item-list"
                                    self.yang_parent_name = "item-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['scope','community']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomScope', '')])),
                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomType', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.scope = None
                                    self.community = None
                                    self.type = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "Item-list" + "[scope='" + str(self.scope) + "']" + "[community='" + str(self.community) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtextcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList, ['scope', 'community', 'type', 'name', 'descr'], name, value)






                class RtExtCommAttItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.RtextcomItems.RuleList.RtExtCommAttItems, self).__init__()

                        self.yang_name = "rtExtCommAtt-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtExtCommAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.RtextcomItems.RuleList.RtExtCommAttItems, ['tdn', 'tcl'], name, value)





        class AccesslistItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems.RuleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.AccesslistItems, self).__init__()

                self.yang_name = "accesslist-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.RpmItems.AccesslistItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "accesslist-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.AccesslistItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems.RuleList.EntItems>`
                
                .. attribute:: rtrtmaprtaspathaccatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtAsPathAccAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.AccesslistItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "accesslist-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.AccesslistItems.RuleList.EntItems)), ("rtrtmapRtAsPathAccAtt-items", ("rtrtmaprtaspathaccatt_items", System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.descr = None

                    self.ent_items = System.RpmItems.AccesslistItems.RuleList.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtrtmaprtaspathaccatt_items = System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems()
                    self.rtrtmaprtaspathaccatt_items.parent = self
                    self._children_name_map["rtrtmaprtaspathaccatt_items"] = "rtrtmapRtAsPathAccAtt-items"
                    self._segment_path = lambda: "Rule-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/accesslist-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.AccesslistItems.RuleList, ['name', 'descr'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems.RuleList.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.AccesslistItems.RuleList.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.AccesslistItems.RuleList.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.AccesslistItems.RuleList.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.AccesslistItems.RuleList.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.order = None
                            self.name = None
                            self.descr = None
                            self.action = None
                            self.regex = None
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.AccesslistItems.RuleList.EntItems.EntryList, ['order', 'name', 'descr', 'action', 'regex'], name, value)




                class RtrtmapRtAsPathAccAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtaspathaccatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtAsPathAccAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems.RtRtmapRtAsPathAccAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtAsPathAccAtt-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtAsPathAccAtt-list", ("rtrtmaprtaspathaccatt_list", System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems.RtRtmapRtAsPathAccAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtaspathaccatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtAsPathAccAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems, [], name, value)


                    class RtRtmapRtAsPathAccAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems.RtRtmapRtAsPathAccAttList, self).__init__()

                            self.yang_name = "RtRtmapRtAsPathAccAtt-list"
                            self.yang_parent_name = "rtrtmapRtAsPathAccAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtAsPathAccAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.AccesslistItems.RuleList.RtrtmapRtAsPathAccAttItems.RtRtmapRtAsPathAccAttList, ['tdn', 'tcl'], name, value)






        class RtmapItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.RtmapItems, self).__init__()

                self.yang_name = "rtmap-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.RpmItems.RtmapItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "rtmap-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.RtmapItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.RtmapItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "rtmap-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.RtmapItems.RuleList.EntItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.descr = None

                    self.ent_items = System.RpmItems.RtmapItems.RuleList.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"
                    self._segment_path = lambda: "Rule-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/rtmap-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList, ['name', 'descr'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.RtmapItems.RuleList.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: loadsharev4
                        
                        	Load Sharing V4
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: loadsharev6
                        
                        	Load Sharing V6
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: forceorderv4
                        
                        	Force Order V4
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: forceorderv6
                        
                        	Force Order V6
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: droponfailv4
                        
                        	Drop On Fail V4 for v4 nexthop
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: droponfailv6
                        
                        	Drop On Fail V6 for v6 nexthop
                        	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	descr
                        	**type**\: str
                        
                        	**length:** 0..90
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        .. attribute:: mregcomm_items
                        
                        	
                        	**type**\:  :py:class:`MregcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems>`
                        
                        .. attribute:: mextcomm_items
                        
                        	
                        	**type**\:  :py:class:`MextcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems>`
                        
                        .. attribute:: mrtdst_items
                        
                        	
                        	**type**\:  :py:class:`MrtdstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems>`
                        
                        .. attribute:: mrtdstv6_items
                        
                        	
                        	**type**\:  :py:class:`Mrtdstv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items>`
                        
                        .. attribute:: mipv4mcast_items
                        
                        	
                        	**type**\:  :py:class:`Mipv4mcastItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv4mcastItems>`
                        
                        .. attribute:: mipv6mcast_items
                        
                        	
                        	**type**\:  :py:class:`Mipv6mcastItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv6mcastItems>`
                        
                        .. attribute:: mrtnh_items
                        
                        	
                        	**type**\:  :py:class:`MrtnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems>`
                        
                        .. attribute:: mrtnhv6_items
                        
                        	
                        	**type**\:  :py:class:`Mrtnhv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items>`
                        
                        .. attribute:: mrtsrc_items
                        
                        	
                        	**type**\:  :py:class:`MrtsrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems>`
                        
                        .. attribute:: mrtsrcv6_items
                        
                        	
                        	**type**\:  :py:class:`Mrtsrcv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items>`
                        
                        .. attribute:: mrttype_items
                        
                        	
                        	**type**\:  :py:class:`MrttypeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems>`
                        
                        .. attribute:: mrttag_items
                        
                        	
                        	**type**\:  :py:class:`MrttagItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems>`
                        
                        .. attribute:: msrcprot_items
                        
                        	
                        	**type**\:  :py:class:`MsrcprotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems>`
                        
                        .. attribute:: mrtpervasive_items
                        
                        	
                        	**type**\:  :py:class:`MrtpervasiveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtpervasiveItems>`
                        
                        .. attribute:: mrtacclist_items
                        
                        	
                        	**type**\:  :py:class:`MrtacclistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems>`
                        
                        .. attribute:: mrtmetric_items
                        
                        	
                        	**type**\:  :py:class:`MrtmetricItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems>`
                        
                        .. attribute:: mrtasn_items
                        
                        	
                        	**type**\:  :py:class:`MrtasnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems>`
                        
                        .. attribute:: mrtif_items
                        
                        	
                        	**type**\:  :py:class:`MrtifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems>`
                        
                        .. attribute:: mrtospf_items
                        
                        	
                        	**type**\:  :py:class:`MrtospfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems>`
                        
                        .. attribute:: scontinue_items
                        
                        	
                        	**type**\:  :py:class:`ScontinueItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScontinueItems>`
                        
                        .. attribute:: sregcomm_items
                        
                        	
                        	**type**\:  :py:class:`SregcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems>`
                        
                        .. attribute:: sextcomm_items
                        
                        	
                        	**type**\:  :py:class:`SextcommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems>`
                        
                        .. attribute:: sextcommcost_items
                        
                        	
                        	**type**\:  :py:class:`SextcommcostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems>`
                        
                        .. attribute:: sextcommcolor_items
                        
                        	
                        	**type**\:  :py:class:`SextcommcolorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcolorItems>`
                        
                        .. attribute:: scommlist_items
                        
                        	
                        	**type**\:  :py:class:`ScommlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScommlistItems>`
                        
                        .. attribute:: sextcommlist_items
                        
                        	
                        	**type**\:  :py:class:`SextcommlistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommlistItems>`
                        
                        .. attribute:: srtt_items
                        
                        	
                        	**type**\:  :py:class:`SrttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems>`
                        
                        .. attribute:: srtdist_items
                        
                        	
                        	**type**\:  :py:class:`SrtdistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrtdistItems>`
                        
                        .. attribute:: srttag_items
                        
                        	
                        	**type**\:  :py:class:`SrttagItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttagItems>`
                        
                        .. attribute:: sweight_items
                        
                        	
                        	**type**\:  :py:class:`SweightItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SweightItems>`
                        
                        .. attribute:: slblindex_items
                        
                        	
                        	**type**\:  :py:class:`SlblindexItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SlblindexItems>`
                        
                        .. attribute:: spref_items
                        
                        	
                        	**type**\:  :py:class:`SprefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprefItems>`
                        
                        .. attribute:: smetric_items
                        
                        	
                        	**type**\:  :py:class:`SmetricItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetricItems>`
                        
                        .. attribute:: smetrict_items
                        
                        	
                        	**type**\:  :py:class:`SmetrictItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetrictItems>`
                        
                        .. attribute:: sdamp_items
                        
                        	
                        	**type**\:  :py:class:`SdampItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SdampItems>`
                        
                        .. attribute:: sprec_items
                        
                        	
                        	**type**\:  :py:class:`SprecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprecItems>`
                        
                        .. attribute:: sprecv6_items
                        
                        	
                        	**type**\:  :py:class:`Sprecv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Sprecv6Items>`
                        
                        .. attribute:: snssa_items
                        
                        	
                        	**type**\:  :py:class:`SnssaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SnssaItems>`
                        
                        .. attribute:: sfwdaddr_items
                        
                        	
                        	**type**\:  :py:class:`SfwdaddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SfwdaddrItems>`
                        
                        .. attribute:: nh_items
                        
                        	
                        	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems>`
                        
                        .. attribute:: nhpa_items
                        
                        	
                        	**type**\:  :py:class:`NhpaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhpaItems>`
                        
                        .. attribute:: setaspathprepend_items
                        
                        	
                        	**type**\:  :py:class:`SetaspathprependItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathprependItems>`
                        
                        .. attribute:: setaspathlastas_items
                        
                        	
                        	**type**\:  :py:class:`SetaspathlastasItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathlastasItems>`
                        
                        .. attribute:: setaspathtag_items
                        
                        	
                        	**type**\:  :py:class:`SetaspathtagItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathtagItems>`
                        
                        .. attribute:: origin_items
                        
                        	
                        	**type**\:  :py:class:`OriginItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.OriginItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([("mregcomm-items", ("mregcomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems)), ("mextcomm-items", ("mextcomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems)), ("mrtdst-items", ("mrtdst_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems)), ("mrtdstv6-items", ("mrtdstv6_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items)), ("mipv4mcast-items", ("mipv4mcast_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv4mcastItems)), ("mipv6mcast-items", ("mipv6mcast_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv6mcastItems)), ("mrtnh-items", ("mrtnh_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems)), ("mrtnhv6-items", ("mrtnhv6_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items)), ("mrtsrc-items", ("mrtsrc_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems)), ("mrtsrcv6-items", ("mrtsrcv6_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items)), ("mrttype-items", ("mrttype_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems)), ("mrttag-items", ("mrttag_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems)), ("msrcprot-items", ("msrcprot_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems)), ("mrtpervasive-items", ("mrtpervasive_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtpervasiveItems)), ("mrtacclist-items", ("mrtacclist_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems)), ("mrtmetric-items", ("mrtmetric_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems)), ("mrtasn-items", ("mrtasn_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems)), ("mrtif-items", ("mrtif_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems)), ("mrtospf-items", ("mrtospf_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems)), ("scontinue-items", ("scontinue_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScontinueItems)), ("sregcomm-items", ("sregcomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems)), ("sextcomm-items", ("sextcomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems)), ("sextcommcost-items", ("sextcommcost_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems)), ("sextcommcolor-items", ("sextcommcolor_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcolorItems)), ("scommlist-items", ("scommlist_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScommlistItems)), ("sextcommlist-items", ("sextcommlist_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommlistItems)), ("srtt-items", ("srtt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems)), ("srtdist-items", ("srtdist_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrtdistItems)), ("srttag-items", ("srttag_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttagItems)), ("sweight-items", ("sweight_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SweightItems)), ("slblindex-items", ("slblindex_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SlblindexItems)), ("spref-items", ("spref_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprefItems)), ("smetric-items", ("smetric_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetricItems)), ("smetrict-items", ("smetrict_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetrictItems)), ("sdamp-items", ("sdamp_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SdampItems)), ("sprec-items", ("sprec_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprecItems)), ("sprecv6-items", ("sprecv6_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Sprecv6Items)), ("snssa-items", ("snssa_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SnssaItems)), ("sfwdaddr-items", ("sfwdaddr_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SfwdaddrItems)), ("nh-items", ("nh_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems)), ("nhpa-items", ("nhpa_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhpaItems)), ("setaspathprepend-items", ("setaspathprepend_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathprependItems)), ("setaspathlastas-items", ("setaspathlastas_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathlastasItems)), ("setaspathtag-items", ("setaspathtag_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathtagItems)), ("origin-items", ("origin_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.OriginItems))])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('loadsharev4', (YLeaf(YType.enumeration, 'loadShareV4'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('loadsharev6', (YLeaf(YType.enumeration, 'loadShareV6'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('forceorderv4', (YLeaf(YType.enumeration, 'forceOrderV4'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('forceorderv6', (YLeaf(YType.enumeration, 'forceOrderV6'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('droponfailv4', (YLeaf(YType.enumeration, 'dropOnFailV4'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('droponfailv6', (YLeaf(YType.enumeration, 'dropOnFailV6'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                            ])
                            self.order = None
                            self.loadsharev4 = None
                            self.loadsharev6 = None
                            self.forceorderv4 = None
                            self.forceorderv6 = None
                            self.droponfailv4 = None
                            self.droponfailv6 = None
                            self.name = None
                            self.descr = None
                            self.action = None

                            self.mregcomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems()
                            self.mregcomm_items.parent = self
                            self._children_name_map["mregcomm_items"] = "mregcomm-items"

                            self.mextcomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems()
                            self.mextcomm_items.parent = self
                            self._children_name_map["mextcomm_items"] = "mextcomm-items"

                            self.mrtdst_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems()
                            self.mrtdst_items.parent = self
                            self._children_name_map["mrtdst_items"] = "mrtdst-items"

                            self.mrtdstv6_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items()
                            self.mrtdstv6_items.parent = self
                            self._children_name_map["mrtdstv6_items"] = "mrtdstv6-items"

                            self.mipv4mcast_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv4mcastItems()
                            self.mipv4mcast_items.parent = self
                            self._children_name_map["mipv4mcast_items"] = "mipv4mcast-items"

                            self.mipv6mcast_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv6mcastItems()
                            self.mipv6mcast_items.parent = self
                            self._children_name_map["mipv6mcast_items"] = "mipv6mcast-items"

                            self.mrtnh_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems()
                            self.mrtnh_items.parent = self
                            self._children_name_map["mrtnh_items"] = "mrtnh-items"

                            self.mrtnhv6_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items()
                            self.mrtnhv6_items.parent = self
                            self._children_name_map["mrtnhv6_items"] = "mrtnhv6-items"

                            self.mrtsrc_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems()
                            self.mrtsrc_items.parent = self
                            self._children_name_map["mrtsrc_items"] = "mrtsrc-items"

                            self.mrtsrcv6_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items()
                            self.mrtsrcv6_items.parent = self
                            self._children_name_map["mrtsrcv6_items"] = "mrtsrcv6-items"

                            self.mrttype_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems()
                            self.mrttype_items.parent = self
                            self._children_name_map["mrttype_items"] = "mrttype-items"

                            self.mrttag_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems()
                            self.mrttag_items.parent = self
                            self._children_name_map["mrttag_items"] = "mrttag-items"

                            self.msrcprot_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems()
                            self.msrcprot_items.parent = self
                            self._children_name_map["msrcprot_items"] = "msrcprot-items"

                            self.mrtpervasive_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtpervasiveItems()
                            self.mrtpervasive_items.parent = self
                            self._children_name_map["mrtpervasive_items"] = "mrtpervasive-items"

                            self.mrtacclist_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems()
                            self.mrtacclist_items.parent = self
                            self._children_name_map["mrtacclist_items"] = "mrtacclist-items"

                            self.mrtmetric_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems()
                            self.mrtmetric_items.parent = self
                            self._children_name_map["mrtmetric_items"] = "mrtmetric-items"

                            self.mrtasn_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems()
                            self.mrtasn_items.parent = self
                            self._children_name_map["mrtasn_items"] = "mrtasn-items"

                            self.mrtif_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems()
                            self.mrtif_items.parent = self
                            self._children_name_map["mrtif_items"] = "mrtif-items"

                            self.mrtospf_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems()
                            self.mrtospf_items.parent = self
                            self._children_name_map["mrtospf_items"] = "mrtospf-items"

                            self.scontinue_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScontinueItems()
                            self.scontinue_items.parent = self
                            self._children_name_map["scontinue_items"] = "scontinue-items"

                            self.sregcomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems()
                            self.sregcomm_items.parent = self
                            self._children_name_map["sregcomm_items"] = "sregcomm-items"

                            self.sextcomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems()
                            self.sextcomm_items.parent = self
                            self._children_name_map["sextcomm_items"] = "sextcomm-items"

                            self.sextcommcost_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems()
                            self.sextcommcost_items.parent = self
                            self._children_name_map["sextcommcost_items"] = "sextcommcost-items"

                            self.sextcommcolor_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcolorItems()
                            self.sextcommcolor_items.parent = self
                            self._children_name_map["sextcommcolor_items"] = "sextcommcolor-items"

                            self.scommlist_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScommlistItems()
                            self.scommlist_items.parent = self
                            self._children_name_map["scommlist_items"] = "scommlist-items"

                            self.sextcommlist_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommlistItems()
                            self.sextcommlist_items.parent = self
                            self._children_name_map["sextcommlist_items"] = "sextcommlist-items"

                            self.srtt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems()
                            self.srtt_items.parent = self
                            self._children_name_map["srtt_items"] = "srtt-items"

                            self.srtdist_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrtdistItems()
                            self.srtdist_items.parent = self
                            self._children_name_map["srtdist_items"] = "srtdist-items"

                            self.srttag_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttagItems()
                            self.srttag_items.parent = self
                            self._children_name_map["srttag_items"] = "srttag-items"

                            self.sweight_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SweightItems()
                            self.sweight_items.parent = self
                            self._children_name_map["sweight_items"] = "sweight-items"

                            self.slblindex_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SlblindexItems()
                            self.slblindex_items.parent = self
                            self._children_name_map["slblindex_items"] = "slblindex-items"

                            self.spref_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprefItems()
                            self.spref_items.parent = self
                            self._children_name_map["spref_items"] = "spref-items"

                            self.smetric_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetricItems()
                            self.smetric_items.parent = self
                            self._children_name_map["smetric_items"] = "smetric-items"

                            self.smetrict_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetrictItems()
                            self.smetrict_items.parent = self
                            self._children_name_map["smetrict_items"] = "smetrict-items"

                            self.sdamp_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SdampItems()
                            self.sdamp_items.parent = self
                            self._children_name_map["sdamp_items"] = "sdamp-items"

                            self.sprec_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprecItems()
                            self.sprec_items.parent = self
                            self._children_name_map["sprec_items"] = "sprec-items"

                            self.sprecv6_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Sprecv6Items()
                            self.sprecv6_items.parent = self
                            self._children_name_map["sprecv6_items"] = "sprecv6-items"

                            self.snssa_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SnssaItems()
                            self.snssa_items.parent = self
                            self._children_name_map["snssa_items"] = "snssa-items"

                            self.sfwdaddr_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SfwdaddrItems()
                            self.sfwdaddr_items.parent = self
                            self._children_name_map["sfwdaddr_items"] = "sfwdaddr-items"

                            self.nh_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems()
                            self.nh_items.parent = self
                            self._children_name_map["nh_items"] = "nh-items"

                            self.nhpa_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhpaItems()
                            self.nhpa_items.parent = self
                            self._children_name_map["nhpa_items"] = "nhpa-items"

                            self.setaspathprepend_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathprependItems()
                            self.setaspathprepend_items.parent = self
                            self._children_name_map["setaspathprepend_items"] = "setaspathprepend-items"

                            self.setaspathlastas_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathlastasItems()
                            self.setaspathlastas_items.parent = self
                            self._children_name_map["setaspathlastas_items"] = "setaspathlastas-items"

                            self.setaspathtag_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathtagItems()
                            self.setaspathtag_items.parent = self
                            self._children_name_map["setaspathtag_items"] = "setaspathtag-items"

                            self.origin_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.OriginItems()
                            self.origin_items.parent = self
                            self._children_name_map["origin_items"] = "origin-items"
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList, ['order', 'loadsharev4', 'loadsharev6', 'forceorderv4', 'forceorderv6', 'droponfailv4', 'droponfailv6', 'name', 'descr', 'action'], name, value)


                        class MregcommItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: criteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapCriteria>`
                            
                            .. attribute:: rsregcommatt_items
                            
                            	
                            	**type**\:  :py:class:`RsregCommAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems, self).__init__()

                                self.yang_name = "mregcomm-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsregCommAtt-items", ("rsregcommatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapCriteria', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.criteria = None

                                self.rsregcommatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems()
                                self.rsregcommatt_items.parent = self
                                self._children_name_map["rsregcommatt_items"] = "rsregCommAtt-items"
                                self._segment_path = lambda: "mregcomm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems, ['name', 'descr', 'type', 'criteria'], name, value)


                            class RsregCommAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsregcommatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRegCommAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems.RsRegCommAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems, self).__init__()

                                    self.yang_name = "rsregCommAtt-items"
                                    self.yang_parent_name = "mregcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRegCommAtt-list", ("rsregcommatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems.RsRegCommAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsregcommatt_list = YList(self)
                                    self._segment_path = lambda: "rsregCommAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems, [], name, value)


                                class RsRegCommAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems.RsRegCommAttList, self).__init__()

                                        self.yang_name = "RsRegCommAtt-list"
                                        self.yang_parent_name = "rsregCommAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRegCommAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MregcommItems.RsregCommAttItems.RsRegCommAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class MextcommItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: criteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapCriteria>`
                            
                            .. attribute:: rsextcommatt_items
                            
                            	
                            	**type**\:  :py:class:`RsextCommAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems, self).__init__()

                                self.yang_name = "mextcomm-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsextCommAtt-items", ("rsextcommatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapCriteria', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.criteria = None

                                self.rsextcommatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems()
                                self.rsextcommatt_items.parent = self
                                self._children_name_map["rsextcommatt_items"] = "rsextCommAtt-items"
                                self._segment_path = lambda: "mextcomm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems, ['name', 'descr', 'type', 'criteria'], name, value)


                            class RsextCommAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsextcommatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsExtCommAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems.RsExtCommAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems, self).__init__()

                                    self.yang_name = "rsextCommAtt-items"
                                    self.yang_parent_name = "mextcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsExtCommAtt-list", ("rsextcommatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems.RsExtCommAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsextcommatt_list = YList(self)
                                    self._segment_path = lambda: "rsextCommAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems, [], name, value)


                                class RsExtCommAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems.RsExtCommAttList, self).__init__()

                                        self.yang_name = "RsExtCommAtt-list"
                                        self.yang_parent_name = "rsextCommAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsExtCommAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MextcommItems.RsextCommAttItems.RsExtCommAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class MrtdstItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtdstatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrtDstAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems, self).__init__()

                                self.yang_name = "mrtdst-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtDstAtt-items", ("rsrtdstatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtdstatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems()
                                self.rsrtdstatt_items.parent = self
                                self._children_name_map["rsrtdstatt_items"] = "rsrtDstAtt-items"
                                self._segment_path = lambda: "mrtdst-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems, ['name', 'descr', 'type'], name, value)


                            class RsrtDstAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtdstatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtDstAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems.RsRtDstAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems, self).__init__()

                                    self.yang_name = "rsrtDstAtt-items"
                                    self.yang_parent_name = "mrtdst-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtDstAtt-list", ("rsrtdstatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems.RsRtDstAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtdstatt_list = YList(self)
                                    self._segment_path = lambda: "rsrtDstAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems, [], name, value)


                                class RsRtDstAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems.RsRtDstAttList, self).__init__()

                                        self.yang_name = "RsRtDstAtt-list"
                                        self.yang_parent_name = "rsrtDstAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtDstAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtdstItems.RsrtDstAttItems.RsRtDstAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class Mrtdstv6Items(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtdstv6att_items
                            
                            	
                            	**type**\:  :py:class:`RsrtDstV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items, self).__init__()

                                self.yang_name = "mrtdstv6-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtDstV6Att-items", ("rsrtdstv6att_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtdstv6att_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems()
                                self.rsrtdstv6att_items.parent = self
                                self._children_name_map["rsrtdstv6att_items"] = "rsrtDstV6Att-items"
                                self._segment_path = lambda: "mrtdstv6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items, ['name', 'descr', 'type'], name, value)


                            class RsrtDstV6AttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtdstv6att_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtDstV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems.RsRtDstV6AttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems, self).__init__()

                                    self.yang_name = "rsrtDstV6Att-items"
                                    self.yang_parent_name = "mrtdstv6-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtDstV6Att-list", ("rsrtdstv6att_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems.RsRtDstV6AttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtdstv6att_list = YList(self)
                                    self._segment_path = lambda: "rsrtDstV6Att-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems, [], name, value)


                                class RsRtDstV6AttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems.RsRtDstV6AttList, self).__init__()

                                        self.yang_name = "RsRtDstV6Att-list"
                                        self.yang_parent_name = "rsrtDstV6Att-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtDstV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtdstv6Items.RsrtDstV6AttItems.RsRtDstV6AttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class Mipv4mcastItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	descr
                            	**type**\: str
                            
                            	**length:** 0..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            	**config**\: False
                            
                            .. attribute:: groupaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: groupstartaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: groupendaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: rp
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: rptype
                            
                            	rp type ASM/Bidir
                            	**type**\:  :py:class:`RtmapRpTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapRpTypeT>`
                            
                            .. attribute:: sourceaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv4mcastItems, self).__init__()

                                self.yang_name = "mipv4mcast-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ('groupaddr', (YLeaf(YType.str, 'groupAddr'), ['str','str'])),
                                    ('groupstartaddr', (YLeaf(YType.str, 'groupStartAddr'), ['str','str'])),
                                    ('groupendaddr', (YLeaf(YType.str, 'groupEndAddr'), ['str','str'])),
                                    ('rp', (YLeaf(YType.str, 'rp'), ['str','str'])),
                                    ('rptype', (YLeaf(YType.enumeration, 'rpType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapRpTypeT', '')])),
                                    ('sourceaddr', (YLeaf(YType.str, 'sourceAddr'), ['str','str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.groupaddr = None
                                self.groupstartaddr = None
                                self.groupendaddr = None
                                self.rp = None
                                self.rptype = None
                                self.sourceaddr = None
                                self._segment_path = lambda: "mipv4mcast-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv4mcastItems, ['name', 'descr', 'type', 'groupaddr', 'groupstartaddr', 'groupendaddr', 'rp', 'rptype', 'sourceaddr'], name, value)



                        class Mipv6mcastItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	descr
                            	**type**\: str
                            
                            	**length:** 0..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            	**config**\: False
                            
                            .. attribute:: groupaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: groupstartaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: groupendaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: rp
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: rptype
                            
                            	rp type ASM/Bidir
                            	**type**\:  :py:class:`RtmapRpTypeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapRpTypeT>`
                            
                            .. attribute:: sourceaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv6mcastItems, self).__init__()

                                self.yang_name = "mipv6mcast-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ('groupaddr', (YLeaf(YType.str, 'groupAddr'), ['str','str'])),
                                    ('groupstartaddr', (YLeaf(YType.str, 'groupStartAddr'), ['str','str'])),
                                    ('groupendaddr', (YLeaf(YType.str, 'groupEndAddr'), ['str','str'])),
                                    ('rp', (YLeaf(YType.str, 'rp'), ['str','str'])),
                                    ('rptype', (YLeaf(YType.enumeration, 'rpType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapRpTypeT', '')])),
                                    ('sourceaddr', (YLeaf(YType.str, 'sourceAddr'), ['str','str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.groupaddr = None
                                self.groupstartaddr = None
                                self.groupendaddr = None
                                self.rp = None
                                self.rptype = None
                                self.sourceaddr = None
                                self._segment_path = lambda: "mipv6mcast-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mipv6mcastItems, ['name', 'descr', 'type', 'groupaddr', 'groupstartaddr', 'groupendaddr', 'rp', 'rptype', 'sourceaddr'], name, value)



                        class MrtnhItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtnhatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrtNhAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems, self).__init__()

                                self.yang_name = "mrtnh-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtNhAtt-items", ("rsrtnhatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtnhatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems()
                                self.rsrtnhatt_items.parent = self
                                self._children_name_map["rsrtnhatt_items"] = "rsrtNhAtt-items"
                                self._segment_path = lambda: "mrtnh-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems, ['name', 'descr', 'type'], name, value)


                            class RsrtNhAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtnhatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtNhAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems.RsRtNhAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems, self).__init__()

                                    self.yang_name = "rsrtNhAtt-items"
                                    self.yang_parent_name = "mrtnh-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtNhAtt-list", ("rsrtnhatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems.RsRtNhAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtnhatt_list = YList(self)
                                    self._segment_path = lambda: "rsrtNhAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems, [], name, value)


                                class RsRtNhAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems.RsRtNhAttList, self).__init__()

                                        self.yang_name = "RsRtNhAtt-list"
                                        self.yang_parent_name = "rsrtNhAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtNhAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtnhItems.RsrtNhAttItems.RsRtNhAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class Mrtnhv6Items(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtnhv6att_items
                            
                            	
                            	**type**\:  :py:class:`RsrtNhV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items, self).__init__()

                                self.yang_name = "mrtnhv6-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtNhV6Att-items", ("rsrtnhv6att_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtnhv6att_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems()
                                self.rsrtnhv6att_items.parent = self
                                self._children_name_map["rsrtnhv6att_items"] = "rsrtNhV6Att-items"
                                self._segment_path = lambda: "mrtnhv6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items, ['name', 'descr', 'type'], name, value)


                            class RsrtNhV6AttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtnhv6att_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtNhV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems.RsRtNhV6AttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems, self).__init__()

                                    self.yang_name = "rsrtNhV6Att-items"
                                    self.yang_parent_name = "mrtnhv6-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtNhV6Att-list", ("rsrtnhv6att_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems.RsRtNhV6AttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtnhv6att_list = YList(self)
                                    self._segment_path = lambda: "rsrtNhV6Att-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems, [], name, value)


                                class RsRtNhV6AttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems.RsRtNhV6AttList, self).__init__()

                                        self.yang_name = "RsRtNhV6Att-list"
                                        self.yang_parent_name = "rsrtNhV6Att-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtNhV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtnhv6Items.RsrtNhV6AttItems.RsRtNhV6AttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class MrtsrcItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtsrcatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrtSrcAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems, self).__init__()

                                self.yang_name = "mrtsrc-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtSrcAtt-items", ("rsrtsrcatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtsrcatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems()
                                self.rsrtsrcatt_items.parent = self
                                self._children_name_map["rsrtsrcatt_items"] = "rsrtSrcAtt-items"
                                self._segment_path = lambda: "mrtsrc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems, ['name', 'descr', 'type'], name, value)


                            class RsrtSrcAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtsrcatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtSrcAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems.RsRtSrcAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems, self).__init__()

                                    self.yang_name = "rsrtSrcAtt-items"
                                    self.yang_parent_name = "mrtsrc-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtSrcAtt-list", ("rsrtsrcatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems.RsRtSrcAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtsrcatt_list = YList(self)
                                    self._segment_path = lambda: "rsrtSrcAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems, [], name, value)


                                class RsRtSrcAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems.RsRtSrcAttList, self).__init__()

                                        self.yang_name = "RsRtSrcAtt-list"
                                        self.yang_parent_name = "rsrtSrcAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtSrcAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtsrcItems.RsrtSrcAttItems.RsRtSrcAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class Mrtsrcv6Items(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtsrcv6att_items
                            
                            	
                            	**type**\:  :py:class:`RsrtSrcV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items, self).__init__()

                                self.yang_name = "mrtsrcv6-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtSrcV6Att-items", ("rsrtsrcv6att_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtsrcv6att_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems()
                                self.rsrtsrcv6att_items.parent = self
                                self._children_name_map["rsrtsrcv6att_items"] = "rsrtSrcV6Att-items"
                                self._segment_path = lambda: "mrtsrcv6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items, ['name', 'descr', 'type'], name, value)


                            class RsrtSrcV6AttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtsrcv6att_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtSrcV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems.RsRtSrcV6AttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems, self).__init__()

                                    self.yang_name = "rsrtSrcV6Att-items"
                                    self.yang_parent_name = "mrtsrcv6-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtSrcV6Att-list", ("rsrtsrcv6att_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems.RsRtSrcV6AttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtsrcv6att_list = YList(self)
                                    self._segment_path = lambda: "rsrtSrcV6Att-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems, [], name, value)


                                class RsRtSrcV6AttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems.RsRtSrcV6AttList, self).__init__()

                                        self.yang_name = "RsRtSrcV6Att-list"
                                        self.yang_parent_name = "rsrtSrcV6Att-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtSrcV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Mrtsrcv6Items.RsrtSrcV6AttItems.RsRtSrcV6AttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class MrttypeItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrttype_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtTypeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems.MatchRtTypeList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems, self).__init__()

                                self.yang_name = "mrttype-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtType-list", ("matchrttype_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems.MatchRtTypeList))])
                                self._leafs = OrderedDict()

                                self.matchrttype_list = YList(self)
                                self._segment_path = lambda: "mrttype-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems, [], name, value)


                            class MatchRtTypeList(Entity):
                                """
                                
                                
                                .. attribute:: routet  (key)
                                
                                	Route Type
                                	**type**\:  :py:class:`RtmapRouteT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapRouteT>`
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems.MatchRtTypeList, self).__init__()

                                    self.yang_name = "MatchRtType-list"
                                    self.yang_parent_name = "mrttype-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['routet']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('routet', (YLeaf(YType.enumeration, 'routeT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapRouteT', '')])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.routet = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtType-list" + "[routeT='" + str(self.routet) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttypeItems.MatchRtTypeList, ['routet', 'name', 'descr', 'type'], name, value)




                        class MrttagItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrttag_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtTagList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems.MatchRtTagList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems, self).__init__()

                                self.yang_name = "mrttag-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtTag-list", ("matchrttag_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems.MatchRtTagList))])
                                self._leafs = OrderedDict()

                                self.matchrttag_list = YList(self)
                                self._segment_path = lambda: "mrttag-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems, [], name, value)


                            class MatchRtTagList(Entity):
                                """
                                
                                
                                .. attribute:: tag  (key)
                                
                                	Route Tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems.MatchRtTagList, self).__init__()

                                    self.yang_name = "MatchRtTag-list"
                                    self.yang_parent_name = "mrttag-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tag']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.tag = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtTag-list" + "[tag='" + str(self.tag) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrttagItems.MatchRtTagList, ['tag', 'name', 'descr', 'type'], name, value)




                        class MsrcprotItems(Entity):
                            """
                            
                            
                            .. attribute:: matchsrcproto_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchSrcProtoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems.MatchSrcProtoList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems, self).__init__()

                                self.yang_name = "msrcprot-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchSrcProto-list", ("matchsrcproto_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems.MatchSrcProtoList))])
                                self._leafs = OrderedDict()

                                self.matchsrcproto_list = YList(self)
                                self._segment_path = lambda: "msrcprot-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems, [], name, value)


                            class MatchSrcProtoList(Entity):
                                """
                                
                                
                                .. attribute:: proto  (key)
                                
                                	
                                	**type**\: str
                                
                                	**length:** 1..32
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems.MatchSrcProtoList, self).__init__()

                                    self.yang_name = "MatchSrcProto-list"
                                    self.yang_parent_name = "msrcprot-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['proto']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('proto', (YLeaf(YType.str, 'proto'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.proto = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchSrcProto-list" + "[proto='" + str(self.proto) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MsrcprotItems.MatchSrcProtoList, ['proto', 'name', 'descr', 'type'], name, value)




                        class MrtpervasiveItems(Entity):
                            """
                            
                            
                            .. attribute:: pervasive
                            
                            	Pervasive
                            	**type**\:  :py:class:`RtmapRoutePervasive <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapRoutePervasive>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtpervasiveItems, self).__init__()

                                self.yang_name = "mrtpervasive-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('pervasive', (YLeaf(YType.enumeration, 'pervasive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapRoutePervasive', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.pervasive = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "mrtpervasive-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtpervasiveItems, ['pervasive', 'name', 'descr', 'type'], name, value)



                        class MrtacclistItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                            
                            .. attribute:: rsrtaspathaccatt_items
                            
                            	
                            	**type**\:  :py:class:`RsrtAsPathAccAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems, self).__init__()

                                self.yang_name = "mrtacclist-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("rsrtAsPathAccAtt-items", ("rsrtaspathaccatt_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None

                                self.rsrtaspathaccatt_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems()
                                self.rsrtaspathaccatt_items.parent = self
                                self._children_name_map["rsrtaspathaccatt_items"] = "rsrtAsPathAccAtt-items"
                                self._segment_path = lambda: "mrtacclist-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems, ['name', 'descr', 'type'], name, value)


                            class RsrtAsPathAccAttItems(Entity):
                                """
                                
                                
                                .. attribute:: rsrtaspathaccatt_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsRtAsPathAccAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems.RsRtAsPathAccAttList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems, self).__init__()

                                    self.yang_name = "rsrtAsPathAccAtt-items"
                                    self.yang_parent_name = "mrtacclist-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsRtAsPathAccAtt-list", ("rsrtaspathaccatt_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems.RsRtAsPathAccAttList))])
                                    self._leafs = OrderedDict()

                                    self.rsrtaspathaccatt_list = YList(self)
                                    self._segment_path = lambda: "rsrtAsPathAccAtt-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems, [], name, value)


                                class RsRtAsPathAccAttList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: state
                                    
                                    	State
                                    	**type**\:  :py:class:`RelnState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: statequal
                                    
                                    	State Qualifier
                                    	**type**\:  :py:class:`RelnStateQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnStateQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ttype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnTargetType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnTargetType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtype
                                    
                                    	TBD
                                    	**type**\:  :py:class:`RelnResolverType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnResolverType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: forceresolve
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: true
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems.RsRtAsPathAccAttList, self).__init__()

                                        self.yang_name = "RsRtAsPathAccAtt-list"
                                        self.yang_parent_name = "rsrtAsPathAccAtt-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnState', '')])),
                                            ('statequal', (YLeaf(YType.enumeration, 'stateQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnStateQual', '')])),
                                            ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnTargetType', '')])),
                                            ('rtype', (YLeaf(YType.enumeration, 'rType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnResolverType', '')])),
                                            ('forceresolve', (YLeaf(YType.boolean, 'forceResolve'), ['bool'])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self.state = None
                                        self.statequal = None
                                        self.ttype = None
                                        self.rtype = None
                                        self.forceresolve = None
                                        self._segment_path = lambda: "RsRtAsPathAccAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtacclistItems.RsrtAsPathAccAttItems.RsRtAsPathAccAttList, ['tdn', 'tcl', 'state', 'statequal', 'ttype', 'rtype', 'forceresolve'], name, value)





                        class MrtmetricItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrtmetric_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtMetricList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems.MatchRtMetricList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems, self).__init__()

                                self.yang_name = "mrtmetric-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtMetric-list", ("matchrtmetric_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems.MatchRtMetricList))])
                                self._leafs = OrderedDict()

                                self.matchrtmetric_list = YList(self)
                                self._segment_path = lambda: "mrtmetric-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems, [], name, value)


                            class MatchRtMetricList(Entity):
                                """
                                
                                
                                .. attribute:: measure  (key)
                                
                                	Route Metric Measure
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deviation  (key)
                                
                                	Route Metric Deviation
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems.MatchRtMetricList, self).__init__()

                                    self.yang_name = "MatchRtMetric-list"
                                    self.yang_parent_name = "mrtmetric-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['measure','deviation']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('measure', (YLeaf(YType.uint32, 'measure'), ['int'])),
                                        ('deviation', (YLeaf(YType.uint32, 'deviation'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.measure = None
                                    self.deviation = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtMetric-list" + "[measure='" + str(self.measure) + "']" + "[deviation='" + str(self.deviation) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtmetricItems.MatchRtMetricList, ['measure', 'deviation', 'name', 'descr', 'type'], name, value)




                        class MrtasnItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrtasn_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtAsnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems.MatchRtAsnList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems, self).__init__()

                                self.yang_name = "mrtasn-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtAsn-list", ("matchrtasn_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems.MatchRtAsnList))])
                                self._leafs = OrderedDict()

                                self.matchrtasn_list = YList(self)
                                self._segment_path = lambda: "mrtasn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems, [], name, value)


                            class MatchRtAsnList(Entity):
                                """
                                
                                
                                .. attribute:: asn  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems.MatchRtAsnList, self).__init__()

                                    self.yang_name = "MatchRtAsn-list"
                                    self.yang_parent_name = "mrtasn-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['asn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.asn = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtAsn-list" + "[asn='" + str(self.asn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtasnItems.MatchRtAsnList, ['asn', 'name', 'descr', 'type'], name, value)




                        class MrtifItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrtif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems.MatchRtIfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems, self).__init__()

                                self.yang_name = "mrtif-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtIf-list", ("matchrtif_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems.MatchRtIfList))])
                                self._leafs = OrderedDict()

                                self.matchrtif_list = YList(self)
                                self._segment_path = lambda: "mrtif-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems, [], name, value)


                            class MatchRtIfList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Route If
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems.MatchRtIfList, self).__init__()

                                    self.yang_name = "MatchRtIf-list"
                                    self.yang_parent_name = "mrtif-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.id = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtIf-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtifItems.MatchRtIfList, ['id', 'name', 'descr', 'type'], name, value)




                        class MrtospfItems(Entity):
                            """
                            
                            
                            .. attribute:: matchrtospf_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MatchRtOspfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems.MatchRtOspfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems, self).__init__()

                                self.yang_name = "mrtospf-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MatchRtOspf-list", ("matchrtospf_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems.MatchRtOspfList))])
                                self._leafs = OrderedDict()

                                self.matchrtospf_list = YList(self)
                                self._segment_path = lambda: "mrtospf-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems, [], name, value)


                            class MatchRtOspfList(Entity):
                                """
                                
                                
                                .. attribute:: area  (key)
                                
                                	OSPF Area
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapMatchT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMatchT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems.MatchRtOspfList, self).__init__()

                                    self.yang_name = "MatchRtOspf-list"
                                    self.yang_parent_name = "mrtospf-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['area']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('area', (YLeaf(YType.uint32, 'area'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMatchT', '')])),
                                    ])
                                    self.area = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "MatchRtOspf-list" + "[area='" + str(self.area) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.MrtospfItems.MatchRtOspfList, ['area', 'name', 'descr', 'type'], name, value)




                        class ScontinueItems(Entity):
                            """
                            
                            
                            .. attribute:: continue_
                            
                            	continue
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScontinueItems, self).__init__()

                                self.yang_name = "scontinue-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('continue_', (YLeaf(YType.uint16, 'continue'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.continue_ = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "scontinue-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScontinueItems, ['continue_', 'name', 'descr', 'type'], name, value)



                        class SregcommItems(Entity):
                            """
                            
                            
                            .. attribute:: additive
                            
                            	Add To Existing Community
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: nocommattr
                            
                            	No Community Attribute
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            .. attribute:: setcriteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                            
                            .. attribute:: scomm_items
                            
                            	
                            	**type**\:  :py:class:`ScommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems>`
                            
                            .. attribute:: item_items
                            
                            	
                            	**type**\:  :py:class:`ItemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems, self).__init__()

                                self.yang_name = "sregcomm-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("scomm-items", ("scomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems)), ("item-items", ("item_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems))])
                                self._leafs = OrderedDict([
                                    ('additive', (YLeaf(YType.enumeration, 'additive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('nocommattr', (YLeaf(YType.enumeration, 'noCommAttr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                ])
                                self.additive = None
                                self.nocommattr = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.setcriteria = None

                                self.scomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems()
                                self.scomm_items.parent = self
                                self._children_name_map["scomm_items"] = "scomm-items"

                                self.item_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems()
                                self.item_items.parent = self
                                self._children_name_map["item_items"] = "item-items"
                                self._segment_path = lambda: "sregcomm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems, ['additive', 'nocommattr', 'name', 'descr', 'type', 'setcriteria'], name, value)


                            class ScommItems(Entity):
                                """
                                
                                
                                .. attribute:: setcommitem_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SetCommItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems.SetCommItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems, self).__init__()

                                    self.yang_name = "scomm-items"
                                    self.yang_parent_name = "sregcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SetCommItem-list", ("setcommitem_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems.SetCommItemList))])
                                    self._leafs = OrderedDict()

                                    self.setcommitem_list = YList(self)
                                    self._segment_path = lambda: "scomm-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems, [], name, value)


                                class SetCommItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems.SetCommItemList, self).__init__()

                                        self.yang_name = "SetCommItem-list"
                                        self.yang_parent_name = "scomm-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ])
                                        self.community = None
                                        self._segment_path = lambda: "SetCommItem-list" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ScommItems.SetCommItemList, ['community'], name, value)




                            class ItemItems(Entity):
                                """
                                
                                
                                .. attribute:: item_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems.ItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems, self).__init__()

                                    self.yang_name = "item-items"
                                    self.yang_parent_name = "sregcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Item-list", ("item_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems.ItemList))])
                                    self._leafs = OrderedDict()

                                    self.item_list = YList(self)
                                    self._segment_path = lambda: "item-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems, [], name, value)


                                class ItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems.ItemList, self).__init__()

                                        self.yang_name = "Item-list"
                                        self.yang_parent_name = "item-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.community = None
                                        self.name = None
                                        self.descr = None
                                        self._segment_path = lambda: "Item-list" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SregcommItems.ItemItems.ItemList, ['community', 'name', 'descr'], name, value)





                        class SextcommItems(Entity):
                            """
                            
                            
                            .. attribute:: additive
                            
                            	Add To Existing Community
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: nocommattr
                            
                            	No Community Attribute
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\:  :py:class:`RtextcomScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomScope>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            .. attribute:: setcriteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                            
                            .. attribute:: item_items
                            
                            	
                            	**type**\:  :py:class:`ItemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems>`
                            
                            .. attribute:: scomm_items
                            
                            	
                            	**type**\:  :py:class:`ScommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems, self).__init__()

                                self.yang_name = "sextcomm-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("item-items", ("item_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems)), ("scomm-items", ("scomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems))])
                                self._leafs = OrderedDict([
                                    ('additive', (YLeaf(YType.enumeration, 'additive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('nocommattr', (YLeaf(YType.enumeration, 'noCommAttr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomScope', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                ])
                                self.additive = None
                                self.nocommattr = None
                                self.scope = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.setcriteria = None

                                self.item_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems()
                                self.item_items.parent = self
                                self._children_name_map["item_items"] = "item-items"

                                self.scomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems()
                                self.scomm_items.parent = self
                                self._children_name_map["scomm_items"] = "scomm-items"
                                self._segment_path = lambda: "sextcomm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems, ['additive', 'nocommattr', 'scope', 'name', 'descr', 'type', 'setcriteria'], name, value)


                            class ItemItems(Entity):
                                """
                                
                                
                                .. attribute:: item_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems.ItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems, self).__init__()

                                    self.yang_name = "item-items"
                                    self.yang_parent_name = "sextcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Item-list", ("item_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems.ItemList))])
                                    self._leafs = OrderedDict()

                                    self.item_list = YList(self)
                                    self._segment_path = lambda: "item-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems, [], name, value)


                                class ItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: scope  (key)
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtextcomScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomScope>`
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`RtextcomType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomType>`
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems.ItemList, self).__init__()

                                        self.yang_name = "Item-list"
                                        self.yang_parent_name = "item-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['scope','community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomScope', '')])),
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.scope = None
                                        self.community = None
                                        self.type = None
                                        self.name = None
                                        self.descr = None
                                        self._segment_path = lambda: "Item-list" + "[scope='" + str(self.scope) + "']" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ItemItems.ItemList, ['scope', 'community', 'type', 'name', 'descr'], name, value)




                            class ScommItems(Entity):
                                """
                                
                                
                                .. attribute:: setcommitem_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SetCommItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems.SetCommItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems, self).__init__()

                                    self.yang_name = "scomm-items"
                                    self.yang_parent_name = "sextcomm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SetCommItem-list", ("setcommitem_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems.SetCommItemList))])
                                    self._leafs = OrderedDict()

                                    self.setcommitem_list = YList(self)
                                    self._segment_path = lambda: "scomm-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems, [], name, value)


                                class SetCommItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems.SetCommItemList, self).__init__()

                                        self.yang_name = "SetCommItem-list"
                                        self.yang_parent_name = "scomm-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ])
                                        self.community = None
                                        self._segment_path = lambda: "SetCommItem-list" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommItems.ScommItems.SetCommItemList, ['community'], name, value)





                        class SextcommcostItems(Entity):
                            """
                            
                            
                            .. attribute:: setextcommcost_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SetExtCommCostList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems.SetExtCommCostList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems, self).__init__()

                                self.yang_name = "sextcommcost-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SetExtCommCost-list", ("setextcommcost_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems.SetExtCommCostList))])
                                self._leafs = OrderedDict()

                                self.setextcommcost_list = YList(self)
                                self._segment_path = lambda: "sextcommcost-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems, [], name, value)


                            class SetExtCommCostList(Entity):
                                """
                                
                                
                                .. attribute:: commcrit  (key)
                                
                                	Criteria
                                	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                                
                                .. attribute:: commid  (key)
                                
                                	Community Id
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: commvalue
                                
                                	Community Value
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                                
                                .. attribute:: setcriteria
                                
                                	Criteria
                                	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems.SetExtCommCostList, self).__init__()

                                    self.yang_name = "SetExtCommCost-list"
                                    self.yang_parent_name = "sextcommcost-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['commcrit','commid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('commcrit', (YLeaf(YType.enumeration, 'commCrit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                        ('commid', (YLeaf(YType.uint8, 'commId'), ['int'])),
                                        ('commvalue', (YLeaf(YType.uint32, 'commValue'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                        ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                    ])
                                    self.commcrit = None
                                    self.commid = None
                                    self.commvalue = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self.setcriteria = None
                                    self._segment_path = lambda: "SetExtCommCost-list" + "[commCrit='" + str(self.commcrit) + "']" + "[commId='" + str(self.commid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcostItems.SetExtCommCostList, ['commcrit', 'commid', 'commvalue', 'name', 'descr', 'type', 'setcriteria'], name, value)




                        class SextcommcolorItems(Entity):
                            """
                            
                            
                            .. attribute:: commvalue
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcolorItems, self).__init__()

                                self.yang_name = "sextcommcolor-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('commvalue', (YLeaf(YType.uint32, 'commValue'), ['int'])),
                                ])
                                self.commvalue = None
                                self._segment_path = lambda: "sextcommcolor-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommcolorItems, ['commvalue'], name, value)



                        class ScommlistItems(Entity):
                            """
                            
                            
                            .. attribute:: delete
                            
                            	Delete Matching Communities
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            .. attribute:: setcriteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScommlistItems, self).__init__()

                                self.yang_name = "scommlist-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('delete', (YLeaf(YType.enumeration, 'delete'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                ])
                                self.delete = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.setcriteria = None
                                self._segment_path = lambda: "scommlist-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.ScommlistItems, ['delete', 'name', 'descr', 'type', 'setcriteria'], name, value)



                        class SextcommlistItems(Entity):
                            """
                            
                            
                            .. attribute:: delete
                            
                            	Delete Matching Ext Communities
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            .. attribute:: setcriteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommlistItems, self).__init__()

                                self.yang_name = "sextcommlist-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('delete', (YLeaf(YType.enumeration, 'delete'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                ])
                                self.delete = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.setcriteria = None
                                self._segment_path = lambda: "sextcommlist-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SextcommlistItems, ['delete', 'name', 'descr', 'type', 'setcriteria'], name, value)



                        class SrttItems(Entity):
                            """
                            
                            
                            .. attribute:: additive
                            
                            	Add To Existing Community
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            .. attribute:: setcriteria
                            
                            	Criteria
                            	**type**\:  :py:class:`RtmapSetCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetCriteria>`
                            
                            .. attribute:: item_items
                            
                            	
                            	**type**\:  :py:class:`ItemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems>`
                            
                            .. attribute:: scomm_items
                            
                            	
                            	**type**\:  :py:class:`ScommItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems, self).__init__()

                                self.yang_name = "srtt-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("item-items", ("item_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems)), ("scomm-items", ("scomm_items", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems))])
                                self._leafs = OrderedDict([
                                    ('additive', (YLeaf(YType.enumeration, 'additive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ('setcriteria', (YLeaf(YType.enumeration, 'setCriteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetCriteria', '')])),
                                ])
                                self.additive = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self.setcriteria = None

                                self.item_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems()
                                self.item_items.parent = self
                                self._children_name_map["item_items"] = "item-items"

                                self.scomm_items = System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems()
                                self.scomm_items.parent = self
                                self._children_name_map["scomm_items"] = "scomm-items"
                                self._segment_path = lambda: "srtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems, ['additive', 'name', 'descr', 'type', 'setcriteria'], name, value)


                            class ItemItems(Entity):
                                """
                                
                                
                                .. attribute:: item_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems.ItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems, self).__init__()

                                    self.yang_name = "item-items"
                                    self.yang_parent_name = "srtt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Item-list", ("item_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems.ItemList))])
                                    self._leafs = OrderedDict()

                                    self.item_list = YList(self)
                                    self._segment_path = lambda: "item-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems, [], name, value)


                                class ItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: scope  (key)
                                    
                                    	Scope
                                    	**type**\:  :py:class:`RtextcomScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomScope>`
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:  :py:class:`RtextcomType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtextcomType>`
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems.ItemList, self).__init__()

                                        self.yang_name = "Item-list"
                                        self.yang_parent_name = "item-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['scope','community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomScope', '')])),
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtextcomType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.scope = None
                                        self.community = None
                                        self.type = None
                                        self.name = None
                                        self.descr = None
                                        self._segment_path = lambda: "Item-list" + "[scope='" + str(self.scope) + "']" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ItemItems.ItemList, ['scope', 'community', 'type', 'name', 'descr'], name, value)




                            class ScommItems(Entity):
                                """
                                
                                
                                .. attribute:: setcommitem_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SetCommItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems.SetCommItemList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems, self).__init__()

                                    self.yang_name = "scomm-items"
                                    self.yang_parent_name = "srtt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SetCommItem-list", ("setcommitem_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems.SetCommItemList))])
                                    self._leafs = OrderedDict()

                                    self.setcommitem_list = YList(self)
                                    self._segment_path = lambda: "scomm-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems, [], name, value)


                                class SetCommItemList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: community  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems.SetCommItemList, self).__init__()

                                        self.yang_name = "SetCommItem-list"
                                        self.yang_parent_name = "scomm-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['community']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ])
                                        self.community = None
                                        self._segment_path = lambda: "SetCommItem-list" + "[community='" + str(self.community) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttItems.ScommItems.SetCommItemList, ['community'], name, value)





                        class SrtdistItems(Entity):
                            """
                            
                            
                            .. attribute:: dist
                            
                            	Distance
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: disti
                            
                            	Distance internal
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: distl
                            
                            	Distance local
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrtdistItems, self).__init__()

                                self.yang_name = "srtdist-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('dist', (YLeaf(YType.uint8, 'dist'), ['int'])),
                                    ('disti', (YLeaf(YType.uint8, 'distI'), ['int'])),
                                    ('distl', (YLeaf(YType.uint8, 'distL'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.dist = None
                                self.disti = None
                                self.distl = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "srtdist-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrtdistItems, ['dist', 'disti', 'distl', 'name', 'descr', 'type'], name, value)



                        class SrttagItems(Entity):
                            """
                            
                            
                            .. attribute:: tag
                            
                            	Tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttagItems, self).__init__()

                                self.yang_name = "srttag-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tag', (YLeaf(YType.uint32, 'tag'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.tag = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "srttag-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SrttagItems, ['tag', 'name', 'descr', 'type'], name, value)



                        class SweightItems(Entity):
                            """
                            
                            
                            .. attribute:: weight
                            
                            	Weight
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SweightItems, self).__init__()

                                self.yang_name = "sweight-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('weight', (YLeaf(YType.uint16, 'weight'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.weight = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "sweight-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SweightItems, ['weight', 'name', 'descr', 'type'], name, value)



                        class SlblindexItems(Entity):
                            """
                            
                            
                            .. attribute:: index
                            
                            	Label Index
                            	**type**\: int
                            
                            	**range:** 0..471788
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SlblindexItems, self).__init__()

                                self.yang_name = "slblindex-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.index = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "slblindex-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SlblindexItems, ['index', 'name', 'descr', 'type'], name, value)



                        class SprefItems(Entity):
                            """
                            
                            
                            .. attribute:: localpref
                            
                            	Local Preference
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprefItems, self).__init__()

                                self.yang_name = "spref-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('localpref', (YLeaf(YType.uint32, 'localPref'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.localpref = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "spref-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprefItems, ['localpref', 'name', 'descr', 'type'], name, value)



                        class SmetricItems(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric
                            	**type**\: str
                            
                            .. attribute:: metricd
                            
                            	Metric delay
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metricr
                            
                            	Metric rlblty
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: metricl
                            
                            	Metric load
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: metricm
                            
                            	Metric mtu
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: isbgp
                            
                            	is BGP config
                            	**type**\: bool
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetricItems, self).__init__()

                                self.yang_name = "smetric-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('metric', (YLeaf(YType.str, 'metric'), ['str'])),
                                    ('metricd', (YLeaf(YType.uint32, 'metricD'), ['int'])),
                                    ('metricr', (YLeaf(YType.uint8, 'metricR'), ['int'])),
                                    ('metricl', (YLeaf(YType.uint8, 'metricL'), ['int'])),
                                    ('metricm', (YLeaf(YType.uint32, 'metricM'), ['int'])),
                                    ('isbgp', (YLeaf(YType.boolean, 'isBGP'), ['bool'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.metric = None
                                self.metricd = None
                                self.metricr = None
                                self.metricl = None
                                self.metricm = None
                                self.isbgp = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "smetric-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetricItems, ['metric', 'metricd', 'metricr', 'metricl', 'metricm', 'isbgp', 'name', 'descr', 'type'], name, value)



                        class SmetrictItems(Entity):
                            """
                            
                            
                            .. attribute:: metrict
                            
                            	Metric Type
                            	**type**\:  :py:class:`RtmapMetricT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapMetricT>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetrictItems, self).__init__()

                                self.yang_name = "smetrict-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('metrict', (YLeaf(YType.enumeration, 'metricT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapMetricT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.metrict = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "smetrict-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SmetrictItems, ['metrict', 'name', 'descr', 'type'], name, value)



                        class SdampItems(Entity):
                            """
                            
                            
                            .. attribute:: halflife
                            
                            	Dampening Halfife
                            	**type**\: int
                            
                            	**range:** 1..45
                            
                            .. attribute:: reuse
                            
                            	Dampening Reuse
                            	**type**\: int
                            
                            	**range:** 1..20000
                            
                            .. attribute:: supress
                            
                            	Dampening Supress
                            	**type**\: int
                            
                            	**range:** 1..20000
                            
                            .. attribute:: duration
                            
                            	Dampening Duration
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SdampItems, self).__init__()

                                self.yang_name = "sdamp-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('halflife', (YLeaf(YType.uint8, 'halflife'), ['int'])),
                                    ('reuse', (YLeaf(YType.uint16, 'reuse'), ['int'])),
                                    ('supress', (YLeaf(YType.uint16, 'supress'), ['int'])),
                                    ('duration', (YLeaf(YType.uint8, 'duration'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.halflife = None
                                self.reuse = None
                                self.supress = None
                                self.duration = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "sdamp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SdampItems, ['halflife', 'reuse', 'supress', 'duration', 'name', 'descr', 'type'], name, value)



                        class SprecItems(Entity):
                            """
                            
                            
                            .. attribute:: precname
                            
                            	Precedence Name
                            	**type**\:  :py:class:`RtmapPrecName <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapPrecName>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprecItems, self).__init__()

                                self.yang_name = "sprec-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('precname', (YLeaf(YType.enumeration, 'precname'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapPrecName', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.precname = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "sprec-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SprecItems, ['precname', 'name', 'descr', 'type'], name, value)



                        class Sprecv6Items(Entity):
                            """
                            
                            
                            .. attribute:: precname
                            
                            	Precedence Name
                            	**type**\:  :py:class:`RtmapPrecName <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapPrecName>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Sprecv6Items, self).__init__()

                                self.yang_name = "sprecv6-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('precname', (YLeaf(YType.enumeration, 'precname'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapPrecName', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.precname = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "sprecv6-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.Sprecv6Items, ['precname', 'name', 'descr', 'type'], name, value)



                        class SnssaItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SnssaItems, self).__init__()

                                self.yang_name = "snssa-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "snssa-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SnssaItems, ['name', 'descr', 'type'], name, value)



                        class SfwdaddrItems(Entity):
                            """
                            
                            
                            .. attribute:: fwdaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SfwdaddrItems, self).__init__()

                                self.yang_name = "sfwdaddr-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('fwdaddr', (YLeaf(YType.str, 'fwdAddr'), ['str','str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.fwdaddr = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "sfwdaddr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SfwdaddrItems, ['fwdaddr', 'name', 'descr', 'type'], name, value)



                        class NhItems(Entity):
                            """
                            
                            
                            .. attribute:: setnh_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SetNhList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems.SetNhList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems, self).__init__()

                                self.yang_name = "nh-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SetNh-list", ("setnh_list", System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems.SetNhList))])
                                self._leafs = OrderedDict()

                                self.setnh_list = YList(self)
                                self._segment_path = lambda: "nh-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems, [], name, value)


                            class SetNhList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems.SetNhList, self).__init__()

                                    self.yang_name = "SetNh-list"
                                    self.yang_parent_name = "nh-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "SetNh-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhItems.SetNhList, ['addr', 'name', 'descr', 'type'], name, value)




                        class NhpaItems(Entity):
                            """
                            
                            
                            .. attribute:: v4peeraddr
                            
                            	Set Next Hop V4 Peer Address
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: v6peeraddr
                            
                            	Set Next Hop V6 Peer Address
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: v4unchange
                            
                            	Set IPv4 Next Hop Unchanged
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: v6unchange
                            
                            	Set IPv6 Next Hop Unchanged
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhpaItems, self).__init__()

                                self.yang_name = "nhpa-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('v4peeraddr', (YLeaf(YType.enumeration, 'v4PeerAddr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('v6peeraddr', (YLeaf(YType.enumeration, 'v6PeerAddr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('v4unchange', (YLeaf(YType.enumeration, 'v4Unchange'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('v6unchange', (YLeaf(YType.enumeration, 'v6Unchange'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.v4peeraddr = None
                                self.v6peeraddr = None
                                self.v4unchange = None
                                self.v6unchange = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "nhpa-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.NhpaItems, ['v4peeraddr', 'v6peeraddr', 'v4unchange', 'v6unchange', 'name', 'descr', 'type'], name, value)



                        class SetaspathprependItems(Entity):
                            """
                            
                            
                            .. attribute:: as_
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathprependItems, self).__init__()

                                self.yang_name = "setaspathprepend-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('as_', (YLeaf(YType.str, 'as'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.as_ = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "setaspathprepend-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathprependItems, ['as_', 'name', 'descr', 'type'], name, value)



                        class SetaspathlastasItems(Entity):
                            """
                            
                            
                            .. attribute:: lastas
                            
                            	LastAs
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathlastasItems, self).__init__()

                                self.yang_name = "setaspathlastas-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lastas', (YLeaf(YType.uint16, 'lastas'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.lastas = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "setaspathlastas-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathlastasItems, ['lastas', 'name', 'descr', 'type'], name, value)



                        class SetaspathtagItems(Entity):
                            """
                            
                            
                            .. attribute:: tag
                            
                            	Set as path tag
                            	**type**\:  :py:class:`RtmapAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAdminSt>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathtagItems, self).__init__()

                                self.yang_name = "setaspathtag-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tag', (YLeaf(YType.enumeration, 'tag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAdminSt', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.tag = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "setaspathtag-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.SetaspathtagItems, ['tag', 'name', 'descr', 'type'], name, value)



                        class OriginItems(Entity):
                            """
                            
                            
                            .. attribute:: origint
                            
                            	Origin Type
                            	**type**\:  :py:class:`RtmapOriginT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapOriginT>`
                            
                            .. attribute:: asn
                            
                            	Autonomous System Number
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:  :py:class:`RtmapSetT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapSetT>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.OriginItems, self).__init__()

                                self.yang_name = "origin-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('origint', (YLeaf(YType.enumeration, 'originT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapOriginT', '')])),
                                    ('asn', (YLeaf(YType.uint32, 'asn'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapSetT', '')])),
                                ])
                                self.origint = None
                                self.asn = None
                                self.name = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "origin-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtmapItems.RuleList.EntItems.EntryList.OriginItems, ['origint', 'asn', 'name', 'descr', 'type'], name, value)







        class ExpcommlistItems(Entity):
            """
            
            
            .. attribute:: expandedcomlist_list
            
            	
            	**type**\: list of  		 :py:class:`ExpandedComListList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.ExpcommlistItems.ExpandedComListList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.ExpcommlistItems, self).__init__()

                self.yang_name = "expcommlist-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ExpandedComList-list", ("expandedcomlist_list", System.RpmItems.ExpcommlistItems.ExpandedComListList))])
                self._leafs = OrderedDict()

                self.expandedcomlist_list = YList(self)
                self._segment_path = lambda: "expcommlist-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.ExpcommlistItems, [], name, value)


            class ExpandedComListList(Entity):
                """
                
                
                .. attribute:: regex  (key)
                
                	
                	**type**\: str
                
                	**length:** 0..63
                
                .. attribute:: expcommname  (key)
                
                	
                	**type**\: str
                
                	**length:** 0..63
                
                .. attribute:: action
                
                	Action
                	**type**\:  :py:class:`RtmapAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtmapAction>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.ExpcommlistItems.ExpandedComListList, self).__init__()

                    self.yang_name = "ExpandedComList-list"
                    self.yang_parent_name = "expcommlist-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['regex','expcommname']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                        ('expcommname', (YLeaf(YType.str, 'expcommname'), ['str'])),
                        ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtmapAction', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.regex = None
                    self.expcommname = None
                    self.action = None
                    self.name = None
                    self.descr = None
                    self._segment_path = lambda: "ExpandedComList-list" + "[regex='" + str(self.regex) + "']" + "[expcommname='" + str(self.expcommname) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/expcommlist-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.ExpcommlistItems.ExpandedComListList, ['regex', 'expcommname', 'action', 'name', 'descr'], name, value)




        class Pfxlistv4Items(Entity):
            """
            
            
            .. attribute:: rulev4_list
            
            	
            	**type**\: list of  		 :py:class:`RuleV4List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.Pfxlistv4Items, self).__init__()

                self.yang_name = "pfxlistv4-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RuleV4-list", ("rulev4_list", System.RpmItems.Pfxlistv4Items.RuleV4List))])
                self._leafs = OrderedDict()

                self.rulev4_list = YList(self)
                self._segment_path = lambda: "pfxlistv4-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.Pfxlistv4Items, [], name, value)


            class RuleV4List(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	descr
                	**type**\: str
                
                	**length:** 0..90
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems>`
                
                .. attribute:: rtrtmaprtdstatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtDstAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems>`
                
                .. attribute:: rtrtmaprtdstv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtDstV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems>`
                
                .. attribute:: rtrtmaprtnhatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtNhAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems>`
                
                .. attribute:: rtrtmaprtnhv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtNhV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems>`
                
                .. attribute:: rtrtmaprtsrcatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtSrcAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems>`
                
                .. attribute:: rtrtmaprtsrcv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtSrcV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.Pfxlistv4Items.RuleV4List, self).__init__()

                    self.yang_name = "RuleV4-list"
                    self.yang_parent_name = "pfxlistv4-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems)), ("rtrtmapRtDstAtt-items", ("rtrtmaprtdstatt_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems)), ("rtrtmapRtDstV6Att-items", ("rtrtmaprtdstv6att_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems)), ("rtrtmapRtNhAtt-items", ("rtrtmaprtnhatt_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems)), ("rtrtmapRtNhV6Att-items", ("rtrtmaprtnhv6att_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems)), ("rtrtmapRtSrcAtt-items", ("rtrtmaprtsrcatt_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems)), ("rtrtmapRtSrcV6Att-items", ("rtrtmaprtsrcv6att_items", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.descr = None

                    self.ent_items = System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtrtmaprtdstatt_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems()
                    self.rtrtmaprtdstatt_items.parent = self
                    self._children_name_map["rtrtmaprtdstatt_items"] = "rtrtmapRtDstAtt-items"

                    self.rtrtmaprtdstv6att_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems()
                    self.rtrtmaprtdstv6att_items.parent = self
                    self._children_name_map["rtrtmaprtdstv6att_items"] = "rtrtmapRtDstV6Att-items"

                    self.rtrtmaprtnhatt_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems()
                    self.rtrtmaprtnhatt_items.parent = self
                    self._children_name_map["rtrtmaprtnhatt_items"] = "rtrtmapRtNhAtt-items"

                    self.rtrtmaprtnhv6att_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems()
                    self.rtrtmaprtnhv6att_items.parent = self
                    self._children_name_map["rtrtmaprtnhv6att_items"] = "rtrtmapRtNhV6Att-items"

                    self.rtrtmaprtsrcatt_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems()
                    self.rtrtmaprtsrcatt_items.parent = self
                    self._children_name_map["rtrtmaprtsrcatt_items"] = "rtrtmapRtSrcAtt-items"

                    self.rtrtmaprtsrcv6att_items = System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems()
                    self.rtrtmaprtsrcv6att_items.parent = self
                    self._children_name_map["rtrtmaprtsrcv6att_items"] = "rtrtmapRtSrcV6Att-items"
                    self._segment_path = lambda: "RuleV4-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/pfxlistv4-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List, ['name', 'descr'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: pfx
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: criteria
                        
                        	Criteria
                        	**type**\:  :py:class:`RtpfxCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtpfxCriteria>`
                        
                        .. attribute:: frompfxlen
                        
                        	Start of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        .. attribute:: topfxlen
                        
                        	End of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                ('mask', (YLeaf(YType.str, 'mask'), ['str','str'])),
                                ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtpfxCriteria', '')])),
                                ('frompfxlen', (YLeaf(YType.uint16, 'fromPfxLen'), ['int'])),
                                ('topfxlen', (YLeaf(YType.uint16, 'toPfxLen'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                            ])
                            self.order = None
                            self.pfx = None
                            self.mask = None
                            self.criteria = None
                            self.frompfxlen = None
                            self.topfxlen = None
                            self.name = None
                            self.descr = None
                            self.action = None
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.EntItems.EntryList, ['order', 'pfx', 'mask', 'criteria', 'frompfxlen', 'topfxlen', 'name', 'descr', 'action'], name, value)




                class RtrtmapRtDstAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtdstatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtDstAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtDstAtt-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtDstAtt-list", ("rtrtmaprtdstatt_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtdstatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtDstAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems, [], name, value)


                    class RtRtmapRtDstAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList, self).__init__()

                            self.yang_name = "RtRtmapRtDstAtt-list"
                            self.yang_parent_name = "rtrtmapRtDstAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtDstAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtDstV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtdstv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtDstV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtDstV6Att-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtDstV6Att-list", ("rtrtmaprtdstv6att_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtdstv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtDstV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems, [], name, value)


                    class RtRtmapRtDstV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtDstV6Att-list"
                            self.yang_parent_name = "rtrtmapRtDstV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtDstV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtNhAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtnhatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtNhAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtNhAtt-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtNhAtt-list", ("rtrtmaprtnhatt_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtnhatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtNhAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems, [], name, value)


                    class RtRtmapRtNhAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList, self).__init__()

                            self.yang_name = "RtRtmapRtNhAtt-list"
                            self.yang_parent_name = "rtrtmapRtNhAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtNhAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtNhV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtnhv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtNhV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtNhV6Att-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtNhV6Att-list", ("rtrtmaprtnhv6att_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtnhv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtNhV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems, [], name, value)


                    class RtRtmapRtNhV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtNhV6Att-list"
                            self.yang_parent_name = "rtrtmapRtNhV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtNhV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtSrcAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtsrcatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtSrcAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtSrcAtt-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtSrcAtt-list", ("rtrtmaprtsrcatt_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtsrcatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtSrcAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems, [], name, value)


                    class RtRtmapRtSrcAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList, self).__init__()

                            self.yang_name = "RtRtmapRtSrcAtt-list"
                            self.yang_parent_name = "rtrtmapRtSrcAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtSrcAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtSrcV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtsrcv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtSrcV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtSrcV6Att-items"
                        self.yang_parent_name = "RuleV4-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtSrcV6Att-list", ("rtrtmaprtsrcv6att_list", System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtsrcv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtSrcV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems, [], name, value)


                    class RtRtmapRtSrcV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtSrcV6Att-list"
                            self.yang_parent_name = "rtrtmapRtSrcV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtSrcV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv4Items.RuleV4List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList, ['tdn', 'tcl'], name, value)






        class Pfxlistv6Items(Entity):
            """
            
            
            .. attribute:: rulev6_list
            
            	
            	**type**\: list of  		 :py:class:`RuleV6List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.Pfxlistv6Items, self).__init__()

                self.yang_name = "pfxlistv6-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RuleV6-list", ("rulev6_list", System.RpmItems.Pfxlistv6Items.RuleV6List))])
                self._leafs = OrderedDict()

                self.rulev6_list = YList(self)
                self._segment_path = lambda: "pfxlistv6-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.Pfxlistv6Items, [], name, value)


            class RuleV6List(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	descr
                	**type**\: str
                
                	**length:** 0..90
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems>`
                
                .. attribute:: rtrtmaprtdstatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtDstAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems>`
                
                .. attribute:: rtrtmaprtdstv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtDstV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems>`
                
                .. attribute:: rtrtmaprtnhatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtNhAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems>`
                
                .. attribute:: rtrtmaprtnhv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtNhV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems>`
                
                .. attribute:: rtrtmaprtsrcatt_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtSrcAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems>`
                
                .. attribute:: rtrtmaprtsrcv6att_items
                
                	
                	**type**\:  :py:class:`RtrtmapRtSrcV6AttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.Pfxlistv6Items.RuleV6List, self).__init__()

                    self.yang_name = "RuleV6-list"
                    self.yang_parent_name = "pfxlistv6-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems)), ("rtrtmapRtDstAtt-items", ("rtrtmaprtdstatt_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems)), ("rtrtmapRtDstV6Att-items", ("rtrtmaprtdstv6att_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems)), ("rtrtmapRtNhAtt-items", ("rtrtmaprtnhatt_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems)), ("rtrtmapRtNhV6Att-items", ("rtrtmaprtnhv6att_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems)), ("rtrtmapRtSrcAtt-items", ("rtrtmaprtsrcatt_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems)), ("rtrtmapRtSrcV6Att-items", ("rtrtmaprtsrcv6att_items", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.name = None
                    self.descr = None

                    self.ent_items = System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtrtmaprtdstatt_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems()
                    self.rtrtmaprtdstatt_items.parent = self
                    self._children_name_map["rtrtmaprtdstatt_items"] = "rtrtmapRtDstAtt-items"

                    self.rtrtmaprtdstv6att_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems()
                    self.rtrtmaprtdstv6att_items.parent = self
                    self._children_name_map["rtrtmaprtdstv6att_items"] = "rtrtmapRtDstV6Att-items"

                    self.rtrtmaprtnhatt_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems()
                    self.rtrtmaprtnhatt_items.parent = self
                    self._children_name_map["rtrtmaprtnhatt_items"] = "rtrtmapRtNhAtt-items"

                    self.rtrtmaprtnhv6att_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems()
                    self.rtrtmaprtnhv6att_items.parent = self
                    self._children_name_map["rtrtmaprtnhv6att_items"] = "rtrtmapRtNhV6Att-items"

                    self.rtrtmaprtsrcatt_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems()
                    self.rtrtmaprtsrcatt_items.parent = self
                    self._children_name_map["rtrtmaprtsrcatt_items"] = "rtrtmapRtSrcAtt-items"

                    self.rtrtmaprtsrcv6att_items = System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems()
                    self.rtrtmaprtsrcv6att_items.parent = self
                    self._children_name_map["rtrtmaprtsrcv6att_items"] = "rtrtmapRtSrcV6Att-items"
                    self._segment_path = lambda: "RuleV6-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/pfxlistv6-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List, ['name', 'descr'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: pfx
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: criteria
                        
                        	Criteria
                        	**type**\:  :py:class:`RtpfxCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtpfxCriteria>`
                        
                        .. attribute:: frompfxlen
                        
                        	Start of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        .. attribute:: topfxlen
                        
                        	End of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                ('mask', (YLeaf(YType.str, 'mask'), ['str','str'])),
                                ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtpfxCriteria', '')])),
                                ('frompfxlen', (YLeaf(YType.uint16, 'fromPfxLen'), ['int'])),
                                ('topfxlen', (YLeaf(YType.uint16, 'toPfxLen'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                            ])
                            self.order = None
                            self.pfx = None
                            self.mask = None
                            self.criteria = None
                            self.frompfxlen = None
                            self.topfxlen = None
                            self.name = None
                            self.descr = None
                            self.action = None
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.EntItems.EntryList, ['order', 'pfx', 'mask', 'criteria', 'frompfxlen', 'topfxlen', 'name', 'descr', 'action'], name, value)




                class RtrtmapRtDstAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtdstatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtDstAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtDstAtt-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtDstAtt-list", ("rtrtmaprtdstatt_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtdstatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtDstAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems, [], name, value)


                    class RtRtmapRtDstAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList, self).__init__()

                            self.yang_name = "RtRtmapRtDstAtt-list"
                            self.yang_parent_name = "rtrtmapRtDstAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtDstAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstAttItems.RtRtmapRtDstAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtDstV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtdstv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtDstV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtDstV6Att-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtDstV6Att-list", ("rtrtmaprtdstv6att_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtdstv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtDstV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems, [], name, value)


                    class RtRtmapRtDstV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtDstV6Att-list"
                            self.yang_parent_name = "rtrtmapRtDstV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtDstV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtDstV6AttItems.RtRtmapRtDstV6AttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtNhAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtnhatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtNhAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtNhAtt-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtNhAtt-list", ("rtrtmaprtnhatt_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtnhatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtNhAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems, [], name, value)


                    class RtRtmapRtNhAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList, self).__init__()

                            self.yang_name = "RtRtmapRtNhAtt-list"
                            self.yang_parent_name = "rtrtmapRtNhAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtNhAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhAttItems.RtRtmapRtNhAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtNhV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtnhv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtNhV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtNhV6Att-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtNhV6Att-list", ("rtrtmaprtnhv6att_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtnhv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtNhV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems, [], name, value)


                    class RtRtmapRtNhV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtNhV6Att-list"
                            self.yang_parent_name = "rtrtmapRtNhV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtNhV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtNhV6AttItems.RtRtmapRtNhV6AttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtSrcAttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtsrcatt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtSrcAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems, self).__init__()

                        self.yang_name = "rtrtmapRtSrcAtt-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtSrcAtt-list", ("rtrtmaprtsrcatt_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtsrcatt_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtSrcAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems, [], name, value)


                    class RtRtmapRtSrcAttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList, self).__init__()

                            self.yang_name = "RtRtmapRtSrcAtt-list"
                            self.yang_parent_name = "rtrtmapRtSrcAtt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtSrcAtt-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcAttItems.RtRtmapRtSrcAttList, ['tdn', 'tcl'], name, value)




                class RtrtmapRtSrcV6AttItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrtmaprtsrcv6att_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtRtmapRtSrcV6AttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems, self).__init__()

                        self.yang_name = "rtrtmapRtSrcV6Att-items"
                        self.yang_parent_name = "RuleV6-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtRtmapRtSrcV6Att-list", ("rtrtmaprtsrcv6att_list", System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList))])
                        self._leafs = OrderedDict()

                        self.rtrtmaprtsrcv6att_list = YList(self)
                        self._segment_path = lambda: "rtrtmapRtSrcV6Att-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems, [], name, value)


                    class RtRtmapRtSrcV6AttList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList, self).__init__()

                            self.yang_name = "RtRtmapRtSrcV6Att-list"
                            self.yang_parent_name = "rtrtmapRtSrcV6Att-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtRtmapRtSrcV6Att-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.Pfxlistv6Items.RuleV6List.RtrtmapRtSrcV6AttItems.RtRtmapRtSrcV6AttList, ['tdn', 'tcl'], name, value)






        class RtregcomItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RpmItems.RtregcomItems, self).__init__()

                self.yang_name = "rtregcom-items"
                self.yang_parent_name = "rpm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.RpmItems.RtregcomItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "rtregcom-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RpmItems.RtregcomItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                .. attribute:: type
                
                	Type
                	**type**\:  :py:class:`RtcomComT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomComT>`
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`RtcomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomMode>`
                
                .. attribute:: ent_items
                
                	
                	**type**\:  :py:class:`EntItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList.EntItems>`
                
                .. attribute:: rtregcommatt_items
                
                	
                	**type**\:  :py:class:`RtRegCommAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList.RtRegCommAttItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.RpmItems.RtregcomItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "rtregcom-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([("ent-items", ("ent_items", System.RpmItems.RtregcomItems.RuleList.EntItems)), ("rtRegCommAtt-items", ("rtregcommatt_items", System.RpmItems.RtregcomItems.RuleList.RtRegCommAttItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomComT', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomMode', '')])),
                    ])
                    self.name = None
                    self.descr = None
                    self.type = None
                    self.mode = None

                    self.ent_items = System.RpmItems.RtregcomItems.RuleList.EntItems()
                    self.ent_items.parent = self
                    self._children_name_map["ent_items"] = "ent-items"

                    self.rtregcommatt_items = System.RpmItems.RtregcomItems.RuleList.RtRegCommAttItems()
                    self.rtregcommatt_items.parent = self
                    self._children_name_map["rtregcommatt_items"] = "rtRegCommAtt-items"
                    self._segment_path = lambda: "Rule-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/rpm-items/rtregcom-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.RpmItems.RtregcomItems.RuleList, ['name', 'descr', 'type', 'mode'], name, value)


                class EntItems(Entity):
                    """
                    
                    
                    .. attribute:: entry_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.RtregcomItems.RuleList.EntItems, self).__init__()

                        self.yang_name = "ent-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Entry-list", ("entry_list", System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList))])
                        self._leafs = OrderedDict()

                        self.entry_list = YList(self)
                        self._segment_path = lambda: "ent-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.RtregcomItems.RuleList.EntItems, [], name, value)


                    class EntryList(Entity):
                        """
                        
                        
                        .. attribute:: order  (key)
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: item_items
                        
                        	
                        	**type**\:  :py:class:`ItemItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList, self).__init__()

                            self.yang_name = "Entry-list"
                            self.yang_parent_name = "ent-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['order']
                            self._child_classes = OrderedDict([("item-items", ("item_items", System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems))])
                            self._leafs = OrderedDict([
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.order = None
                            self.name = None
                            self.descr = None
                            self.action = None
                            self.regex = None

                            self.item_items = System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems()
                            self.item_items.parent = self
                            self._children_name_map["item_items"] = "item-items"
                            self._segment_path = lambda: "Entry-list" + "[order='" + str(self.order) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList, ['order', 'name', 'descr', 'action', 'regex'], name, value)


                        class ItemItems(Entity):
                            """
                            
                            
                            .. attribute:: item_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ItemList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems, self).__init__()

                                self.yang_name = "item-items"
                                self.yang_parent_name = "Entry-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Item-list", ("item_list", System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList))])
                                self._leafs = OrderedDict()

                                self.item_list = YList(self)
                                self._segment_path = lambda: "item-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems, [], name, value)


                            class ItemList(Entity):
                                """
                                
                                
                                .. attribute:: community  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList, self).__init__()

                                    self.yang_name = "Item-list"
                                    self.yang_parent_name = "item-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['community']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.community = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "Item-list" + "[community='" + str(self.community) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.RpmItems.RtregcomItems.RuleList.EntItems.EntryList.ItemItems.ItemList, ['community', 'name', 'descr'], name, value)






                class RtRegCommAttItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.RpmItems.RtregcomItems.RuleList.RtRegCommAttItems, self).__init__()

                        self.yang_name = "rtRegCommAtt-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtRegCommAtt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.RpmItems.RtregcomItems.RuleList.RtRegCommAttItems, ['tdn', 'tcl'], name, value)






    class IpSrcIfItems(Entity):
        """
        
        
        .. attribute:: dns_items
        
        	
        	**type**\:  :py:class:`DnsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpSrcIfItems.DnsItems>`
        
        .. attribute:: tftp_items
        
        	
        	**type**\:  :py:class:`TftpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpSrcIfItems.TftpItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IpSrcIfItems, self).__init__()

            self.yang_name = "ipSrcIf-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("dns-items", ("dns_items", System.IpSrcIfItems.DnsItems)), ("tftp-items", ("tftp_items", System.IpSrcIfItems.TftpItems))])
            self._leafs = OrderedDict()

            self.dns_items = System.IpSrcIfItems.DnsItems()
            self.dns_items.parent = self
            self._children_name_map["dns_items"] = "dns-items"

            self.tftp_items = System.IpSrcIfItems.TftpItems()
            self.tftp_items.parent = self
            self._children_name_map["tftp_items"] = "tftp-items"
            self._segment_path = lambda: "ipSrcIf-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IpSrcIfItems, [], name, value)


        class DnsItems(Entity):
            """
            
            
            .. attribute:: dnssrcif_list
            
            	
            	**type**\: list of  		 :py:class:`DnsSrcIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpSrcIfItems.DnsItems.DnsSrcIfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpSrcIfItems.DnsItems, self).__init__()

                self.yang_name = "dns-items"
                self.yang_parent_name = "ipSrcIf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("DnsSrcIf-list", ("dnssrcif_list", System.IpSrcIfItems.DnsItems.DnsSrcIfList))])
                self._leafs = OrderedDict()

                self.dnssrcif_list = YList(self)
                self._segment_path = lambda: "dns-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipSrcIf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpSrcIfItems.DnsItems, [], name, value)


            class DnsSrcIfList(Entity):
                """
                
                
                .. attribute:: vrf  (key)
                
                	DNS Source VRF
                	**type**\: str
                
                .. attribute:: srcif
                
                	DNS Source Interface
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpSrcIfItems.DnsItems.DnsSrcIfList, self).__init__()

                    self.yang_name = "DnsSrcIf-list"
                    self.yang_parent_name = "dns-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vrf']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                    ])
                    self.vrf = None
                    self.srcif = None
                    self._segment_path = lambda: "DnsSrcIf-list" + "[vrf='" + str(self.vrf) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipSrcIf-items/dns-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpSrcIfItems.DnsItems.DnsSrcIfList, ['vrf', 'srcif'], name, value)




        class TftpItems(Entity):
            """
            
            
            .. attribute:: tftp_list
            
            	
            	**type**\: list of  		 :py:class:`TftpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IpSrcIfItems.TftpItems.TftpList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IpSrcIfItems.TftpItems, self).__init__()

                self.yang_name = "tftp-items"
                self.yang_parent_name = "ipSrcIf-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Tftp-list", ("tftp_list", System.IpSrcIfItems.TftpItems.TftpList))])
                self._leafs = OrderedDict()

                self.tftp_list = YList(self)
                self._segment_path = lambda: "tftp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipSrcIf-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IpSrcIfItems.TftpItems, [], name, value)


            class TftpList(Entity):
                """
                
                
                .. attribute:: vrf  (key)
                
                	TFTP Source VRF
                	**type**\: str
                
                .. attribute:: srcif
                
                	TFTP Source Interface
                	**type**\: str
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IpSrcIfItems.TftpItems.TftpList, self).__init__()

                    self.yang_name = "Tftp-list"
                    self.yang_parent_name = "tftp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vrf']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                    ])
                    self.vrf = None
                    self.srcif = None
                    self._segment_path = lambda: "Tftp-list" + "[vrf='" + str(self.vrf) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ipSrcIf-items/tftp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IpSrcIfItems.TftpItems.TftpList, ['vrf', 'srcif'], name, value)





    class SwpkgsItems(Entity):
        """
        
        
        .. attribute:: rpmaction_items
        
        	
        	**type**\:  :py:class:`RpmactionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SwpkgsItems.RpmactionItems>`
        
        .. attribute:: rpminfo_items
        
        	
        	**type**\:  :py:class:`RpminfoItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SwpkgsItems.RpminfoItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SwpkgsItems, self).__init__()

            self.yang_name = "swpkgs-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("rpmaction-items", ("rpmaction_items", System.SwpkgsItems.RpmactionItems)), ("rpminfo-items", ("rpminfo_items", System.SwpkgsItems.RpminfoItems))])
            self._leafs = OrderedDict()

            self.rpmaction_items = System.SwpkgsItems.RpmactionItems()
            self.rpmaction_items.parent = self
            self._children_name_map["rpmaction_items"] = "rpmaction-items"

            self.rpminfo_items = System.SwpkgsItems.RpminfoItems()
            self.rpminfo_items.parent = self
            self._children_name_map["rpminfo_items"] = "rpminfo-items"
            self._segment_path = lambda: "swpkgs-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SwpkgsItems, [], name, value)


        class RpmactionItems(Entity):
            """
            
            
            .. attribute:: pkgaction
            
            	Package action on RPM package
            	**type**\:  :py:class:`SwpkgsPackageAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SwpkgsPackageAction>`
            
            .. attribute:: url
            
            	URL of the package
            	**type**\: str
            
            .. attribute:: lastactionstatus
            
            	
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SwpkgsItems.RpmactionItems, self).__init__()

                self.yang_name = "rpmaction-items"
                self.yang_parent_name = "swpkgs-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('pkgaction', (YLeaf(YType.enumeration, 'pkgAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SwpkgsPackageAction', '')])),
                    ('url', (YLeaf(YType.str, 'url'), ['str'])),
                    ('lastactionstatus', (YLeaf(YType.str, 'lastActionStatus'), ['str'])),
                ])
                self.pkgaction = None
                self.url = None
                self.lastactionstatus = None
                self._segment_path = lambda: "rpmaction-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/swpkgs-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SwpkgsItems.RpmactionItems, ['pkgaction', 'url', 'lastactionstatus'], name, value)



        class RpminfoItems(Entity):
            """
            
            
            .. attribute:: rpminfo_list
            
            	
            	**type**\: list of  		 :py:class:`RpmInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SwpkgsItems.RpminfoItems.RpmInfoList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SwpkgsItems.RpminfoItems, self).__init__()

                self.yang_name = "rpminfo-items"
                self.yang_parent_name = "swpkgs-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("RpmInfo-list", ("rpminfo_list", System.SwpkgsItems.RpminfoItems.RpmInfoList))])
                self._leafs = OrderedDict()

                self.rpminfo_list = YList(self)
                self._segment_path = lambda: "rpminfo-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/swpkgs-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SwpkgsItems.RpminfoItems, [], name, value)


            class RpmInfoList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational status
                	**type**\:  :py:class:`SwpkgsOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SwpkgsOperState>`
                
                	**config**\: False
                
                .. attribute:: lastaction
                
                	Last action on the package
                	**type**\:  :py:class:`SwpkgsPackageAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SwpkgsPackageAction>`
                
                	**config**\: False
                
                .. attribute:: lastactionresult
                
                	Result of last action
                	**type**\:  :py:class:`SwpkgsPackageActionResult <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SwpkgsPackageActionResult>`
                
                	**config**\: False
                
                .. attribute:: lastactionfailedreason
                
                	
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SwpkgsItems.RpminfoItems.RpmInfoList, self).__init__()

                    self.yang_name = "RpmInfo-list"
                    self.yang_parent_name = "rpminfo-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SwpkgsOperState', '')])),
                        ('lastaction', (YLeaf(YType.enumeration, 'lastAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SwpkgsPackageAction', '')])),
                        ('lastactionresult', (YLeaf(YType.enumeration, 'lastActionResult'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SwpkgsPackageActionResult', '')])),
                        ('lastactionfailedreason', (YLeaf(YType.str, 'lastActionFailedReason'), ['str'])),
                    ])
                    self.name = None
                    self.operst = None
                    self.lastaction = None
                    self.lastactionresult = None
                    self.lastactionfailedreason = None
                    self._segment_path = lambda: "RpmInfo-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/swpkgs-items/rpminfo-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SwpkgsItems.RpminfoItems.RpmInfoList, ['name', 'operst', 'lastaction', 'lastactionresult', 'lastactionfailedreason'], name, value)





    class SysmgrItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: sys_items
        
        	
        	**type**\:  :py:class:`SysItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysItems>`
        
        .. attribute:: syscfg_items
        
        	
        	**type**\:  :py:class:`SysCfgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysCfgItems>`
        
        .. attribute:: core_items
        
        	
        	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.CoreItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SysmgrItems, self).__init__()

            self.yang_name = "sysmgr-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("sys-items", ("sys_items", System.SysmgrItems.SysItems)), ("sysCfg-items", ("syscfg_items", System.SysmgrItems.SysCfgItems)), ("core-items", ("core_items", System.SysmgrItems.CoreItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.sys_items = System.SysmgrItems.SysItems()
            self.sys_items.parent = self
            self._children_name_map["sys_items"] = "sys-items"

            self.syscfg_items = System.SysmgrItems.SysCfgItems()
            self.syscfg_items.parent = self
            self._children_name_map["syscfg_items"] = "sysCfg-items"

            self.core_items = System.SysmgrItems.CoreItems()
            self.core_items.parent = self
            self._children_name_map["core_items"] = "core-items"
            self._segment_path = lambda: "sysmgr-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SysmgrItems, ['name', 'adminst', 'operst'], name, value)


        class SysItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..256
            
            	**config**\: False
            
            .. attribute:: sup_items
            
            	
            	**type**\:  :py:class:`SupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysItems.SupItems>`
            
            .. attribute:: image_items
            
            	
            	**type**\:  :py:class:`ImageItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysItems.ImageItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SysmgrItems.SysItems, self).__init__()

                self.yang_name = "sys-items"
                self.yang_parent_name = "sysmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("sup-items", ("sup_items", System.SysmgrItems.SysItems.SupItems)), ("image-items", ("image_items", System.SysmgrItems.SysItems.ImageItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.name = None

                self.sup_items = System.SysmgrItems.SysItems.SupItems()
                self.sup_items.parent = self
                self._children_name_map["sup_items"] = "sup-items"

                self.image_items = System.SysmgrItems.SysItems.ImageItems()
                self.image_items.parent = self
                self._children_name_map["image_items"] = "image-items"
                self._segment_path = lambda: "sys-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SysmgrItems.SysItems, ['name'], name, value)


            class SupItems(Entity):
                """
                
                
                .. attribute:: supst_list
                
                	
                	**type**\: list of  		 :py:class:`SupStList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysItems.SupItems.SupStList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SysmgrItems.SysItems.SupItems, self).__init__()

                    self.yang_name = "sup-items"
                    self.yang_parent_name = "sys-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SupSt-list", ("supst_list", System.SysmgrItems.SysItems.SupItems.SupStList))])
                    self._leafs = OrderedDict()

                    self.supst_list = YList(self)
                    self._segment_path = lambda: "sup-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/sys-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SysmgrItems.SysItems.SupItems, [], name, value)


                class SupStList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`SysmgrSupT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrSupT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`SysmgrSupSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrSupSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SysmgrItems.SysItems.SupItems.SupStList, self).__init__()

                        self.yang_name = "SupSt-list"
                        self.yang_parent_name = "sup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrSupT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrSupSt', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.operst = None
                        self.name = None
                        self._segment_path = lambda: "SupSt-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/sys-items/sup-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SysmgrItems.SysItems.SupItems.SupStList, ['type', 'operst', 'name'], name, value)




            class ImageItems(Entity):
                """
                
                
                .. attribute:: fwst_list
                
                	
                	**type**\: list of  		 :py:class:`FwStList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.SysItems.ImageItems.FwStList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SysmgrItems.SysItems.ImageItems, self).__init__()

                    self.yang_name = "image-items"
                    self.yang_parent_name = "sys-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("FwSt-list", ("fwst_list", System.SysmgrItems.SysItems.ImageItems.FwStList))])
                    self._leafs = OrderedDict()

                    self.fwst_list = YList(self)
                    self._segment_path = lambda: "image-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/sys-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SysmgrItems.SysItems.ImageItems, [], name, value)


                class FwStList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`SysmgrFwT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrFwT>`
                    
                    	**config**\: False
                    
                    .. attribute:: mode
                    
                    	Mode
                    	**type**\:  :py:class:`SysmgrFwMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrFwMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..256
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SysmgrItems.SysItems.ImageItems.FwStList, self).__init__()

                        self.yang_name = "FwSt-list"
                        self.yang_parent_name = "image-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrFwT', '')])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrFwMode', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.mode = None
                        self.name = None
                        self._segment_path = lambda: "FwSt-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/sys-items/image-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SysmgrItems.SysItems.ImageItems.FwStList, ['type', 'mode', 'name'], name, value)





        class SysCfgItems(Entity):
            """
            
            
            .. attribute:: cfgmode
            
            	Configuration Mode
            	**type**\:  :py:class:`SysmgrCfgMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrCfgMode>`
            
            	**config**\: False
            
            .. attribute:: operdatamode
            
            	Operational Data Mode
            	**type**\:  :py:class:`SysmgrOperDataMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SysmgrOperDataMode>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SysmgrItems.SysCfgItems, self).__init__()

                self.yang_name = "sysCfg-items"
                self.yang_parent_name = "sysmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('cfgmode', (YLeaf(YType.enumeration, 'cfgMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrCfgMode', '')])),
                    ('operdatamode', (YLeaf(YType.enumeration, 'operDataMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SysmgrOperDataMode', '')])),
                ])
                self.cfgmode = None
                self.operdatamode = None
                self._segment_path = lambda: "sysCfg-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SysmgrItems.SysCfgItems, ['cfgmode', 'operdatamode'], name, value)



        class CoreItems(Entity):
            """
            
            
            .. attribute:: cores_list
            
            	
            	**type**\: list of  		 :py:class:`CoresList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SysmgrItems.CoreItems.CoresList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SysmgrItems.CoreItems, self).__init__()

                self.yang_name = "core-items"
                self.yang_parent_name = "sysmgr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Cores-list", ("cores_list", System.SysmgrItems.CoreItems.CoresList))])
                self._leafs = OrderedDict()

                self.cores_list = YList(self)
                self._segment_path = lambda: "core-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SysmgrItems.CoreItems, [], name, value)


            class CoresList(Entity):
                """
                
                
                .. attribute:: dest  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SysmgrItems.CoreItems.CoresList, self).__init__()

                    self.yang_name = "Cores-list"
                    self.yang_parent_name = "core-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['dest']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('dest', (YLeaf(YType.str, 'dest'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.dest = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "Cores-list" + "[dest='" + str(self.dest) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/sysmgr-items/core-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SysmgrItems.CoreItems.CoresList, ['dest', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)





    class ShowversionItems(Entity):
        """
        
        
        .. attribute:: copyright
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: biosversion
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: nxosversion
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: bioscompiletime
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: nxosimagefile
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: nxoscompiletime
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: bootflashsize
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        	**config**\: False
        
        .. attribute:: kerneluptime
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: lastresettime
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: lastresetreason
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: lastresetsysversion
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: lastresetservice
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: plugin
        
        	
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: activepackage
        
        	
        	**type**\: str
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ShowversionItems, self).__init__()

            self.yang_name = "showversion-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('copyright', (YLeaf(YType.str, 'copyRight'), ['str'])),
                ('biosversion', (YLeaf(YType.str, 'biosVersion'), ['str'])),
                ('nxosversion', (YLeaf(YType.str, 'nxosVersion'), ['str'])),
                ('bioscompiletime', (YLeaf(YType.str, 'biosCompileTime'), ['str'])),
                ('nxosimagefile', (YLeaf(YType.str, 'nxosImageFile'), ['str'])),
                ('nxoscompiletime', (YLeaf(YType.str, 'nxosCompileTime'), ['str'])),
                ('bootflashsize', (YLeaf(YType.uint32, 'bootflashSize'), ['int'])),
                ('kerneluptime', (YLeaf(YType.str, 'kernelUptime'), ['str'])),
                ('lastresettime', (YLeaf(YType.str, 'lastResetTime'), ['str'])),
                ('lastresetreason', (YLeaf(YType.str, 'lastResetReason'), ['str'])),
                ('lastresetsysversion', (YLeaf(YType.str, 'lastResetSysVersion'), ['str'])),
                ('lastresetservice', (YLeaf(YType.str, 'lastResetService'), ['str'])),
                ('plugin', (YLeaf(YType.str, 'plugin'), ['str'])),
                ('activepackage', (YLeaf(YType.str, 'activePackage'), ['str'])),
            ])
            self.copyright = None
            self.biosversion = None
            self.nxosversion = None
            self.bioscompiletime = None
            self.nxosimagefile = None
            self.nxoscompiletime = None
            self.bootflashsize = None
            self.kerneluptime = None
            self.lastresettime = None
            self.lastresetreason = None
            self.lastresetsysversion = None
            self.lastresetservice = None
            self.plugin = None
            self.activepackage = None
            self._segment_path = lambda: "showversion-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ShowversionItems, ['copyright', 'biosversion', 'nxosversion', 'bioscompiletime', 'nxosimagefile', 'nxoscompiletime', 'bootflashsize', 'kerneluptime', 'lastresettime', 'lastresetreason', 'lastresetsysversion', 'lastresetservice', 'plugin', 'activepackage'], name, value)



    class TcpudpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TcpudpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TcpudpItems, self).__init__()

            self.yang_name = "tcpudp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.TcpudpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.TcpudpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "tcpudp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TcpudpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: synwaittime
            
            	Set time to wait on new TCP connections
            	**type**\: int
            
            	**range:** 5..300
            
            .. attribute:: pathmtudiscovery
            
            	Enable path\-MTU discovery on TCP
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TcpudpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "tcpudp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('synwaittime', (YLeaf(YType.uint16, 'synWaitTime'), ['int'])),
                    ('pathmtudiscovery', (YLeaf(YType.enumeration, 'pathMtuDiscovery'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.synwaittime = None
                self.pathmtudiscovery = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tcpudp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TcpudpItems.InstItems, ['synwaittime', 'pathmtudiscovery', 'name', 'adminst', 'ctrl'], name, value)




    class TermlItems(Entity):
        """
        
        
        .. attribute:: ln_items
        
        	
        	**type**\:  :py:class:`LnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TermlItems, self).__init__()

            self.yang_name = "terml-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ln-items", ("ln_items", System.TermlItems.LnItems))])
            self._leafs = OrderedDict()

            self.ln_items = System.TermlItems.LnItems()
            self.ln_items.parent = self
            self._children_name_map["ln_items"] = "ln-items"
            self._segment_path = lambda: "terml-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TermlItems, [], name, value)


        class LnItems(Entity):
            """
            
            
            .. attribute:: cons_items
            
            	
            	**type**\:  :py:class:`ConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems>`
            
            .. attribute:: vty_items
            
            	
            	**type**\:  :py:class:`VtyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.VtyItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TermlItems.LnItems, self).__init__()

                self.yang_name = "ln-items"
                self.yang_parent_name = "terml-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("cons-items", ("cons_items", System.TermlItems.LnItems.ConsItems)), ("vty-items", ("vty_items", System.TermlItems.LnItems.VtyItems))])
                self._leafs = OrderedDict()

                self.cons_items = System.TermlItems.LnItems.ConsItems()
                self.cons_items.parent = self
                self._children_name_map["cons_items"] = "cons-items"

                self.vty_items = System.TermlItems.LnItems.VtyItems()
                self.vty_items.parent = self
                self._children_name_map["vty_items"] = "vty-items"
                self._segment_path = lambda: "ln-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TermlItems.LnItems, [], name, value)


            class ConsItems(Entity):
                """
                
                
                .. attribute:: exectmeout_items
                
                	
                	**type**\:  :py:class:`ExecTmeoutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.ExecTmeoutItems>`
                
                .. attribute:: wdth_items
                
                	
                	**type**\:  :py:class:`WdthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.WdthItems>`
                
                .. attribute:: lgth_items
                
                	
                	**type**\:  :py:class:`LgthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.LgthItems>`
                
                .. attribute:: speed_items
                
                	
                	**type**\:  :py:class:`SpeedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.SpeedItems>`
                
                .. attribute:: databits_items
                
                	
                	**type**\:  :py:class:`DatabitsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.DatabitsItems>`
                
                .. attribute:: stopbits_items
                
                	
                	**type**\:  :py:class:`StopbitsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.StopbitsItems>`
                
                .. attribute:: parity_items
                
                	
                	**type**\:  :py:class:`ParityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.ConsItems.ParityItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TermlItems.LnItems.ConsItems, self).__init__()

                    self.yang_name = "cons-items"
                    self.yang_parent_name = "ln-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("execTmeout-items", ("exectmeout_items", System.TermlItems.LnItems.ConsItems.ExecTmeoutItems)), ("wdth-items", ("wdth_items", System.TermlItems.LnItems.ConsItems.WdthItems)), ("lgth-items", ("lgth_items", System.TermlItems.LnItems.ConsItems.LgthItems)), ("speed-items", ("speed_items", System.TermlItems.LnItems.ConsItems.SpeedItems)), ("databits-items", ("databits_items", System.TermlItems.LnItems.ConsItems.DatabitsItems)), ("stopbits-items", ("stopbits_items", System.TermlItems.LnItems.ConsItems.StopbitsItems)), ("parity-items", ("parity_items", System.TermlItems.LnItems.ConsItems.ParityItems))])
                    self._leafs = OrderedDict()

                    self.exectmeout_items = System.TermlItems.LnItems.ConsItems.ExecTmeoutItems()
                    self.exectmeout_items.parent = self
                    self._children_name_map["exectmeout_items"] = "execTmeout-items"

                    self.wdth_items = System.TermlItems.LnItems.ConsItems.WdthItems()
                    self.wdth_items.parent = self
                    self._children_name_map["wdth_items"] = "wdth-items"

                    self.lgth_items = System.TermlItems.LnItems.ConsItems.LgthItems()
                    self.lgth_items.parent = self
                    self._children_name_map["lgth_items"] = "lgth-items"

                    self.speed_items = System.TermlItems.LnItems.ConsItems.SpeedItems()
                    self.speed_items.parent = self
                    self._children_name_map["speed_items"] = "speed-items"

                    self.databits_items = System.TermlItems.LnItems.ConsItems.DatabitsItems()
                    self.databits_items.parent = self
                    self._children_name_map["databits_items"] = "databits-items"

                    self.stopbits_items = System.TermlItems.LnItems.ConsItems.StopbitsItems()
                    self.stopbits_items.parent = self
                    self._children_name_map["stopbits_items"] = "stopbits-items"

                    self.parity_items = System.TermlItems.LnItems.ConsItems.ParityItems()
                    self.parity_items.parent = self
                    self._children_name_map["parity_items"] = "parity-items"
                    self._segment_path = lambda: "cons-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TermlItems.LnItems.ConsItems, [], name, value)


                class ExecTmeoutItems(Entity):
                    """
                    
                    
                    .. attribute:: timeout
                    
                    	Timeout
                    	**type**\: int
                    
                    	**range:** 0..525600
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.ExecTmeoutItems, self).__init__()

                        self.yang_name = "execTmeout-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                        ])
                        self.timeout = None
                        self._segment_path = lambda: "execTmeout-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.ExecTmeoutItems, ['timeout'], name, value)



                class WdthItems(Entity):
                    """
                    
                    
                    .. attribute:: termwidth
                    
                    	Configure width of the display terminal
                    	**type**\: int
                    
                    	**range:** 51..511
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.WdthItems, self).__init__()

                        self.yang_name = "wdth-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('termwidth', (YLeaf(YType.uint32, 'termwidth'), ['int'])),
                        ])
                        self.termwidth = None
                        self._segment_path = lambda: "wdth-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.WdthItems, ['termwidth'], name, value)



                class LgthItems(Entity):
                    """
                    
                    
                    .. attribute:: termlength
                    
                    	Configure number of lines to display on terminal
                    	**type**\: int
                    
                    	**range:** 0..511
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.LgthItems, self).__init__()

                        self.yang_name = "lgth-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('termlength', (YLeaf(YType.uint32, 'termlength'), ['int'])),
                        ])
                        self.termlength = None
                        self._segment_path = lambda: "lgth-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.LgthItems, ['termlength'], name, value)



                class SpeedItems(Entity):
                    """
                    
                    
                    .. attribute:: speed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 9600..115200
                    
                    	**default value**\: 115200
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.SpeedItems, self).__init__()

                        self.yang_name = "speed-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('speed', (YLeaf(YType.uint32, 'speed'), ['int'])),
                        ])
                        self.speed = None
                        self._segment_path = lambda: "speed-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.SpeedItems, ['speed'], name, value)



                class DatabitsItems(Entity):
                    """
                    
                    
                    .. attribute:: databits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 5..8
                    
                    	**default value**\: 8
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.DatabitsItems, self).__init__()

                        self.yang_name = "databits-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('databits', (YLeaf(YType.uint32, 'dataBits'), ['int'])),
                        ])
                        self.databits = None
                        self._segment_path = lambda: "databits-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.DatabitsItems, ['databits'], name, value)



                class StopbitsItems(Entity):
                    """
                    
                    
                    .. attribute:: stopbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..None
                    
                    	**default value**\: 1
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.StopbitsItems, self).__init__()

                        self.yang_name = "stopbits-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('stopbits', (YLeaf(YType.uint32, 'stopBits'), ['int'])),
                        ])
                        self.stopbits = None
                        self._segment_path = lambda: "stopbits-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.StopbitsItems, ['stopbits'], name, value)



                class ParityItems(Entity):
                    """
                    
                    
                    .. attribute:: parity
                    
                    	databits numbers
                    	**type**\:  :py:class:`TerminalTermParity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TerminalTermParity>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.ConsItems.ParityItems, self).__init__()

                        self.yang_name = "parity-items"
                        self.yang_parent_name = "cons-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('parity', (YLeaf(YType.enumeration, 'parity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TerminalTermParity', '')])),
                        ])
                        self.parity = None
                        self._segment_path = lambda: "parity-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/cons-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.ConsItems.ParityItems, ['parity'], name, value)




            class VtyItems(Entity):
                """
                
                
                .. attribute:: exectmeout_items
                
                	
                	**type**\:  :py:class:`ExecTmeoutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.VtyItems.ExecTmeoutItems>`
                
                .. attribute:: abstmeout_items
                
                	
                	**type**\:  :py:class:`AbsTmeoutItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.VtyItems.AbsTmeoutItems>`
                
                .. attribute:: sslmt_items
                
                	
                	**type**\:  :py:class:`SsLmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.VtyItems.SsLmtItems>`
                
                .. attribute:: lgoutwarning_items
                
                	
                	**type**\:  :py:class:`LgoutWarningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TermlItems.LnItems.VtyItems.LgoutWarningItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TermlItems.LnItems.VtyItems, self).__init__()

                    self.yang_name = "vty-items"
                    self.yang_parent_name = "ln-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("execTmeout-items", ("exectmeout_items", System.TermlItems.LnItems.VtyItems.ExecTmeoutItems)), ("absTmeout-items", ("abstmeout_items", System.TermlItems.LnItems.VtyItems.AbsTmeoutItems)), ("ssLmt-items", ("sslmt_items", System.TermlItems.LnItems.VtyItems.SsLmtItems)), ("lgoutWarning-items", ("lgoutwarning_items", System.TermlItems.LnItems.VtyItems.LgoutWarningItems))])
                    self._leafs = OrderedDict()

                    self.exectmeout_items = System.TermlItems.LnItems.VtyItems.ExecTmeoutItems()
                    self.exectmeout_items.parent = self
                    self._children_name_map["exectmeout_items"] = "execTmeout-items"

                    self.abstmeout_items = System.TermlItems.LnItems.VtyItems.AbsTmeoutItems()
                    self.abstmeout_items.parent = self
                    self._children_name_map["abstmeout_items"] = "absTmeout-items"

                    self.sslmt_items = System.TermlItems.LnItems.VtyItems.SsLmtItems()
                    self.sslmt_items.parent = self
                    self._children_name_map["sslmt_items"] = "ssLmt-items"

                    self.lgoutwarning_items = System.TermlItems.LnItems.VtyItems.LgoutWarningItems()
                    self.lgoutwarning_items.parent = self
                    self._children_name_map["lgoutwarning_items"] = "lgoutWarning-items"
                    self._segment_path = lambda: "vty-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TermlItems.LnItems.VtyItems, [], name, value)


                class ExecTmeoutItems(Entity):
                    """
                    
                    
                    .. attribute:: timeout
                    
                    	Timeout
                    	**type**\: int
                    
                    	**range:** 0..525600
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.VtyItems.ExecTmeoutItems, self).__init__()

                        self.yang_name = "execTmeout-items"
                        self.yang_parent_name = "vty-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                        ])
                        self.timeout = None
                        self._segment_path = lambda: "execTmeout-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/vty-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.VtyItems.ExecTmeoutItems, ['timeout'], name, value)



                class AbsTmeoutItems(Entity):
                    """
                    
                    
                    .. attribute:: timeout
                    
                    	Timeout
                    	**type**\: int
                    
                    	**range:** 0..525600
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.VtyItems.AbsTmeoutItems, self).__init__()

                        self.yang_name = "absTmeout-items"
                        self.yang_parent_name = "vty-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('timeout', (YLeaf(YType.uint32, 'timeout'), ['int'])),
                        ])
                        self.timeout = None
                        self._segment_path = lambda: "absTmeout-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/vty-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.VtyItems.AbsTmeoutItems, ['timeout'], name, value)



                class SsLmtItems(Entity):
                    """
                    
                    
                    .. attribute:: seslmt
                    
                    	Configure maximum number of concurrent vsh sessions allowed
                    	**type**\: int
                    
                    	**range:** 1..64
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.VtyItems.SsLmtItems, self).__init__()

                        self.yang_name = "ssLmt-items"
                        self.yang_parent_name = "vty-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('seslmt', (YLeaf(YType.uint32, 'sesLmt'), ['int'])),
                        ])
                        self.seslmt = None
                        self._segment_path = lambda: "ssLmt-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/vty-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.VtyItems.SsLmtItems, ['seslmt'], name, value)



                class LgoutWarningItems(Entity):
                    """
                    
                    
                    .. attribute:: lgtwarn
                    
                    	Configure logout warning time
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TermlItems.LnItems.VtyItems.LgoutWarningItems, self).__init__()

                        self.yang_name = "lgoutWarning-items"
                        self.yang_parent_name = "vty-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('lgtwarn', (YLeaf(YType.uint32, 'lgtWarn'), ['int'])),
                        ])
                        self.lgtwarn = None
                        self._segment_path = lambda: "lgoutWarning-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/terml-items/ln-items/vty-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TermlItems.LnItems.VtyItems.LgoutWarningItems, ['lgtwarn'], name, value)






    class TermlogItems(Entity):
        """
        
        
        .. attribute:: logshowcommand
        
        	
        	**type**\: bool
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TermlogItems, self).__init__()

            self.yang_name = "termlog-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('logshowcommand', (YLeaf(YType.boolean, 'logShowCommand'), ['bool'])),
            ])
            self.logshowcommand = None
            self._segment_path = lambda: "termlog-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TermlogItems, ['logshowcommand'], name, value)



    class TestRuleItems(Entity):
        """
        
        
        .. attribute:: crule_list
        
        	
        	**type**\: list of  		 :py:class:`CRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TestRuleItems.CRuleList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TestRuleItems, self).__init__()

            self.yang_name = "test_rule-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("CRule-list", ("crule_list", System.TestRuleItems.CRuleList))])
            self._leafs = OrderedDict()

            self.crule_list = YList(self)
            self._segment_path = lambda: "test_rule-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TestRuleItems, [], name, value)


        class CRuleList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            	**config**\: False
            
            .. attribute:: pechunkname
            
            	Secondary Chunk Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            .. attribute:: testclientchunkname
            
            	Secondary Chunk Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            .. attribute:: ownerkey
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            .. attribute:: ownertag
            
            	TBD
            	**type**\: str
            
            	**length:** 0..64
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            .. attribute:: trig
            
            	Trigger
            	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
            
            	**config**\: False
            
            .. attribute:: freq
            
            	Frequency
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TestRuleItems.CRuleList, self).__init__()

                self.yang_name = "CRule-list"
                self.yang_parent_name = "test_rule-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('pechunkname', (YLeaf(YType.str, 'peChunkName'), ['str'])),
                    ('testclientchunkname', (YLeaf(YType.str, 'testclientChunkName'), ['str'])),
                    ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                    ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                    ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                ])
                self.name = None
                self.pechunkname = None
                self.testclientchunkname = None
                self.ownerkey = None
                self.ownertag = None
                self.descr = None
                self.trig = None
                self.freq = None
                self._segment_path = lambda: "CRule-list" + "[name='" + str(self.name) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/test_rule-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TestRuleItems.CRuleList, ['name', 'pechunkname', 'testclientchunkname', 'ownerkey', 'ownertag', 'descr', 'trig', 'freq'], name, value)




    class TestRsltItems(Entity):
        """
        
        
        .. attribute:: crslt_list
        
        	
        	**type**\: list of  		 :py:class:`CRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TestRsltItems.CRsltList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TestRsltItems, self).__init__()

            self.yang_name = "test_rslt_-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("CRslt-list", ("crslt_list", System.TestRsltItems.CRsltList))])
            self._leafs = OrderedDict()

            self.crslt_list = YList(self)
            self._segment_path = lambda: "test_rslt_-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TestRsltItems, [], name, value)


        class CRsltList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            	**config**\: False
            
            .. attribute:: ts  (key)
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: trig
            
            	Trigger
            	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
            
            	**config**\: False
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`TestOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestOperSt>`
            
            	**config**\: False
            
            .. attribute:: qual
            
            	Operational State Qualifier
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TestRsltItems.CRsltList, self).__init__()

                self.yang_name = "CRslt-list"
                self.yang_parent_name = "test_rslt_-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name','ts']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                    ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestOperSt', '')])),
                    ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                ])
                self.name = None
                self.ts = None
                self.trig = None
                self.operst = None
                self.qual = None
                self._segment_path = lambda: "CRslt-list" + "[name='" + str(self.name) + "']" + "[ts='" + str(self.ts) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/test_rslt_-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TestRsltItems.CRsltList, ['name', 'ts', 'trig', 'operst', 'qual'], name, value)




    class TunnelItems(Entity):
        """
        
        
        .. attribute:: if_list
        
        	
        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.TunnelItems, self).__init__()

            self.yang_name = "tunnel-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("If-list", ("if_list", System.TunnelItems.IfList))])
            self._leafs = OrderedDict()

            self.if_list = YList(self)
            self._segment_path = lambda: "tunnel-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.TunnelItems, [], name, value)


        class IfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: src
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: str
            
            	**config**\: False
            
            .. attribute:: dest
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: str
            
            	**config**\: False
            
            .. attribute:: ttype
            
            	Tunnel Type
            	**type**\:  :py:class:`TunnelTunnelQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelTunnelQual>`
            
            	**config**\: False
            
            .. attribute:: vrfname
            
            	VRF
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: cfgdmtu
            
            	MTU
            	**type**\: int
            
            	**range:** 1..9000
            
            	**config**\: False
            
            .. attribute:: keepalvintvl
            
            	Keep Alive Interval
            	**type**\: int
            
            	**range:** 0..32767
            
            	**config**\: False
            
            .. attribute:: keepalvretries
            
            	Keep Alive Retries
            	**type**\: int
            
            	**range:** 1..255
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Administrative State
            	**type**\:  :py:class:`TunnelAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelAdminSt>`
            
            	**config**\: False
            
            .. attribute:: type
            
            	Endpoint Type
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tlayer
            
            	Layer
            	**type**\:  :py:class:`TunnelLayerT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelLayerT>`
            
            	**config**\: False
            
            .. attribute:: mac
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`TunnelOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TunnelOperSt>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..1024
            
            	**config**\: False
            
            .. attribute:: dep_items
            
            	
            	**type**\:  :py:class:`DepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.DepItems>`
            
            	**config**\: False
            
            .. attribute:: vnode_items
            
            	
            	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems>`
            
            	**config**\: False
            
            .. attribute:: idep_items
            
            	
            	**type**\:  :py:class:`IdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems>`
            
            	**config**\: False
            
            .. attribute:: odev_items
            
            	
            	**type**\:  :py:class:`OdevItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems>`
            
            	**config**\: False
            
            .. attribute:: bank_items
            
            	
            	**type**\:  :py:class:`BankItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.BankItems>`
            
            	**config**\: False
            
            .. attribute:: portif_items
            
            	
            	**type**\:  :py:class:`PortifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems>`
            
            	**config**\: False
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RtvrfMbrItems>`
            
            	**config**\: False
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RtnwPathToIfItems>`
            
            	**config**\: False
            
            .. attribute:: rstunnelmbrifs_items
            
            	
            	**type**\:  :py:class:`RstunnelMbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RstunnelMbrIfsItems>`
            
            	**config**\: False
            
            .. attribute:: rstunneltoloosenode_items
            
            	
            	**type**\:  :py:class:`RstunnelToLooseNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RstunnelToLooseNodeItems>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.TunnelItems.IfList, self).__init__()

                self.yang_name = "If-list"
                self.yang_parent_name = "tunnel-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dep-items", ("dep_items", System.TunnelItems.IfList.DepItems)), ("vnode-items", ("vnode_items", System.TunnelItems.IfList.VnodeItems)), ("idep-items", ("idep_items", System.TunnelItems.IfList.IdepItems)), ("odev-items", ("odev_items", System.TunnelItems.IfList.OdevItems)), ("bank-items", ("bank_items", System.TunnelItems.IfList.BankItems)), ("portif-items", ("portif_items", System.TunnelItems.IfList.PortifItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.TunnelItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.TunnelItems.IfList.RtnwPathToIfItems)), ("rstunnelMbrIfs-items", ("rstunnelmbrifs_items", System.TunnelItems.IfList.RstunnelMbrIfsItems)), ("rstunnelToLooseNode-items", ("rstunneltoloosenode_items", System.TunnelItems.IfList.RstunnelToLooseNodeItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                    ('dest', (YLeaf(YType.str, 'dest'), ['str','str'])),
                    ('ttype', (YLeaf(YType.enumeration, 'tType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelTunnelQual', '')])),
                    ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                    ('cfgdmtu', (YLeaf(YType.uint32, 'cfgdMtu'), ['int'])),
                    ('keepalvintvl', (YLeaf(YType.uint32, 'keepAlvIntvl'), ['int'])),
                    ('keepalvretries', (YLeaf(YType.uint32, 'keepAlvRetries'), ['int'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelAdminSt', '')])),
                    ('type', (YLeaf(YType.str, 'type'), ['str'])),
                    ('tlayer', (YLeaf(YType.enumeration, 'tLayer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelLayerT', '')])),
                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TunnelOperSt', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.src = None
                self.dest = None
                self.ttype = None
                self.vrfname = None
                self.cfgdmtu = None
                self.keepalvintvl = None
                self.keepalvretries = None
                self.adminst = None
                self.type = None
                self.tlayer = None
                self.mac = None
                self.operst = None
                self.name = None
                self.descr = None

                self.dep_items = System.TunnelItems.IfList.DepItems()
                self.dep_items.parent = self
                self._children_name_map["dep_items"] = "dep-items"

                self.vnode_items = System.TunnelItems.IfList.VnodeItems()
                self.vnode_items.parent = self
                self._children_name_map["vnode_items"] = "vnode-items"

                self.idep_items = System.TunnelItems.IfList.IdepItems()
                self.idep_items.parent = self
                self._children_name_map["idep_items"] = "idep-items"

                self.odev_items = System.TunnelItems.IfList.OdevItems()
                self.odev_items.parent = self
                self._children_name_map["odev_items"] = "odev-items"

                self.bank_items = System.TunnelItems.IfList.BankItems()
                self.bank_items.parent = self
                self._children_name_map["bank_items"] = "bank-items"

                self.portif_items = System.TunnelItems.IfList.PortifItems()
                self.portif_items.parent = self
                self._children_name_map["portif_items"] = "portif-items"

                self.rtvrfmbr_items = System.TunnelItems.IfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtnwpathtoif_items = System.TunnelItems.IfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                self.rstunnelmbrifs_items = System.TunnelItems.IfList.RstunnelMbrIfsItems()
                self.rstunnelmbrifs_items.parent = self
                self._children_name_map["rstunnelmbrifs_items"] = "rstunnelMbrIfs-items"

                self.rstunneltoloosenode_items = System.TunnelItems.IfList.RstunnelToLooseNodeItems()
                self.rstunneltoloosenode_items.parent = self
                self._children_name_map["rstunneltoloosenode_items"] = "rstunnelToLooseNode-items"
                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/tunnel-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.TunnelItems.IfList, ['id', 'src', 'dest', 'ttype', 'vrfname', 'cfgdmtu', 'keepalvintvl', 'keepalvretries', 'adminst', 'type', 'tlayer', 'mac', 'operst', 'name', 'descr'], name, value)


            class DepItems(Entity):
                """
                
                
                .. attribute:: dep_list
                
                	
                	**type**\: list of  		 :py:class:`DEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.DepItems.DEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.DepItems, self).__init__()

                    self.yang_name = "dep-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DEp-list", ("dep_list", System.TunnelItems.IfList.DepItems.DEpList))])
                    self._leafs = OrderedDict()

                    self.dep_list = YList(self)
                    self._segment_path = lambda: "dep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.DepItems, [], name, value)


                class DEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.DepItems.DEpList, self).__init__()

                        self.yang_name = "DEp-list"
                        self.yang_parent_name = "dep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.name = None
                        self.id = None
                        self.uuid = None
                        self._segment_path = lambda: "DEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.DepItems.DEpList, ['mac', 'encap', 'name', 'id', 'uuid'], name, value)




            class VnodeItems(Entity):
                """
                
                
                .. attribute:: vnode_list
                
                	
                	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems.VNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.VnodeItems, self).__init__()

                    self.yang_name = "vnode-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.TunnelItems.IfList.VnodeItems.VNodeList))])
                    self._leafs = OrderedDict()

                    self.vnode_list = YList(self)
                    self._segment_path = lambda: "vnode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.VnodeItems, [], name, value)


                class VNodeList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvvnode_items
                    
                    	
                    	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rslnode_items
                    
                    	
                    	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.VnodeItems.VNodeList, self).__init__()

                        self.yang_name = "VNode-list"
                        self.yang_parent_name = "vnode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.name = None
                        self.id = None

                        self.rtfvvnode_items = System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems()
                        self.rtfvvnode_items.parent = self
                        self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                        self.rslnode_items = System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems()
                        self.rslnode_items.parent = self
                        self._children_name_map["rslnode_items"] = "rslNode-items"
                        self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                    class RtfvVNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvvnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                            self.yang_name = "rtfvVNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                            self._leafs = OrderedDict()

                            self.rtfvvnode_list = YList(self)
                            self._segment_path = lambda: "rtfvVNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                        class RtFvVNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                self.yang_name = "RtFvVNode-list"
                                self.yang_parent_name = "rtfvVNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                    class RslNodeItems(Entity):
                        """
                        
                        
                        .. attribute:: rslnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                            self.yang_name = "rslNode-items"
                            self.yang_parent_name = "VNode-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                            self._leafs = OrderedDict()

                            self.rslnode_list = YList(self)
                            self._segment_path = lambda: "rslNode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                        class RsLNodeList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                self.yang_name = "RsLNode-list"
                                self.yang_parent_name = "rslNode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






            class IdepItems(Entity):
                """
                
                
                .. attribute:: idep_list
                
                	
                	**type**\: list of  		 :py:class:`IDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.IdepItems, self).__init__()

                    self.yang_name = "idep-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IDEp-list", ("idep_list", System.TunnelItems.IfList.IdepItems.IDEpList))])
                    self._leafs = OrderedDict()

                    self.idep_list = YList(self)
                    self._segment_path = lambda: "idep-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.IdepItems, [], name, value)


                class IDEpList(Entity):
                    """
                    
                    
                    .. attribute:: mac  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: eppdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: compvmdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: comphvdn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: epgid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ephostaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hypervisorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: containername
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: eppdownloadhint
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEppDownloadHint <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEppDownloadHint>`
                    
                    	**config**\: False
                    
                    .. attribute:: handle
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: insttype
                    
                    	TBD
                    	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: uuid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: idepcntr_items
                    
                    	
                    	**type**\:  :py:class:`IdepcntrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vdep_items
                    
                    	
                    	**type**\:  :py:class:`VdepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.IdepItems.IDEpList, self).__init__()

                        self.yang_name = "IDEp-list"
                        self.yang_parent_name = "idep-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['mac','encap']
                        self._child_classes = OrderedDict([("idepcntr-items", ("idepcntr_items", System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems)), ("vdep-items", ("vdep_items", System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems))])
                        self._leafs = OrderedDict([
                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('eppdn', (YLeaf(YType.str, 'eppdn'), ['str'])),
                            ('compvmdn', (YLeaf(YType.str, 'compVmDn'), ['str'])),
                            ('comphvdn', (YLeaf(YType.str, 'compHvDn'), ['str'])),
                            ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                            ('ephostaddr', (YLeaf(YType.str, 'epHostAddr'), ['str'])),
                            ('hypervisorname', (YLeaf(YType.str, 'hypervisorName'), ['str'])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('containername', (YLeaf(YType.str, 'containerName'), ['str'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('eppdownloadhint', (YLeaf(YType.enumeration, 'eppDownloadHint'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEppDownloadHint', '')])),
                            ('handle', (YLeaf(YType.uint64, 'handle'), ['int'])),
                            ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                        ])
                        self.mac = None
                        self.encap = None
                        self.eppdn = None
                        self.compvmdn = None
                        self.comphvdn = None
                        self.epgid = None
                        self.ephostaddr = None
                        self.hypervisorname = None
                        self.portid = None
                        self.containername = None
                        self.transitionstatus = None
                        self.eppdownloadhint = None
                        self.handle = None
                        self.insttype = None
                        self.pcifid = None
                        self.state = None
                        self.name = None
                        self.id = None
                        self.uuid = None

                        self.idepcntr_items = System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems()
                        self.idepcntr_items.parent = self
                        self._children_name_map["idepcntr_items"] = "idepcntr-items"

                        self.vdep_items = System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems()
                        self.vdep_items.parent = self
                        self._children_name_map["vdep_items"] = "vdep-items"
                        self._segment_path = lambda: "IDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList, ['mac', 'encap', 'eppdn', 'compvmdn', 'comphvdn', 'epgid', 'ephostaddr', 'hypervisorname', 'portid', 'containername', 'transitionstatus', 'eppdownloadhint', 'handle', 'insttype', 'pcifid', 'state', 'name', 'id', 'uuid'], name, value)


                    class IdepcntrItems(Entity):
                        """
                        
                        
                        .. attribute:: idepcntr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IDEpCntrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems, self).__init__()

                            self.yang_name = "idepcntr-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IDEpCntr-list", ("idepcntr_list", System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList))])
                            self._leafs = OrderedDict()

                            self.idepcntr_list = YList(self)
                            self._segment_path = lambda: "idepcntr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems, [], name, value)


                        class IDEpCntrList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: direction
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDirection <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDirection>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, self).__init__()

                                self.yang_name = "IDEpCntr-list"
                                self.yang_parent_name = "idepcntr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDirection', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.direction = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "IDEpCntr-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.IdepcntrItems.IDEpCntrList, ['mac', 'encap', 'direction', 'name', 'id'], name, value)




                    class VdepItems(Entity):
                        """
                        
                        
                        .. attribute:: vdep_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VDEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems, self).__init__()

                            self.yang_name = "vdep-items"
                            self.yang_parent_name = "IDEp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VDEp-list", ("vdep_list", System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList))])
                            self._leafs = OrderedDict()

                            self.vdep_list = YList(self)
                            self._segment_path = lambda: "vdep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems, [], name, value)


                        class VDEpList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: encap  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: brifid  (key)
                            
                            	TBD
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: epgid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: insttype
                            
                            	TBD
                            	**type**\:  :py:class:`CompInstType_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompInstType_>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: uuid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rsvnode_items
                            
                            	
                            	**type**\:  :py:class:`RsvNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList, self).__init__()

                                self.yang_name = "VDEp-list"
                                self.yang_parent_name = "vdep-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac','encap','brifid']
                                self._child_classes = OrderedDict([("rsvNode-items", ("rsvnode_items", System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems))])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ('brifid', (YLeaf(YType.str, 'brIfId'), ['str'])),
                                    ('epgid', (YLeaf(YType.str, 'epgID'), ['str'])),
                                    ('insttype', (YLeaf(YType.enumeration, 'instType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompInstType_', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                    ('uuid', (YLeaf(YType.str, 'uuid'), ['str'])),
                                ])
                                self.mac = None
                                self.encap = None
                                self.brifid = None
                                self.epgid = None
                                self.insttype = None
                                self.name = None
                                self.id = None
                                self.uuid = None

                                self.rsvnode_items = System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems()
                                self.rsvnode_items.parent = self
                                self._children_name_map["rsvnode_items"] = "rsvNode-items"
                                self._segment_path = lambda: "VDEp-list" + "[mac='" + str(self.mac) + "']" + "[encap='" + str(self.encap) + "']" + "[brIfId='" + str(self.brifid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList, ['mac', 'encap', 'brifid', 'epgid', 'insttype', 'name', 'id', 'uuid'], name, value)


                            class RsvNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rsvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, self).__init__()

                                    self.yang_name = "rsvNode-items"
                                    self.yang_parent_name = "VDEp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsVNode-list", ("rsvnode_list", System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rsvnode_list = YList(self)
                                    self._segment_path = lambda: "rsvNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems, [], name, value)


                                class RsVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, self).__init__()

                                        self.yang_name = "RsVNode-list"
                                        self.yang_parent_name = "rsvNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.TunnelItems.IfList.IdepItems.IDEpList.VdepItems.VDEpList.RsvNodeItems.RsVNodeList, ['tdn', 'tcl'], name, value)








            class OdevItems(Entity):
                """
                
                
                .. attribute:: odev_list
                
                	
                	**type**\: list of  		 :py:class:`ODevList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.OdevItems, self).__init__()

                    self.yang_name = "odev-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ODev-list", ("odev_list", System.TunnelItems.IfList.OdevItems.ODevList))])
                    self._leafs = OrderedDict()

                    self.odev_list = YList(self)
                    self._segment_path = lambda: "odev-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.OdevItems, [], name, value)


                class ODevList(Entity):
                    """
                    
                    
                    .. attribute:: devid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: devtype
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                    
                    	**config**\: False
                    
                    .. attribute:: lnodedn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ipaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: numhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lastnumhb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: hbstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexHbStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexHbStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Status
                    	**type**\:  :py:class:`OpflexDevOperState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDevOperState>`
                    
                    	**config**\: False
                    
                    .. attribute:: maxmisshb
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pcifid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: transitionstatus
                    
                    	TBD
                    	**type**\:  :py:class:`OpflexEpTransitionStatus <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexEpTransitionStatus>`
                    
                    	**config**\: False
                    
                    .. attribute:: portid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	TBD
                    	**type**\:  :py:class:`CompHostState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompHostState>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: odevcap_items
                    
                    	
                    	**type**\:  :py:class:`OdevcapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.OdevcapItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vnode_items
                    
                    	
                    	**type**\:  :py:class:`VnodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: opnic_items
                    
                    	
                    	**type**\:  :py:class:`OpnicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.OdevItems.ODevList, self).__init__()

                        self.yang_name = "ODev-list"
                        self.yang_parent_name = "odev-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['devid']
                        self._child_classes = OrderedDict([("odevcap-items", ("odevcap_items", System.TunnelItems.IfList.OdevItems.ODevList.OdevcapItems)), ("vnode-items", ("vnode_items", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems)), ("opnic-items", ("opnic_items", System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems))])
                        self._leafs = OrderedDict([
                            ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                            ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                            ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('hostname', (YLeaf(YType.str, 'hostName'), ['str'])),
                            ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str'])),
                            ('numhb', (YLeaf(YType.uint32, 'numHB'), ['int'])),
                            ('lastnumhb', (YLeaf(YType.uint32, 'lastNumHB'), ['int'])),
                            ('hbstatus', (YLeaf(YType.enumeration, 'hbStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexHbStatus', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDevOperState', '')])),
                            ('maxmisshb', (YLeaf(YType.uint32, 'maxMissHb'), ['int'])),
                            ('pcifid', (YLeaf(YType.uint32, 'pcIfId'), ['int'])),
                            ('transitionstatus', (YLeaf(YType.enumeration, 'transitionStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexEpTransitionStatus', '')])),
                            ('portid', (YLeaf(YType.uint32, 'portId'), ['int'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompHostState', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                        ])
                        self.devid = None
                        self.devtype = None
                        self.lnodedn = None
                        self.encap = None
                        self.hostname = None
                        self.ipaddr = None
                        self.numhb = None
                        self.lastnumhb = None
                        self.hbstatus = None
                        self.operst = None
                        self.maxmisshb = None
                        self.pcifid = None
                        self.transitionstatus = None
                        self.portid = None
                        self.state = None
                        self.name = None
                        self.id = None

                        self.odevcap_items = System.TunnelItems.IfList.OdevItems.ODevList.OdevcapItems()
                        self.odevcap_items.parent = self
                        self._children_name_map["odevcap_items"] = "odevcap-items"

                        self.vnode_items = System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems()
                        self.vnode_items.parent = self
                        self._children_name_map["vnode_items"] = "vnode-items"

                        self.opnic_items = System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems()
                        self.opnic_items.parent = self
                        self._children_name_map["opnic_items"] = "opnic-items"
                        self._segment_path = lambda: "ODev-list" + "[devId='" + str(self.devid) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList, ['devid', 'devtype', 'lnodedn', 'encap', 'hostname', 'ipaddr', 'numhb', 'lastnumhb', 'hbstatus', 'operst', 'maxmisshb', 'pcifid', 'transitionstatus', 'portid', 'state', 'name', 'id'], name, value)


                    class OdevcapItems(Entity):
                        """
                        
                        
                        .. attribute:: version
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: devid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lnodedn
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	Id
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.OdevItems.ODevList.OdevcapItems, self).__init__()

                            self.yang_name = "odevcap-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ])
                            self.version = None
                            self.devid = None
                            self.lnodedn = None
                            self.name = None
                            self.id = None
                            self._segment_path = lambda: "odevcap-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.OdevcapItems, ['version', 'devid', 'lnodedn', 'name', 'id'], name, value)



                    class VnodeItems(Entity):
                        """
                        
                        
                        .. attribute:: vnode_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems, self).__init__()

                            self.yang_name = "vnode-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VNode-list", ("vnode_list", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList))])
                            self._leafs = OrderedDict()

                            self.vnode_list = YList(self)
                            self._segment_path = lambda: "vnode-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems, [], name, value)


                        class VNodeList(Entity):
                            """
                            
                            
                            .. attribute:: devid  (key)
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: devtype
                            
                            	TBD
                            	**type**\:  :py:class:`OpflexDeviceType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OpflexDeviceType>`
                            
                            	**config**\: False
                            
                            .. attribute:: lnodedn
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rtfvvnode_items
                            
                            	
                            	**type**\:  :py:class:`RtfvVNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rslnode_items
                            
                            	
                            	**type**\:  :py:class:`RslNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList, self).__init__()

                                self.yang_name = "VNode-list"
                                self.yang_parent_name = "vnode-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['devid']
                                self._child_classes = OrderedDict([("rtfvVNode-items", ("rtfvvnode_items", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems)), ("rslNode-items", ("rslnode_items", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems))])
                                self._leafs = OrderedDict([
                                    ('devid', (YLeaf(YType.uint32, 'devId'), ['int'])),
                                    ('devtype', (YLeaf(YType.enumeration, 'devType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OpflexDeviceType', '')])),
                                    ('lnodedn', (YLeaf(YType.str, 'lNodeDn'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.devid = None
                                self.devtype = None
                                self.lnodedn = None
                                self.name = None
                                self.id = None

                                self.rtfvvnode_items = System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems()
                                self.rtfvvnode_items.parent = self
                                self._children_name_map["rtfvvnode_items"] = "rtfvVNode-items"

                                self.rslnode_items = System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems()
                                self.rslnode_items.parent = self
                                self._children_name_map["rslnode_items"] = "rslNode-items"
                                self._segment_path = lambda: "VNode-list" + "[devId='" + str(self.devid) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList, ['devid', 'devtype', 'lnodedn', 'name', 'id'], name, value)


                            class RtfvVNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rtfvvnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtFvVNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, self).__init__()

                                    self.yang_name = "rtfvVNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtFvVNode-list", ("rtfvvnode_list", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rtfvvnode_list = YList(self)
                                    self._segment_path = lambda: "rtfvVNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems, [], name, value)


                                class RtFvVNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, self).__init__()

                                        self.yang_name = "RtFvVNode-list"
                                        self.yang_parent_name = "rtfvVNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtFvVNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RtfvVNodeItems.RtFvVNodeList, ['tdn', 'tcl'], name, value)




                            class RslNodeItems(Entity):
                                """
                                
                                
                                .. attribute:: rslnode_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RsLNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, self).__init__()

                                    self.yang_name = "rslNode-items"
                                    self.yang_parent_name = "VNode-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RsLNode-list", ("rslnode_list", System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList))])
                                    self._leafs = OrderedDict()

                                    self.rslnode_list = YList(self)
                                    self._segment_path = lambda: "rslNode-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems, [], name, value)


                                class RsLNodeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, self).__init__()

                                        self.yang_name = "RsLNode-list"
                                        self.yang_parent_name = "rslNode-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RsLNode-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.VnodeItems.VNodeList.RslNodeItems.RsLNodeList, ['tdn', 'tcl'], name, value)






                    class OpnicItems(Entity):
                        """
                        
                        
                        .. attribute:: opnic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OPNicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems.OPNicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems, self).__init__()

                            self.yang_name = "opnic-items"
                            self.yang_parent_name = "ODev-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OPNic-list", ("opnic_list", System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems.OPNicList))])
                            self._leafs = OrderedDict()

                            self.opnic_list = YList(self)
                            self._segment_path = lambda: "opnic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems, [], name, value)


                        class OPNicList(Entity):
                            """
                            
                            
                            .. attribute:: mac  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: state
                            
                            	TBD
                            	**type**\:  :py:class:`CompNicState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CompNicState>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..16
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	Id
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems.OPNicList, self).__init__()

                                self.yang_name = "OPNic-list"
                                self.yang_parent_name = "opnic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['mac']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CompNicState', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                                ])
                                self.mac = None
                                self.state = None
                                self.name = None
                                self.id = None
                                self._segment_path = lambda: "OPNic-list" + "[mac='" + str(self.mac) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.OdevItems.ODevList.OpnicItems.OPNicList, ['mac', 'state', 'name', 'id'], name, value)






            class BankItems(Entity):
                """
                
                
                .. attribute:: bank_list
                
                	
                	**type**\: list of  		 :py:class:`BankList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.BankItems.BankList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.BankItems, self).__init__()

                    self.yang_name = "bank-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Bank-list", ("bank_list", System.TunnelItems.IfList.BankItems.BankList))])
                    self._leafs = OrderedDict()

                    self.bank_list = YList(self)
                    self._segment_path = lambda: "bank-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.BankItems, [], name, value)


                class BankList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`AcBankT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AcBankT>`
                    
                    	**config**\: False
                    
                    .. attribute:: dbgingrtep_items
                    
                    	
                    	**type**\:  :py:class:`DbgIngrTepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.BankItems.BankList.DbgIngrTepItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: dbgegrtep_items
                    
                    	
                    	**type**\:  :py:class:`DbgEgrTepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.BankItems.BankList.DbgEgrTepItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.BankItems.BankList, self).__init__()

                        self.yang_name = "Bank-list"
                        self.yang_parent_name = "bank-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("dbgIngrTep-items", ("dbgingrtep_items", System.TunnelItems.IfList.BankItems.BankList.DbgIngrTepItems)), ("dbgEgrTep-items", ("dbgegrtep_items", System.TunnelItems.IfList.BankItems.BankList.DbgEgrTepItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AcBankT', '')])),
                        ])
                        self.type = None

                        self.dbgingrtep_items = System.TunnelItems.IfList.BankItems.BankList.DbgIngrTepItems()
                        self.dbgingrtep_items.parent = self
                        self._children_name_map["dbgingrtep_items"] = "dbgIngrTep-items"

                        self.dbgegrtep_items = System.TunnelItems.IfList.BankItems.BankList.DbgEgrTepItems()
                        self.dbgegrtep_items.parent = self
                        self._children_name_map["dbgegrtep_items"] = "dbgEgrTep-items"
                        self._segment_path = lambda: "Bank-list" + "[type='" + str(self.type) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.BankItems.BankList, ['type'], name, value)


                    class DbgIngrTepItems(Entity):
                        """
                        
                        
                        .. attribute:: fwdpkts
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: fwdbytes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: droppkts
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dropbytes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.BankItems.BankList.DbgIngrTepItems, self).__init__()

                            self.yang_name = "dbgIngrTep-items"
                            self.yang_parent_name = "Bank-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('fwdpkts', (YLeaf(YType.uint64, 'fwdPkts'), ['int'])),
                                ('fwdbytes', (YLeaf(YType.uint64, 'fwdBytes'), ['int'])),
                                ('droppkts', (YLeaf(YType.uint64, 'dropPkts'), ['int'])),
                                ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                            ])
                            self.fwdpkts = None
                            self.fwdbytes = None
                            self.droppkts = None
                            self.dropbytes = None
                            self._segment_path = lambda: "dbgIngrTep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.BankItems.BankList.DbgIngrTepItems, ['fwdpkts', 'fwdbytes', 'droppkts', 'dropbytes'], name, value)



                    class DbgEgrTepItems(Entity):
                        """
                        
                        
                        .. attribute:: fwdpkts
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: fwdbytes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: droppkts
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dropbytes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.BankItems.BankList.DbgEgrTepItems, self).__init__()

                            self.yang_name = "dbgEgrTep-items"
                            self.yang_parent_name = "Bank-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('fwdpkts', (YLeaf(YType.uint64, 'fwdPkts'), ['int'])),
                                ('fwdbytes', (YLeaf(YType.uint64, 'fwdBytes'), ['int'])),
                                ('droppkts', (YLeaf(YType.uint64, 'dropPkts'), ['int'])),
                                ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                            ])
                            self.fwdpkts = None
                            self.fwdbytes = None
                            self.droppkts = None
                            self.dropbytes = None
                            self._segment_path = lambda: "dbgEgrTep-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.BankItems.BankList.DbgEgrTepItems, ['fwdpkts', 'fwdbytes', 'droppkts', 'dropbytes'], name, value)





            class PortifItems(Entity):
                """
                
                
                .. attribute:: portif_list
                
                	
                	**type**\: list of  		 :py:class:`PortIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems.PortIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.PortifItems, self).__init__()

                    self.yang_name = "portif-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("PortIf-list", ("portif_list", System.TunnelItems.IfList.PortifItems.PortIfList))])
                    self._leafs = OrderedDict()

                    self.portif_list = YList(self)
                    self._segment_path = lambda: "portif-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.PortifItems, [], name, value)


                class PortIfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: bank_items
                    
                    	
                    	**type**\:  :py:class:`BankItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems.PortIfList.BankItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.PortifItems.PortIfList, self).__init__()

                        self.yang_name = "PortIf-list"
                        self.yang_parent_name = "portif-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("bank-items", ("bank_items", System.TunnelItems.IfList.PortifItems.PortIfList.BankItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ])
                        self.id = None

                        self.bank_items = System.TunnelItems.IfList.PortifItems.PortIfList.BankItems()
                        self.bank_items.parent = self
                        self._children_name_map["bank_items"] = "bank-items"
                        self._segment_path = lambda: "PortIf-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.PortifItems.PortIfList, ['id'], name, value)


                    class BankItems(Entity):
                        """
                        
                        
                        .. attribute:: bank_list
                        
                        	
                        	**type**\: list of  		 :py:class:`BankList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems, self).__init__()

                            self.yang_name = "bank-items"
                            self.yang_parent_name = "PortIf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Bank-list", ("bank_list", System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList))])
                            self._leafs = OrderedDict()

                            self.bank_list = YList(self)
                            self._segment_path = lambda: "bank-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems, [], name, value)


                        class BankList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`AcBankT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AcBankT>`
                            
                            	**config**\: False
                            
                            .. attribute:: dbgingrtep_items
                            
                            	
                            	**type**\:  :py:class:`DbgIngrTepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgIngrTepItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: dbgegrtep_items
                            
                            	
                            	**type**\:  :py:class:`DbgEgrTepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgEgrTepItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList, self).__init__()

                                self.yang_name = "Bank-list"
                                self.yang_parent_name = "bank-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("dbgIngrTep-items", ("dbgingrtep_items", System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgIngrTepItems)), ("dbgEgrTep-items", ("dbgegrtep_items", System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgEgrTepItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AcBankT', '')])),
                                ])
                                self.type = None

                                self.dbgingrtep_items = System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgIngrTepItems()
                                self.dbgingrtep_items.parent = self
                                self._children_name_map["dbgingrtep_items"] = "dbgIngrTep-items"

                                self.dbgegrtep_items = System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgEgrTepItems()
                                self.dbgegrtep_items.parent = self
                                self._children_name_map["dbgegrtep_items"] = "dbgEgrTep-items"
                                self._segment_path = lambda: "Bank-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList, ['type'], name, value)


                            class DbgIngrTepItems(Entity):
                                """
                                
                                
                                .. attribute:: fwdpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: fwdbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: droppkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dropbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgIngrTepItems, self).__init__()

                                    self.yang_name = "dbgIngrTep-items"
                                    self.yang_parent_name = "Bank-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('fwdpkts', (YLeaf(YType.uint64, 'fwdPkts'), ['int'])),
                                        ('fwdbytes', (YLeaf(YType.uint64, 'fwdBytes'), ['int'])),
                                        ('droppkts', (YLeaf(YType.uint64, 'dropPkts'), ['int'])),
                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                    ])
                                    self.fwdpkts = None
                                    self.fwdbytes = None
                                    self.droppkts = None
                                    self.dropbytes = None
                                    self._segment_path = lambda: "dbgIngrTep-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgIngrTepItems, ['fwdpkts', 'fwdbytes', 'droppkts', 'dropbytes'], name, value)



                            class DbgEgrTepItems(Entity):
                                """
                                
                                
                                .. attribute:: fwdpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: fwdbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: droppkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dropbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgEgrTepItems, self).__init__()

                                    self.yang_name = "dbgEgrTep-items"
                                    self.yang_parent_name = "Bank-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('fwdpkts', (YLeaf(YType.uint64, 'fwdPkts'), ['int'])),
                                        ('fwdbytes', (YLeaf(YType.uint64, 'fwdBytes'), ['int'])),
                                        ('droppkts', (YLeaf(YType.uint64, 'dropPkts'), ['int'])),
                                        ('dropbytes', (YLeaf(YType.uint64, 'dropBytes'), ['int'])),
                                    ])
                                    self.fwdpkts = None
                                    self.fwdbytes = None
                                    self.droppkts = None
                                    self.dropbytes = None
                                    self._segment_path = lambda: "dbgEgrTep-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.TunnelItems.IfList.PortifItems.PortIfList.BankItems.BankList.DbgEgrTepItems, ['fwdpkts', 'fwdbytes', 'droppkts', 'dropbytes'], name, value)







            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.TunnelItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




            class RstunnelMbrIfsItems(Entity):
                """
                
                
                .. attribute:: rstunnelmbrifs_list
                
                	
                	**type**\: list of  		 :py:class:`RsTunnelMbrIfsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RstunnelMbrIfsItems.RsTunnelMbrIfsList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.RstunnelMbrIfsItems, self).__init__()

                    self.yang_name = "rstunnelMbrIfs-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsTunnelMbrIfs-list", ("rstunnelmbrifs_list", System.TunnelItems.IfList.RstunnelMbrIfsItems.RsTunnelMbrIfsList))])
                    self._leafs = OrderedDict()

                    self.rstunnelmbrifs_list = YList(self)
                    self._segment_path = lambda: "rstunnelMbrIfs-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.RstunnelMbrIfsItems, [], name, value)


                class RsTunnelMbrIfsList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.RstunnelMbrIfsItems.RsTunnelMbrIfsList, self).__init__()

                        self.yang_name = "RsTunnelMbrIfs-list"
                        self.yang_parent_name = "rstunnelMbrIfs-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RsTunnelMbrIfs-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.RstunnelMbrIfsItems.RsTunnelMbrIfsList, ['tdn', 'tcl'], name, value)




            class RstunnelToLooseNodeItems(Entity):
                """
                
                
                .. attribute:: rstunneltoloosenode_list
                
                	
                	**type**\: list of  		 :py:class:`RsTunnelToLooseNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.TunnelItems.IfList.RstunnelToLooseNodeItems.RsTunnelToLooseNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.TunnelItems.IfList.RstunnelToLooseNodeItems, self).__init__()

                    self.yang_name = "rstunnelToLooseNode-items"
                    self.yang_parent_name = "If-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsTunnelToLooseNode-list", ("rstunneltoloosenode_list", System.TunnelItems.IfList.RstunnelToLooseNodeItems.RsTunnelToLooseNodeList))])
                    self._leafs = OrderedDict()

                    self.rstunneltoloosenode_list = YList(self)
                    self._segment_path = lambda: "rstunnelToLooseNode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.TunnelItems.IfList.RstunnelToLooseNodeItems, [], name, value)


                class RsTunnelToLooseNodeList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.TunnelItems.IfList.RstunnelToLooseNodeItems.RsTunnelToLooseNodeList, self).__init__()

                        self.yang_name = "RsTunnelToLooseNode-list"
                        self.yang_parent_name = "rstunnelToLooseNode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RsTunnelToLooseNode-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.TunnelItems.IfList.RstunnelToLooseNodeItems.RsTunnelToLooseNodeList, ['tdn', 'tcl'], name, value)






    class VtpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VtpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VtpItems, self).__init__()

            self.yang_name = "vtp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.VtpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.VtpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vtp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VtpItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: domain
            
            	
            	**type**\: str
            
            .. attribute:: version
            
            	
            	**type**\: int
            
            	**range:** 1..2
            
            	**default value**\: 1
            
            .. attribute:: password
            
            	
            	**type**\: str
            
            .. attribute:: filepath
            
            	
            	**type**\: str
            
            	**default value**\: bootflash:/vlan.dat
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VtpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vtp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('domain', (YLeaf(YType.str, 'domain'), ['str'])),
                    ('version', (YLeaf(YType.uint32, 'version'), ['int'])),
                    ('password', (YLeaf(YType.str, 'password'), ['str'])),
                    ('filepath', (YLeaf(YType.str, 'filePath'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.domain = None
                self.version = None
                self.password = None
                self.filepath = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vtp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VtpItems.InstItems, ['domain', 'version', 'password', 'filepath', 'name', 'adminst', 'ctrl', 'opererr'], name, value)




    class NbmItems(Entity):
        """
        
        
        .. attribute:: conf_items
        
        	
        	**type**\:  :py:class:`ConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems>`
        
        .. attribute:: show_items
        
        	
        	**type**\:  :py:class:`ShowItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NbmItems, self).__init__()

            self.yang_name = "nbm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("conf-items", ("conf_items", System.NbmItems.ConfItems)), ("show-items", ("show_items", System.NbmItems.ShowItems))])
            self._leafs = OrderedDict()

            self.conf_items = System.NbmItems.ConfItems()
            self.conf_items.parent = self
            self._children_name_map["conf_items"] = "conf-items"

            self.show_items = System.NbmItems.ShowItems()
            self.show_items.parent = self
            self._children_name_map["show_items"] = "show-items"
            self._segment_path = lambda: "nbm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NbmItems, [], name, value)


        class ConfItems(Entity):
            """
            
            
            .. attribute:: flows_items
            
            	
            	**type**\:  :py:class:`FlowsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems>`
            
            .. attribute:: grouprangelist_items
            
            	
            	**type**\:  :py:class:`GrouprangelistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GrouprangelistItems>`
            
            .. attribute:: interfaces_items
            
            	
            	**type**\:  :py:class:`InterfacesItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.InterfacesItems>`
            
            .. attribute:: global_items
            
            	
            	**type**\:  :py:class:`GlobalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GlobalItems>`
            
            .. attribute:: flowpolicytable_items
            
            	
            	**type**\:  :py:class:`FlowpolicytableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems>`
            
            .. attribute:: hostpolicytable_items
            
            	
            	**type**\:  :py:class:`HostpolicytableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmItems.ConfItems, self).__init__()

                self.yang_name = "conf-items"
                self.yang_parent_name = "nbm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("flows-items", ("flows_items", System.NbmItems.ConfItems.FlowsItems)), ("grouprangelist-items", ("grouprangelist_items", System.NbmItems.ConfItems.GrouprangelistItems)), ("interfaces-items", ("interfaces_items", System.NbmItems.ConfItems.InterfacesItems)), ("global-items", ("global_items", System.NbmItems.ConfItems.GlobalItems)), ("flowpolicytable-items", ("flowpolicytable_items", System.NbmItems.ConfItems.FlowpolicytableItems)), ("hostpolicytable-items", ("hostpolicytable_items", System.NbmItems.ConfItems.HostpolicytableItems))])
                self._leafs = OrderedDict()

                self.flows_items = System.NbmItems.ConfItems.FlowsItems()
                self.flows_items.parent = self
                self._children_name_map["flows_items"] = "flows-items"

                self.grouprangelist_items = System.NbmItems.ConfItems.GrouprangelistItems()
                self.grouprangelist_items.parent = self
                self._children_name_map["grouprangelist_items"] = "grouprangelist-items"

                self.interfaces_items = System.NbmItems.ConfItems.InterfacesItems()
                self.interfaces_items.parent = self
                self._children_name_map["interfaces_items"] = "interfaces-items"

                self.global_items = System.NbmItems.ConfItems.GlobalItems()
                self.global_items.parent = self
                self._children_name_map["global_items"] = "global-items"

                self.flowpolicytable_items = System.NbmItems.ConfItems.FlowpolicytableItems()
                self.flowpolicytable_items.parent = self
                self._children_name_map["flowpolicytable_items"] = "flowpolicytable-items"

                self.hostpolicytable_items = System.NbmItems.ConfItems.HostpolicytableItems()
                self.hostpolicytable_items.parent = self
                self._children_name_map["hostpolicytable_items"] = "hostpolicytable-items"
                self._segment_path = lambda: "conf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmItems.ConfItems, [], name, value)


            class FlowsItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.FlowsItems, self).__init__()

                    self.yang_name = "flows-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.FlowsItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.FlowsItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "flows-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.FlowsItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: confflowsdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ConfFlowsDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.FlowsItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "flows-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ConfFlowsDom-list", ("confflowsdom_list", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList))])
                        self._leafs = OrderedDict()

                        self.confflowsdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/flows-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems, [], name, value)


                    class ConfFlowsDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: s_items
                        
                        	
                        	**type**\:  :py:class:`SItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList, self).__init__()

                            self.yang_name = "ConfFlowsDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("s-items", ("s_items", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.s_items = System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems()
                            self.s_items.parent = self
                            self._children_name_map["s_items"] = "s-items"
                            self._segment_path = lambda: "ConfFlowsDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/flows-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList, ['name'], name, value)


                        class SItems(Entity):
                            """
                            
                            
                            .. attribute:: confflow_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ConfFlowList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems, self).__init__()

                                self.yang_name = "s-items"
                                self.yang_parent_name = "ConfFlowsDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ConfFlow-list", ("confflow_list", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList))])
                                self._leafs = OrderedDict()

                                self.confflow_list = YList(self)
                                self._segment_path = lambda: "s-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems, [], name, value)


                            class ConfFlowList(Entity):
                                """
                                
                                
                                .. attribute:: source  (key)
                                
                                	source IP Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: group  (key)
                                
                                	Group being sent
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: if_items
                                
                                	
                                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems>`
                                
                                .. attribute:: host_items
                                
                                	
                                	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList, self).__init__()

                                    self.yang_name = "ConfFlow-list"
                                    self.yang_parent_name = "s-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['source','group']
                                    self._child_classes = OrderedDict([("if-items", ("if_items", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems)), ("host-items", ("host_items", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems))])
                                    self._leafs = OrderedDict([
                                        ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                        ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                    ])
                                    self.source = None
                                    self.group = None

                                    self.if_items = System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems()
                                    self.if_items.parent = self
                                    self._children_name_map["if_items"] = "if-items"

                                    self.host_items = System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems()
                                    self.host_items.parent = self
                                    self._children_name_map["host_items"] = "host-items"
                                    self._segment_path = lambda: "ConfFlow-list" + "[source='" + str(self.source) + "']" + "[group='" + str(self.group) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList, ['source', 'group'], name, value)


                                class IfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: confflowif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ConfFlowIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems.ConfFlowIfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems, self).__init__()

                                        self.yang_name = "if-items"
                                        self.yang_parent_name = "ConfFlow-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ConfFlowIf-list", ("confflowif_list", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems.ConfFlowIfList))])
                                        self._leafs = OrderedDict()

                                        self.confflowif_list = YList(self)
                                        self._segment_path = lambda: "if-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems, [], name, value)


                                    class ConfFlowIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	OIF Interface
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems.ConfFlowIfList, self).__init__()

                                            self.yang_name = "ConfFlowIf-list"
                                            self.yang_parent_name = "if-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                            ])
                                            self.id = None
                                            self._segment_path = lambda: "ConfFlowIf-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.IfItems.ConfFlowIfList, ['id'], name, value)




                                class HostItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: confflowhost_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ConfFlowHostList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems.ConfFlowHostList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems, self).__init__()

                                        self.yang_name = "host-items"
                                        self.yang_parent_name = "ConfFlow-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ConfFlowHost-list", ("confflowhost_list", System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems.ConfFlowHostList))])
                                        self._leafs = OrderedDict()

                                        self.confflowhost_list = YList(self)
                                        self._segment_path = lambda: "host-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems, [], name, value)


                                    class ConfFlowHostList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: host  (key)
                                        
                                        	reporter IP Address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems.ConfFlowHostList, self).__init__()

                                            self.yang_name = "ConfFlowHost-list"
                                            self.yang_parent_name = "host-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['host']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('host', (YLeaf(YType.str, 'host'), ['str','str'])),
                                            ])
                                            self.host = None
                                            self._segment_path = lambda: "ConfFlowHost-list" + "[host='" + str(self.host) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ConfItems.FlowsItems.DomItems.ConfFlowsDomList.SItems.ConfFlowList.HostItems.ConfFlowHostList, ['host'], name, value)









            class GrouprangelistItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GrouprangelistItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.GrouprangelistItems, self).__init__()

                    self.yang_name = "grouprangelist-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.GrouprangelistItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.GrouprangelistItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "grouprangelist-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.GrouprangelistItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: grouprangedom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`GroupRangeDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.GrouprangelistItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "grouprangelist-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("GroupRangeDom-list", ("grouprangedom_list", System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList))])
                        self._leafs = OrderedDict()

                        self.grouprangedom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/grouprangelist-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.GrouprangelistItems.DomItems, [], name, value)


                    class GroupRangeDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: g_items
                        
                        	
                        	**type**\:  :py:class:`GItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList, self).__init__()

                            self.yang_name = "GroupRangeDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("g-items", ("g_items", System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.g_items = System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems()
                            self.g_items.parent = self
                            self._children_name_map["g_items"] = "g-items"
                            self._segment_path = lambda: "GroupRangeDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/grouprangelist-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList, ['name'], name, value)


                        class GItems(Entity):
                            """
                            
                            
                            .. attribute:: grouprange_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GroupRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems.GroupRangeList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems, self).__init__()

                                self.yang_name = "g-items"
                                self.yang_parent_name = "GroupRangeDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("GroupRange-list", ("grouprange_list", System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems.GroupRangeList))])
                                self._leafs = OrderedDict()

                                self.grouprange_list = YList(self)
                                self._segment_path = lambda: "g-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems, [], name, value)


                            class GroupRangeList(Entity):
                                """
                                
                                
                                .. attribute:: group  (key)
                                
                                	ASM Range Multicast Group
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: groupmask  (key)
                                
                                	ASM Range Group Mask as integer
                                	**type**\: int
                                
                                	**range:** 0..32
                                
                                .. attribute:: rangetype
                                
                                	ASM Range Type \- SSM or ASM
                                	**type**\:  :py:class:`NbmNbmGroupRangeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmGroupRangeType>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems.GroupRangeList, self).__init__()

                                    self.yang_name = "GroupRange-list"
                                    self.yang_parent_name = "g-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['group','groupmask']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                        ('groupmask', (YLeaf(YType.uint16, 'groupMask'), ['int'])),
                                        ('rangetype', (YLeaf(YType.enumeration, 'rangeType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmGroupRangeType', '')])),
                                    ])
                                    self.group = None
                                    self.groupmask = None
                                    self.rangetype = None
                                    self._segment_path = lambda: "GroupRange-list" + "[group='" + str(self.group) + "']" + "[groupMask='" + str(self.groupmask) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.GrouprangelistItems.DomItems.GroupRangeDomList.GItems.GroupRangeList, ['group', 'groupmask', 'rangetype'], name, value)







            class InterfacesItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.InterfacesItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.InterfacesItems, self).__init__()

                    self.yang_name = "interfaces-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.InterfacesItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.InterfacesItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "interfaces-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.InterfacesItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: interfacesdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InterfacesDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.InterfacesItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "interfaces-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("InterfacesDom-list", ("interfacesdom_list", System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList))])
                        self._leafs = OrderedDict()

                        self.interfacesdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/interfaces-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.InterfacesItems.DomItems, [], name, value)


                    class InterfacesDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: if_items
                        
                        	
                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList, self).__init__()

                            self.yang_name = "InterfacesDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("if-items", ("if_items", System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.if_items = System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems()
                            self.if_items.parent = self
                            self._children_name_map["if_items"] = "if-items"
                            self._segment_path = lambda: "InterfacesDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/interfaces-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList, ['name'], name, value)


                        class IfItems(Entity):
                            """
                            
                            
                            .. attribute:: if_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems.IfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems, self).__init__()

                                self.yang_name = "if-items"
                                self.yang_parent_name = "InterfacesDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("If-list", ("if_list", System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems.IfList))])
                                self._leafs = OrderedDict()

                                self.if_list = YList(self)
                                self._segment_path = lambda: "if-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems, [], name, value)


                            class IfList(Entity):
                                """
                                
                                
                                .. attribute:: if_  (key)
                                
                                	Interface if\-index
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: role
                                
                                	Link Role
                                	**type**\:  :py:class:`NbmNbmLinkRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmLinkRole>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems.IfList, self).__init__()

                                    self.yang_name = "If-list"
                                    self.yang_parent_name = "if-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['if_']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('if_', (YLeaf(YType.uint32, 'if'), ['int'])),
                                        ('role', (YLeaf(YType.enumeration, 'role'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmLinkRole', '')])),
                                    ])
                                    self.if_ = None
                                    self.role = None
                                    self._segment_path = lambda: "If-list" + "[if='" + str(self.if_) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.InterfacesItems.DomItems.InterfacesDomList.IfItems.IfList, ['if_', 'role'], name, value)







            class GlobalItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GlobalItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.GlobalItems, self).__init__()

                    self.yang_name = "global-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.GlobalItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.GlobalItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "global-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.GlobalItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: globalconfdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`GlobalConfDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.GlobalItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "global-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("GlobalConfDom-list", ("globalconfdom_list", System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList))])
                        self._leafs = OrderedDict()

                        self.globalconfdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/global-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.GlobalItems.DomItems, [], name, value)


                    class GlobalConfDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: global_items
                        
                        	
                        	**type**\:  :py:class:`GlobalItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList.GlobalItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList, self).__init__()

                            self.yang_name = "GlobalConfDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("global-items", ("global_items", System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList.GlobalItems_))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.global_items = System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList.GlobalItems_()
                            self.global_items.parent = self
                            self._children_name_map["global_items"] = "global-items"
                            self._segment_path = lambda: "GlobalConfDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/global-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList, ['name'], name, value)


                        class GlobalItems_(Entity):
                            """
                            
                            
                            .. attribute:: opermode
                            
                            	NBM Operation mode
                            	**type**\:  :py:class:`NbmNbmOperationalMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmOperationalMode>`
                            
                            .. attribute:: defaultsenderhostpolicy
                            
                            	Default Allow or Deny policy for Sender hosts
                            	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                            
                            .. attribute:: defaultreceiverhostpolicy
                            
                            	Default Allow or Deny policy for Receiver hosts
                            	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                            
                            .. attribute:: defaultpimhostpolicy
                            
                            	Default Allow or Deny policy for PIM groups
                            	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                            
                            .. attribute:: defaultflowbw
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**default value**\: 0
                            
                            .. attribute:: defaultflowbwunit
                            
                            	bandwidth units \- Mbps, Kbps, or Gbps
                            	**type**\:  :py:class:`NbmNbmBwUnitEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmBwUnitEn>`
                            
                            .. attribute:: defaultdscp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**default value**\: 0
                            
                            .. attribute:: unicastbwpercent
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            	**default value**\: 0
                            
                            .. attribute:: beaconack
                            
                            	
                            	**type**\: str
                            
                            	**default value**\: 0
                            
                            .. attribute:: subscriptionid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**default value**\: 0
                            
                            .. attribute:: defaultflowpolicer
                            
                            	Enable or Disable Policer for default Flow Policy
                            	**type**\:  :py:class:`NbmNbmFlowPolicerEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmFlowPolicerEn>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList.GlobalItems_, self).__init__()

                                self.yang_name = "global-items"
                                self.yang_parent_name = "GlobalConfDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('opermode', (YLeaf(YType.enumeration, 'operMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmOperationalMode', '')])),
                                    ('defaultsenderhostpolicy', (YLeaf(YType.enumeration, 'defaultSenderHostPolicy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                    ('defaultreceiverhostpolicy', (YLeaf(YType.enumeration, 'defaultReceiverHostPolicy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                    ('defaultpimhostpolicy', (YLeaf(YType.enumeration, 'defaultPimHostPolicy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                    ('defaultflowbw', (YLeaf(YType.uint32, 'defaultflowBw'), ['int'])),
                                    ('defaultflowbwunit', (YLeaf(YType.enumeration, 'defaultflowBwUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmBwUnitEn', '')])),
                                    ('defaultdscp', (YLeaf(YType.uint32, 'defaultDscp'), ['int'])),
                                    ('unicastbwpercent', (YLeaf(YType.uint8, 'unicastBwPercent'), ['int'])),
                                    ('beaconack', (YLeaf(YType.str, 'beaconAck'), ['str'])),
                                    ('subscriptionid', (YLeaf(YType.uint32, 'subscriptionId'), ['int'])),
                                    ('defaultflowpolicer', (YLeaf(YType.enumeration, 'defaultFlowPolicer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmFlowPolicerEn', '')])),
                                ])
                                self.opermode = None
                                self.defaultsenderhostpolicy = None
                                self.defaultreceiverhostpolicy = None
                                self.defaultpimhostpolicy = None
                                self.defaultflowbw = None
                                self.defaultflowbwunit = None
                                self.defaultdscp = None
                                self.unicastbwpercent = None
                                self.beaconack = None
                                self.subscriptionid = None
                                self.defaultflowpolicer = None
                                self._segment_path = lambda: "global-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.GlobalItems.DomItems.GlobalConfDomList.GlobalItems_, ['opermode', 'defaultsenderhostpolicy', 'defaultreceiverhostpolicy', 'defaultpimhostpolicy', 'defaultflowbw', 'defaultflowbwunit', 'defaultdscp', 'unicastbwpercent', 'beaconack', 'subscriptionid', 'defaultflowpolicer'], name, value)






            class FlowpolicytableItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.FlowpolicytableItems, self).__init__()

                    self.yang_name = "flowpolicytable-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.FlowpolicytableItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "flowpolicytable-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: flowpolicydom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FlowPolicyDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "flowpolicytable-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FlowPolicyDom-list", ("flowpolicydom_list", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList))])
                        self._leafs = OrderedDict()

                        self.flowpolicydom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/flowpolicytable-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems, [], name, value)


                    class FlowPolicyDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: name_items
                        
                        	
                        	**type**\:  :py:class:`NameItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList, self).__init__()

                            self.yang_name = "FlowPolicyDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("name-items", ("name_items", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.name_items = System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems()
                            self.name_items.parent = self
                            self._children_name_map["name_items"] = "name-items"
                            self._segment_path = lambda: "FlowPolicyDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/flowpolicytable-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList, ['name'], name, value)


                        class NameItems(Entity):
                            """
                            
                            
                            .. attribute:: flowpolicy_list
                            
                            	
                            	**type**\: list of  		 :py:class:`FlowPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems, self).__init__()

                                self.yang_name = "name-items"
                                self.yang_parent_name = "FlowPolicyDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("FlowPolicy-list", ("flowpolicy_list", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList))])
                                self._leafs = OrderedDict()

                                self.flowpolicy_list = YList(self)
                                self._segment_path = lambda: "name-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems, [], name, value)


                            class FlowPolicyList(Entity):
                                """
                                
                                
                                .. attribute:: name  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: bw
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: bwunit
                                
                                	bandwidth units \- Mbps, Kbps, or Gbps
                                	**type**\:  :py:class:`NbmNbmBwUnitEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmBwUnitEn>`
                                
                                .. attribute:: dscp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                	**default value**\: 0
                                
                                .. attribute:: policer
                                
                                	Enable or Disable Policer for this Flow Policy
                                	**type**\:  :py:class:`NbmNbmFlowPolicerEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmFlowPolicerEn>`
                                
                                .. attribute:: bgn_items
                                
                                	
                                	**type**\:  :py:class:`BgnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList, self).__init__()

                                    self.yang_name = "FlowPolicy-list"
                                    self.yang_parent_name = "name-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['name']
                                    self._child_classes = OrderedDict([("bgn-items", ("bgn_items", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems))])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('bw', (YLeaf(YType.uint64, 'bw'), ['int'])),
                                        ('bwunit', (YLeaf(YType.enumeration, 'bwUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmBwUnitEn', '')])),
                                        ('dscp', (YLeaf(YType.uint32, 'dscp'), ['int'])),
                                        ('policer', (YLeaf(YType.enumeration, 'policer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmFlowPolicerEn', '')])),
                                    ])
                                    self.name = None
                                    self.bw = None
                                    self.bwunit = None
                                    self.dscp = None
                                    self.policer = None

                                    self.bgn_items = System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems()
                                    self.bgn_items.parent = self
                                    self._children_name_map["bgn_items"] = "bgn-items"
                                    self._segment_path = lambda: "FlowPolicy-list" + "[name='" + str(self.name) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList, ['name', 'bw', 'bwunit', 'dscp', 'policer'], name, value)


                                class BgnItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: flowpolicyrange_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`FlowPolicyRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems.FlowPolicyRangeList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems, self).__init__()

                                        self.yang_name = "bgn-items"
                                        self.yang_parent_name = "FlowPolicy-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("FlowPolicyRange-list", ("flowpolicyrange_list", System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems.FlowPolicyRangeList))])
                                        self._leafs = OrderedDict()

                                        self.flowpolicyrange_list = YList(self)
                                        self._segment_path = lambda: "bgn-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems, [], name, value)


                                    class FlowPolicyRangeList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: groupbegin  (key)
                                        
                                        	Flow Policy Group range start
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: groupend  (key)
                                        
                                        	Flow Policy Group range end
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems.FlowPolicyRangeList, self).__init__()

                                            self.yang_name = "FlowPolicyRange-list"
                                            self.yang_parent_name = "bgn-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['groupbegin','groupend']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('groupbegin', (YLeaf(YType.str, 'groupBegin'), ['str','str'])),
                                                ('groupend', (YLeaf(YType.str, 'groupEnd'), ['str','str'])),
                                            ])
                                            self.groupbegin = None
                                            self.groupend = None
                                            self._segment_path = lambda: "FlowPolicyRange-list" + "[groupBegin='" + str(self.groupbegin) + "']" + "[groupEnd='" + str(self.groupend) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ConfItems.FlowpolicytableItems.DomItems.FlowPolicyDomList.NameItems.FlowPolicyList.BgnItems.FlowPolicyRangeList, ['groupbegin', 'groupend'], name, value)









            class HostpolicytableItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ConfItems.HostpolicytableItems, self).__init__()

                    self.yang_name = "hostpolicytable-items"
                    self.yang_parent_name = "conf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "hostpolicytable-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: hostpolicydom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HostPolicyDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "hostpolicytable-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("HostPolicyDom-list", ("hostpolicydom_list", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList))])
                        self._leafs = OrderedDict()

                        self.hostpolicydom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/hostpolicytable-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems, [], name, value)


                    class HostPolicyDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: sender_items
                        
                        	
                        	**type**\:  :py:class:`SenderItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems>`
                        
                        .. attribute:: receiver_items
                        
                        	
                        	**type**\:  :py:class:`ReceiverItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems>`
                        
                        .. attribute:: pim_items
                        
                        	
                        	**type**\:  :py:class:`PimItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList, self).__init__()

                            self.yang_name = "HostPolicyDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("sender-items", ("sender_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems)), ("receiver-items", ("receiver_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems)), ("pim-items", ("pim_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.sender_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems()
                            self.sender_items.parent = self
                            self._children_name_map["sender_items"] = "sender-items"

                            self.receiver_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems()
                            self.receiver_items.parent = self
                            self._children_name_map["receiver_items"] = "receiver-items"

                            self.pim_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems()
                            self.pim_items.parent = self
                            self._children_name_map["pim_items"] = "pim-items"
                            self._segment_path = lambda: "HostPolicyDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/conf-items/hostpolicytable-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList, ['name'], name, value)


                        class SenderItems(Entity):
                            """
                            
                            
                            .. attribute:: seq_items
                            
                            	
                            	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems, self).__init__()

                                self.yang_name = "sender-items"
                                self.yang_parent_name = "HostPolicyDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("seq-items", ("seq_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems))])
                                self._leafs = OrderedDict()

                                self.seq_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems()
                                self.seq_items.parent = self
                                self._children_name_map["seq_items"] = "seq-items"
                                self._segment_path = lambda: "sender-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems, [], name, value)


                            class SeqItems(Entity):
                                """
                                
                                
                                .. attribute:: senderhostpolicy_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SenderHostPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems.SenderHostPolicyList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems, self).__init__()

                                    self.yang_name = "seq-items"
                                    self.yang_parent_name = "sender-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SenderHostPolicy-list", ("senderhostpolicy_list", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems.SenderHostPolicyList))])
                                    self._leafs = OrderedDict()

                                    self.senderhostpolicy_list = YList(self)
                                    self._segment_path = lambda: "seq-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems, [], name, value)


                                class SenderHostPolicyList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	Unique Sequence Number for Policies
                                    	**type**\: int
                                    
                                    	**range:** 1..19999999
                                    
                                    .. attribute:: host
                                    
                                    	Host IP Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: group
                                    
                                    	Multicast Group
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: groupmask
                                    
                                    	Group Mask as integer
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    .. attribute:: permission
                                    
                                    	Is the given policy to Allow or Deny a host
                                    	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems.SenderHostPolicyList, self).__init__()

                                        self.yang_name = "SenderHostPolicy-list"
                                        self.yang_parent_name = "seq-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                            ('host', (YLeaf(YType.str, 'host'), ['str','str'])),
                                            ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                            ('groupmask', (YLeaf(YType.uint16, 'groupMask'), ['int'])),
                                            ('permission', (YLeaf(YType.enumeration, 'permission'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                        ])
                                        self.seqnum = None
                                        self.host = None
                                        self.group = None
                                        self.groupmask = None
                                        self.permission = None
                                        self._segment_path = lambda: "SenderHostPolicy-list" + "[seqNum='" + str(self.seqnum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.SenderItems.SeqItems.SenderHostPolicyList, ['seqnum', 'host', 'group', 'groupmask', 'permission'], name, value)





                        class ReceiverItems(Entity):
                            """
                            
                            
                            .. attribute:: seq_items
                            
                            	
                            	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems, self).__init__()

                                self.yang_name = "receiver-items"
                                self.yang_parent_name = "HostPolicyDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("seq-items", ("seq_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems))])
                                self._leafs = OrderedDict()

                                self.seq_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems()
                                self.seq_items.parent = self
                                self._children_name_map["seq_items"] = "seq-items"
                                self._segment_path = lambda: "receiver-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems, [], name, value)


                            class SeqItems(Entity):
                                """
                                
                                
                                .. attribute:: receiverhostpolicy_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ReceiverHostPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems.ReceiverHostPolicyList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems, self).__init__()

                                    self.yang_name = "seq-items"
                                    self.yang_parent_name = "receiver-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("ReceiverHostPolicy-list", ("receiverhostpolicy_list", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems.ReceiverHostPolicyList))])
                                    self._leafs = OrderedDict()

                                    self.receiverhostpolicy_list = YList(self)
                                    self._segment_path = lambda: "seq-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems, [], name, value)


                                class ReceiverHostPolicyList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	Unique Sequence Number for Policies
                                    	**type**\: int
                                    
                                    	**range:** 1..19999999
                                    
                                    .. attribute:: host
                                    
                                    	Host IP Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: source
                                    
                                    	Host IP Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: group
                                    
                                    	Multicast Group
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: groupmask
                                    
                                    	Group Mask as integer
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    .. attribute:: permission
                                    
                                    	Is the given policy to Allow or Deny a host
                                    	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems.ReceiverHostPolicyList, self).__init__()

                                        self.yang_name = "ReceiverHostPolicy-list"
                                        self.yang_parent_name = "seq-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                            ('host', (YLeaf(YType.str, 'host'), ['str','str'])),
                                            ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                            ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                            ('groupmask', (YLeaf(YType.uint16, 'groupMask'), ['int'])),
                                            ('permission', (YLeaf(YType.enumeration, 'permission'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                        ])
                                        self.seqnum = None
                                        self.host = None
                                        self.source = None
                                        self.group = None
                                        self.groupmask = None
                                        self.permission = None
                                        self._segment_path = lambda: "ReceiverHostPolicy-list" + "[seqNum='" + str(self.seqnum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.ReceiverItems.SeqItems.ReceiverHostPolicyList, ['seqnum', 'host', 'source', 'group', 'groupmask', 'permission'], name, value)





                        class PimItems(Entity):
                            """
                            
                            
                            .. attribute:: seq_items
                            
                            	
                            	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems, self).__init__()

                                self.yang_name = "pim-items"
                                self.yang_parent_name = "HostPolicyDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("seq-items", ("seq_items", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems))])
                                self._leafs = OrderedDict()

                                self.seq_items = System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems()
                                self.seq_items.parent = self
                                self._children_name_map["seq_items"] = "seq-items"
                                self._segment_path = lambda: "pim-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems, [], name, value)


                            class SeqItems(Entity):
                                """
                                
                                
                                .. attribute:: pimhostpolicy_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PimHostPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems.PimHostPolicyList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems, self).__init__()

                                    self.yang_name = "seq-items"
                                    self.yang_parent_name = "pim-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PimHostPolicy-list", ("pimhostpolicy_list", System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems.PimHostPolicyList))])
                                    self._leafs = OrderedDict()

                                    self.pimhostpolicy_list = YList(self)
                                    self._segment_path = lambda: "seq-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems, [], name, value)


                                class PimHostPolicyList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	Unique Sequence Number for Policies
                                    	**type**\: int
                                    
                                    	**range:** 1..19999999
                                    
                                    .. attribute:: source
                                    
                                    	Host IP Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: group
                                    
                                    	Multicast Group
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: groupmask
                                    
                                    	Group Mask as integer
                                    	**type**\: int
                                    
                                    	**range:** 0..32
                                    
                                    .. attribute:: permission
                                    
                                    	Is the given policy to Allow or Deny a host
                                    	**type**\:  :py:class:`NbmNbmPermit <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPermit>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems.PimHostPolicyList, self).__init__()

                                        self.yang_name = "PimHostPolicy-list"
                                        self.yang_parent_name = "seq-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                                            ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                            ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                            ('groupmask', (YLeaf(YType.uint16, 'groupMask'), ['int'])),
                                            ('permission', (YLeaf(YType.enumeration, 'permission'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPermit', '')])),
                                        ])
                                        self.seqnum = None
                                        self.source = None
                                        self.group = None
                                        self.groupmask = None
                                        self.permission = None
                                        self._segment_path = lambda: "PimHostPolicy-list" + "[seqNum='" + str(self.seqnum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ConfItems.HostpolicytableItems.DomItems.HostPolicyDomList.PimItems.SeqItems.PimHostPolicyList, ['seqnum', 'source', 'group', 'groupmask', 'permission'], name, value)









        class ShowItems(Entity):
            """
            
            
            .. attribute:: appliedpolicies_items
            
            	
            	**type**\:  :py:class:`AppliedpoliciesItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems>`
            
            .. attribute:: flows_items
            
            	
            	**type**\:  :py:class:`FlowsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems>`
            
            .. attribute:: stats_items
            
            	
            	**type**\:  :py:class:`StatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.StatsItems>`
            
            .. attribute:: global_items
            
            	
            	**type**\:  :py:class:`GlobalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.GlobalItems>`
            
            .. attribute:: endpoints_items
            
            	
            	**type**\:  :py:class:`EndpointsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmItems.ShowItems, self).__init__()

                self.yang_name = "show-items"
                self.yang_parent_name = "nbm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("appliedpolicies-items", ("appliedpolicies_items", System.NbmItems.ShowItems.AppliedpoliciesItems)), ("flows-items", ("flows_items", System.NbmItems.ShowItems.FlowsItems)), ("stats-items", ("stats_items", System.NbmItems.ShowItems.StatsItems)), ("global-items", ("global_items", System.NbmItems.ShowItems.GlobalItems)), ("endpoints-items", ("endpoints_items", System.NbmItems.ShowItems.EndpointsItems))])
                self._leafs = OrderedDict()

                self.appliedpolicies_items = System.NbmItems.ShowItems.AppliedpoliciesItems()
                self.appliedpolicies_items.parent = self
                self._children_name_map["appliedpolicies_items"] = "appliedpolicies-items"

                self.flows_items = System.NbmItems.ShowItems.FlowsItems()
                self.flows_items.parent = self
                self._children_name_map["flows_items"] = "flows-items"

                self.stats_items = System.NbmItems.ShowItems.StatsItems()
                self.stats_items.parent = self
                self._children_name_map["stats_items"] = "stats-items"

                self.global_items = System.NbmItems.ShowItems.GlobalItems()
                self.global_items.parent = self
                self._children_name_map["global_items"] = "global-items"

                self.endpoints_items = System.NbmItems.ShowItems.EndpointsItems()
                self.endpoints_items.parent = self
                self._children_name_map["endpoints_items"] = "endpoints-items"
                self._segment_path = lambda: "show-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmItems.ShowItems, [], name, value)


            class AppliedpoliciesItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ShowItems.AppliedpoliciesItems, self).__init__()

                    self.yang_name = "appliedpolicies-items"
                    self.yang_parent_name = "show-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "appliedpolicies-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: appliedpolicydom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`AppliedPolicyDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "appliedpolicies-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("AppliedPolicyDom-list", ("appliedpolicydom_list", System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList))])
                        self._leafs = OrderedDict()

                        self.appliedpolicydom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/appliedpolicies-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems, [], name, value)


                    class AppliedPolicyDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: host_items
                        
                        	
                        	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList, self).__init__()

                            self.yang_name = "AppliedPolicyDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("host-items", ("host_items", System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.host_items = System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems()
                            self.host_items.parent = self
                            self._children_name_map["host_items"] = "host-items"
                            self._segment_path = lambda: "AppliedPolicyDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/appliedpolicies-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList, ['name'], name, value)


                        class HostItems(Entity):
                            """
                            
                            
                            .. attribute:: seq_items
                            
                            	
                            	**type**\:  :py:class:`SeqItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems, self).__init__()

                                self.yang_name = "host-items"
                                self.yang_parent_name = "AppliedPolicyDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("seq-items", ("seq_items", System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems))])
                                self._leafs = OrderedDict()

                                self.seq_items = System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems()
                                self.seq_items.parent = self
                                self._children_name_map["seq_items"] = "seq-items"
                                self._segment_path = lambda: "host-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems, [], name, value)


                            class SeqItems(Entity):
                                """
                                
                                
                                .. attribute:: appliedpolicy_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AppliedPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems.AppliedPolicyList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems, self).__init__()

                                    self.yang_name = "seq-items"
                                    self.yang_parent_name = "host-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AppliedPolicy-list", ("appliedpolicy_list", System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems.AppliedPolicyList))])
                                    self._leafs = OrderedDict()

                                    self.appliedpolicy_list = YList(self)
                                    self._segment_path = lambda: "seq-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems, [], name, value)


                                class AppliedPolicyList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seqnum  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: policytype  (key)
                                    
                                    	Sender, Local Receiver, or External Receiver
                                    	**type**\:  :py:class:`NbmNbmPolicyType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmPolicyType>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: if_  (key)
                                    
                                    	Interface to which policy is applicable
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifname
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: isactive
                                    
                                    	Applied ACTIVE or PASSIVE
                                    	**type**\:  :py:class:`NbmNbmNoYes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmNoYes>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tstamp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems.AppliedPolicyList, self).__init__()

                                        self.yang_name = "AppliedPolicy-list"
                                        self.yang_parent_name = "seq-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['seqnum','policytype','if_']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('seqnum', (YLeaf(YType.uint64, 'seqNum'), ['int'])),
                                            ('policytype', (YLeaf(YType.enumeration, 'policyType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmPolicyType', '')])),
                                            ('if_', (YLeaf(YType.uint32, 'if'), ['int'])),
                                            ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                            ('isactive', (YLeaf(YType.enumeration, 'isActive'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmNoYes', '')])),
                                            ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                        ])
                                        self.seqnum = None
                                        self.policytype = None
                                        self.if_ = None
                                        self.ifname = None
                                        self.isactive = None
                                        self.tstamp = None
                                        self._segment_path = lambda: "AppliedPolicy-list" + "[seqNum='" + str(self.seqnum) + "']" + "[policyType='" + str(self.policytype) + "']" + "[if='" + str(self.if_) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ShowItems.AppliedpoliciesItems.DomItems.AppliedPolicyDomList.HostItems.SeqItems.AppliedPolicyList, ['seqnum', 'policytype', 'if_', 'ifname', 'isactive', 'tstamp'], name, value)








            class FlowsItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ShowItems.FlowsItems, self).__init__()

                    self.yang_name = "flows-items"
                    self.yang_parent_name = "show-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ShowItems.FlowsItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ShowItems.FlowsItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "flows-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ShowItems.FlowsItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: flowsdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FlowsDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ShowItems.FlowsItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "flows-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("FlowsDom-list", ("flowsdom_list", System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList))])
                        self._leafs = OrderedDict()

                        self.flowsdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/flows-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems, [], name, value)


                    class FlowsDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: s_items
                        
                        	
                        	**type**\:  :py:class:`SItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList, self).__init__()

                            self.yang_name = "FlowsDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("s-items", ("s_items", System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.s_items = System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems()
                            self.s_items.parent = self
                            self._children_name_map["s_items"] = "s-items"
                            self._segment_path = lambda: "FlowsDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/flows-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList, ['name'], name, value)


                        class SItems(Entity):
                            """
                            
                            
                            .. attribute:: nbmflow_list
                            
                            	
                            	**type**\: list of  		 :py:class:`NbmFlowList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems, self).__init__()

                                self.yang_name = "s-items"
                                self.yang_parent_name = "FlowsDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("NbmFlow-list", ("nbmflow_list", System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList))])
                                self._leafs = OrderedDict()

                                self.nbmflow_list = YList(self)
                                self._segment_path = lambda: "s-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems, [], name, value)


                            class NbmFlowList(Entity):
                                """
                                
                                
                                .. attribute:: source  (key)
                                
                                	source IP Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: group  (key)
                                
                                	Group being sent
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ingressif
                                
                                	ingress Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ingressifname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: egressifcount
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: flowpol
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bwkbps
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dscp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: qid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: isfhr
                                
                                	Signals if this switch is FHR for this flow
                                	**type**\:  :py:class:`NbmNbmNoYes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmNoYes>`
                                
                                	**config**\: False
                                
                                .. attribute:: policed
                                
                                	Is the corresponding flow policy set to install ingress policer
                                	**type**\:  :py:class:`NbmNbmNoYes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmNoYes>`
                                
                                	**config**\: False
                                
                                .. attribute:: tstamp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: bucket
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: oif_items
                                
                                	
                                	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList, self).__init__()

                                    self.yang_name = "NbmFlow-list"
                                    self.yang_parent_name = "s-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['source','group']
                                    self._child_classes = OrderedDict([("oif-items", ("oif_items", System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems))])
                                    self._leafs = OrderedDict([
                                        ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                        ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                        ('ingressif', (YLeaf(YType.uint32, 'ingressIf'), ['int'])),
                                        ('ingressifname', (YLeaf(YType.str, 'ingressIfName'), ['str'])),
                                        ('egressifcount', (YLeaf(YType.uint32, 'egressIfCount'), ['int'])),
                                        ('flowpol', (YLeaf(YType.str, 'flowPol'), ['str'])),
                                        ('bwkbps', (YLeaf(YType.uint64, 'bwKbps'), ['int'])),
                                        ('dscp', (YLeaf(YType.uint32, 'dscp'), ['int'])),
                                        ('qid', (YLeaf(YType.uint32, 'qid'), ['int'])),
                                        ('isfhr', (YLeaf(YType.enumeration, 'isFhr'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmNoYes', '')])),
                                        ('policed', (YLeaf(YType.enumeration, 'policed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmNoYes', '')])),
                                        ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                        ('bucket', (YLeaf(YType.uint16, 'bucket'), ['int'])),
                                    ])
                                    self.source = None
                                    self.group = None
                                    self.ingressif = None
                                    self.ingressifname = None
                                    self.egressifcount = None
                                    self.flowpol = None
                                    self.bwkbps = None
                                    self.dscp = None
                                    self.qid = None
                                    self.isfhr = None
                                    self.policed = None
                                    self.tstamp = None
                                    self.bucket = None

                                    self.oif_items = System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems()
                                    self.oif_items.parent = self
                                    self._children_name_map["oif_items"] = "oif-items"
                                    self._segment_path = lambda: "NbmFlow-list" + "[source='" + str(self.source) + "']" + "[group='" + str(self.group) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList, ['source', 'group', 'ingressif', 'ingressifname', 'egressifcount', 'flowpol', 'bwkbps', 'dscp', 'qid', 'isfhr', 'policed', 'tstamp', 'bucket'], name, value)


                                class OifItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: oiflist_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`OifListList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems.OifListList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems, self).__init__()

                                        self.yang_name = "oif-items"
                                        self.yang_parent_name = "NbmFlow-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("OifList-list", ("oiflist_list", System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems.OifListList))])
                                        self._leafs = OrderedDict()

                                        self.oiflist_list = YList(self)
                                        self._segment_path = lambda: "oif-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems, [], name, value)


                                    class OifListList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: oif  (key)
                                        
                                        	OIF Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifname
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: reporterip
                                        
                                        	Reporter IP Address for Receiver. Only LHR Need publish this
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: origin
                                        
                                        	OIF Origin \- static, dynamic or both
                                        	**type**\:  :py:class:`NbmNbmOifOrigin <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmOifOrigin>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oiftstamp
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems.OifListList, self).__init__()

                                            self.yang_name = "OifList-list"
                                            self.yang_parent_name = "oif-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['oif']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('oif', (YLeaf(YType.uint32, 'oif'), ['int'])),
                                                ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                ('reporterip', (YLeaf(YType.str, 'reporterIP'), ['str','str'])),
                                                ('origin', (YLeaf(YType.enumeration, 'origin'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmOifOrigin', '')])),
                                                ('oiftstamp', (YLeaf(YType.uint64, 'oifTstamp'), ['int'])),
                                            ])
                                            self.oif = None
                                            self.oifname = None
                                            self.reporterip = None
                                            self.origin = None
                                            self.oiftstamp = None
                                            self._segment_path = lambda: "OifList-list" + "[oif='" + str(self.oif) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ShowItems.FlowsItems.DomItems.FlowsDomList.SItems.NbmFlowList.OifItems.OifListList, ['oif', 'oifname', 'reporterip', 'origin', 'oiftstamp'], name, value)









            class StatsItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.StatsItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ShowItems.StatsItems, self).__init__()

                    self.yang_name = "stats-items"
                    self.yang_parent_name = "show-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ShowItems.StatsItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ShowItems.StatsItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "stats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ShowItems.StatsItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: statsdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`StatsDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ShowItems.StatsItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "stats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("StatsDom-list", ("statsdom_list", System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList))])
                        self._leafs = OrderedDict()

                        self.statsdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/stats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ShowItems.StatsItems.DomItems, [], name, value)


                    class StatsDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: s_items
                        
                        	
                        	**type**\:  :py:class:`SItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList, self).__init__()

                            self.yang_name = "StatsDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("s-items", ("s_items", System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.s_items = System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems()
                            self.s_items.parent = self
                            self._children_name_map["s_items"] = "s-items"
                            self._segment_path = lambda: "StatsDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/stats-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList, ['name'], name, value)


                        class SItems(Entity):
                            """
                            
                            
                            .. attribute:: statsentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`StatsEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems.StatsEntryList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems, self).__init__()

                                self.yang_name = "s-items"
                                self.yang_parent_name = "StatsDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("StatsEntry-list", ("statsentry_list", System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems.StatsEntryList))])
                                self._leafs = OrderedDict()

                                self.statsentry_list = YList(self)
                                self._segment_path = lambda: "s-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems, [], name, value)


                            class StatsEntryList(Entity):
                                """
                                
                                
                                .. attribute:: source  (key)
                                
                                	source IP Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: group  (key)
                                
                                	destination IP Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: allowedpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: allowedbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: deniedpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: deniedbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: totalpkts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: totalbytes
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: tstamp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems.StatsEntryList, self).__init__()

                                    self.yang_name = "StatsEntry-list"
                                    self.yang_parent_name = "s-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['source','group']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                        ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                        ('allowedpkts', (YLeaf(YType.uint64, 'allowedPkts'), ['int'])),
                                        ('allowedbytes', (YLeaf(YType.uint64, 'allowedBytes'), ['int'])),
                                        ('deniedpkts', (YLeaf(YType.uint64, 'deniedPkts'), ['int'])),
                                        ('deniedbytes', (YLeaf(YType.uint64, 'deniedBytes'), ['int'])),
                                        ('totalpkts', (YLeaf(YType.uint64, 'totalPkts'), ['int'])),
                                        ('totalbytes', (YLeaf(YType.uint64, 'totalBytes'), ['int'])),
                                        ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                    ])
                                    self.source = None
                                    self.group = None
                                    self.allowedpkts = None
                                    self.allowedbytes = None
                                    self.deniedpkts = None
                                    self.deniedbytes = None
                                    self.totalpkts = None
                                    self.totalbytes = None
                                    self.tstamp = None
                                    self._segment_path = lambda: "StatsEntry-list" + "[source='" + str(self.source) + "']" + "[group='" + str(self.group) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ShowItems.StatsItems.DomItems.StatsDomList.SItems.StatsEntryList, ['source', 'group', 'allowedpkts', 'allowedbytes', 'deniedpkts', 'deniedbytes', 'totalpkts', 'totalbytes', 'tstamp'], name, value)







            class GlobalItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.GlobalItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ShowItems.GlobalItems, self).__init__()

                    self.yang_name = "global-items"
                    self.yang_parent_name = "show-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ShowItems.GlobalItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ShowItems.GlobalItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "global-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ShowItems.GlobalItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: globalshowdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`GlobalShowDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ShowItems.GlobalItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "global-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("GlobalShowDom-list", ("globalshowdom_list", System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList))])
                        self._leafs = OrderedDict()

                        self.globalshowdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/global-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ShowItems.GlobalItems.DomItems, [], name, value)


                    class GlobalShowDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: global_items
                        
                        	
                        	**type**\:  :py:class:`GlobalItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList.GlobalItems_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList, self).__init__()

                            self.yang_name = "GlobalShowDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("global-items", ("global_items", System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList.GlobalItems_))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.global_items = System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList.GlobalItems_()
                            self.global_items.parent = self
                            self._children_name_map["global_items"] = "global-items"
                            self._segment_path = lambda: "GlobalShowDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/global-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList, ['name'], name, value)


                        class GlobalItems_(Entity):
                            """
                            
                            
                            .. attribute:: initbeacon
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: apiver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            	**default value**\: 1
                            
                            .. attribute:: adminst
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            	**config**\: False
                            
                            	**default value**\: 1
                            
                            .. attribute:: opermode
                            
                            	NBM Operation mode
                            	**type**\:  :py:class:`NbmNbmOperationalMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmOperationalMode>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList.GlobalItems_, self).__init__()

                                self.yang_name = "global-items"
                                self.yang_parent_name = "GlobalShowDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('initbeacon', (YLeaf(YType.uint64, 'initBeacon'), ['int'])),
                                    ('apiver', (YLeaf(YType.uint8, 'apiVer'), ['int'])),
                                    ('adminst', (YLeaf(YType.uint8, 'adminSt'), ['int'])),
                                    ('opermode', (YLeaf(YType.enumeration, 'operMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmOperationalMode', '')])),
                                ])
                                self.initbeacon = None
                                self.apiver = None
                                self.adminst = None
                                self.opermode = None
                                self._segment_path = lambda: "global-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ShowItems.GlobalItems.DomItems.GlobalShowDomList.GlobalItems_, ['initbeacon', 'apiver', 'adminst', 'opermode'], name, value)






            class EndpointsItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmItems.ShowItems.EndpointsItems, self).__init__()

                    self.yang_name = "endpoints-items"
                    self.yang_parent_name = "show-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NbmItems.ShowItems.EndpointsItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NbmItems.ShowItems.EndpointsItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "endpoints-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: epidom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`EpiDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NbmItems.ShowItems.EndpointsItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "endpoints-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("EpiDom-list", ("epidom_list", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList))])
                        self._leafs = OrderedDict()

                        self.epidom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/endpoints-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems, [], name, value)


                    class EpiDomList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        .. attribute:: h_items
                        
                        	
                        	**type**\:  :py:class:`HItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList, self).__init__()

                            self.yang_name = "EpiDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("h-items", ("h_items", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.h_items = System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems()
                            self.h_items.parent = self
                            self._children_name_map["h_items"] = "h-items"
                            self._segment_path = lambda: "EpiDom-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbm-items/show-items/endpoints-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList, ['name'], name, value)


                        class HItems(Entity):
                            """
                            
                            
                            .. attribute:: endpoint_list
                            
                            	
                            	**type**\: list of  		 :py:class:`EndPointList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems, self).__init__()

                                self.yang_name = "h-items"
                                self.yang_parent_name = "EpiDom-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("EndPoint-list", ("endpoint_list", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList))])
                                self._leafs = OrderedDict()

                                self.endpoint_list = YList(self)
                                self._segment_path = lambda: "h-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems, [], name, value)


                            class EndPointList(Entity):
                                """
                                
                                
                                .. attribute:: hostip  (key)
                                
                                	Endpoint IP Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: if_  (key)
                                
                                	Interface index where endpoint is attached
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ifname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: role
                                
                                	End Point Role. This can be Unknown when discovered via ARP. And specific role when known
                                	**type**\:  :py:class:`NbmNbmEndpointRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmEndpointRole>`
                                
                                	**config**\: False
                                
                                .. attribute:: arp_items
                                
                                	
                                	**type**\:  :py:class:`ArpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.ArpItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: g_items
                                
                                	
                                	**type**\:  :py:class:`GItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: s_items
                                
                                	
                                	**type**\:  :py:class:`SItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList, self).__init__()

                                    self.yang_name = "EndPoint-list"
                                    self.yang_parent_name = "h-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['hostip','if_']
                                    self._child_classes = OrderedDict([("arp-items", ("arp_items", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.ArpItems)), ("g-items", ("g_items", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems)), ("s-items", ("s_items", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems))])
                                    self._leafs = OrderedDict([
                                        ('hostip', (YLeaf(YType.str, 'hostIp'), ['str','str'])),
                                        ('if_', (YLeaf(YType.uint32, 'if'), ['int'])),
                                        ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                        ('role', (YLeaf(YType.enumeration, 'role'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmEndpointRole', '')])),
                                    ])
                                    self.hostip = None
                                    self.if_ = None
                                    self.ifname = None
                                    self.role = None

                                    self.arp_items = System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.ArpItems()
                                    self.arp_items.parent = self
                                    self._children_name_map["arp_items"] = "arp-items"

                                    self.g_items = System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems()
                                    self.g_items.parent = self
                                    self._children_name_map["g_items"] = "g-items"

                                    self.s_items = System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems()
                                    self.s_items.parent = self
                                    self._children_name_map["s_items"] = "s-items"
                                    self._segment_path = lambda: "EndPoint-list" + "[hostIp='" + str(self.hostip) + "']" + "[if='" + str(self.if_) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList, ['hostip', 'if_', 'ifname', 'role'], name, value)


                                class ArpItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mac
                                    
                                    	MAC Address of the endpoint
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tstamp
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.ArpItems, self).__init__()

                                        self.yang_name = "arp-items"
                                        self.yang_parent_name = "EndPoint-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                            ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                        ])
                                        self.mac = None
                                        self.tstamp = None
                                        self._segment_path = lambda: "arp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.ArpItems, ['mac', 'tstamp'], name, value)



                                class GItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: endpointsender_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EndPointSenderList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems.EndPointSenderList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems, self).__init__()

                                        self.yang_name = "g-items"
                                        self.yang_parent_name = "EndPoint-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EndPointSender-list", ("endpointsender_list", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems.EndPointSenderList))])
                                        self._leafs = OrderedDict()

                                        self.endpointsender_list = YList(self)
                                        self._segment_path = lambda: "g-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems, [], name, value)


                                    class EndPointSenderList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: group  (key)
                                        
                                        	Group being sent by this endpoint
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: isext
                                        
                                        	Is this an External Sender
                                        	**type**\:  :py:class:`NbmNbmNoYes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmNoYes>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: faultreason
                                        
                                        	Signals reason of fault if any
                                        	**type**\:  :py:class:`NbmNbmFaultType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmFaultType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tstamp
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems.EndPointSenderList, self).__init__()

                                            self.yang_name = "EndPointSender-list"
                                            self.yang_parent_name = "g-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['group']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                                ('isext', (YLeaf(YType.enumeration, 'isExt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmNoYes', '')])),
                                                ('faultreason', (YLeaf(YType.enumeration, 'faultReason'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmFaultType', '')])),
                                                ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                            ])
                                            self.group = None
                                            self.isext = None
                                            self.faultreason = None
                                            self.tstamp = None
                                            self._segment_path = lambda: "EndPointSender-list" + "[group='" + str(self.group) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.GItems.EndPointSenderList, ['group', 'isext', 'faultreason', 'tstamp'], name, value)




                                class SItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: endpointreceiver_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EndPointReceiverList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems.EndPointReceiverList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems, self).__init__()

                                        self.yang_name = "s-items"
                                        self.yang_parent_name = "EndPoint-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EndPointReceiver-list", ("endpointreceiver_list", System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems.EndPointReceiverList))])
                                        self._leafs = OrderedDict()

                                        self.endpointreceiver_list = YList(self)
                                        self._segment_path = lambda: "s-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems, [], name, value)


                                    class EndPointReceiverList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: source  (key)
                                        
                                        	Source requested by this receiver. 0.0.0.0 in case of \*
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: group  (key)
                                        
                                        	Group requested by this receiver
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: isext
                                        
                                        	Is this an External Receiver
                                        	**type**\:  :py:class:`NbmNbmNoYes <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmNoYes>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: faultreason
                                        
                                        	Signals reason of fault if any
                                        	**type**\:  :py:class:`NbmNbmFaultType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmFaultType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: owner
                                        
                                        	IGMP or Static receiver
                                        	**type**\:  :py:class:`NbmNbmRcvOwner <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmRcvOwner>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tstamp
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems.EndPointReceiverList, self).__init__()

                                            self.yang_name = "EndPointReceiver-list"
                                            self.yang_parent_name = "s-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['source','group']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('source', (YLeaf(YType.str, 'source'), ['str','str'])),
                                                ('group', (YLeaf(YType.str, 'group'), ['str','str'])),
                                                ('isext', (YLeaf(YType.enumeration, 'isExt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmNoYes', '')])),
                                                ('faultreason', (YLeaf(YType.enumeration, 'faultReason'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmFaultType', '')])),
                                                ('owner', (YLeaf(YType.enumeration, 'owner'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmRcvOwner', '')])),
                                                ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                                            ])
                                            self.source = None
                                            self.group = None
                                            self.isext = None
                                            self.faultreason = None
                                            self.owner = None
                                            self.tstamp = None
                                            self._segment_path = lambda: "EndPointReceiver-list" + "[source='" + str(self.source) + "']" + "[group='" + str(self.group) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NbmItems.ShowItems.EndpointsItems.DomItems.EpiDomList.HItems.EndPointList.SItems.EndPointReceiverList, ['source', 'group', 'isext', 'faultreason', 'owner', 'tstamp'], name, value)











    class NbmccItems(Entity):
        """
        
        
        .. attribute:: eif_items
        
        	
        	**type**\:  :py:class:`EifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.EifItems>`
        
        .. attribute:: srcip_items
        
        	
        	**type**\:  :py:class:`SrcipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.SrcipItems>`
        
        .. attribute:: repip_items
        
        	
        	**type**\:  :py:class:`RepipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.RepipItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NbmccItems, self).__init__()

            self.yang_name = "nbmcc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("eif-items", ("eif_items", System.NbmccItems.EifItems)), ("srcip-items", ("srcip_items", System.NbmccItems.SrcipItems)), ("repip-items", ("repip_items", System.NbmccItems.RepipItems))])
            self._leafs = OrderedDict()

            self.eif_items = System.NbmccItems.EifItems()
            self.eif_items.parent = self
            self._children_name_map["eif_items"] = "eif-items"

            self.srcip_items = System.NbmccItems.SrcipItems()
            self.srcip_items.parent = self
            self._children_name_map["srcip_items"] = "srcip-items"

            self.repip_items = System.NbmccItems.RepipItems()
            self.repip_items.parent = self
            self._children_name_map["repip_items"] = "repip-items"
            self._segment_path = lambda: "nbmcc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NbmccItems, [], name, value)


        class EifItems(Entity):
            """
            
            
            .. attribute:: nbmccflowentity_list
            
            	
            	**type**\: list of  		 :py:class:`NbmCcFlowEntityList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.EifItems.NbmCcFlowEntityList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmccItems.EifItems, self).__init__()

                self.yang_name = "eif-items"
                self.yang_parent_name = "nbmcc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NbmCcFlowEntity-list", ("nbmccflowentity_list", System.NbmccItems.EifItems.NbmCcFlowEntityList))])
                self._leafs = OrderedDict()

                self.nbmccflowentity_list = YList(self)
                self._segment_path = lambda: "eif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmccItems.EifItems, [], name, value)


            class NbmCcFlowEntityList(Entity):
                """
                
                
                .. attribute:: egressif  (key)
                
                	egress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: srcip  (key)
                
                	source IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: dstip  (key)
                
                	destination IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: reporterip
                
                	Reporter IP Address for Receiver
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: ingressif
                
                	ingress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dscp
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: bandwidthunit
                
                	bandwidth units \- Mbps, Kbps, or Gbps
                	**type**\:  :py:class:`NbmNbmBwUnitEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmBwUnitEn>`
                
                	**config**\: False
                
                .. attribute:: bandwidth
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: queueid
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmccItems.EifItems.NbmCcFlowEntityList, self).__init__()

                    self.yang_name = "NbmCcFlowEntity-list"
                    self.yang_parent_name = "eif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['egressif','srcip','dstip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('egressif', (YLeaf(YType.uint32, 'egressIf'), ['int'])),
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('dstip', (YLeaf(YType.str, 'dstIP'), ['str','str'])),
                        ('reporterip', (YLeaf(YType.str, 'reporterIP'), ['str','str'])),
                        ('ingressif', (YLeaf(YType.uint32, 'ingressIf'), ['int'])),
                        ('dscp', (YLeaf(YType.uint32, 'dscp'), ['int'])),
                        ('bandwidthunit', (YLeaf(YType.enumeration, 'bandwidthUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmBwUnitEn', '')])),
                        ('bandwidth', (YLeaf(YType.uint32, 'bandwidth'), ['int'])),
                        ('queueid', (YLeaf(YType.uint8, 'queueId'), ['int'])),
                    ])
                    self.egressif = None
                    self.srcip = None
                    self.dstip = None
                    self.reporterip = None
                    self.ingressif = None
                    self.dscp = None
                    self.bandwidthunit = None
                    self.bandwidth = None
                    self.queueid = None
                    self._segment_path = lambda: "NbmCcFlowEntity-list" + "[egressIf='" + str(self.egressif) + "']" + "[srcIP='" + str(self.srcip) + "']" + "[dstIP='" + str(self.dstip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/eif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmccItems.EifItems.NbmCcFlowEntityList, ['egressif', 'srcip', 'dstip', 'reporterip', 'ingressif', 'dscp', 'bandwidthunit', 'bandwidth', 'queueid'], name, value)




        class SrcipItems(Entity):
            """
            
            
            .. attribute:: sendercctable_list
            
            	
            	**type**\: list of  		 :py:class:`SenderCcTableList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.SrcipItems.SenderCcTableList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmccItems.SrcipItems, self).__init__()

                self.yang_name = "srcip-items"
                self.yang_parent_name = "nbmcc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("SenderCcTable-list", ("sendercctable_list", System.NbmccItems.SrcipItems.SenderCcTableList))])
                self._leafs = OrderedDict()

                self.sendercctable_list = YList(self)
                self._segment_path = lambda: "srcip-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmccItems.SrcipItems, [], name, value)


            class SenderCcTableList(Entity):
                """
                
                
                .. attribute:: srcip  (key)
                
                	source IP address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: destip  (key)
                
                	dest IP address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: iif
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: dummyproperty1
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dummyproperty2
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dummyproperty3
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmccItems.SrcipItems.SenderCcTableList, self).__init__()

                    self.yang_name = "SenderCcTable-list"
                    self.yang_parent_name = "srcip-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['srcip','destip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('destip', (YLeaf(YType.str, 'destIP'), ['str','str'])),
                        ('iif', (YLeaf(YType.uint8, 'iif'), ['int'])),
                        ('dummyproperty1', (YLeaf(YType.uint32, 'dummyproperty1'), ['int'])),
                        ('dummyproperty2', (YLeaf(YType.uint32, 'dummyproperty2'), ['int'])),
                        ('dummyproperty3', (YLeaf(YType.uint32, 'dummyproperty3'), ['int'])),
                    ])
                    self.srcip = None
                    self.destip = None
                    self.iif = None
                    self.dummyproperty1 = None
                    self.dummyproperty2 = None
                    self.dummyproperty3 = None
                    self._segment_path = lambda: "SenderCcTable-list" + "[srcIP='" + str(self.srcip) + "']" + "[destIP='" + str(self.destip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/srcip-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmccItems.SrcipItems.SenderCcTableList, ['srcip', 'destip', 'iif', 'dummyproperty1', 'dummyproperty2', 'dummyproperty3'], name, value)




        class RepipItems(Entity):
            """
            
            
            .. attribute:: receivercctable_list
            
            	
            	**type**\: list of  		 :py:class:`ReceiverCcTableList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmccItems.RepipItems.ReceiverCcTableList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmccItems.RepipItems, self).__init__()

                self.yang_name = "repip-items"
                self.yang_parent_name = "nbmcc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("ReceiverCcTable-list", ("receivercctable_list", System.NbmccItems.RepipItems.ReceiverCcTableList))])
                self._leafs = OrderedDict()

                self.receivercctable_list = YList(self)
                self._segment_path = lambda: "repip-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmccItems.RepipItems, [], name, value)


            class ReceiverCcTableList(Entity):
                """
                
                
                .. attribute:: reporterip  (key)
                
                	Reporter IP Address for Receiver CC Table
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: srcip  (key)
                
                	source IP address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: destip  (key)
                
                	destination IP address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: oif
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: dummyproperty1
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dummyproperty2
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: dummyproperty3
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmccItems.RepipItems.ReceiverCcTableList, self).__init__()

                    self.yang_name = "ReceiverCcTable-list"
                    self.yang_parent_name = "repip-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['reporterip','srcip','destip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('reporterip', (YLeaf(YType.str, 'reporterIP'), ['str','str'])),
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('destip', (YLeaf(YType.str, 'destIP'), ['str','str'])),
                        ('oif', (YLeaf(YType.uint8, 'oif'), ['int'])),
                        ('dummyproperty1', (YLeaf(YType.uint32, 'dummyproperty1'), ['int'])),
                        ('dummyproperty2', (YLeaf(YType.uint32, 'dummyproperty2'), ['int'])),
                        ('dummyproperty3', (YLeaf(YType.uint32, 'dummyproperty3'), ['int'])),
                    ])
                    self.reporterip = None
                    self.srcip = None
                    self.destip = None
                    self.oif = None
                    self.dummyproperty1 = None
                    self.dummyproperty2 = None
                    self.dummyproperty3 = None
                    self._segment_path = lambda: "ReceiverCcTable-list" + "[reporterIP='" + str(self.reporterip) + "']" + "[srcIP='" + str(self.srcip) + "']" + "[destIP='" + str(self.destip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmcc-items/repip-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmccItems.RepipItems.ReceiverCcTableList, ['reporterip', 'srcip', 'destip', 'oif', 'dummyproperty1', 'dummyproperty2', 'dummyproperty3'], name, value)





    class NbmFlowsTableItems(Entity):
        """
        
        
        .. attribute:: mode
        
        	
        	**type**\: str
        
        .. attribute:: flowop_items
        
        	
        	**type**\:  :py:class:`FlowOpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.FlowOpItems>`
        
        .. attribute:: srcip_items
        
        	
        	**type**\:  :py:class:`SrcIPItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.SrcIPItems>`
        
        .. attribute:: iif_items
        
        	
        	**type**\:  :py:class:`IifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.IifItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NbmFlowsTableItems, self).__init__()

            self.yang_name = "nbmFlowsTable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("flowOp-items", ("flowop_items", System.NbmFlowsTableItems.FlowOpItems)), ("srcIP-items", ("srcip_items", System.NbmFlowsTableItems.SrcIPItems)), ("iif-items", ("iif_items", System.NbmFlowsTableItems.IifItems))])
            self._leafs = OrderedDict([
                ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
            ])
            self.mode = None

            self.flowop_items = System.NbmFlowsTableItems.FlowOpItems()
            self.flowop_items.parent = self
            self._children_name_map["flowop_items"] = "flowOp-items"

            self.srcip_items = System.NbmFlowsTableItems.SrcIPItems()
            self.srcip_items.parent = self
            self._children_name_map["srcip_items"] = "srcIP-items"

            self.iif_items = System.NbmFlowsTableItems.IifItems()
            self.iif_items.parent = self
            self._children_name_map["iif_items"] = "iif-items"
            self._segment_path = lambda: "nbmFlowsTable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NbmFlowsTableItems, ['mode'], name, value)


        class FlowOpItems(Entity):
            """
            
            
            .. attribute:: nbmflowentity_list
            
            	
            	**type**\: list of  		 :py:class:`NbmFlowEntityList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.FlowOpItems.NbmFlowEntityList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmFlowsTableItems.FlowOpItems, self).__init__()

                self.yang_name = "flowOp-items"
                self.yang_parent_name = "nbmFlowsTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NbmFlowEntity-list", ("nbmflowentity_list", System.NbmFlowsTableItems.FlowOpItems.NbmFlowEntityList))])
                self._leafs = OrderedDict()

                self.nbmflowentity_list = YList(self)
                self._segment_path = lambda: "flowOp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmFlowsTableItems.FlowOpItems, [], name, value)


            class NbmFlowEntityList(Entity):
                """
                
                
                .. attribute:: flowop  (key)
                
                	Operation Type
                	**type**\:  :py:class:`NbmNbmFlowOperEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmFlowOperEn>`
                
                .. attribute:: srcip  (key)
                
                	source IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: dstip  (key)
                
                	destination IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: egressif  (key)
                
                	egress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: controllerip
                
                	Controller IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: controllervip
                
                	Controller Virtual IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: reporterip
                
                	Reporter IP Address for Receiver
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: ingressif
                
                	ingress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: egressifcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seqnum
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: dscp
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidthunit
                
                	bandwidth units \- Mbps, Kbps, or Gbps
                	**type**\:  :py:class:`NbmNbmBwUnitEn <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NbmNbmBwUnitEn>`
                
                .. attribute:: bandwidth
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: queueid
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: switchiif
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**default value**\: 0
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmFlowsTableItems.FlowOpItems.NbmFlowEntityList, self).__init__()

                    self.yang_name = "NbmFlowEntity-list"
                    self.yang_parent_name = "flowOp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['flowop','srcip','dstip','egressif']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('flowop', (YLeaf(YType.enumeration, 'flowOp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmFlowOperEn', '')])),
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('dstip', (YLeaf(YType.str, 'dstIP'), ['str','str'])),
                        ('egressif', (YLeaf(YType.uint32, 'egressIf'), ['int'])),
                        ('controllerip', (YLeaf(YType.str, 'controllerIP'), ['str','str'])),
                        ('controllervip', (YLeaf(YType.str, 'controllerVIP'), ['str','str'])),
                        ('reporterip', (YLeaf(YType.str, 'reporterIP'), ['str','str'])),
                        ('ingressif', (YLeaf(YType.uint32, 'ingressIf'), ['int'])),
                        ('egressifcount', (YLeaf(YType.uint32, 'egressIfCount'), ['int'])),
                        ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                        ('dscp', (YLeaf(YType.uint32, 'dscp'), ['int'])),
                        ('bandwidthunit', (YLeaf(YType.enumeration, 'bandwidthUnit'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NbmNbmBwUnitEn', '')])),
                        ('bandwidth', (YLeaf(YType.uint32, 'bandwidth'), ['int'])),
                        ('queueid', (YLeaf(YType.uint8, 'queueId'), ['int'])),
                        ('switchiif', (YLeaf(YType.uint8, 'switchIif'), ['int'])),
                    ])
                    self.flowop = None
                    self.srcip = None
                    self.dstip = None
                    self.egressif = None
                    self.controllerip = None
                    self.controllervip = None
                    self.reporterip = None
                    self.ingressif = None
                    self.egressifcount = None
                    self.seqnum = None
                    self.dscp = None
                    self.bandwidthunit = None
                    self.bandwidth = None
                    self.queueid = None
                    self.switchiif = None
                    self._segment_path = lambda: "NbmFlowEntity-list" + "[flowOp='" + str(self.flowop) + "']" + "[srcIP='" + str(self.srcip) + "']" + "[dstIP='" + str(self.dstip) + "']" + "[egressIf='" + str(self.egressif) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/flowOp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmFlowsTableItems.FlowOpItems.NbmFlowEntityList, ['flowop', 'srcip', 'dstip', 'egressif', 'controllerip', 'controllervip', 'reporterip', 'ingressif', 'egressifcount', 'seqnum', 'dscp', 'bandwidthunit', 'bandwidth', 'queueid', 'switchiif'], name, value)




        class SrcIPItems(Entity):
            """
            
            
            .. attribute:: nbmoifcounter_list
            
            	
            	**type**\: list of  		 :py:class:`NbmOifCounterList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.SrcIPItems.NbmOifCounterList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmFlowsTableItems.SrcIPItems, self).__init__()

                self.yang_name = "srcIP-items"
                self.yang_parent_name = "nbmFlowsTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NbmOifCounter-list", ("nbmoifcounter_list", System.NbmFlowsTableItems.SrcIPItems.NbmOifCounterList))])
                self._leafs = OrderedDict()

                self.nbmoifcounter_list = YList(self)
                self._segment_path = lambda: "srcIP-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmFlowsTableItems.SrcIPItems, [], name, value)


            class NbmOifCounterList(Entity):
                """
                
                
                .. attribute:: srcip  (key)
                
                	source IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: dstip  (key)
                
                	destination IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: oifcount
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmFlowsTableItems.SrcIPItems.NbmOifCounterList, self).__init__()

                    self.yang_name = "NbmOifCounter-list"
                    self.yang_parent_name = "srcIP-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['srcip','dstip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('dstip', (YLeaf(YType.str, 'dstIP'), ['str','str'])),
                        ('oifcount', (YLeaf(YType.uint32, 'oifCount'), ['int'])),
                    ])
                    self.srcip = None
                    self.dstip = None
                    self.oifcount = None
                    self._segment_path = lambda: "NbmOifCounter-list" + "[srcIP='" + str(self.srcip) + "']" + "[dstIP='" + str(self.dstip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/srcIP-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmFlowsTableItems.SrcIPItems.NbmOifCounterList, ['srcip', 'dstip', 'oifcount'], name, value)




        class IifItems(Entity):
            """
            
            
            .. attribute:: nbmupdateiif_list
            
            	
            	**type**\: list of  		 :py:class:`NbmUpdateIifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmFlowsTableItems.IifItems.NbmUpdateIifList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmFlowsTableItems.IifItems, self).__init__()

                self.yang_name = "iif-items"
                self.yang_parent_name = "nbmFlowsTable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NbmUpdateIif-list", ("nbmupdateiif_list", System.NbmFlowsTableItems.IifItems.NbmUpdateIifList))])
                self._leafs = OrderedDict()

                self.nbmupdateiif_list = YList(self)
                self._segment_path = lambda: "iif-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmFlowsTableItems.IifItems, [], name, value)


            class NbmUpdateIifList(Entity):
                """
                
                
                .. attribute:: newingressif  (key)
                
                	New Ingress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: srcip  (key)
                
                	source IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: dstip  (key)
                
                	destination IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: previngressif
                
                	Prev Ingress Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seqnum
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmFlowsTableItems.IifItems.NbmUpdateIifList, self).__init__()

                    self.yang_name = "NbmUpdateIif-list"
                    self.yang_parent_name = "iif-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['newingressif','srcip','dstip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('newingressif', (YLeaf(YType.uint32, 'newIngressIf'), ['int'])),
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('dstip', (YLeaf(YType.str, 'dstIP'), ['str','str'])),
                        ('previngressif', (YLeaf(YType.uint32, 'prevIngressIf'), ['int'])),
                        ('seqnum', (YLeaf(YType.uint32, 'seqNum'), ['int'])),
                    ])
                    self.newingressif = None
                    self.srcip = None
                    self.dstip = None
                    self.previngressif = None
                    self.seqnum = None
                    self._segment_path = lambda: "NbmUpdateIif-list" + "[newIngressIf='" + str(self.newingressif) + "']" + "[srcIP='" + str(self.srcip) + "']" + "[dstIP='" + str(self.dstip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmFlowsTable-items/iif-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmFlowsTableItems.IifItems.NbmUpdateIifList, ['newingressif', 'srcip', 'dstip', 'previngressif', 'seqnum'], name, value)





    class NbmStatsItems(Entity):
        """
        
        
        .. attribute:: srcip_items
        
        	
        	**type**\:  :py:class:`SrcIPItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmStatsItems.SrcIPItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NbmStatsItems, self).__init__()

            self.yang_name = "nbmStats-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("srcIP-items", ("srcip_items", System.NbmStatsItems.SrcIPItems))])
            self._leafs = OrderedDict()

            self.srcip_items = System.NbmStatsItems.SrcIPItems()
            self.srcip_items.parent = self
            self._children_name_map["srcip_items"] = "srcIP-items"
            self._segment_path = lambda: "nbmStats-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NbmStatsItems, [], name, value)


        class SrcIPItems(Entity):
            """
            
            
            .. attribute:: nbmstatsentity_list
            
            	
            	**type**\: list of  		 :py:class:`NbmStatsEntityList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NbmStatsItems.SrcIPItems.NbmStatsEntityList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NbmStatsItems.SrcIPItems, self).__init__()

                self.yang_name = "srcIP-items"
                self.yang_parent_name = "nbmStats-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NbmStatsEntity-list", ("nbmstatsentity_list", System.NbmStatsItems.SrcIPItems.NbmStatsEntityList))])
                self._leafs = OrderedDict()

                self.nbmstatsentity_list = YList(self)
                self._segment_path = lambda: "srcIP-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmStats-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NbmStatsItems.SrcIPItems, [], name, value)


            class NbmStatsEntityList(Entity):
                """
                
                
                .. attribute:: srcip  (key)
                
                	source IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: dstip  (key)
                
                	destination IP Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                	**config**\: False
                
                .. attribute:: allowedpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: allowedbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: deniedpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: deniedbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: totalpkts
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: totalbytes
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: tstamp
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NbmStatsItems.SrcIPItems.NbmStatsEntityList, self).__init__()

                    self.yang_name = "NbmStatsEntity-list"
                    self.yang_parent_name = "srcIP-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['srcip','dstip']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('srcip', (YLeaf(YType.str, 'srcIP'), ['str','str'])),
                        ('dstip', (YLeaf(YType.str, 'dstIP'), ['str','str'])),
                        ('allowedpkts', (YLeaf(YType.uint64, 'allowedPkts'), ['int'])),
                        ('allowedbytes', (YLeaf(YType.uint64, 'allowedBytes'), ['int'])),
                        ('deniedpkts', (YLeaf(YType.uint64, 'deniedPkts'), ['int'])),
                        ('deniedbytes', (YLeaf(YType.uint64, 'deniedBytes'), ['int'])),
                        ('totalpkts', (YLeaf(YType.uint64, 'totalPkts'), ['int'])),
                        ('totalbytes', (YLeaf(YType.uint64, 'totalBytes'), ['int'])),
                        ('tstamp', (YLeaf(YType.uint64, 'tStamp'), ['int'])),
                    ])
                    self.srcip = None
                    self.dstip = None
                    self.allowedpkts = None
                    self.allowedbytes = None
                    self.deniedpkts = None
                    self.deniedbytes = None
                    self.totalpkts = None
                    self.totalbytes = None
                    self.tstamp = None
                    self._segment_path = lambda: "NbmStatsEntity-list" + "[srcIP='" + str(self.srcip) + "']" + "[dstIP='" + str(self.dstip) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nbmStats-items/srcIP-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NbmStatsItems.SrcIPItems.NbmStatsEntityList, ['srcip', 'dstip', 'allowedpkts', 'allowedbytes', 'deniedpkts', 'deniedbytes', 'totalpkts', 'totalbytes', 'tstamp'], name, value)





    class BootItems(Entity):
        """
        
        
        .. attribute:: poap
        
        	Boot Poap Enable Disable
        	**type**\:  :py:class:`BootPoap <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BootPoap>`
        
        .. attribute:: image_items
        
        	
        	**type**\:  :py:class:`ImageItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BootItems.ImageItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BootItems, self).__init__()

            self.yang_name = "boot-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("image-items", ("image_items", System.BootItems.ImageItems))])
            self._leafs = OrderedDict([
                ('poap', (YLeaf(YType.enumeration, 'poap'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BootPoap', '')])),
            ])
            self.poap = None

            self.image_items = System.BootItems.ImageItems()
            self.image_items.parent = self
            self._children_name_map["image_items"] = "image-items"
            self._segment_path = lambda: "boot-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BootItems, ['poap'], name, value)


        class ImageItems(Entity):
            """
            
            
            .. attribute:: sup1
            
            	
            	**type**\: str
            
            .. attribute:: sup2
            
            	
            	**type**\: str
            
            .. attribute:: imageverification
            
            	Enable/Disable Image Verification
            	**type**\:  :py:class:`BootImageVerify <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BootImageVerify>`
            
            .. attribute:: image_err
            
            	
            	**type**\: str
            
            	**config**\: False
            
            	**default value**\: success
            
            .. attribute:: sup1nextreload
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: sup2nextreload
            
            	
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BootItems.ImageItems, self).__init__()

                self.yang_name = "image-items"
                self.yang_parent_name = "boot-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('sup1', (YLeaf(YType.str, 'sup1'), ['str'])),
                    ('sup2', (YLeaf(YType.str, 'sup2'), ['str'])),
                    ('imageverification', (YLeaf(YType.enumeration, 'imageverification'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BootImageVerify', '')])),
                    ('image_err', (YLeaf(YType.str, 'image_err'), ['str'])),
                    ('sup1nextreload', (YLeaf(YType.str, 'sup1NextReload'), ['str'])),
                    ('sup2nextreload', (YLeaf(YType.str, 'sup2NextReload'), ['str'])),
                ])
                self.sup1 = None
                self.sup2 = None
                self.imageverification = None
                self.image_err = None
                self.sup1nextreload = None
                self.sup2nextreload = None
                self._segment_path = lambda: "image-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/boot-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BootItems.ImageItems, ['sup1', 'sup2', 'imageverification', 'image_err', 'sup1nextreload', 'sup2nextreload'], name, value)




    class ChItems(Entity):
        """
        
        
        .. attribute:: role
        
        	The role of this chassis
        	**type**\:  :py:class:`TopNodeRole <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TopNodeRole>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	The chassis operational state
        	**type**\:  :py:class:`EqptChOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptChOperSt>`
        
        	**config**\: False
        
        .. attribute:: operstqual
        
        	The chassis operational state qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: vendor
        
        	Vendor
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: model
        
        	Model
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: rev
        
        	Revision
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: ser
        
        	Serial Number
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: mfgtm
        
        	
        	**type**\: str
        
        	**config**\: False
        
        	**default value**\: 0
        
        .. attribute:: id
        
        	ID
        	**type**\: int
        
        	**range:** 1..666
        
        	**config**\: False
        
        .. attribute:: descr
        
        	Description
        	**type**\: str
        
        	**length:** 0..128
        
        	**config**\: False
        
        .. attribute:: ejpol_items
        
        	
        	**type**\:  :py:class:`EjpolItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.EjpolItems>`
        
        .. attribute:: supslot_items
        
        	
        	**type**\:  :py:class:`SupslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems>`
        
        .. attribute:: lcslot_items
        
        	
        	**type**\:  :py:class:`LcslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems>`
        
        .. attribute:: fcslot_items
        
        	
        	**type**\:  :py:class:`FcslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems>`
        
        .. attribute:: scslot_items
        
        	
        	**type**\:  :py:class:`ScslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems>`
        
        .. attribute:: psuslot_items
        
        	
        	**type**\:  :py:class:`PsuslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems>`
        
        .. attribute:: ftslot_items
        
        	
        	**type**\:  :py:class:`FtslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems>`
        
        .. attribute:: spbp_items
        
        	
        	**type**\:  :py:class:`SpbpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SpbpItems>`
        
        .. attribute:: bslot_items
        
        	
        	**type**\:  :py:class:`BslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems>`
        
        .. attribute:: nslot_items
        
        	
        	**type**\:  :py:class:`NslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems>`
        
        .. attribute:: p_items
        
        	
        	**type**\:  :py:class:`PItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ChItems, self).__init__()

            self.yang_name = "ch-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ejpol-items", ("ejpol_items", System.ChItems.EjpolItems)), ("supslot-items", ("supslot_items", System.ChItems.SupslotItems)), ("lcslot-items", ("lcslot_items", System.ChItems.LcslotItems)), ("fcslot-items", ("fcslot_items", System.ChItems.FcslotItems)), ("scslot-items", ("scslot_items", System.ChItems.ScslotItems)), ("psuslot-items", ("psuslot_items", System.ChItems.PsuslotItems)), ("ftslot-items", ("ftslot_items", System.ChItems.FtslotItems)), ("spbp-items", ("spbp_items", System.ChItems.SpbpItems)), ("bslot-items", ("bslot_items", System.ChItems.BslotItems)), ("nslot-items", ("nslot_items", System.ChItems.NslotItems)), ("p-items", ("p_items", System.ChItems.PItems))])
            self._leafs = OrderedDict([
                ('role', (YLeaf(YType.enumeration, 'role'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TopNodeRole', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptChOperSt', '')])),
                ('operstqual', (YLeaf(YType.str, 'operStQual'), ['str'])),
                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
            ])
            self.role = None
            self.operst = None
            self.operstqual = None
            self.vendor = None
            self.model = None
            self.rev = None
            self.ser = None
            self.mfgtm = None
            self.id = None
            self.descr = None

            self.ejpol_items = System.ChItems.EjpolItems()
            self.ejpol_items.parent = self
            self._children_name_map["ejpol_items"] = "ejpol-items"

            self.supslot_items = System.ChItems.SupslotItems()
            self.supslot_items.parent = self
            self._children_name_map["supslot_items"] = "supslot-items"

            self.lcslot_items = System.ChItems.LcslotItems()
            self.lcslot_items.parent = self
            self._children_name_map["lcslot_items"] = "lcslot-items"

            self.fcslot_items = System.ChItems.FcslotItems()
            self.fcslot_items.parent = self
            self._children_name_map["fcslot_items"] = "fcslot-items"

            self.scslot_items = System.ChItems.ScslotItems()
            self.scslot_items.parent = self
            self._children_name_map["scslot_items"] = "scslot-items"

            self.psuslot_items = System.ChItems.PsuslotItems()
            self.psuslot_items.parent = self
            self._children_name_map["psuslot_items"] = "psuslot-items"

            self.ftslot_items = System.ChItems.FtslotItems()
            self.ftslot_items.parent = self
            self._children_name_map["ftslot_items"] = "ftslot-items"

            self.spbp_items = System.ChItems.SpbpItems()
            self.spbp_items.parent = self
            self._children_name_map["spbp_items"] = "spbp-items"

            self.bslot_items = System.ChItems.BslotItems()
            self.bslot_items.parent = self
            self._children_name_map["bslot_items"] = "bslot-items"

            self.nslot_items = System.ChItems.NslotItems()
            self.nslot_items.parent = self
            self._children_name_map["nslot_items"] = "nslot-items"

            self.p_items = System.ChItems.PItems()
            self.p_items.parent = self
            self._children_name_map["p_items"] = "p-items"
            self._segment_path = lambda: "ch-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ChItems, ['role', 'operst', 'operstqual', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'id', 'descr'], name, value)


        class EjpolItems(Entity):
            """
            
            
            .. attribute:: ejpol_list
            
            	
            	**type**\: list of  		 :py:class:`EjPolList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.EjpolItems.EjPolList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.EjpolItems, self).__init__()

                self.yang_name = "ejpol-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("EjPol-list", ("ejpol_list", System.ChItems.EjpolItems.EjPolList))])
                self._leafs = OrderedDict()

                self.ejpol_list = YList(self)
                self._segment_path = lambda: "ejpol-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.EjpolItems, [], name, value)


            class EjPolList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: autosh
                
                	Auto Shutdown on Ejector Open
                	**type**\:  :py:class:`EqptAdSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAdSt>`
                
                	**config**\: False
                
                .. attribute:: vendor
                
                	Vendor
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model
                
                	Model
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rev
                
                	Revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ser
                
                	Serial Number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mfgtm
                
                	
                	**type**\: str
                
                	**config**\: False
                
                	**default value**\: 0
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.EjpolItems.EjPolList, self).__init__()

                    self.yang_name = "EjPol-list"
                    self.yang_parent_name = "ejpol-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('autosh', (YLeaf(YType.enumeration, 'autoSh'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAdSt', '')])),
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.id = None
                    self.autosh = None
                    self.vendor = None
                    self.model = None
                    self.rev = None
                    self.ser = None
                    self.mfgtm = None
                    self.descr = None
                    self._segment_path = lambda: "EjPol-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/ejpol-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.EjpolItems.EjPolList, ['id', 'autosh', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




        class SupslotItems(Entity):
            """
            
            
            .. attribute:: supcslot_list
            
            	
            	**type**\: list of  		 :py:class:`SupCSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.SupslotItems, self).__init__()

                self.yang_name = "supslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("SupCSlot-list", ("supcslot_list", System.ChItems.SupslotItems.SupCSlotList))])
                self._leafs = OrderedDict()

                self.supcslot_list = YList(self)
                self._segment_path = lambda: "supslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.SupslotItems, [], name, value)


            class SupCSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..666
                
                	**config**\: False
                
                .. attribute:: poweroff
                
                	Poweroff Config
                	**type**\:  :py:class:`EqptPoweroffSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPoweroffSt>`
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The supervisor slot type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: sup_items
                
                	
                	**type**\:  :py:class:`SupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.SupslotItems.SupCSlotList, self).__init__()

                    self.yang_name = "SupCSlot-list"
                    self.yang_parent_name = "supslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("sup-items", ("sup_items", System.ChItems.SupslotItems.SupCSlotList.SupItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.SupslotItems.SupCSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('poweroff', (YLeaf(YType.enumeration, 'poweroff'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPoweroffSt', '')])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.poweroff = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.sup_items = System.ChItems.SupslotItems.SupCSlotList.SupItems()
                    self.sup_items.parent = self
                    self._children_name_map["sup_items"] = "sup-items"

                    self.rtoosslot_items = System.ChItems.SupslotItems.SupCSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "SupCSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/supslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList, ['id', 'poweroff', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class SupItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The card type
                    	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The card operational status
                    	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: rdst
                    
                    	The card redundancy state
                    	**type**\:  :py:class:`EqptRdSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptRdSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: swcid
                    
                    	The card software card identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nump
                    
                    	The number of ports on the card
                    	**type**\: int
                    
                    	**range:** 0..256
                    
                    	**config**\: False
                    
                    .. attribute:: macb
                    
                    	The card MAC address base
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mace
                    
                    	The card MAC address end
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: upts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwrst
                    
                    	The power state of this card
                    	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                    
                    	**config**\: False
                    
                    .. attribute:: swver
                    
                    	The card software revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	The card part number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The card vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: poweractualdraw
                    
                    	It is the power value that module actually draw
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: powerallocated
                    
                    	It is the power value that power supply allocated to the module
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: running_items
                    
                    	
                    	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.RunningItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ej_items
                    
                    	
                    	**type**\:  :py:class:`EjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: eobc_items
                    
                    	
                    	**type**\:  :py:class:`EobcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: epc_items
                    
                    	
                    	**type**\:  :py:class:`EpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: mgmt_items
                    
                    	
                    	**type**\:  :py:class:`MgmtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: console_items
                    
                    	
                    	**type**\:  :py:class:`ConsoleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: sensor_items
                    
                    	
                    	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: spsup_items
                    
                    	
                    	**type**\:  :py:class:`SpsupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: asic_items
                    
                    	
                    	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: cpu_items
                    
                    	
                    	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: dimm_items
                    
                    	
                    	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: flash_items
                    
                    	
                    	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.FlashItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: obfl_items
                    
                    	
                    	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.ObflItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.SupslotItems.SupCSlotList.SupItems, self).__init__()

                        self.yang_name = "sup-items"
                        self.yang_parent_name = "SupCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("running-items", ("running_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.RunningItems)), ("ej-items", ("ej_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems)), ("eobc-items", ("eobc_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems)), ("epc-items", ("epc_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems)), ("mgmt-items", ("mgmt_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems)), ("console-items", ("console_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems)), ("sensor-items", ("sensor_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems)), ("spsup-items", ("spsup_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems)), ("asic-items", ("asic_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems)), ("flash-items", ("flash_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.ObflItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                            ('rdst', (YLeaf(YType.enumeration, 'rdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptRdSt', '')])),
                            ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                            ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                            ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                            ('mace', (YLeaf(YType.str, 'macE'), ['str'])),
                            ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                            ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                            ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                            ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                        ])
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None
                        self.type = None
                        self.operst = None
                        self.rdst = None
                        self.swcid = None
                        self.nump = None
                        self.macb = None
                        self.mace = None
                        self.upts = None
                        self.pwrst = None
                        self.swver = None
                        self.partnumber = None
                        self.vdrid = None
                        self.poweractualdraw = None
                        self.powerallocated = None

                        self.running_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.RunningItems()
                        self.running_items.parent = self
                        self._children_name_map["running_items"] = "running-items"

                        self.ej_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems()
                        self.ej_items.parent = self
                        self._children_name_map["ej_items"] = "ej-items"

                        self.eobc_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems()
                        self.eobc_items.parent = self
                        self._children_name_map["eobc_items"] = "eobc-items"

                        self.epc_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems()
                        self.epc_items.parent = self
                        self._children_name_map["epc_items"] = "epc-items"

                        self.mgmt_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems()
                        self.mgmt_items.parent = self
                        self._children_name_map["mgmt_items"] = "mgmt-items"

                        self.console_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems()
                        self.console_items.parent = self
                        self._children_name_map["console_items"] = "console-items"

                        self.sensor_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems()
                        self.sensor_items.parent = self
                        self._children_name_map["sensor_items"] = "sensor-items"

                        self.spsup_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems()
                        self.spsup_items.parent = self
                        self._children_name_map["spsup_items"] = "spsup-items"

                        self.asic_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems()
                        self.asic_items.parent = self
                        self._children_name_map["asic_items"] = "asic-items"

                        self.cpu_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems()
                        self.cpu_items.parent = self
                        self._children_name_map["cpu_items"] = "cpu-items"

                        self.dimm_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems()
                        self.dimm_items.parent = self
                        self._children_name_map["dimm_items"] = "dimm-items"

                        self.flash_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.FlashItems()
                        self.flash_items.parent = self
                        self._children_name_map["flash_items"] = "flash-items"

                        self.obfl_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.ObflItems()
                        self.obfl_items.parent = self
                        self._children_name_map["obfl_items"] = "obfl-items"
                        self._segment_path = lambda: "sup-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver', 'type', 'operst', 'rdst', 'swcid', 'nump', 'macb', 'mace', 'upts', 'pwrst', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                    class RunningItems(Entity):
                        """
                        
                        
                        .. attribute:: biosver
                        
                        	A property that indicates Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: expectedver
                        
                        	A property that indicates Expected Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	A property that indicates Operational State
                        	**type**\:  :py:class:`FirmwareRunningOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: interimver
                        
                        	A property that indicates Interim Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: version
                        
                        	Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: internallabel
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: ts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.RunningItems, self).__init__()

                            self.yang_name = "running-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('biosver', (YLeaf(YType.str, 'biosVer'), ['str'])),
                                ('expectedver', (YLeaf(YType.str, 'expectedVer'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningOperSt', '')])),
                                ('interimver', (YLeaf(YType.str, 'interimVer'), ['str'])),
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                                ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.biosver = None
                            self.expectedver = None
                            self.operst = None
                            self.interimver = None
                            self.version = None
                            self.internallabel = None
                            self.type = None
                            self.mode = None
                            self.ts = None
                            self.descr = None
                            self._segment_path = lambda: "running-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.RunningItems, ['biosver', 'expectedver', 'operst', 'interimver', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



                    class EjItems(Entity):
                        """
                        
                        
                        .. attribute:: ejec_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EjecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems.EjecList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems, self).__init__()

                            self.yang_name = "ej-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ejec-list", ("ejec_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems.EjecList))])
                            self._leafs = OrderedDict()

                            self.ejec_list = YList(self)
                            self._segment_path = lambda: "ej-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems, [], name, value)


                        class EjecList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`EqptEjSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptEjSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems.EjecList, self).__init__()

                                self.yang_name = "Ejec-list"
                                self.yang_parent_name = "ej-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptEjSt', '')])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Ejec-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EjItems.EjecList, ['id', 'operst', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class EobcItems(Entity):
                        """
                        
                        
                        .. attribute:: eobcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EobcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems.EobcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems, self).__init__()

                            self.yang_name = "eobc-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EobcP-list", ("eobcp_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems.EobcPList))])
                            self._leafs = OrderedDict()

                            self.eobcp_list = YList(self)
                            self._segment_path = lambda: "eobc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems, [], name, value)


                        class EobcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems.EobcPList, self).__init__()

                                self.yang_name = "EobcP-list"
                                self.yang_parent_name = "eobc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EobcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EobcItems.EobcPList, ['id', 'descr', 'type'], name, value)




                    class EpcItems(Entity):
                        """
                        
                        
                        .. attribute:: epcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EpcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems.EpcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems, self).__init__()

                            self.yang_name = "epc-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EpcP-list", ("epcp_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems.EpcPList))])
                            self._leafs = OrderedDict()

                            self.epcp_list = YList(self)
                            self._segment_path = lambda: "epc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems, [], name, value)


                        class EpcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems.EpcPList, self).__init__()

                                self.yang_name = "EpcP-list"
                                self.yang_parent_name = "epc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EpcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.EpcItems.EpcPList, ['id', 'descr', 'type'], name, value)




                    class MgmtItems(Entity):
                        """
                        
                        
                        .. attribute:: mgmtp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MgmtPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems.MgmtPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems, self).__init__()

                            self.yang_name = "mgmt-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("MgmtP-list", ("mgmtp_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems.MgmtPList))])
                            self._leafs = OrderedDict()

                            self.mgmtp_list = YList(self)
                            self._segment_path = lambda: "mgmt-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems, [], name, value)


                        class MgmtPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems.MgmtPList, self).__init__()

                                self.yang_name = "MgmtP-list"
                                self.yang_parent_name = "mgmt-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "MgmtP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.MgmtItems.MgmtPList, ['id', 'descr', 'type'], name, value)




                    class ConsoleItems(Entity):
                        """
                        
                        
                        .. attribute:: consp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ConsPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems.ConsPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems, self).__init__()

                            self.yang_name = "console-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ConsP-list", ("consp_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems.ConsPList))])
                            self._leafs = OrderedDict()

                            self.consp_list = YList(self)
                            self._segment_path = lambda: "console-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems, [], name, value)


                        class ConsPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems.ConsPList, self).__init__()

                                self.yang_name = "ConsP-list"
                                self.yang_parent_name = "console-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "ConsP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.ConsoleItems.ConsPList, ['id', 'descr', 'type'], name, value)




                    class SensorItems(Entity):
                        """
                        
                        
                        .. attribute:: sensor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems.SensorList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems, self).__init__()

                            self.yang_name = "sensor-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems.SensorList))])
                            self._leafs = OrderedDict()

                            self.sensor_list = YList(self)
                            self._segment_path = lambda: "sensor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems, [], name, value)


                        class SensorList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The equipment sensor identifier
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The equipment sensor type
                            	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                            
                            	**config**\: False
                            
                            .. attribute:: majorthresh
                            
                            	The equipment sensor major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minorthresh
                            
                            	The equipment sensor minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The equipment sensor operational status
                            	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: tempvalue
                            
                            	The equipment sensor temperature value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: unit
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems.SensorList, self).__init__()

                                self.yang_name = "Sensor-list"
                                self.yang_parent_name = "sensor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                    ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                    ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                    ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                    ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.majorthresh = None
                                self.minorthresh = None
                                self.operst = None
                                self.tempvalue = None
                                self.unit = None
                                self.vendor = None
                                self.model = None
                                self.descr = None
                                self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                    class SpsupItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	The sprom identifier
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numblk
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: spcmn_items
                        
                        	
                        	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpcmnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsupblk_items
                        
                        	
                        	**type**\:  :py:class:`SpsupblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sppd_items
                        
                        	
                        	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SppdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsd_items
                        
                        	
                        	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsensorblk_items
                        
                        	
                        	**type**\:  :py:class:`SpsensorblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems, self).__init__()

                            self.yang_name = "spsup-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpcmnItems)), ("spsupblk-items", ("spsupblk_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems)), ("sppd-items", ("sppd_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SppdItems)), ("spsd-items", ("spsd_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems)), ("spsensorblk-items", ("spsensorblk_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self.numblk = None

                            self.spcmn_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpcmnItems()
                            self.spcmn_items.parent = self
                            self._children_name_map["spcmn_items"] = "spcmn-items"

                            self.spsupblk_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems()
                            self.spsupblk_items.parent = self
                            self._children_name_map["spsupblk_items"] = "spsupblk-items"

                            self.sppd_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SppdItems()
                            self.sppd_items.parent = self
                            self._children_name_map["sppd_items"] = "sppd-items"

                            self.spsd_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems()
                            self.spsd_items.parent = self
                            self._children_name_map["spsd_items"] = "spsd-items"

                            self.spsensorblk_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems()
                            self.spsensorblk_items.parent = self
                            self._children_name_map["spsensorblk_items"] = "spsensorblk-items"
                            self._segment_path = lambda: "spsup-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                        class SpcmnItems(Entity):
                            """
                            
                            
                            .. attribute:: size
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: count
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: major
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: minor
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: oem
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pdnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sernum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prtnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgdev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: engbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: pwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: rmafl
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: clei
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vdrid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpcmnItems, self).__init__()

                                self.yang_name = "spcmn-items"
                                self.yang_parent_name = "spsup-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                    ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                    ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                    ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                    ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                    ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                    ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                    ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                    ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                    ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                    ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                    ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                    ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.size = None
                                self.count = None
                                self.major = None
                                self.minor = None
                                self.oem = None
                                self.pdnum = None
                                self.sernum = None
                                self.prtnum = None
                                self.prev = None
                                self.mfgdev = None
                                self.hwver = None
                                self.mfgbits = None
                                self.engbits = None
                                self.pwrcon = None
                                self.rmafl = None
                                self.clei = None
                                self.vdrid = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spcmn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SpsupblkItems(Entity):
                            """
                            
                            
                            .. attribute:: fbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: hwcbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: crdidx
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: macb
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: macl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: eobcn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: epldn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: maxcpwr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coolrq
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ambt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: sensor1
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor2
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor3
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor4
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor5
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor6
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor7
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor8
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: sppd_items
                            
                            	
                            	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SppdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems, self).__init__()

                                self.yang_name = "spsupblk-items"
                                self.yang_parent_name = "spsup-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems)), ("sppd-items", ("sppd_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SppdItems))])
                                self._leafs = OrderedDict([
                                    ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                    ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                    ('crdidx', (YLeaf(YType.uint16, 'crdIdx'), ['int'])),
                                    ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                                    ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                                    ('eobcn', (YLeaf(YType.uint16, 'eobcN'), ['int'])),
                                    ('epldn', (YLeaf(YType.uint16, 'epldN'), ['int'])),
                                    ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                                    ('coolrq', (YLeaf(YType.uint16, 'coolRq'), ['int'])),
                                    ('ambt', (YLeaf(YType.uint16, 'ambT'), ['int'])),
                                    ('sensor1', (YLeaf(YType.str, 'sensor1'), ['str'])),
                                    ('sensor2', (YLeaf(YType.str, 'sensor2'), ['str'])),
                                    ('sensor3', (YLeaf(YType.str, 'sensor3'), ['str'])),
                                    ('sensor4', (YLeaf(YType.str, 'sensor4'), ['str'])),
                                    ('sensor5', (YLeaf(YType.str, 'sensor5'), ['str'])),
                                    ('sensor6', (YLeaf(YType.str, 'sensor6'), ['str'])),
                                    ('sensor7', (YLeaf(YType.str, 'sensor7'), ['str'])),
                                    ('sensor8', (YLeaf(YType.str, 'sensor8'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.fbits = None
                                self.hwcbits = None
                                self.crdidx = None
                                self.macb = None
                                self.macl = None
                                self.eobcn = None
                                self.epldn = None
                                self.maxcpwr = None
                                self.coolrq = None
                                self.ambt = None
                                self.sensor1 = None
                                self.sensor2 = None
                                self.sensor3 = None
                                self.sensor4 = None
                                self.sensor5 = None
                                self.sensor6 = None
                                self.sensor7 = None
                                self.sensor8 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"

                                self.sppd_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SppdItems()
                                self.sppd_items.parent = self
                                self._children_name_map["sppd_items"] = "sppd-items"
                                self._segment_path = lambda: "spsupblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems, ['fbits', 'hwcbits', 'crdidx', 'macb', 'macl', 'eobcn', 'epldn', 'maxcpwr', 'coolrq', 'ambt', 'sensor1', 'sensor2', 'sensor3', 'sensor4', 'sensor5', 'sensor6', 'sensor7', 'sensor8', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "spsupblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                            class SppdItems(Entity):
                                """
                                
                                
                                .. attribute:: prtty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: numpts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SppdItems, self).__init__()

                                    self.yang_name = "sppd-items"
                                    self.yang_parent_name = "spsupblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                        ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                    ])
                                    self.prtty = None
                                    self.numpts = None
                                    self._segment_path = lambda: "sppd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsupblkItems.SppdItems, ['prtty', 'numpts'], name, value)




                        class SppdItems(Entity):
                            """
                            
                            
                            .. attribute:: prtty
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: numpts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SppdItems, self).__init__()

                                self.yang_name = "sppd-items"
                                self.yang_parent_name = "spsup-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                    ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                ])
                                self.prtty = None
                                self.numpts = None
                                self._segment_path = lambda: "sppd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SppdItems, ['prtty', 'numpts'], name, value)



                        class SpsdItems(Entity):
                            """
                            
                            
                            .. attribute:: spsd_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems.SpSdList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems, self).__init__()

                                self.yang_name = "spsd-items"
                                self.yang_parent_name = "spsup-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems.SpSdList))])
                                self._leafs = OrderedDict()

                                self.spsd_list = YList(self)
                                self._segment_path = lambda: "spsd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems, [], name, value)


                            class SpSdList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: majth
                                
                                	The sensor data sprom major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minth
                                
                                	The sensor data sprom minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems.SpSdList, self).__init__()

                                    self.yang_name = "SpSd-list"
                                    self.yang_parent_name = "spsd-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                        ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.majth = None
                                    self.minth = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class SpsensorblkItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor9
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor10
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor11
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor12
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor13
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor14
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor15
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor16
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor17
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor18
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor19
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor20
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor21
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor22
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor23
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor24
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor25
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor26
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor27
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor28
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor29
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor30
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor31
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor32
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor33
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor34
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor35
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor36
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor37
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor38
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor39
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor40
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems, self).__init__()

                                self.yang_name = "spsensorblk-items"
                                self.yang_parent_name = "spsup-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems))])
                                self._leafs = OrderedDict([
                                    ('sensor9', (YLeaf(YType.str, 'sensor9'), ['str'])),
                                    ('sensor10', (YLeaf(YType.str, 'sensor10'), ['str'])),
                                    ('sensor11', (YLeaf(YType.str, 'sensor11'), ['str'])),
                                    ('sensor12', (YLeaf(YType.str, 'sensor12'), ['str'])),
                                    ('sensor13', (YLeaf(YType.str, 'sensor13'), ['str'])),
                                    ('sensor14', (YLeaf(YType.str, 'sensor14'), ['str'])),
                                    ('sensor15', (YLeaf(YType.str, 'sensor15'), ['str'])),
                                    ('sensor16', (YLeaf(YType.str, 'sensor16'), ['str'])),
                                    ('sensor17', (YLeaf(YType.str, 'sensor17'), ['str'])),
                                    ('sensor18', (YLeaf(YType.str, 'sensor18'), ['str'])),
                                    ('sensor19', (YLeaf(YType.str, 'sensor19'), ['str'])),
                                    ('sensor20', (YLeaf(YType.str, 'sensor20'), ['str'])),
                                    ('sensor21', (YLeaf(YType.str, 'sensor21'), ['str'])),
                                    ('sensor22', (YLeaf(YType.str, 'sensor22'), ['str'])),
                                    ('sensor23', (YLeaf(YType.str, 'sensor23'), ['str'])),
                                    ('sensor24', (YLeaf(YType.str, 'sensor24'), ['str'])),
                                    ('sensor25', (YLeaf(YType.str, 'sensor25'), ['str'])),
                                    ('sensor26', (YLeaf(YType.str, 'sensor26'), ['str'])),
                                    ('sensor27', (YLeaf(YType.str, 'sensor27'), ['str'])),
                                    ('sensor28', (YLeaf(YType.str, 'sensor28'), ['str'])),
                                    ('sensor29', (YLeaf(YType.str, 'sensor29'), ['str'])),
                                    ('sensor30', (YLeaf(YType.str, 'sensor30'), ['str'])),
                                    ('sensor31', (YLeaf(YType.str, 'sensor31'), ['str'])),
                                    ('sensor32', (YLeaf(YType.str, 'sensor32'), ['str'])),
                                    ('sensor33', (YLeaf(YType.str, 'sensor33'), ['str'])),
                                    ('sensor34', (YLeaf(YType.str, 'sensor34'), ['str'])),
                                    ('sensor35', (YLeaf(YType.str, 'sensor35'), ['str'])),
                                    ('sensor36', (YLeaf(YType.str, 'sensor36'), ['str'])),
                                    ('sensor37', (YLeaf(YType.str, 'sensor37'), ['str'])),
                                    ('sensor38', (YLeaf(YType.str, 'sensor38'), ['str'])),
                                    ('sensor39', (YLeaf(YType.str, 'sensor39'), ['str'])),
                                    ('sensor40', (YLeaf(YType.str, 'sensor40'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.sensor9 = None
                                self.sensor10 = None
                                self.sensor11 = None
                                self.sensor12 = None
                                self.sensor13 = None
                                self.sensor14 = None
                                self.sensor15 = None
                                self.sensor16 = None
                                self.sensor17 = None
                                self.sensor18 = None
                                self.sensor19 = None
                                self.sensor20 = None
                                self.sensor21 = None
                                self.sensor22 = None
                                self.sensor23 = None
                                self.sensor24 = None
                                self.sensor25 = None
                                self.sensor26 = None
                                self.sensor27 = None
                                self.sensor28 = None
                                self.sensor29 = None
                                self.sensor30 = None
                                self.sensor31 = None
                                self.sensor32 = None
                                self.sensor33 = None
                                self.sensor34 = None
                                self.sensor35 = None
                                self.sensor36 = None
                                self.sensor37 = None
                                self.sensor38 = None
                                self.sensor39 = None
                                self.sensor40 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"
                                self._segment_path = lambda: "spsensorblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems, ['sensor9', 'sensor10', 'sensor11', 'sensor12', 'sensor13', 'sensor14', 'sensor15', 'sensor16', 'sensor17', 'sensor18', 'sensor19', 'sensor20', 'sensor21', 'sensor22', 'sensor23', 'sensor24', 'sensor25', 'sensor26', 'sensor27', 'sensor28', 'sensor29', 'sensor30', 'sensor31', 'sensor32', 'sensor33', 'sensor34', 'sensor35', 'sensor36', 'sensor37', 'sensor38', 'sensor39', 'sensor40', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "spsensorblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class AsicItems(Entity):
                        """
                        
                        
                        .. attribute:: asic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems.AsicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems, self).__init__()

                            self.yang_name = "asic-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems.AsicList))])
                            self._leafs = OrderedDict()

                            self.asic_list = YList(self)
                            self._segment_path = lambda: "asic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems, [], name, value)


                        class AsicList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The Asic identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The Asic type
                            	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The Asic operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numslices
                            
                            	The number of slices in this Asic
                            	**type**\: int
                            
                            	**range:** 0..6
                            
                            	**config**\: False
                            
                            .. attribute:: capabilities
                            
                            	The Asic capabilities
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems.AsicList, self).__init__()

                                self.yang_name = "Asic-list"
                                self.yang_parent_name = "asic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                    ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.operst = None
                                self.numslices = None
                                self.capabilities = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class CpuItems(Entity):
                        """
                        
                        
                        .. attribute:: cpu_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems, self).__init__()

                            self.yang_name = "cpu-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList))])
                            self._leafs = OrderedDict()

                            self.cpu_list = YList(self)
                            self._segment_path = lambda: "cpu-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems, [], name, value)


                        class CPUList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The CPU identifier
                            	**type**\: int
                            
                            	**range:** 1..None
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: sock
                            
                            	The CPU socket designation
                            	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                            
                            	**config**\: False
                            
                            .. attribute:: arch
                            
                            	The CPU architecture
                            	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	The CPU Speed in Giga Hz
                            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                            
                            	**range:** \-92233720368547758.08..92233720368547758.07
                            
                            	**config**\: False
                            
                            .. attribute:: cores
                            
                            	The number of cores within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coresen
                            
                            	The number of cores enabled within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: thrds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: core_items
                            
                            	
                            	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList, self).__init__()

                                self.yang_name = "CPU-list"
                                self.yang_parent_name = "cpu-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                    ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                    ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                    ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                    ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                    ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.sock = None
                                self.arch = None
                                self.speed = None
                                self.cores = None
                                self.coresen = None
                                self.thrds = None

                                self.core_items = System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems()
                                self.core_items.parent = self
                                self._children_name_map["core_items"] = "core-items"
                                self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                            class CoreItems(Entity):
                                """
                                
                                
                                .. attribute:: core_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems.CoreList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems, self).__init__()

                                    self.yang_name = "core-items"
                                    self.yang_parent_name = "CPU-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems.CoreList))])
                                    self._leafs = OrderedDict()

                                    self.core_list = YList(self)
                                    self._segment_path = lambda: "core-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems, [], name, value)


                                class CoreList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                        self.yang_name = "Core-list"
                                        self.yang_parent_name = "core-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class DimmItems(Entity):
                        """
                        
                        
                        .. attribute:: dimm_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems.DimmList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems, self).__init__()

                            self.yang_name = "dimm-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems.DimmList))])
                            self._leafs = OrderedDict()

                            self.dimm_list = YList(self)
                            self._segment_path = lambda: "dimm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems, [], name, value)


                        class DimmList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The dual in\-line memory module(DIMM) type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems.DimmList, self).__init__()

                                self.yang_name = "Dimm-list"
                                self.yang_parent_name = "dimm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                    class FlashItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The flash memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.FlashItems, self).__init__()

                            self.yang_name = "flash-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self._segment_path = lambda: "flash-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                    class ObflItems(Entity):
                        """
                        
                        
                        .. attribute:: logt
                        
                        	Log Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.SupslotItems.SupCSlotList.SupItems.ObflItems, self).__init__()

                            self.yang_name = "obfl-items"
                            self.yang_parent_name = "sup-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.logt = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "obfl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.SupItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.SupslotItems.SupCSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "SupCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.SupslotItems.SupCSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class LcslotItems(Entity):
            """
            
            
            .. attribute:: lcslot_list
            
            	
            	**type**\: list of  		 :py:class:`LCSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.LcslotItems, self).__init__()

                self.yang_name = "lcslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("LCSlot-list", ("lcslot_list", System.ChItems.LcslotItems.LCSlotList))])
                self._leafs = OrderedDict()

                self.lcslot_list = YList(self)
                self._segment_path = lambda: "lcslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.LcslotItems, [], name, value)


            class LCSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..666
                
                	**config**\: False
                
                .. attribute:: purgecfg
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: poweroff
                
                	Poweroff Config
                	**type**\:  :py:class:`EqptPoweroffSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPoweroffSt>`
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The type of line card slot
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: lc_items
                
                	
                	**type**\:  :py:class:`LcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.LcslotItems.LCSlotList, self).__init__()

                    self.yang_name = "LCSlot-list"
                    self.yang_parent_name = "lcslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("lc-items", ("lc_items", System.ChItems.LcslotItems.LCSlotList.LcItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.LcslotItems.LCSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('purgecfg', (YLeaf(YType.boolean, 'purgeCfg'), ['bool'])),
                        ('poweroff', (YLeaf(YType.enumeration, 'poweroff'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPoweroffSt', '')])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.purgecfg = None
                    self.poweroff = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.lc_items = System.ChItems.LcslotItems.LCSlotList.LcItems()
                    self.lc_items.parent = self
                    self._children_name_map["lc_items"] = "lc-items"

                    self.rtoosslot_items = System.ChItems.LcslotItems.LCSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "LCSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/lcslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList, ['id', 'purgecfg', 'poweroff', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class LcItems(Entity):
                    """
                    
                    
                    .. attribute:: breakoutfactor
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    	**default value**\: 1
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The card type
                    	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The card operational status
                    	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: swcid
                    
                    	The card software card identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nump
                    
                    	The number of ports on the card
                    	**type**\: int
                    
                    	**range:** 0..256
                    
                    	**config**\: False
                    
                    .. attribute:: macb
                    
                    	The card MAC address base
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mace
                    
                    	The card MAC address end
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: upts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwrst
                    
                    	The power state of this card
                    	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                    
                    	**config**\: False
                    
                    .. attribute:: swver
                    
                    	The card software revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	The card part number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The card vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: poweractualdraw
                    
                    	It is the power value that module actually draw
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: powerallocated
                    
                    	It is the power value that power supply allocated to the module
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: running_items
                    
                    	
                    	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.RunningItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ej_items
                    
                    	
                    	**type**\:  :py:class:`EjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: eobc_items
                    
                    	
                    	**type**\:  :py:class:`EobcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: fabport_items
                    
                    	
                    	**type**\:  :py:class:`FabportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: leafport_items
                    
                    	
                    	**type**\:  :py:class:`LeafportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: hostextport_items
                    
                    	
                    	**type**\:  :py:class:`HostextportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: leafextport_items
                    
                    	
                    	**type**\:  :py:class:`LeafextportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: sensor_items
                    
                    	
                    	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: splc_items
                    
                    	
                    	**type**\:  :py:class:`SplcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: asic_items
                    
                    	
                    	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: cpu_items
                    
                    	
                    	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: dimm_items
                    
                    	
                    	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: flash_items
                    
                    	
                    	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.FlashItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: obfl_items
                    
                    	
                    	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.ObflItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.LcslotItems.LCSlotList.LcItems, self).__init__()

                        self.yang_name = "lc-items"
                        self.yang_parent_name = "LCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("running-items", ("running_items", System.ChItems.LcslotItems.LCSlotList.LcItems.RunningItems)), ("ej-items", ("ej_items", System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems)), ("eobc-items", ("eobc_items", System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems)), ("fabport-items", ("fabport_items", System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems)), ("leafport-items", ("leafport_items", System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems)), ("hostextport-items", ("hostextport_items", System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems)), ("leafextport-items", ("leafextport_items", System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems)), ("sensor-items", ("sensor_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems)), ("splc-items", ("splc_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems)), ("asic-items", ("asic_items", System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems)), ("flash-items", ("flash_items", System.ChItems.LcslotItems.LCSlotList.LcItems.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.LcslotItems.LCSlotList.LcItems.ObflItems))])
                        self._leafs = OrderedDict([
                            ('breakoutfactor', (YLeaf(YType.uint32, 'breakoutFactor'), ['int'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                            ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                            ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                            ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                            ('mace', (YLeaf(YType.str, 'macE'), ['str'])),
                            ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                            ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                            ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                            ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                        ])
                        self.breakoutfactor = None
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None
                        self.type = None
                        self.operst = None
                        self.swcid = None
                        self.nump = None
                        self.macb = None
                        self.mace = None
                        self.upts = None
                        self.pwrst = None
                        self.swver = None
                        self.partnumber = None
                        self.vdrid = None
                        self.poweractualdraw = None
                        self.powerallocated = None

                        self.running_items = System.ChItems.LcslotItems.LCSlotList.LcItems.RunningItems()
                        self.running_items.parent = self
                        self._children_name_map["running_items"] = "running-items"

                        self.ej_items = System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems()
                        self.ej_items.parent = self
                        self._children_name_map["ej_items"] = "ej-items"

                        self.eobc_items = System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems()
                        self.eobc_items.parent = self
                        self._children_name_map["eobc_items"] = "eobc-items"

                        self.fabport_items = System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems()
                        self.fabport_items.parent = self
                        self._children_name_map["fabport_items"] = "fabport-items"

                        self.leafport_items = System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems()
                        self.leafport_items.parent = self
                        self._children_name_map["leafport_items"] = "leafport-items"

                        self.hostextport_items = System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems()
                        self.hostextport_items.parent = self
                        self._children_name_map["hostextport_items"] = "hostextport-items"

                        self.leafextport_items = System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems()
                        self.leafextport_items.parent = self
                        self._children_name_map["leafextport_items"] = "leafextport-items"

                        self.sensor_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems()
                        self.sensor_items.parent = self
                        self._children_name_map["sensor_items"] = "sensor-items"

                        self.splc_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems()
                        self.splc_items.parent = self
                        self._children_name_map["splc_items"] = "splc-items"

                        self.asic_items = System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems()
                        self.asic_items.parent = self
                        self._children_name_map["asic_items"] = "asic-items"

                        self.cpu_items = System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems()
                        self.cpu_items.parent = self
                        self._children_name_map["cpu_items"] = "cpu-items"

                        self.dimm_items = System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems()
                        self.dimm_items.parent = self
                        self._children_name_map["dimm_items"] = "dimm-items"

                        self.flash_items = System.ChItems.LcslotItems.LCSlotList.LcItems.FlashItems()
                        self.flash_items.parent = self
                        self._children_name_map["flash_items"] = "flash-items"

                        self.obfl_items = System.ChItems.LcslotItems.LCSlotList.LcItems.ObflItems()
                        self.obfl_items.parent = self
                        self._children_name_map["obfl_items"] = "obfl-items"
                        self._segment_path = lambda: "lc-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems, ['breakoutfactor', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver', 'type', 'operst', 'swcid', 'nump', 'macb', 'mace', 'upts', 'pwrst', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                    class RunningItems(Entity):
                        """
                        
                        
                        .. attribute:: biosver
                        
                        	A property that indicates Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: expectedver
                        
                        	A property that indicates Expected Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	A property that indicates Operational State
                        	**type**\:  :py:class:`FirmwareRunningOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: interimver
                        
                        	A property that indicates Interim Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: version
                        
                        	Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: internallabel
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: ts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.RunningItems, self).__init__()

                            self.yang_name = "running-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('biosver', (YLeaf(YType.str, 'biosVer'), ['str'])),
                                ('expectedver', (YLeaf(YType.str, 'expectedVer'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningOperSt', '')])),
                                ('interimver', (YLeaf(YType.str, 'interimVer'), ['str'])),
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                                ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.biosver = None
                            self.expectedver = None
                            self.operst = None
                            self.interimver = None
                            self.version = None
                            self.internallabel = None
                            self.type = None
                            self.mode = None
                            self.ts = None
                            self.descr = None
                            self._segment_path = lambda: "running-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.RunningItems, ['biosver', 'expectedver', 'operst', 'interimver', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



                    class EjItems(Entity):
                        """
                        
                        
                        .. attribute:: ejec_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EjecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems.EjecList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems, self).__init__()

                            self.yang_name = "ej-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ejec-list", ("ejec_list", System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems.EjecList))])
                            self._leafs = OrderedDict()

                            self.ejec_list = YList(self)
                            self._segment_path = lambda: "ej-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems, [], name, value)


                        class EjecList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`EqptEjSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptEjSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems.EjecList, self).__init__()

                                self.yang_name = "Ejec-list"
                                self.yang_parent_name = "ej-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptEjSt', '')])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Ejec-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.EjItems.EjecList, ['id', 'operst', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class EobcItems(Entity):
                        """
                        
                        
                        .. attribute:: eobcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EobcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems.EobcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems, self).__init__()

                            self.yang_name = "eobc-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EobcP-list", ("eobcp_list", System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems.EobcPList))])
                            self._leafs = OrderedDict()

                            self.eobcp_list = YList(self)
                            self._segment_path = lambda: "eobc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems, [], name, value)


                        class EobcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems.EobcPList, self).__init__()

                                self.yang_name = "EobcP-list"
                                self.yang_parent_name = "eobc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EobcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.EobcItems.EobcPList, ['id', 'descr', 'type'], name, value)




                    class FabportItems(Entity):
                        """
                        
                        
                        .. attribute:: fabp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`FabPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems, self).__init__()

                            self.yang_name = "fabport-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("FabP-list", ("fabp_list", System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList))])
                            self._leafs = OrderedDict()

                            self.fabp_list = YList(self)
                            self._segment_path = lambda: "fabport-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems, [], name, value)


                        class FabPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: remoteport_items
                            
                            	
                            	**type**\:  :py:class:`RemotePortItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList, self).__init__()

                                self.yang_name = "FabP-list"
                                self.yang_parent_name = "fabport-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("remotePort-items", ("remoteport_items", System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                    ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self.speed = None

                                self.remoteport_items = System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems()
                                self.remoteport_items.parent = self
                                self._children_name_map["remoteport_items"] = "remotePort-items"
                                self._segment_path = lambda: "FabP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList, ['id', 'descr', 'type', 'speed'], name, value)


                            class RemotePortItems(Entity):
                                """
                                
                                
                                .. attribute:: remoteport_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RemotePortList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems.RemotePortList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems, self).__init__()

                                    self.yang_name = "remotePort-items"
                                    self.yang_parent_name = "FabP-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RemotePort-list", ("remoteport_list", System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems.RemotePortList))])
                                    self._leafs = OrderedDict()

                                    self.remoteport_list = YList(self)
                                    self._segment_path = lambda: "remotePort-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems, [], name, value)


                                class RemotePortList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: lldpadjepinstid  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: remoteportdesc
                                    
                                    	Description of the Remote Port
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: remotesysdesc
                                    
                                    	Description of the Remote System
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: remoteip
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: localifid
                                    
                                    	Interface ID of the Local Port
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems.RemotePortList, self).__init__()

                                        self.yang_name = "RemotePort-list"
                                        self.yang_parent_name = "remotePort-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['lldpadjepinstid']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('lldpadjepinstid', (YLeaf(YType.str, 'lldpAdjEpInstId'), ['str'])),
                                            ('remoteportdesc', (YLeaf(YType.str, 'remotePortDesc'), ['str'])),
                                            ('remotesysdesc', (YLeaf(YType.str, 'remoteSysDesc'), ['str'])),
                                            ('remoteip', (YLeaf(YType.str, 'remoteIp'), ['str','str'])),
                                            ('localifid', (YLeaf(YType.str, 'LocalIfid'), ['str'])),
                                        ])
                                        self.lldpadjepinstid = None
                                        self.remoteportdesc = None
                                        self.remotesysdesc = None
                                        self.remoteip = None
                                        self.localifid = None
                                        self._segment_path = lambda: "RemotePort-list" + "[lldpAdjEpInstId='" + str(self.lldpadjepinstid) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.FabportItems.FabPList.RemotePortItems.RemotePortList, ['lldpadjepinstid', 'remoteportdesc', 'remotesysdesc', 'remoteip', 'localifid'], name, value)






                    class LeafportItems(Entity):
                        """
                        
                        
                        .. attribute:: leafp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`LeafPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems.LeafPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems, self).__init__()

                            self.yang_name = "leafport-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("LeafP-list", ("leafp_list", System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems.LeafPList))])
                            self._leafs = OrderedDict()

                            self.leafp_list = YList(self)
                            self._segment_path = lambda: "leafport-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems, [], name, value)


                        class LeafPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems.LeafPList, self).__init__()

                                self.yang_name = "LeafP-list"
                                self.yang_parent_name = "leafport-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                    ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self.speed = None
                                self._segment_path = lambda: "LeafP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafportItems.LeafPList, ['id', 'descr', 'type', 'speed'], name, value)




                    class HostextportItems(Entity):
                        """
                        
                        
                        .. attribute:: extchhp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ExtChHPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems.ExtChHPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems, self).__init__()

                            self.yang_name = "hostextport-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ExtChHP-list", ("extchhp_list", System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems.ExtChHPList))])
                            self._leafs = OrderedDict()

                            self.extchhp_list = YList(self)
                            self._segment_path = lambda: "hostextport-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems, [], name, value)


                        class ExtChHPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems.ExtChHPList, self).__init__()

                                self.yang_name = "ExtChHP-list"
                                self.yang_parent_name = "hostextport-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                    ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self.speed = None
                                self._segment_path = lambda: "ExtChHP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.HostextportItems.ExtChHPList, ['id', 'descr', 'type', 'speed'], name, value)




                    class LeafextportItems(Entity):
                        """
                        
                        
                        .. attribute:: extchfp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ExtChFPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems.ExtChFPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems, self).__init__()

                            self.yang_name = "leafextport-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ExtChFP-list", ("extchfp_list", System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems.ExtChFPList))])
                            self._leafs = OrderedDict()

                            self.extchfp_list = YList(self)
                            self._segment_path = lambda: "leafextport-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems, [], name, value)


                        class ExtChFPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems.ExtChFPList, self).__init__()

                                self.yang_name = "ExtChFP-list"
                                self.yang_parent_name = "leafextport-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                    ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self.speed = None
                                self._segment_path = lambda: "ExtChFP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.LeafextportItems.ExtChFPList, ['id', 'descr', 'type', 'speed'], name, value)




                    class SensorItems(Entity):
                        """
                        
                        
                        .. attribute:: sensor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems.SensorList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems, self).__init__()

                            self.yang_name = "sensor-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems.SensorList))])
                            self._leafs = OrderedDict()

                            self.sensor_list = YList(self)
                            self._segment_path = lambda: "sensor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems, [], name, value)


                        class SensorList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The equipment sensor identifier
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The equipment sensor type
                            	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                            
                            	**config**\: False
                            
                            .. attribute:: majorthresh
                            
                            	The equipment sensor major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minorthresh
                            
                            	The equipment sensor minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The equipment sensor operational status
                            	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: tempvalue
                            
                            	The equipment sensor temperature value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: unit
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems.SensorList, self).__init__()

                                self.yang_name = "Sensor-list"
                                self.yang_parent_name = "sensor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                    ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                    ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                    ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                    ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.majorthresh = None
                                self.minorthresh = None
                                self.operst = None
                                self.tempvalue = None
                                self.unit = None
                                self.vendor = None
                                self.model = None
                                self.descr = None
                                self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                    class SplcItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	The sprom identifier
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numblk
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: spcmn_items
                        
                        	
                        	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpcmnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: splcblk_items
                        
                        	
                        	**type**\:  :py:class:`SplcblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sppd_items
                        
                        	
                        	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SppdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsd_items
                        
                        	
                        	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsensorblk_items
                        
                        	
                        	**type**\:  :py:class:`SpsensorblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems, self).__init__()

                            self.yang_name = "splc-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpcmnItems)), ("splcblk-items", ("splcblk_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems)), ("sppd-items", ("sppd_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SppdItems)), ("spsd-items", ("spsd_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems)), ("spsensorblk-items", ("spsensorblk_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.rev = None
                            self.ser = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self.numblk = None

                            self.spcmn_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpcmnItems()
                            self.spcmn_items.parent = self
                            self._children_name_map["spcmn_items"] = "spcmn-items"

                            self.splcblk_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems()
                            self.splcblk_items.parent = self
                            self._children_name_map["splcblk_items"] = "splcblk-items"

                            self.sppd_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SppdItems()
                            self.sppd_items.parent = self
                            self._children_name_map["sppd_items"] = "sppd-items"

                            self.spsd_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems()
                            self.spsd_items.parent = self
                            self._children_name_map["spsd_items"] = "spsd-items"

                            self.spsensorblk_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems()
                            self.spsensorblk_items.parent = self
                            self._children_name_map["spsensorblk_items"] = "spsensorblk-items"
                            self._segment_path = lambda: "splc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems, ['id', 'vendor', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                        class SpcmnItems(Entity):
                            """
                            
                            
                            .. attribute:: size
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: count
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: major
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: minor
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: oem
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pdnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sernum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prtnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgdev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: engbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: pwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: rmafl
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: clei
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vdrid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpcmnItems, self).__init__()

                                self.yang_name = "spcmn-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                    ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                    ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                    ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                    ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                    ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                    ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                    ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                    ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                    ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                    ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                    ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                    ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.size = None
                                self.count = None
                                self.major = None
                                self.minor = None
                                self.oem = None
                                self.pdnum = None
                                self.sernum = None
                                self.prtnum = None
                                self.prev = None
                                self.mfgdev = None
                                self.hwver = None
                                self.mfgbits = None
                                self.engbits = None
                                self.pwrcon = None
                                self.rmafl = None
                                self.clei = None
                                self.vdrid = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spcmn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SplcblkItems(Entity):
                            """
                            
                            
                            .. attribute:: fbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: hwcbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: crdidx
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: macb
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: macl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: eobcn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: epldn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: maxcpwr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coolrq
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ambt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: sensor1
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor2
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor3
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor4
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor5
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor6
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor7
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor8
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: sppd_items
                            
                            	
                            	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SppdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems, self).__init__()

                                self.yang_name = "splcblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems)), ("sppd-items", ("sppd_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SppdItems))])
                                self._leafs = OrderedDict([
                                    ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                    ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                    ('crdidx', (YLeaf(YType.uint16, 'crdIdx'), ['int'])),
                                    ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                                    ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                                    ('eobcn', (YLeaf(YType.uint16, 'eobcN'), ['int'])),
                                    ('epldn', (YLeaf(YType.uint16, 'epldN'), ['int'])),
                                    ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                                    ('coolrq', (YLeaf(YType.uint16, 'coolRq'), ['int'])),
                                    ('ambt', (YLeaf(YType.uint16, 'ambT'), ['int'])),
                                    ('sensor1', (YLeaf(YType.str, 'sensor1'), ['str'])),
                                    ('sensor2', (YLeaf(YType.str, 'sensor2'), ['str'])),
                                    ('sensor3', (YLeaf(YType.str, 'sensor3'), ['str'])),
                                    ('sensor4', (YLeaf(YType.str, 'sensor4'), ['str'])),
                                    ('sensor5', (YLeaf(YType.str, 'sensor5'), ['str'])),
                                    ('sensor6', (YLeaf(YType.str, 'sensor6'), ['str'])),
                                    ('sensor7', (YLeaf(YType.str, 'sensor7'), ['str'])),
                                    ('sensor8', (YLeaf(YType.str, 'sensor8'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.fbits = None
                                self.hwcbits = None
                                self.crdidx = None
                                self.macb = None
                                self.macl = None
                                self.eobcn = None
                                self.epldn = None
                                self.maxcpwr = None
                                self.coolrq = None
                                self.ambt = None
                                self.sensor1 = None
                                self.sensor2 = None
                                self.sensor3 = None
                                self.sensor4 = None
                                self.sensor5 = None
                                self.sensor6 = None
                                self.sensor7 = None
                                self.sensor8 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"

                                self.sppd_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SppdItems()
                                self.sppd_items.parent = self
                                self._children_name_map["sppd_items"] = "sppd-items"
                                self._segment_path = lambda: "splcblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems, ['fbits', 'hwcbits', 'crdidx', 'macb', 'macl', 'eobcn', 'epldn', 'maxcpwr', 'coolrq', 'ambt', 'sensor1', 'sensor2', 'sensor3', 'sensor4', 'sensor5', 'sensor6', 'sensor7', 'sensor8', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                            class SppdItems(Entity):
                                """
                                
                                
                                .. attribute:: prtty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: numpts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SppdItems, self).__init__()

                                    self.yang_name = "sppd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                        ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                    ])
                                    self.prtty = None
                                    self.numpts = None
                                    self._segment_path = lambda: "sppd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SplcblkItems.SppdItems, ['prtty', 'numpts'], name, value)




                        class SppdItems(Entity):
                            """
                            
                            
                            .. attribute:: prtty
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: numpts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SppdItems, self).__init__()

                                self.yang_name = "sppd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                    ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                ])
                                self.prtty = None
                                self.numpts = None
                                self._segment_path = lambda: "sppd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SppdItems, ['prtty', 'numpts'], name, value)



                        class SpsdItems(Entity):
                            """
                            
                            
                            .. attribute:: spsd_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems.SpSdList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems, self).__init__()

                                self.yang_name = "spsd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems.SpSdList))])
                                self._leafs = OrderedDict()

                                self.spsd_list = YList(self)
                                self._segment_path = lambda: "spsd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems, [], name, value)


                            class SpSdList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: majth
                                
                                	The sensor data sprom major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minth
                                
                                	The sensor data sprom minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems.SpSdList, self).__init__()

                                    self.yang_name = "SpSd-list"
                                    self.yang_parent_name = "spsd-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                        ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.majth = None
                                    self.minth = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class SpsensorblkItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor9
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor10
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor11
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor12
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor13
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor14
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor15
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor16
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor17
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor18
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor19
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor20
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor21
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor22
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor23
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor24
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor25
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor26
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor27
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor28
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor29
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor30
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor31
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor32
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor33
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor34
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor35
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor36
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor37
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor38
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor39
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor40
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems, self).__init__()

                                self.yang_name = "spsensorblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems))])
                                self._leafs = OrderedDict([
                                    ('sensor9', (YLeaf(YType.str, 'sensor9'), ['str'])),
                                    ('sensor10', (YLeaf(YType.str, 'sensor10'), ['str'])),
                                    ('sensor11', (YLeaf(YType.str, 'sensor11'), ['str'])),
                                    ('sensor12', (YLeaf(YType.str, 'sensor12'), ['str'])),
                                    ('sensor13', (YLeaf(YType.str, 'sensor13'), ['str'])),
                                    ('sensor14', (YLeaf(YType.str, 'sensor14'), ['str'])),
                                    ('sensor15', (YLeaf(YType.str, 'sensor15'), ['str'])),
                                    ('sensor16', (YLeaf(YType.str, 'sensor16'), ['str'])),
                                    ('sensor17', (YLeaf(YType.str, 'sensor17'), ['str'])),
                                    ('sensor18', (YLeaf(YType.str, 'sensor18'), ['str'])),
                                    ('sensor19', (YLeaf(YType.str, 'sensor19'), ['str'])),
                                    ('sensor20', (YLeaf(YType.str, 'sensor20'), ['str'])),
                                    ('sensor21', (YLeaf(YType.str, 'sensor21'), ['str'])),
                                    ('sensor22', (YLeaf(YType.str, 'sensor22'), ['str'])),
                                    ('sensor23', (YLeaf(YType.str, 'sensor23'), ['str'])),
                                    ('sensor24', (YLeaf(YType.str, 'sensor24'), ['str'])),
                                    ('sensor25', (YLeaf(YType.str, 'sensor25'), ['str'])),
                                    ('sensor26', (YLeaf(YType.str, 'sensor26'), ['str'])),
                                    ('sensor27', (YLeaf(YType.str, 'sensor27'), ['str'])),
                                    ('sensor28', (YLeaf(YType.str, 'sensor28'), ['str'])),
                                    ('sensor29', (YLeaf(YType.str, 'sensor29'), ['str'])),
                                    ('sensor30', (YLeaf(YType.str, 'sensor30'), ['str'])),
                                    ('sensor31', (YLeaf(YType.str, 'sensor31'), ['str'])),
                                    ('sensor32', (YLeaf(YType.str, 'sensor32'), ['str'])),
                                    ('sensor33', (YLeaf(YType.str, 'sensor33'), ['str'])),
                                    ('sensor34', (YLeaf(YType.str, 'sensor34'), ['str'])),
                                    ('sensor35', (YLeaf(YType.str, 'sensor35'), ['str'])),
                                    ('sensor36', (YLeaf(YType.str, 'sensor36'), ['str'])),
                                    ('sensor37', (YLeaf(YType.str, 'sensor37'), ['str'])),
                                    ('sensor38', (YLeaf(YType.str, 'sensor38'), ['str'])),
                                    ('sensor39', (YLeaf(YType.str, 'sensor39'), ['str'])),
                                    ('sensor40', (YLeaf(YType.str, 'sensor40'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.sensor9 = None
                                self.sensor10 = None
                                self.sensor11 = None
                                self.sensor12 = None
                                self.sensor13 = None
                                self.sensor14 = None
                                self.sensor15 = None
                                self.sensor16 = None
                                self.sensor17 = None
                                self.sensor18 = None
                                self.sensor19 = None
                                self.sensor20 = None
                                self.sensor21 = None
                                self.sensor22 = None
                                self.sensor23 = None
                                self.sensor24 = None
                                self.sensor25 = None
                                self.sensor26 = None
                                self.sensor27 = None
                                self.sensor28 = None
                                self.sensor29 = None
                                self.sensor30 = None
                                self.sensor31 = None
                                self.sensor32 = None
                                self.sensor33 = None
                                self.sensor34 = None
                                self.sensor35 = None
                                self.sensor36 = None
                                self.sensor37 = None
                                self.sensor38 = None
                                self.sensor39 = None
                                self.sensor40 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"
                                self._segment_path = lambda: "spsensorblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems, ['sensor9', 'sensor10', 'sensor11', 'sensor12', 'sensor13', 'sensor14', 'sensor15', 'sensor16', 'sensor17', 'sensor18', 'sensor19', 'sensor20', 'sensor21', 'sensor22', 'sensor23', 'sensor24', 'sensor25', 'sensor26', 'sensor27', 'sensor28', 'sensor29', 'sensor30', 'sensor31', 'sensor32', 'sensor33', 'sensor34', 'sensor35', 'sensor36', 'sensor37', 'sensor38', 'sensor39', 'sensor40', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "spsensorblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class AsicItems(Entity):
                        """
                        
                        
                        .. attribute:: asic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems.AsicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems, self).__init__()

                            self.yang_name = "asic-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems.AsicList))])
                            self._leafs = OrderedDict()

                            self.asic_list = YList(self)
                            self._segment_path = lambda: "asic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems, [], name, value)


                        class AsicList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The Asic identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The Asic type
                            	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The Asic operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numslices
                            
                            	The number of slices in this Asic
                            	**type**\: int
                            
                            	**range:** 0..6
                            
                            	**config**\: False
                            
                            .. attribute:: capabilities
                            
                            	The Asic capabilities
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems.AsicList, self).__init__()

                                self.yang_name = "Asic-list"
                                self.yang_parent_name = "asic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                    ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.operst = None
                                self.numslices = None
                                self.capabilities = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class CpuItems(Entity):
                        """
                        
                        
                        .. attribute:: cpu_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems, self).__init__()

                            self.yang_name = "cpu-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList))])
                            self._leafs = OrderedDict()

                            self.cpu_list = YList(self)
                            self._segment_path = lambda: "cpu-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems, [], name, value)


                        class CPUList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The CPU identifier
                            	**type**\: int
                            
                            	**range:** 1..None
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: sock
                            
                            	The CPU socket designation
                            	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                            
                            	**config**\: False
                            
                            .. attribute:: arch
                            
                            	The CPU architecture
                            	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	The CPU Speed in Giga Hz
                            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                            
                            	**range:** \-92233720368547758.08..92233720368547758.07
                            
                            	**config**\: False
                            
                            .. attribute:: cores
                            
                            	The number of cores within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coresen
                            
                            	The number of cores enabled within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: thrds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: core_items
                            
                            	
                            	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList, self).__init__()

                                self.yang_name = "CPU-list"
                                self.yang_parent_name = "cpu-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                    ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                    ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                    ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                    ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                    ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.sock = None
                                self.arch = None
                                self.speed = None
                                self.cores = None
                                self.coresen = None
                                self.thrds = None

                                self.core_items = System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems()
                                self.core_items.parent = self
                                self._children_name_map["core_items"] = "core-items"
                                self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                            class CoreItems(Entity):
                                """
                                
                                
                                .. attribute:: core_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems.CoreList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems, self).__init__()

                                    self.yang_name = "core-items"
                                    self.yang_parent_name = "CPU-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems.CoreList))])
                                    self._leafs = OrderedDict()

                                    self.core_list = YList(self)
                                    self._segment_path = lambda: "core-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems, [], name, value)


                                class CoreList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                        self.yang_name = "Core-list"
                                        self.yang_parent_name = "core-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class DimmItems(Entity):
                        """
                        
                        
                        .. attribute:: dimm_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems.DimmList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems, self).__init__()

                            self.yang_name = "dimm-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems.DimmList))])
                            self._leafs = OrderedDict()

                            self.dimm_list = YList(self)
                            self._segment_path = lambda: "dimm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems, [], name, value)


                        class DimmList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The dual in\-line memory module(DIMM) type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems.DimmList, self).__init__()

                                self.yang_name = "Dimm-list"
                                self.yang_parent_name = "dimm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                    class FlashItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The flash memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.FlashItems, self).__init__()

                            self.yang_name = "flash-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self._segment_path = lambda: "flash-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                    class ObflItems(Entity):
                        """
                        
                        
                        .. attribute:: logt
                        
                        	Log Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.LcslotItems.LCSlotList.LcItems.ObflItems, self).__init__()

                            self.yang_name = "obfl-items"
                            self.yang_parent_name = "lc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.logt = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "obfl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.LcItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.LcslotItems.LCSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "LCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.LcslotItems.LCSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class FcslotItems(Entity):
            """
            
            
            .. attribute:: fcslot_list
            
            	
            	**type**\: list of  		 :py:class:`FCSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.FcslotItems, self).__init__()

                self.yang_name = "fcslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FCSlot-list", ("fcslot_list", System.ChItems.FcslotItems.FCSlotList))])
                self._leafs = OrderedDict()

                self.fcslot_list = YList(self)
                self._segment_path = lambda: "fcslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.FcslotItems, [], name, value)


            class FCSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..666
                
                	**config**\: False
                
                .. attribute:: poweroff
                
                	Poweroff Config
                	**type**\:  :py:class:`EqptPoweroffSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPoweroffSt>`
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The fabric card type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: fc_items
                
                	
                	**type**\:  :py:class:`FcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.FcslotItems.FCSlotList, self).__init__()

                    self.yang_name = "FCSlot-list"
                    self.yang_parent_name = "fcslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("fc-items", ("fc_items", System.ChItems.FcslotItems.FCSlotList.FcItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.FcslotItems.FCSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('poweroff', (YLeaf(YType.enumeration, 'poweroff'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPoweroffSt', '')])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.poweroff = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.fc_items = System.ChItems.FcslotItems.FCSlotList.FcItems()
                    self.fc_items.parent = self
                    self._children_name_map["fc_items"] = "fc-items"

                    self.rtoosslot_items = System.ChItems.FcslotItems.FCSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "FCSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/fcslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList, ['id', 'poweroff', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class FcItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The card type
                    	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The card operational status
                    	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: swcid
                    
                    	The card software card identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nump
                    
                    	The number of ports on the card
                    	**type**\: int
                    
                    	**range:** 0..256
                    
                    	**config**\: False
                    
                    .. attribute:: upts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwrst
                    
                    	The power state of this card
                    	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                    
                    	**config**\: False
                    
                    .. attribute:: swver
                    
                    	The card software revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	The card part number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The card vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: poweractualdraw
                    
                    	It is the power value that module actually draw
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: powerallocated
                    
                    	It is the power value that power supply allocated to the module
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: running_items
                    
                    	
                    	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.RunningItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: ej_items
                    
                    	
                    	**type**\:  :py:class:`EjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: eobc_items
                    
                    	
                    	**type**\:  :py:class:`EobcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: epc_items
                    
                    	
                    	**type**\:  :py:class:`EpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: sensor_items
                    
                    	
                    	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: splc_items
                    
                    	
                    	**type**\:  :py:class:`SplcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: asic_items
                    
                    	
                    	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: cpu_items
                    
                    	
                    	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: dimm_items
                    
                    	
                    	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: flash_items
                    
                    	
                    	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.FlashItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: obfl_items
                    
                    	
                    	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.ObflItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.FcslotItems.FCSlotList.FcItems, self).__init__()

                        self.yang_name = "fc-items"
                        self.yang_parent_name = "FCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("running-items", ("running_items", System.ChItems.FcslotItems.FCSlotList.FcItems.RunningItems)), ("ej-items", ("ej_items", System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems)), ("eobc-items", ("eobc_items", System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems)), ("epc-items", ("epc_items", System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems)), ("sensor-items", ("sensor_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems)), ("splc-items", ("splc_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems)), ("asic-items", ("asic_items", System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems)), ("flash-items", ("flash_items", System.ChItems.FcslotItems.FCSlotList.FcItems.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.FcslotItems.FCSlotList.FcItems.ObflItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                            ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                            ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                            ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                            ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                            ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                            ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                        ])
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None
                        self.type = None
                        self.operst = None
                        self.swcid = None
                        self.nump = None
                        self.upts = None
                        self.pwrst = None
                        self.swver = None
                        self.partnumber = None
                        self.vdrid = None
                        self.poweractualdraw = None
                        self.powerallocated = None

                        self.running_items = System.ChItems.FcslotItems.FCSlotList.FcItems.RunningItems()
                        self.running_items.parent = self
                        self._children_name_map["running_items"] = "running-items"

                        self.ej_items = System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems()
                        self.ej_items.parent = self
                        self._children_name_map["ej_items"] = "ej-items"

                        self.eobc_items = System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems()
                        self.eobc_items.parent = self
                        self._children_name_map["eobc_items"] = "eobc-items"

                        self.epc_items = System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems()
                        self.epc_items.parent = self
                        self._children_name_map["epc_items"] = "epc-items"

                        self.sensor_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems()
                        self.sensor_items.parent = self
                        self._children_name_map["sensor_items"] = "sensor-items"

                        self.splc_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems()
                        self.splc_items.parent = self
                        self._children_name_map["splc_items"] = "splc-items"

                        self.asic_items = System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems()
                        self.asic_items.parent = self
                        self._children_name_map["asic_items"] = "asic-items"

                        self.cpu_items = System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems()
                        self.cpu_items.parent = self
                        self._children_name_map["cpu_items"] = "cpu-items"

                        self.dimm_items = System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems()
                        self.dimm_items.parent = self
                        self._children_name_map["dimm_items"] = "dimm-items"

                        self.flash_items = System.ChItems.FcslotItems.FCSlotList.FcItems.FlashItems()
                        self.flash_items.parent = self
                        self._children_name_map["flash_items"] = "flash-items"

                        self.obfl_items = System.ChItems.FcslotItems.FCSlotList.FcItems.ObflItems()
                        self.obfl_items.parent = self
                        self._children_name_map["obfl_items"] = "obfl-items"
                        self._segment_path = lambda: "fc-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver', 'type', 'operst', 'swcid', 'nump', 'upts', 'pwrst', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                    class RunningItems(Entity):
                        """
                        
                        
                        .. attribute:: biosver
                        
                        	A property that indicates Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: expectedver
                        
                        	A property that indicates Expected Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	A property that indicates Operational State
                        	**type**\:  :py:class:`FirmwareRunningOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: interimver
                        
                        	A property that indicates Interim Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: version
                        
                        	Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: internallabel
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: ts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.RunningItems, self).__init__()

                            self.yang_name = "running-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('biosver', (YLeaf(YType.str, 'biosVer'), ['str'])),
                                ('expectedver', (YLeaf(YType.str, 'expectedVer'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningOperSt', '')])),
                                ('interimver', (YLeaf(YType.str, 'interimVer'), ['str'])),
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                                ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.biosver = None
                            self.expectedver = None
                            self.operst = None
                            self.interimver = None
                            self.version = None
                            self.internallabel = None
                            self.type = None
                            self.mode = None
                            self.ts = None
                            self.descr = None
                            self._segment_path = lambda: "running-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.RunningItems, ['biosver', 'expectedver', 'operst', 'interimver', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



                    class EjItems(Entity):
                        """
                        
                        
                        .. attribute:: ejec_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EjecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems.EjecList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems, self).__init__()

                            self.yang_name = "ej-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ejec-list", ("ejec_list", System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems.EjecList))])
                            self._leafs = OrderedDict()

                            self.ejec_list = YList(self)
                            self._segment_path = lambda: "ej-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems, [], name, value)


                        class EjecList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`EqptEjSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptEjSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems.EjecList, self).__init__()

                                self.yang_name = "Ejec-list"
                                self.yang_parent_name = "ej-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptEjSt', '')])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Ejec-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EjItems.EjecList, ['id', 'operst', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class EobcItems(Entity):
                        """
                        
                        
                        .. attribute:: eobcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EobcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems.EobcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems, self).__init__()

                            self.yang_name = "eobc-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EobcP-list", ("eobcp_list", System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems.EobcPList))])
                            self._leafs = OrderedDict()

                            self.eobcp_list = YList(self)
                            self._segment_path = lambda: "eobc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems, [], name, value)


                        class EobcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems.EobcPList, self).__init__()

                                self.yang_name = "EobcP-list"
                                self.yang_parent_name = "eobc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EobcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EobcItems.EobcPList, ['id', 'descr', 'type'], name, value)




                    class EpcItems(Entity):
                        """
                        
                        
                        .. attribute:: epcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EpcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems.EpcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems, self).__init__()

                            self.yang_name = "epc-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EpcP-list", ("epcp_list", System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems.EpcPList))])
                            self._leafs = OrderedDict()

                            self.epcp_list = YList(self)
                            self._segment_path = lambda: "epc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems, [], name, value)


                        class EpcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems.EpcPList, self).__init__()

                                self.yang_name = "EpcP-list"
                                self.yang_parent_name = "epc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EpcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.EpcItems.EpcPList, ['id', 'descr', 'type'], name, value)




                    class SensorItems(Entity):
                        """
                        
                        
                        .. attribute:: sensor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems.SensorList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems, self).__init__()

                            self.yang_name = "sensor-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems.SensorList))])
                            self._leafs = OrderedDict()

                            self.sensor_list = YList(self)
                            self._segment_path = lambda: "sensor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems, [], name, value)


                        class SensorList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The equipment sensor identifier
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The equipment sensor type
                            	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                            
                            	**config**\: False
                            
                            .. attribute:: majorthresh
                            
                            	The equipment sensor major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minorthresh
                            
                            	The equipment sensor minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The equipment sensor operational status
                            	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: tempvalue
                            
                            	The equipment sensor temperature value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: unit
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems.SensorList, self).__init__()

                                self.yang_name = "Sensor-list"
                                self.yang_parent_name = "sensor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                    ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                    ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                    ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                    ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.majorthresh = None
                                self.minorthresh = None
                                self.operst = None
                                self.tempvalue = None
                                self.unit = None
                                self.vendor = None
                                self.model = None
                                self.descr = None
                                self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                    class SplcItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	The sprom identifier
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numblk
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: spcmn_items
                        
                        	
                        	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpcmnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: splcblk_items
                        
                        	
                        	**type**\:  :py:class:`SplcblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sppd_items
                        
                        	
                        	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SppdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsd_items
                        
                        	
                        	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsensorblk_items
                        
                        	
                        	**type**\:  :py:class:`SpsensorblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems, self).__init__()

                            self.yang_name = "splc-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpcmnItems)), ("splcblk-items", ("splcblk_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems)), ("sppd-items", ("sppd_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SppdItems)), ("spsd-items", ("spsd_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems)), ("spsensorblk-items", ("spsensorblk_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.rev = None
                            self.ser = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self.numblk = None

                            self.spcmn_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpcmnItems()
                            self.spcmn_items.parent = self
                            self._children_name_map["spcmn_items"] = "spcmn-items"

                            self.splcblk_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems()
                            self.splcblk_items.parent = self
                            self._children_name_map["splcblk_items"] = "splcblk-items"

                            self.sppd_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SppdItems()
                            self.sppd_items.parent = self
                            self._children_name_map["sppd_items"] = "sppd-items"

                            self.spsd_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems()
                            self.spsd_items.parent = self
                            self._children_name_map["spsd_items"] = "spsd-items"

                            self.spsensorblk_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems()
                            self.spsensorblk_items.parent = self
                            self._children_name_map["spsensorblk_items"] = "spsensorblk-items"
                            self._segment_path = lambda: "splc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems, ['id', 'vendor', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                        class SpcmnItems(Entity):
                            """
                            
                            
                            .. attribute:: size
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: count
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: major
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: minor
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: oem
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pdnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sernum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prtnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgdev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: engbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: pwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: rmafl
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: clei
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vdrid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpcmnItems, self).__init__()

                                self.yang_name = "spcmn-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                    ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                    ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                    ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                    ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                    ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                    ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                    ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                    ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                    ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                    ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                    ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                    ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.size = None
                                self.count = None
                                self.major = None
                                self.minor = None
                                self.oem = None
                                self.pdnum = None
                                self.sernum = None
                                self.prtnum = None
                                self.prev = None
                                self.mfgdev = None
                                self.hwver = None
                                self.mfgbits = None
                                self.engbits = None
                                self.pwrcon = None
                                self.rmafl = None
                                self.clei = None
                                self.vdrid = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spcmn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SplcblkItems(Entity):
                            """
                            
                            
                            .. attribute:: fbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: hwcbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: crdidx
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: macb
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: macl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: eobcn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: epldn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: maxcpwr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coolrq
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ambt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: sensor1
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor2
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor3
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor4
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor5
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor6
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor7
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor8
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: sppd_items
                            
                            	
                            	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SppdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems, self).__init__()

                                self.yang_name = "splcblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems)), ("sppd-items", ("sppd_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SppdItems))])
                                self._leafs = OrderedDict([
                                    ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                    ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                    ('crdidx', (YLeaf(YType.uint16, 'crdIdx'), ['int'])),
                                    ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                                    ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                                    ('eobcn', (YLeaf(YType.uint16, 'eobcN'), ['int'])),
                                    ('epldn', (YLeaf(YType.uint16, 'epldN'), ['int'])),
                                    ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                                    ('coolrq', (YLeaf(YType.uint16, 'coolRq'), ['int'])),
                                    ('ambt', (YLeaf(YType.uint16, 'ambT'), ['int'])),
                                    ('sensor1', (YLeaf(YType.str, 'sensor1'), ['str'])),
                                    ('sensor2', (YLeaf(YType.str, 'sensor2'), ['str'])),
                                    ('sensor3', (YLeaf(YType.str, 'sensor3'), ['str'])),
                                    ('sensor4', (YLeaf(YType.str, 'sensor4'), ['str'])),
                                    ('sensor5', (YLeaf(YType.str, 'sensor5'), ['str'])),
                                    ('sensor6', (YLeaf(YType.str, 'sensor6'), ['str'])),
                                    ('sensor7', (YLeaf(YType.str, 'sensor7'), ['str'])),
                                    ('sensor8', (YLeaf(YType.str, 'sensor8'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.fbits = None
                                self.hwcbits = None
                                self.crdidx = None
                                self.macb = None
                                self.macl = None
                                self.eobcn = None
                                self.epldn = None
                                self.maxcpwr = None
                                self.coolrq = None
                                self.ambt = None
                                self.sensor1 = None
                                self.sensor2 = None
                                self.sensor3 = None
                                self.sensor4 = None
                                self.sensor5 = None
                                self.sensor6 = None
                                self.sensor7 = None
                                self.sensor8 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"

                                self.sppd_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SppdItems()
                                self.sppd_items.parent = self
                                self._children_name_map["sppd_items"] = "sppd-items"
                                self._segment_path = lambda: "splcblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems, ['fbits', 'hwcbits', 'crdidx', 'macb', 'macl', 'eobcn', 'epldn', 'maxcpwr', 'coolrq', 'ambt', 'sensor1', 'sensor2', 'sensor3', 'sensor4', 'sensor5', 'sensor6', 'sensor7', 'sensor8', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                            class SppdItems(Entity):
                                """
                                
                                
                                .. attribute:: prtty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: numpts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SppdItems, self).__init__()

                                    self.yang_name = "sppd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                        ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                    ])
                                    self.prtty = None
                                    self.numpts = None
                                    self._segment_path = lambda: "sppd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SplcblkItems.SppdItems, ['prtty', 'numpts'], name, value)




                        class SppdItems(Entity):
                            """
                            
                            
                            .. attribute:: prtty
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: numpts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SppdItems, self).__init__()

                                self.yang_name = "sppd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                    ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                ])
                                self.prtty = None
                                self.numpts = None
                                self._segment_path = lambda: "sppd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SppdItems, ['prtty', 'numpts'], name, value)



                        class SpsdItems(Entity):
                            """
                            
                            
                            .. attribute:: spsd_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems.SpSdList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems, self).__init__()

                                self.yang_name = "spsd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems.SpSdList))])
                                self._leafs = OrderedDict()

                                self.spsd_list = YList(self)
                                self._segment_path = lambda: "spsd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems, [], name, value)


                            class SpSdList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: majth
                                
                                	The sensor data sprom major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minth
                                
                                	The sensor data sprom minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems.SpSdList, self).__init__()

                                    self.yang_name = "SpSd-list"
                                    self.yang_parent_name = "spsd-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                        ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.majth = None
                                    self.minth = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class SpsensorblkItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor9
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor10
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor11
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor12
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor13
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor14
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor15
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor16
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor17
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor18
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor19
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor20
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor21
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor22
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor23
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor24
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor25
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor26
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor27
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor28
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor29
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor30
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor31
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor32
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor33
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor34
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor35
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor36
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor37
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor38
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor39
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor40
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems, self).__init__()

                                self.yang_name = "spsensorblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems))])
                                self._leafs = OrderedDict([
                                    ('sensor9', (YLeaf(YType.str, 'sensor9'), ['str'])),
                                    ('sensor10', (YLeaf(YType.str, 'sensor10'), ['str'])),
                                    ('sensor11', (YLeaf(YType.str, 'sensor11'), ['str'])),
                                    ('sensor12', (YLeaf(YType.str, 'sensor12'), ['str'])),
                                    ('sensor13', (YLeaf(YType.str, 'sensor13'), ['str'])),
                                    ('sensor14', (YLeaf(YType.str, 'sensor14'), ['str'])),
                                    ('sensor15', (YLeaf(YType.str, 'sensor15'), ['str'])),
                                    ('sensor16', (YLeaf(YType.str, 'sensor16'), ['str'])),
                                    ('sensor17', (YLeaf(YType.str, 'sensor17'), ['str'])),
                                    ('sensor18', (YLeaf(YType.str, 'sensor18'), ['str'])),
                                    ('sensor19', (YLeaf(YType.str, 'sensor19'), ['str'])),
                                    ('sensor20', (YLeaf(YType.str, 'sensor20'), ['str'])),
                                    ('sensor21', (YLeaf(YType.str, 'sensor21'), ['str'])),
                                    ('sensor22', (YLeaf(YType.str, 'sensor22'), ['str'])),
                                    ('sensor23', (YLeaf(YType.str, 'sensor23'), ['str'])),
                                    ('sensor24', (YLeaf(YType.str, 'sensor24'), ['str'])),
                                    ('sensor25', (YLeaf(YType.str, 'sensor25'), ['str'])),
                                    ('sensor26', (YLeaf(YType.str, 'sensor26'), ['str'])),
                                    ('sensor27', (YLeaf(YType.str, 'sensor27'), ['str'])),
                                    ('sensor28', (YLeaf(YType.str, 'sensor28'), ['str'])),
                                    ('sensor29', (YLeaf(YType.str, 'sensor29'), ['str'])),
                                    ('sensor30', (YLeaf(YType.str, 'sensor30'), ['str'])),
                                    ('sensor31', (YLeaf(YType.str, 'sensor31'), ['str'])),
                                    ('sensor32', (YLeaf(YType.str, 'sensor32'), ['str'])),
                                    ('sensor33', (YLeaf(YType.str, 'sensor33'), ['str'])),
                                    ('sensor34', (YLeaf(YType.str, 'sensor34'), ['str'])),
                                    ('sensor35', (YLeaf(YType.str, 'sensor35'), ['str'])),
                                    ('sensor36', (YLeaf(YType.str, 'sensor36'), ['str'])),
                                    ('sensor37', (YLeaf(YType.str, 'sensor37'), ['str'])),
                                    ('sensor38', (YLeaf(YType.str, 'sensor38'), ['str'])),
                                    ('sensor39', (YLeaf(YType.str, 'sensor39'), ['str'])),
                                    ('sensor40', (YLeaf(YType.str, 'sensor40'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.sensor9 = None
                                self.sensor10 = None
                                self.sensor11 = None
                                self.sensor12 = None
                                self.sensor13 = None
                                self.sensor14 = None
                                self.sensor15 = None
                                self.sensor16 = None
                                self.sensor17 = None
                                self.sensor18 = None
                                self.sensor19 = None
                                self.sensor20 = None
                                self.sensor21 = None
                                self.sensor22 = None
                                self.sensor23 = None
                                self.sensor24 = None
                                self.sensor25 = None
                                self.sensor26 = None
                                self.sensor27 = None
                                self.sensor28 = None
                                self.sensor29 = None
                                self.sensor30 = None
                                self.sensor31 = None
                                self.sensor32 = None
                                self.sensor33 = None
                                self.sensor34 = None
                                self.sensor35 = None
                                self.sensor36 = None
                                self.sensor37 = None
                                self.sensor38 = None
                                self.sensor39 = None
                                self.sensor40 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"
                                self._segment_path = lambda: "spsensorblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems, ['sensor9', 'sensor10', 'sensor11', 'sensor12', 'sensor13', 'sensor14', 'sensor15', 'sensor16', 'sensor17', 'sensor18', 'sensor19', 'sensor20', 'sensor21', 'sensor22', 'sensor23', 'sensor24', 'sensor25', 'sensor26', 'sensor27', 'sensor28', 'sensor29', 'sensor30', 'sensor31', 'sensor32', 'sensor33', 'sensor34', 'sensor35', 'sensor36', 'sensor37', 'sensor38', 'sensor39', 'sensor40', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "spsensorblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class AsicItems(Entity):
                        """
                        
                        
                        .. attribute:: asic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems.AsicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems, self).__init__()

                            self.yang_name = "asic-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems.AsicList))])
                            self._leafs = OrderedDict()

                            self.asic_list = YList(self)
                            self._segment_path = lambda: "asic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems, [], name, value)


                        class AsicList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The Asic identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The Asic type
                            	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The Asic operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numslices
                            
                            	The number of slices in this Asic
                            	**type**\: int
                            
                            	**range:** 0..6
                            
                            	**config**\: False
                            
                            .. attribute:: capabilities
                            
                            	The Asic capabilities
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems.AsicList, self).__init__()

                                self.yang_name = "Asic-list"
                                self.yang_parent_name = "asic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                    ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.operst = None
                                self.numslices = None
                                self.capabilities = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class CpuItems(Entity):
                        """
                        
                        
                        .. attribute:: cpu_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems, self).__init__()

                            self.yang_name = "cpu-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList))])
                            self._leafs = OrderedDict()

                            self.cpu_list = YList(self)
                            self._segment_path = lambda: "cpu-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems, [], name, value)


                        class CPUList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The CPU identifier
                            	**type**\: int
                            
                            	**range:** 1..None
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: sock
                            
                            	The CPU socket designation
                            	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                            
                            	**config**\: False
                            
                            .. attribute:: arch
                            
                            	The CPU architecture
                            	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	The CPU Speed in Giga Hz
                            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                            
                            	**range:** \-92233720368547758.08..92233720368547758.07
                            
                            	**config**\: False
                            
                            .. attribute:: cores
                            
                            	The number of cores within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coresen
                            
                            	The number of cores enabled within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: thrds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: core_items
                            
                            	
                            	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList, self).__init__()

                                self.yang_name = "CPU-list"
                                self.yang_parent_name = "cpu-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                    ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                    ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                    ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                    ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                    ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.sock = None
                                self.arch = None
                                self.speed = None
                                self.cores = None
                                self.coresen = None
                                self.thrds = None

                                self.core_items = System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems()
                                self.core_items.parent = self
                                self._children_name_map["core_items"] = "core-items"
                                self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                            class CoreItems(Entity):
                                """
                                
                                
                                .. attribute:: core_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems.CoreList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems, self).__init__()

                                    self.yang_name = "core-items"
                                    self.yang_parent_name = "CPU-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems.CoreList))])
                                    self._leafs = OrderedDict()

                                    self.core_list = YList(self)
                                    self._segment_path = lambda: "core-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems, [], name, value)


                                class CoreList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                        self.yang_name = "Core-list"
                                        self.yang_parent_name = "core-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class DimmItems(Entity):
                        """
                        
                        
                        .. attribute:: dimm_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems.DimmList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems, self).__init__()

                            self.yang_name = "dimm-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems.DimmList))])
                            self._leafs = OrderedDict()

                            self.dimm_list = YList(self)
                            self._segment_path = lambda: "dimm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems, [], name, value)


                        class DimmList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The dual in\-line memory module(DIMM) type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems.DimmList, self).__init__()

                                self.yang_name = "Dimm-list"
                                self.yang_parent_name = "dimm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                    class FlashItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The flash memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.FlashItems, self).__init__()

                            self.yang_name = "flash-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self._segment_path = lambda: "flash-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                    class ObflItems(Entity):
                        """
                        
                        
                        .. attribute:: logt
                        
                        	Log Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FcslotItems.FCSlotList.FcItems.ObflItems, self).__init__()

                            self.yang_name = "obfl-items"
                            self.yang_parent_name = "fc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.logt = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "obfl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.FcItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.FcslotItems.FCSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "FCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.FcslotItems.FCSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class ScslotItems(Entity):
            """
            
            
            .. attribute:: syscslot_list
            
            	
            	**type**\: list of  		 :py:class:`SysCSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.ScslotItems, self).__init__()

                self.yang_name = "scslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("SysCSlot-list", ("syscslot_list", System.ChItems.ScslotItems.SysCSlotList))])
                self._leafs = OrderedDict()

                self.syscslot_list = YList(self)
                self._segment_path = lambda: "scslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.ScslotItems, [], name, value)


            class SysCSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..666
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The system controller slot type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: sc_items
                
                	
                	**type**\:  :py:class:`ScItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.ScslotItems.SysCSlotList, self).__init__()

                    self.yang_name = "SysCSlot-list"
                    self.yang_parent_name = "scslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("sc-items", ("sc_items", System.ChItems.ScslotItems.SysCSlotList.ScItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.ScslotItems.SysCSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.sc_items = System.ChItems.ScslotItems.SysCSlotList.ScItems()
                    self.sc_items.parent = self
                    self._children_name_map["sc_items"] = "sc-items"

                    self.rtoosslot_items = System.ChItems.ScslotItems.SysCSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "SysCSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/scslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class ScItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The card type
                    	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The card operational status
                    	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: rdst
                    
                    	The card redundancy state
                    	**type**\:  :py:class:`EqptRdSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptRdSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: swcid
                    
                    	The card software card identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nump
                    
                    	The number of ports on the card
                    	**type**\: int
                    
                    	**range:** 0..256
                    
                    	**config**\: False
                    
                    .. attribute:: upts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pwrst
                    
                    	The power state of this card
                    	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                    
                    	**config**\: False
                    
                    .. attribute:: swver
                    
                    	The card software revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: partnumber
                    
                    	The card part number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The card vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: poweractualdraw
                    
                    	It is the power value that module actually draw
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: powerallocated
                    
                    	It is the power value that power supply allocated to the module
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: running_items
                    
                    	
                    	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.RunningItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: eobc_items
                    
                    	
                    	**type**\:  :py:class:`EobcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: epc_items
                    
                    	
                    	**type**\:  :py:class:`EpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: sensor_items
                    
                    	
                    	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: splc_items
                    
                    	
                    	**type**\:  :py:class:`SplcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: asic_items
                    
                    	
                    	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: cpu_items
                    
                    	
                    	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: dimm_items
                    
                    	
                    	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: flash_items
                    
                    	
                    	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.FlashItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: obfl_items
                    
                    	
                    	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.ObflItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.ScslotItems.SysCSlotList.ScItems, self).__init__()

                        self.yang_name = "sc-items"
                        self.yang_parent_name = "SysCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("running-items", ("running_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.RunningItems)), ("eobc-items", ("eobc_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems)), ("epc-items", ("epc_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems)), ("sensor-items", ("sensor_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems)), ("splc-items", ("splc_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems)), ("asic-items", ("asic_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems)), ("flash-items", ("flash_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.ObflItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                            ('rdst', (YLeaf(YType.enumeration, 'rdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptRdSt', '')])),
                            ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                            ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                            ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                            ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                            ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                            ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                            ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                        ])
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None
                        self.type = None
                        self.operst = None
                        self.rdst = None
                        self.swcid = None
                        self.nump = None
                        self.upts = None
                        self.pwrst = None
                        self.swver = None
                        self.partnumber = None
                        self.vdrid = None
                        self.poweractualdraw = None
                        self.powerallocated = None

                        self.running_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.RunningItems()
                        self.running_items.parent = self
                        self._children_name_map["running_items"] = "running-items"

                        self.eobc_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems()
                        self.eobc_items.parent = self
                        self._children_name_map["eobc_items"] = "eobc-items"

                        self.epc_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems()
                        self.epc_items.parent = self
                        self._children_name_map["epc_items"] = "epc-items"

                        self.sensor_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems()
                        self.sensor_items.parent = self
                        self._children_name_map["sensor_items"] = "sensor-items"

                        self.splc_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems()
                        self.splc_items.parent = self
                        self._children_name_map["splc_items"] = "splc-items"

                        self.asic_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems()
                        self.asic_items.parent = self
                        self._children_name_map["asic_items"] = "asic-items"

                        self.cpu_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems()
                        self.cpu_items.parent = self
                        self._children_name_map["cpu_items"] = "cpu-items"

                        self.dimm_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems()
                        self.dimm_items.parent = self
                        self._children_name_map["dimm_items"] = "dimm-items"

                        self.flash_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.FlashItems()
                        self.flash_items.parent = self
                        self._children_name_map["flash_items"] = "flash-items"

                        self.obfl_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.ObflItems()
                        self.obfl_items.parent = self
                        self._children_name_map["obfl_items"] = "obfl-items"
                        self._segment_path = lambda: "sc-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver', 'type', 'operst', 'rdst', 'swcid', 'nump', 'upts', 'pwrst', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                    class RunningItems(Entity):
                        """
                        
                        
                        .. attribute:: biosver
                        
                        	A property that indicates Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: expectedver
                        
                        	A property that indicates Expected Loader Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	A property that indicates Operational State
                        	**type**\:  :py:class:`FirmwareRunningOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: interimver
                        
                        	A property that indicates Interim Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: version
                        
                        	Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: internallabel
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
                        
                        	**config**\: False
                        
                        .. attribute:: mode
                        
                        	Mode
                        	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
                        
                        	**config**\: False
                        
                        .. attribute:: ts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.RunningItems, self).__init__()

                            self.yang_name = "running-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('biosver', (YLeaf(YType.str, 'biosVer'), ['str'])),
                                ('expectedver', (YLeaf(YType.str, 'expectedVer'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningOperSt', '')])),
                                ('interimver', (YLeaf(YType.str, 'interimVer'), ['str'])),
                                ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                                ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.biosver = None
                            self.expectedver = None
                            self.operst = None
                            self.interimver = None
                            self.version = None
                            self.internallabel = None
                            self.type = None
                            self.mode = None
                            self.ts = None
                            self.descr = None
                            self._segment_path = lambda: "running-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.RunningItems, ['biosver', 'expectedver', 'operst', 'interimver', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



                    class EobcItems(Entity):
                        """
                        
                        
                        .. attribute:: eobcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EobcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems.EobcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems, self).__init__()

                            self.yang_name = "eobc-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EobcP-list", ("eobcp_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems.EobcPList))])
                            self._leafs = OrderedDict()

                            self.eobcp_list = YList(self)
                            self._segment_path = lambda: "eobc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems, [], name, value)


                        class EobcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems.EobcPList, self).__init__()

                                self.yang_name = "EobcP-list"
                                self.yang_parent_name = "eobc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EobcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.EobcItems.EobcPList, ['id', 'descr', 'type'], name, value)




                    class EpcItems(Entity):
                        """
                        
                        
                        .. attribute:: epcp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EpcPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems.EpcPList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems, self).__init__()

                            self.yang_name = "epc-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EpcP-list", ("epcp_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems.EpcPList))])
                            self._leafs = OrderedDict()

                            self.epcp_list = YList(self)
                            self._segment_path = lambda: "epc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems, [], name, value)


                        class EpcPList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..666
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The port type
                            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems.EpcPList, self).__init__()

                                self.yang_name = "EpcP-list"
                                self.yang_parent_name = "epc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                ])
                                self.id = None
                                self.descr = None
                                self.type = None
                                self._segment_path = lambda: "EpcP-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.EpcItems.EpcPList, ['id', 'descr', 'type'], name, value)




                    class SensorItems(Entity):
                        """
                        
                        
                        .. attribute:: sensor_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems.SensorList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems, self).__init__()

                            self.yang_name = "sensor-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems.SensorList))])
                            self._leafs = OrderedDict()

                            self.sensor_list = YList(self)
                            self._segment_path = lambda: "sensor-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems, [], name, value)


                        class SensorList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The equipment sensor identifier
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The equipment sensor type
                            	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                            
                            	**config**\: False
                            
                            .. attribute:: majorthresh
                            
                            	The equipment sensor major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minorthresh
                            
                            	The equipment sensor minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The equipment sensor operational status
                            	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: tempvalue
                            
                            	The equipment sensor temperature value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: unit
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems.SensorList, self).__init__()

                                self.yang_name = "Sensor-list"
                                self.yang_parent_name = "sensor-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                    ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                    ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                    ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                    ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.majorthresh = None
                                self.minorthresh = None
                                self.operst = None
                                self.tempvalue = None
                                self.unit = None
                                self.vendor = None
                                self.model = None
                                self.descr = None
                                self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                    class SplcItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	The sprom identifier
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numblk
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: spcmn_items
                        
                        	
                        	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpcmnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: splcblk_items
                        
                        	
                        	**type**\:  :py:class:`SplcblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sppd_items
                        
                        	
                        	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SppdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsd_items
                        
                        	
                        	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spsensorblk_items
                        
                        	
                        	**type**\:  :py:class:`SpsensorblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems, self).__init__()

                            self.yang_name = "splc-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpcmnItems)), ("splcblk-items", ("splcblk_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems)), ("sppd-items", ("sppd_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SppdItems)), ("spsd-items", ("spsd_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems)), ("spsensorblk-items", ("spsensorblk_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.rev = None
                            self.ser = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self.numblk = None

                            self.spcmn_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpcmnItems()
                            self.spcmn_items.parent = self
                            self._children_name_map["spcmn_items"] = "spcmn-items"

                            self.splcblk_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems()
                            self.splcblk_items.parent = self
                            self._children_name_map["splcblk_items"] = "splcblk-items"

                            self.sppd_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SppdItems()
                            self.sppd_items.parent = self
                            self._children_name_map["sppd_items"] = "sppd-items"

                            self.spsd_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems()
                            self.spsd_items.parent = self
                            self._children_name_map["spsd_items"] = "spsd-items"

                            self.spsensorblk_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems()
                            self.spsensorblk_items.parent = self
                            self._children_name_map["spsensorblk_items"] = "spsensorblk-items"
                            self._segment_path = lambda: "splc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems, ['id', 'vendor', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                        class SpcmnItems(Entity):
                            """
                            
                            
                            .. attribute:: size
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: count
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: major
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: minor
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: oem
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pdnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sernum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prtnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgdev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: engbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: pwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: rmafl
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: clei
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vdrid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpcmnItems, self).__init__()

                                self.yang_name = "spcmn-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                    ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                    ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                    ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                    ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                    ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                    ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                    ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                    ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                    ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                    ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                    ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                    ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.size = None
                                self.count = None
                                self.major = None
                                self.minor = None
                                self.oem = None
                                self.pdnum = None
                                self.sernum = None
                                self.prtnum = None
                                self.prev = None
                                self.mfgdev = None
                                self.hwver = None
                                self.mfgbits = None
                                self.engbits = None
                                self.pwrcon = None
                                self.rmafl = None
                                self.clei = None
                                self.vdrid = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spcmn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SplcblkItems(Entity):
                            """
                            
                            
                            .. attribute:: fbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: hwcbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: crdidx
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: macb
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: macl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: eobcn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: epldn
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: maxcpwr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coolrq
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ambt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: sensor1
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor2
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor3
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor4
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor5
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor6
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor7
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor8
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: sppd_items
                            
                            	
                            	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SppdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems, self).__init__()

                                self.yang_name = "splcblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems)), ("sppd-items", ("sppd_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SppdItems))])
                                self._leafs = OrderedDict([
                                    ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                    ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                    ('crdidx', (YLeaf(YType.uint16, 'crdIdx'), ['int'])),
                                    ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                                    ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                                    ('eobcn', (YLeaf(YType.uint16, 'eobcN'), ['int'])),
                                    ('epldn', (YLeaf(YType.uint16, 'epldN'), ['int'])),
                                    ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                                    ('coolrq', (YLeaf(YType.uint16, 'coolRq'), ['int'])),
                                    ('ambt', (YLeaf(YType.uint16, 'ambT'), ['int'])),
                                    ('sensor1', (YLeaf(YType.str, 'sensor1'), ['str'])),
                                    ('sensor2', (YLeaf(YType.str, 'sensor2'), ['str'])),
                                    ('sensor3', (YLeaf(YType.str, 'sensor3'), ['str'])),
                                    ('sensor4', (YLeaf(YType.str, 'sensor4'), ['str'])),
                                    ('sensor5', (YLeaf(YType.str, 'sensor5'), ['str'])),
                                    ('sensor6', (YLeaf(YType.str, 'sensor6'), ['str'])),
                                    ('sensor7', (YLeaf(YType.str, 'sensor7'), ['str'])),
                                    ('sensor8', (YLeaf(YType.str, 'sensor8'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.fbits = None
                                self.hwcbits = None
                                self.crdidx = None
                                self.macb = None
                                self.macl = None
                                self.eobcn = None
                                self.epldn = None
                                self.maxcpwr = None
                                self.coolrq = None
                                self.ambt = None
                                self.sensor1 = None
                                self.sensor2 = None
                                self.sensor3 = None
                                self.sensor4 = None
                                self.sensor5 = None
                                self.sensor6 = None
                                self.sensor7 = None
                                self.sensor8 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"

                                self.sppd_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SppdItems()
                                self.sppd_items.parent = self
                                self._children_name_map["sppd_items"] = "sppd-items"
                                self._segment_path = lambda: "splcblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems, ['fbits', 'hwcbits', 'crdidx', 'macb', 'macl', 'eobcn', 'epldn', 'maxcpwr', 'coolrq', 'ambt', 'sensor1', 'sensor2', 'sensor3', 'sensor4', 'sensor5', 'sensor6', 'sensor7', 'sensor8', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                            class SppdItems(Entity):
                                """
                                
                                
                                .. attribute:: prtty
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: numpts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SppdItems, self).__init__()

                                    self.yang_name = "sppd-items"
                                    self.yang_parent_name = "splcblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                        ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                    ])
                                    self.prtty = None
                                    self.numpts = None
                                    self._segment_path = lambda: "sppd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SplcblkItems.SppdItems, ['prtty', 'numpts'], name, value)




                        class SppdItems(Entity):
                            """
                            
                            
                            .. attribute:: prtty
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: numpts
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SppdItems, self).__init__()

                                self.yang_name = "sppd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                    ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                                ])
                                self.prtty = None
                                self.numpts = None
                                self._segment_path = lambda: "sppd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SppdItems, ['prtty', 'numpts'], name, value)



                        class SpsdItems(Entity):
                            """
                            
                            
                            .. attribute:: spsd_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems.SpSdList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems, self).__init__()

                                self.yang_name = "spsd-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems.SpSdList))])
                                self._leafs = OrderedDict()

                                self.spsd_list = YList(self)
                                self._segment_path = lambda: "spsd-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems, [], name, value)


                            class SpSdList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: majth
                                
                                	The sensor data sprom major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minth
                                
                                	The sensor data sprom minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems.SpSdList, self).__init__()

                                    self.yang_name = "SpSd-list"
                                    self.yang_parent_name = "spsd-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                        ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.majth = None
                                    self.minth = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class SpsensorblkItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor9
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor10
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor11
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor12
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor13
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor14
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor15
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor16
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor17
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor18
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor19
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor20
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor21
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor22
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor23
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor24
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor25
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor26
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor27
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor28
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor29
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor30
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor31
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor32
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor33
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor34
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor35
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor36
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor37
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor38
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor39
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sensor40
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spsd_items
                            
                            	
                            	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems, self).__init__()

                                self.yang_name = "spsensorblk-items"
                                self.yang_parent_name = "splc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems))])
                                self._leafs = OrderedDict([
                                    ('sensor9', (YLeaf(YType.str, 'sensor9'), ['str'])),
                                    ('sensor10', (YLeaf(YType.str, 'sensor10'), ['str'])),
                                    ('sensor11', (YLeaf(YType.str, 'sensor11'), ['str'])),
                                    ('sensor12', (YLeaf(YType.str, 'sensor12'), ['str'])),
                                    ('sensor13', (YLeaf(YType.str, 'sensor13'), ['str'])),
                                    ('sensor14', (YLeaf(YType.str, 'sensor14'), ['str'])),
                                    ('sensor15', (YLeaf(YType.str, 'sensor15'), ['str'])),
                                    ('sensor16', (YLeaf(YType.str, 'sensor16'), ['str'])),
                                    ('sensor17', (YLeaf(YType.str, 'sensor17'), ['str'])),
                                    ('sensor18', (YLeaf(YType.str, 'sensor18'), ['str'])),
                                    ('sensor19', (YLeaf(YType.str, 'sensor19'), ['str'])),
                                    ('sensor20', (YLeaf(YType.str, 'sensor20'), ['str'])),
                                    ('sensor21', (YLeaf(YType.str, 'sensor21'), ['str'])),
                                    ('sensor22', (YLeaf(YType.str, 'sensor22'), ['str'])),
                                    ('sensor23', (YLeaf(YType.str, 'sensor23'), ['str'])),
                                    ('sensor24', (YLeaf(YType.str, 'sensor24'), ['str'])),
                                    ('sensor25', (YLeaf(YType.str, 'sensor25'), ['str'])),
                                    ('sensor26', (YLeaf(YType.str, 'sensor26'), ['str'])),
                                    ('sensor27', (YLeaf(YType.str, 'sensor27'), ['str'])),
                                    ('sensor28', (YLeaf(YType.str, 'sensor28'), ['str'])),
                                    ('sensor29', (YLeaf(YType.str, 'sensor29'), ['str'])),
                                    ('sensor30', (YLeaf(YType.str, 'sensor30'), ['str'])),
                                    ('sensor31', (YLeaf(YType.str, 'sensor31'), ['str'])),
                                    ('sensor32', (YLeaf(YType.str, 'sensor32'), ['str'])),
                                    ('sensor33', (YLeaf(YType.str, 'sensor33'), ['str'])),
                                    ('sensor34', (YLeaf(YType.str, 'sensor34'), ['str'])),
                                    ('sensor35', (YLeaf(YType.str, 'sensor35'), ['str'])),
                                    ('sensor36', (YLeaf(YType.str, 'sensor36'), ['str'])),
                                    ('sensor37', (YLeaf(YType.str, 'sensor37'), ['str'])),
                                    ('sensor38', (YLeaf(YType.str, 'sensor38'), ['str'])),
                                    ('sensor39', (YLeaf(YType.str, 'sensor39'), ['str'])),
                                    ('sensor40', (YLeaf(YType.str, 'sensor40'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.sensor9 = None
                                self.sensor10 = None
                                self.sensor11 = None
                                self.sensor12 = None
                                self.sensor13 = None
                                self.sensor14 = None
                                self.sensor15 = None
                                self.sensor16 = None
                                self.sensor17 = None
                                self.sensor18 = None
                                self.sensor19 = None
                                self.sensor20 = None
                                self.sensor21 = None
                                self.sensor22 = None
                                self.sensor23 = None
                                self.sensor24 = None
                                self.sensor25 = None
                                self.sensor26 = None
                                self.sensor27 = None
                                self.sensor28 = None
                                self.sensor29 = None
                                self.sensor30 = None
                                self.sensor31 = None
                                self.sensor32 = None
                                self.sensor33 = None
                                self.sensor34 = None
                                self.sensor35 = None
                                self.sensor36 = None
                                self.sensor37 = None
                                self.sensor38 = None
                                self.sensor39 = None
                                self.sensor40 = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None

                                self.spsd_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems()
                                self.spsd_items.parent = self
                                self._children_name_map["spsd_items"] = "spsd-items"
                                self._segment_path = lambda: "spsensorblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems, ['sensor9', 'sensor10', 'sensor11', 'sensor12', 'sensor13', 'sensor14', 'sensor15', 'sensor16', 'sensor17', 'sensor18', 'sensor19', 'sensor20', 'sensor21', 'sensor22', 'sensor23', 'sensor24', 'sensor25', 'sensor26', 'sensor27', 'sensor28', 'sensor29', 'sensor30', 'sensor31', 'sensor32', 'sensor33', 'sensor34', 'sensor35', 'sensor36', 'sensor37', 'sensor38', 'sensor39', 'sensor40', 'sig', 'ver', 'len', 'cksum'], name, value)


                            class SpsdItems(Entity):
                                """
                                
                                
                                .. attribute:: spsd_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems, self).__init__()

                                    self.yang_name = "spsd-items"
                                    self.yang_parent_name = "spsensorblk-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList))])
                                    self._leafs = OrderedDict()

                                    self.spsd_list = YList(self)
                                    self._segment_path = lambda: "spsd-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems, [], name, value)


                                class SpSdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: majth
                                    
                                    	The sensor data sprom major threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: minth
                                    
                                    	The sensor data sprom minor threshold
                                    	**type**\: int
                                    
                                    	**range:** \-32768..32767
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, self).__init__()

                                        self.yang_name = "SpSd-list"
                                        self.yang_parent_name = "spsd-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                            ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.majth = None
                                        self.minth = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.SplcItems.SpsensorblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class AsicItems(Entity):
                        """
                        
                        
                        .. attribute:: asic_list
                        
                        	
                        	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems.AsicList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems, self).__init__()

                            self.yang_name = "asic-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems.AsicList))])
                            self._leafs = OrderedDict()

                            self.asic_list = YList(self)
                            self._segment_path = lambda: "asic-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems, [], name, value)


                        class AsicList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The Asic identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The Asic type
                            	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The Asic operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numslices
                            
                            	The number of slices in this Asic
                            	**type**\: int
                            
                            	**range:** 0..6
                            
                            	**config**\: False
                            
                            .. attribute:: capabilities
                            
                            	The Asic capabilities
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems.AsicList, self).__init__()

                                self.yang_name = "Asic-list"
                                self.yang_parent_name = "asic-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                    ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.type = None
                                self.operst = None
                                self.numslices = None
                                self.capabilities = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class CpuItems(Entity):
                        """
                        
                        
                        .. attribute:: cpu_list
                        
                        	
                        	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems, self).__init__()

                            self.yang_name = "cpu-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList))])
                            self._leafs = OrderedDict()

                            self.cpu_list = YList(self)
                            self._segment_path = lambda: "cpu-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems, [], name, value)


                        class CPUList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The CPU identifier
                            	**type**\: int
                            
                            	**range:** 1..None
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: sock
                            
                            	The CPU socket designation
                            	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                            
                            	**config**\: False
                            
                            .. attribute:: arch
                            
                            	The CPU architecture
                            	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                            
                            	**config**\: False
                            
                            .. attribute:: speed
                            
                            	The CPU Speed in Giga Hz
                            	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                            
                            	**range:** \-92233720368547758.08..92233720368547758.07
                            
                            	**config**\: False
                            
                            .. attribute:: cores
                            
                            	The number of cores within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coresen
                            
                            	The number of cores enabled within the CPU
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: thrds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: core_items
                            
                            	
                            	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList, self).__init__()

                                self.yang_name = "CPU-list"
                                self.yang_parent_name = "cpu-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                    ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                    ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                    ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                    ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                    ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.sock = None
                                self.arch = None
                                self.speed = None
                                self.cores = None
                                self.coresen = None
                                self.thrds = None

                                self.core_items = System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems()
                                self.core_items.parent = self
                                self._children_name_map["core_items"] = "core-items"
                                self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                            class CoreItems(Entity):
                                """
                                
                                
                                .. attribute:: core_list
                                
                                	
                                	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems.CoreList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems, self).__init__()

                                    self.yang_name = "core-items"
                                    self.yang_parent_name = "CPU-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems.CoreList))])
                                    self._leafs = OrderedDict()

                                    self.core_list = YList(self)
                                    self._segment_path = lambda: "core-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems, [], name, value)


                                class CoreList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vendor
                                    
                                    	Vendor
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: model
                                    
                                    	Model
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rev
                                    
                                    	Revision
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ser
                                    
                                    	Serial Number
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mfgtm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    	**default value**\: 0
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                        self.yang_name = "Core-list"
                                        self.yang_parent_name = "core-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ])
                                        self.id = None
                                        self.vendor = None
                                        self.model = None
                                        self.rev = None
                                        self.ser = None
                                        self.mfgtm = None
                                        self.descr = None
                                        self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                    class DimmItems(Entity):
                        """
                        
                        
                        .. attribute:: dimm_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems.DimmList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems, self).__init__()

                            self.yang_name = "dimm-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems.DimmList))])
                            self._leafs = OrderedDict()

                            self.dimm_list = YList(self)
                            self._segment_path = lambda: "dimm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems, [], name, value)


                        class DimmList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The dual in\-line memory module(DIMM) type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems.DimmList, self).__init__()

                                self.yang_name = "Dimm-list"
                                self.yang_parent_name = "dimm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                    class FlashItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The flash memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.FlashItems, self).__init__()

                            self.yang_name = "flash-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self._segment_path = lambda: "flash-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                    class ObflItems(Entity):
                        """
                        
                        
                        .. attribute:: logt
                        
                        	Log Type
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.ScslotItems.SysCSlotList.ScItems.ObflItems, self).__init__()

                            self.yang_name = "obfl-items"
                            self.yang_parent_name = "sc-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.logt = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "obfl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.ScItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.ScslotItems.SysCSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "SysCSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.ScslotItems.SysCSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class PsuslotItems(Entity):
            """
            
            
            .. attribute:: psuslot_list
            
            	
            	**type**\: list of  		 :py:class:`PsuSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems.PsuSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.PsuslotItems, self).__init__()

                self.yang_name = "psuslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PsuSlot-list", ("psuslot_list", System.ChItems.PsuslotItems.PsuSlotList))])
                self._leafs = OrderedDict()

                self.psuslot_list = YList(self)
                self._segment_path = lambda: "psuslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.PsuslotItems, [], name, value)


            class PsuSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..10
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The power supply slot type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: psu_items
                
                	
                	**type**\:  :py:class:`PsuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems.PsuSlotList.PsuItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems.PsuSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.PsuslotItems.PsuSlotList, self).__init__()

                    self.yang_name = "PsuSlot-list"
                    self.yang_parent_name = "psuslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("psu-items", ("psu_items", System.ChItems.PsuslotItems.PsuSlotList.PsuItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.PsuslotItems.PsuSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.psu_items = System.ChItems.PsuslotItems.PsuSlotList.PsuItems()
                    self.psu_items.parent = self
                    self._children_name_map["psu_items"] = "psu-items"

                    self.rtoosslot_items = System.ChItems.PsuslotItems.PsuSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "PsuSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/psuslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.PsuslotItems.PsuSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class PsuItems(Entity):
                    """
                    
                    
                    .. attribute:: operst
                    
                    	The power supply unit operational status
                    	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: cap
                    
                    	The power supply unit capacity
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: drawncurr
                    
                    	The power supply unit actual drawn/output current
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: vsrc
                    
                    	The power supply unit voltage source
                    	**type**\:  :py:class:`EqptVSrc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptVSrc>`
                    
                    	**config**\: False
                    
                    .. attribute:: volt
                    
                    	The power supply unit voltage
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: fanopst
                    
                    	The power supply unit fan operational status
                    	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: fandirection
                    
                    	The power supply unit fan air direction
                    	**type**\:  :py:class:`EqptAirDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAirDir>`
                    
                    	**config**\: False
                    
                    .. attribute:: inputcurr
                    
                    	The power supply unit input current
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The card vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vin
                    
                    	The power supply input voltage
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: vout
                    
                    	The power supply output voltage
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: pin
                    
                    	The power supply input watts
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pout
                    
                    	The power supply output watts
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: iin
                    
                    	The power supply input amps
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: iout
                    
                    	The power supply output amps
                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                    
                    	**range:** \-92233720368547758.08..92233720368547758.07
                    
                    	**config**\: False
                    
                    .. attribute:: softwarealarm
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: hardwarealarm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: typecordconnected
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: psfan_items
                    
                    	
                    	**type**\:  :py:class:`PsfanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.PsuslotItems.PsuSlotList.PsuItems, self).__init__()

                        self.yang_name = "psu-items"
                        self.yang_parent_name = "PsuSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("psfan-items", ("psfan_items", System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems))])
                        self._leafs = OrderedDict([
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ('cap', (YLeaf(YType.str, 'cap'), ['Decimal64'])),
                            ('drawncurr', (YLeaf(YType.str, 'drawnCurr'), ['Decimal64'])),
                            ('vsrc', (YLeaf(YType.enumeration, 'vSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptVSrc', '')])),
                            ('volt', (YLeaf(YType.str, 'volt'), ['Decimal64'])),
                            ('fanopst', (YLeaf(YType.enumeration, 'fanOpSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ('fandirection', (YLeaf(YType.enumeration, 'fanDirection'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAirDir', '')])),
                            ('inputcurr', (YLeaf(YType.str, 'inputCurr'), ['Decimal64'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('vin', (YLeaf(YType.str, 'vIn'), ['Decimal64'])),
                            ('vout', (YLeaf(YType.str, 'vOut'), ['Decimal64'])),
                            ('pin', (YLeaf(YType.uint32, 'pIn'), ['int'])),
                            ('pout', (YLeaf(YType.uint32, 'pOut'), ['int'])),
                            ('iin', (YLeaf(YType.str, 'iIn'), ['Decimal64'])),
                            ('iout', (YLeaf(YType.str, 'iOut'), ['Decimal64'])),
                            ('softwarealarm', (YLeaf(YType.boolean, 'softwareAlarm'), ['bool'])),
                            ('hardwarealarm', (YLeaf(YType.str, 'hardwareAlarm'), ['str'])),
                            ('typecordconnected', (YLeaf(YType.str, 'typeCordConnected'), ['str'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                        ])
                        self.operst = None
                        self.cap = None
                        self.drawncurr = None
                        self.vsrc = None
                        self.volt = None
                        self.fanopst = None
                        self.fandirection = None
                        self.inputcurr = None
                        self.vdrid = None
                        self.vin = None
                        self.vout = None
                        self.pin = None
                        self.pout = None
                        self.iin = None
                        self.iout = None
                        self.softwarealarm = None
                        self.hardwarealarm = None
                        self.typecordconnected = None
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None

                        self.psfan_items = System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems()
                        self.psfan_items.parent = self
                        self._children_name_map["psfan_items"] = "psfan-items"
                        self._segment_path = lambda: "psu-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.PsuslotItems.PsuSlotList.PsuItems, ['operst', 'cap', 'drawncurr', 'vsrc', 'volt', 'fanopst', 'fandirection', 'inputcurr', 'vdrid', 'vin', 'vout', 'pin', 'pout', 'iin', 'iout', 'softwarealarm', 'hardwarealarm', 'typecordconnected', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)


                    class PsfanItems(Entity):
                        """
                        
                        
                        .. attribute:: psfan_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PsFanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems, self).__init__()

                            self.yang_name = "psfan-items"
                            self.yang_parent_name = "psu-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PsFan-list", ("psfan_list", System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList))])
                            self._leafs = OrderedDict()

                            self.psfan_list = YList(self)
                            self._segment_path = lambda: "psfan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems, [], name, value)


                        class PsFanList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The fan identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The fan operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: dir
                            
                            	The fan air direction
                            	**type**\:  :py:class:`EqptPsuFanDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPsuFanDir>`
                            
                            	**config**\: False
                            
                            .. attribute:: speedinrpm
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	Hardware Version
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList, self).__init__()

                                self.yang_name = "PsFan-list"
                                self.yang_parent_name = "psfan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPsuFanDir', '')])),
                                    ('speedinrpm', (YLeaf(YType.uint32, 'speedInRpm'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.dir = None
                                self.speedinrpm = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.hwver = None
                                self._segment_path = lambda: "PsFan-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList, ['id', 'operst', 'dir', 'speedinrpm', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)





                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.PsuslotItems.PsuSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "PsuSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.PsuslotItems.PsuSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class FtslotItems(Entity):
            """
            
            
            .. attribute:: ftslot_list
            
            	
            	**type**\: list of  		 :py:class:`FtSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.FtslotItems, self).__init__()

                self.yang_name = "ftslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FtSlot-list", ("ftslot_list", System.ChItems.FtslotItems.FtSlotList))])
                self._leafs = OrderedDict()

                self.ftslot_list = YList(self)
                self._segment_path = lambda: "ftslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.FtslotItems, [], name, value)


            class FtSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..6
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The fan tray slot type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: ft_items
                
                	
                	**type**\:  :py:class:`FtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.FtslotItems.FtSlotList, self).__init__()

                    self.yang_name = "FtSlot-list"
                    self.yang_parent_name = "ftslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("ft-items", ("ft_items", System.ChItems.FtslotItems.FtSlotList.FtItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.FtslotItems.FtSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.ft_items = System.ChItems.FtslotItems.FtSlotList.FtItems()
                    self.ft_items.parent = self
                    self._children_name_map["ft_items"] = "ft-items"

                    self.rtoosslot_items = System.ChItems.FtslotItems.FtSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "FtSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/ftslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.FtslotItems.FtSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class FtItems(Entity):
                    """
                    
                    
                    .. attribute:: operst
                    
                    	The fan tray operational status
                    	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: fanname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	The fan vdrId
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: poweractualdraw
                    
                    	It is the power value that fan module actually draw
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: powerallocated
                    
                    	It is the power value that power supply allocated to fan module
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	The fan tray identifier
                    	**type**\: int
                    
                    	**range:** 1..4
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	Hardware Version
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ej_items
                    
                    	
                    	**type**\:  :py:class:`EjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: fan_items
                    
                    	
                    	**type**\:  :py:class:`FanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: spfan_items
                    
                    	
                    	**type**\:  :py:class:`SpfanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.FtslotItems.FtSlotList.FtItems, self).__init__()

                        self.yang_name = "ft-items"
                        self.yang_parent_name = "FtSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ej-items", ("ej_items", System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems)), ("fan-items", ("fan_items", System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems)), ("spfan-items", ("spfan_items", System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems))])
                        self._leafs = OrderedDict([
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ('fanname', (YLeaf(YType.str, 'fanName'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                            ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                        ])
                        self.operst = None
                        self.fanname = None
                        self.vdrid = None
                        self.poweractualdraw = None
                        self.powerallocated = None
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.hwver = None

                        self.ej_items = System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems()
                        self.ej_items.parent = self
                        self._children_name_map["ej_items"] = "ej-items"

                        self.fan_items = System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems()
                        self.fan_items.parent = self
                        self._children_name_map["fan_items"] = "fan-items"

                        self.spfan_items = System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems()
                        self.spfan_items.parent = self
                        self._children_name_map["spfan_items"] = "spfan-items"
                        self._segment_path = lambda: "ft-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems, ['operst', 'fanname', 'vdrid', 'poweractualdraw', 'powerallocated', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)


                    class EjItems(Entity):
                        """
                        
                        
                        .. attribute:: ejec_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EjecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems.EjecList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems, self).__init__()

                            self.yang_name = "ej-items"
                            self.yang_parent_name = "ft-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Ejec-list", ("ejec_list", System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems.EjecList))])
                            self._leafs = OrderedDict()

                            self.ejec_list = YList(self)
                            self._segment_path = lambda: "ej-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems, [], name, value)


                        class EjecList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`EqptEjSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptEjSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems.EjecList, self).__init__()

                                self.yang_name = "Ejec-list"
                                self.yang_parent_name = "ej-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptEjSt', '')])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Ejec-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.EjItems.EjecList, ['id', 'operst', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class FanItems(Entity):
                        """
                        
                        
                        .. attribute:: fan_list
                        
                        	
                        	**type**\: list of  		 :py:class:`FanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems.FanList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems, self).__init__()

                            self.yang_name = "fan-items"
                            self.yang_parent_name = "ft-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Fan-list", ("fan_list", System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems.FanList))])
                            self._leafs = OrderedDict()

                            self.fan_list = YList(self)
                            self._segment_path = lambda: "fan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems, [], name, value)


                        class FanList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	The fan identifier
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The fan operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: dir
                            
                            	The fan air direction
                            	**type**\:  :py:class:`EqptAirDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAirDir>`
                            
                            	**config**\: False
                            
                            .. attribute:: speedinrpm
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: speedinpercent
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems.FanList, self).__init__()

                                self.yang_name = "Fan-list"
                                self.yang_parent_name = "fan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAirDir', '')])),
                                    ('speedinrpm', (YLeaf(YType.uint32, 'speedInRpm'), ['int'])),
                                    ('speedinpercent', (YLeaf(YType.uint32, 'speedInPercent'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.operst = None
                                self.dir = None
                                self.speedinrpm = None
                                self.speedinpercent = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "Fan-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.FanItems.FanList, ['id', 'operst', 'dir', 'speedinrpm', 'speedinpercent', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class SpfanItems(Entity):
                        """
                        
                        
                        .. attribute:: id
                        
                        	The sprom identifier
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The memory type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numblk
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: spcmn_items
                        
                        	
                        	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spfanblk_items
                        
                        	
                        	**type**\:  :py:class:`SpfanblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spfansn_items
                        
                        	
                        	**type**\:  :py:class:`SpfansnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems, self).__init__()

                            self.yang_name = "spfan-items"
                            self.yang_parent_name = "ft-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems)), ("spfanblk-items", ("spfanblk_items", System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems)), ("spfansn-items", ("spfansn_items", System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self.numblk = None

                            self.spcmn_items = System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems()
                            self.spcmn_items.parent = self
                            self._children_name_map["spcmn_items"] = "spcmn-items"

                            self.spfanblk_items = System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems()
                            self.spfanblk_items.parent = self
                            self._children_name_map["spfanblk_items"] = "spfanblk-items"

                            self.spfansn_items = System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems()
                            self.spfansn_items.parent = self
                            self._children_name_map["spfansn_items"] = "spfansn-items"
                            self._segment_path = lambda: "spfan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                        class SpcmnItems(Entity):
                            """
                            
                            
                            .. attribute:: size
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: count
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: major
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: minor
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: oem
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pdnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sernum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prtnum
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgdev
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: hwver
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: engbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: pwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: rmafl
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: clei
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: vdrid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems, self).__init__()

                                self.yang_name = "spcmn-items"
                                self.yang_parent_name = "spfan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                    ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                    ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                    ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                    ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                    ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                    ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                    ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                    ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                    ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                    ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                    ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                    ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                    ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.size = None
                                self.count = None
                                self.major = None
                                self.minor = None
                                self.oem = None
                                self.pdnum = None
                                self.sernum = None
                                self.prtnum = None
                                self.prev = None
                                self.mfgdev = None
                                self.hwver = None
                                self.mfgbits = None
                                self.engbits = None
                                self.pwrcon = None
                                self.rmafl = None
                                self.clei = None
                                self.vdrid = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spcmn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SpfanblkItems(Entity):
                            """
                            
                            
                            .. attribute:: fbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: hwcbits
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: stackmib
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: coolcap
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ambtemp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: hppwrcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: hpcoolcon
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems, self).__init__()

                                self.yang_name = "spfanblk-items"
                                self.yang_parent_name = "spfan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                    ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                    ('stackmib', (YLeaf(YType.uint16, 'stackMIB'), ['int'])),
                                    ('coolcap', (YLeaf(YType.uint16, 'coolCap'), ['int'])),
                                    ('ambtemp', (YLeaf(YType.uint16, 'ambTemp'), ['int'])),
                                    ('hppwrcon', (YLeaf(YType.uint16, 'hpPwrCon'), ['int'])),
                                    ('hpcoolcon', (YLeaf(YType.uint16, 'hpCoolCon'), ['int'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.fbits = None
                                self.hwcbits = None
                                self.stackmib = None
                                self.coolcap = None
                                self.ambtemp = None
                                self.hppwrcon = None
                                self.hpcoolcon = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spfanblk-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems, ['fbits', 'hwcbits', 'stackmib', 'coolcap', 'ambtemp', 'hppwrcon', 'hpcoolcon', 'sig', 'ver', 'len', 'cksum'], name, value)



                        class SpfansnItems(Entity):
                            """
                            
                            
                            .. attribute:: sernum
                            
                            	The sprom fan serial number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sig
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: len
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: cksum
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems, self).__init__()

                                self.yang_name = "spfansn-items"
                                self.yang_parent_name = "spfan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                    ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                    ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                    ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                    ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                ])
                                self.sernum = None
                                self.sig = None
                                self.ver = None
                                self.len = None
                                self.cksum = None
                                self._segment_path = lambda: "spfansn-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems, ['sernum', 'sig', 'ver', 'len', 'cksum'], name, value)





                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.FtslotItems.FtSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "FtSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.FtslotItems.FtSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class SpbpItems(Entity):
            """
            
            
            .. attribute:: id
            
            	The sprom identifier
            	**type**\: int
            
            	**range:** 1..100
            
            	**config**\: False
            
            .. attribute:: vendor
            
            	Vendor
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: model
            
            	Model
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: rev
            
            	Revision
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: ser
            
            	Serial Number
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            .. attribute:: type
            
            	The memory type
            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
            
            	**config**\: False
            
            .. attribute:: cap
            
            	The memory capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: acc
            
            	The memory access type
            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
            
            	**config**\: False
            
            .. attribute:: operst
            
            	The memory operational status
            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
            
            	**config**\: False
            
            .. attribute:: numblk
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            	**config**\: False
            
            .. attribute:: spcmn_items
            
            	
            	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SpbpItems.SpcmnItems>`
            
            .. attribute:: spbpblk_items
            
            	
            	**type**\:  :py:class:`SpbpblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.SpbpItems.SpbpblkItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.SpbpItems, self).__init__()

                self.yang_name = "spbp-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ChItems.SpbpItems.SpcmnItems)), ("spbpblk-items", ("spbpblk_items", System.ChItems.SpbpItems.SpbpblkItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                    ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                ])
                self.id = None
                self.vendor = None
                self.model = None
                self.rev = None
                self.ser = None
                self.descr = None
                self.type = None
                self.cap = None
                self.acc = None
                self.operst = None
                self.numblk = None

                self.spcmn_items = System.ChItems.SpbpItems.SpcmnItems()
                self.spcmn_items.parent = self
                self._children_name_map["spcmn_items"] = "spcmn-items"

                self.spbpblk_items = System.ChItems.SpbpItems.SpbpblkItems()
                self.spbpblk_items.parent = self
                self._children_name_map["spbpblk_items"] = "spbpblk-items"
                self._segment_path = lambda: "spbp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.SpbpItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


            class SpcmnItems(Entity):
                """
                
                
                .. attribute:: size
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: count
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: major
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: minor
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: oem
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: pdnum
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: sernum
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: prtnum
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: prev
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mfgdev
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: hwver
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mfgbits
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: engbits
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: pwrcon
                
                	
                	**type**\: int
                
                	**range:** \-32768..32767
                
                	**config**\: False
                
                .. attribute:: rmafl
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: clei
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: vdrid
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: sig
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: ver
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: len
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: cksum
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.SpbpItems.SpcmnItems, self).__init__()

                    self.yang_name = "spcmn-items"
                    self.yang_parent_name = "spbp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                        ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                        ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                        ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                        ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                        ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                        ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                        ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                        ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                        ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                        ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                        ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                        ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                        ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                        ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                        ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                        ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                        ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                        ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                        ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                    ])
                    self.size = None
                    self.count = None
                    self.major = None
                    self.minor = None
                    self.oem = None
                    self.pdnum = None
                    self.sernum = None
                    self.prtnum = None
                    self.prev = None
                    self.mfgdev = None
                    self.hwver = None
                    self.mfgbits = None
                    self.engbits = None
                    self.pwrcon = None
                    self.rmafl = None
                    self.clei = None
                    self.vdrid = None
                    self.sig = None
                    self.ver = None
                    self.len = None
                    self.cksum = None
                    self._segment_path = lambda: "spcmn-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/spbp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.SpbpItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



            class SpbpblkItems(Entity):
                """
                
                
                .. attribute:: fbits
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: hwcbits
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: macb
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: macl
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: stackmib
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: oemeprise
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: oemmib
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: maxcpwr
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: sig
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: ver
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: len
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: cksum
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.SpbpItems.SpbpblkItems, self).__init__()

                    self.yang_name = "spbpblk-items"
                    self.yang_parent_name = "spbp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                        ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                        ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                        ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                        ('stackmib', (YLeaf(YType.uint16, 'stackMIB'), ['int'])),
                        ('oemeprise', (YLeaf(YType.uint16, 'oemEprise'), ['int'])),
                        ('oemmib', (YLeaf(YType.uint16, 'oemMIB'), ['int'])),
                        ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                        ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                        ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                        ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                    ])
                    self.fbits = None
                    self.hwcbits = None
                    self.macb = None
                    self.macl = None
                    self.stackmib = None
                    self.oemeprise = None
                    self.oemmib = None
                    self.maxcpwr = None
                    self.sig = None
                    self.ver = None
                    self.len = None
                    self.cksum = None
                    self._segment_path = lambda: "spbpblk-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/spbp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.SpbpItems.SpbpblkItems, ['fbits', 'hwcbits', 'macb', 'macl', 'stackmib', 'oemeprise', 'oemmib', 'maxcpwr', 'sig', 'ver', 'len', 'cksum'], name, value)




        class BslotItems(Entity):
            """
            
            
            .. attribute:: id
            
            	ID
            	**type**\: int
            
            	**range:** 1..666
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            .. attribute:: physid
            
            	The physical slot identifier
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: type
            
            	The slot type
            	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
            
            	**config**\: False
            
            .. attribute:: operst
            
            	The slot operational status
            	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
            
            	**config**\: False
            
            .. attribute:: loc
            
            	The location of the slot in the chassis
            	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
            
            	**config**\: False
            
            .. attribute:: board_items
            
            	
            	**type**\:  :py:class:`BoardItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems>`
            
            .. attribute:: rtoosslot_items
            
            	
            	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.RtoosSlotItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.BslotItems, self).__init__()

                self.yang_name = "bslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("board-items", ("board_items", System.ChItems.BslotItems.BoardItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.BslotItems.RtoosSlotItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                    ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                ])
                self.id = None
                self.descr = None
                self.physid = None
                self.type = None
                self.operst = None
                self.loc = None

                self.board_items = System.ChItems.BslotItems.BoardItems()
                self.board_items.parent = self
                self._children_name_map["board_items"] = "board-items"

                self.rtoosslot_items = System.ChItems.BslotItems.RtoosSlotItems()
                self.rtoosslot_items.parent = self
                self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                self._segment_path = lambda: "bslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.BslotItems, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


            class BoardItems(Entity):
                """
                
                
                .. attribute:: id
                
                	ID
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vendor
                
                	Vendor
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model
                
                	Model
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rev
                
                	Revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ser
                
                	Serial Number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mfgtm
                
                	
                	**type**\: str
                
                	**config**\: False
                
                	**default value**\: 0
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: type
                
                	The card type
                	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The card operational status
                	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                
                	**config**\: False
                
                .. attribute:: swcid
                
                	The card software card identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: nump
                
                	The number of ports on the card
                	**type**\: int
                
                	**range:** 0..256
                
                	**config**\: False
                
                .. attribute:: mace
                
                	The card MAC address end
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: upts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: pwrst
                
                	The power state of this card
                	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                
                	**config**\: False
                
                .. attribute:: fwver
                
                	The card firmware revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: swver
                
                	The card software revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: partnumber
                
                	The card part number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: vdrid
                
                	The card vdrId
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: poweractualdraw
                
                	It is the power value that module actually draw
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: powerallocated
                
                	It is the power value that power supply allocated to the module
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: sensor_items
                
                	
                	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.SensorItems>`
                
                .. attribute:: asic_items
                
                	
                	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.AsicItems>`
                
                .. attribute:: cpu_items
                
                	
                	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.CpuItems>`
                
                .. attribute:: dimm_items
                
                	
                	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.DimmItems>`
                
                .. attribute:: flash_items
                
                	
                	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.FlashItems>`
                
                .. attribute:: obfl_items
                
                	
                	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.ObflItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.BslotItems.BoardItems, self).__init__()

                    self.yang_name = "board-items"
                    self.yang_parent_name = "bslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("sensor-items", ("sensor_items", System.ChItems.BslotItems.BoardItems.SensorItems)), ("asic-items", ("asic_items", System.ChItems.BslotItems.BoardItems.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.BslotItems.BoardItems.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.BslotItems.BoardItems.DimmItems)), ("flash-items", ("flash_items", System.ChItems.BslotItems.BoardItems.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.BslotItems.BoardItems.ObflItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                        ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                        ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                        ('mace', (YLeaf(YType.str, 'macE'), ['str'])),
                        ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                        ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                        ('fwver', (YLeaf(YType.str, 'fwVer'), ['str'])),
                        ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                        ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                        ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                        ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                        ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                    ])
                    self.id = None
                    self.vendor = None
                    self.model = None
                    self.rev = None
                    self.ser = None
                    self.mfgtm = None
                    self.descr = None
                    self.type = None
                    self.operst = None
                    self.swcid = None
                    self.nump = None
                    self.mace = None
                    self.upts = None
                    self.pwrst = None
                    self.fwver = None
                    self.swver = None
                    self.partnumber = None
                    self.vdrid = None
                    self.poweractualdraw = None
                    self.powerallocated = None

                    self.sensor_items = System.ChItems.BslotItems.BoardItems.SensorItems()
                    self.sensor_items.parent = self
                    self._children_name_map["sensor_items"] = "sensor-items"

                    self.asic_items = System.ChItems.BslotItems.BoardItems.AsicItems()
                    self.asic_items.parent = self
                    self._children_name_map["asic_items"] = "asic-items"

                    self.cpu_items = System.ChItems.BslotItems.BoardItems.CpuItems()
                    self.cpu_items.parent = self
                    self._children_name_map["cpu_items"] = "cpu-items"

                    self.dimm_items = System.ChItems.BslotItems.BoardItems.DimmItems()
                    self.dimm_items.parent = self
                    self._children_name_map["dimm_items"] = "dimm-items"

                    self.flash_items = System.ChItems.BslotItems.BoardItems.FlashItems()
                    self.flash_items.parent = self
                    self._children_name_map["flash_items"] = "flash-items"

                    self.obfl_items = System.ChItems.BslotItems.BoardItems.ObflItems()
                    self.obfl_items.parent = self
                    self._children_name_map["obfl_items"] = "obfl-items"
                    self._segment_path = lambda: "board-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.BslotItems.BoardItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'operst', 'swcid', 'nump', 'mace', 'upts', 'pwrst', 'fwver', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                class SensorItems(Entity):
                    """
                    
                    
                    .. attribute:: sensor_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.SensorItems.SensorList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.SensorItems, self).__init__()

                        self.yang_name = "sensor-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.BslotItems.BoardItems.SensorItems.SensorList))])
                        self._leafs = OrderedDict()

                        self.sensor_list = YList(self)
                        self._segment_path = lambda: "sensor-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.SensorItems, [], name, value)


                    class SensorList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	The equipment sensor identifier
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The equipment sensor type
                        	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                        
                        	**config**\: False
                        
                        .. attribute:: majorthresh
                        
                        	The equipment sensor major threshold
                        	**type**\: int
                        
                        	**range:** \-32768..32767
                        
                        	**config**\: False
                        
                        .. attribute:: minorthresh
                        
                        	The equipment sensor minor threshold
                        	**type**\: int
                        
                        	**range:** \-32768..32767
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The equipment sensor operational status
                        	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: tempvalue
                        
                        	The equipment sensor temperature value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: unit
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.BslotItems.BoardItems.SensorItems.SensorList, self).__init__()

                            self.yang_name = "Sensor-list"
                            self.yang_parent_name = "sensor-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.id = None
                            self.type = None
                            self.majorthresh = None
                            self.minorthresh = None
                            self.operst = None
                            self.tempvalue = None
                            self.unit = None
                            self.vendor = None
                            self.model = None
                            self.descr = None
                            self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/sensor-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.BslotItems.BoardItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                class AsicItems(Entity):
                    """
                    
                    
                    .. attribute:: asic_list
                    
                    	
                    	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.AsicItems.AsicList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.AsicItems, self).__init__()

                        self.yang_name = "asic-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.BslotItems.BoardItems.AsicItems.AsicList))])
                        self._leafs = OrderedDict()

                        self.asic_list = YList(self)
                        self._segment_path = lambda: "asic-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.AsicItems, [], name, value)


                    class AsicList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	The Asic identifier
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The Asic type
                        	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The Asic operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: numslices
                        
                        	The number of slices in this Asic
                        	**type**\: int
                        
                        	**range:** 0..6
                        
                        	**config**\: False
                        
                        .. attribute:: capabilities
                        
                        	The Asic capabilities
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.BslotItems.BoardItems.AsicItems.AsicList, self).__init__()

                            self.yang_name = "Asic-list"
                            self.yang_parent_name = "asic-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.id = None
                            self.type = None
                            self.operst = None
                            self.numslices = None
                            self.capabilities = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/asic-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.BslotItems.BoardItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class CpuItems(Entity):
                    """
                    
                    
                    .. attribute:: cpu_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.CpuItems.CPUList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.CpuItems, self).__init__()

                        self.yang_name = "cpu-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.BslotItems.BoardItems.CpuItems.CPUList))])
                        self._leafs = OrderedDict()

                        self.cpu_list = YList(self)
                        self._segment_path = lambda: "cpu-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.CpuItems, [], name, value)


                    class CPUList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	The CPU identifier
                        	**type**\: int
                        
                        	**range:** 1..None
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: sock
                        
                        	The CPU socket designation
                        	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                        
                        	**config**\: False
                        
                        .. attribute:: arch
                        
                        	The CPU architecture
                        	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                        
                        	**config**\: False
                        
                        .. attribute:: speed
                        
                        	The CPU Speed in Giga Hz
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: cores
                        
                        	The number of cores within the CPU
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: coresen
                        
                        	The number of cores enabled within the CPU
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: thrds
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: core_items
                        
                        	
                        	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList, self).__init__()

                            self.yang_name = "CPU-list"
                            self.yang_parent_name = "cpu-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.sock = None
                            self.arch = None
                            self.speed = None
                            self.cores = None
                            self.coresen = None
                            self.thrds = None

                            self.core_items = System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems()
                            self.core_items.parent = self
                            self._children_name_map["core_items"] = "core-items"
                            self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/cpu-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                        class CoreItems(Entity):
                            """
                            
                            
                            .. attribute:: core_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems.CoreList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems, self).__init__()

                                self.yang_name = "core-items"
                                self.yang_parent_name = "CPU-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems.CoreList))])
                                self._leafs = OrderedDict()

                                self.core_list = YList(self)
                                self._segment_path = lambda: "core-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems, [], name, value)


                            class CoreList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                    self.yang_name = "Core-list"
                                    self.yang_parent_name = "core-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.BslotItems.BoardItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                class DimmItems(Entity):
                    """
                    
                    
                    .. attribute:: dimm_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.BslotItems.BoardItems.DimmItems.DimmList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.DimmItems, self).__init__()

                        self.yang_name = "dimm-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.BslotItems.BoardItems.DimmItems.DimmList))])
                        self._leafs = OrderedDict()

                        self.dimm_list = YList(self)
                        self._segment_path = lambda: "dimm-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.DimmItems, [], name, value)


                    class DimmList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The dual in\-line memory module(DIMM) type
                        	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The memory capacity
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: acc
                        
                        	The memory access type
                        	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The memory operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.BslotItems.BoardItems.DimmItems.DimmList, self).__init__()

                            self.yang_name = "Dimm-list"
                            self.yang_parent_name = "dimm-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.cap = None
                            self.acc = None
                            self.operst = None
                            self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/dimm-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.BslotItems.BoardItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                class FlashItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The flash memory type
                    	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                    
                    	**config**\: False
                    
                    .. attribute:: cap
                    
                    	The memory capacity
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: acc
                    
                    	The memory access type
                    	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The memory operational status
                    	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.FlashItems, self).__init__()

                        self.yang_name = "flash-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                            ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                            ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                        ])
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.type = None
                        self.cap = None
                        self.acc = None
                        self.operst = None
                        self._segment_path = lambda: "flash-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                class ObflItems(Entity):
                    """
                    
                    
                    .. attribute:: logt
                    
                    	Log Type
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.BslotItems.BoardItems.ObflItems, self).__init__()

                        self.yang_name = "obfl-items"
                        self.yang_parent_name = "board-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.logt = None
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self._segment_path = lambda: "obfl-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/board-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.BslotItems.BoardItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




            class RtoosSlotItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.BslotItems.RtoosSlotItems, self).__init__()

                    self.yang_name = "rtoosSlot-items"
                    self.yang_parent_name = "bslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtoosSlot-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/bslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.BslotItems.RtoosSlotItems, ['tdn', 'tcl'], name, value)




        class NslotItems(Entity):
            """
            
            
            .. attribute:: nslot_list
            
            	
            	**type**\: list of  		 :py:class:`NSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.NslotItems, self).__init__()

                self.yang_name = "nslot-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NSlot-list", ("nslot_list", System.ChItems.NslotItems.NSlotList))])
                self._leafs = OrderedDict()

                self.nslot_list = YList(self)
                self._segment_path = lambda: "nslot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.NslotItems, [], name, value)


            class NSlotList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: int
                
                	**range:** 1..666
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: physid
                
                	The physical slot identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: type
                
                	The slot type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The slot operational status
                	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                
                	**config**\: False
                
                .. attribute:: loc
                
                	The location of the slot in the chassis
                	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                
                	**config**\: False
                
                .. attribute:: nic_items
                
                	
                	**type**\:  :py:class:`NicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems>`
                
                	**config**\: False
                
                .. attribute:: rtoosslot_items
                
                	
                	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.RtoosSlotItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.NslotItems.NSlotList, self).__init__()

                    self.yang_name = "NSlot-list"
                    self.yang_parent_name = "nslot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("nic-items", ("nic_items", System.ChItems.NslotItems.NSlotList.NicItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ChItems.NslotItems.NSlotList.RtoosSlotItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                        ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                    ])
                    self.id = None
                    self.descr = None
                    self.physid = None
                    self.type = None
                    self.operst = None
                    self.loc = None

                    self.nic_items = System.ChItems.NslotItems.NSlotList.NicItems()
                    self.nic_items.parent = self
                    self._children_name_map["nic_items"] = "nic-items"

                    self.rtoosslot_items = System.ChItems.NslotItems.NSlotList.RtoosSlotItems()
                    self.rtoosslot_items.parent = self
                    self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                    self._segment_path = lambda: "NSlot-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/nslot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.NslotItems.NSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                class NicItems(Entity):
                    """
                    
                    
                    .. attribute:: nic_list
                    
                    	
                    	**type**\: list of  		 :py:class:`NicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.NslotItems.NSlotList.NicItems, self).__init__()

                        self.yang_name = "nic-items"
                        self.yang_parent_name = "NSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Nic-list", ("nic_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList))])
                        self._leafs = OrderedDict()

                        self.nic_list = YList(self)
                        self._segment_path = lambda: "nic-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems, [], name, value)


                    class NicList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	The card type
                        	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The card operational status
                        	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: swcid
                        
                        	The card software card identifier
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nump
                        
                        	The number of ports on the card
                        	**type**\: int
                        
                        	**range:** 0..256
                        
                        	**config**\: False
                        
                        .. attribute:: mace
                        
                        	The card MAC address end
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: pwrst
                        
                        	The power state of this card
                        	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                        
                        	**config**\: False
                        
                        .. attribute:: fwver
                        
                        	The card firmware revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: swver
                        
                        	The card software revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: partnumber
                        
                        	The card part number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vdrid
                        
                        	The card vdrId
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: poweractualdraw
                        
                        	It is the power value that module actually draw
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: powerallocated
                        
                        	It is the power value that power supply allocated to the module
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: eaport_items
                        
                        	
                        	**type**\:  :py:class:`EaportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sensor_items
                        
                        	
                        	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: asic_items
                        
                        	
                        	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: cpu_items
                        
                        	
                        	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: dimm_items
                        
                        	
                        	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: flash_items
                        
                        	
                        	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.FlashItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: obfl_items
                        
                        	
                        	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.ObflItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ChItems.NslotItems.NSlotList.NicItems.NicList, self).__init__()

                            self.yang_name = "Nic-list"
                            self.yang_parent_name = "nic-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("eaport-items", ("eaport_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems)), ("sensor-items", ("sensor_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems)), ("asic-items", ("asic_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems)), ("cpu-items", ("cpu_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems)), ("dimm-items", ("dimm_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems)), ("flash-items", ("flash_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.FlashItems)), ("obfl-items", ("obfl_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.ObflItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                                ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                                ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                                ('mace', (YLeaf(YType.str, 'macE'), ['str'])),
                                ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                                ('fwver', (YLeaf(YType.str, 'fwVer'), ['str'])),
                                ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                                ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                                ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                                ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                            ])
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.operst = None
                            self.swcid = None
                            self.nump = None
                            self.mace = None
                            self.upts = None
                            self.pwrst = None
                            self.fwver = None
                            self.swver = None
                            self.partnumber = None
                            self.vdrid = None
                            self.poweractualdraw = None
                            self.powerallocated = None

                            self.eaport_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems()
                            self.eaport_items.parent = self
                            self._children_name_map["eaport_items"] = "eaport-items"

                            self.sensor_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems()
                            self.sensor_items.parent = self
                            self._children_name_map["sensor_items"] = "sensor-items"

                            self.asic_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems()
                            self.asic_items.parent = self
                            self._children_name_map["asic_items"] = "asic-items"

                            self.cpu_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems()
                            self.cpu_items.parent = self
                            self._children_name_map["cpu_items"] = "cpu-items"

                            self.dimm_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems()
                            self.dimm_items.parent = self
                            self._children_name_map["dimm_items"] = "dimm-items"

                            self.flash_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.FlashItems()
                            self.flash_items.parent = self
                            self._children_name_map["flash_items"] = "flash-items"

                            self.obfl_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.ObflItems()
                            self.obfl_items.parent = self
                            self._children_name_map["obfl_items"] = "obfl-items"
                            self._segment_path = lambda: "Nic-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'operst', 'swcid', 'nump', 'mace', 'upts', 'pwrst', 'fwver', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                        class EaportItems(Entity):
                            """
                            
                            
                            .. attribute:: extap_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ExtAPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems.ExtAPList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems, self).__init__()

                                self.yang_name = "eaport-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ExtAP-list", ("extap_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems.ExtAPList))])
                                self._leafs = OrderedDict()

                                self.extap_list = YList(self)
                                self._segment_path = lambda: "eaport-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems, [], name, value)


                            class ExtAPList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 1..666
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational Status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The port type
                                	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems.ExtAPList, self).__init__()

                                    self.yang_name = "ExtAP-list"
                                    self.yang_parent_name = "eaport-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                    ])
                                    self.id = None
                                    self.operst = None
                                    self.descr = None
                                    self.type = None
                                    self._segment_path = lambda: "ExtAP-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.EaportItems.ExtAPList, ['id', 'operst', 'descr', 'type'], name, value)




                        class SensorItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems.SensorList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems, self).__init__()

                                self.yang_name = "sensor-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems.SensorList))])
                                self._leafs = OrderedDict()

                                self.sensor_list = YList(self)
                                self._segment_path = lambda: "sensor-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems, [], name, value)


                            class SensorList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The equipment sensor identifier
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The equipment sensor type
                                	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                                
                                	**config**\: False
                                
                                .. attribute:: majorthresh
                                
                                	The equipment sensor major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minorthresh
                                
                                	The equipment sensor minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The equipment sensor operational status
                                	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: tempvalue
                                
                                	The equipment sensor temperature value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: unit
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems.SensorList, self).__init__()

                                    self.yang_name = "Sensor-list"
                                    self.yang_parent_name = "sensor-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                        ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                        ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                        ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                        ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.type = None
                                    self.majorthresh = None
                                    self.minorthresh = None
                                    self.operst = None
                                    self.tempvalue = None
                                    self.unit = None
                                    self.vendor = None
                                    self.model = None
                                    self.descr = None
                                    self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                        class AsicItems(Entity):
                            """
                            
                            
                            .. attribute:: asic_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems.AsicList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems, self).__init__()

                                self.yang_name = "asic-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems.AsicList))])
                                self._leafs = OrderedDict()

                                self.asic_list = YList(self)
                                self._segment_path = lambda: "asic-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems, [], name, value)


                            class AsicList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The Asic identifier
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The Asic type
                                	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The Asic operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: numslices
                                
                                	The number of slices in this Asic
                                	**type**\: int
                                
                                	**range:** 0..6
                                
                                	**config**\: False
                                
                                .. attribute:: capabilities
                                
                                	The Asic capabilities
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems.AsicList, self).__init__()

                                    self.yang_name = "Asic-list"
                                    self.yang_parent_name = "asic-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                        ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                        ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.type = None
                                    self.operst = None
                                    self.numslices = None
                                    self.capabilities = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class CpuItems(Entity):
                            """
                            
                            
                            .. attribute:: cpu_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems, self).__init__()

                                self.yang_name = "cpu-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList))])
                                self._leafs = OrderedDict()

                                self.cpu_list = YList(self)
                                self._segment_path = lambda: "cpu-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems, [], name, value)


                            class CPUList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The CPU identifier
                                	**type**\: int
                                
                                	**range:** 1..None
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: sock
                                
                                	The CPU socket designation
                                	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                                
                                	**config**\: False
                                
                                .. attribute:: arch
                                
                                	The CPU architecture
                                	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                                
                                	**config**\: False
                                
                                .. attribute:: speed
                                
                                	The CPU Speed in Giga Hz
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: cores
                                
                                	The number of cores within the CPU
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: coresen
                                
                                	The number of cores enabled within the CPU
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: thrds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: core_items
                                
                                	
                                	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList, self).__init__()

                                    self.yang_name = "CPU-list"
                                    self.yang_parent_name = "cpu-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("core-items", ("core_items", System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                        ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                        ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                        ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                        ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                        ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                    ])
                                    self.id = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self.sock = None
                                    self.arch = None
                                    self.speed = None
                                    self.cores = None
                                    self.coresen = None
                                    self.thrds = None

                                    self.core_items = System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems()
                                    self.core_items.parent = self
                                    self._children_name_map["core_items"] = "core-items"
                                    self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                                class CoreItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: core_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems.CoreList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems, self).__init__()

                                        self.yang_name = "core-items"
                                        self.yang_parent_name = "CPU-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Core-list", ("core_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems.CoreList))])
                                        self._leafs = OrderedDict()

                                        self.core_list = YList(self)
                                        self._segment_path = lambda: "core-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems, [], name, value)


                                    class CoreList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: vendor
                                        
                                        	Vendor
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: model
                                        
                                        	Model
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rev
                                        
                                        	Revision
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ser
                                        
                                        	Serial Number
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mfgtm
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        	**default value**\: 0
                                        
                                        .. attribute:: descr
                                        
                                        	Description
                                        	**type**\: str
                                        
                                        	**length:** 0..128
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                            self.yang_name = "Core-list"
                                            self.yang_parent_name = "core-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ])
                                            self.id = None
                                            self.vendor = None
                                            self.model = None
                                            self.rev = None
                                            self.ser = None
                                            self.mfgtm = None
                                            self.descr = None
                                            self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                        class DimmItems(Entity):
                            """
                            
                            
                            .. attribute:: dimm_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems.DimmList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems, self).__init__()

                                self.yang_name = "dimm-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems.DimmList))])
                                self._leafs = OrderedDict()

                                self.dimm_list = YList(self)
                                self._segment_path = lambda: "dimm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems, [], name, value)


                            class DimmList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The dual in\-line memory module(DIMM) type
                                	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                                
                                	**config**\: False
                                
                                .. attribute:: cap
                                
                                	The memory capacity
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: acc
                                
                                	The memory access type
                                	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The memory operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems.DimmList, self).__init__()

                                    self.yang_name = "Dimm-list"
                                    self.yang_parent_name = "dimm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                        ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                        ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ])
                                    self.id = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self.type = None
                                    self.cap = None
                                    self.acc = None
                                    self.operst = None
                                    self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                        class FlashItems(Entity):
                            """
                            
                            
                            .. attribute:: id
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The flash memory type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.FlashItems, self).__init__()

                                self.yang_name = "flash-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "flash-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                        class ObflItems(Entity):
                            """
                            
                            
                            .. attribute:: logt
                            
                            	Log Type
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ChItems.NslotItems.NSlotList.NicItems.NicList.ObflItems, self).__init__()

                                self.yang_name = "obfl-items"
                                self.yang_parent_name = "Nic-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.logt = None
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "obfl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ChItems.NslotItems.NSlotList.NicItems.NicList.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)





                class RtoosSlotItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ChItems.NslotItems.NSlotList.RtoosSlotItems, self).__init__()

                        self.yang_name = "rtoosSlot-items"
                        self.yang_parent_name = "NSlot-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtoosSlot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ChItems.NslotItems.NSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





        class PItems(Entity):
            """
            
            
            .. attribute:: storage_list
            
            	
            	**type**\: list of  		 :py:class:`StorageList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ChItems.PItems.StorageList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ChItems.PItems, self).__init__()

                self.yang_name = "p-items"
                self.yang_parent_name = "ch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Storage-list", ("storage_list", System.ChItems.PItems.StorageList))])
                self._leafs = OrderedDict()

                self.storage_list = YList(self)
                self._segment_path = lambda: "p-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ChItems.PItems, [], name, value)


            class StorageList(Entity):
                """
                
                
                .. attribute:: mount  (key)
                
                	Mounted On
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: filesystem  (key)
                
                	File System
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: blocks
                
                	Blocks
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: used
                
                	Capacity Used
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: available
                
                	Capacity Available
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: caputilized
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational Status
                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..16
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ChItems.PItems.StorageList, self).__init__()

                    self.yang_name = "Storage-list"
                    self.yang_parent_name = "p-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['mount','filesystem']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('mount', (YLeaf(YType.str, 'mount'), ['str'])),
                        ('filesystem', (YLeaf(YType.str, 'fileSystem'), ['str'])),
                        ('blocks', (YLeaf(YType.uint32, 'blocks'), ['int'])),
                        ('used', (YLeaf(YType.uint32, 'used'), ['int'])),
                        ('available', (YLeaf(YType.uint32, 'available'), ['int'])),
                        ('caputilized', (YLeaf(YType.uint8, 'capUtilized'), ['int'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.mount = None
                    self.filesystem = None
                    self.blocks = None
                    self.used = None
                    self.available = None
                    self.caputilized = None
                    self.operst = None
                    self.name = None
                    self._segment_path = lambda: "Storage-list" + "[mount='" + str(self.mount) + "']" + "[fileSystem='" + str(self.filesystem) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ch-items/p-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ChItems.PItems.StorageList, ['mount', 'filesystem', 'blocks', 'used', 'available', 'caputilized', 'operst', 'name'], name, value)





    class ExtchItems(Entity):
        """
        
        
        .. attribute:: extch_list
        
        	
        	**type**\: list of  		 :py:class:`ExtChList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ExtchItems, self).__init__()

            self.yang_name = "extch-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("ExtCh-list", ("extch_list", System.ExtchItems.ExtChList))])
            self._leafs = OrderedDict()

            self.extch_list = YList(self)
            self._segment_path = lambda: "extch-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ExtchItems, [], name, value)


        class ExtChList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	ID
            	**type**\: int
            
            	**range:** 101..199
            
            	**config**\: False
            
            .. attribute:: extchst
            
            	State
            	**type**\:  :py:class:`EqptExtChSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptExtChSt>`
            
            	**config**\: False
            
            .. attribute:: partnum
            
            	TBD
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: macaddr
            
            	MAC Address
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: nummacs
            
            	MACs Supported
            	**type**\: int
            
            	**range:** 1..128
            
            	**config**\: False
            
            .. attribute:: numuplinkp
            
            	Number of Uplink Ports
            	**type**\: int
            
            	**range:** 4..32
            
            	**config**\: False
            
            .. attribute:: vendor
            
            	Vendor
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: model
            
            	Model
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: rev
            
            	Revision
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: ser
            
            	Serial Number
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: mfgtm
            
            	
            	**type**\: str
            
            	**config**\: False
            
            	**default value**\: 0
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            .. attribute:: running_items
            
            	
            	**type**\:  :py:class:`RunningItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.RunningItems>`
            
            	**config**\: False
            
            .. attribute:: locled_items
            
            	
            	**type**\:  :py:class:`LocledItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.LocledItems>`
            
            	**config**\: False
            
            .. attribute:: extchslot_items
            
            	
            	**type**\:  :py:class:`ExtchslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems>`
            
            	**config**\: False
            
            .. attribute:: psuslot_items
            
            	
            	**type**\:  :py:class:`PsuslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems>`
            
            	**config**\: False
            
            .. attribute:: ftslot_items
            
            	
            	**type**\:  :py:class:`FtslotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems>`
            
            	**config**\: False
            
            .. attribute:: spbp_items
            
            	
            	**type**\:  :py:class:`SpbpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpbpItems>`
            
            	**config**\: False
            
            .. attribute:: spsup_items
            
            	
            	**type**\:  :py:class:`SpsupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ExtchItems.ExtChList, self).__init__()

                self.yang_name = "ExtCh-list"
                self.yang_parent_name = "extch-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("running-items", ("running_items", System.ExtchItems.ExtChList.RunningItems)), ("locled-items", ("locled_items", System.ExtchItems.ExtChList.LocledItems)), ("extchslot-items", ("extchslot_items", System.ExtchItems.ExtChList.ExtchslotItems)), ("psuslot-items", ("psuslot_items", System.ExtchItems.ExtChList.PsuslotItems)), ("ftslot-items", ("ftslot_items", System.ExtchItems.ExtChList.FtslotItems)), ("spbp-items", ("spbp_items", System.ExtchItems.ExtChList.SpbpItems)), ("spsup-items", ("spsup_items", System.ExtchItems.ExtChList.SpsupItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                    ('extchst', (YLeaf(YType.enumeration, 'extChSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptExtChSt', '')])),
                    ('partnum', (YLeaf(YType.str, 'partNum'), ['str'])),
                    ('macaddr', (YLeaf(YType.str, 'macAddr'), ['str'])),
                    ('nummacs', (YLeaf(YType.uint16, 'numMacs'), ['int'])),
                    ('numuplinkp', (YLeaf(YType.uint16, 'numUplinkP'), ['int'])),
                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.id = None
                self.extchst = None
                self.partnum = None
                self.macaddr = None
                self.nummacs = None
                self.numuplinkp = None
                self.vendor = None
                self.model = None
                self.rev = None
                self.ser = None
                self.mfgtm = None
                self.descr = None

                self.running_items = System.ExtchItems.ExtChList.RunningItems()
                self.running_items.parent = self
                self._children_name_map["running_items"] = "running-items"

                self.locled_items = System.ExtchItems.ExtChList.LocledItems()
                self.locled_items.parent = self
                self._children_name_map["locled_items"] = "locled-items"

                self.extchslot_items = System.ExtchItems.ExtChList.ExtchslotItems()
                self.extchslot_items.parent = self
                self._children_name_map["extchslot_items"] = "extchslot-items"

                self.psuslot_items = System.ExtchItems.ExtChList.PsuslotItems()
                self.psuslot_items.parent = self
                self._children_name_map["psuslot_items"] = "psuslot-items"

                self.ftslot_items = System.ExtchItems.ExtChList.FtslotItems()
                self.ftslot_items.parent = self
                self._children_name_map["ftslot_items"] = "ftslot-items"

                self.spbp_items = System.ExtchItems.ExtChList.SpbpItems()
                self.spbp_items.parent = self
                self._children_name_map["spbp_items"] = "spbp-items"

                self.spsup_items = System.ExtchItems.ExtChList.SpsupItems()
                self.spsup_items.parent = self
                self._children_name_map["spsup_items"] = "spsup-items"
                self._segment_path = lambda: "ExtCh-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/extch-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ExtchItems.ExtChList, ['id', 'extchst', 'partnum', 'macaddr', 'nummacs', 'numuplinkp', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)


            class RunningItems(Entity):
                """
                
                
                .. attribute:: loaderver
                
                	A property that indicates Loader Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: version
                
                	Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: internallabel
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: type
                
                	Type
                	**type**\:  :py:class:`FirmwareType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareType>`
                
                	**config**\: False
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`FirmwareRunningMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FirmwareRunningMode>`
                
                	**config**\: False
                
                .. attribute:: ts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.RunningItems, self).__init__()

                    self.yang_name = "running-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('loaderver', (YLeaf(YType.str, 'loaderVer'), ['str'])),
                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                        ('internallabel', (YLeaf(YType.str, 'internalLabel'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareType', '')])),
                        ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FirmwareRunningMode', '')])),
                        ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.loaderver = None
                    self.version = None
                    self.internallabel = None
                    self.type = None
                    self.mode = None
                    self.ts = None
                    self.descr = None
                    self._segment_path = lambda: "running-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.RunningItems, ['loaderver', 'version', 'internallabel', 'type', 'mode', 'ts', 'descr'], name, value)



            class LocledItems(Entity):
                """
                
                
                .. attribute:: extchlocled_list
                
                	
                	**type**\: list of  		 :py:class:`ExtChLocLedList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.LocledItems.ExtChLocLedList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.LocledItems, self).__init__()

                    self.yang_name = "locled-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ExtChLocLed-list", ("extchlocled_list", System.ExtchItems.ExtChList.LocledItems.ExtChLocLedList))])
                    self._leafs = OrderedDict()

                    self.extchlocled_list = YList(self)
                    self._segment_path = lambda: "locled-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.LocledItems, [], name, value)


                class ExtChLocLedList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vendor
                    
                    	Vendor
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: model
                    
                    	Model
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: rev
                    
                    	Revision
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ser
                    
                    	Serial Number
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgtm
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    	**default value**\: 0
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: color
                    
                    	The LED Color
                    	**type**\:  :py:class:`EqptColor <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptColor>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The LED operational Status
                    	**type**\:  :py:class:`EqptLedOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptLedOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The LED type
                    	**type**\:  :py:class:`EqptLedType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptLedType>`
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	The locator LED admin status
                    	**type**\:  :py:class:`EqptAdSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAdSt>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.LocledItems.ExtChLocLedList, self).__init__()

                        self.yang_name = "ExtChLocLed-list"
                        self.yang_parent_name = "locled-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                            ('model', (YLeaf(YType.str, 'model'), ['str'])),
                            ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                            ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                            ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('color', (YLeaf(YType.enumeration, 'color'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptColor', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptLedOpSt', '')])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptLedType', '')])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAdSt', '')])),
                        ])
                        self.id = None
                        self.vendor = None
                        self.model = None
                        self.rev = None
                        self.ser = None
                        self.mfgtm = None
                        self.descr = None
                        self.color = None
                        self.operst = None
                        self.type = None
                        self.adminst = None
                        self._segment_path = lambda: "ExtChLocLed-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.LocledItems.ExtChLocLedList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'color', 'operst', 'type', 'adminst'], name, value)




            class ExtchslotItems(Entity):
                """
                
                
                .. attribute:: extchcardslot_list
                
                	
                	**type**\: list of  		 :py:class:`ExtChCardSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.ExtchslotItems, self).__init__()

                    self.yang_name = "extchslot-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ExtChCardSlot-list", ("extchcardslot_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList))])
                    self._leafs = OrderedDict()

                    self.extchcardslot_list = YList(self)
                    self._segment_path = lambda: "extchslot-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems, [], name, value)


                class ExtChCardSlotList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..None
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: physid
                    
                    	The physical slot identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The slot type
                    	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The slot operational status
                    	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: loc
                    
                    	The location of the slot in the chassis
                    	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                    
                    	**config**\: False
                    
                    .. attribute:: extchc_items
                    
                    	
                    	**type**\:  :py:class:`ExtchcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtoosslot_items
                    
                    	
                    	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.RtoosSlotItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList, self).__init__()

                        self.yang_name = "ExtChCardSlot-list"
                        self.yang_parent_name = "extchslot-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("extchc-items", ("extchc_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.RtoosSlotItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                            ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                        ])
                        self.id = None
                        self.descr = None
                        self.physid = None
                        self.type = None
                        self.operst = None
                        self.loc = None

                        self.extchc_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems()
                        self.extchc_items.parent = self
                        self._children_name_map["extchc_items"] = "extchc-items"

                        self.rtoosslot_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.RtoosSlotItems()
                        self.rtoosslot_items.parent = self
                        self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                        self._segment_path = lambda: "ExtChCardSlot-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                    class ExtchcItems(Entity):
                        """
                        
                        
                        .. attribute:: modserial
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: modvendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: modmodel
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: partnum
                        
                        	Module Part Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	Type
                        	**type**\:  :py:class:`EqptCardT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCardT>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	The card operational status
                        	**type**\:  :py:class:`EqptCOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptCOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: rdst
                        
                        	The card redundancy state
                        	**type**\:  :py:class:`EqptRdSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptRdSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: swcid
                        
                        	The card software card identifier
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nump
                        
                        	The number of ports on the card
                        	**type**\: int
                        
                        	**range:** 0..256
                        
                        	**config**\: False
                        
                        .. attribute:: macb
                        
                        	The card MAC address base
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mace
                        
                        	The card MAC address end
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: pwrst
                        
                        	The power state of this card
                        	**type**\:  :py:class:`EqptPwrState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPwrState>`
                        
                        	**config**\: False
                        
                        .. attribute:: fwver
                        
                        	The card firmware revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: swver
                        
                        	The card software revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: partnumber
                        
                        	The card part number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vdrid
                        
                        	The card vdrId
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: poweractualdraw
                        
                        	It is the power value that module actually draw
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: powerallocated
                        
                        	It is the power value that power supply allocated to the module
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: hostextport_items
                        
                        	
                        	**type**\:  :py:class:`HostextportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: leafextport_items
                        
                        	
                        	**type**\:  :py:class:`LeafextportItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: sensor_items
                        
                        	
                        	**type**\:  :py:class:`SensorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: asic_items
                        
                        	
                        	**type**\:  :py:class:`AsicItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: cpu_items
                        
                        	
                        	**type**\:  :py:class:`CpuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: dimm_items
                        
                        	
                        	**type**\:  :py:class:`DimmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: flash_items
                        
                        	
                        	**type**\:  :py:class:`FlashItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.FlashItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: obfl_items
                        
                        	
                        	**type**\:  :py:class:`ObflItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.ObflItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems, self).__init__()

                            self.yang_name = "extchc-items"
                            self.yang_parent_name = "ExtChCardSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("hostextport-items", ("hostextport_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems)), ("leafextport-items", ("leafextport_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems)), ("sensor-items", ("sensor_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems)), ("asic-items", ("asic_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems)), ("cpu-items", ("cpu_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems)), ("dimm-items", ("dimm_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems)), ("flash-items", ("flash_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.FlashItems)), ("obfl-items", ("obfl_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.ObflItems))])
                            self._leafs = OrderedDict([
                                ('modserial', (YLeaf(YType.str, 'modSerial'), ['str'])),
                                ('modvendor', (YLeaf(YType.str, 'modVendor'), ['str'])),
                                ('modmodel', (YLeaf(YType.str, 'modModel'), ['str'])),
                                ('partnum', (YLeaf(YType.str, 'partNum'), ['str'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCardT', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptCOpSt', '')])),
                                ('rdst', (YLeaf(YType.enumeration, 'rdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptRdSt', '')])),
                                ('swcid', (YLeaf(YType.uint32, 'swCId'), ['int'])),
                                ('nump', (YLeaf(YType.uint16, 'numP'), ['int'])),
                                ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                                ('mace', (YLeaf(YType.str, 'macE'), ['str'])),
                                ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                ('pwrst', (YLeaf(YType.enumeration, 'pwrSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPwrState', '')])),
                                ('fwver', (YLeaf(YType.str, 'fwVer'), ['str'])),
                                ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                                ('partnumber', (YLeaf(YType.str, 'partNumber'), ['str'])),
                                ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                                ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                            ])
                            self.modserial = None
                            self.modvendor = None
                            self.modmodel = None
                            self.partnum = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.id = None
                            self.mfgtm = None
                            self.descr = None
                            self.type = None
                            self.operst = None
                            self.rdst = None
                            self.swcid = None
                            self.nump = None
                            self.macb = None
                            self.mace = None
                            self.upts = None
                            self.pwrst = None
                            self.fwver = None
                            self.swver = None
                            self.partnumber = None
                            self.vdrid = None
                            self.poweractualdraw = None
                            self.powerallocated = None

                            self.hostextport_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems()
                            self.hostextport_items.parent = self
                            self._children_name_map["hostextport_items"] = "hostextport-items"

                            self.leafextport_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems()
                            self.leafextport_items.parent = self
                            self._children_name_map["leafextport_items"] = "leafextport-items"

                            self.sensor_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems()
                            self.sensor_items.parent = self
                            self._children_name_map["sensor_items"] = "sensor-items"

                            self.asic_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems()
                            self.asic_items.parent = self
                            self._children_name_map["asic_items"] = "asic-items"

                            self.cpu_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems()
                            self.cpu_items.parent = self
                            self._children_name_map["cpu_items"] = "cpu-items"

                            self.dimm_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems()
                            self.dimm_items.parent = self
                            self._children_name_map["dimm_items"] = "dimm-items"

                            self.flash_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.FlashItems()
                            self.flash_items.parent = self
                            self._children_name_map["flash_items"] = "flash-items"

                            self.obfl_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.ObflItems()
                            self.obfl_items.parent = self
                            self._children_name_map["obfl_items"] = "obfl-items"
                            self._segment_path = lambda: "extchc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems, ['modserial', 'modvendor', 'modmodel', 'partnum', 'vendor', 'model', 'rev', 'ser', 'id', 'mfgtm', 'descr', 'type', 'operst', 'rdst', 'swcid', 'nump', 'macb', 'mace', 'upts', 'pwrst', 'fwver', 'swver', 'partnumber', 'vdrid', 'poweractualdraw', 'powerallocated'], name, value)


                        class HostextportItems(Entity):
                            """
                            
                            
                            .. attribute:: extchhp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ExtChHPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems.ExtChHPList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems, self).__init__()

                                self.yang_name = "hostextport-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ExtChHP-list", ("extchhp_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems.ExtChHPList))])
                                self._leafs = OrderedDict()

                                self.extchhp_list = YList(self)
                                self._segment_path = lambda: "hostextport-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems, [], name, value)


                            class ExtChHPList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 1..666
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The port type
                                	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                                
                                	**config**\: False
                                
                                .. attribute:: speed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems.ExtChHPList, self).__init__()

                                    self.yang_name = "ExtChHP-list"
                                    self.yang_parent_name = "hostextport-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                        ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                    ])
                                    self.id = None
                                    self.descr = None
                                    self.type = None
                                    self.speed = None
                                    self._segment_path = lambda: "ExtChHP-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.HostextportItems.ExtChHPList, ['id', 'descr', 'type', 'speed'], name, value)




                        class LeafextportItems(Entity):
                            """
                            
                            
                            .. attribute:: extchfp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ExtChFPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems.ExtChFPList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems, self).__init__()

                                self.yang_name = "leafextport-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ExtChFP-list", ("extchfp_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems.ExtChFPList))])
                                self._leafs = OrderedDict()

                                self.extchfp_list = YList(self)
                                self._segment_path = lambda: "leafextport-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems, [], name, value)


                            class ExtChFPList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 1..666
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The port type
                                	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
                                
                                	**config**\: False
                                
                                .. attribute:: speed
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems.ExtChFPList, self).__init__()

                                    self.yang_name = "ExtChFP-list"
                                    self.yang_parent_name = "leafextport-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                                        ('speed', (YLeaf(YType.uint64, 'speed'), ['int'])),
                                    ])
                                    self.id = None
                                    self.descr = None
                                    self.type = None
                                    self.speed = None
                                    self._segment_path = lambda: "ExtChFP-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.LeafextportItems.ExtChFPList, ['id', 'descr', 'type', 'speed'], name, value)




                        class SensorItems(Entity):
                            """
                            
                            
                            .. attribute:: sensor_list
                            
                            	
                            	**type**\: list of  		 :py:class:`SensorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems.SensorList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems, self).__init__()

                                self.yang_name = "sensor-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Sensor-list", ("sensor_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems.SensorList))])
                                self._leafs = OrderedDict()

                                self.sensor_list = YList(self)
                                self._segment_path = lambda: "sensor-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems, [], name, value)


                            class SensorList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The equipment sensor identifier
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The equipment sensor type
                                	**type**\:  :py:class:`EqptSensorT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorT>`
                                
                                	**config**\: False
                                
                                .. attribute:: majorthresh
                                
                                	The equipment sensor major threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: minorthresh
                                
                                	The equipment sensor minor threshold
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The equipment sensor operational status
                                	**type**\:  :py:class:`EqptSensorOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSensorOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: tempvalue
                                
                                	The equipment sensor temperature value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: unit
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems.SensorList, self).__init__()

                                    self.yang_name = "Sensor-list"
                                    self.yang_parent_name = "sensor-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorT', '')])),
                                        ('majorthresh', (YLeaf(YType.int16, 'majorThresh'), ['int'])),
                                        ('minorthresh', (YLeaf(YType.int16, 'minorThresh'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSensorOpSt', '')])),
                                        ('tempvalue', (YLeaf(YType.uint16, 'tempValue'), ['int'])),
                                        ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.type = None
                                    self.majorthresh = None
                                    self.minorthresh = None
                                    self.operst = None
                                    self.tempvalue = None
                                    self.unit = None
                                    self.vendor = None
                                    self.model = None
                                    self.descr = None
                                    self._segment_path = lambda: "Sensor-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.SensorItems.SensorList, ['id', 'type', 'majorthresh', 'minorthresh', 'operst', 'tempvalue', 'unit', 'vendor', 'model', 'descr'], name, value)




                        class AsicItems(Entity):
                            """
                            
                            
                            .. attribute:: asic_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AsicList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems.AsicList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems, self).__init__()

                                self.yang_name = "asic-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Asic-list", ("asic_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems.AsicList))])
                                self._leafs = OrderedDict()

                                self.asic_list = YList(self)
                                self._segment_path = lambda: "asic-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems, [], name, value)


                            class AsicList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The Asic identifier
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The Asic type
                                	**type**\:  :py:class:`EqptAsicT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAsicT>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The Asic operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: numslices
                                
                                	The number of slices in this Asic
                                	**type**\: int
                                
                                	**range:** 0..6
                                
                                	**config**\: False
                                
                                .. attribute:: capabilities
                                
                                	The Asic capabilities
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems.AsicList, self).__init__()

                                    self.yang_name = "Asic-list"
                                    self.yang_parent_name = "asic-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAsicT', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                        ('numslices', (YLeaf(YType.uint8, 'numSlices'), ['int'])),
                                        ('capabilities', (YLeaf(YType.str, 'capabilities'), ['str'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.type = None
                                    self.operst = None
                                    self.numslices = None
                                    self.capabilities = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "Asic-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.AsicItems.AsicList, ['id', 'type', 'operst', 'numslices', 'capabilities', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class CpuItems(Entity):
                            """
                            
                            
                            .. attribute:: cpu_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CPUList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems, self).__init__()

                                self.yang_name = "cpu-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("CPU-list", ("cpu_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList))])
                                self._leafs = OrderedDict()

                                self.cpu_list = YList(self)
                                self._segment_path = lambda: "cpu-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems, [], name, value)


                            class CPUList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The CPU identifier
                                	**type**\: int
                                
                                	**range:** 1..None
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: sock
                                
                                	The CPU socket designation
                                	**type**\:  :py:class:`EqptSock <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSock>`
                                
                                	**config**\: False
                                
                                .. attribute:: arch
                                
                                	The CPU architecture
                                	**type**\:  :py:class:`EqptArchCPUArch <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptArchCPUArch>`
                                
                                	**config**\: False
                                
                                .. attribute:: speed
                                
                                	The CPU Speed in Giga Hz
                                	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                
                                	**range:** \-92233720368547758.08..92233720368547758.07
                                
                                	**config**\: False
                                
                                .. attribute:: cores
                                
                                	The number of cores within the CPU
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: coresen
                                
                                	The number of cores enabled within the CPU
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: thrds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: core_items
                                
                                	
                                	**type**\:  :py:class:`CoreItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList, self).__init__()

                                    self.yang_name = "CPU-list"
                                    self.yang_parent_name = "cpu-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("core-items", ("core_items", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('sock', (YLeaf(YType.enumeration, 'sock'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSock', '')])),
                                        ('arch', (YLeaf(YType.enumeration, 'arch'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptArchCPUArch', '')])),
                                        ('speed', (YLeaf(YType.str, 'speed'), ['Decimal64'])),
                                        ('cores', (YLeaf(YType.uint16, 'cores'), ['int'])),
                                        ('coresen', (YLeaf(YType.uint16, 'coresEn'), ['int'])),
                                        ('thrds', (YLeaf(YType.uint16, 'thrds'), ['int'])),
                                    ])
                                    self.id = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self.sock = None
                                    self.arch = None
                                    self.speed = None
                                    self.cores = None
                                    self.coresen = None
                                    self.thrds = None

                                    self.core_items = System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems()
                                    self.core_items.parent = self
                                    self._children_name_map["core_items"] = "core-items"
                                    self._segment_path = lambda: "CPU-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'sock', 'arch', 'speed', 'cores', 'coresen', 'thrds'], name, value)


                                class CoreItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: core_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`CoreList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems.CoreList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems, self).__init__()

                                        self.yang_name = "core-items"
                                        self.yang_parent_name = "CPU-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Core-list", ("core_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems.CoreList))])
                                        self._leafs = OrderedDict()

                                        self.core_list = YList(self)
                                        self._segment_path = lambda: "core-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems, [], name, value)


                                    class CoreList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: vendor
                                        
                                        	Vendor
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: model
                                        
                                        	Model
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rev
                                        
                                        	Revision
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ser
                                        
                                        	Serial Number
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mfgtm
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        	**default value**\: 0
                                        
                                        .. attribute:: descr
                                        
                                        	Description
                                        	**type**\: str
                                        
                                        	**length:** 0..128
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems.CoreList, self).__init__()

                                            self.yang_name = "Core-list"
                                            self.yang_parent_name = "core-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ])
                                            self.id = None
                                            self.vendor = None
                                            self.model = None
                                            self.rev = None
                                            self.ser = None
                                            self.mfgtm = None
                                            self.descr = None
                                            self._segment_path = lambda: "Core-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.CpuItems.CPUList.CoreItems.CoreList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)






                        class DimmItems(Entity):
                            """
                            
                            
                            .. attribute:: dimm_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DimmList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems.DimmList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems, self).__init__()

                                self.yang_name = "dimm-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Dimm-list", ("dimm_list", System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems.DimmList))])
                                self._leafs = OrderedDict()

                                self.dimm_list = YList(self)
                                self._segment_path = lambda: "dimm-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems, [], name, value)


                            class DimmList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	The dual in\-line memory module(DIMM) type
                                	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                                
                                	**config**\: False
                                
                                .. attribute:: cap
                                
                                	The memory capacity
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: acc
                                
                                	The memory access type
                                	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The memory operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems.DimmList, self).__init__()

                                    self.yang_name = "Dimm-list"
                                    self.yang_parent_name = "dimm-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                        ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                        ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ])
                                    self.id = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self.type = None
                                    self.cap = None
                                    self.acc = None
                                    self.operst = None
                                    self._segment_path = lambda: "Dimm-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.DimmItems.DimmList, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)




                        class FlashItems(Entity):
                            """
                            
                            
                            .. attribute:: id
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The flash memory type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.FlashItems, self).__init__()

                                self.yang_name = "flash-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self._segment_path = lambda: "flash-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.FlashItems, ['id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'type', 'cap', 'acc', 'operst'], name, value)



                        class ObflItems(Entity):
                            """
                            
                            
                            .. attribute:: logt
                            
                            	Log Type
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.ObflItems, self).__init__()

                                self.yang_name = "obfl-items"
                                self.yang_parent_name = "extchc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('logt', (YLeaf(YType.str, 'logT'), ['str'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.logt = None
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "obfl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.ExtchcItems.ObflItems, ['logt', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class RtoosSlotItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.RtoosSlotItems, self).__init__()

                            self.yang_name = "rtoosSlot-items"
                            self.yang_parent_name = "ExtChCardSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtoosSlot-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.ExtchslotItems.ExtChCardSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





            class PsuslotItems(Entity):
                """
                
                
                .. attribute:: psuslot_list
                
                	
                	**type**\: list of  		 :py:class:`PsuSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.PsuslotItems, self).__init__()

                    self.yang_name = "psuslot-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("PsuSlot-list", ("psuslot_list", System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList))])
                    self._leafs = OrderedDict()

                    self.psuslot_list = YList(self)
                    self._segment_path = lambda: "psuslot-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems, [], name, value)


                class PsuSlotList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: physid
                    
                    	The physical slot identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The power supply slot type
                    	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The slot operational status
                    	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: loc
                    
                    	The location of the slot in the chassis
                    	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                    
                    	**config**\: False
                    
                    .. attribute:: psu_items
                    
                    	
                    	**type**\:  :py:class:`PsuItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtoosslot_items
                    
                    	
                    	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.RtoosSlotItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList, self).__init__()

                        self.yang_name = "PsuSlot-list"
                        self.yang_parent_name = "psuslot-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("psu-items", ("psu_items", System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.RtoosSlotItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                            ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                        ])
                        self.id = None
                        self.descr = None
                        self.physid = None
                        self.type = None
                        self.operst = None
                        self.loc = None

                        self.psu_items = System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems()
                        self.psu_items.parent = self
                        self._children_name_map["psu_items"] = "psu-items"

                        self.rtoosslot_items = System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.RtoosSlotItems()
                        self.rtoosslot_items.parent = self
                        self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                        self._segment_path = lambda: "PsuSlot-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                    class PsuItems(Entity):
                        """
                        
                        
                        .. attribute:: operst
                        
                        	The power supply unit operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: cap
                        
                        	The power supply unit capacity
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: drawncurr
                        
                        	The power supply unit actual drawn/output current
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: vsrc
                        
                        	The power supply unit voltage source
                        	**type**\:  :py:class:`EqptVSrc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptVSrc>`
                        
                        	**config**\: False
                        
                        .. attribute:: volt
                        
                        	The power supply unit voltage
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: fanopst
                        
                        	The power supply unit fan operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: fandirection
                        
                        	The power supply unit fan air direction
                        	**type**\:  :py:class:`EqptAirDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAirDir>`
                        
                        	**config**\: False
                        
                        .. attribute:: inputcurr
                        
                        	The power supply unit input current
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: vdrid
                        
                        	The card vdrId
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vin
                        
                        	The power supply input voltage
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: vout
                        
                        	The power supply output voltage
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: pin
                        
                        	The power supply input watts
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: pout
                        
                        	The power supply output watts
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: iin
                        
                        	The power supply input amps
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: iout
                        
                        	The power supply output amps
                        	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                        
                        	**range:** \-92233720368547758.08..92233720368547758.07
                        
                        	**config**\: False
                        
                        .. attribute:: softwarealarm
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: hardwarealarm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: typecordconnected
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: hwver
                        
                        	Hardware Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: psfan_items
                        
                        	
                        	**type**\:  :py:class:`PsfanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems, self).__init__()

                            self.yang_name = "psu-items"
                            self.yang_parent_name = "PsuSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("psfan-items", ("psfan_items", System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems))])
                            self._leafs = OrderedDict([
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('cap', (YLeaf(YType.str, 'cap'), ['Decimal64'])),
                                ('drawncurr', (YLeaf(YType.str, 'drawnCurr'), ['Decimal64'])),
                                ('vsrc', (YLeaf(YType.enumeration, 'vSrc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptVSrc', '')])),
                                ('volt', (YLeaf(YType.str, 'volt'), ['Decimal64'])),
                                ('fanopst', (YLeaf(YType.enumeration, 'fanOpSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('fandirection', (YLeaf(YType.enumeration, 'fanDirection'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAirDir', '')])),
                                ('inputcurr', (YLeaf(YType.str, 'inputCurr'), ['Decimal64'])),
                                ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                ('vin', (YLeaf(YType.str, 'vIn'), ['Decimal64'])),
                                ('vout', (YLeaf(YType.str, 'vOut'), ['Decimal64'])),
                                ('pin', (YLeaf(YType.uint32, 'pIn'), ['int'])),
                                ('pout', (YLeaf(YType.uint32, 'pOut'), ['int'])),
                                ('iin', (YLeaf(YType.str, 'iIn'), ['Decimal64'])),
                                ('iout', (YLeaf(YType.str, 'iOut'), ['Decimal64'])),
                                ('softwarealarm', (YLeaf(YType.boolean, 'softwareAlarm'), ['bool'])),
                                ('hardwarealarm', (YLeaf(YType.str, 'hardwareAlarm'), ['str'])),
                                ('typecordconnected', (YLeaf(YType.str, 'typeCordConnected'), ['str'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ])
                            self.operst = None
                            self.cap = None
                            self.drawncurr = None
                            self.vsrc = None
                            self.volt = None
                            self.fanopst = None
                            self.fandirection = None
                            self.inputcurr = None
                            self.vdrid = None
                            self.vin = None
                            self.vout = None
                            self.pin = None
                            self.pout = None
                            self.iin = None
                            self.iout = None
                            self.softwarealarm = None
                            self.hardwarealarm = None
                            self.typecordconnected = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.hwver = None

                            self.psfan_items = System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems()
                            self.psfan_items.parent = self
                            self._children_name_map["psfan_items"] = "psfan-items"
                            self._segment_path = lambda: "psu-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems, ['operst', 'cap', 'drawncurr', 'vsrc', 'volt', 'fanopst', 'fandirection', 'inputcurr', 'vdrid', 'vin', 'vout', 'pin', 'pout', 'iin', 'iout', 'softwarealarm', 'hardwarealarm', 'typecordconnected', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)


                        class PsfanItems(Entity):
                            """
                            
                            
                            .. attribute:: psfan_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PsFanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems, self).__init__()

                                self.yang_name = "psfan-items"
                                self.yang_parent_name = "psu-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PsFan-list", ("psfan_list", System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList))])
                                self._leafs = OrderedDict()

                                self.psfan_list = YList(self)
                                self._segment_path = lambda: "psfan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems, [], name, value)


                            class PsFanList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The fan identifier
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The fan operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: dir
                                
                                	The fan air direction
                                	**type**\:  :py:class:`EqptPsuFanDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPsuFanDir>`
                                
                                	**config**\: False
                                
                                .. attribute:: speedinrpm
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                .. attribute:: hwver
                                
                                	Hardware Version
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList, self).__init__()

                                    self.yang_name = "PsFan-list"
                                    self.yang_parent_name = "psfan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                        ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPsuFanDir', '')])),
                                        ('speedinrpm', (YLeaf(YType.uint32, 'speedInRpm'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                    ])
                                    self.id = None
                                    self.operst = None
                                    self.dir = None
                                    self.speedinrpm = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self.hwver = None
                                    self._segment_path = lambda: "PsFan-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.PsuItems.PsfanItems.PsFanList, ['id', 'operst', 'dir', 'speedinrpm', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)





                    class RtoosSlotItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.RtoosSlotItems, self).__init__()

                            self.yang_name = "rtoosSlot-items"
                            self.yang_parent_name = "PsuSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtoosSlot-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.PsuslotItems.PsuSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





            class FtslotItems(Entity):
                """
                
                
                .. attribute:: ftslot_list
                
                	
                	**type**\: list of  		 :py:class:`FtSlotList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.FtslotItems, self).__init__()

                    self.yang_name = "ftslot-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("FtSlot-list", ("ftslot_list", System.ExtchItems.ExtChList.FtslotItems.FtSlotList))])
                    self._leafs = OrderedDict()

                    self.ftslot_list = YList(self)
                    self._segment_path = lambda: "ftslot-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems, [], name, value)


                class FtSlotList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..6
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: physid
                    
                    	The physical slot identifier
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	The fan tray slot type
                    	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	The slot operational status
                    	**type**\:  :py:class:`EqptSlotOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotOpSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: loc
                    
                    	The location of the slot in the chassis
                    	**type**\:  :py:class:`EqptSlotLoc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotLoc>`
                    
                    	**config**\: False
                    
                    .. attribute:: ft_items
                    
                    	
                    	**type**\:  :py:class:`FtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtoosslot_items
                    
                    	
                    	**type**\:  :py:class:`RtoosSlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.RtoosSlotItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList, self).__init__()

                        self.yang_name = "FtSlot-list"
                        self.yang_parent_name = "ftslot-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("ft-items", ("ft_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems)), ("rtoosSlot-items", ("rtoosslot_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.RtoosSlotItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('physid', (YLeaf(YType.uint32, 'physId'), ['int'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotOpSt', '')])),
                            ('loc', (YLeaf(YType.enumeration, 'loc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotLoc', '')])),
                        ])
                        self.id = None
                        self.descr = None
                        self.physid = None
                        self.type = None
                        self.operst = None
                        self.loc = None

                        self.ft_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems()
                        self.ft_items.parent = self
                        self._children_name_map["ft_items"] = "ft-items"

                        self.rtoosslot_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.RtoosSlotItems()
                        self.rtoosslot_items.parent = self
                        self._children_name_map["rtoosslot_items"] = "rtoosSlot-items"
                        self._segment_path = lambda: "FtSlot-list" + "[id='" + str(self.id) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList, ['id', 'descr', 'physid', 'type', 'operst', 'loc'], name, value)


                    class FtItems(Entity):
                        """
                        
                        
                        .. attribute:: operst
                        
                        	The fan tray operational status
                        	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: fanname
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vdrid
                        
                        	The fan vdrId
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: poweractualdraw
                        
                        	It is the power value that fan module actually draw
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: powerallocated
                        
                        	It is the power value that power supply allocated to fan module
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: id
                        
                        	The fan tray identifier
                        	**type**\: int
                        
                        	**range:** 1..4
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: hwver
                        
                        	Hardware Version
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ej_items
                        
                        	
                        	**type**\:  :py:class:`EjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: fan_items
                        
                        	
                        	**type**\:  :py:class:`FanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: spfan_items
                        
                        	
                        	**type**\:  :py:class:`SpfanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems, self).__init__()

                            self.yang_name = "ft-items"
                            self.yang_parent_name = "FtSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ej-items", ("ej_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems)), ("fan-items", ("fan_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems)), ("spfan-items", ("spfan_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems))])
                            self._leafs = OrderedDict([
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                ('fanname', (YLeaf(YType.str, 'fanName'), ['str'])),
                                ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                ('poweractualdraw', (YLeaf(YType.uint32, 'powerActualDraw'), ['int'])),
                                ('powerallocated', (YLeaf(YType.uint32, 'powerAllocated'), ['int'])),
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ])
                            self.operst = None
                            self.fanname = None
                            self.vdrid = None
                            self.poweractualdraw = None
                            self.powerallocated = None
                            self.id = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self.hwver = None

                            self.ej_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems()
                            self.ej_items.parent = self
                            self._children_name_map["ej_items"] = "ej-items"

                            self.fan_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems()
                            self.fan_items.parent = self
                            self._children_name_map["fan_items"] = "fan-items"

                            self.spfan_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems()
                            self.spfan_items.parent = self
                            self._children_name_map["spfan_items"] = "spfan-items"
                            self._segment_path = lambda: "ft-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems, ['operst', 'fanname', 'vdrid', 'poweractualdraw', 'powerallocated', 'id', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr', 'hwver'], name, value)


                        class EjItems(Entity):
                            """
                            
                            
                            .. attribute:: ejec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`EjecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems.EjecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems, self).__init__()

                                self.yang_name = "ej-items"
                                self.yang_parent_name = "ft-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Ejec-list", ("ejec_list", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems.EjecList))])
                                self._leafs = OrderedDict()

                                self.ejec_list = YList(self)
                                self._segment_path = lambda: "ej-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems, [], name, value)


                            class EjecList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 1..2
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`EqptEjSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptEjSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems.EjecList, self).__init__()

                                    self.yang_name = "Ejec-list"
                                    self.yang_parent_name = "ej-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptEjSt', '')])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.operst = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "Ejec-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.EjItems.EjecList, ['id', 'operst', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class FanItems(Entity):
                            """
                            
                            
                            .. attribute:: fan_list
                            
                            	
                            	**type**\: list of  		 :py:class:`FanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems.FanList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems, self).__init__()

                                self.yang_name = "fan-items"
                                self.yang_parent_name = "ft-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Fan-list", ("fan_list", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems.FanList))])
                                self._leafs = OrderedDict()

                                self.fan_list = YList(self)
                                self._segment_path = lambda: "fan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems, [], name, value)


                            class FanList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	The fan identifier
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	The fan operational status
                                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: dir
                                
                                	The fan air direction
                                	**type**\:  :py:class:`EqptAirDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAirDir>`
                                
                                	**config**\: False
                                
                                .. attribute:: speedinrpm
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: speedinpercent
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vendor
                                
                                	Vendor
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: model
                                
                                	Model
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rev
                                
                                	Revision
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ser
                                
                                	Serial Number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgtm
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                	**default value**\: 0
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems.FanList, self).__init__()

                                    self.yang_name = "Fan-list"
                                    self.yang_parent_name = "fan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                        ('dir', (YLeaf(YType.enumeration, 'dir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAirDir', '')])),
                                        ('speedinrpm', (YLeaf(YType.uint32, 'speedInRpm'), ['int'])),
                                        ('speedinpercent', (YLeaf(YType.uint32, 'speedInPercent'), ['int'])),
                                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                        ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.id = None
                                    self.operst = None
                                    self.dir = None
                                    self.speedinrpm = None
                                    self.speedinpercent = None
                                    self.vendor = None
                                    self.model = None
                                    self.rev = None
                                    self.ser = None
                                    self.mfgtm = None
                                    self.descr = None
                                    self._segment_path = lambda: "Fan-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.FanItems.FanList, ['id', 'operst', 'dir', 'speedinrpm', 'speedinpercent', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                        class SpfanItems(Entity):
                            """
                            
                            
                            .. attribute:: id
                            
                            	The sprom identifier
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: type
                            
                            	The memory type
                            	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                            
                            	**config**\: False
                            
                            .. attribute:: cap
                            
                            	The memory capacity
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: acc
                            
                            	The memory access type
                            	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	The memory operational status
                            	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numblk
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: spcmn_items
                            
                            	
                            	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: spfanblk_items
                            
                            	
                            	**type**\:  :py:class:`SpfanblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: spfansn_items
                            
                            	
                            	**type**\:  :py:class:`SpfansnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems, self).__init__()

                                self.yang_name = "spfan-items"
                                self.yang_parent_name = "ft-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems)), ("spfanblk-items", ("spfanblk_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems)), ("spfansn-items", ("spfansn_items", System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                                    ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                                    ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                                    ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                                ])
                                self.id = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.descr = None
                                self.type = None
                                self.cap = None
                                self.acc = None
                                self.operst = None
                                self.numblk = None

                                self.spcmn_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems()
                                self.spcmn_items.parent = self
                                self._children_name_map["spcmn_items"] = "spcmn-items"

                                self.spfanblk_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems()
                                self.spfanblk_items.parent = self
                                self._children_name_map["spfanblk_items"] = "spfanblk-items"

                                self.spfansn_items = System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems()
                                self.spfansn_items.parent = self
                                self._children_name_map["spfansn_items"] = "spfansn-items"
                                self._segment_path = lambda: "spfan-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                            class SpcmnItems(Entity):
                                """
                                
                                
                                .. attribute:: size
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: count
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: major
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: minor
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: oem
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pdnum
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sernum
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: prtnum
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: prev
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgdev
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: hwver
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mfgbits
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: engbits
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: pwrcon
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-32768..32767
                                
                                	**config**\: False
                                
                                .. attribute:: rmafl
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: clei
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vdrid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: len
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: cksum
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems, self).__init__()

                                    self.yang_name = "spcmn-items"
                                    self.yang_parent_name = "spfan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                                        ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                        ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                                        ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                                        ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                                        ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                                        ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                        ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                                        ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                                        ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                                        ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                                        ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                                        ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                                        ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                                        ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                                        ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                                        ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                                        ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                        ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                        ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                    ])
                                    self.size = None
                                    self.count = None
                                    self.major = None
                                    self.minor = None
                                    self.oem = None
                                    self.pdnum = None
                                    self.sernum = None
                                    self.prtnum = None
                                    self.prev = None
                                    self.mfgdev = None
                                    self.hwver = None
                                    self.mfgbits = None
                                    self.engbits = None
                                    self.pwrcon = None
                                    self.rmafl = None
                                    self.clei = None
                                    self.vdrid = None
                                    self.sig = None
                                    self.ver = None
                                    self.len = None
                                    self.cksum = None
                                    self._segment_path = lambda: "spcmn-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                            class SpfanblkItems(Entity):
                                """
                                
                                
                                .. attribute:: fbits
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: hwcbits
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: stackmib
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: coolcap
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: ambtemp
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: hppwrcon
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: hpcoolcon
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: sig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: len
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: cksum
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems, self).__init__()

                                    self.yang_name = "spfanblk-items"
                                    self.yang_parent_name = "spfan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                                        ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                                        ('stackmib', (YLeaf(YType.uint16, 'stackMIB'), ['int'])),
                                        ('coolcap', (YLeaf(YType.uint16, 'coolCap'), ['int'])),
                                        ('ambtemp', (YLeaf(YType.uint16, 'ambTemp'), ['int'])),
                                        ('hppwrcon', (YLeaf(YType.uint16, 'hpPwrCon'), ['int'])),
                                        ('hpcoolcon', (YLeaf(YType.uint16, 'hpCoolCon'), ['int'])),
                                        ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                        ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                        ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                    ])
                                    self.fbits = None
                                    self.hwcbits = None
                                    self.stackmib = None
                                    self.coolcap = None
                                    self.ambtemp = None
                                    self.hppwrcon = None
                                    self.hpcoolcon = None
                                    self.sig = None
                                    self.ver = None
                                    self.len = None
                                    self.cksum = None
                                    self._segment_path = lambda: "spfanblk-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfanblkItems, ['fbits', 'hwcbits', 'stackmib', 'coolcap', 'ambtemp', 'hppwrcon', 'hpcoolcon', 'sig', 'ver', 'len', 'cksum'], name, value)



                            class SpfansnItems(Entity):
                                """
                                
                                
                                .. attribute:: sernum
                                
                                	The sprom fan serial number
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sig
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: len
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: cksum
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems, self).__init__()

                                    self.yang_name = "spfansn-items"
                                    self.yang_parent_name = "spfan-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                                        ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                                        ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                                        ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                                        ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                                    ])
                                    self.sernum = None
                                    self.sig = None
                                    self.ver = None
                                    self.len = None
                                    self.cksum = None
                                    self._segment_path = lambda: "spfansn-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.FtItems.SpfanItems.SpfansnItems, ['sernum', 'sig', 'ver', 'len', 'cksum'], name, value)





                    class RtoosSlotItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.RtoosSlotItems, self).__init__()

                            self.yang_name = "rtoosSlot-items"
                            self.yang_parent_name = "FtSlot-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtoosSlot-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.FtslotItems.FtSlotList.RtoosSlotItems, ['tdn', 'tcl'], name, value)





            class SpbpItems(Entity):
                """
                
                
                .. attribute:: id
                
                	The sprom identifier
                	**type**\: int
                
                	**range:** 1..100
                
                	**config**\: False
                
                .. attribute:: vendor
                
                	Vendor
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model
                
                	Model
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rev
                
                	Revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ser
                
                	Serial Number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: type
                
                	The memory type
                	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                
                	**config**\: False
                
                .. attribute:: cap
                
                	The memory capacity
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: acc
                
                	The memory access type
                	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The memory operational status
                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                
                	**config**\: False
                
                .. attribute:: numblk
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: spcmn_items
                
                	
                	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpbpItems.SpcmnItems>`
                
                	**config**\: False
                
                .. attribute:: spbpblk_items
                
                	
                	**type**\:  :py:class:`SpbpblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpbpItems.SpbpblkItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.SpbpItems, self).__init__()

                    self.yang_name = "spbp-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ExtchItems.ExtChList.SpbpItems.SpcmnItems)), ("spbpblk-items", ("spbpblk_items", System.ExtchItems.ExtChList.SpbpItems.SpbpblkItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                        ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                        ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                        ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                    ])
                    self.id = None
                    self.vendor = None
                    self.model = None
                    self.rev = None
                    self.ser = None
                    self.descr = None
                    self.type = None
                    self.cap = None
                    self.acc = None
                    self.operst = None
                    self.numblk = None

                    self.spcmn_items = System.ExtchItems.ExtChList.SpbpItems.SpcmnItems()
                    self.spcmn_items.parent = self
                    self._children_name_map["spcmn_items"] = "spcmn-items"

                    self.spbpblk_items = System.ExtchItems.ExtChList.SpbpItems.SpbpblkItems()
                    self.spbpblk_items.parent = self
                    self._children_name_map["spbpblk_items"] = "spbpblk-items"
                    self._segment_path = lambda: "spbp-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.SpbpItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                class SpcmnItems(Entity):
                    """
                    
                    
                    .. attribute:: size
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: count
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: major
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: minor
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: oem
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pdnum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sernum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prtnum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgdev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: engbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: pwrcon
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-32768..32767
                    
                    	**config**\: False
                    
                    .. attribute:: rmafl
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clei
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sig
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: len
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cksum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpbpItems.SpcmnItems, self).__init__()

                        self.yang_name = "spcmn-items"
                        self.yang_parent_name = "spbp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                            ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                            ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                            ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                            ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                            ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                            ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                            ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                            ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                            ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                            ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                            ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                            ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                            ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                            ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                            ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                        ])
                        self.size = None
                        self.count = None
                        self.major = None
                        self.minor = None
                        self.oem = None
                        self.pdnum = None
                        self.sernum = None
                        self.prtnum = None
                        self.prev = None
                        self.mfgdev = None
                        self.hwver = None
                        self.mfgbits = None
                        self.engbits = None
                        self.pwrcon = None
                        self.rmafl = None
                        self.clei = None
                        self.vdrid = None
                        self.sig = None
                        self.ver = None
                        self.len = None
                        self.cksum = None
                        self._segment_path = lambda: "spcmn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpbpItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                class SpbpblkItems(Entity):
                    """
                    
                    
                    .. attribute:: fbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: hwcbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: macb
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: macl
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: stackmib
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: oemeprise
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: oemmib
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: maxcpwr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: sig
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: len
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cksum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpbpItems.SpbpblkItems, self).__init__()

                        self.yang_name = "spbpblk-items"
                        self.yang_parent_name = "spbp-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                            ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                            ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                            ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                            ('stackmib', (YLeaf(YType.uint16, 'stackMIB'), ['int'])),
                            ('oemeprise', (YLeaf(YType.uint16, 'oemEprise'), ['int'])),
                            ('oemmib', (YLeaf(YType.uint16, 'oemMIB'), ['int'])),
                            ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                            ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                            ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                            ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                        ])
                        self.fbits = None
                        self.hwcbits = None
                        self.macb = None
                        self.macl = None
                        self.stackmib = None
                        self.oemeprise = None
                        self.oemmib = None
                        self.maxcpwr = None
                        self.sig = None
                        self.ver = None
                        self.len = None
                        self.cksum = None
                        self._segment_path = lambda: "spbpblk-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpbpItems.SpbpblkItems, ['fbits', 'hwcbits', 'macb', 'macl', 'stackmib', 'oemeprise', 'oemmib', 'maxcpwr', 'sig', 'ver', 'len', 'cksum'], name, value)




            class SpsupItems(Entity):
                """
                
                
                .. attribute:: id
                
                	The sprom identifier
                	**type**\: int
                
                	**range:** 1..100
                
                	**config**\: False
                
                .. attribute:: vendor
                
                	Vendor
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model
                
                	Model
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rev
                
                	Revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ser
                
                	Serial Number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: type
                
                	The memory type
                	**type**\:  :py:class:`EqptMemT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptMemT>`
                
                	**config**\: False
                
                .. attribute:: cap
                
                	The memory capacity
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: acc
                
                	The memory access type
                	**type**\:  :py:class:`EqptAcc <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAcc>`
                
                	**config**\: False
                
                .. attribute:: operst
                
                	The memory operational status
                	**type**\:  :py:class:`EqptOpSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptOpSt>`
                
                	**config**\: False
                
                .. attribute:: numblk
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: spcmn_items
                
                	
                	**type**\:  :py:class:`SpcmnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpcmnItems>`
                
                	**config**\: False
                
                .. attribute:: spsupblk_items
                
                	
                	**type**\:  :py:class:`SpsupblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems>`
                
                	**config**\: False
                
                .. attribute:: sppd_items
                
                	
                	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SppdItems>`
                
                	**config**\: False
                
                .. attribute:: spsd_items
                
                	
                	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsdItems>`
                
                	**config**\: False
                
                .. attribute:: spsensorblk_items
                
                	
                	**type**\:  :py:class:`SpsensorblkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ExtchItems.ExtChList.SpsupItems, self).__init__()

                    self.yang_name = "spsup-items"
                    self.yang_parent_name = "ExtCh-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("spcmn-items", ("spcmn_items", System.ExtchItems.ExtChList.SpsupItems.SpcmnItems)), ("spsupblk-items", ("spsupblk_items", System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems)), ("sppd-items", ("sppd_items", System.ExtchItems.ExtChList.SpsupItems.SppdItems)), ("spsd-items", ("spsd_items", System.ExtchItems.ExtChList.SpsupItems.SpsdItems)), ("spsensorblk-items", ("spsensorblk_items", System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptMemT', '')])),
                        ('cap', (YLeaf(YType.uint32, 'cap'), ['int'])),
                        ('acc', (YLeaf(YType.enumeration, 'acc'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAcc', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptOpSt', '')])),
                        ('numblk', (YLeaf(YType.uint16, 'numBlk'), ['int'])),
                    ])
                    self.id = None
                    self.vendor = None
                    self.model = None
                    self.rev = None
                    self.ser = None
                    self.descr = None
                    self.type = None
                    self.cap = None
                    self.acc = None
                    self.operst = None
                    self.numblk = None

                    self.spcmn_items = System.ExtchItems.ExtChList.SpsupItems.SpcmnItems()
                    self.spcmn_items.parent = self
                    self._children_name_map["spcmn_items"] = "spcmn-items"

                    self.spsupblk_items = System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems()
                    self.spsupblk_items.parent = self
                    self._children_name_map["spsupblk_items"] = "spsupblk-items"

                    self.sppd_items = System.ExtchItems.ExtChList.SpsupItems.SppdItems()
                    self.sppd_items.parent = self
                    self._children_name_map["sppd_items"] = "sppd-items"

                    self.spsd_items = System.ExtchItems.ExtChList.SpsupItems.SpsdItems()
                    self.spsd_items.parent = self
                    self._children_name_map["spsd_items"] = "spsd-items"

                    self.spsensorblk_items = System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems()
                    self.spsensorblk_items.parent = self
                    self._children_name_map["spsensorblk_items"] = "spsensorblk-items"
                    self._segment_path = lambda: "spsup-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems, ['id', 'vendor', 'model', 'rev', 'ser', 'descr', 'type', 'cap', 'acc', 'operst', 'numblk'], name, value)


                class SpcmnItems(Entity):
                    """
                    
                    
                    .. attribute:: size
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: count
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: major
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: minor
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: oem
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pdnum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sernum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prtnum
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgdev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: hwver
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: mfgbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: engbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: pwrcon
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-32768..32767
                    
                    	**config**\: False
                    
                    .. attribute:: rmafl
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: clei
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vdrid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sig
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: len
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cksum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpsupItems.SpcmnItems, self).__init__()

                        self.yang_name = "spcmn-items"
                        self.yang_parent_name = "spsup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('size', (YLeaf(YType.uint16, 'size'), ['int'])),
                            ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                            ('major', (YLeaf(YType.uint16, 'major'), ['int'])),
                            ('minor', (YLeaf(YType.uint16, 'minor'), ['int'])),
                            ('oem', (YLeaf(YType.str, 'oem'), ['str'])),
                            ('pdnum', (YLeaf(YType.str, 'pdNum'), ['str'])),
                            ('sernum', (YLeaf(YType.str, 'serNum'), ['str'])),
                            ('prtnum', (YLeaf(YType.str, 'prtNum'), ['str'])),
                            ('prev', (YLeaf(YType.str, 'pRev'), ['str'])),
                            ('mfgdev', (YLeaf(YType.str, 'mfgDev'), ['str'])),
                            ('hwver', (YLeaf(YType.str, 'hwVer'), ['str'])),
                            ('mfgbits', (YLeaf(YType.uint16, 'mfgBits'), ['int'])),
                            ('engbits', (YLeaf(YType.uint16, 'engBits'), ['int'])),
                            ('pwrcon', (YLeaf(YType.int16, 'pwrCon'), ['int'])),
                            ('rmafl', (YLeaf(YType.str, 'rmaFl'), ['str'])),
                            ('clei', (YLeaf(YType.str, 'clei'), ['str'])),
                            ('vdrid', (YLeaf(YType.str, 'vdrId'), ['str'])),
                            ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                            ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                            ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                        ])
                        self.size = None
                        self.count = None
                        self.major = None
                        self.minor = None
                        self.oem = None
                        self.pdnum = None
                        self.sernum = None
                        self.prtnum = None
                        self.prev = None
                        self.mfgdev = None
                        self.hwver = None
                        self.mfgbits = None
                        self.engbits = None
                        self.pwrcon = None
                        self.rmafl = None
                        self.clei = None
                        self.vdrid = None
                        self.sig = None
                        self.ver = None
                        self.len = None
                        self.cksum = None
                        self._segment_path = lambda: "spcmn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpcmnItems, ['size', 'count', 'major', 'minor', 'oem', 'pdnum', 'sernum', 'prtnum', 'prev', 'mfgdev', 'hwver', 'mfgbits', 'engbits', 'pwrcon', 'rmafl', 'clei', 'vdrid', 'sig', 'ver', 'len', 'cksum'], name, value)



                class SpsupblkItems(Entity):
                    """
                    
                    
                    .. attribute:: fbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: hwcbits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: crdidx
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: macb
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: macl
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: eobcn
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: epldn
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: maxcpwr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: coolrq
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ambt
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: sensor1
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor2
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor3
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor4
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor5
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor6
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor7
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor8
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sig
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: len
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cksum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: spsd_items
                    
                    	
                    	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: sppd_items
                    
                    	
                    	**type**\:  :py:class:`SppdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SppdItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems, self).__init__()

                        self.yang_name = "spsupblk-items"
                        self.yang_parent_name = "spsup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems)), ("sppd-items", ("sppd_items", System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SppdItems))])
                        self._leafs = OrderedDict([
                            ('fbits', (YLeaf(YType.uint64, 'fbits'), ['int'])),
                            ('hwcbits', (YLeaf(YType.uint64, 'hwCBits'), ['int'])),
                            ('crdidx', (YLeaf(YType.uint16, 'crdIdx'), ['int'])),
                            ('macb', (YLeaf(YType.str, 'macB'), ['str'])),
                            ('macl', (YLeaf(YType.uint16, 'macL'), ['int'])),
                            ('eobcn', (YLeaf(YType.uint16, 'eobcN'), ['int'])),
                            ('epldn', (YLeaf(YType.uint16, 'epldN'), ['int'])),
                            ('maxcpwr', (YLeaf(YType.uint16, 'maxCPwr'), ['int'])),
                            ('coolrq', (YLeaf(YType.uint16, 'coolRq'), ['int'])),
                            ('ambt', (YLeaf(YType.uint16, 'ambT'), ['int'])),
                            ('sensor1', (YLeaf(YType.str, 'sensor1'), ['str'])),
                            ('sensor2', (YLeaf(YType.str, 'sensor2'), ['str'])),
                            ('sensor3', (YLeaf(YType.str, 'sensor3'), ['str'])),
                            ('sensor4', (YLeaf(YType.str, 'sensor4'), ['str'])),
                            ('sensor5', (YLeaf(YType.str, 'sensor5'), ['str'])),
                            ('sensor6', (YLeaf(YType.str, 'sensor6'), ['str'])),
                            ('sensor7', (YLeaf(YType.str, 'sensor7'), ['str'])),
                            ('sensor8', (YLeaf(YType.str, 'sensor8'), ['str'])),
                            ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                            ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                            ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                        ])
                        self.fbits = None
                        self.hwcbits = None
                        self.crdidx = None
                        self.macb = None
                        self.macl = None
                        self.eobcn = None
                        self.epldn = None
                        self.maxcpwr = None
                        self.coolrq = None
                        self.ambt = None
                        self.sensor1 = None
                        self.sensor2 = None
                        self.sensor3 = None
                        self.sensor4 = None
                        self.sensor5 = None
                        self.sensor6 = None
                        self.sensor7 = None
                        self.sensor8 = None
                        self.sig = None
                        self.ver = None
                        self.len = None
                        self.cksum = None

                        self.spsd_items = System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems()
                        self.spsd_items.parent = self
                        self._children_name_map["spsd_items"] = "spsd-items"

                        self.sppd_items = System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SppdItems()
                        self.sppd_items.parent = self
                        self._children_name_map["sppd_items"] = "sppd-items"
                        self._segment_path = lambda: "spsupblk-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems, ['fbits', 'hwcbits', 'crdidx', 'macb', 'macl', 'eobcn', 'epldn', 'maxcpwr', 'coolrq', 'ambt', 'sensor1', 'sensor2', 'sensor3', 'sensor4', 'sensor5', 'sensor6', 'sensor7', 'sensor8', 'sig', 'ver', 'len', 'cksum'], name, value)


                    class SpsdItems(Entity):
                        """
                        
                        
                        .. attribute:: spsd_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems.SpSdList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems, self).__init__()

                            self.yang_name = "spsd-items"
                            self.yang_parent_name = "spsupblk-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems.SpSdList))])
                            self._leafs = OrderedDict()

                            self.spsd_list = YList(self)
                            self._segment_path = lambda: "spsd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems, [], name, value)


                        class SpSdList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: majth
                            
                            	The sensor data sprom major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minth
                            
                            	The sensor data sprom minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems.SpSdList, self).__init__()

                                self.yang_name = "SpSd-list"
                                self.yang_parent_name = "spsd-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                    ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.majth = None
                                self.minth = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                    class SppdItems(Entity):
                        """
                        
                        
                        .. attribute:: prtty
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: numpts
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SppdItems, self).__init__()

                            self.yang_name = "sppd-items"
                            self.yang_parent_name = "spsupblk-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                                ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                            ])
                            self.prtty = None
                            self.numpts = None
                            self._segment_path = lambda: "sppd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsupblkItems.SppdItems, ['prtty', 'numpts'], name, value)




                class SppdItems(Entity):
                    """
                    
                    
                    .. attribute:: prtty
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: numpts
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpsupItems.SppdItems, self).__init__()

                        self.yang_name = "sppd-items"
                        self.yang_parent_name = "spsup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('prtty', (YLeaf(YType.uint16, 'prtTy'), ['int'])),
                            ('numpts', (YLeaf(YType.uint16, 'numPts'), ['int'])),
                        ])
                        self.prtty = None
                        self.numpts = None
                        self._segment_path = lambda: "sppd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SppdItems, ['prtty', 'numpts'], name, value)



                class SpsdItems(Entity):
                    """
                    
                    
                    .. attribute:: spsd_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsdItems.SpSdList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpsupItems.SpsdItems, self).__init__()

                        self.yang_name = "spsd-items"
                        self.yang_parent_name = "spsup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ExtchItems.ExtChList.SpsupItems.SpsdItems.SpSdList))])
                        self._leafs = OrderedDict()

                        self.spsd_list = YList(self)
                        self._segment_path = lambda: "spsd-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsdItems, [], name, value)


                    class SpSdList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: majth
                        
                        	The sensor data sprom major threshold
                        	**type**\: int
                        
                        	**range:** \-32768..32767
                        
                        	**config**\: False
                        
                        .. attribute:: minth
                        
                        	The sensor data sprom minor threshold
                        	**type**\: int
                        
                        	**range:** \-32768..32767
                        
                        	**config**\: False
                        
                        .. attribute:: vendor
                        
                        	Vendor
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: model
                        
                        	Model
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rev
                        
                        	Revision
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ser
                        
                        	Serial Number
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mfgtm
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        	**default value**\: 0
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.SpsupItems.SpsdItems.SpSdList, self).__init__()

                            self.yang_name = "SpSd-list"
                            self.yang_parent_name = "spsd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.id = None
                            self.majth = None
                            self.minth = None
                            self.vendor = None
                            self.model = None
                            self.rev = None
                            self.ser = None
                            self.mfgtm = None
                            self.descr = None
                            self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)




                class SpsensorblkItems(Entity):
                    """
                    
                    
                    .. attribute:: sensor9
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor10
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor11
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor12
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor13
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor14
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor15
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor16
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor17
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor18
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor19
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor20
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor21
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor22
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor23
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor24
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor25
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor26
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor27
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor28
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor29
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor30
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor31
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor32
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor33
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor34
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor35
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor36
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor37
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor38
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor39
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sensor40
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sig
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: ver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: len
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: cksum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: spsd_items
                    
                    	
                    	**type**\:  :py:class:`SpsdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems, self).__init__()

                        self.yang_name = "spsensorblk-items"
                        self.yang_parent_name = "spsup-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("spsd-items", ("spsd_items", System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems))])
                        self._leafs = OrderedDict([
                            ('sensor9', (YLeaf(YType.str, 'sensor9'), ['str'])),
                            ('sensor10', (YLeaf(YType.str, 'sensor10'), ['str'])),
                            ('sensor11', (YLeaf(YType.str, 'sensor11'), ['str'])),
                            ('sensor12', (YLeaf(YType.str, 'sensor12'), ['str'])),
                            ('sensor13', (YLeaf(YType.str, 'sensor13'), ['str'])),
                            ('sensor14', (YLeaf(YType.str, 'sensor14'), ['str'])),
                            ('sensor15', (YLeaf(YType.str, 'sensor15'), ['str'])),
                            ('sensor16', (YLeaf(YType.str, 'sensor16'), ['str'])),
                            ('sensor17', (YLeaf(YType.str, 'sensor17'), ['str'])),
                            ('sensor18', (YLeaf(YType.str, 'sensor18'), ['str'])),
                            ('sensor19', (YLeaf(YType.str, 'sensor19'), ['str'])),
                            ('sensor20', (YLeaf(YType.str, 'sensor20'), ['str'])),
                            ('sensor21', (YLeaf(YType.str, 'sensor21'), ['str'])),
                            ('sensor22', (YLeaf(YType.str, 'sensor22'), ['str'])),
                            ('sensor23', (YLeaf(YType.str, 'sensor23'), ['str'])),
                            ('sensor24', (YLeaf(YType.str, 'sensor24'), ['str'])),
                            ('sensor25', (YLeaf(YType.str, 'sensor25'), ['str'])),
                            ('sensor26', (YLeaf(YType.str, 'sensor26'), ['str'])),
                            ('sensor27', (YLeaf(YType.str, 'sensor27'), ['str'])),
                            ('sensor28', (YLeaf(YType.str, 'sensor28'), ['str'])),
                            ('sensor29', (YLeaf(YType.str, 'sensor29'), ['str'])),
                            ('sensor30', (YLeaf(YType.str, 'sensor30'), ['str'])),
                            ('sensor31', (YLeaf(YType.str, 'sensor31'), ['str'])),
                            ('sensor32', (YLeaf(YType.str, 'sensor32'), ['str'])),
                            ('sensor33', (YLeaf(YType.str, 'sensor33'), ['str'])),
                            ('sensor34', (YLeaf(YType.str, 'sensor34'), ['str'])),
                            ('sensor35', (YLeaf(YType.str, 'sensor35'), ['str'])),
                            ('sensor36', (YLeaf(YType.str, 'sensor36'), ['str'])),
                            ('sensor37', (YLeaf(YType.str, 'sensor37'), ['str'])),
                            ('sensor38', (YLeaf(YType.str, 'sensor38'), ['str'])),
                            ('sensor39', (YLeaf(YType.str, 'sensor39'), ['str'])),
                            ('sensor40', (YLeaf(YType.str, 'sensor40'), ['str'])),
                            ('sig', (YLeaf(YType.uint16, 'sig'), ['int'])),
                            ('ver', (YLeaf(YType.uint16, 'ver'), ['int'])),
                            ('len', (YLeaf(YType.uint16, 'len'), ['int'])),
                            ('cksum', (YLeaf(YType.uint16, 'cksum'), ['int'])),
                        ])
                        self.sensor9 = None
                        self.sensor10 = None
                        self.sensor11 = None
                        self.sensor12 = None
                        self.sensor13 = None
                        self.sensor14 = None
                        self.sensor15 = None
                        self.sensor16 = None
                        self.sensor17 = None
                        self.sensor18 = None
                        self.sensor19 = None
                        self.sensor20 = None
                        self.sensor21 = None
                        self.sensor22 = None
                        self.sensor23 = None
                        self.sensor24 = None
                        self.sensor25 = None
                        self.sensor26 = None
                        self.sensor27 = None
                        self.sensor28 = None
                        self.sensor29 = None
                        self.sensor30 = None
                        self.sensor31 = None
                        self.sensor32 = None
                        self.sensor33 = None
                        self.sensor34 = None
                        self.sensor35 = None
                        self.sensor36 = None
                        self.sensor37 = None
                        self.sensor38 = None
                        self.sensor39 = None
                        self.sensor40 = None
                        self.sig = None
                        self.ver = None
                        self.len = None
                        self.cksum = None

                        self.spsd_items = System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems()
                        self.spsd_items.parent = self
                        self._children_name_map["spsd_items"] = "spsd-items"
                        self._segment_path = lambda: "spsensorblk-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems, ['sensor9', 'sensor10', 'sensor11', 'sensor12', 'sensor13', 'sensor14', 'sensor15', 'sensor16', 'sensor17', 'sensor18', 'sensor19', 'sensor20', 'sensor21', 'sensor22', 'sensor23', 'sensor24', 'sensor25', 'sensor26', 'sensor27', 'sensor28', 'sensor29', 'sensor30', 'sensor31', 'sensor32', 'sensor33', 'sensor34', 'sensor35', 'sensor36', 'sensor37', 'sensor38', 'sensor39', 'sensor40', 'sig', 'ver', 'len', 'cksum'], name, value)


                    class SpsdItems(Entity):
                        """
                        
                        
                        .. attribute:: spsd_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SpSdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems, self).__init__()

                            self.yang_name = "spsd-items"
                            self.yang_parent_name = "spsensorblk-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SpSd-list", ("spsd_list", System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList))])
                            self._leafs = OrderedDict()

                            self.spsd_list = YList(self)
                            self._segment_path = lambda: "spsd-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems, [], name, value)


                        class SpSdList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: majth
                            
                            	The sensor data sprom major threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: minth
                            
                            	The sensor data sprom minor threshold
                            	**type**\: int
                            
                            	**range:** \-32768..32767
                            
                            	**config**\: False
                            
                            .. attribute:: vendor
                            
                            	Vendor
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: model
                            
                            	Model
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rev
                            
                            	Revision
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ser
                            
                            	Serial Number
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: mfgtm
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            	**default value**\: 0
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList, self).__init__()

                                self.yang_name = "SpSd-list"
                                self.yang_parent_name = "spsd-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('majth', (YLeaf(YType.int16, 'majTh'), ['int'])),
                                    ('minth', (YLeaf(YType.int16, 'minTh'), ['int'])),
                                    ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                                    ('model', (YLeaf(YType.str, 'model'), ['str'])),
                                    ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                                    ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                                    ('mfgtm', (YLeaf(YType.str, 'mfgTm'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.id = None
                                self.majth = None
                                self.minth = None
                                self.vendor = None
                                self.model = None
                                self.rev = None
                                self.ser = None
                                self.mfgtm = None
                                self.descr = None
                                self._segment_path = lambda: "SpSd-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ExtchItems.ExtChList.SpsupItems.SpsensorblkItems.SpsdItems.SpSdList, ['id', 'majth', 'minth', 'vendor', 'model', 'rev', 'ser', 'mfgtm', 'descr'], name, value)








    class OpsItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        	**config**\: False
        
        .. attribute:: consolep_items
        
        	
        	**type**\:  :py:class:`ConsolepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.ConsolepItems>`
        
        .. attribute:: fanzone_items
        
        	
        	**type**\:  :py:class:`FanzoneItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.FanzoneItems>`
        
        .. attribute:: psgp_items
        
        	
        	**type**\:  :py:class:`PsgpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.PsgpItems>`
        
        .. attribute:: slot_items
        
        	
        	**type**\:  :py:class:`SlotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.SlotItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.OpsItems, self).__init__()

            self.yang_name = "ops-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("consolep-items", ("consolep_items", System.OpsItems.ConsolepItems)), ("fanzone-items", ("fanzone_items", System.OpsItems.FanzoneItems)), ("psgp-items", ("psgp_items", System.OpsItems.PsgpItems)), ("slot-items", ("slot_items", System.OpsItems.SlotItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
            ])
            self.name = None

            self.consolep_items = System.OpsItems.ConsolepItems()
            self.consolep_items.parent = self
            self._children_name_map["consolep_items"] = "consolep-items"

            self.fanzone_items = System.OpsItems.FanzoneItems()
            self.fanzone_items.parent = self
            self._children_name_map["fanzone_items"] = "fanzone-items"

            self.psgp_items = System.OpsItems.PsgpItems()
            self.psgp_items.parent = self
            self._children_name_map["psgp_items"] = "psgp-items"

            self.slot_items = System.OpsItems.SlotItems()
            self.slot_items.parent = self
            self._children_name_map["slot_items"] = "slot-items"
            self._segment_path = lambda: "ops-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.OpsItems, ['name'], name, value)


        class ConsolepItems(Entity):
            """
            
            
            .. attribute:: databits
            
            	Data Bits
            	**type**\: int
            
            	**range:** 5..8
            
            	**config**\: False
            
            .. attribute:: inactiveintvl
            
            	Inactive Interval
            	**type**\: int
            
            	**range:** 0..525600
            
            	**config**\: False
            
            .. attribute:: parity
            
            	Parity
            	**type**\:  :py:class:`EqptParity <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptParity>`
            
            	**config**\: False
            
            .. attribute:: baudrate
            
            	Baud Rate
            	**type**\:  :py:class:`EqptBaudRate <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptBaudRate>`
            
            	**config**\: False
            
            .. attribute:: stopbits
            
            	Stop Bits
            	**type**\: int
            
            	**range:** 1..2
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            	**config**\: False
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OpsItems.ConsolepItems, self).__init__()

                self.yang_name = "consolep-items"
                self.yang_parent_name = "ops-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('databits', (YLeaf(YType.uint16, 'dataBits'), ['int'])),
                    ('inactiveintvl', (YLeaf(YType.uint32, 'inactiveIntvl'), ['int'])),
                    ('parity', (YLeaf(YType.enumeration, 'parity'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptParity', '')])),
                    ('baudrate', (YLeaf(YType.enumeration, 'baudRate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptBaudRate', '')])),
                    ('stopbits', (YLeaf(YType.uint16, 'stopBits'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.databits = None
                self.inactiveintvl = None
                self.parity = None
                self.baudrate = None
                self.stopbits = None
                self.name = None
                self.descr = None
                self._segment_path = lambda: "consolep-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OpsItems.ConsolepItems, ['databits', 'inactiveintvl', 'parity', 'baudrate', 'stopbits', 'name', 'descr'], name, value)



        class FanzoneItems(Entity):
            """
            
            
            .. attribute:: zonespeed
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: airfilter
            
            	The fan air filter
            	**type**\:  :py:class:`EqptAirFilter <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptAirFilter>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OpsItems.FanzoneItems, self).__init__()

                self.yang_name = "fanzone-items"
                self.yang_parent_name = "ops-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('zonespeed', (YLeaf(YType.uint32, 'zoneSpeed'), ['int'])),
                    ('airfilter', (YLeaf(YType.enumeration, 'airFilter'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptAirFilter', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.zonespeed = None
                self.airfilter = None
                self.name = None
                self._segment_path = lambda: "fanzone-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OpsItems.FanzoneItems, ['zonespeed', 'airfilter', 'name'], name, value)



        class PsgpItems(Entity):
            """
            
            
            .. attribute:: adminrdnm
            
            	The power supply group admin redundancy mode
            	**type**\:  :py:class:`EqptPsRdnM <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPsRdnM>`
            
            .. attribute:: operrdnm
            
            	The power supply group operational redundancy mode
            	**type**\:  :py:class:`EqptPsRdnM <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPsRdnM>`
            
            	**config**\: False
            
            .. attribute:: tc
            
            	The power supply group total capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: rsdpwr
            
            	The power supply group reserved power
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: alpwr
            
            	The power supply group allocated power
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: avpwr
            
            	The power supply group available power
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: unit
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: nrdncap
            
            	The power supply group non\-redundant capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: psrdncap
            
            	The power supply group N+1 redundant capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: acrdncap
            
            	AC Redundant Capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: grdrdncap
            
            	The power supply group grid redundant capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: flrdncap
            
            	The power supply group full redundant capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: grdacap
            
            	The power supply Grid\-A total power capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: grdbcap
            
            	The power supply Grid\-B total power capacity
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: inputdraw
            
            	The power supply total power input (actual draw)
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: outputdraw
            
            	The power supply total power output (actual draw)
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: cordsconnected
            
            	
            	**type**\: bool
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..64
            
            .. attribute:: descr
            
            	Description
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: rspsuinstpolcons_items
            
            	
            	**type**\:  :py:class:`RspsuInstPolConsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.PsgpItems.RspsuInstPolConsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OpsItems.PsgpItems, self).__init__()

                self.yang_name = "psgp-items"
                self.yang_parent_name = "ops-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("rspsuInstPolCons-items", ("rspsuinstpolcons_items", System.OpsItems.PsgpItems.RspsuInstPolConsItems))])
                self._leafs = OrderedDict([
                    ('adminrdnm', (YLeaf(YType.enumeration, 'adminRdnM'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPsRdnM', '')])),
                    ('operrdnm', (YLeaf(YType.enumeration, 'operRdnM'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPsRdnM', '')])),
                    ('tc', (YLeaf(YType.uint32, 'tc'), ['int'])),
                    ('rsdpwr', (YLeaf(YType.uint32, 'rsdPwr'), ['int'])),
                    ('alpwr', (YLeaf(YType.uint32, 'alPwr'), ['int'])),
                    ('avpwr', (YLeaf(YType.uint32, 'avPwr'), ['int'])),
                    ('unit', (YLeaf(YType.str, 'unit'), ['str'])),
                    ('nrdncap', (YLeaf(YType.uint32, 'nRdnCap'), ['int'])),
                    ('psrdncap', (YLeaf(YType.uint32, 'psRdnCap'), ['int'])),
                    ('acrdncap', (YLeaf(YType.uint32, 'acRdnCap'), ['int'])),
                    ('grdrdncap', (YLeaf(YType.uint32, 'grdRdnCap'), ['int'])),
                    ('flrdncap', (YLeaf(YType.uint32, 'flRdnCap'), ['int'])),
                    ('grdacap', (YLeaf(YType.uint32, 'grdACap'), ['int'])),
                    ('grdbcap', (YLeaf(YType.uint32, 'grdBCap'), ['int'])),
                    ('inputdraw', (YLeaf(YType.uint32, 'inputDraw'), ['int'])),
                    ('outputdraw', (YLeaf(YType.uint32, 'outputDraw'), ['int'])),
                    ('cordsconnected', (YLeaf(YType.boolean, 'cordsConnected'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.adminrdnm = None
                self.operrdnm = None
                self.tc = None
                self.rsdpwr = None
                self.alpwr = None
                self.avpwr = None
                self.unit = None
                self.nrdncap = None
                self.psrdncap = None
                self.acrdncap = None
                self.grdrdncap = None
                self.flrdncap = None
                self.grdacap = None
                self.grdbcap = None
                self.inputdraw = None
                self.outputdraw = None
                self.cordsconnected = None
                self.name = None
                self.descr = None

                self.rspsuinstpolcons_items = System.OpsItems.PsgpItems.RspsuInstPolConsItems()
                self.rspsuinstpolcons_items.parent = self
                self._children_name_map["rspsuinstpolcons_items"] = "rspsuInstPolCons-items"
                self._segment_path = lambda: "psgp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OpsItems.PsgpItems, ['adminrdnm', 'operrdnm', 'tc', 'rsdpwr', 'alpwr', 'avpwr', 'unit', 'nrdncap', 'psrdncap', 'acrdncap', 'grdrdncap', 'flrdncap', 'grdacap', 'grdbcap', 'inputdraw', 'outputdraw', 'cordsconnected', 'name', 'descr'], name, value)


            class RspsuInstPolConsItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.OpsItems.PsgpItems.RspsuInstPolConsItems, self).__init__()

                    self.yang_name = "rspsuInstPolCons-items"
                    self.yang_parent_name = "psgp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rspsuInstPolCons-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/psgp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.OpsItems.PsgpItems.RspsuInstPolConsItems, ['tdn', 'tcl'], name, value)




        class SlotItems(Entity):
            """
            
            
            .. attribute:: slotp_list
            
            	
            	**type**\: list of  		 :py:class:`SlotPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.OpsItems.SlotItems.SlotPList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.OpsItems.SlotItems, self).__init__()

                self.yang_name = "slot-items"
                self.yang_parent_name = "ops-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("SlotP-list", ("slotp_list", System.OpsItems.SlotItems.SlotPList))])
                self._leafs = OrderedDict()

                self.slotp_list = YList(self)
                self._segment_path = lambda: "slot-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.OpsItems.SlotItems, [], name, value)


            class SlotPList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	The slop policy type
                	**type**\:  :py:class:`EqptSlotT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptSlotT>`
                
                	**config**\: False
                
                .. attribute:: id  (key)
                
                	The slot policy logical identifier
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	The slot policy controls
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.OpsItems.SlotItems.SlotPList, self).__init__()

                    self.yang_name = "SlotP-list"
                    self.yang_parent_name = "slot-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type','id']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptSlotT', '')])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.type = None
                    self.id = None
                    self.ctrl = None
                    self.name = None
                    self.descr = None
                    self._segment_path = lambda: "SlotP-list" + "[type='" + str(self.type) + "']" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ops-items/slot-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.OpsItems.SlotItems.SlotPList, ['type', 'id', 'ctrl', 'name', 'descr'], name, value)





    class EqptcapacityItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 0..64
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.EqptcapacityItems, self).__init__()

            self.yang_name = "eqptcapacity-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
            ])
            self.name = None
            self._segment_path = lambda: "eqptcapacity-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.EqptcapacityItems, ['name'], name, value)



    class DiagItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: grptests_items
        
        	
        	**type**\:  :py:class:`GrptestsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.GrptestsItems>`
        
        .. attribute:: rule_items
        
        	
        	**type**\:  :py:class:`RuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.DiagItems, self).__init__()

            self.yang_name = "diag-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("grptests-items", ("grptests_items", System.DiagItems.GrptestsItems)), ("rule-items", ("rule_items", System.DiagItems.RuleItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.grptests_items = System.DiagItems.GrptestsItems()
            self.grptests_items.parent = self
            self._children_name_map["grptests_items"] = "grptests-items"

            self.rule_items = System.DiagItems.RuleItems()
            self.rule_items.parent = self
            self._children_name_map["rule_items"] = "rule-items"
            self._segment_path = lambda: "diag-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.DiagItems, ['name', 'adminst', 'operst'], name, value)


        class GrptestsItems(Entity):
            """
            
            
            .. attribute:: grptests_list
            
            	
            	**type**\: list of  		 :py:class:`GrpTestsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.GrptestsItems.GrpTestsList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.DiagItems.GrptestsItems, self).__init__()

                self.yang_name = "grptests-items"
                self.yang_parent_name = "diag-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("GrpTests-list", ("grptests_list", System.DiagItems.GrptestsItems.GrpTestsList))])
                self._leafs = OrderedDict()

                self.grptests_list = YList(self)
                self._segment_path = lambda: "grptests-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/diag-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.DiagItems.GrptestsItems, [], name, value)


            class GrpTestsList(Entity):
                """
                
                
                .. attribute:: subjclass  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	Model of the Subject
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: grp  (key)
                
                	Diag Test Group
                	**type**\:  :py:class:`EqptdiagAllGrpsT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptdiagAllGrpsT>`
                
                	**config**\: False
                
                .. attribute:: testbm
                
                	CLass Name of the Subject
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DiagItems.GrptestsItems.GrpTestsList, self).__init__()

                    self.yang_name = "GrpTests-list"
                    self.yang_parent_name = "grptests-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['subjclass','model','grp']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('subjclass', (YLeaf(YType.str, 'subjClass'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('grp', (YLeaf(YType.enumeration, 'grp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptdiagAllGrpsT', '')])),
                        ('testbm', (YLeaf(YType.str, 'testBm'), ['str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.subjclass = None
                    self.model = None
                    self.grp = None
                    self.testbm = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self._segment_path = lambda: "GrpTests-list" + "[subjClass='" + str(self.subjclass) + "']" + "[model='" + str(self.model) + "']" + "[grp='" + str(self.grp) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/diag-items/grptests-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DiagItems.GrptestsItems.GrpTestsList, ['subjclass', 'model', 'grp', 'testbm', 'name', 'ownerkey', 'ownertag', 'descr'], name, value)




        class RuleItems(Entity):
            """
            
            
            .. attribute:: rule_list
            
            	
            	**type**\: list of  		 :py:class:`RuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.DiagItems.RuleItems, self).__init__()

                self.yang_name = "rule-items"
                self.yang_parent_name = "diag-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Rule-list", ("rule_list", System.DiagItems.RuleItems.RuleList))])
                self._leafs = OrderedDict()

                self.rule_list = YList(self)
                self._segment_path = lambda: "rule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/diag-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.DiagItems.RuleItems, [], name, value)


            class RuleList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: trig  (key)
                
                	Trigger
                	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: freq
                
                	Frequency
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: subj_items
                
                	
                	**type**\:  :py:class:`SubjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList.SubjItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.DiagItems.RuleItems.RuleList, self).__init__()

                    self.yang_name = "Rule-list"
                    self.yang_parent_name = "rule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type','trig']
                    self._child_classes = OrderedDict([("subj-items", ("subj_items", System.DiagItems.RuleItems.RuleList.SubjItems))])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.uint16, 'type'), ['int'])),
                        ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                    ])
                    self.type = None
                    self.trig = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.freq = None

                    self.subj_items = System.DiagItems.RuleItems.RuleList.SubjItems()
                    self.subj_items.parent = self
                    self._children_name_map["subj_items"] = "subj-items"
                    self._segment_path = lambda: "Rule-list" + "[type='" + str(self.type) + "']" + "[trig='" + str(self.trig) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/diag-items/rule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.DiagItems.RuleItems.RuleList, ['type', 'trig', 'name', 'ownerkey', 'ownertag', 'descr', 'freq'], name, value)


                class SubjItems(Entity):
                    """
                    
                    
                    .. attribute:: subj_list
                    
                    	
                    	**type**\: list of  		 :py:class:`SubjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList.SubjItems.SubjList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.DiagItems.RuleItems.RuleList.SubjItems, self).__init__()

                        self.yang_name = "subj-items"
                        self.yang_parent_name = "Rule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Subj-list", ("subj_list", System.DiagItems.RuleItems.RuleList.SubjItems.SubjList))])
                        self._leafs = OrderedDict()

                        self.subj_list = YList(self)
                        self._segment_path = lambda: "subj-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.DiagItems.RuleItems.RuleList.SubjItems, [], name, value)


                    class SubjList(Entity):
                        """
                        
                        
                        .. attribute:: odn  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: opk
                        
                        	Object Primary Key
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: osk
                        
                        	Object Secondary Key
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`TestOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: rslt_items
                        
                        	
                        	**type**\:  :py:class:`RsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: portteststats_items
                        
                        	
                        	**type**\:  :py:class:`PortteststatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.PortteststatsItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList, self).__init__()

                            self.yang_name = "Subj-list"
                            self.yang_parent_name = "subj-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['odn']
                            self._child_classes = OrderedDict([("rslt-items", ("rslt_items", System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems)), ("portteststats-items", ("portteststats_items", System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.PortteststatsItems))])
                            self._leafs = OrderedDict([
                                ('odn', (YLeaf(YType.str, 'oDn'), ['str'])),
                                ('opk', (YLeaf(YType.str, 'oPk'), ['str'])),
                                ('osk', (YLeaf(YType.str, 'oSk'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestOperSt', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.odn = None
                            self.opk = None
                            self.osk = None
                            self.operst = None
                            self.name = None

                            self.rslt_items = System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems()
                            self.rslt_items.parent = self
                            self._children_name_map["rslt_items"] = "rslt-items"

                            self.portteststats_items = System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.PortteststatsItems()
                            self.portteststats_items.parent = self
                            self._children_name_map["portteststats_items"] = "portteststats-items"
                            self._segment_path = lambda: "Subj-list" + "[oDn='" + str(self.odn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList, ['odn', 'opk', 'osk', 'operst', 'name'], name, value)


                        class RsltItems(Entity):
                            """
                            
                            
                            .. attribute:: rslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems.RsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems, self).__init__()

                                self.yang_name = "rslt-items"
                                self.yang_parent_name = "Subj-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Rslt-list", ("rslt_list", System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems.RsltList))])
                                self._leafs = OrderedDict()

                                self.rslt_list = YList(self)
                                self._segment_path = lambda: "rslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems, [], name, value)


                            class RsltList(Entity):
                                """
                                
                                
                                .. attribute:: ts  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: trig
                                
                                	Trigger
                                	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`TestOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	Operational State Qualifier
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..16
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems.RsltList, self).__init__()

                                    self.yang_name = "Rslt-list"
                                    self.yang_parent_name = "rslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['ts']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                        ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestOperSt', '')])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.ts = None
                                    self.trig = None
                                    self.operst = None
                                    self.qual = None
                                    self.name = None
                                    self._segment_path = lambda: "Rslt-list" + "[ts='" + str(self.ts) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.RsltItems.RsltList, ['ts', 'trig', 'operst', 'qual', 'name'], name, value)




                        class PortteststatsItems(Entity):
                            """
                            
                            
                            .. attribute:: pktsent
                            
                            	Packets Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: pktrcvd
                            
                            	Packets Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: pktdrop
                            
                            	Packets Dropped
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.PortteststatsItems, self).__init__()

                                self.yang_name = "portteststats-items"
                                self.yang_parent_name = "Subj-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('pktsent', (YLeaf(YType.uint32, 'pktSent'), ['int'])),
                                    ('pktrcvd', (YLeaf(YType.uint32, 'pktRcvd'), ['int'])),
                                    ('pktdrop', (YLeaf(YType.uint32, 'pktDrop'), ['int'])),
                                ])
                                self.pktsent = None
                                self.pktrcvd = None
                                self.pktdrop = None
                                self._segment_path = lambda: "portteststats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.DiagItems.RuleItems.RuleList.SubjItems.SubjList.PortteststatsItems, ['pktsent', 'pktrcvd', 'pktdrop'], name, value)








    class LsnodeItems(Entity):
        """
        
        
        .. attribute:: loosenode_list
        
        	
        	**type**\: list of  		 :py:class:`LooseNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.LsnodeItems, self).__init__()

            self.yang_name = "lsnode-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("LooseNode-list", ("loosenode_list", System.LsnodeItems.LooseNodeList))])
            self._leafs = OrderedDict()

            self.loosenode_list = YList(self)
            self._segment_path = lambda: "lsnode-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.LsnodeItems, [], name, value)


        class LooseNodeList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	TBD
            	**type**\: str
            
            .. attribute:: sysdesc
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: sysname
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            .. attribute:: rtfvepdeftoloosenode_items
            
            	
            	**type**\:  :py:class:`RtfvEpDefToLooseNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems>`
            
            .. attribute:: rtfvlsnodeatt_items
            
            	
            	**type**\:  :py:class:`RtfvLsNodeAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems>`
            
            .. attribute:: rttunneltunneltoloosenode_items
            
            	
            	**type**\:  :py:class:`RttunnelTunnelToLooseNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems>`
            
            .. attribute:: rslsnodetoif_items
            
            	
            	**type**\:  :py:class:`RslsNodeToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RslsNodeToIfItems>`
            
            .. attribute:: rslsattlink_items
            
            	
            	**type**\:  :py:class:`RslsAttLinkItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RslsAttLinkItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LsnodeItems.LooseNodeList, self).__init__()

                self.yang_name = "LooseNode-list"
                self.yang_parent_name = "lsnode-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("rtfvEpDefToLooseNode-items", ("rtfvepdeftoloosenode_items", System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems)), ("rtfvLsNodeAtt-items", ("rtfvlsnodeatt_items", System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems)), ("rttunnelTunnelToLooseNode-items", ("rttunneltunneltoloosenode_items", System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems)), ("rslsNodeToIf-items", ("rslsnodetoif_items", System.LsnodeItems.LooseNodeList.RslsNodeToIfItems)), ("rslsAttLink-items", ("rslsattlink_items", System.LsnodeItems.LooseNodeList.RslsAttLinkItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('sysdesc', (YLeaf(YType.str, 'sysDesc'), ['str'])),
                    ('sysname', (YLeaf(YType.str, 'sysName'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ])
                self.id = None
                self.sysdesc = None
                self.sysname = None
                self.name = None

                self.rtfvepdeftoloosenode_items = System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems()
                self.rtfvepdeftoloosenode_items.parent = self
                self._children_name_map["rtfvepdeftoloosenode_items"] = "rtfvEpDefToLooseNode-items"

                self.rtfvlsnodeatt_items = System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems()
                self.rtfvlsnodeatt_items.parent = self
                self._children_name_map["rtfvlsnodeatt_items"] = "rtfvLsNodeAtt-items"

                self.rttunneltunneltoloosenode_items = System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems()
                self.rttunneltunneltoloosenode_items.parent = self
                self._children_name_map["rttunneltunneltoloosenode_items"] = "rttunnelTunnelToLooseNode-items"

                self.rslsnodetoif_items = System.LsnodeItems.LooseNodeList.RslsNodeToIfItems()
                self.rslsnodetoif_items.parent = self
                self._children_name_map["rslsnodetoif_items"] = "rslsNodeToIf-items"

                self.rslsattlink_items = System.LsnodeItems.LooseNodeList.RslsAttLinkItems()
                self.rslsattlink_items.parent = self
                self._children_name_map["rslsattlink_items"] = "rslsAttLink-items"
                self._segment_path = lambda: "LooseNode-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/lsnode-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LsnodeItems.LooseNodeList, ['id', 'sysdesc', 'sysname', 'name'], name, value)


            class RtfvEpDefToLooseNodeItems(Entity):
                """
                
                
                .. attribute:: rtfvepdeftoloosenode_list
                
                	
                	**type**\: list of  		 :py:class:`RtFvEpDefToLooseNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems.RtFvEpDefToLooseNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems, self).__init__()

                    self.yang_name = "rtfvEpDefToLooseNode-items"
                    self.yang_parent_name = "LooseNode-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFvEpDefToLooseNode-list", ("rtfvepdeftoloosenode_list", System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems.RtFvEpDefToLooseNodeList))])
                    self._leafs = OrderedDict()

                    self.rtfvepdeftoloosenode_list = YList(self)
                    self._segment_path = lambda: "rtfvEpDefToLooseNode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems, [], name, value)


                class RtFvEpDefToLooseNodeList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems.RtFvEpDefToLooseNodeList, self).__init__()

                        self.yang_name = "RtFvEpDefToLooseNode-list"
                        self.yang_parent_name = "rtfvEpDefToLooseNode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFvEpDefToLooseNode-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LsnodeItems.LooseNodeList.RtfvEpDefToLooseNodeItems.RtFvEpDefToLooseNodeList, ['tdn', 'tcl'], name, value)




            class RtfvLsNodeAttItems(Entity):
                """
                
                
                .. attribute:: rtfvlsnodeatt_list
                
                	
                	**type**\: list of  		 :py:class:`RtFvLsNodeAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems.RtFvLsNodeAttList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems, self).__init__()

                    self.yang_name = "rtfvLsNodeAtt-items"
                    self.yang_parent_name = "LooseNode-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFvLsNodeAtt-list", ("rtfvlsnodeatt_list", System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems.RtFvLsNodeAttList))])
                    self._leafs = OrderedDict()

                    self.rtfvlsnodeatt_list = YList(self)
                    self._segment_path = lambda: "rtfvLsNodeAtt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems, [], name, value)


                class RtFvLsNodeAttList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems.RtFvLsNodeAttList, self).__init__()

                        self.yang_name = "RtFvLsNodeAtt-list"
                        self.yang_parent_name = "rtfvLsNodeAtt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFvLsNodeAtt-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LsnodeItems.LooseNodeList.RtfvLsNodeAttItems.RtFvLsNodeAttList, ['tdn', 'tcl'], name, value)




            class RttunnelTunnelToLooseNodeItems(Entity):
                """
                
                
                .. attribute:: rttunneltunneltoloosenode_list
                
                	
                	**type**\: list of  		 :py:class:`RtTunnelTunnelToLooseNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems.RtTunnelTunnelToLooseNodeList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems, self).__init__()

                    self.yang_name = "rttunnelTunnelToLooseNode-items"
                    self.yang_parent_name = "LooseNode-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtTunnelTunnelToLooseNode-list", ("rttunneltunneltoloosenode_list", System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems.RtTunnelTunnelToLooseNodeList))])
                    self._leafs = OrderedDict()

                    self.rttunneltunneltoloosenode_list = YList(self)
                    self._segment_path = lambda: "rttunnelTunnelToLooseNode-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems, [], name, value)


                class RtTunnelTunnelToLooseNodeList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems.RtTunnelTunnelToLooseNodeList, self).__init__()

                        self.yang_name = "RtTunnelTunnelToLooseNode-list"
                        self.yang_parent_name = "rttunnelTunnelToLooseNode-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtTunnelTunnelToLooseNode-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LsnodeItems.LooseNodeList.RttunnelTunnelToLooseNodeItems.RtTunnelTunnelToLooseNodeList, ['tdn', 'tcl'], name, value)




            class RslsNodeToIfItems(Entity):
                """
                
                
                .. attribute:: rslsnodetoif_list
                
                	
                	**type**\: list of  		 :py:class:`RsLsNodeToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LsnodeItems.LooseNodeList.RslsNodeToIfItems.RsLsNodeToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LsnodeItems.LooseNodeList.RslsNodeToIfItems, self).__init__()

                    self.yang_name = "rslsNodeToIf-items"
                    self.yang_parent_name = "LooseNode-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsLsNodeToIf-list", ("rslsnodetoif_list", System.LsnodeItems.LooseNodeList.RslsNodeToIfItems.RsLsNodeToIfList))])
                    self._leafs = OrderedDict()

                    self.rslsnodetoif_list = YList(self)
                    self._segment_path = lambda: "rslsNodeToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LsnodeItems.LooseNodeList.RslsNodeToIfItems, [], name, value)


                class RsLsNodeToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LsnodeItems.LooseNodeList.RslsNodeToIfItems.RsLsNodeToIfList, self).__init__()

                        self.yang_name = "RsLsNodeToIf-list"
                        self.yang_parent_name = "rslsNodeToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RsLsNodeToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LsnodeItems.LooseNodeList.RslsNodeToIfItems.RsLsNodeToIfList, ['tdn', 'tcl'], name, value)




            class RslsAttLinkItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LsnodeItems.LooseNodeList.RslsAttLinkItems, self).__init__()

                    self.yang_name = "rslsAttLink-items"
                    self.yang_parent_name = "LooseNode-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rslsAttLink-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LsnodeItems.LooseNodeList.RslsAttLinkItems, ['tdn', 'tcl'], name, value)





    class PltfmItems(Entity):
        """
        
        
        .. attribute:: descr
        
        	
        	**type**\: str
        
        .. attribute:: profilemode
        
        	Hardware profile mode for platform entity 
        	**type**\:  :py:class:`PlatformHwProfile <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformHwProfile>`
        
        .. attribute:: profiletuple
        
        	Profile tuple for platform entity
        	**type**\:  :py:class:`PlatformTuple <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformTuple>`
        
        .. attribute:: unicastsyslogthreshold
        
        	Specifies to generate a syslog entry when the specified maximum buffer size is exceeded for unicast cases. The default is 90 percent of the total available shared buffer
        	**type**\: int
        
        	**range:** 1..100
        
        .. attribute:: lpmmaxlimit
        
        	Maximum limit for LPM routes
        	**type**\: int
        
        	**range:** 0..4096
        
        .. attribute:: unicastmaxlimit
        
        	Maximum limit for unicast LPM routes
        	**type**\: int
        
        	**range:** 0..8000
        
        .. attribute:: multicastmaxlimit
        
        	Maximum limit for multicast LPM routes
        	**type**\: int
        
        	**range:** 0..8000
        
        .. attribute:: multicastservicereflectport
        
        	mcast service\-reflect port
        	**type**\: int
        
        	**range:** 0..48
        
        .. attribute:: pstatcfg
        
        	pstat enable
        	**type**\:  :py:class:`PlatformPstatCfg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformPstatCfg>`
        
        .. attribute:: multicastsyslogthreshold
        
        	Specifies to generate a syslog entry when the specified maximum buffer size is exceeded for multicast cases. The default is 90 percent of the total available shared buffer
        	**type**\: int
        
        	**range:** 1..100
        
        .. attribute:: ipv6alpmcarvevalue
        
        	Hardware profile ipv6 alpm carve\-value
        	**type**\: int
        
        	**range:** 0..4096
        
        .. attribute:: routingmode
        
        	Routing mode
        	**type**\:  :py:class:`PlatformRoutingMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformRoutingMode>`
        
        .. attribute:: pclbalgo
        
        	Pc load\-balance internal algorithm
        	**type**\:  :py:class:`PlatformPcLbAlgo <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformPcLbAlgo>`
        
        .. attribute:: urpfstatus
        
        	Unicast Reverse Path Forwarding Status
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: qosminbuffer
        
        	qos min\-buffer qos\-group
        	**type**\:  :py:class:`PlatformQosMinBuffer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformQosMinBuffer>`
        
        .. attribute:: switchingmode
        
        	Corresponds to the global switching mode. Default is cut\-through
        	**type**\:  :py:class:`PlatformSwitchingMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformSwitchingMode>`
        
        .. attribute:: switchingfabricspeed
        
        	Corresponds to the switching fabric speed
        	**type**\:  :py:class:`PlatformFabricSpeed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformFabricSpeed>`
        
        .. attribute:: mod_items
        
        	
        	**type**\:  :py:class:`ModItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems>`
        
        .. attribute:: nve_items
        
        	
        	**type**\:  :py:class:`NveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.NveItems>`
        
        .. attribute:: bd_items
        
        	
        	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.BdItems>`
        
        .. attribute:: intf_items
        
        	
        	**type**\:  :py:class:`IntfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems>`
        
        .. attribute:: poweroffentity_items
        
        	
        	**type**\:  :py:class:`PoweroffEntityItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.PoweroffEntityItems>`
        
        .. attribute:: tcamregion_items
        
        	
        	**type**\:  :py:class:`TcamRegionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.TcamRegionItems>`
        
        .. attribute:: latencymonitor_items
        
        	
        	**type**\:  :py:class:`LatencymonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.LatencymonitorItems>`
        
        .. attribute:: buffermonitor_items
        
        	
        	**type**\:  :py:class:`BuffermonitorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.BuffermonitorItems>`
        
        .. attribute:: pfcmmubuffer_items
        
        	
        	**type**\:  :py:class:`PfcmmubufferItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.PfcmmubufferItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.PltfmItems, self).__init__()

            self.yang_name = "pltfm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("mod-items", ("mod_items", System.PltfmItems.ModItems)), ("nve-items", ("nve_items", System.PltfmItems.NveItems)), ("bd-items", ("bd_items", System.PltfmItems.BdItems)), ("intf-items", ("intf_items", System.PltfmItems.IntfItems)), ("poweroffEntity-items", ("poweroffentity_items", System.PltfmItems.PoweroffEntityItems)), ("tcamRegion-items", ("tcamregion_items", System.PltfmItems.TcamRegionItems)), ("latencymonitor-items", ("latencymonitor_items", System.PltfmItems.LatencymonitorItems)), ("buffermonitor-items", ("buffermonitor_items", System.PltfmItems.BuffermonitorItems)), ("pfcmmubuffer-items", ("pfcmmubuffer_items", System.PltfmItems.PfcmmubufferItems))])
            self._leafs = OrderedDict([
                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ('profilemode', (YLeaf(YType.enumeration, 'profileMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformHwProfile', '')])),
                ('profiletuple', (YLeaf(YType.enumeration, 'profileTuple'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformTuple', '')])),
                ('unicastsyslogthreshold', (YLeaf(YType.uint16, 'unicastSyslogThreshold'), ['int'])),
                ('lpmmaxlimit', (YLeaf(YType.uint16, 'lpmMaxLimit'), ['int'])),
                ('unicastmaxlimit', (YLeaf(YType.uint16, 'unicastMaxLimit'), ['int'])),
                ('multicastmaxlimit', (YLeaf(YType.uint16, 'multicastMaxLimit'), ['int'])),
                ('multicastservicereflectport', (YLeaf(YType.uint32, 'multicastServiceReflectPort'), ['int'])),
                ('pstatcfg', (YLeaf(YType.enumeration, 'pstatCfg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformPstatCfg', '')])),
                ('multicastsyslogthreshold', (YLeaf(YType.uint16, 'multicastSyslogThreshold'), ['int'])),
                ('ipv6alpmcarvevalue', (YLeaf(YType.uint16, 'IPV6alpmCarveValue'), ['int'])),
                ('routingmode', (YLeaf(YType.enumeration, 'routingMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformRoutingMode', '')])),
                ('pclbalgo', (YLeaf(YType.enumeration, 'pcLbAlgo'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformPcLbAlgo', '')])),
                ('urpfstatus', (YLeaf(YType.enumeration, 'urpfStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('qosminbuffer', (YLeaf(YType.enumeration, 'qosMinBuffer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformQosMinBuffer', '')])),
                ('switchingmode', (YLeaf(YType.enumeration, 'switchingMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformSwitchingMode', '')])),
                ('switchingfabricspeed', (YLeaf(YType.enumeration, 'switchingFabricSpeed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformFabricSpeed', '')])),
            ])
            self.descr = None
            self.profilemode = None
            self.profiletuple = None
            self.unicastsyslogthreshold = None
            self.lpmmaxlimit = None
            self.unicastmaxlimit = None
            self.multicastmaxlimit = None
            self.multicastservicereflectport = None
            self.pstatcfg = None
            self.multicastsyslogthreshold = None
            self.ipv6alpmcarvevalue = None
            self.routingmode = None
            self.pclbalgo = None
            self.urpfstatus = None
            self.qosminbuffer = None
            self.switchingmode = None
            self.switchingfabricspeed = None

            self.mod_items = System.PltfmItems.ModItems()
            self.mod_items.parent = self
            self._children_name_map["mod_items"] = "mod-items"

            self.nve_items = System.PltfmItems.NveItems()
            self.nve_items.parent = self
            self._children_name_map["nve_items"] = "nve-items"

            self.bd_items = System.PltfmItems.BdItems()
            self.bd_items.parent = self
            self._children_name_map["bd_items"] = "bd-items"

            self.intf_items = System.PltfmItems.IntfItems()
            self.intf_items.parent = self
            self._children_name_map["intf_items"] = "intf-items"

            self.poweroffentity_items = System.PltfmItems.PoweroffEntityItems()
            self.poweroffentity_items.parent = self
            self._children_name_map["poweroffentity_items"] = "poweroffEntity-items"

            self.tcamregion_items = System.PltfmItems.TcamRegionItems()
            self.tcamregion_items.parent = self
            self._children_name_map["tcamregion_items"] = "tcamRegion-items"

            self.latencymonitor_items = System.PltfmItems.LatencymonitorItems()
            self.latencymonitor_items.parent = self
            self._children_name_map["latencymonitor_items"] = "latencymonitor-items"

            self.buffermonitor_items = System.PltfmItems.BuffermonitorItems()
            self.buffermonitor_items.parent = self
            self._children_name_map["buffermonitor_items"] = "buffermonitor-items"

            self.pfcmmubuffer_items = System.PltfmItems.PfcmmubufferItems()
            self.pfcmmubuffer_items.parent = self
            self._children_name_map["pfcmmubuffer_items"] = "pfcmmubuffer-items"
            self._segment_path = lambda: "pltfm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.PltfmItems, ['descr', 'profilemode', 'profiletuple', 'unicastsyslogthreshold', 'lpmmaxlimit', 'unicastmaxlimit', 'multicastmaxlimit', 'multicastservicereflectport', 'pstatcfg', 'multicastsyslogthreshold', 'ipv6alpmcarvevalue', 'routingmode', 'pclbalgo', 'urpfstatus', 'qosminbuffer', 'switchingmode', 'switchingfabricspeed'], name, value)


        class ModItems(Entity):
            """
            
            
            .. attribute:: tcamstatsmodule_list
            
            	
            	**type**\: list of  		 :py:class:`TcamStatsModuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.ModItems, self).__init__()

                self.yang_name = "mod-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("TcamStatsModule-list", ("tcamstatsmodule_list", System.PltfmItems.ModItems.TcamStatsModuleList))])
                self._leafs = OrderedDict()

                self.tcamstatsmodule_list = YList(self)
                self._segment_path = lambda: "mod-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.ModItems, [], name, value)


            class TcamStatsModuleList(Entity):
                """
                
                
                .. attribute:: module  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: inst_items
                
                	
                	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList.InstItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PltfmItems.ModItems.TcamStatsModuleList, self).__init__()

                    self.yang_name = "TcamStatsModule-list"
                    self.yang_parent_name = "mod-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['module']
                    self._child_classes = OrderedDict([("inst-items", ("inst_items", System.PltfmItems.ModItems.TcamStatsModuleList.InstItems))])
                    self._leafs = OrderedDict([
                        ('module', (YLeaf(YType.uint16, 'module'), ['int'])),
                    ])
                    self.module = None

                    self.inst_items = System.PltfmItems.ModItems.TcamStatsModuleList.InstItems()
                    self.inst_items.parent = self
                    self._children_name_map["inst_items"] = "inst-items"
                    self._segment_path = lambda: "TcamStatsModule-list" + "[module='" + str(self.module) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/mod-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList, ['module'], name, value)


                class InstItems(Entity):
                    """
                    
                    
                    .. attribute:: tcamstatsinst_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TcamStatsInstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems, self).__init__()

                        self.yang_name = "inst-items"
                        self.yang_parent_name = "TcamStatsModule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("TcamStatsInst-list", ("tcamstatsinst_list", System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList))])
                        self._leafs = OrderedDict()

                        self.tcamstatsinst_list = YList(self)
                        self._segment_path = lambda: "inst-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems, [], name, value)


                    class TcamStatsInstList(Entity):
                        """
                        
                        
                        .. attribute:: instance  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: region_items
                        
                        	
                        	**type**\:  :py:class:`RegionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList, self).__init__()

                            self.yang_name = "TcamStatsInst-list"
                            self.yang_parent_name = "inst-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['instance']
                            self._child_classes = OrderedDict([("region-items", ("region_items", System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems))])
                            self._leafs = OrderedDict([
                                ('instance', (YLeaf(YType.uint16, 'instance'), ['int'])),
                            ])
                            self.instance = None

                            self.region_items = System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems()
                            self.region_items.parent = self
                            self._children_name_map["region_items"] = "region-items"
                            self._segment_path = lambda: "TcamStatsInst-list" + "[instance='" + str(self.instance) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList, ['instance'], name, value)


                        class RegionItems(Entity):
                            """
                            
                            
                            .. attribute:: tcamstatsregion_list
                            
                            	
                            	**type**\: list of  		 :py:class:`TcamStatsRegionList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems, self).__init__()

                                self.yang_name = "region-items"
                                self.yang_parent_name = "TcamStatsInst-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("TcamStatsRegion-list", ("tcamstatsregion_list", System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList))])
                                self._leafs = OrderedDict()

                                self.tcamstatsregion_list = YList(self)
                                self._segment_path = lambda: "region-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems, [], name, value)


                            class TcamStatsRegionList(Entity):
                                """
                                
                                
                                .. attribute:: regionname  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: regionsize
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: utilization_items
                                
                                	
                                	**type**\:  :py:class:`UtilizationItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList.UtilizationItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList, self).__init__()

                                    self.yang_name = "TcamStatsRegion-list"
                                    self.yang_parent_name = "region-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['regionname']
                                    self._child_classes = OrderedDict([("utilization-items", ("utilization_items", System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList.UtilizationItems))])
                                    self._leafs = OrderedDict([
                                        ('regionname', (YLeaf(YType.str, 'regionName'), ['str'])),
                                        ('regionsize', (YLeaf(YType.uint16, 'regionSize'), ['int'])),
                                    ])
                                    self.regionname = None
                                    self.regionsize = None

                                    self.utilization_items = System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList.UtilizationItems()
                                    self.utilization_items.parent = self
                                    self._children_name_map["utilization_items"] = "utilization-items"
                                    self._segment_path = lambda: "TcamStatsRegion-list" + "[regionName='" + str(self.regionname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList, ['regionname', 'regionsize'], name, value)


                                class UtilizationItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: used
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: free
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: percent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ipv4used
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ipv4percent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ipv6used
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ipv6percent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: macused
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: macpercent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: allused
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: allpercent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: otherused
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: otherpercent
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList.UtilizationItems, self).__init__()

                                        self.yang_name = "utilization-items"
                                        self.yang_parent_name = "TcamStatsRegion-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('used', (YLeaf(YType.uint16, 'used'), ['int'])),
                                            ('free', (YLeaf(YType.uint16, 'free'), ['int'])),
                                            ('percent', (YLeaf(YType.str, 'percent'), ['Decimal64'])),
                                            ('ipv4used', (YLeaf(YType.uint16, 'ipv4Used'), ['int'])),
                                            ('ipv4percent', (YLeaf(YType.str, 'ipv4Percent'), ['Decimal64'])),
                                            ('ipv6used', (YLeaf(YType.uint16, 'ipv6Used'), ['int'])),
                                            ('ipv6percent', (YLeaf(YType.str, 'ipv6Percent'), ['Decimal64'])),
                                            ('macused', (YLeaf(YType.uint16, 'macUsed'), ['int'])),
                                            ('macpercent', (YLeaf(YType.str, 'macPercent'), ['Decimal64'])),
                                            ('allused', (YLeaf(YType.uint16, 'allUsed'), ['int'])),
                                            ('allpercent', (YLeaf(YType.str, 'allPercent'), ['Decimal64'])),
                                            ('otherused', (YLeaf(YType.uint16, 'otherUsed'), ['int'])),
                                            ('otherpercent', (YLeaf(YType.str, 'otherPercent'), ['Decimal64'])),
                                        ])
                                        self.used = None
                                        self.free = None
                                        self.percent = None
                                        self.ipv4used = None
                                        self.ipv4percent = None
                                        self.ipv6used = None
                                        self.ipv6percent = None
                                        self.macused = None
                                        self.macpercent = None
                                        self.allused = None
                                        self.allpercent = None
                                        self.otherused = None
                                        self.otherpercent = None
                                        self._segment_path = lambda: "utilization-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PltfmItems.ModItems.TcamStatsModuleList.InstItems.TcamStatsInstList.RegionItems.TcamStatsRegionList.UtilizationItems, ['used', 'free', 'percent', 'ipv4used', 'ipv4percent', 'ipv6used', 'ipv6percent', 'macused', 'macpercent', 'allused', 'allpercent', 'otherused', 'otherpercent'], name, value)









        class NveItems(Entity):
            """
            
            
            .. attribute:: nve_list
            
            	
            	**type**\: list of  		 :py:class:`NVEList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.NveItems.NVEList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.NveItems, self).__init__()

                self.yang_name = "nve-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("NVE-list", ("nve_list", System.PltfmItems.NveItems.NVEList))])
                self._leafs = OrderedDict()

                self.nve_list = YList(self)
                self._segment_path = lambda: "nve-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.NveItems, [], name, value)


            class NVEList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: infravlan_items
                
                	
                	**type**\:  :py:class:`InfravlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.NveItems.NVEList.InfravlanItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PltfmItems.NveItems.NVEList, self).__init__()

                    self.yang_name = "NVE-list"
                    self.yang_parent_name = "nve-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("infravlan-items", ("infravlan_items", System.PltfmItems.NveItems.NVEList.InfravlanItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                    ])
                    self.id = None

                    self.infravlan_items = System.PltfmItems.NveItems.NVEList.InfravlanItems()
                    self.infravlan_items.parent = self
                    self._children_name_map["infravlan_items"] = "infravlan-items"
                    self._segment_path = lambda: "NVE-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/nve-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PltfmItems.NveItems.NVEList, ['id'], name, value)


                class InfravlanItems(Entity):
                    """
                    
                    
                    .. attribute:: infravlan_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InfraVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.NveItems.NVEList.InfravlanItems.InfraVlanList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PltfmItems.NveItems.NVEList.InfravlanItems, self).__init__()

                        self.yang_name = "infravlan-items"
                        self.yang_parent_name = "NVE-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("InfraVlan-list", ("infravlan_list", System.PltfmItems.NveItems.NVEList.InfravlanItems.InfraVlanList))])
                        self._leafs = OrderedDict()

                        self.infravlan_list = YList(self)
                        self._segment_path = lambda: "infravlan-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PltfmItems.NveItems.NVEList.InfravlanItems, [], name, value)


                    class InfraVlanList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Id for all vlans that are infravlan enabled
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: force
                        
                        	Force flag if infra vlan added by force
                        	**type**\:  :py:class:`PlatformInfraVlanForce <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformInfraVlanForce>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PltfmItems.NveItems.NVEList.InfravlanItems.InfraVlanList, self).__init__()

                            self.yang_name = "InfraVlan-list"
                            self.yang_parent_name = "infravlan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                ('force', (YLeaf(YType.enumeration, 'force'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformInfraVlanForce', '')])),
                            ])
                            self.id = None
                            self.force = None
                            self._segment_path = lambda: "InfraVlan-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PltfmItems.NveItems.NVEList.InfravlanItems.InfraVlanList, ['id', 'force'], name, value)






        class BdItems(Entity):
            """
            
            
            .. attribute:: descr
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: bd_items
            
            	
            	**type**\:  :py:class:`BdItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.BdItems.BdItems_>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.BdItems, self).__init__()

                self.yang_name = "bd-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("bd-items", ("bd_items", System.PltfmItems.BdItems.BdItems_))])
                self._leafs = OrderedDict([
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.descr = None

                self.bd_items = System.PltfmItems.BdItems.BdItems_()
                self.bd_items.parent = self
                self._children_name_map["bd_items"] = "bd-items"
                self._segment_path = lambda: "bd-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.BdItems, ['descr'], name, value)


            class BdItems_(Entity):
                """
                
                
                .. attribute:: bd_list
                
                	
                	**type**\: list of  		 :py:class:`BdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.BdItems.BdItems_.BdList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PltfmItems.BdItems.BdItems_, self).__init__()

                    self.yang_name = "bd-items"
                    self.yang_parent_name = "bd-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Bd-list", ("bd_list", System.PltfmItems.BdItems.BdItems_.BdList))])
                    self._leafs = OrderedDict()

                    self.bd_list = YList(self)
                    self._segment_path = lambda: "bd-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/bd-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PltfmItems.BdItems.BdItems_, [], name, value)


                class BdList(Entity):
                    """
                    
                    
                    .. attribute:: fabencap  (key)
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PltfmItems.BdItems.BdItems_.BdList, self).__init__()

                        self.yang_name = "Bd-list"
                        self.yang_parent_name = "bd-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['fabencap']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                        ])
                        self.fabencap = None
                        self._segment_path = lambda: "Bd-list" + "[fabEncap='" + str(self.fabencap) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/bd-items/bd-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PltfmItems.BdItems.BdItems_.BdList, ['fabencap'], name, value)





        class IntfItems(Entity):
            """
            
            
            .. attribute:: descr
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.IntfItems, self).__init__()

                self.yang_name = "intf-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.PltfmItems.IntfItems.IfItems))])
                self._leafs = OrderedDict([
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.descr = None

                self.if_items = System.PltfmItems.IntfItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "intf-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.IntfItems, ['descr'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PltfmItems.IntfItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "intf-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.PltfmItems.IntfItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/intf-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PltfmItems.IntfItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: eltmif_items
                    
                    	
                    	**type**\:  :py:class:`EltmIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems.IfList.EltmIfItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PltfmItems.IntfItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("eltmIf-items", ("eltmif_items", System.PltfmItems.IntfItems.IfItems.IfList.EltmIfItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.PltfmItems.IntfItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None

                        self.eltmif_items = System.PltfmItems.IntfItems.IfItems.IfList.EltmIfItems()
                        self.eltmif_items.parent = self
                        self._children_name_map["eltmif_items"] = "eltmIf-items"

                        self.rtvrfmbr_items = System.PltfmItems.IntfItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/intf-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PltfmItems.IntfItems.IfItems.IfList, ['id', 'name', 'descr'], name, value)


                    class EltmIfItems(Entity):
                        """
                        
                        
                        .. attribute:: hwbdid
                        
                        	Hw Bd Id (allocated for L3 Ports, Port\-channels)
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PltfmItems.IntfItems.IfItems.IfList.EltmIfItems, self).__init__()

                            self.yang_name = "eltmIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('hwbdid', (YLeaf(YType.uint32, 'hwBdId'), ['int'])),
                            ])
                            self.hwbdid = None
                            self._segment_path = lambda: "eltmIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PltfmItems.IntfItems.IfItems.IfList.EltmIfItems, ['hwbdid'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PltfmItems.IntfItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PltfmItems.IntfItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PltfmItems.IntfItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







        class PoweroffEntityItems(Entity):
            """
            
            
            .. attribute:: descr
            
            	
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: poweroffmodule_items
            
            	
            	**type**\:  :py:class:`PoweroffModuleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.PoweroffEntityItems, self).__init__()

                self.yang_name = "poweroffEntity-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("poweroffModule-items", ("poweroffmodule_items", System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems))])
                self._leafs = OrderedDict([
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                ])
                self.descr = None

                self.poweroffmodule_items = System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems()
                self.poweroffmodule_items.parent = self
                self._children_name_map["poweroffmodule_items"] = "poweroffModule-items"
                self._segment_path = lambda: "poweroffEntity-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.PoweroffEntityItems, ['descr'], name, value)


            class PoweroffModuleItems(Entity):
                """
                
                
                .. attribute:: poweroffmodule_list
                
                	
                	**type**\: list of  		 :py:class:`PoweroffModuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems.PoweroffModuleList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems, self).__init__()

                    self.yang_name = "poweroffModule-items"
                    self.yang_parent_name = "poweroffEntity-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("PoweroffModule-list", ("poweroffmodule_list", System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems.PoweroffModuleList))])
                    self._leafs = OrderedDict()

                    self.poweroffmodule_list = YList(self)
                    self._segment_path = lambda: "poweroffModule-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/poweroffEntity-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems, [], name, value)


                class PoweroffModuleList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Module identifier for power off property
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: poweroffstatus
                    
                    	Power off config state for the module [yes/no]
                    	**type**\:  :py:class:`PlatformPoweroffSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformPoweroffSt>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems.PoweroffModuleList, self).__init__()

                        self.yang_name = "PoweroffModule-list"
                        self.yang_parent_name = "poweroffModule-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                            ('poweroffstatus', (YLeaf(YType.enumeration, 'poweroffStatus'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformPoweroffSt', '')])),
                        ])
                        self.id = None
                        self.poweroffstatus = None
                        self._segment_path = lambda: "PoweroffModule-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/poweroffEntity-items/poweroffModule-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PltfmItems.PoweroffEntityItems.PoweroffModuleItems.PoweroffModuleList, ['id', 'poweroffstatus'], name, value)





        class TcamRegionItems(Entity):
            """
            
            
            .. attribute:: eraclsize
            
            	Egress RACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: vpcconvergencesize
            
            	VPC TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: racllitesize
            
            	RACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: ipv6ifaclsize
            
            	IPv6 Interface ACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: eipv6raclsize
            
            	Egress IPv6 RACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: ifacllitesize
            
            	Interface ACL Lite TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: vaclsize
            
            	Virtual ACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: ifaclsize
            
            	Interface ACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: evaclsize
            
            	Egress VACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: qossize
            
            	QOS TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: raclsize
            
            	RACL TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: ingflowsize
            
            	Ingress Flow TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            .. attribute:: natsize
            
            	NAT TCAM region size
            	**type**\: int
            
            	**range:** 0..2147483647
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.TcamRegionItems, self).__init__()

                self.yang_name = "tcamRegion-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('eraclsize', (YLeaf(YType.uint32, 'eRaclSize'), ['int'])),
                    ('vpcconvergencesize', (YLeaf(YType.uint32, 'vpcConvergenceSize'), ['int'])),
                    ('racllitesize', (YLeaf(YType.uint32, 'raclLiteSize'), ['int'])),
                    ('ipv6ifaclsize', (YLeaf(YType.uint32, 'ipv6IfaclSize'), ['int'])),
                    ('eipv6raclsize', (YLeaf(YType.uint32, 'eIpv6RaclSize'), ['int'])),
                    ('ifacllitesize', (YLeaf(YType.uint32, 'ifaclLiteSize'), ['int'])),
                    ('vaclsize', (YLeaf(YType.uint32, 'vaclSize'), ['int'])),
                    ('ifaclsize', (YLeaf(YType.uint32, 'ifaclSize'), ['int'])),
                    ('evaclsize', (YLeaf(YType.uint32, 'eVaclSize'), ['int'])),
                    ('qossize', (YLeaf(YType.uint32, 'qosSize'), ['int'])),
                    ('raclsize', (YLeaf(YType.uint32, 'raclSize'), ['int'])),
                    ('ingflowsize', (YLeaf(YType.uint32, 'ingFlowSize'), ['int'])),
                    ('natsize', (YLeaf(YType.uint32, 'natSize'), ['int'])),
                ])
                self.eraclsize = None
                self.vpcconvergencesize = None
                self.racllitesize = None
                self.ipv6ifaclsize = None
                self.eipv6raclsize = None
                self.ifacllitesize = None
                self.vaclsize = None
                self.ifaclsize = None
                self.evaclsize = None
                self.qossize = None
                self.raclsize = None
                self.ingflowsize = None
                self.natsize = None
                self._segment_path = lambda: "tcamRegion-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.TcamRegionItems, ['eraclsize', 'vpcconvergencesize', 'racllitesize', 'ipv6ifaclsize', 'eipv6raclsize', 'ifacllitesize', 'vaclsize', 'ifaclsize', 'evaclsize', 'qossize', 'raclsize', 'ingflowsize', 'natsize'], name, value)



        class LatencymonitorItems(Entity):
            """
            
            
            .. attribute:: sampling
            
            	Latency Monitor Sampling
            	**type**\: int
            
            	**range:** 1..30
            
            .. attribute:: latencymonitorthreshholdavg
            
            	Average latency monitor threshold
            	**type**\: int
            
            	**range:** 300..20000000
            
            .. attribute:: latencymonitorthreshholdmax
            
            	Maximum latency monitor threshold
            	**type**\: int
            
            	**range:** 300..20000000
            
            .. attribute:: latencymonitorstate
            
            	Latency monitor state
            	**type**\:  :py:class:`PlatformLatencyMonitorSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformLatencyMonitorSt>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.LatencymonitorItems, self).__init__()

                self.yang_name = "latencymonitor-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('sampling', (YLeaf(YType.uint32, 'sampling'), ['int'])),
                    ('latencymonitorthreshholdavg', (YLeaf(YType.uint32, 'latencyMonitorThreshholdAvg'), ['int'])),
                    ('latencymonitorthreshholdmax', (YLeaf(YType.uint32, 'latencyMonitorThreshholdMax'), ['int'])),
                    ('latencymonitorstate', (YLeaf(YType.enumeration, 'latencyMonitorState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformLatencyMonitorSt', '')])),
                ])
                self.sampling = None
                self.latencymonitorthreshholdavg = None
                self.latencymonitorthreshholdmax = None
                self.latencymonitorstate = None
                self._segment_path = lambda: "latencymonitor-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.LatencymonitorItems, ['sampling', 'latencymonitorthreshholdavg', 'latencymonitorthreshholdmax', 'latencymonitorstate'], name, value)



        class BuffermonitorItems(Entity):
            """
            
            
            .. attribute:: sampling
            
            	Buffer Monitor Sampling
            	**type**\: int
            
            	**range:** 10..4294967295
            
            .. attribute:: buffermonitorthreshhold
            
            	Buffer monitor threshold
            	**type**\: int
            
            	**range:** 0..6144
            
            .. attribute:: buffermonitorstate
            
            	Buffer monitor state
            	**type**\:  :py:class:`PlatformBufferMonitorSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformBufferMonitorSt>`
            
            .. attribute:: buffermonitormode
            
            	Buffer monitor mode
            	**type**\:  :py:class:`PlatformBufferMonitorMd <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformBufferMonitorMd>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.BuffermonitorItems, self).__init__()

                self.yang_name = "buffermonitor-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('sampling', (YLeaf(YType.uint32, 'sampling'), ['int'])),
                    ('buffermonitorthreshhold', (YLeaf(YType.uint32, 'bufferMonitorThreshhold'), ['int'])),
                    ('buffermonitorstate', (YLeaf(YType.enumeration, 'bufferMonitorState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformBufferMonitorSt', '')])),
                    ('buffermonitormode', (YLeaf(YType.enumeration, 'bufferMonitorMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformBufferMonitorMd', '')])),
                ])
                self.sampling = None
                self.buffermonitorthreshhold = None
                self.buffermonitorstate = None
                self.buffermonitormode = None
                self._segment_path = lambda: "buffermonitor-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.BuffermonitorItems, ['sampling', 'buffermonitorthreshhold', 'buffermonitorstate', 'buffermonitormode'], name, value)



        class PfcmmubufferItems(Entity):
            """
            
            
            .. attribute:: mmubufferstate
            
            	Pfc Buffer monitor state
            	**type**\:  :py:class:`PlatformPfcMmuBufferSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PlatformPfcMmuBufferSt>`
            
            .. attribute:: bufferreservation
            
            	Percentage of shared pool buffers to be reserved
            	**type**\: int
            
            	**range:** 0..100
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PltfmItems.PfcmmubufferItems, self).__init__()

                self.yang_name = "pfcmmubuffer-items"
                self.yang_parent_name = "pltfm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('mmubufferstate', (YLeaf(YType.enumeration, 'mmuBufferState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PlatformPfcMmuBufferSt', '')])),
                    ('bufferreservation', (YLeaf(YType.uint16, 'bufferReservation'), ['int'])),
                ])
                self.mmubufferstate = None
                self.bufferreservation = None
                self._segment_path = lambda: "pfcmmubuffer-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pltfm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PltfmItems.PfcmmubufferItems, ['mmubufferstate', 'bufferreservation'], name, value)




    class SatmItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: dextch_items
        
        	
        	**type**\:  :py:class:`DextchItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.DextchItems>`
        
        .. attribute:: fabp_items
        
        	
        	**type**\:  :py:class:`FabpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SatmItems, self).__init__()

            self.yang_name = "satm-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("dextch-items", ("dextch_items", System.SatmItems.DextchItems)), ("fabp-items", ("fabp_items", System.SatmItems.FabpItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.dextch_items = System.SatmItems.DextchItems()
            self.dextch_items.parent = self
            self._children_name_map["dextch_items"] = "dextch-items"

            self.fabp_items = System.SatmItems.FabpItems()
            self.fabp_items.parent = self
            self._children_name_map["fabp_items"] = "fabp-items"
            self._segment_path = lambda: "satm-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SatmItems, ['name', 'adminst', 'operst'], name, value)


        class DextchItems(Entity):
            """
            
            
            .. attribute:: dextch_list
            
            	
            	**type**\: list of  		 :py:class:`DExtChList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.DextchItems.DExtChList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SatmItems.DextchItems, self).__init__()

                self.yang_name = "dextch-items"
                self.yang_parent_name = "satm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("DExtCh-list", ("dextch_list", System.SatmItems.DextchItems.DExtChList))])
                self._leafs = OrderedDict()

                self.dextch_list = YList(self)
                self._segment_path = lambda: "dextch-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/satm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SatmItems.DextchItems, [], name, value)


            class DExtChList(Entity):
                """
                
                
                .. attribute:: vendor  (key)
                
                	Vendor
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: model  (key)
                
                	Model
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: ser  (key)
                
                	Serial Number
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`SatmExtChOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SatmExtChOperSt>`
                
                	**config**\: False
                
                .. attribute:: ver
                
                	Software Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: swver
                
                	Switch Software Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: intver
                
                	Interim Software Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: swintver
                
                	Interim Switch Software Version
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: swgen
                
                	Software Generation
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: controlfport
                
                	Control Channel Fabric Port
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: rev
                
                	Revision
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: id
                
                	ID
                	**type**\: int
                
                	**range:** 101..199
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SatmItems.DextchItems.DExtChList, self).__init__()

                    self.yang_name = "DExtCh-list"
                    self.yang_parent_name = "dextch-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['vendor','model','ser']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('vendor', (YLeaf(YType.str, 'vendor'), ['str'])),
                        ('model', (YLeaf(YType.str, 'model'), ['str'])),
                        ('ser', (YLeaf(YType.str, 'ser'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SatmExtChOperSt', '')])),
                        ('ver', (YLeaf(YType.str, 'ver'), ['str'])),
                        ('swver', (YLeaf(YType.str, 'swVer'), ['str'])),
                        ('intver', (YLeaf(YType.str, 'intVer'), ['str'])),
                        ('swintver', (YLeaf(YType.str, 'swIntVer'), ['str'])),
                        ('swgen', (YLeaf(YType.uint16, 'swGen'), ['int'])),
                        ('controlfport', (YLeaf(YType.str, 'controlFPort'), ['str'])),
                        ('rev', (YLeaf(YType.str, 'rev'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ])
                    self.vendor = None
                    self.model = None
                    self.ser = None
                    self.operst = None
                    self.ver = None
                    self.swver = None
                    self.intver = None
                    self.swintver = None
                    self.swgen = None
                    self.controlfport = None
                    self.rev = None
                    self.id = None
                    self.descr = None
                    self._segment_path = lambda: "DExtCh-list" + "[vendor='" + str(self.vendor) + "']" + "[model='" + str(self.model) + "']" + "[ser='" + str(self.ser) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/satm-items/dextch-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SatmItems.DextchItems.DExtChList, ['vendor', 'model', 'ser', 'operst', 'ver', 'swver', 'intver', 'swintver', 'swgen', 'controlfport', 'rev', 'id', 'descr'], name, value)




        class FabpItems(Entity):
            """
            
            
            .. attribute:: fabp_list
            
            	
            	**type**\: list of  		 :py:class:`FabPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems.FabPList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SatmItems.FabpItems, self).__init__()

                self.yang_name = "fabp-items"
                self.yang_parent_name = "satm-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("FabP-list", ("fabp_list", System.SatmItems.FabpItems.FabPList))])
                self._leafs = OrderedDict()

                self.fabp_list = YList(self)
                self._segment_path = lambda: "fabp-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/satm-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SatmItems.FabpItems, [], name, value)


            class FabPList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	ID
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`SatmOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SatmOperSt>`
                
                	**config**\: False
                
                .. attribute:: extchid
                
                	Extended Chassis ID
                	**type**\: int
                
                	**range:** 100..200
                
                	**config**\: False
                
                .. attribute:: fsmst
                
                	Fabric FSM State
                	**type**\:  :py:class:`SatmFpFsmSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SatmFpFsmSt>`
                
                	**config**\: False
                
                .. attribute:: remotelinkid
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: flags
                
                	Fabric Port Flags
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: hostp_items
                
                	
                	**type**\:  :py:class:`HostpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems.FabPList.HostpItems>`
                
                	**config**\: False
                
                .. attribute:: remotefcot_items
                
                	
                	**type**\:  :py:class:`RemotefcotItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems.FabPList.RemotefcotItems>`
                
                	**config**\: False
                
                .. attribute:: remotefcotx2_items
                
                	
                	**type**\:  :py:class:`Remotefcotx2Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems.FabPList.Remotefcotx2Items>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SatmItems.FabpItems.FabPList, self).__init__()

                    self.yang_name = "FabP-list"
                    self.yang_parent_name = "fabp-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("hostp-items", ("hostp_items", System.SatmItems.FabpItems.FabPList.HostpItems)), ("remotefcot-items", ("remotefcot_items", System.SatmItems.FabpItems.FabPList.RemotefcotItems)), ("remotefcotx2-items", ("remotefcotx2_items", System.SatmItems.FabpItems.FabPList.Remotefcotx2Items))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SatmOperSt', '')])),
                        ('extchid', (YLeaf(YType.uint16, 'extChId'), ['int'])),
                        ('fsmst', (YLeaf(YType.enumeration, 'fsmSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SatmFpFsmSt', '')])),
                        ('remotelinkid', (YLeaf(YType.uint16, 'remoteLinkId'), ['int'])),
                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                    ])
                    self.id = None
                    self.operst = None
                    self.extchid = None
                    self.fsmst = None
                    self.remotelinkid = None
                    self.flags = None

                    self.hostp_items = System.SatmItems.FabpItems.FabPList.HostpItems()
                    self.hostp_items.parent = self
                    self._children_name_map["hostp_items"] = "hostp-items"

                    self.remotefcot_items = System.SatmItems.FabpItems.FabPList.RemotefcotItems()
                    self.remotefcot_items.parent = self
                    self._children_name_map["remotefcot_items"] = "remotefcot-items"

                    self.remotefcotx2_items = System.SatmItems.FabpItems.FabPList.Remotefcotx2Items()
                    self.remotefcotx2_items.parent = self
                    self._children_name_map["remotefcotx2_items"] = "remotefcotx2-items"
                    self._segment_path = lambda: "FabP-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/satm-items/fabp-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SatmItems.FabpItems.FabPList, ['id', 'operst', 'extchid', 'fsmst', 'remotelinkid', 'flags'], name, value)


                class HostpItems(Entity):
                    """
                    
                    
                    .. attribute:: hostp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HostPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SatmItems.FabpItems.FabPList.HostpItems.HostPList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SatmItems.FabpItems.FabPList.HostpItems, self).__init__()

                        self.yang_name = "hostp-items"
                        self.yang_parent_name = "FabP-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("HostP-list", ("hostp_list", System.SatmItems.FabpItems.FabPList.HostpItems.HostPList))])
                        self._leafs = OrderedDict()

                        self.hostp_list = YList(self)
                        self._segment_path = lambda: "hostp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SatmItems.FabpItems.FabPList.HostpItems, [], name, value)


                    class HostPList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`SatmHpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SatmHpOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: fabricport
                        
                        	Fabric Port
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SatmItems.FabpItems.FabPList.HostpItems.HostPList, self).__init__()

                            self.yang_name = "HostP-list"
                            self.yang_parent_name = "hostp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SatmHpOperSt', '')])),
                                ('fabricport', (YLeaf(YType.str, 'fabricPort'), ['str'])),
                            ])
                            self.id = None
                            self.operst = None
                            self.fabricport = None
                            self._segment_path = lambda: "HostP-list" + "[id='" + str(self.id) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SatmItems.FabpItems.FabPList.HostpItems.HostPList, ['id', 'operst', 'fabricport'], name, value)




                class RemotefcotItems(Entity):
                    """
                    
                    
                    .. attribute:: isfcotpresent
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`EthpmFcotState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotState>`
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Flags
                    	**type**\:  :py:class:`EthpmFcotFlags <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotFlags>`
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`EthpmFcotType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotType>`
                    
                    	**config**\: False
                    
                    .. attribute:: typename
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: xcvrid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: xcvrextid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: connecttype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: xcvrcode
                    
                    	Transceiver Code
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: encoding
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: brin100mhz
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: baseresvd1
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: distinkmfor9u
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: distin100mfor9u
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: distin10mfor50u
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: distin10mfor60u
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: distin1mforcu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: baseresvd2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vendorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: baseresvd3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vendorpn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vendorrev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: baseresvd4
                    
                    	Base Reserved Field
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ccid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: extoption
                    
                    	Extended Option
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: brmaxmargin
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: brminmargin
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vendorsn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: datecode
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: diagmontype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: enhoption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: ccex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: vendordata
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: maxspeed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: minspeed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fcotnum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: gigethcc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: fctxtype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SatmItems.FabpItems.FabPList.RemotefcotItems, self).__init__()

                        self.yang_name = "remotefcot-items"
                        self.yang_parent_name = "FabP-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('isfcotpresent', (YLeaf(YType.boolean, 'isFcotPresent'), ['bool'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotState', '')])),
                            ('flags', (YLeaf(YType.enumeration, 'flags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotFlags', '')])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotType', '')])),
                            ('typename', (YLeaf(YType.str, 'typeName'), ['str'])),
                            ('xcvrid', (YLeaf(YType.uint8, 'xcvrId'), ['int'])),
                            ('xcvrextid', (YLeaf(YType.uint8, 'xcvrExtId'), ['int'])),
                            ('connecttype', (YLeaf(YType.uint8, 'connectType'), ['int'])),
                            ('xcvrcode', (YLeaf(YType.str, 'xcvrCode'), ['str'])),
                            ('encoding', (YLeaf(YType.uint8, 'encoding'), ['int'])),
                            ('brin100mhz', (YLeaf(YType.uint8, 'brIn100MHz'), ['int'])),
                            ('baseresvd1', (YLeaf(YType.uint8, 'baseResvd1'), ['int'])),
                            ('distinkmfor9u', (YLeaf(YType.uint8, 'distInKmFor9u'), ['int'])),
                            ('distin100mfor9u', (YLeaf(YType.uint8, 'distIn100mFor9u'), ['int'])),
                            ('distin10mfor50u', (YLeaf(YType.uint8, 'distIn10mFor50u'), ['int'])),
                            ('distin10mfor60u', (YLeaf(YType.uint8, 'distIn10mFor60u'), ['int'])),
                            ('distin1mforcu', (YLeaf(YType.uint8, 'distIn1mForCu'), ['int'])),
                            ('baseresvd2', (YLeaf(YType.uint8, 'baseResvd2'), ['int'])),
                            ('vendorname', (YLeaf(YType.str, 'vendorName'), ['str'])),
                            ('baseresvd3', (YLeaf(YType.uint8, 'baseResvd3'), ['int'])),
                            ('vendorpn', (YLeaf(YType.str, 'vendorPn'), ['str'])),
                            ('vendorrev', (YLeaf(YType.str, 'vendorRev'), ['str'])),
                            ('baseresvd4', (YLeaf(YType.str, 'baseResvd4'), ['str'])),
                            ('ccid', (YLeaf(YType.uint8, 'ccid'), ['int'])),
                            ('extoption', (YLeaf(YType.str, 'extOption'), ['str'])),
                            ('brmaxmargin', (YLeaf(YType.uint8, 'brMaxMargin'), ['int'])),
                            ('brminmargin', (YLeaf(YType.uint8, 'brMinMargin'), ['int'])),
                            ('vendorsn', (YLeaf(YType.str, 'vendorSn'), ['str'])),
                            ('datecode', (YLeaf(YType.str, 'dateCode'), ['str'])),
                            ('diagmontype', (YLeaf(YType.uint8, 'diagMonType'), ['int'])),
                            ('enhoption', (YLeaf(YType.uint8, 'enhOption'), ['int'])),
                            ('ccex', (YLeaf(YType.uint8, 'ccex'), ['int'])),
                            ('vendordata', (YLeaf(YType.str, 'vendorData'), ['str'])),
                            ('maxspeed', (YLeaf(YType.uint32, 'maxSpeed'), ['int'])),
                            ('minspeed', (YLeaf(YType.uint32, 'minSpeed'), ['int'])),
                            ('fcotnum', (YLeaf(YType.uint8, 'fcotNum'), ['int'])),
                            ('gigethcc', (YLeaf(YType.uint8, 'gigEthCC'), ['int'])),
                            ('fctxtype', (YLeaf(YType.uint8, 'fCTxType'), ['int'])),
                        ])
                        self.isfcotpresent = None
                        self.state = None
                        self.flags = None
                        self.type = None
                        self.typename = None
                        self.xcvrid = None
                        self.xcvrextid = None
                        self.connecttype = None
                        self.xcvrcode = None
                        self.encoding = None
                        self.brin100mhz = None
                        self.baseresvd1 = None
                        self.distinkmfor9u = None
                        self.distin100mfor9u = None
                        self.distin10mfor50u = None
                        self.distin10mfor60u = None
                        self.distin1mforcu = None
                        self.baseresvd2 = None
                        self.vendorname = None
                        self.baseresvd3 = None
                        self.vendorpn = None
                        self.vendorrev = None
                        self.baseresvd4 = None
                        self.ccid = None
                        self.extoption = None
                        self.brmaxmargin = None
                        self.brminmargin = None
                        self.vendorsn = None
                        self.datecode = None
                        self.diagmontype = None
                        self.enhoption = None
                        self.ccex = None
                        self.vendordata = None
                        self.maxspeed = None
                        self.minspeed = None
                        self.fcotnum = None
                        self.gigethcc = None
                        self.fctxtype = None
                        self._segment_path = lambda: "remotefcot-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SatmItems.FabpItems.FabPList.RemotefcotItems, ['isfcotpresent', 'state', 'flags', 'type', 'typename', 'xcvrid', 'xcvrextid', 'connecttype', 'xcvrcode', 'encoding', 'brin100mhz', 'baseresvd1', 'distinkmfor9u', 'distin100mfor9u', 'distin10mfor50u', 'distin10mfor60u', 'distin1mforcu', 'baseresvd2', 'vendorname', 'baseresvd3', 'vendorpn', 'vendorrev', 'baseresvd4', 'ccid', 'extoption', 'brmaxmargin', 'brminmargin', 'vendorsn', 'datecode', 'diagmontype', 'enhoption', 'ccex', 'vendordata', 'maxspeed', 'minspeed', 'fcotnum', 'gigethcc', 'fctxtype'], name, value)



                class Remotefcotx2Items(Entity):
                    """
                    
                    
                    .. attribute:: isfcotpresent
                    
                    	
                    	**type**\: bool
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	State
                    	**type**\:  :py:class:`EthpmFcotState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotState>`
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Flags
                    	**type**\:  :py:class:`EthpmFcotFlags <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotFlags>`
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`EthpmFcotType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EthpmFcotType>`
                    
                    	**config**\: False
                    
                    .. attribute:: typename
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: connecttype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: bitencoding
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: bitratembps
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: protocoltype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: xgethcode
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: sonetsdhcode
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: xgfccode
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: range
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fibretype
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wavelench0
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wavelench1
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wavelench2
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: wavelench3
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vendorname
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vendorpn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vendorrev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: vendorserno
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: datecode
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fivevstressenv
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: ciscopid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ciscovid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ciscosn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ciscopn
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ciscorev
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: extvendorspecific
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: maxspeed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: minspeed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fcotnum
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: fcottype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    .. attribute:: gigethcc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SatmItems.FabpItems.FabPList.Remotefcotx2Items, self).__init__()

                        self.yang_name = "remotefcotx2-items"
                        self.yang_parent_name = "FabP-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('isfcotpresent', (YLeaf(YType.boolean, 'isFcotPresent'), ['bool'])),
                            ('state', (YLeaf(YType.enumeration, 'state'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotState', '')])),
                            ('flags', (YLeaf(YType.enumeration, 'flags'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotFlags', '')])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EthpmFcotType', '')])),
                            ('typename', (YLeaf(YType.str, 'typeName'), ['str'])),
                            ('connecttype', (YLeaf(YType.uint8, 'connectType'), ['int'])),
                            ('bitencoding', (YLeaf(YType.uint8, 'bitEncoding'), ['int'])),
                            ('bitratembps', (YLeaf(YType.str, 'bitRateMbps'), ['str'])),
                            ('protocoltype', (YLeaf(YType.uint8, 'protocolType'), ['int'])),
                            ('xgethcode', (YLeaf(YType.str, 'xgEthCode'), ['str'])),
                            ('sonetsdhcode', (YLeaf(YType.str, 'sonetSdhCode'), ['str'])),
                            ('xgfccode', (YLeaf(YType.str, 'xgFcCode'), ['str'])),
                            ('range', (YLeaf(YType.str, 'range'), ['str'])),
                            ('fibretype', (YLeaf(YType.str, 'fibreType'), ['str'])),
                            ('wavelench0', (YLeaf(YType.str, 'waveLenCh0'), ['str'])),
                            ('wavelench1', (YLeaf(YType.str, 'waveLenCh1'), ['str'])),
                            ('wavelench2', (YLeaf(YType.str, 'waveLenCh2'), ['str'])),
                            ('wavelench3', (YLeaf(YType.str, 'waveLenCh3'), ['str'])),
                            ('vendorname', (YLeaf(YType.str, 'vendorName'), ['str'])),
                            ('vendorpn', (YLeaf(YType.str, 'vendorPn'), ['str'])),
                            ('vendorrev', (YLeaf(YType.str, 'vendorRev'), ['str'])),
                            ('vendorserno', (YLeaf(YType.str, 'vendorSerNo'), ['str'])),
                            ('datecode', (YLeaf(YType.str, 'dateCode'), ['str'])),
                            ('fivevstressenv', (YLeaf(YType.uint8, 'fiveVStressEnv'), ['int'])),
                            ('ciscopid', (YLeaf(YType.str, 'ciscoPid'), ['str'])),
                            ('ciscovid', (YLeaf(YType.str, 'ciscoVid'), ['str'])),
                            ('ciscosn', (YLeaf(YType.str, 'ciscoSN'), ['str'])),
                            ('ciscopn', (YLeaf(YType.str, 'ciscoPN'), ['str'])),
                            ('ciscorev', (YLeaf(YType.str, 'ciscoRev'), ['str'])),
                            ('extvendorspecific', (YLeaf(YType.str, 'extVendorSpecific'), ['str'])),
                            ('maxspeed', (YLeaf(YType.uint32, 'maxSpeed'), ['int'])),
                            ('minspeed', (YLeaf(YType.uint32, 'minSpeed'), ['int'])),
                            ('fcotnum', (YLeaf(YType.uint8, 'fcotNum'), ['int'])),
                            ('fcottype', (YLeaf(YType.uint8, 'fcotType'), ['int'])),
                            ('gigethcc', (YLeaf(YType.uint8, 'gigEthCC'), ['int'])),
                        ])
                        self.isfcotpresent = None
                        self.state = None
                        self.flags = None
                        self.type = None
                        self.typename = None
                        self.connecttype = None
                        self.bitencoding = None
                        self.bitratembps = None
                        self.protocoltype = None
                        self.xgethcode = None
                        self.sonetsdhcode = None
                        self.xgfccode = None
                        self.range = None
                        self.fibretype = None
                        self.wavelench0 = None
                        self.wavelench1 = None
                        self.wavelench2 = None
                        self.wavelench3 = None
                        self.vendorname = None
                        self.vendorpn = None
                        self.vendorrev = None
                        self.vendorserno = None
                        self.datecode = None
                        self.fivevstressenv = None
                        self.ciscopid = None
                        self.ciscovid = None
                        self.ciscosn = None
                        self.ciscopn = None
                        self.ciscorev = None
                        self.extvendorspecific = None
                        self.maxspeed = None
                        self.minspeed = None
                        self.fcotnum = None
                        self.fcottype = None
                        self.gigethcc = None
                        self._segment_path = lambda: "remotefcotx2-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SatmItems.FabpItems.FabPList.Remotefcotx2Items, ['isfcotpresent', 'state', 'flags', 'type', 'typename', 'connecttype', 'bitencoding', 'bitratembps', 'protocoltype', 'xgethcode', 'sonetsdhcode', 'xgfccode', 'range', 'fibretype', 'wavelench0', 'wavelench1', 'wavelench2', 'wavelench3', 'vendorname', 'vendorpn', 'vendorrev', 'vendorserno', 'datecode', 'fivevstressenv', 'ciscopid', 'ciscovid', 'ciscosn', 'ciscopn', 'ciscorev', 'extvendorspecific', 'maxspeed', 'minspeed', 'fcotnum', 'fcottype', 'gigethcc'], name, value)






    class AdjacencyItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.AdjacencyItems, self).__init__()

            self.yang_name = "adjacency-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.AdjacencyItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.AdjacencyItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "adjacency-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.AdjacencyItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.AdjacencyItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "adjacency-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.AdjacencyItems.InstItems.DomItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.AdjacencyItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/adjacency-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.AdjacencyItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.AdjacencyItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.AdjacencyItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/adjacency-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.AdjacencyItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.AdjacencyItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.db_items = System.AdjacencyItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/adjacency-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList, ['name'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`AdjacencyDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AdjacencyDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: if_items
                            
                            	
                            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("if-items", ("if_items", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AdjacencyDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.if_items = System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems()
                                self.if_items.parent = self
                                self._children_name_map["if_items"] = "if-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class IfItems(Entity):
                                """
                                
                                
                                .. attribute:: if_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems, self).__init__()

                                    self.yang_name = "if-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("If-list", ("if_list", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList))])
                                    self._leafs = OrderedDict()

                                    self.if_list = YList(self)
                                    self._segment_path = lambda: "if-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems, [], name, value)


                                class IfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ifid  (key)
                                    
                                    	Logical Interface ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ip_items
                                    
                                    	
                                    	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList, self).__init__()

                                        self.yang_name = "If-list"
                                        self.yang_parent_name = "if-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ifid']
                                        self._child_classes = OrderedDict([("ip-items", ("ip_items", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems))])
                                        self._leafs = OrderedDict([
                                            ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                        ])
                                        self.ifid = None

                                        self.ip_items = System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems()
                                        self.ip_items.parent = self
                                        self._children_name_map["ip_items"] = "ip-items"
                                        self._segment_path = lambda: "If-list" + "[ifId='" + str(self.ifid) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList, ['ifid'], name, value)


                                    class IpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: adjep_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems.AdjEpList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems, self).__init__()

                                            self.yang_name = "ip-items"
                                            self.yang_parent_name = "If-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems.AdjEpList))])
                                            self._leafs = OrderedDict()

                                            self.adjep_list = YList(self)
                                            self._segment_path = lambda: "ip-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems, [], name, value)


                                        class AdjEpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: mac
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`AdjacencyAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.AdjacencyAdjOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: physifid
                                            
                                            	Physical Interface ID
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: source
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems.AdjEpList, self).__init__()

                                                self.yang_name = "AdjEp-list"
                                                self.yang_parent_name = "ip-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['ip']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'AdjacencyAdjOperSt', '')])),
                                                    ('physifid', (YLeaf(YType.str, 'physIfId'), ['str'])),
                                                    ('source', (YLeaf(YType.str, 'source'), ['str'])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ])
                                                self.ip = None
                                                self.mac = None
                                                self.operst = None
                                                self.physifid = None
                                                self.source = None
                                                self.flags = None
                                                self.name = None
                                                self._segment_path = lambda: "AdjEp-list" + "[ip='" + str(self.ip) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.AdjacencyItems.InstItems.DomItems.DomList.DbItems.DbList.IfItems.IfList.IpItems.AdjEpList, ['ip', 'mac', 'operst', 'physifid', 'source', 'flags', 'name'], name, value)












    class ArpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ArpItems, self).__init__()

            self.yang_name = "arp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.ArpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.ArpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "arp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ArpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: timeout
            
            	ARP Global Timeout
            	**type**\: int
            
            	**range:** 60..28800
            
            .. attribute:: evpn_timeout
            
            	Refresh in EVPN on host moves
            	**type**\: int
            
            	**range:** 600..30000
            
            .. attribute:: suppression_timeout
            
            	Suppression Timeout
            	**type**\: int
            
            	**range:** 0..28800
            
            .. attribute:: offlisttimeout
            
            	Off\-list timeout
            	**type**\: int
            
            	**range:** 180..1800
            
            .. attribute:: rarpfabricfwding
            
            	RARP Fabric Forwarding
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: rarpfabricfwdingrate
            
            	RARP Fabric Forwarding Rate
            	**type**\: int
            
            	**range:** 200..400
            
            .. attribute:: cachelimit
            
            	Cache Limit
            	**type**\: int
            
            	**range:** 1..614400
            
            .. attribute:: cachesyslograte
            
            	Cache Syslog Rate
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: logginglevel
            
            	Logging Level
            	**type**\:  :py:class:`ArpLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpLoggingLevel>`
            
            .. attribute:: adjlogginglevel
            
            	Adjacency Events Logging Level
            	**type**\:  :py:class:`ArpLoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpLoggingLevel>`
            
            .. attribute:: ipadjroutedistance
            
            	IP Adjacency Route Distance
            	**type**\: int
            
            	**range:** 2..250
            
            .. attribute:: allowstaticarpoutsidesubnet
            
            	Allow Static ARP Outside Subnet
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: arpunnumsviswreplication
            
            	ARP Packets Replication In Software For Unnumbered SVI
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: configerr
            
            	Config Error Inst
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: globalstats_items
            
            	
            	**type**\:  :py:class:`GlobalstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems>`
            
            .. attribute:: ipgleanthrottle_items
            
            	
            	**type**\:  :py:class:`IpgleanthrottleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.IpgleanthrottleItems>`
            
            .. attribute:: evtlogs_items
            
            	
            	**type**\:  :py:class:`EvtLogsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.EvtLogsItems>`
            
            .. attribute:: vpc_items
            
            	
            	**type**\:  :py:class:`VpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.VpcItems>`
            
            .. attribute:: db_items
            
            	
            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ArpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "arp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("globalstats-items", ("globalstats_items", System.ArpItems.InstItems.GlobalstatsItems)), ("dom-items", ("dom_items", System.ArpItems.InstItems.DomItems)), ("ipgleanthrottle-items", ("ipgleanthrottle_items", System.ArpItems.InstItems.IpgleanthrottleItems)), ("evtLogs-items", ("evtlogs_items", System.ArpItems.InstItems.EvtLogsItems)), ("vpc-items", ("vpc_items", System.ArpItems.InstItems.VpcItems)), ("db-items", ("db_items", System.ArpItems.InstItems.DbItems))])
                self._leafs = OrderedDict([
                    ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                    ('evpn_timeout', (YLeaf(YType.uint16, 'evpn_timeout'), ['int'])),
                    ('suppression_timeout', (YLeaf(YType.uint16, 'suppression_timeout'), ['int'])),
                    ('offlisttimeout', (YLeaf(YType.uint16, 'offListTimeout'), ['int'])),
                    ('rarpfabricfwding', (YLeaf(YType.enumeration, 'rarpFabricFwding'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('rarpfabricfwdingrate', (YLeaf(YType.uint16, 'rarpFabricFwdingRate'), ['int'])),
                    ('cachelimit', (YLeaf(YType.uint32, 'cacheLimit'), ['int'])),
                    ('cachesyslograte', (YLeaf(YType.uint32, 'cacheSyslogRate'), ['int'])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpLoggingLevel', '')])),
                    ('adjlogginglevel', (YLeaf(YType.enumeration, 'adjLoggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpLoggingLevel', '')])),
                    ('ipadjroutedistance', (YLeaf(YType.uint32, 'ipAdjRouteDistance'), ['int'])),
                    ('allowstaticarpoutsidesubnet', (YLeaf(YType.enumeration, 'allowStaticArpOutsideSubnet'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('arpunnumsviswreplication', (YLeaf(YType.enumeration, 'arpUnnumSviSwReplication'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('configerr', (YLeaf(YType.str, 'configErr'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.timeout = None
                self.evpn_timeout = None
                self.suppression_timeout = None
                self.offlisttimeout = None
                self.rarpfabricfwding = None
                self.rarpfabricfwdingrate = None
                self.cachelimit = None
                self.cachesyslograte = None
                self.logginglevel = None
                self.adjlogginglevel = None
                self.ipadjroutedistance = None
                self.allowstaticarpoutsidesubnet = None
                self.arpunnumsviswreplication = None
                self.configerr = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.globalstats_items = System.ArpItems.InstItems.GlobalstatsItems()
                self.globalstats_items.parent = self
                self._children_name_map["globalstats_items"] = "globalstats-items"

                self.dom_items = System.ArpItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.ipgleanthrottle_items = System.ArpItems.InstItems.IpgleanthrottleItems()
                self.ipgleanthrottle_items.parent = self
                self._children_name_map["ipgleanthrottle_items"] = "ipgleanthrottle-items"

                self.evtlogs_items = System.ArpItems.InstItems.EvtLogsItems()
                self.evtlogs_items.parent = self
                self._children_name_map["evtlogs_items"] = "evtLogs-items"

                self.vpc_items = System.ArpItems.InstItems.VpcItems()
                self.vpc_items.parent = self
                self._children_name_map["vpc_items"] = "vpc-items"

                self.db_items = System.ArpItems.InstItems.DbItems()
                self.db_items.parent = self
                self._children_name_map["db_items"] = "db-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ArpItems.InstItems, ['timeout', 'evpn_timeout', 'suppression_timeout', 'offlisttimeout', 'rarpfabricfwding', 'rarpfabricfwdingrate', 'cachelimit', 'cachesyslograte', 'logginglevel', 'adjlogginglevel', 'ipadjroutedistance', 'allowstaticarpoutsidesubnet', 'arpunnumsviswreplication', 'configerr', 'name', 'adminst', 'ctrl'], name, value)


            class GlobalstatsItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: controllerstats_items
                
                	
                	**type**\:  :py:class:`ControllerstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.ControllerstatsItems>`
                
                .. attribute:: vpcstats_items
                
                	
                	**type**\:  :py:class:`VpcstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems>`
                
                .. attribute:: tunnelstats_items
                
                	
                	**type**\:  :py:class:`TunnelstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.TunnelstatsItems>`
                
                .. attribute:: supcachestats_items
                
                	
                	**type**\:  :py:class:`SupcachestatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.SupcachestatsItems>`
                
                .. attribute:: ofastats_items
                
                	
                	**type**\:  :py:class:`OfastatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.OfastatsItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.GlobalstatsItems, self).__init__()

                    self.yang_name = "globalstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("controllerstats-items", ("controllerstats_items", System.ArpItems.InstItems.GlobalstatsItems.ControllerstatsItems)), ("vpcstats-items", ("vpcstats_items", System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems)), ("tunnelstats-items", ("tunnelstats_items", System.ArpItems.InstItems.GlobalstatsItems.TunnelstatsItems)), ("supcachestats-items", ("supcachestats_items", System.ArpItems.InstItems.GlobalstatsItems.SupcachestatsItems)), ("ofastats-items", ("ofastats_items", System.ArpItems.InstItems.GlobalstatsItems.OfastatsItems))])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.name = None
                    self.adminst = None
                    self.ctrl = None

                    self.controllerstats_items = System.ArpItems.InstItems.GlobalstatsItems.ControllerstatsItems()
                    self.controllerstats_items.parent = self
                    self._children_name_map["controllerstats_items"] = "controllerstats-items"

                    self.vpcstats_items = System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems()
                    self.vpcstats_items.parent = self
                    self._children_name_map["vpcstats_items"] = "vpcstats-items"

                    self.tunnelstats_items = System.ArpItems.InstItems.GlobalstatsItems.TunnelstatsItems()
                    self.tunnelstats_items.parent = self
                    self._children_name_map["tunnelstats_items"] = "tunnelstats-items"

                    self.supcachestats_items = System.ArpItems.InstItems.GlobalstatsItems.SupcachestatsItems()
                    self.supcachestats_items.parent = self
                    self._children_name_map["supcachestats_items"] = "supcachestats-items"

                    self.ofastats_items = System.ArpItems.InstItems.GlobalstatsItems.OfastatsItems()
                    self.ofastats_items.parent = self
                    self._children_name_map["ofastats_items"] = "ofastats-items"
                    self._segment_path = lambda: "globalstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems, ['name', 'adminst', 'ctrl'], name, value)


                class ControllerstatsItems(Entity):
                    """
                    
                    
                    .. attribute:: adjaddcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: adjdelcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: adjadderrorcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: adjdelerrorcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.GlobalstatsItems.ControllerstatsItems, self).__init__()

                        self.yang_name = "controllerstats-items"
                        self.yang_parent_name = "globalstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('adjaddcount', (YLeaf(YType.uint64, 'adjAddCount'), ['int'])),
                            ('adjdelcount', (YLeaf(YType.uint64, 'adjDelCount'), ['int'])),
                            ('adjadderrorcount', (YLeaf(YType.uint64, 'adjAddErrorCount'), ['int'])),
                            ('adjdelerrorcount', (YLeaf(YType.uint64, 'adjDelErrorCount'), ['int'])),
                        ])
                        self.adjaddcount = None
                        self.adjdelcount = None
                        self.adjadderrorcount = None
                        self.adjdelerrorcount = None
                        self._segment_path = lambda: "controllerstats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.ControllerstatsItems, ['adjaddcount', 'adjdelcount', 'adjadderrorcount', 'adjdelerrorcount'], name, value)



                class VpcstatsItems(Entity):
                    """
                    
                    
                    .. attribute:: cfspulldropsinceoff
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cfspushdropsinceoff
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sendignorepullreqcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sendignorepushmsgcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: imfailcfspayload
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: mcecmfailcfspayload
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: invalidmctpccfspayload
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: ptlookfailcfspayload
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cfsrspfailinvalidmct
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cfsrspfailcfspayload
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: retrievevpcfailpushmsg
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: retifindexfrmvpcfail
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: retifindexfrmvpcfailsync
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rspsentcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rsprecvcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rsprecvcfsoeerr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentfailcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: mcecmsendapifailcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sendcfsoe
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: vmctpktdropcount
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: syncstats_items
                    
                    	
                    	**type**\:  :py:class:`SyncstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems.SyncstatsItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems, self).__init__()

                        self.yang_name = "vpcstats-items"
                        self.yang_parent_name = "globalstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("syncstats-items", ("syncstats_items", System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems.SyncstatsItems))])
                        self._leafs = OrderedDict([
                            ('cfspulldropsinceoff', (YLeaf(YType.uint64, 'cfsPullDropSinceOff'), ['int'])),
                            ('cfspushdropsinceoff', (YLeaf(YType.uint64, 'cfsPushDropSinceOff'), ['int'])),
                            ('sendignorepullreqcfsoe', (YLeaf(YType.uint64, 'sendIgnorePullReqCfsoe'), ['int'])),
                            ('sendignorepushmsgcfsoe', (YLeaf(YType.uint64, 'sendIgnorePushMsgCfsoe'), ['int'])),
                            ('imfailcfspayload', (YLeaf(YType.uint64, 'imFailCFSPayload'), ['int'])),
                            ('mcecmfailcfspayload', (YLeaf(YType.uint64, 'mcecmFailCFSPayload'), ['int'])),
                            ('invalidmctpccfspayload', (YLeaf(YType.uint64, 'invalidMctPcCFSPayload'), ['int'])),
                            ('ptlookfailcfspayload', (YLeaf(YType.uint64, 'ptLookFailCFSPayload'), ['int'])),
                            ('cfsrspfailinvalidmct', (YLeaf(YType.uint64, 'cfsRspFailInvalidMct'), ['int'])),
                            ('cfsrspfailcfspayload', (YLeaf(YType.uint64, 'cfsRspFailCfsPayload'), ['int'])),
                            ('retrievevpcfailpushmsg', (YLeaf(YType.uint64, 'retrieveVpcFailPushMsg'), ['int'])),
                            ('retifindexfrmvpcfail', (YLeaf(YType.uint64, 'retIfindexFrmVpcFail'), ['int'])),
                            ('retifindexfrmvpcfailsync', (YLeaf(YType.uint64, 'retIfindexFrmVpcFailSync'), ['int'])),
                            ('rspsentcfsoe', (YLeaf(YType.uint64, 'rspSentCfsoe'), ['int'])),
                            ('rsprecvcfsoe', (YLeaf(YType.uint64, 'rspRecvCfsoe'), ['int'])),
                            ('rsprecvcfsoeerr', (YLeaf(YType.uint64, 'rspRecvCfsoeErr'), ['int'])),
                            ('recvcfsoe', (YLeaf(YType.uint64, 'recvCfsoe'), ['int'])),
                            ('sentfailcfsoe', (YLeaf(YType.uint64, 'sentFailCfsoe'), ['int'])),
                            ('mcecmsendapifailcfsoe', (YLeaf(YType.uint64, 'mcecmSendApiFailCfsoe'), ['int'])),
                            ('sendcfsoe', (YLeaf(YType.uint64, 'sendCfsoe'), ['int'])),
                            ('vmctpktdropcount', (YLeaf(YType.uint64, 'vmctPktDropCount'), ['int'])),
                        ])
                        self.cfspulldropsinceoff = None
                        self.cfspushdropsinceoff = None
                        self.sendignorepullreqcfsoe = None
                        self.sendignorepushmsgcfsoe = None
                        self.imfailcfspayload = None
                        self.mcecmfailcfspayload = None
                        self.invalidmctpccfspayload = None
                        self.ptlookfailcfspayload = None
                        self.cfsrspfailinvalidmct = None
                        self.cfsrspfailcfspayload = None
                        self.retrievevpcfailpushmsg = None
                        self.retifindexfrmvpcfail = None
                        self.retifindexfrmvpcfailsync = None
                        self.rspsentcfsoe = None
                        self.rsprecvcfsoe = None
                        self.rsprecvcfsoeerr = None
                        self.recvcfsoe = None
                        self.sentfailcfsoe = None
                        self.mcecmsendapifailcfsoe = None
                        self.sendcfsoe = None
                        self.vmctpktdropcount = None

                        self.syncstats_items = System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems.SyncstatsItems()
                        self.syncstats_items.parent = self
                        self._children_name_map["syncstats_items"] = "syncstats-items"
                        self._segment_path = lambda: "vpcstats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems, ['cfspulldropsinceoff', 'cfspushdropsinceoff', 'sendignorepullreqcfsoe', 'sendignorepushmsgcfsoe', 'imfailcfspayload', 'mcecmfailcfspayload', 'invalidmctpccfspayload', 'ptlookfailcfspayload', 'cfsrspfailinvalidmct', 'cfsrspfailcfspayload', 'retrievevpcfailpushmsg', 'retifindexfrmvpcfail', 'retifindexfrmvpcfailsync', 'rspsentcfsoe', 'rsprecvcfsoe', 'rsprecvcfsoeerr', 'recvcfsoe', 'sentfailcfsoe', 'mcecmsendapifailcfsoe', 'sendcfsoe', 'vmctpktdropcount'], name, value)


                    class SyncstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: ptaddfailofflist
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mallocfailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: timercreatefailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: adjaddfailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ptlookupfailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: vlanmismatchofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: invalidsviofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: svidownofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mctdownofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ctxtypeinvalidofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: vrfinvalidofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: invalidipofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ipsanityfailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: macsanityfailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ownroutermacofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ownipofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ownvipofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: adjcreatefailofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: subnetmismatchofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dupentryofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ipnotenofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdontdropofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjaddofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjdelofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjignoredofflistdb
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjfrmpeertoadd
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjfrmpeertodel
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjsentperiodically
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjpeertoadd
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjpeertodel
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totperiodicsyncadj
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totadjaddfailduringsyncsend
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropduringsyncinvalidsvi
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropsyncsvidown
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropsyncinvalidctxt
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropsyncnulladj
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totdropsyncnullip
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totsyncadjaddl2supcache
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totsyncstopbcastpkt
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totvmctorphansyncdropcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems.SyncstatsItems, self).__init__()

                            self.yang_name = "syncstats-items"
                            self.yang_parent_name = "vpcstats-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('ptaddfailofflist', (YLeaf(YType.uint64, 'ptAddFailOfflist'), ['int'])),
                                ('mallocfailofflistdb', (YLeaf(YType.uint64, 'mallocFailOfflistDb'), ['int'])),
                                ('timercreatefailofflistdb', (YLeaf(YType.uint64, 'timerCreateFailOfflistDb'), ['int'])),
                                ('adjaddfailofflistdb', (YLeaf(YType.uint64, 'adjAddFailOfflistDb'), ['int'])),
                                ('ptlookupfailofflistdb', (YLeaf(YType.uint64, 'ptLookupFailOfflistDb'), ['int'])),
                                ('vlanmismatchofflistdb', (YLeaf(YType.uint64, 'vlanMismatchOfflistDb'), ['int'])),
                                ('invalidsviofflistdb', (YLeaf(YType.uint64, 'invalidSviOfflistDb'), ['int'])),
                                ('svidownofflistdb', (YLeaf(YType.uint64, 'sviDownOfflistDb'), ['int'])),
                                ('mctdownofflistdb', (YLeaf(YType.uint64, 'mctDownOfflistDb'), ['int'])),
                                ('ctxtypeinvalidofflistdb', (YLeaf(YType.uint64, 'ctxTypeInvalidOfflistDb'), ['int'])),
                                ('vrfinvalidofflistdb', (YLeaf(YType.uint64, 'vrfInvalidOfflistDb'), ['int'])),
                                ('invalidipofflistdb', (YLeaf(YType.uint64, 'invalidIpOfflistDb'), ['int'])),
                                ('ipsanityfailofflistdb', (YLeaf(YType.uint64, 'ipSanityFailOfflistDb'), ['int'])),
                                ('macsanityfailofflistdb', (YLeaf(YType.uint64, 'macSanityFailOfflistDb'), ['int'])),
                                ('ownroutermacofflistdb', (YLeaf(YType.uint64, 'ownRouterMacOfflistDb'), ['int'])),
                                ('ownipofflistdb', (YLeaf(YType.uint64, 'ownIpOfflistDb'), ['int'])),
                                ('ownvipofflistdb', (YLeaf(YType.uint64, 'ownvIpOfflistDb'), ['int'])),
                                ('adjcreatefailofflistdb', (YLeaf(YType.uint64, 'adjCreateFailOfflistDb'), ['int'])),
                                ('subnetmismatchofflistdb', (YLeaf(YType.uint64, 'subnetMismatchOfflistDb'), ['int'])),
                                ('dupentryofflistdb', (YLeaf(YType.uint64, 'dupEntryOfflistDb'), ['int'])),
                                ('ipnotenofflistdb', (YLeaf(YType.uint64, 'ipNotEnOfflistDb'), ['int'])),
                                ('totdropofflistdb', (YLeaf(YType.uint64, 'totDropOfflistDb'), ['int'])),
                                ('totdontdropofflistdb', (YLeaf(YType.uint64, 'totDontDropOfflistDb'), ['int'])),
                                ('totadjaddofflistdb', (YLeaf(YType.uint64, 'totAdjAddOfflistDb'), ['int'])),
                                ('totadjdelofflistdb', (YLeaf(YType.uint64, 'totAdjDelOfflistDb'), ['int'])),
                                ('totadjignoredofflistdb', (YLeaf(YType.uint64, 'totAdjIgnoredOfflistDb'), ['int'])),
                                ('totadjfrmpeertoadd', (YLeaf(YType.uint64, 'totAdjFrmPeerToAdd'), ['int'])),
                                ('totadjfrmpeertodel', (YLeaf(YType.uint64, 'totAdjFrmPeerToDel'), ['int'])),
                                ('totadjsentperiodically', (YLeaf(YType.uint64, 'totAdjSentPeriodically'), ['int'])),
                                ('totadjpeertoadd', (YLeaf(YType.uint64, 'totAdjPeerToAdd'), ['int'])),
                                ('totadjpeertodel', (YLeaf(YType.uint64, 'totAdjPeerToDel'), ['int'])),
                                ('totperiodicsyncadj', (YLeaf(YType.uint64, 'totPeriodicSyncAdj'), ['int'])),
                                ('totadjaddfailduringsyncsend', (YLeaf(YType.uint64, 'totAdjAddFailDuringSyncSend'), ['int'])),
                                ('totdropduringsyncinvalidsvi', (YLeaf(YType.uint64, 'totDropDuringSyncInvalidSvi'), ['int'])),
                                ('totdropsyncsvidown', (YLeaf(YType.uint64, 'totDropSyncSviDown'), ['int'])),
                                ('totdropsyncinvalidctxt', (YLeaf(YType.uint64, 'totDropSyncInvalidCtxt'), ['int'])),
                                ('totdropsyncnulladj', (YLeaf(YType.uint64, 'totDropSyncNullAdj'), ['int'])),
                                ('totdropsyncnullip', (YLeaf(YType.uint64, 'totDropSyncNullIp'), ['int'])),
                                ('totsyncadjaddl2supcache', (YLeaf(YType.uint64, 'totSyncAdjAddL2SupCache'), ['int'])),
                                ('totsyncstopbcastpkt', (YLeaf(YType.uint64, 'totSyncStopBcastPkt'), ['int'])),
                                ('totvmctorphansyncdropcount', (YLeaf(YType.uint64, 'totVmctOrphanSyncDropCount'), ['int'])),
                            ])
                            self.ptaddfailofflist = None
                            self.mallocfailofflistdb = None
                            self.timercreatefailofflistdb = None
                            self.adjaddfailofflistdb = None
                            self.ptlookupfailofflistdb = None
                            self.vlanmismatchofflistdb = None
                            self.invalidsviofflistdb = None
                            self.svidownofflistdb = None
                            self.mctdownofflistdb = None
                            self.ctxtypeinvalidofflistdb = None
                            self.vrfinvalidofflistdb = None
                            self.invalidipofflistdb = None
                            self.ipsanityfailofflistdb = None
                            self.macsanityfailofflistdb = None
                            self.ownroutermacofflistdb = None
                            self.ownipofflistdb = None
                            self.ownvipofflistdb = None
                            self.adjcreatefailofflistdb = None
                            self.subnetmismatchofflistdb = None
                            self.dupentryofflistdb = None
                            self.ipnotenofflistdb = None
                            self.totdropofflistdb = None
                            self.totdontdropofflistdb = None
                            self.totadjaddofflistdb = None
                            self.totadjdelofflistdb = None
                            self.totadjignoredofflistdb = None
                            self.totadjfrmpeertoadd = None
                            self.totadjfrmpeertodel = None
                            self.totadjsentperiodically = None
                            self.totadjpeertoadd = None
                            self.totadjpeertodel = None
                            self.totperiodicsyncadj = None
                            self.totadjaddfailduringsyncsend = None
                            self.totdropduringsyncinvalidsvi = None
                            self.totdropsyncsvidown = None
                            self.totdropsyncinvalidctxt = None
                            self.totdropsyncnulladj = None
                            self.totdropsyncnullip = None
                            self.totsyncadjaddl2supcache = None
                            self.totsyncstopbcastpkt = None
                            self.totvmctorphansyncdropcount = None
                            self._segment_path = lambda: "syncstats-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/vpcstats-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.VpcstatsItems.SyncstatsItems, ['ptaddfailofflist', 'mallocfailofflistdb', 'timercreatefailofflistdb', 'adjaddfailofflistdb', 'ptlookupfailofflistdb', 'vlanmismatchofflistdb', 'invalidsviofflistdb', 'svidownofflistdb', 'mctdownofflistdb', 'ctxtypeinvalidofflistdb', 'vrfinvalidofflistdb', 'invalidipofflistdb', 'ipsanityfailofflistdb', 'macsanityfailofflistdb', 'ownroutermacofflistdb', 'ownipofflistdb', 'ownvipofflistdb', 'adjcreatefailofflistdb', 'subnetmismatchofflistdb', 'dupentryofflistdb', 'ipnotenofflistdb', 'totdropofflistdb', 'totdontdropofflistdb', 'totadjaddofflistdb', 'totadjdelofflistdb', 'totadjignoredofflistdb', 'totadjfrmpeertoadd', 'totadjfrmpeertodel', 'totadjsentperiodically', 'totadjpeertoadd', 'totadjpeertodel', 'totperiodicsyncadj', 'totadjaddfailduringsyncsend', 'totdropduringsyncinvalidsvi', 'totdropsyncsvidown', 'totdropsyncinvalidctxt', 'totdropsyncnulladj', 'totdropsyncnullip', 'totsyncadjaddl2supcache', 'totsyncstopbcastpkt', 'totvmctorphansyncdropcount'], name, value)




                class TunnelstatsItems(Entity):
                    """
                    
                    
                    .. attribute:: tottunnelrcvd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxforingressvpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxingressforgpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxingressorphanvpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rxingressorphanvpcplus
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: totpacksent
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pktsentarpsnoop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pktsentnonlocalvip
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: pktsentpeergway
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txingressvpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txingressgpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txingressorphanvpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: txingressorphanvpcplus
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: totrecvdropped
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: totsenddropped
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sendfaildrop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rcvdinvalidver
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rcvdinvalidpayloadtype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rcvdmctif
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: rcvdinvalidingressport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: dropsentinvalidport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: droprecvinvalidgpccore
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: droprecvinvalidgpcpeer
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: droprecvfailretrievegpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: dropsendfailretrievegpc
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: failretrievevpcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: imapifail
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: invalidcontext
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: dropmctdown
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvdropmbuffail
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: senddropmbuffail
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tunnelfailed
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: tunnelfailcenetwork
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: mcecmkeynotfound
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.GlobalstatsItems.TunnelstatsItems, self).__init__()

                        self.yang_name = "tunnelstats-items"
                        self.yang_parent_name = "globalstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tottunnelrcvd', (YLeaf(YType.uint64, 'totTunnelRcvd'), ['int'])),
                            ('rxforingressvpc', (YLeaf(YType.uint64, 'rxForIngressVpc'), ['int'])),
                            ('rxingressforgpc', (YLeaf(YType.uint64, 'rxIngressforGpc'), ['int'])),
                            ('rxingressorphanvpc', (YLeaf(YType.uint64, 'rxIngressOrphanVpc'), ['int'])),
                            ('rxingressorphanvpcplus', (YLeaf(YType.uint64, 'rxIngressOrphanVpcPlus'), ['int'])),
                            ('totpacksent', (YLeaf(YType.uint64, 'totPackSent'), ['int'])),
                            ('pktsentarpsnoop', (YLeaf(YType.uint64, 'pktSentArpSnoop'), ['int'])),
                            ('pktsentnonlocalvip', (YLeaf(YType.uint64, 'pktSentNonlocalVip'), ['int'])),
                            ('pktsentpeergway', (YLeaf(YType.uint64, 'pktSentPeerGway'), ['int'])),
                            ('txingressvpc', (YLeaf(YType.uint64, 'txIngressVpc'), ['int'])),
                            ('txingressgpc', (YLeaf(YType.uint64, 'txIngressGpc'), ['int'])),
                            ('txingressorphanvpc', (YLeaf(YType.uint64, 'txIngressOrphanVpc'), ['int'])),
                            ('txingressorphanvpcplus', (YLeaf(YType.uint64, 'txIngressOrphanVpcPlus'), ['int'])),
                            ('totrecvdropped', (YLeaf(YType.uint64, 'totRecvDropped'), ['int'])),
                            ('totsenddropped', (YLeaf(YType.uint64, 'totSendDropped'), ['int'])),
                            ('sendfaildrop', (YLeaf(YType.uint64, 'sendFailDrop'), ['int'])),
                            ('rcvdinvalidver', (YLeaf(YType.uint64, 'rcvdInvalidVer'), ['int'])),
                            ('rcvdinvalidpayloadtype', (YLeaf(YType.uint64, 'rcvdInvalidPayloadType'), ['int'])),
                            ('rcvdmctif', (YLeaf(YType.uint64, 'rcvdMctIf'), ['int'])),
                            ('rcvdinvalidingressport', (YLeaf(YType.uint64, 'rcvdInvalidIngressPort'), ['int'])),
                            ('dropsentinvalidport', (YLeaf(YType.uint64, 'dropSentInvalidPort'), ['int'])),
                            ('droprecvinvalidgpccore', (YLeaf(YType.uint64, 'dropRecvInvalidGpcCore'), ['int'])),
                            ('droprecvinvalidgpcpeer', (YLeaf(YType.uint64, 'dropRecvInvalidGpcPeer'), ['int'])),
                            ('droprecvfailretrievegpc', (YLeaf(YType.uint64, 'dropRecvFailRetrieveGpc'), ['int'])),
                            ('dropsendfailretrievegpc', (YLeaf(YType.uint64, 'dropSendFailRetrieveGpc'), ['int'])),
                            ('failretrievevpcid', (YLeaf(YType.uint64, 'failRetrieveVpcId'), ['int'])),
                            ('imapifail', (YLeaf(YType.uint64, 'imApiFail'), ['int'])),
                            ('invalidcontext', (YLeaf(YType.uint64, 'invalidContext'), ['int'])),
                            ('dropmctdown', (YLeaf(YType.uint64, 'dropMctDown'), ['int'])),
                            ('recvdropmbuffail', (YLeaf(YType.uint64, 'recvDropMbufFail'), ['int'])),
                            ('senddropmbuffail', (YLeaf(YType.uint64, 'sendDropMbufFail'), ['int'])),
                            ('tunnelfailed', (YLeaf(YType.uint64, 'tunnelFailed'), ['int'])),
                            ('tunnelfailcenetwork', (YLeaf(YType.uint64, 'tunnelFailCENetwork'), ['int'])),
                            ('mcecmkeynotfound', (YLeaf(YType.uint64, 'mcecmKeyNotFound'), ['int'])),
                        ])
                        self.tottunnelrcvd = None
                        self.rxforingressvpc = None
                        self.rxingressforgpc = None
                        self.rxingressorphanvpc = None
                        self.rxingressorphanvpcplus = None
                        self.totpacksent = None
                        self.pktsentarpsnoop = None
                        self.pktsentnonlocalvip = None
                        self.pktsentpeergway = None
                        self.txingressvpc = None
                        self.txingressgpc = None
                        self.txingressorphanvpc = None
                        self.txingressorphanvpcplus = None
                        self.totrecvdropped = None
                        self.totsenddropped = None
                        self.sendfaildrop = None
                        self.rcvdinvalidver = None
                        self.rcvdinvalidpayloadtype = None
                        self.rcvdmctif = None
                        self.rcvdinvalidingressport = None
                        self.dropsentinvalidport = None
                        self.droprecvinvalidgpccore = None
                        self.droprecvinvalidgpcpeer = None
                        self.droprecvfailretrievegpc = None
                        self.dropsendfailretrievegpc = None
                        self.failretrievevpcid = None
                        self.imapifail = None
                        self.invalidcontext = None
                        self.dropmctdown = None
                        self.recvdropmbuffail = None
                        self.senddropmbuffail = None
                        self.tunnelfailed = None
                        self.tunnelfailcenetwork = None
                        self.mcecmkeynotfound = None
                        self._segment_path = lambda: "tunnelstats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.TunnelstatsItems, ['tottunnelrcvd', 'rxforingressvpc', 'rxingressforgpc', 'rxingressorphanvpc', 'rxingressorphanvpcplus', 'totpacksent', 'pktsentarpsnoop', 'pktsentnonlocalvip', 'pktsentpeergway', 'txingressvpc', 'txingressgpc', 'txingressorphanvpc', 'txingressorphanvpcplus', 'totrecvdropped', 'totsenddropped', 'sendfaildrop', 'rcvdinvalidver', 'rcvdinvalidpayloadtype', 'rcvdmctif', 'rcvdinvalidingressport', 'dropsentinvalidport', 'droprecvinvalidgpccore', 'droprecvinvalidgpcpeer', 'droprecvfailretrievegpc', 'dropsendfailretrievegpc', 'failretrievevpcid', 'imapifail', 'invalidcontext', 'dropmctdown', 'recvdropmbuffail', 'senddropmbuffail', 'tunnelfailed', 'tunnelfailcenetwork', 'mcecmkeynotfound'], name, value)



                class SupcachestatsItems(Entity):
                    """
                    
                    
                    .. attribute:: requests
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: requestsl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: gratuitous
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: gratuitousl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fwdrequestsl3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fwdrepliesl3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fwdrequestoncoreport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: fwdreplyoncoreport
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentdrop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentreql2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentreplyl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentreqcorel2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentreplycorel2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: sentdropl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvreql3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvreplyl3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvlocalreql3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvlocalreplyl3
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvgratarp
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvdrop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvrequestl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvreplyl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvgratarpl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: recvdropl2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: localentryadds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: localentrydel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.GlobalstatsItems.SupcachestatsItems, self).__init__()

                        self.yang_name = "supcachestats-items"
                        self.yang_parent_name = "globalstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('requests', (YLeaf(YType.uint64, 'requests'), ['int'])),
                            ('requestsl2', (YLeaf(YType.uint64, 'requestsL2'), ['int'])),
                            ('gratuitous', (YLeaf(YType.uint64, 'gratuitous'), ['int'])),
                            ('gratuitousl2', (YLeaf(YType.uint64, 'gratuitousL2'), ['int'])),
                            ('fwdrequestsl3', (YLeaf(YType.uint64, 'fwdRequestsL3'), ['int'])),
                            ('fwdrepliesl3', (YLeaf(YType.uint64, 'fwdRepliesL3'), ['int'])),
                            ('fwdrequestoncoreport', (YLeaf(YType.uint64, 'fwdRequestOnCorePort'), ['int'])),
                            ('fwdreplyoncoreport', (YLeaf(YType.uint64, 'fwdReplyOnCorePort'), ['int'])),
                            ('sentdrop', (YLeaf(YType.uint64, 'sentDrop'), ['int'])),
                            ('sentreql2', (YLeaf(YType.uint64, 'sentReqL2'), ['int'])),
                            ('sentreplyl2', (YLeaf(YType.uint64, 'sentReplyL2'), ['int'])),
                            ('sentreqcorel2', (YLeaf(YType.uint64, 'sentReqCoreL2'), ['int'])),
                            ('sentreplycorel2', (YLeaf(YType.uint64, 'sentReplyCoreL2'), ['int'])),
                            ('sentdropl2', (YLeaf(YType.uint64, 'sentDropL2'), ['int'])),
                            ('recvreql3', (YLeaf(YType.uint64, 'recvReqL3'), ['int'])),
                            ('recvreplyl3', (YLeaf(YType.uint64, 'recvReplyL3'), ['int'])),
                            ('recvlocalreql3', (YLeaf(YType.uint64, 'recvLocalReqL3'), ['int'])),
                            ('recvlocalreplyl3', (YLeaf(YType.uint64, 'recvLocalReplyL3'), ['int'])),
                            ('recvgratarp', (YLeaf(YType.uint64, 'recvGratArp'), ['int'])),
                            ('recvdrop', (YLeaf(YType.uint64, 'recvDrop'), ['int'])),
                            ('recvrequestl2', (YLeaf(YType.uint64, 'recvRequestL2'), ['int'])),
                            ('recvreplyl2', (YLeaf(YType.uint64, 'recvReplyL2'), ['int'])),
                            ('recvgratarpl2', (YLeaf(YType.uint64, 'recvGratArpL2'), ['int'])),
                            ('recvdropl2', (YLeaf(YType.uint64, 'recvDropL2'), ['int'])),
                            ('localentryadds', (YLeaf(YType.uint64, 'localEntryAdds'), ['int'])),
                            ('localentrydel', (YLeaf(YType.uint64, 'localEntryDel'), ['int'])),
                        ])
                        self.requests = None
                        self.requestsl2 = None
                        self.gratuitous = None
                        self.gratuitousl2 = None
                        self.fwdrequestsl3 = None
                        self.fwdrepliesl3 = None
                        self.fwdrequestoncoreport = None
                        self.fwdreplyoncoreport = None
                        self.sentdrop = None
                        self.sentreql2 = None
                        self.sentreplyl2 = None
                        self.sentreqcorel2 = None
                        self.sentreplycorel2 = None
                        self.sentdropl2 = None
                        self.recvreql3 = None
                        self.recvreplyl3 = None
                        self.recvlocalreql3 = None
                        self.recvlocalreplyl3 = None
                        self.recvgratarp = None
                        self.recvdrop = None
                        self.recvrequestl2 = None
                        self.recvreplyl2 = None
                        self.recvgratarpl2 = None
                        self.recvdropl2 = None
                        self.localentryadds = None
                        self.localentrydel = None
                        self._segment_path = lambda: "supcachestats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.SupcachestatsItems, ['requests', 'requestsl2', 'gratuitous', 'gratuitousl2', 'fwdrequestsl3', 'fwdrepliesl3', 'fwdrequestoncoreport', 'fwdreplyoncoreport', 'sentdrop', 'sentreql2', 'sentreplyl2', 'sentreqcorel2', 'sentreplycorel2', 'sentdropl2', 'recvreql3', 'recvreplyl3', 'recvlocalreql3', 'recvlocalreplyl3', 'recvgratarp', 'recvdrop', 'recvrequestl2', 'recvreplyl2', 'recvgratarpl2', 'recvdropl2', 'localentryadds', 'localentrydel'], name, value)



                class OfastatsItems(Entity):
                    """
                    
                    
                    .. attribute:: dpadjerrdel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpmacmismatcherrdel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpnullmacerrdel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpnoadjerrdel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpcpnhmismatcherrdel
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpadjdelfailureerr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpnullmacerradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpdpmacmismatcherradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpcpmacmismatcherradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpaddfirsterr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: dpoverwritecperr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: dpcpnhmismatcherradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpcpnhmismatcherradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpdpnhmismatcherradd
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: cpadjaddfailureerr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    .. attribute:: barrierresponseerr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.GlobalstatsItems.OfastatsItems, self).__init__()

                        self.yang_name = "ofastats-items"
                        self.yang_parent_name = "globalstats-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('dpadjerrdel', (YLeaf(YType.uint64, 'dpAdjErrDel'), ['int'])),
                            ('cpmacmismatcherrdel', (YLeaf(YType.uint64, 'cpMacMismatchErrDel'), ['int'])),
                            ('cpnullmacerrdel', (YLeaf(YType.uint64, 'cpNullMacErrDel'), ['int'])),
                            ('cpnoadjerrdel', (YLeaf(YType.uint64, 'cpNoAdjErrDel'), ['int'])),
                            ('cpcpnhmismatcherrdel', (YLeaf(YType.uint64, 'cpCpNhMismatchErrDel'), ['int'])),
                            ('cpadjdelfailureerr', (YLeaf(YType.uint64, 'cpAdjDelFailureErr'), ['int'])),
                            ('cpnullmacerradd', (YLeaf(YType.uint64, 'cpNullMacErrAdd'), ['int'])),
                            ('cpdpmacmismatcherradd', (YLeaf(YType.uint64, 'cpDpMacMismatchErrAdd'), ['int'])),
                            ('cpcpmacmismatcherradd', (YLeaf(YType.uint64, 'cpCpMacMismatchErrAdd'), ['int'])),
                            ('cpaddfirsterr', (YLeaf(YType.uint64, 'cpAddFirstErr'), ['int'])),
                            ('dpoverwritecperr', (YLeaf(YType.uint64, 'dpOverwriteCpErr'), ['int'])),
                            ('dpcpnhmismatcherradd', (YLeaf(YType.uint64, 'dpCpNhMismatchErrAdd'), ['int'])),
                            ('cpcpnhmismatcherradd', (YLeaf(YType.uint64, 'cpCpNhMismatchErrAdd'), ['int'])),
                            ('cpdpnhmismatcherradd', (YLeaf(YType.uint64, 'cpDpNhMismatchErrAdd'), ['int'])),
                            ('cpadjaddfailureerr', (YLeaf(YType.uint64, 'cpAdjAddFailureErr'), ['int'])),
                            ('barrierresponseerr', (YLeaf(YType.uint64, 'barrierResponseErr'), ['int'])),
                        ])
                        self.dpadjerrdel = None
                        self.cpmacmismatcherrdel = None
                        self.cpnullmacerrdel = None
                        self.cpnoadjerrdel = None
                        self.cpcpnhmismatcherrdel = None
                        self.cpadjdelfailureerr = None
                        self.cpnullmacerradd = None
                        self.cpdpmacmismatcherradd = None
                        self.cpcpmacmismatcherradd = None
                        self.cpaddfirsterr = None
                        self.dpoverwritecperr = None
                        self.dpcpnhmismatcherradd = None
                        self.cpcpnhmismatcherradd = None
                        self.cpdpnhmismatcherradd = None
                        self.cpadjaddfailureerr = None
                        self.barrierresponseerr = None
                        self._segment_path = lambda: "ofastats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/globalstats-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.GlobalstatsItems.OfastatsItems, ['dpadjerrdel', 'cpmacmismatcherrdel', 'cpnullmacerrdel', 'cpnoadjerrdel', 'cpcpnhmismatcherrdel', 'cpadjdelfailureerr', 'cpnullmacerradd', 'cpdpmacmismatcherradd', 'cpcpmacmismatcherradd', 'cpaddfirsterr', 'dpoverwritecperr', 'dpcpnhmismatcherradd', 'cpcpnhmismatcherradd', 'cpdpnhmismatcherradd', 'cpadjaddfailureerr', 'barrierresponseerr'], name, value)




            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.ArpItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: encap
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.DbItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.ArpItems.InstItems.DomItems.DomList.DbItems)), ("if-items", ("if_items", System.ArpItems.InstItems.DomItems.DomList.IfItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ])
                        self.name = None
                        self.encap = None

                        self.db_items = System.ArpItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.if_items = System.ArpItems.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList, ['name', 'encap'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ArpItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`ArpDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: adj_items
                            
                            	
                            	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("adj-items", ("adj_items", System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.adj_items = System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems()
                                self.adj_items.parent = self
                                self._children_name_map["adj_items"] = "adj-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class AdjItems(Entity):
                                """
                                
                                
                                .. attribute:: adjep_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems, self).__init__()

                                    self.yang_name = "adj-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList))])
                                    self._leafs = OrderedDict()

                                    self.adjep_list = YList(self)
                                    self._segment_path = lambda: "adj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems, [], name, value)


                                class AdjEpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ifid  (key)
                                    
                                    	Logical Interface ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ip  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mac
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: upts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`ArpAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpAdjOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: physifid
                                    
                                    	Physical Interface ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList, self).__init__()

                                        self.yang_name = "AdjEp-list"
                                        self.yang_parent_name = "adj-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ifid','ip']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                            ('upts', (YLeaf(YType.str, 'upTS'), ['str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpAdjOperSt', '')])),
                                            ('physifid', (YLeaf(YType.str, 'physIfId'), ['str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.ifid = None
                                        self.ip = None
                                        self.mac = None
                                        self.upts = None
                                        self.operst = None
                                        self.physifid = None
                                        self.flags = None
                                        self.name = None
                                        self._segment_path = lambda: "AdjEp-list" + "[ifId='" + str(self.ifid) + "']" + "[ip='" + str(self.ip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList, ['ifid', 'ip', 'mac', 'upts', 'operst', 'physifid', 'flags', 'name'], name, value)






                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ArpItems.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: timeout
                            
                            	ARP Timeout
                            	**type**\: int
                            
                            	**range:** 60..28800
                            
                            .. attribute:: gratuitousrequest
                            
                            	Gratuitous ARP Request
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: gratuitousupdate
                            
                            	Gratuitous ARP Update
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: gratuitoushsrpdup
                            
                            	Gratuitous ARP HSRP Duplicate
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: proxyarp
                            
                            	Proxy ARP
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: localproxyarp
                            
                            	Local Proxy ARP
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: localproxyarpnohwflood
                            
                            	Local Proxy ARP w/o HW Flooding
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: deleteadjonmacdelete
                            
                            	Delete Adjacency On MAC Delete w/o Refresh
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: refreshtimerformacdelete
                            
                            	Set Refresh Timer For MAC Delete Adjacency
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: duplicateipdetectionforunnumberedsvi
                            
                            	Enable Duplicate IP Detection Across VLANs for                          IP Unnumbered SVIs
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: configerror
                            
                            	Config Error
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: sadj_items
                            
                            	
                            	**type**\:  :py:class:`SadjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems>`
                            
                            .. attribute:: ifstatstx_items
                            
                            	
                            	**type**\:  :py:class:`IfstatstxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatstxItems>`
                            
                            .. attribute:: ifstatsrx_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsrxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsrxItems>`
                            
                            .. attribute:: ifstatsadj_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsadjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsadjItems>`
                            
                            .. attribute:: ifstatsmisc_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsmiscItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmiscItems>`
                            
                            .. attribute:: ifstatsmh_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsmhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmhItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("sadj-items", ("sadj_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems)), ("ifstatstx-items", ("ifstatstx_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatstxItems)), ("ifstatsrx-items", ("ifstatsrx_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsrxItems)), ("ifstatsadj-items", ("ifstatsadj_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsadjItems)), ("ifstatsmisc-items", ("ifstatsmisc_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmiscItems)), ("ifstatsmh-items", ("ifstatsmh_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmhItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                                    ('gratuitousrequest', (YLeaf(YType.enumeration, 'gratuitousRequest'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('gratuitousupdate', (YLeaf(YType.enumeration, 'gratuitousUpdate'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('gratuitoushsrpdup', (YLeaf(YType.enumeration, 'gratuitousHsrpDup'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('proxyarp', (YLeaf(YType.enumeration, 'proxyArp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('localproxyarp', (YLeaf(YType.enumeration, 'localProxyArp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('localproxyarpnohwflood', (YLeaf(YType.enumeration, 'localProxyArpNoHwFlood'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('deleteadjonmacdelete', (YLeaf(YType.enumeration, 'deleteAdjOnMacDelete'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('refreshtimerformacdelete', (YLeaf(YType.uint16, 'refreshTimerForMacDelete'), ['int'])),
                                    ('duplicateipdetectionforunnumberedsvi', (YLeaf(YType.enumeration, 'duplicateIpDetectionForUnnumberedSvi'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('configerror', (YLeaf(YType.str, 'configError'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ])
                                self.id = None
                                self.timeout = None
                                self.gratuitousrequest = None
                                self.gratuitousupdate = None
                                self.gratuitoushsrpdup = None
                                self.proxyarp = None
                                self.localproxyarp = None
                                self.localproxyarpnohwflood = None
                                self.deleteadjonmacdelete = None
                                self.refreshtimerformacdelete = None
                                self.duplicateipdetectionforunnumberedsvi = None
                                self.configerror = None
                                self.name = None
                                self.descr = None
                                self.adminst = None

                                self.sadj_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems()
                                self.sadj_items.parent = self
                                self._children_name_map["sadj_items"] = "sadj-items"

                                self.ifstatstx_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatstxItems()
                                self.ifstatstx_items.parent = self
                                self._children_name_map["ifstatstx_items"] = "ifstatstx-items"

                                self.ifstatsrx_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsrxItems()
                                self.ifstatsrx_items.parent = self
                                self._children_name_map["ifstatsrx_items"] = "ifstatsrx-items"

                                self.ifstatsadj_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsadjItems()
                                self.ifstatsadj_items.parent = self
                                self._children_name_map["ifstatsadj_items"] = "ifstatsadj-items"

                                self.ifstatsmisc_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmiscItems()
                                self.ifstatsmisc_items.parent = self
                                self._children_name_map["ifstatsmisc_items"] = "ifstatsmisc-items"

                                self.ifstatsmh_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmhItems()
                                self.ifstatsmh_items.parent = self
                                self._children_name_map["ifstatsmh_items"] = "ifstatsmh-items"

                                self.rtvrfmbr_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'timeout', 'gratuitousrequest', 'gratuitousupdate', 'gratuitoushsrpdup', 'proxyarp', 'localproxyarp', 'localproxyarpnohwflood', 'deleteadjonmacdelete', 'refreshtimerformacdelete', 'duplicateipdetectionforunnumberedsvi', 'configerror', 'name', 'descr', 'adminst'], name, value)


                            class SadjItems(Entity):
                                """
                                
                                
                                .. attribute:: stadjep_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StAdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems, self).__init__()

                                    self.yang_name = "sadj-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("StAdjEp-list", ("stadjep_list", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList))])
                                    self._leafs = OrderedDict()

                                    self.stadjep_list = YList(self)
                                    self._segment_path = lambda: "sadj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems, [], name, value)


                                class StAdjEpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`ArpStAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpStAdjOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operstqual
                                    
                                    	Operational State Qualifier
                                    	**type**\:  :py:class:`ArpStAdjOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpStAdjOperStQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: mac
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: rtctrlradjeptostadjep_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtCtrlrAdjEpToStAdjEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtCtrlrAdjEpToStAdjEpItems>`
                                    
                                    .. attribute:: rtfvepdefreftostadjep_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtfvEpDefRefToStAdjEpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList, self).__init__()

                                        self.yang_name = "StAdjEp-list"
                                        self.yang_parent_name = "sadj-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ip']
                                        self._child_classes = OrderedDict([("rtCtrlrAdjEpToStAdjEp-items", ("rtctrlradjeptostadjep_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtCtrlrAdjEpToStAdjEpItems)), ("rtfvEpDefRefToStAdjEp-items", ("rtfvepdefreftostadjep_items", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems))])
                                        self._leafs = OrderedDict([
                                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpStAdjOperSt', '')])),
                                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpStAdjOperStQual', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                        ])
                                        self.ip = None
                                        self.operst = None
                                        self.operstqual = None
                                        self.name = None
                                        self.mac = None

                                        self.rtctrlradjeptostadjep_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtCtrlrAdjEpToStAdjEpItems()
                                        self.rtctrlradjeptostadjep_items.parent = self
                                        self._children_name_map["rtctrlradjeptostadjep_items"] = "rtCtrlrAdjEpToStAdjEp-items"

                                        self.rtfvepdefreftostadjep_items = System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems()
                                        self.rtfvepdefreftostadjep_items.parent = self
                                        self._children_name_map["rtfvepdefreftostadjep_items"] = "rtfvEpDefRefToStAdjEp-items"
                                        self._segment_path = lambda: "StAdjEp-list" + "[ip='" + str(self.ip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList, ['ip', 'operst', 'operstqual', 'name', 'mac'], name, value)


                                    class RtCtrlrAdjEpToStAdjEpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtCtrlrAdjEpToStAdjEpItems, self).__init__()

                                            self.yang_name = "rtCtrlrAdjEpToStAdjEp-items"
                                            self.yang_parent_name = "StAdjEp-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "rtCtrlrAdjEpToStAdjEp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtCtrlrAdjEpToStAdjEpItems, ['tdn', 'tcl'], name, value)



                                    class RtfvEpDefRefToStAdjEpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtfvepdefreftostadjep_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtFvEpDefRefToStAdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems.RtFvEpDefRefToStAdjEpList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems, self).__init__()

                                            self.yang_name = "rtfvEpDefRefToStAdjEp-items"
                                            self.yang_parent_name = "StAdjEp-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtFvEpDefRefToStAdjEp-list", ("rtfvepdefreftostadjep_list", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems.RtFvEpDefRefToStAdjEpList))])
                                            self._leafs = OrderedDict()

                                            self.rtfvepdefreftostadjep_list = YList(self)
                                            self._segment_path = lambda: "rtfvEpDefRefToStAdjEp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems, [], name, value)


                                        class RtFvEpDefRefToStAdjEpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems.RtFvEpDefRefToStAdjEpList, self).__init__()

                                                self.yang_name = "RtFvEpDefRefToStAdjEp-list"
                                                self.yang_parent_name = "rtfvEpDefRefToStAdjEp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RtFvEpDefRefToStAdjEp-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpItems.RtFvEpDefRefToStAdjEpList, ['tdn', 'tcl'], name, value)






                            class IfstatstxItems(Entity):
                                """
                                
                                
                                .. attribute:: pktsent
                                
                                	ARP Packet Send Total Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentreq
                                
                                	ARP Packet Send Request Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentrsp
                                
                                	ARP Packet Send Reply Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentreql2
                                
                                	ARP Packet Send Request Count On L2
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentrspl2
                                
                                	ARP Packet Send Reply Count On L2
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentgratreq
                                
                                	ARP Packet Send Gratuitous Request Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsenttunnel
                                
                                	ARP Packet Send Tunnel Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentdrop
                                
                                	ARP Packet Send Drop Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendsrvport
                                
                                	ARP Packet Send Server Port Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendfbrcport
                                
                                	ARP Packet Send Fabric Port Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendfixupcore
                                
                                	ARP Packet Send Fixup Core Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendfixupserver
                                
                                	ARP Packet Send Fixup Server Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendfixuprarp
                                
                                	ARP Packet Send Fixup Rarp Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsendanycastglean
                                
                                	ARP Packet Send Anycast Glean Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailinvpkt
                                
                                	ARP Packet Send Fail Invalid Packet Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailmbufop
                                
                                	ARP Packet Send Fail Mbuf Operation Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailnoifindex
                                
                                	ARP Packet Send Fail Invalid Ifindex Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailunsupportedint
                                
                                	ARP Packet Send Fail On Unsupported Interface Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailimdown
                                
                                	ARP Packet Send Fail On Interface Down Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailinvsrcip
                                
                                	ARP Packet Send Fail Invalid Source IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailinvdstip
                                
                                	ARP Packet Send Fail Invalid Destination IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailownip
                                
                                	ARP Packet Send Fail Own IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailctxtnotcreated
                                
                                	ARP Packet Send Fail Context Not Created Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailbadctxtid
                                
                                	ARP Packet Send Fail Bad Context Id Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailunattachedip
                                
                                	ARP Packet Send Fail Unattached IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailadjaddfailure
                                
                                	ARP Packet Send Fail Adjacency Add Failure Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailnosrcip
                                
                                	ARP Packet Send Fail No Source IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailnomac
                                
                                	ARP Packet Send Fail No Mac Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailclientenqfailed
                                
                                	ARP Packet Send Fail Client Enqueue Failed Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailproxydstnotrchbl
                                
                                	ARP Packet Send Fail Proxy Destination Not Reachable Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktskiprespenhancedproxydestnotreach
                                
                                	ARP Packet Skip Response Enhanced Proxy Destination Not Reachable Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktskiprespenhancedproxyl2porttrack
                                
                                	ARP Packet Skip Response Enhanced Proxy L2 Port Track Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailinvlocalproxy
                                
                                	ARP Packet Send Fail Invalid Local Proxy Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailinvproxy
                                
                                	ARP Packet Send Fail Invalid Proxy Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktsentfailvipgroupnotactive
                                
                                	ARP Packet Send Fail VIP Group Not Active Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrefreshfloodtoserverskipcore
                                
                                	ARP Refresh pkts flooded to the server but skipped over core Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatstxItems, self).__init__()

                                    self.yang_name = "ifstatstx-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('pktsent', (YLeaf(YType.uint32, 'pktSent'), ['int'])),
                                        ('pktsentreq', (YLeaf(YType.uint32, 'pktSentReq'), ['int'])),
                                        ('pktsentrsp', (YLeaf(YType.uint32, 'pktSentRsp'), ['int'])),
                                        ('pktsentreql2', (YLeaf(YType.uint32, 'pktSentReqL2'), ['int'])),
                                        ('pktsentrspl2', (YLeaf(YType.uint32, 'pktSentRspL2'), ['int'])),
                                        ('pktsentgratreq', (YLeaf(YType.uint32, 'pktSentGratReq'), ['int'])),
                                        ('pktsenttunnel', (YLeaf(YType.uint32, 'pktSentTunnel'), ['int'])),
                                        ('pktsentdrop', (YLeaf(YType.uint32, 'pktSentDrop'), ['int'])),
                                        ('pktsendsrvport', (YLeaf(YType.uint32, 'pktSendSrvPort'), ['int'])),
                                        ('pktsendfbrcport', (YLeaf(YType.uint32, 'pktSendFbrcPort'), ['int'])),
                                        ('pktsendfixupcore', (YLeaf(YType.uint32, 'pktSendFixupCore'), ['int'])),
                                        ('pktsendfixupserver', (YLeaf(YType.uint32, 'pktSendFixupServer'), ['int'])),
                                        ('pktsendfixuprarp', (YLeaf(YType.uint32, 'pktSendFixupRarp'), ['int'])),
                                        ('pktsendanycastglean', (YLeaf(YType.uint32, 'pktSendAnyCastGlean'), ['int'])),
                                        ('pktsentfailinvpkt', (YLeaf(YType.uint32, 'pktSentFailInvPkt'), ['int'])),
                                        ('pktsentfailmbufop', (YLeaf(YType.uint32, 'pktSentFailMbufOp'), ['int'])),
                                        ('pktsentfailnoifindex', (YLeaf(YType.uint32, 'pktSentFailNoIfindex'), ['int'])),
                                        ('pktsentfailunsupportedint', (YLeaf(YType.uint32, 'pktSentFailUnsupportedInt'), ['int'])),
                                        ('pktsentfailimdown', (YLeaf(YType.uint32, 'pktSentFailImDown'), ['int'])),
                                        ('pktsentfailinvsrcip', (YLeaf(YType.uint32, 'pktSentFailInvSrcIp'), ['int'])),
                                        ('pktsentfailinvdstip', (YLeaf(YType.uint32, 'pktSentFailInvDstIp'), ['int'])),
                                        ('pktsentfailownip', (YLeaf(YType.uint32, 'pktSentFailOwnIp'), ['int'])),
                                        ('pktsentfailctxtnotcreated', (YLeaf(YType.uint32, 'pktSentFailCtxtNotCreated'), ['int'])),
                                        ('pktsentfailbadctxtid', (YLeaf(YType.uint32, 'pktSentFailBadCtxtId'), ['int'])),
                                        ('pktsentfailunattachedip', (YLeaf(YType.uint32, 'pktSentFailUnattachedIp'), ['int'])),
                                        ('pktsentfailadjaddfailure', (YLeaf(YType.uint32, 'pktSentFailAdjAddFailure'), ['int'])),
                                        ('pktsentfailnosrcip', (YLeaf(YType.uint32, 'pktSentFailNoSrcIp'), ['int'])),
                                        ('pktsentfailnomac', (YLeaf(YType.uint32, 'pktSentFailNoMac'), ['int'])),
                                        ('pktsentfailclientenqfailed', (YLeaf(YType.uint32, 'pktSentFailClientEnqFailed'), ['int'])),
                                        ('pktsentfailproxydstnotrchbl', (YLeaf(YType.uint32, 'pktSentFailProxyDstNotRchbl'), ['int'])),
                                        ('pktskiprespenhancedproxydestnotreach', (YLeaf(YType.uint32, 'pktSkipRespEnhancedProxyDestNotReach'), ['int'])),
                                        ('pktskiprespenhancedproxyl2porttrack', (YLeaf(YType.uint32, 'pktSkipRespEnhancedProxyL2portTrack'), ['int'])),
                                        ('pktsentfailinvlocalproxy', (YLeaf(YType.uint32, 'pktSentFailInvLocalProxy'), ['int'])),
                                        ('pktsentfailinvproxy', (YLeaf(YType.uint32, 'pktSentFailInvProxy'), ['int'])),
                                        ('pktsentfailvipgroupnotactive', (YLeaf(YType.uint32, 'pktSentFailVipGroupNotActive'), ['int'])),
                                        ('pktrefreshfloodtoserverskipcore', (YLeaf(YType.uint32, 'pktRefreshFloodToServerSkipCore'), ['int'])),
                                    ])
                                    self.pktsent = None
                                    self.pktsentreq = None
                                    self.pktsentrsp = None
                                    self.pktsentreql2 = None
                                    self.pktsentrspl2 = None
                                    self.pktsentgratreq = None
                                    self.pktsenttunnel = None
                                    self.pktsentdrop = None
                                    self.pktsendsrvport = None
                                    self.pktsendfbrcport = None
                                    self.pktsendfixupcore = None
                                    self.pktsendfixupserver = None
                                    self.pktsendfixuprarp = None
                                    self.pktsendanycastglean = None
                                    self.pktsentfailinvpkt = None
                                    self.pktsentfailmbufop = None
                                    self.pktsentfailnoifindex = None
                                    self.pktsentfailunsupportedint = None
                                    self.pktsentfailimdown = None
                                    self.pktsentfailinvsrcip = None
                                    self.pktsentfailinvdstip = None
                                    self.pktsentfailownip = None
                                    self.pktsentfailctxtnotcreated = None
                                    self.pktsentfailbadctxtid = None
                                    self.pktsentfailunattachedip = None
                                    self.pktsentfailadjaddfailure = None
                                    self.pktsentfailnosrcip = None
                                    self.pktsentfailnomac = None
                                    self.pktsentfailclientenqfailed = None
                                    self.pktsentfailproxydstnotrchbl = None
                                    self.pktskiprespenhancedproxydestnotreach = None
                                    self.pktskiprespenhancedproxyl2porttrack = None
                                    self.pktsentfailinvlocalproxy = None
                                    self.pktsentfailinvproxy = None
                                    self.pktsentfailvipgroupnotactive = None
                                    self.pktrefreshfloodtoserverskipcore = None
                                    self._segment_path = lambda: "ifstatstx-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatstxItems, ['pktsent', 'pktsentreq', 'pktsentrsp', 'pktsentreql2', 'pktsentrspl2', 'pktsentgratreq', 'pktsenttunnel', 'pktsentdrop', 'pktsendsrvport', 'pktsendfbrcport', 'pktsendfixupcore', 'pktsendfixupserver', 'pktsendfixuprarp', 'pktsendanycastglean', 'pktsentfailinvpkt', 'pktsentfailmbufop', 'pktsentfailnoifindex', 'pktsentfailunsupportedint', 'pktsentfailimdown', 'pktsentfailinvsrcip', 'pktsentfailinvdstip', 'pktsentfailownip', 'pktsentfailctxtnotcreated', 'pktsentfailbadctxtid', 'pktsentfailunattachedip', 'pktsentfailadjaddfailure', 'pktsentfailnosrcip', 'pktsentfailnomac', 'pktsentfailclientenqfailed', 'pktsentfailproxydstnotrchbl', 'pktskiprespenhancedproxydestnotreach', 'pktskiprespenhancedproxyl2porttrack', 'pktsentfailinvlocalproxy', 'pktsentfailinvproxy', 'pktsentfailvipgroupnotactive', 'pktrefreshfloodtoserverskipcore'], name, value)



                            class IfstatsrxItems(Entity):
                                """
                                
                                
                                .. attribute:: pktrcvd
                                
                                	ARP Packet Received Total Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdreq
                                
                                	ARP Packet Received Request Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdrsp
                                
                                	ARP Packet Received Reply Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdproxyarp
                                
                                	ARP Packet Received Proxy ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdlocalproxyarp
                                
                                	ARP Packet Received Local Proxy ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdenhancedproxyarp
                                
                                	ARP Packet Received Enhanced Proxy ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdenhancedproxyanycastarp
                                
                                	ARP Packet Received Enhanced Proxy Anycast ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdenhancedproxyl2porttrackarp
                                
                                	ARP Packet Received Enhanced Proxy L2 Port Track ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdserverport
                                
                                	ARP Packet Received Server Port Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdreql2
                                
                                	ARP Packet Received Request Count On L2
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdrspl2
                                
                                	ARP Packet Received Reply Count On L2
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdtunnel
                                
                                	ARP Packet Received Tunnel Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdfastpath
                                
                                	ARP Packet Received Fastpath Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdsnoop
                                
                                	ARP Packet Received Snoop Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrp
                                
                                	ARP Packet Received Drop Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadif
                                
                                	ARP Packet Received Drop Bad Interface Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadlen
                                
                                	ARP Packet Received Drop Bad Length Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadproto
                                
                                	ARP Packet Received Drop Bad Protocol Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddropbadhrd
                                
                                	ARP Packet Received Drop Bad Hardware Type Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadl2addrlen
                                
                                	ARP Packet Received  Drop Bad Layer 2 Address Length Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadl3addrlen
                                
                                	ARP Packet Received Drop Bad Layer 3 Length Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpinvalsrcip
                                
                                	ARP Packet Received Drop Invalid Source IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpdirbcast
                                
                                	ARP Packet Received Drop Direct Broadcast Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpinvaldstip
                                
                                	ARP Packet Received Drop Invalid Destination IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadsrcmac
                                
                                	ARP Packet Received Drop Bad Source Mac Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpownsrcmac
                                
                                	ARP Packet Received Drop Own Source Mac Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpownsrcip
                                
                                	ARP Packet Received Drop Own Source IP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrparpifnomem
                                
                                	ARP Packet Received Drop ARP Interface No Memory Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpnotforus
                                
                                	ARP Packet Received Drop Not For Us Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdlearnanddropnotforus
                                
                                	ARP Packet Received Learn And Drop Not For Us Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpsubnetmismatch
                                
                                	ARP Packet Received Drop Subnet Mismatch Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpnotinit
                                
                                	ARP Packet Received Drop Not Initialized Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpbadctxt
                                
                                	ARP Packet Received Drop Bad Context Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpctxtnotcreated
                                
                                	ARP Packet Received Drop Context Not Created Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpl2localproxyarp
                                
                                	ARP Packet Received Drop L2 Local Proxy ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpl2purel2pkt
                                
                                	ARP Packet Received Drop L2 Pure L2 Packet Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpl2prtuntrusted
                                
                                	ARP Packet Received Drop L2 Port Untrusted Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpstdbyfhrpvip
                                
                                	ARP Packet Received Drop Standby FHRP VIP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpgratonproxyarp
                                
                                	ARP Packet Received Drop Gratuitous On Proxy ARP Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrparprequestignore
                                
                                	ARP Packet Received Drop ARP Request Ignore Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrpl2fmqueryfail
                                
                                	ARP Packet Received Drop L2FM Query Fail Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrptunnelfail
                                
                                	ARP Packet Received Drop Tunnel Fail Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvddrprsponhsrpstbyactivevmac
                                
                                	ARP Packet Received Drop Response On HSRP Standby With HSRP Active Vmac Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdfailimdown
                                
                                	ARP Packet Received Fail Interface Down Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdgleanreqcount
                                
                                	Glean Requests Received Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrfrshreqrecfrmclients
                                
                                	ARP Packet Received Refresh requests from clients
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pktrcvdsigfrml2rib
                                
                                	Number of Signals received from L2rib
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsrxItems, self).__init__()

                                    self.yang_name = "ifstatsrx-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('pktrcvd', (YLeaf(YType.uint32, 'pktRcvd'), ['int'])),
                                        ('pktrcvdreq', (YLeaf(YType.uint32, 'pktRcvdReq'), ['int'])),
                                        ('pktrcvdrsp', (YLeaf(YType.uint32, 'pktRcvdRsp'), ['int'])),
                                        ('pktrcvdproxyarp', (YLeaf(YType.uint32, 'pktRcvdProxyArp'), ['int'])),
                                        ('pktrcvdlocalproxyarp', (YLeaf(YType.uint32, 'pktRcvdLocalProxyArp'), ['int'])),
                                        ('pktrcvdenhancedproxyarp', (YLeaf(YType.uint32, 'pktRcvdEnhancedProxyArp'), ['int'])),
                                        ('pktrcvdenhancedproxyanycastarp', (YLeaf(YType.uint32, 'pktRcvdEnhancedProxyAnycastArp'), ['int'])),
                                        ('pktrcvdenhancedproxyl2porttrackarp', (YLeaf(YType.uint32, 'pktRcvdEnhancedProxyL2portTrackArp'), ['int'])),
                                        ('pktrcvdserverport', (YLeaf(YType.uint32, 'pktRcvdServerPort'), ['int'])),
                                        ('pktrcvdreql2', (YLeaf(YType.uint32, 'pktRcvdReqL2'), ['int'])),
                                        ('pktrcvdrspl2', (YLeaf(YType.uint32, 'pktRcvdRspL2'), ['int'])),
                                        ('pktrcvdtunnel', (YLeaf(YType.uint32, 'pktRcvdTunnel'), ['int'])),
                                        ('pktrcvdfastpath', (YLeaf(YType.uint32, 'pktRcvdFastpath'), ['int'])),
                                        ('pktrcvdsnoop', (YLeaf(YType.uint32, 'pktRcvdSnoop'), ['int'])),
                                        ('pktrcvddrp', (YLeaf(YType.uint32, 'pktRcvdDrp'), ['int'])),
                                        ('pktrcvddrpbadif', (YLeaf(YType.uint32, 'pktRcvdDrpBadIf'), ['int'])),
                                        ('pktrcvddrpbadlen', (YLeaf(YType.uint32, 'pktRcvdDrpBadLen'), ['int'])),
                                        ('pktrcvddrpbadproto', (YLeaf(YType.uint32, 'pktRcvdDrpBadProto'), ['int'])),
                                        ('pktrcvddropbadhrd', (YLeaf(YType.uint32, 'pktRcvdDropBadHrd'), ['int'])),
                                        ('pktrcvddrpbadl2addrlen', (YLeaf(YType.uint32, 'pktRcvdDrpBadL2AddrLen'), ['int'])),
                                        ('pktrcvddrpbadl3addrlen', (YLeaf(YType.uint32, 'pktRcvdDrpBadL3AddrLen'), ['int'])),
                                        ('pktrcvddrpinvalsrcip', (YLeaf(YType.uint32, 'pktRcvdDrpInvalSrcIp'), ['int'])),
                                        ('pktrcvddrpdirbcast', (YLeaf(YType.uint32, 'pktRcvdDrpDirBcast'), ['int'])),
                                        ('pktrcvddrpinvaldstip', (YLeaf(YType.uint32, 'pktRcvdDrpInvalDstIp'), ['int'])),
                                        ('pktrcvddrpbadsrcmac', (YLeaf(YType.uint32, 'pktRcvdDrpBadSrcMac'), ['int'])),
                                        ('pktrcvddrpownsrcmac', (YLeaf(YType.uint32, 'pktRcvdDrpOwnSrcMac'), ['int'])),
                                        ('pktrcvddrpownsrcip', (YLeaf(YType.uint32, 'pktRcvdDrpOwnSrcIp'), ['int'])),
                                        ('pktrcvddrparpifnomem', (YLeaf(YType.uint32, 'pktRcvdDrpArpIfNoMem'), ['int'])),
                                        ('pktrcvddrpnotforus', (YLeaf(YType.uint32, 'pktRcvdDrpNotForUs'), ['int'])),
                                        ('pktrcvdlearnanddropnotforus', (YLeaf(YType.uint32, 'pktRcvdLearnAndDropNotForUs'), ['int'])),
                                        ('pktrcvddrpsubnetmismatch', (YLeaf(YType.uint32, 'pktRcvdDrpSubnetMismatch'), ['int'])),
                                        ('pktrcvddrpnotinit', (YLeaf(YType.uint32, 'pktRcvdDrpNotInit'), ['int'])),
                                        ('pktrcvddrpbadctxt', (YLeaf(YType.uint32, 'pktRcvdDrpBadCtxt'), ['int'])),
                                        ('pktrcvddrpctxtnotcreated', (YLeaf(YType.uint32, 'pktRcvdDrpCtxtNotCreated'), ['int'])),
                                        ('pktrcvddrpl2localproxyarp', (YLeaf(YType.uint32, 'pktRcvdDrpL2LocalProxyArp'), ['int'])),
                                        ('pktrcvddrpl2purel2pkt', (YLeaf(YType.uint32, 'pktRcvdDrpL2PureL2Pkt'), ['int'])),
                                        ('pktrcvddrpl2prtuntrusted', (YLeaf(YType.uint32, 'pktRcvdDrpL2PrtUntrusted'), ['int'])),
                                        ('pktrcvddrpstdbyfhrpvip', (YLeaf(YType.uint32, 'pktRcvdDrpStdbyFhrpVip'), ['int'])),
                                        ('pktrcvddrpgratonproxyarp', (YLeaf(YType.uint32, 'pktRcvdDrpGratOnProxyArp'), ['int'])),
                                        ('pktrcvddrparprequestignore', (YLeaf(YType.uint32, 'pktRcvdDrpArpRequestIgnore'), ['int'])),
                                        ('pktrcvddrpl2fmqueryfail', (YLeaf(YType.uint32, 'pktRcvdDrpL2FmQueryFail'), ['int'])),
                                        ('pktrcvddrptunnelfail', (YLeaf(YType.uint32, 'pktRcvdDrpTunnelFail'), ['int'])),
                                        ('pktrcvddrprsponhsrpstbyactivevmac', (YLeaf(YType.uint32, 'pktRcvdDrpRspOnHsrpStbyActiveVmac'), ['int'])),
                                        ('pktrcvdfailimdown', (YLeaf(YType.uint32, 'pktRcvdFailImDown'), ['int'])),
                                        ('pktrcvdgleanreqcount', (YLeaf(YType.uint32, 'pktRcvdGleanReqCount'), ['int'])),
                                        ('pktrfrshreqrecfrmclients', (YLeaf(YType.uint32, 'pktRfrshReqRecFrmClients'), ['int'])),
                                        ('pktrcvdsigfrml2rib', (YLeaf(YType.uint32, 'pktRcvdSigFrmL2rib'), ['int'])),
                                    ])
                                    self.pktrcvd = None
                                    self.pktrcvdreq = None
                                    self.pktrcvdrsp = None
                                    self.pktrcvdproxyarp = None
                                    self.pktrcvdlocalproxyarp = None
                                    self.pktrcvdenhancedproxyarp = None
                                    self.pktrcvdenhancedproxyanycastarp = None
                                    self.pktrcvdenhancedproxyl2porttrackarp = None
                                    self.pktrcvdserverport = None
                                    self.pktrcvdreql2 = None
                                    self.pktrcvdrspl2 = None
                                    self.pktrcvdtunnel = None
                                    self.pktrcvdfastpath = None
                                    self.pktrcvdsnoop = None
                                    self.pktrcvddrp = None
                                    self.pktrcvddrpbadif = None
                                    self.pktrcvddrpbadlen = None
                                    self.pktrcvddrpbadproto = None
                                    self.pktrcvddropbadhrd = None
                                    self.pktrcvddrpbadl2addrlen = None
                                    self.pktrcvddrpbadl3addrlen = None
                                    self.pktrcvddrpinvalsrcip = None
                                    self.pktrcvddrpdirbcast = None
                                    self.pktrcvddrpinvaldstip = None
                                    self.pktrcvddrpbadsrcmac = None
                                    self.pktrcvddrpownsrcmac = None
                                    self.pktrcvddrpownsrcip = None
                                    self.pktrcvddrparpifnomem = None
                                    self.pktrcvddrpnotforus = None
                                    self.pktrcvdlearnanddropnotforus = None
                                    self.pktrcvddrpsubnetmismatch = None
                                    self.pktrcvddrpnotinit = None
                                    self.pktrcvddrpbadctxt = None
                                    self.pktrcvddrpctxtnotcreated = None
                                    self.pktrcvddrpl2localproxyarp = None
                                    self.pktrcvddrpl2purel2pkt = None
                                    self.pktrcvddrpl2prtuntrusted = None
                                    self.pktrcvddrpstdbyfhrpvip = None
                                    self.pktrcvddrpgratonproxyarp = None
                                    self.pktrcvddrparprequestignore = None
                                    self.pktrcvddrpl2fmqueryfail = None
                                    self.pktrcvddrptunnelfail = None
                                    self.pktrcvddrprsponhsrpstbyactivevmac = None
                                    self.pktrcvdfailimdown = None
                                    self.pktrcvdgleanreqcount = None
                                    self.pktrfrshreqrecfrmclients = None
                                    self.pktrcvdsigfrml2rib = None
                                    self._segment_path = lambda: "ifstatsrx-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsrxItems, ['pktrcvd', 'pktrcvdreq', 'pktrcvdrsp', 'pktrcvdproxyarp', 'pktrcvdlocalproxyarp', 'pktrcvdenhancedproxyarp', 'pktrcvdenhancedproxyanycastarp', 'pktrcvdenhancedproxyl2porttrackarp', 'pktrcvdserverport', 'pktrcvdreql2', 'pktrcvdrspl2', 'pktrcvdtunnel', 'pktrcvdfastpath', 'pktrcvdsnoop', 'pktrcvddrp', 'pktrcvddrpbadif', 'pktrcvddrpbadlen', 'pktrcvddrpbadproto', 'pktrcvddropbadhrd', 'pktrcvddrpbadl2addrlen', 'pktrcvddrpbadl3addrlen', 'pktrcvddrpinvalsrcip', 'pktrcvddrpdirbcast', 'pktrcvddrpinvaldstip', 'pktrcvddrpbadsrcmac', 'pktrcvddrpownsrcmac', 'pktrcvddrpownsrcip', 'pktrcvddrparpifnomem', 'pktrcvddrpnotforus', 'pktrcvdlearnanddropnotforus', 'pktrcvddrpsubnetmismatch', 'pktrcvddrpnotinit', 'pktrcvddrpbadctxt', 'pktrcvddrpctxtnotcreated', 'pktrcvddrpl2localproxyarp', 'pktrcvddrpl2purel2pkt', 'pktrcvddrpl2prtuntrusted', 'pktrcvddrpstdbyfhrpvip', 'pktrcvddrpgratonproxyarp', 'pktrcvddrparprequestignore', 'pktrcvddrpl2fmqueryfail', 'pktrcvddrptunnelfail', 'pktrcvddrprsponhsrpstbyactivevmac', 'pktrcvdfailimdown', 'pktrcvdgleanreqcount', 'pktrfrshreqrecfrmclients', 'pktrcvdsigfrml2rib'], name, value)



                            class IfstatsadjItems(Entity):
                                """
                                
                                
                                .. attribute:: adjadd
                                
                                	ARP Adjacency Add Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: adjdel
                                
                                	ARP Adjacency Delete Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: adjtimeout
                                
                                	ARP Adjacency Timeout Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsadjItems, self).__init__()

                                    self.yang_name = "ifstatsadj-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('adjadd', (YLeaf(YType.uint32, 'adjAdd'), ['int'])),
                                        ('adjdel', (YLeaf(YType.uint32, 'adjDel'), ['int'])),
                                        ('adjtimeout', (YLeaf(YType.uint32, 'adjTimeout'), ['int'])),
                                    ])
                                    self.adjadd = None
                                    self.adjdel = None
                                    self.adjtimeout = None
                                    self._segment_path = lambda: "ifstatsadj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsadjItems, ['adjadd', 'adjdel', 'adjtimeout'], name, value)



                            class IfstatsmiscItems(Entity):
                                """
                                
                                
                                .. attribute:: clientmsg
                                
                                	ARP Client Message Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: clientmsgfail
                                
                                	ARP Client Message Fail Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iftimeoutmsgfail
                                
                                	ARP Interface Timeout Message Fail Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ifstatusmsgfail
                                
                                	ARP Interface Status Message Fail Count
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmiscItems, self).__init__()

                                    self.yang_name = "ifstatsmisc-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('clientmsg', (YLeaf(YType.uint32, 'clientMsg'), ['int'])),
                                        ('clientmsgfail', (YLeaf(YType.uint32, 'clientMsgFail'), ['int'])),
                                        ('iftimeoutmsgfail', (YLeaf(YType.uint32, 'ifTimeoutMsgFail'), ['int'])),
                                        ('ifstatusmsgfail', (YLeaf(YType.uint32, 'ifStatusMsgFail'), ['int'])),
                                    ])
                                    self.clientmsg = None
                                    self.clientmsgfail = None
                                    self.iftimeoutmsgfail = None
                                    self.ifstatusmsgfail = None
                                    self._segment_path = lambda: "ifstatsmisc-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmiscItems, ['clientmsg', 'clientmsgfail', 'iftimeoutmsgfail', 'ifstatusmsgfail'], name, value)



                            class IfstatsmhItems(Entity):
                                """
                                
                                
                                .. attribute:: recvaddfrml2rib
                                
                                	ARP Received Peer Sync Add From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: processaddfrml2rib
                                
                                	ARP Processed Peer Sync Add From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: recvdelfrml2rib
                                
                                	ARP Received Peer Sync Delete From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: processdelfrml2rib
                                
                                	ARP Processed Peer Sync  Delete From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: recvpcshutfrml2rib
                                
                                	ARP Received Port Channel Shut From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: processpcshutfrml2rib
                                
                                	ARP Processed Port Channel Shut From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: recvremoteupdfrml2rib
                                
                                	ARP Received Remote Update From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: processremoteupdfrml2rib
                                
                                	ARP Processed Remote Update From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psadderrinvalidflags
                                
                                	ARP Multihoming Add Error Invalid Flag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psdelerrinvalidflags
                                
                                	ARP Multihoming Delete Error Invalid Flag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psadderrinvalidcurrstate
                                
                                	ARP Multihoming Add Error Current State
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psdelerrinvalidcurrstate
                                
                                	ARP Multihoming Delete Error Current State
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psdelerrmacmismatch
                                
                                	ARP Multihoming Error Peer Sync Delete Mac Mismatch
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psdelerrsecdelfrml2rib
                                
                                	ARP Multihoming Error Peer Sync Second Delete From L2RIB
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: psdelerrfortlroute
                                
                                	ARP Multihoming Error Peer Sync Delete For True Local Route
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: tldelerrforpsroroute
                                
                                	ARP Multihoming Error True Local Delete For Peer Sync Re\-originate Route
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmhItems, self).__init__()

                                    self.yang_name = "ifstatsmh-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('recvaddfrml2rib', (YLeaf(YType.uint32, 'recvaddfrml2rib'), ['int'])),
                                        ('processaddfrml2rib', (YLeaf(YType.uint32, 'processaddfrml2rib'), ['int'])),
                                        ('recvdelfrml2rib', (YLeaf(YType.uint32, 'recvdelfrml2rib'), ['int'])),
                                        ('processdelfrml2rib', (YLeaf(YType.uint32, 'processdelfrml2rib'), ['int'])),
                                        ('recvpcshutfrml2rib', (YLeaf(YType.uint32, 'recvpcshutfrml2rib'), ['int'])),
                                        ('processpcshutfrml2rib', (YLeaf(YType.uint32, 'processpcshutfrml2rib'), ['int'])),
                                        ('recvremoteupdfrml2rib', (YLeaf(YType.uint32, 'recvremoteupdfrml2rib'), ['int'])),
                                        ('processremoteupdfrml2rib', (YLeaf(YType.uint32, 'processremoteupdfrml2rib'), ['int'])),
                                        ('psadderrinvalidflags', (YLeaf(YType.uint32, 'psadderrinvalidflags'), ['int'])),
                                        ('psdelerrinvalidflags', (YLeaf(YType.uint32, 'psdelerrinvalidflags'), ['int'])),
                                        ('psadderrinvalidcurrstate', (YLeaf(YType.uint32, 'psadderrinvalidcurrstate'), ['int'])),
                                        ('psdelerrinvalidcurrstate', (YLeaf(YType.uint32, 'psdelerrinvalidcurrstate'), ['int'])),
                                        ('psdelerrmacmismatch', (YLeaf(YType.uint32, 'psdelerrmacmismatch'), ['int'])),
                                        ('psdelerrsecdelfrml2rib', (YLeaf(YType.uint32, 'psdelerrsecdelfrml2rib'), ['int'])),
                                        ('psdelerrfortlroute', (YLeaf(YType.uint32, 'psdelerrfortlroute'), ['int'])),
                                        ('tldelerrforpsroroute', (YLeaf(YType.uint32, 'tldelerrforpsroroute'), ['int'])),
                                    ])
                                    self.recvaddfrml2rib = None
                                    self.processaddfrml2rib = None
                                    self.recvdelfrml2rib = None
                                    self.processdelfrml2rib = None
                                    self.recvpcshutfrml2rib = None
                                    self.processpcshutfrml2rib = None
                                    self.recvremoteupdfrml2rib = None
                                    self.processremoteupdfrml2rib = None
                                    self.psadderrinvalidflags = None
                                    self.psdelerrinvalidflags = None
                                    self.psadderrinvalidcurrstate = None
                                    self.psdelerrinvalidcurrstate = None
                                    self.psdelerrmacmismatch = None
                                    self.psdelerrsecdelfrml2rib = None
                                    self.psdelerrfortlroute = None
                                    self.tldelerrforpsroroute = None
                                    self._segment_path = lambda: "ifstatsmh-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsmhItems, ['recvaddfrml2rib', 'processaddfrml2rib', 'recvdelfrml2rib', 'processdelfrml2rib', 'recvpcshutfrml2rib', 'processpcshutfrml2rib', 'recvremoteupdfrml2rib', 'processremoteupdfrml2rib', 'psadderrinvalidflags', 'psdelerrinvalidflags', 'psadderrinvalidcurrstate', 'psdelerrinvalidcurrstate', 'psdelerrmacmismatch', 'psdelerrsecdelfrml2rib', 'psdelerrfortlroute', 'tldelerrforpsroroute'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ArpItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








            class IpgleanthrottleItems(Entity):
                """
                
                
                .. attribute:: adminst
                
                	Glean throttle state
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: syslog
                
                	Glean Throttle Syslog For Number Of Packets
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: maxpacket
                
                	Glean throttle packet count
                	**type**\: int
                
                	**range:** 0..32767
                
                .. attribute:: timeout
                
                	Ipv4 Glean Throttle Timeout
                	**type**\: int
                
                	**range:** 300..1800
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.IpgleanthrottleItems, self).__init__()

                    self.yang_name = "ipgleanthrottle-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('syslog', (YLeaf(YType.uint32, 'syslog'), ['int'])),
                        ('maxpacket', (YLeaf(YType.uint32, 'maxPacket'), ['int'])),
                        ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                    ])
                    self.adminst = None
                    self.syslog = None
                    self.maxpacket = None
                    self.timeout = None
                    self._segment_path = lambda: "ipgleanthrottle-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.IpgleanthrottleItems, ['adminst', 'syslog', 'maxpacket', 'timeout'], name, value)



            class EvtLogsItems(Entity):
                """
                
                
                .. attribute:: eventlogs_list
                
                	
                	**type**\: list of  		 :py:class:`EventLogsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.EvtLogsItems.EventLogsList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.EvtLogsItems, self).__init__()

                    self.yang_name = "evtLogs-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("EventLogs-list", ("eventlogs_list", System.ArpItems.InstItems.EvtLogsItems.EventLogsList))])
                    self._leafs = OrderedDict()

                    self.eventlogs_list = YList(self)
                    self._segment_path = lambda: "evtLogs-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.EvtLogsItems, [], name, value)


                class EventLogsList(Entity):
                    """
                    
                    
                    .. attribute:: eventtype  (key)
                    
                    	Sync Event Log Type
                    	**type**\:  :py:class:`ArpEventType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpEventType>`
                    
                    .. attribute:: logsize
                    
                    	Sync Event Log Size
                    	**type**\:  :py:class:`ArpEventLogSize <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpEventLogSize>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.EvtLogsItems.EventLogsList, self).__init__()

                        self.yang_name = "EventLogs-list"
                        self.yang_parent_name = "evtLogs-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['eventtype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('eventtype', (YLeaf(YType.enumeration, 'eventType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpEventType', '')])),
                            ('logsize', (YLeaf(YType.enumeration, 'logSize'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpEventLogSize', '')])),
                        ])
                        self.eventtype = None
                        self.logsize = None
                        self._segment_path = lambda: "EventLogs-list" + "[eventType='" + str(self.eventtype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/evtLogs-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.EvtLogsItems.EventLogsList, ['eventtype', 'logsize'], name, value)




            class VpcItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.VpcItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.VpcItems, self).__init__()

                    self.yang_name = "vpc-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.ArpItems.InstItems.VpcItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.ArpItems.InstItems.VpcItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "vpc-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.VpcItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: vpcdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VpcDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.VpcItems.DomItems.VpcDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.VpcItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "vpc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("VpcDom-list", ("vpcdom_list", System.ArpItems.InstItems.VpcItems.DomItems.VpcDomList))])
                        self._leafs = OrderedDict()

                        self.vpcdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/vpc-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.VpcItems.DomItems, [], name, value)


                    class VpcDomList(Entity):
                        """
                        
                        
                        .. attribute:: domainid  (key)
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: arpsync
                        
                        	IP ARP Sync
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ArpItems.InstItems.VpcItems.DomItems.VpcDomList, self).__init__()

                            self.yang_name = "VpcDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['domainid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('domainid', (YLeaf(YType.uint16, 'domainId'), ['int'])),
                                ('arpsync', (YLeaf(YType.enumeration, 'arpSync'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ])
                            self.domainid = None
                            self.arpsync = None
                            self._segment_path = lambda: "VpcDom-list" + "[domainId='" + str(self.domainid) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/vpc-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ArpItems.InstItems.VpcItems.DomItems.VpcDomList, ['domainid', 'arpsync'], name, value)





            class DbItems(Entity):
                """
                
                
                .. attribute:: dbsupcache_list
                
                	
                	**type**\: list of  		 :py:class:`DbSupCacheList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems.DbSupCacheList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ArpItems.InstItems.DbItems, self).__init__()

                    self.yang_name = "db-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DbSupCache-list", ("dbsupcache_list", System.ArpItems.InstItems.DbItems.DbSupCacheList))])
                    self._leafs = OrderedDict()

                    self.dbsupcache_list = YList(self)
                    self._segment_path = lambda: "db-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ArpItems.InstItems.DbItems, [], name, value)


                class DbSupCacheList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Database Type
                    	**type**\:  :py:class:`ArpDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: vlan_items
                    
                    	
                    	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ArpItems.InstItems.DbItems.DbSupCacheList, self).__init__()

                        self.yang_name = "DbSupCache-list"
                        self.yang_parent_name = "db-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("vlan-items", ("vlan_items", System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpDbT', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.name = None

                        self.vlan_items = System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems()
                        self.vlan_items.parent = self
                        self._children_name_map["vlan_items"] = "vlan-items"
                        self._segment_path = lambda: "DbSupCache-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/arp-items/inst-items/db-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ArpItems.InstItems.DbItems.DbSupCacheList, ['type', 'name'], name, value)


                    class VlanItems(Entity):
                        """
                        
                        
                        .. attribute:: supcachevlan_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SupCacheVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems, self).__init__()

                            self.yang_name = "vlan-items"
                            self.yang_parent_name = "DbSupCache-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SupCacheVlan-list", ("supcachevlan_list", System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList))])
                            self._leafs = OrderedDict()

                            self.supcachevlan_list = YList(self)
                            self._segment_path = lambda: "vlan-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems, [], name, value)


                        class SupCacheVlanList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	VLAN id
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            	**config**\: False
                            
                            .. attribute:: suppressarpmode
                            
                            	Suppression ARP mode
                            	**type**\:  :py:class:`ArpSuppressArpMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ArpSuppressArpMode>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	Operational State
                            	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: ip_items
                            
                            	
                            	**type**\:  :py:class:`IpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList, self).__init__()

                                self.yang_name = "SupCacheVlan-list"
                                self.yang_parent_name = "vlan-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("ip-items", ("ip_items", System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                    ('suppressarpmode', (YLeaf(YType.enumeration, 'suppressArpMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ArpSuppressArpMode', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                                ])
                                self.id = None
                                self.suppressarpmode = None
                                self.name = None
                                self.adminst = None
                                self.operst = None

                                self.ip_items = System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems()
                                self.ip_items.parent = self
                                self._children_name_map["ip_items"] = "ip-items"
                                self._segment_path = lambda: "SupCacheVlan-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList, ['id', 'suppressarpmode', 'name', 'adminst', 'operst'], name, value)


                            class IpItems(Entity):
                                """
                                
                                
                                .. attribute:: supcacheentry_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SupCacheEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems.SupCacheEntryList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems, self).__init__()

                                    self.yang_name = "ip-items"
                                    self.yang_parent_name = "SupCacheVlan-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SupCacheEntry-list", ("supcacheentry_list", System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems.SupCacheEntryList))])
                                    self._leafs = OrderedDict()

                                    self.supcacheentry_list = YList(self)
                                    self._segment_path = lambda: "ip-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems, [], name, value)


                                class SupCacheEntryList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mac
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: upts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: phyid
                                    
                                    	Physical Interface ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: remotevtepaddr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems.SupCacheEntryList, self).__init__()

                                        self.yang_name = "SupCacheEntry-list"
                                        self.yang_parent_name = "ip-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ip']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                            ('upts', (YLeaf(YType.str, 'upTS'), ['str'])),
                                            ('phyid', (YLeaf(YType.str, 'phyid'), ['str'])),
                                            ('remotevtepaddr', (YLeaf(YType.str, 'remotevtepaddr'), ['str'])),
                                        ])
                                        self.ip = None
                                        self.flags = None
                                        self.mac = None
                                        self.upts = None
                                        self.phyid = None
                                        self.remotevtepaddr = None
                                        self._segment_path = lambda: "SupCacheEntry-list" + "[ip='" + str(self.ip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ArpItems.InstItems.DbItems.DbSupCacheList.VlanItems.SupCacheVlanList.IpItems.SupCacheEntryList, ['ip', 'flags', 'mac', 'upts', 'phyid', 'remotevtepaddr'], name, value)










    class BfdItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.BfdItems, self).__init__()

            self.yang_name = "bfd-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.BfdItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.BfdItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "bfd-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.BfdItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: echoif
            
            	Echo Interface to be used for BFD echo frames
            	**type**\: str
            
            .. attribute:: startupintvl
            
            	Startup timer Interval
            	**type**\: int
            
            	**range:** 0..30
            
            .. attribute:: slowintvl
            
            	Slow timer Interval
            	**type**\: int
            
            	**range:** 1000..30000
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems>`
            
            .. attribute:: af_items
            
            	
            	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.AfItems>`
            
            .. attribute:: ka_items
            
            	
            	**type**\:  :py:class:`KaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.KaItems>`
            
            .. attribute:: session_items
            
            	
            	**type**\:  :py:class:`SessionItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.BfdItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "bfd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.BfdItems.InstItems.IfItems)), ("af-items", ("af_items", System.BfdItems.InstItems.AfItems)), ("ka-items", ("ka_items", System.BfdItems.InstItems.KaItems)), ("session-items", ("session_items", System.BfdItems.InstItems.SessionItems))])
                self._leafs = OrderedDict([
                    ('echoif', (YLeaf(YType.str, 'echoIf'), ['str'])),
                    ('startupintvl', (YLeaf(YType.uint16, 'startupIntvl'), ['int'])),
                    ('slowintvl', (YLeaf(YType.uint16, 'slowIntvl'), ['int'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.echoif = None
                self.startupintvl = None
                self.slowintvl = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.BfdItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"

                self.af_items = System.BfdItems.InstItems.AfItems()
                self.af_items.parent = self
                self._children_name_map["af_items"] = "af-items"

                self.ka_items = System.BfdItems.InstItems.KaItems()
                self.ka_items.parent = self
                self._children_name_map["ka_items"] = "ka-items"

                self.session_items = System.BfdItems.InstItems.SessionItems()
                self.session_items.parent = self
                self._children_name_map["session_items"] = "session-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.BfdItems.InstItems, ['echoif', 'startupintvl', 'slowintvl', 'name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BfdItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.BfdItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BfdItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: echoadminst
                    
                    	Echo Mode Admin State of BFD Interface
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Interface Controls
                    	**type**\: str
                    
                    .. attribute:: trkmbrlnk
                    
                    	Track Member Link Enable Disable on bfd interface
                    	**type**\:  :py:class:`BfdTrkMbrLnk <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdTrkMbrLnk>`
                    
                    .. attribute:: sttm
                    
                    	BFD Start timeout
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: dst
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: auth_items
                    
                    	
                    	**type**\:  :py:class:`AuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.AuthItems>`
                    
                    .. attribute:: af_items
                    
                    	
                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.AfItems>`
                    
                    .. attribute:: nbr_items
                    
                    	
                    	**type**\:  :py:class:`NbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.NbrItems>`
                    
                    .. attribute:: ifka_items
                    
                    	
                    	**type**\:  :py:class:`IfkaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.IfkaItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BfdItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("auth-items", ("auth_items", System.BfdItems.InstItems.IfItems.IfList.AuthItems)), ("af-items", ("af_items", System.BfdItems.InstItems.IfItems.IfList.AfItems)), ("nbr-items", ("nbr_items", System.BfdItems.InstItems.IfItems.IfList.NbrItems)), ("ifka-items", ("ifka_items", System.BfdItems.InstItems.IfItems.IfList.IfkaItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.BfdItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('echoadminst', (YLeaf(YType.enumeration, 'echoAdminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('trkmbrlnk', (YLeaf(YType.enumeration, 'trkMbrLnk'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdTrkMbrLnk', '')])),
                            ('sttm', (YLeaf(YType.uint32, 'stTm'), ['int'])),
                            ('dst', (YLeaf(YType.str, 'dst'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.echoadminst = None
                        self.ctrl = None
                        self.trkmbrlnk = None
                        self.sttm = None
                        self.dst = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.auth_items = System.BfdItems.InstItems.IfItems.IfList.AuthItems()
                        self.auth_items.parent = self
                        self._children_name_map["auth_items"] = "auth-items"

                        self.af_items = System.BfdItems.InstItems.IfItems.IfList.AfItems()
                        self.af_items.parent = self
                        self._children_name_map["af_items"] = "af-items"

                        self.nbr_items = System.BfdItems.InstItems.IfItems.IfList.NbrItems()
                        self.nbr_items.parent = self
                        self._children_name_map["nbr_items"] = "nbr-items"

                        self.ifka_items = System.BfdItems.InstItems.IfItems.IfList.IfkaItems()
                        self.ifka_items.parent = self
                        self._children_name_map["ifka_items"] = "ifka-items"

                        self.rtvrfmbr_items = System.BfdItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList, ['id', 'echoadminst', 'ctrl', 'trkmbrlnk', 'sttm', 'dst', 'name', 'descr', 'adminst'], name, value)


                    class AuthItems(Entity):
                        """
                        
                        
                        .. attribute:: authinterop
                        
                        	Auth Interop Enable Disable on BFD Interface
                        	**type**\:  :py:class:`BfdAuthInterop <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAuthInterop>`
                        
                        .. attribute:: type
                        
                        	Authentication Type of the BFD session
                        	**type**\:  :py:class:`BfdAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAuthT>`
                        
                        .. attribute:: keyid
                        
                        	Authentication Key ID to be used in the BFD session
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: hexkeysize
                        
                        	A property to indicate Authentication Hex Key Size
                        	**type**\: int
                        
                        	**range:** 0..40
                        
                        .. attribute:: hexkey
                        
                        	A property to indicate Authentication Hex Key for the BFD session
                        	**type**\: str
                        
                        .. attribute:: key
                        
                        	A property to indicate Authentication Key for the BFD session
                        	**type**\: str
                        
                        	**length:** 0..20
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.AuthItems, self).__init__()

                            self.yang_name = "auth-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('authinterop', (YLeaf(YType.enumeration, 'authInterop'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAuthInterop', '')])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAuthT', '')])),
                                ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                ('hexkeysize', (YLeaf(YType.uint8, 'hexKeySize'), ['int'])),
                                ('hexkey', (YLeaf(YType.str, 'hexKey'), ['str'])),
                                ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.authinterop = None
                            self.type = None
                            self.keyid = None
                            self.hexkeysize = None
                            self.hexkey = None
                            self.key = None
                            self.name = None
                            self.descr = None
                            self._segment_path = lambda: "auth-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.AuthItems, ['authinterop', 'type', 'keyid', 'hexkeysize', 'hexkey', 'key', 'name', 'descr'], name, value)



                    class AfItems(Entity):
                        """
                        
                        
                        .. attribute:: ifaf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.AfItems, self).__init__()

                            self.yang_name = "af-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("IfAf-list", ("ifaf_list", System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList))])
                            self._leafs = OrderedDict()

                            self.ifaf_list = YList(self)
                            self._segment_path = lambda: "af-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.AfItems, [], name, value)


                        class IfAfList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type of the Address Family
                            	**type**\:  :py:class:`BfdAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAfT>`
                            
                            .. attribute:: adminst
                            
                            	Admin State for Interface Address family
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: echoadminst
                            
                            	Echo Mode Admin State for Interface Address family
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ctrl
                            
                            	Interface Controls
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: auth_items
                            
                            	
                            	**type**\:  :py:class:`AuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.AuthItems>`
                            
                            .. attribute:: ifka_items
                            
                            	
                            	**type**\:  :py:class:`IfkaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.IfkaItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList, self).__init__()

                                self.yang_name = "IfAf-list"
                                self.yang_parent_name = "af-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("auth-items", ("auth_items", System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.AuthItems)), ("ifka-items", ("ifka_items", System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.IfkaItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAfT', '')])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('echoadminst', (YLeaf(YType.enumeration, 'echoAdminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.adminst = None
                                self.echoadminst = None
                                self.ctrl = None
                                self.name = None

                                self.auth_items = System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.AuthItems()
                                self.auth_items.parent = self
                                self._children_name_map["auth_items"] = "auth-items"

                                self.ifka_items = System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.IfkaItems()
                                self.ifka_items.parent = self
                                self._children_name_map["ifka_items"] = "ifka-items"
                                self._segment_path = lambda: "IfAf-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList, ['type', 'adminst', 'echoadminst', 'ctrl', 'name'], name, value)


                            class AuthItems(Entity):
                                """
                                
                                
                                .. attribute:: authinterop
                                
                                	Auth Interop Enable Disable on BFD Interface
                                	**type**\:  :py:class:`BfdAuthInterop <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAuthInterop>`
                                
                                .. attribute:: type
                                
                                	Authentication Type of the BFD session
                                	**type**\:  :py:class:`BfdAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAuthT>`
                                
                                .. attribute:: keyid
                                
                                	Authentication Key ID to be used in the BFD session
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: hexkeysize
                                
                                	A property to indicate Authentication Hex Key Size
                                	**type**\: int
                                
                                	**range:** 0..40
                                
                                .. attribute:: hexkey
                                
                                	A property to indicate Authentication Hex Key for the BFD session
                                	**type**\: str
                                
                                .. attribute:: key
                                
                                	A property to indicate Authentication Key for the BFD session
                                	**type**\: str
                                
                                	**length:** 0..20
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.AuthItems, self).__init__()

                                    self.yang_name = "auth-items"
                                    self.yang_parent_name = "IfAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('authinterop', (YLeaf(YType.enumeration, 'authInterop'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAuthInterop', '')])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAuthT', '')])),
                                        ('keyid', (YLeaf(YType.uint8, 'keyId'), ['int'])),
                                        ('hexkeysize', (YLeaf(YType.uint8, 'hexKeySize'), ['int'])),
                                        ('hexkey', (YLeaf(YType.str, 'hexKey'), ['str'])),
                                        ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.authinterop = None
                                    self.type = None
                                    self.keyid = None
                                    self.hexkeysize = None
                                    self.hexkey = None
                                    self.key = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "auth-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.AuthItems, ['authinterop', 'type', 'keyid', 'hexkeysize', 'hexkey', 'key', 'name', 'descr'], name, value)



                            class IfkaItems(Entity):
                                """
                                
                                
                                .. attribute:: mintxintvl
                                
                                	Desired Minimum TX Interval.This is the minimum interval, in ms, that the system would like to use when transmitting BFD control packets
                                	**type**\: int
                                
                                	**range:** 0..999
                                
                                .. attribute:: minrxintvl
                                
                                	Required Minimum RX Interval. This is the minimum interval, in ms, between received BFD control packets that this system is capable of supporting
                                	**type**\: int
                                
                                	**range:** 0..999
                                
                                .. attribute:: detectmult
                                
                                	Detection Multiplier. This is the desired detection time multiplier for BFD packets on the local system
                                	**type**\: int
                                
                                	**range:** 0..50
                                
                                .. attribute:: echorxintvl
                                
                                	Echo Rx Interval. This is the minimum interval, in ms, between received BFD echo packets that this system is capable of supporting
                                	**type**\: int
                                
                                	**range:** 0..999
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.IfkaItems, self).__init__()

                                    self.yang_name = "ifka-items"
                                    self.yang_parent_name = "IfAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                                        ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                                        ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                                        ('echorxintvl', (YLeaf(YType.uint16, 'echoRxIntvl'), ['int'])),
                                    ])
                                    self.mintxintvl = None
                                    self.minrxintvl = None
                                    self.detectmult = None
                                    self.echorxintvl = None
                                    self._segment_path = lambda: "ifka-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.AfItems.IfAfList.IfkaItems, ['mintxintvl', 'minrxintvl', 'detectmult', 'echorxintvl'], name, value)





                    class NbrItems(Entity):
                        """
                        
                        
                        .. attribute:: nbr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NbrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.NbrItems.NbrList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.NbrItems, self).__init__()

                            self.yang_name = "nbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Nbr-list", ("nbr_list", System.BfdItems.InstItems.IfItems.IfList.NbrItems.NbrList))])
                            self._leafs = OrderedDict()

                            self.nbr_list = YList(self)
                            self._segment_path = lambda: "nbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.NbrItems, [], name, value)


                        class NbrList(Entity):
                            """
                            
                            
                            .. attribute:: srcip  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: destip  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BfdItems.InstItems.IfItems.IfList.NbrItems.NbrList, self).__init__()

                                self.yang_name = "Nbr-list"
                                self.yang_parent_name = "nbr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['srcip','destip']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('srcip', (YLeaf(YType.str, 'srcip'), ['str','str'])),
                                    ('destip', (YLeaf(YType.str, 'destip'), ['str','str'])),
                                ])
                                self.srcip = None
                                self.destip = None
                                self._segment_path = lambda: "Nbr-list" + "[srcip='" + str(self.srcip) + "']" + "[destip='" + str(self.destip) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.NbrItems.NbrList, ['srcip', 'destip'], name, value)




                    class IfkaItems(Entity):
                        """
                        
                        
                        .. attribute:: mintxintvl
                        
                        	Desired Minimum TX Interval.This is the minimum interval, in ms, that the system would like to use when transmitting BFD control packets
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        .. attribute:: minrxintvl
                        
                        	Required Minimum RX Interval. This is the minimum interval, in ms, between received BFD control packets that this system is capable of supporting
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        .. attribute:: detectmult
                        
                        	Detection Multiplier. This is the desired detection time multiplier for BFD packets on the local system
                        	**type**\: int
                        
                        	**range:** 0..50
                        
                        .. attribute:: echorxintvl
                        
                        	Echo Rx Interval. This is the minimum interval, in ms, between received BFD echo packets that this system is capable of supporting
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.IfkaItems, self).__init__()

                            self.yang_name = "ifka-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                                ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                                ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                                ('echorxintvl', (YLeaf(YType.uint16, 'echoRxIntvl'), ['int'])),
                            ])
                            self.mintxintvl = None
                            self.minrxintvl = None
                            self.detectmult = None
                            self.echorxintvl = None
                            self._segment_path = lambda: "ifka-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.IfkaItems, ['mintxintvl', 'minrxintvl', 'detectmult', 'echorxintvl'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BfdItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class AfItems(Entity):
                """
                
                
                .. attribute:: instaf_list
                
                	
                	**type**\: list of  		 :py:class:`InstAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.AfItems.InstAfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BfdItems.InstItems.AfItems, self).__init__()

                    self.yang_name = "af-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("InstAf-list", ("instaf_list", System.BfdItems.InstItems.AfItems.InstAfList))])
                    self._leafs = OrderedDict()

                    self.instaf_list = YList(self)
                    self._segment_path = lambda: "af-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BfdItems.InstItems.AfItems, [], name, value)


                class InstAfList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type of the Address Family
                    	**type**\:  :py:class:`BfdAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAfT>`
                    
                    .. attribute:: slowintvl
                    
                    	Slow timer Interval
                    	**type**\: int
                    
                    	**range:** 1000..30000
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: ka_items
                    
                    	
                    	**type**\:  :py:class:`KaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.AfItems.InstAfList.KaItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BfdItems.InstItems.AfItems.InstAfList, self).__init__()

                        self.yang_name = "InstAf-list"
                        self.yang_parent_name = "af-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("ka-items", ("ka_items", System.BfdItems.InstItems.AfItems.InstAfList.KaItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAfT', '')])),
                            ('slowintvl', (YLeaf(YType.uint16, 'slowIntvl'), ['int'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.slowintvl = None
                        self.name = None

                        self.ka_items = System.BfdItems.InstItems.AfItems.InstAfList.KaItems()
                        self.ka_items.parent = self
                        self._children_name_map["ka_items"] = "ka-items"
                        self._segment_path = lambda: "InstAf-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/af-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BfdItems.InstItems.AfItems.InstAfList, ['type', 'slowintvl', 'name'], name, value)


                    class KaItems(Entity):
                        """
                        
                        
                        .. attribute:: mintxintvl
                        
                        	Desired Minimum TX Interval.This is the minimum interval, in ms, that the system would like to use when transmitting BFD control packets
                        	**type**\: int
                        
                        	**range:** 50..999
                        
                        .. attribute:: minrxintvl
                        
                        	Required Minimum RX Interval. This is the minimum interval, in ms, between received BFD control packets that this system is capable of supporting
                        	**type**\: int
                        
                        	**range:** 50..999
                        
                        .. attribute:: detectmult
                        
                        	Detection Multiplier. This is the desired detection time multiplier for BFD packets on the local system
                        	**type**\: int
                        
                        	**range:** 1..50
                        
                        .. attribute:: echorxintvl
                        
                        	Echo Rx Interval. This is the minimum interval,in ms, between received BFD echo packets that this system is capable of supporting
                        	**type**\: int
                        
                        	**range:** 0..999
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.AfItems.InstAfList.KaItems, self).__init__()

                            self.yang_name = "ka-items"
                            self.yang_parent_name = "InstAf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                                ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                                ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                                ('echorxintvl', (YLeaf(YType.uint16, 'echoRxIntvl'), ['int'])),
                            ])
                            self.mintxintvl = None
                            self.minrxintvl = None
                            self.detectmult = None
                            self.echorxintvl = None
                            self._segment_path = lambda: "ka-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.AfItems.InstAfList.KaItems, ['mintxintvl', 'minrxintvl', 'detectmult', 'echorxintvl'], name, value)





            class KaItems(Entity):
                """
                
                
                .. attribute:: mintxintvl
                
                	Desired Minimum TX Interval.This is the minimum interval, in ms, that the system would like to use when transmitting BFD control packets
                	**type**\: int
                
                	**range:** 50..999
                
                .. attribute:: minrxintvl
                
                	Required Minimum RX Interval. This is the minimum interval, in ms, between received BFD control packets that this system is capable of supporting
                	**type**\: int
                
                	**range:** 50..999
                
                .. attribute:: detectmult
                
                	Detection Multiplier. This is the desired detection time multiplier for BFD packets on the local system
                	**type**\: int
                
                	**range:** 1..50
                
                .. attribute:: echorxintvl
                
                	Echo Rx Interval. This is the minimum interval,in ms, between received BFD echo packets that this system is capable of supporting
                	**type**\: int
                
                	**range:** 0..999
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BfdItems.InstItems.KaItems, self).__init__()

                    self.yang_name = "ka-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('mintxintvl', (YLeaf(YType.uint16, 'minTxIntvl'), ['int'])),
                        ('minrxintvl', (YLeaf(YType.uint16, 'minRxIntvl'), ['int'])),
                        ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                        ('echorxintvl', (YLeaf(YType.uint16, 'echoRxIntvl'), ['int'])),
                    ])
                    self.mintxintvl = None
                    self.minrxintvl = None
                    self.detectmult = None
                    self.echorxintvl = None
                    self._segment_path = lambda: "ka-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BfdItems.InstItems.KaItems, ['mintxintvl', 'minrxintvl', 'detectmult', 'echorxintvl'], name, value)



            class SessionItems(Entity):
                """
                
                
                .. attribute:: sess_list
                
                	
                	**type**\: list of  		 :py:class:`SessList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.BfdItems.InstItems.SessionItems, self).__init__()

                    self.yang_name = "session-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Sess-list", ("sess_list", System.BfdItems.InstItems.SessionItems.SessList))])
                    self._leafs = OrderedDict()

                    self.sess_list = YList(self)
                    self._segment_path = lambda: "session-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.BfdItems.InstItems.SessionItems, [], name, value)


                class SessList(Entity):
                    """
                    
                    
                    .. attribute:: discr  (key)
                    
                    	Local Session Identifier of the BFD session
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: remotediscr
                    
                    	Remote Session Identifier of the BFD session
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: asyncport
                    
                    	Asynchronous mode Source Port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: echoport
                    
                    	Echo mode Source Port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: localmac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: remotemac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: ifid
                    
                    	Interface ID associated with the BFD session
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: iod
                    
                    	Interface ordinal associated with the BFD session
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vrfname
                    
                    	L3 Context Name
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: srcaddr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: destaddr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: localtxintvl
                    
                    	Local Value of Tx Interval
                    	**type**\: int
                    
                    	**range:** 50..999
                    
                    	**config**\: False
                    
                    .. attribute:: localrxintvl
                    
                    	Local Value of Rx Interval
                    	**type**\: int
                    
                    	**range:** 50..999
                    
                    	**config**\: False
                    
                    .. attribute:: localdetectmult
                    
                    	Local value of Detection Multiplier
                    	**type**\: int
                    
                    	**range:** 1..50
                    
                    	**config**\: False
                    
                    .. attribute:: txintvl
                    
                    	Active Value of Tx Interval
                    	**type**\: int
                    
                    	**range:** 50..999
                    
                    	**config**\: False
                    
                    .. attribute:: echotxintvl
                    
                    	Active Value of Echo Tx Interval
                    	**type**\: int
                    
                    	**range:** 50..999
                    
                    	**config**\: False
                    
                    .. attribute:: rxintvl
                    
                    	Active Value of Rx Interval
                    	**type**\: int
                    
                    	**range:** 50..999
                    
                    	**config**\: False
                    
                    .. attribute:: slowintvl
                    
                    	Active value of Slow Interval
                    	**type**\: int
                    
                    	**range:** 1000..30000
                    
                    	**config**\: False
                    
                    .. attribute:: detectmult
                    
                    	Active value of Detection Multiplier
                    	**type**\: int
                    
                    	**range:** 1..50
                    
                    	**config**\: False
                    
                    .. attribute:: authtype
                    
                    	Active value of Authentication Type
                    	**type**\:  :py:class:`BfdAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdAuthT>`
                    
                    	**config**\: False
                    
                    .. attribute:: authseqno
                    
                    	Authentication Sequence Number
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: operst
                    
                    	Operational State
                    	**type**\:  :py:class:`BfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: remoteoperst
                    
                    	Remote Operational State
                    	**type**\:  :py:class:`BfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdOperSt>`
                    
                    	**config**\: False
                    
                    .. attribute:: diag
                    
                    	Protocol Diagnostic code
                    	**type**\:  :py:class:`BfdDiagCode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdDiagCode>`
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Packet Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: lasttranstime
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: lastdiag
                    
                    	Last Diagnostic code
                    	**type**\:  :py:class:`BfdDiagCode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdDiagCode>`
                    
                    	**config**\: False
                    
                    .. attribute:: lastdowntime
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: stats_items
                    
                    	
                    	**type**\:  :py:class:`StatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.StatsItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: peerv_items
                    
                    	
                    	**type**\:  :py:class:`PeervItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.PeervItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: app_items
                    
                    	
                    	**type**\:  :py:class:`AppItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.AppItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rsmbrsess_items
                    
                    	
                    	**type**\:  :py:class:`RsmbrSessItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.BfdItems.InstItems.SessionItems.SessList, self).__init__()

                        self.yang_name = "Sess-list"
                        self.yang_parent_name = "session-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['discr']
                        self._child_classes = OrderedDict([("stats-items", ("stats_items", System.BfdItems.InstItems.SessionItems.SessList.StatsItems)), ("peerv-items", ("peerv_items", System.BfdItems.InstItems.SessionItems.SessList.PeervItems)), ("app-items", ("app_items", System.BfdItems.InstItems.SessionItems.SessList.AppItems)), ("rsmbrSess-items", ("rsmbrsess_items", System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems))])
                        self._leafs = OrderedDict([
                            ('discr', (YLeaf(YType.uint32, 'discr'), ['int'])),
                            ('remotediscr', (YLeaf(YType.uint32, 'remoteDiscr'), ['int'])),
                            ('asyncport', (YLeaf(YType.uint16, 'asyncPort'), ['int'])),
                            ('echoport', (YLeaf(YType.uint16, 'echoPort'), ['int'])),
                            ('localmac', (YLeaf(YType.str, 'localMac'), ['str'])),
                            ('remotemac', (YLeaf(YType.str, 'remoteMac'), ['str'])),
                            ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                            ('iod', (YLeaf(YType.uint32, 'iod'), ['int'])),
                            ('vrfname', (YLeaf(YType.str, 'vrfName'), ['str'])),
                            ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                            ('destaddr', (YLeaf(YType.str, 'destAddr'), ['str','str'])),
                            ('localtxintvl', (YLeaf(YType.uint16, 'localTxIntvl'), ['int'])),
                            ('localrxintvl', (YLeaf(YType.uint16, 'localRxIntvl'), ['int'])),
                            ('localdetectmult', (YLeaf(YType.uint8, 'localDetectMult'), ['int'])),
                            ('txintvl', (YLeaf(YType.uint16, 'txIntvl'), ['int'])),
                            ('echotxintvl', (YLeaf(YType.uint16, 'echoTxIntvl'), ['int'])),
                            ('rxintvl', (YLeaf(YType.uint16, 'rxIntvl'), ['int'])),
                            ('slowintvl', (YLeaf(YType.uint16, 'slowIntvl'), ['int'])),
                            ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                            ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdAuthT', '')])),
                            ('authseqno', (YLeaf(YType.uint32, 'authSeqno'), ['int'])),
                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdOperSt', '')])),
                            ('remoteoperst', (YLeaf(YType.enumeration, 'remoteOperSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdOperSt', '')])),
                            ('diag', (YLeaf(YType.enumeration, 'diag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdDiagCode', '')])),
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ('lasttranstime', (YLeaf(YType.str, 'lastTransTime'), ['str'])),
                            ('lastdiag', (YLeaf(YType.enumeration, 'lastDiag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdDiagCode', '')])),
                            ('lastdowntime', (YLeaf(YType.str, 'lastDownTime'), ['str'])),
                        ])
                        self.discr = None
                        self.remotediscr = None
                        self.asyncport = None
                        self.echoport = None
                        self.localmac = None
                        self.remotemac = None
                        self.ifid = None
                        self.iod = None
                        self.vrfname = None
                        self.srcaddr = None
                        self.destaddr = None
                        self.localtxintvl = None
                        self.localrxintvl = None
                        self.localdetectmult = None
                        self.txintvl = None
                        self.echotxintvl = None
                        self.rxintvl = None
                        self.slowintvl = None
                        self.detectmult = None
                        self.authtype = None
                        self.authseqno = None
                        self.operst = None
                        self.remoteoperst = None
                        self.diag = None
                        self.flags = None
                        self.lasttranstime = None
                        self.lastdiag = None
                        self.lastdowntime = None

                        self.stats_items = System.BfdItems.InstItems.SessionItems.SessList.StatsItems()
                        self.stats_items.parent = self
                        self._children_name_map["stats_items"] = "stats-items"

                        self.peerv_items = System.BfdItems.InstItems.SessionItems.SessList.PeervItems()
                        self.peerv_items.parent = self
                        self._children_name_map["peerv_items"] = "peerv-items"

                        self.app_items = System.BfdItems.InstItems.SessionItems.SessList.AppItems()
                        self.app_items.parent = self
                        self._children_name_map["app_items"] = "app-items"

                        self.rsmbrsess_items = System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems()
                        self.rsmbrsess_items.parent = self
                        self._children_name_map["rsmbrsess_items"] = "rsmbrSess-items"
                        self._segment_path = lambda: "Sess-list" + "[discr='" + str(self.discr) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/bfd-items/inst-items/session-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList, ['discr', 'remotediscr', 'asyncport', 'echoport', 'localmac', 'remotemac', 'ifid', 'iod', 'vrfname', 'srcaddr', 'destaddr', 'localtxintvl', 'localrxintvl', 'localdetectmult', 'txintvl', 'echotxintvl', 'rxintvl', 'slowintvl', 'detectmult', 'authtype', 'authseqno', 'operst', 'remoteoperst', 'diag', 'flags', 'lasttranstime', 'lastdiag', 'lastdowntime'], name, value)


                    class StatsItems(Entity):
                        """
                        
                        
                        .. attribute:: rxcnt
                        
                        	Packets Received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: rxavg
                        
                        	Packets Average Receive Interval, which is the average interval between received packets 
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rxmin
                        
                        	Packets Minimum Receive Interval
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rxmax
                        
                        	Packets Maximum Receive Interval
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lastrxpkt
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: txcnt
                        
                        	Packets Transmitted
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: txavg
                        
                        	Packets Average Transmit Interval, which is average interval between transmitted packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: txmin
                        
                        	Packets Minimum Transmit Interval
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: txmax
                        
                        	Packets Maximum Transmit Interval
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: lasttxpkt
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upcnt
                        
                        	Up Count is the number of times session has gone into up state
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: downcnt
                        
                        	Down Count is the number of times session has gone into down state
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.SessionItems.SessList.StatsItems, self).__init__()

                            self.yang_name = "stats-items"
                            self.yang_parent_name = "Sess-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('rxcnt', (YLeaf(YType.uint64, 'rxCnt'), ['int'])),
                                ('rxavg', (YLeaf(YType.uint32, 'rxAvg'), ['int'])),
                                ('rxmin', (YLeaf(YType.uint32, 'rxMin'), ['int'])),
                                ('rxmax', (YLeaf(YType.uint32, 'rxMax'), ['int'])),
                                ('lastrxpkt', (YLeaf(YType.str, 'lastRxPkt'), ['str'])),
                                ('txcnt', (YLeaf(YType.uint64, 'txCnt'), ['int'])),
                                ('txavg', (YLeaf(YType.uint32, 'txAvg'), ['int'])),
                                ('txmin', (YLeaf(YType.uint32, 'txMin'), ['int'])),
                                ('txmax', (YLeaf(YType.uint32, 'txMax'), ['int'])),
                                ('lasttxpkt', (YLeaf(YType.str, 'lastTxPkt'), ['str'])),
                                ('upcnt', (YLeaf(YType.uint32, 'upCnt'), ['int'])),
                                ('downcnt', (YLeaf(YType.uint32, 'downCnt'), ['int'])),
                            ])
                            self.rxcnt = None
                            self.rxavg = None
                            self.rxmin = None
                            self.rxmax = None
                            self.lastrxpkt = None
                            self.txcnt = None
                            self.txavg = None
                            self.txmin = None
                            self.txmax = None
                            self.lasttxpkt = None
                            self.upcnt = None
                            self.downcnt = None
                            self._segment_path = lambda: "stats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.StatsItems, ['rxcnt', 'rxavg', 'rxmin', 'rxmax', 'lastrxpkt', 'txcnt', 'txavg', 'txmin', 'txmax', 'lasttxpkt', 'upcnt', 'downcnt'], name, value)



                    class PeervItems(Entity):
                        """
                        
                        
                        .. attribute:: diag
                        
                        	Diagnostic Code in Last Packet
                        	**type**\:  :py:class:`BfdDiagCode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdDiagCode>`
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Protocol State in Last Packet
                        	**type**\:  :py:class:`BfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BfdOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: flags
                        
                        	Flags in Last Packet
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: detectmult
                        
                        	Detect Multiplier in Last Packet
                        	**type**\: int
                        
                        	**range:** 1..50
                        
                        	**config**\: False
                        
                        .. attribute:: mydisc
                        
                        	My Discriminator in Last Packet
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: yourdisc
                        
                        	Your Discriminator in Last Packet
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: mintx
                        
                        	Minimum Tx Interval in Last Packet
                        	**type**\: int
                        
                        	**range:** 50..999
                        
                        	**config**\: False
                        
                        .. attribute:: minrx
                        
                        	Minimum Rx Interval in Last Packet
                        	**type**\: int
                        
                        	**range:** 50..999
                        
                        	**config**\: False
                        
                        .. attribute:: minecho
                        
                        	Minimum Echo Interval in Last Packet
                        	**type**\: int
                        
                        	**range:** 50..999
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.SessionItems.SessList.PeervItems, self).__init__()

                            self.yang_name = "peerv-items"
                            self.yang_parent_name = "Sess-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('diag', (YLeaf(YType.enumeration, 'diag'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdDiagCode', '')])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'BfdOperSt', '')])),
                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ('detectmult', (YLeaf(YType.uint8, 'detectMult'), ['int'])),
                                ('mydisc', (YLeaf(YType.uint32, 'myDisc'), ['int'])),
                                ('yourdisc', (YLeaf(YType.uint32, 'yourDisc'), ['int'])),
                                ('mintx', (YLeaf(YType.uint16, 'minTx'), ['int'])),
                                ('minrx', (YLeaf(YType.uint16, 'minRx'), ['int'])),
                                ('minecho', (YLeaf(YType.uint16, 'minEcho'), ['int'])),
                            ])
                            self.diag = None
                            self.operst = None
                            self.flags = None
                            self.detectmult = None
                            self.mydisc = None
                            self.yourdisc = None
                            self.mintx = None
                            self.minrx = None
                            self.minecho = None
                            self._segment_path = lambda: "peerv-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.PeervItems, ['diag', 'operst', 'flags', 'detectmult', 'mydisc', 'yourdisc', 'mintx', 'minrx', 'minecho'], name, value)



                    class AppItems(Entity):
                        """
                        
                        
                        .. attribute:: sessapp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SessAppList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.AppItems.SessAppList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.SessionItems.SessList.AppItems, self).__init__()

                            self.yang_name = "app-items"
                            self.yang_parent_name = "Sess-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("SessApp-list", ("sessapp_list", System.BfdItems.InstItems.SessionItems.SessList.AppItems.SessAppList))])
                            self._leafs = OrderedDict()

                            self.sessapp_list = YList(self)
                            self._segment_path = lambda: "app-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.AppItems, [], name, value)


                        class SessAppList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Application ID of the app associated with the BFD session
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: sapid
                            
                            	Application SAP ID of the app associated with the BFD session
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Application Session Flags
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: data
                            
                            	Application Private Data
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: autoexptime
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BfdItems.InstItems.SessionItems.SessList.AppItems.SessAppList, self).__init__()

                                self.yang_name = "SessApp-list"
                                self.yang_parent_name = "app-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('sapid', (YLeaf(YType.uint32, 'sapId'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                    ('data', (YLeaf(YType.str, 'data'), ['str'])),
                                    ('autoexptime', (YLeaf(YType.str, 'autoExpTime'), ['str'])),
                                ])
                                self.id = None
                                self.name = None
                                self.sapid = None
                                self.descr = None
                                self.flags = None
                                self.data = None
                                self.autoexptime = None
                                self._segment_path = lambda: "SessApp-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.AppItems.SessAppList, ['id', 'name', 'sapid', 'descr', 'flags', 'data', 'autoexptime'], name, value)




                    class RsmbrSessItems(Entity):
                        """
                        
                        
                        .. attribute:: rsmbrsess_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RsMbrSessList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems.RsMbrSessList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems, self).__init__()

                            self.yang_name = "rsmbrSess-items"
                            self.yang_parent_name = "Sess-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RsMbrSess-list", ("rsmbrsess_list", System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems.RsMbrSessList))])
                            self._leafs = OrderedDict()

                            self.rsmbrsess_list = YList(self)
                            self._segment_path = lambda: "rsmbrSess-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems, [], name, value)


                        class RsMbrSessList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems.RsMbrSessList, self).__init__()

                                self.yang_name = "RsMbrSess-list"
                                self.yang_parent_name = "rsmbrSess-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RsMbrSess-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.BfdItems.InstItems.SessionItems.SessList.RsmbrSessItems.RsMbrSessList, ['tdn', 'tcl'], name, value)








    class CfsItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CfsItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CfsItems, self).__init__()

            self.yang_name = "cfs-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.CfsItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.CfsItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "cfs-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CfsItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: distribute
            
            	Enable CFS distribution
            	**type**\:  :py:class:`CfsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CfsAdminSt>`
            
            .. attribute:: ethdist
            
            	Enable CFS distribution over Ethernet
            	**type**\:  :py:class:`CfsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CfsAdminSt>`
            
            .. attribute:: ipv4dist
            
            	Enable CFS distribution over IPv4
            	**type**\:  :py:class:`CfsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CfsAdminSt>`
            
            .. attribute:: ipv6dist
            
            	Enable CFS distribution over IPv6
            	**type**\:  :py:class:`CfsAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CfsAdminSt>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CfsItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "cfs-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('distribute', (YLeaf(YType.enumeration, 'distribute'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CfsAdminSt', '')])),
                    ('ethdist', (YLeaf(YType.enumeration, 'ethDist'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CfsAdminSt', '')])),
                    ('ipv4dist', (YLeaf(YType.enumeration, 'ipv4Dist'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CfsAdminSt', '')])),
                    ('ipv6dist', (YLeaf(YType.enumeration, 'ipv6Dist'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'CfsAdminSt', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.distribute = None
                self.ethdist = None
                self.ipv4dist = None
                self.ipv6dist = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/cfs-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CfsItems.InstItems, ['distribute', 'ethdist', 'ipv4dist', 'ipv6dist', 'name', 'adminst', 'ctrl', 'opererr'], name, value)




    class HsrpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.HsrpItems, self).__init__()

            self.yang_name = "hsrp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.HsrpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.HsrpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "hsrp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.HsrpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.HsrpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "hsrp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.HsrpItems.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.HsrpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/hsrp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.HsrpItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.HsrpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.HsrpItems.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/hsrp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.HsrpItems.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	Hsrp version
                    	**type**\:  :py:class:`HsrpHsrpVersion <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HsrpHsrpVersion>`
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: biascope
                    
                    	Use\-Bia Scope
                    	**type**\:  :py:class:`HsrpBiaScopeType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HsrpBiaScopeType>`
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: grp_items
                    
                    	
                    	**type**\:  :py:class:`GrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.GrpItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.HsrpItems.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("grp-items", ("grp_items", System.HsrpItems.InstItems.IfItems.IfList.GrpItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.HsrpItems.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('version', (YLeaf(YType.enumeration, 'version'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HsrpHsrpVersion', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('biascope', (YLeaf(YType.enumeration, 'biaScope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HsrpBiaScopeType', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.version = None
                        self.ctrl = None
                        self.biascope = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.grp_items = System.HsrpItems.InstItems.IfItems.IfList.GrpItems()
                        self.grp_items.parent = self
                        self._children_name_map["grp_items"] = "grp-items"

                        self.rtvrfmbr_items = System.HsrpItems.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/hsrp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList, ['id', 'version', 'ctrl', 'biascope', 'name', 'descr', 'adminst'], name, value)


                    class GrpItems(Entity):
                        """
                        
                        
                        .. attribute:: group_list
                        
                        	
                        	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HsrpItems.InstItems.IfItems.IfList.GrpItems, self).__init__()

                            self.yang_name = "grp-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Group-list", ("group_list", System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList))])
                            self._leafs = OrderedDict()

                            self.group_list = YList(self)
                            self._segment_path = lambda: "grp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.GrpItems, [], name, value)


                        class GroupList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Group Id
                            	**type**\: int
                            
                            	**range:** 0..4095
                            
                            .. attribute:: af  (key)
                            
                            	Group Address Family
                            	**type**\:  :py:class:`HsrpGroupAf <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HsrpGroupAf>`
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ipobtainmode
                            
                            	IP Obtain Mode
                            	**type**\:  :py:class:`HsrpGrpIpObtainMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HsrpGrpIpObtainMode>`
                            
                            .. attribute:: ctrl
                            
                            	Group control bits
                            	**type**\: str
                            
                            .. attribute:: preemptdelaymin
                            
                            	Miminum delay before preempt
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: preemptdelayreload
                            
                            	Preempt delay after a switch reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: preemptdelaysync
                            
                            	Wait for IP redundancy clients
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: hellointvl
                            
                            	Hello Interval
                            	**type**\: int
                            
                            	**range:** 250..254000
                            
                            .. attribute:: holdintvl
                            
                            	Hold Interval
                            	**type**\: int
                            
                            	**range:** 750..255000
                            
                            .. attribute:: prio
                            
                            	Group Priority
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fwdlwrthrld
                            
                            	Fowarding Lower Threshold
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fwduprthrld
                            
                            	Forwarding Upper Threshold
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: name
                            
                            	Master name string
                            	**type**\: str
                            
                            	**length:** 0..250
                            
                            .. attribute:: follow
                            
                            	Master name string to follow
                            	**type**\: str
                            
                            	**length:** 0..250
                            
                            .. attribute:: type
                            
                            	Authentication Type for the group
                            	**type**\:  :py:class:`HsrpAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.HsrpAuthT>`
                            
                            .. attribute:: key
                            
                            	Authentication key for the group
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: addr_items
                            
                            	
                            	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList, self).__init__()

                                self.yang_name = "Group-list"
                                self.yang_parent_name = "grp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id','af']
                                self._child_classes = OrderedDict([("addr-items", ("addr_items", System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                    ('af', (YLeaf(YType.enumeration, 'af'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HsrpGroupAf', '')])),
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                    ('ipobtainmode', (YLeaf(YType.enumeration, 'ipObtainMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HsrpGrpIpObtainMode', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('preemptdelaymin', (YLeaf(YType.uint16, 'preemptDelayMin'), ['int'])),
                                    ('preemptdelayreload', (YLeaf(YType.uint16, 'preemptDelayReload'), ['int'])),
                                    ('preemptdelaysync', (YLeaf(YType.uint16, 'preemptDelaySync'), ['int'])),
                                    ('hellointvl', (YLeaf(YType.uint32, 'helloIntvl'), ['int'])),
                                    ('holdintvl', (YLeaf(YType.uint32, 'holdIntvl'), ['int'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('fwdlwrthrld', (YLeaf(YType.uint16, 'fwdLwrThrld'), ['int'])),
                                    ('fwduprthrld', (YLeaf(YType.uint16, 'fwdUprThrld'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('follow', (YLeaf(YType.str, 'follow'), ['str'])),
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'HsrpAuthT', '')])),
                                    ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                ])
                                self.id = None
                                self.af = None
                                self.ip = None
                                self.ipobtainmode = None
                                self.ctrl = None
                                self.preemptdelaymin = None
                                self.preemptdelayreload = None
                                self.preemptdelaysync = None
                                self.hellointvl = None
                                self.holdintvl = None
                                self.prio = None
                                self.fwdlwrthrld = None
                                self.fwduprthrld = None
                                self.name = None
                                self.follow = None
                                self.type = None
                                self.key = None
                                self.mac = None

                                self.addr_items = System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems()
                                self.addr_items.parent = self
                                self._children_name_map["addr_items"] = "addr-items"
                                self._segment_path = lambda: "Group-list" + "[id='" + str(self.id) + "']" + "[af='" + str(self.af) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList, ['id', 'af', 'ip', 'ipobtainmode', 'ctrl', 'preemptdelaymin', 'preemptdelayreload', 'preemptdelaysync', 'hellointvl', 'holdintvl', 'prio', 'fwdlwrthrld', 'fwduprthrld', 'name', 'follow', 'type', 'key', 'mac'], name, value)


                            class AddrItems(Entity):
                                """
                                
                                
                                .. attribute:: addr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems.AddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems, self).__init__()

                                    self.yang_name = "addr-items"
                                    self.yang_parent_name = "Group-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Addr-list", ("addr_list", System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems.AddrList))])
                                    self._leafs = OrderedDict()

                                    self.addr_list = YList(self)
                                    self._segment_path = lambda: "addr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems, [], name, value)


                                class AddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems.AddrList, self).__init__()

                                        self.yang_name = "Addr-list"
                                        self.yang_parent_name = "addr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ip']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                        ])
                                        self.ip = None
                                        self._segment_path = lambda: "Addr-list" + "[ip='" + str(self.ip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.GrpItems.GroupList.AddrItems.AddrList, ['ip'], name, value)






                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HsrpItems.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.HsrpItems.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class Icmpv4Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Icmpv4Items, self).__init__()

            self.yang_name = "icmpv4-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Icmpv4Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.Icmpv4Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "icmpv4-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Icmpv4Items, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Icmpv4Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "icmpv4-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.Icmpv4Items.InstItems.DomItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.Icmpv4Items.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv4-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Icmpv4Items.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Icmpv4Items.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Icmpv4Items.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv4-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Icmpv4Items.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList.IfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Icmpv4Items.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("if-items", ("if_items", System.Icmpv4Items.InstItems.DomItems.DomList.IfItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.if_items = System.Icmpv4Items.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv4-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList, ['name'], name, value)


                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.ctrl = None

                                self.rtvrfmbr_items = System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'name', 'descr', 'adminst', 'ctrl'], name, value)


                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Icmpv4Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)










    class Icmpv6Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Icmpv6Items, self).__init__()

            self.yang_name = "icmpv6-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Icmpv6Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.Icmpv6Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "icmpv6-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Icmpv6Items, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`Icmpv6OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Icmpv6OperSt>`
            
            	**config**\: False
            
            .. attribute:: adjstaletimer
            
            	Adjacency stale timer
            	**type**\: int
            
            	**range:** 300..65535
            
            .. attribute:: adjstaletimericmp
            
            	Ipv6 adjacency stale timer with ICMP option
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: logginglevel
            
            	Logging Level
            	**type**\:  :py:class:`Icmpv6LoggingLevel <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Icmpv6LoggingLevel>`
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems>`
            
            .. attribute:: logs_items
            
            	
            	**type**\:  :py:class:`LogsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.LogsItems>`
            
            .. attribute:: ifstats_items
            
            	
            	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfstatsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Icmpv6Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "icmpv6-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.Icmpv6Items.InstItems.IfItems)), ("logs-items", ("logs_items", System.Icmpv6Items.InstItems.LogsItems)), ("ifstats-items", ("ifstats_items", System.Icmpv6Items.InstItems.IfstatsItems))])
                self._leafs = OrderedDict([
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Icmpv6OperSt', '')])),
                    ('adjstaletimer', (YLeaf(YType.uint16, 'adjStaleTimer'), ['int'])),
                    ('adjstaletimericmp', (YLeaf(YType.enumeration, 'adjStaleTimerIcmp'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('logginglevel', (YLeaf(YType.enumeration, 'loggingLevel'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Icmpv6LoggingLevel', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.operst = None
                self.adjstaletimer = None
                self.adjstaletimericmp = None
                self.logginglevel = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.Icmpv6Items.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"

                self.logs_items = System.Icmpv6Items.InstItems.LogsItems()
                self.logs_items.parent = self
                self._children_name_map["logs_items"] = "logs-items"

                self.ifstats_items = System.Icmpv6Items.InstItems.IfstatsItems()
                self.ifstats_items.parent = self
                self._children_name_map["ifstats_items"] = "ifstats-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Icmpv6Items.InstItems, ['operst', 'adjstaletimer', 'adjstaletimericmp', 'logginglevel', 'name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: if_list
                
                	
                	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems.IfList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Icmpv6Items.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("If-list", ("if_list", System.Icmpv6Items.InstItems.IfItems.IfList))])
                    self._leafs = OrderedDict()

                    self.if_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Icmpv6Items.InstItems.IfItems, [], name, value)


                class IfList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ifstats_items
                    
                    	
                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems.IfList.IfstatsItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems.IfList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Icmpv6Items.InstItems.IfItems.IfList, self).__init__()

                        self.yang_name = "If-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("ifstats-items", ("ifstats_items", System.Icmpv6Items.InstItems.IfItems.IfList.IfstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.Icmpv6Items.InstItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.ctrl = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.ifstats_items = System.Icmpv6Items.InstItems.IfItems.IfList.IfstatsItems()
                        self.ifstats_items.parent = self
                        self._children_name_map["ifstats_items"] = "ifstats-items"

                        self.rtvrfmbr_items = System.Icmpv6Items.InstItems.IfItems.IfList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Icmpv6Items.InstItems.IfItems.IfList, ['id', 'ctrl', 'name', 'descr', 'adminst'], name, value)


                    class IfstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: totsent
                        
                        	Total messages sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: totrvcd
                        
                        	Total messages received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: errsent
                        
                        	Error messages sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: errrcvd
                        
                        	Error messages received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ifdowndropsent
                        
                        	Interface Down Drop Count sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: ifdowndroprcvd
                        
                        	Interface Down Drop Count received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: drophanotrdy
                        
                        	Adjacency not recovered from AM after HA
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dropinvldttlmct
                        
                        	Pkts allowed due to inv ttl on vPC\-MCT
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dropsrcmacownrcvd
                        
                        	Pkts dropped as source mac addr is own
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: droptgtipnotownrcvd
                        
                        	Pkts dropped as tgt ip addr is not own
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: dropsrcipnotownrcvd
                        
                        	Pkts dropped as src ip addr is not own
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: destunreachsent
                        
                        	Destination Unreachables sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: destunreachrcvd
                        
                        	Destination Unreachables received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: adminprohibsent
                        
                        	Administratively Prohibited sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: adminprohibrcvd
                        
                        	Administratively Prohibited received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: timeexcdsent
                        
                        	Time Exceeded sent 
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: timeexcdrcvd
                        
                        	Time Exceeded received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: parmprblmsent
                        
                        	Parameter Problems sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: parmprblmrcvd
                        
                        	Parameter Problems received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: echoreqsent
                        
                        	Echo Request sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: echoreqrcvd
                        
                        	Echo Request received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: echorepsent
                        
                        	Echo Replies sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: echoreprcvd
                        
                        	Echo Replies received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: redirsent
                        
                        	Redirects sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: redirrcvd
                        
                        	Redirects received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: toobigsent
                        
                        	Packet Too Big sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: toobigrcvd
                        
                        	Packet Too Big received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: rasent
                        
                        	Router Advertisements sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: rarcvd
                        
                        	Router Advertisements received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: rssent
                        
                        	Router Solicitations sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: rsrcvd
                        
                        	Router Solicitations received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: nasent
                        
                        	Neighbor Advertisements sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: narcvd
                        
                        	Neighbor Advertisements received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: nssent
                        
                        	Neighbor Solicitations sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: nsrcvd
                        
                        	Neighbor Solicitations received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: duprareceived
                        
                        	Duplicate router RA received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: fastpthrcvd
                        
                        	Fastpath Packets
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: fastpathdsbleignrcvd
                        
                        	Ignored Fastpath Packets \- Fastpath disabled
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: fastpathotherignrcvd
                        
                        	Ignored fastpath packets \- others
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1queriessent
                        
                        	V1 queries sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1queriesrecv
                        
                        	V1 queries received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv2queriessent
                        
                        	V2 queries sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv2queriesrecv
                        
                        	V2 queries received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1reportssent
                        
                        	V1 reports sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1reportsrecv
                        
                        	V1 reports received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv2reportssent
                        
                        	V2 reports sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv2reportsrecv
                        
                        	V2 reports received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1leavessent
                        
                        	V1 leaves sent
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: mldv1leavesrecv
                        
                        	V1 leaves received
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Icmpv6Items.InstItems.IfItems.IfList.IfstatsItems, self).__init__()

                            self.yang_name = "ifstats-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('totsent', (YLeaf(YType.uint64, 'totSent'), ['int'])),
                                ('totrvcd', (YLeaf(YType.uint64, 'totRvcd'), ['int'])),
                                ('errsent', (YLeaf(YType.uint64, 'errSent'), ['int'])),
                                ('errrcvd', (YLeaf(YType.uint64, 'errRcvd'), ['int'])),
                                ('ifdowndropsent', (YLeaf(YType.uint64, 'ifDownDropSent'), ['int'])),
                                ('ifdowndroprcvd', (YLeaf(YType.uint64, 'ifDownDropRcvd'), ['int'])),
                                ('drophanotrdy', (YLeaf(YType.uint64, 'dropHaNotRdy'), ['int'])),
                                ('dropinvldttlmct', (YLeaf(YType.uint64, 'dropInvldTtlMct'), ['int'])),
                                ('dropsrcmacownrcvd', (YLeaf(YType.uint64, 'dropSrcMacOwnRcvd'), ['int'])),
                                ('droptgtipnotownrcvd', (YLeaf(YType.uint64, 'dropTgtIpNotOwnRcvd'), ['int'])),
                                ('dropsrcipnotownrcvd', (YLeaf(YType.uint64, 'dropSrcIpNotOwnRcvd'), ['int'])),
                                ('destunreachsent', (YLeaf(YType.uint64, 'destUnreachSent'), ['int'])),
                                ('destunreachrcvd', (YLeaf(YType.uint64, 'destUnreachRcvd'), ['int'])),
                                ('adminprohibsent', (YLeaf(YType.uint64, 'adminProhibSent'), ['int'])),
                                ('adminprohibrcvd', (YLeaf(YType.uint64, 'adminProhibRcvd'), ['int'])),
                                ('timeexcdsent', (YLeaf(YType.uint64, 'timeExcdSent'), ['int'])),
                                ('timeexcdrcvd', (YLeaf(YType.uint64, 'timeExcdRcvd'), ['int'])),
                                ('parmprblmsent', (YLeaf(YType.uint64, 'parmPrblmSent'), ['int'])),
                                ('parmprblmrcvd', (YLeaf(YType.uint64, 'parmPrblmRcvd'), ['int'])),
                                ('echoreqsent', (YLeaf(YType.uint64, 'echoReqSent'), ['int'])),
                                ('echoreqrcvd', (YLeaf(YType.uint64, 'echoReqRcvd'), ['int'])),
                                ('echorepsent', (YLeaf(YType.uint64, 'echoRepSent'), ['int'])),
                                ('echoreprcvd', (YLeaf(YType.uint64, 'echoRepRcvd'), ['int'])),
                                ('redirsent', (YLeaf(YType.uint64, 'redirSent'), ['int'])),
                                ('redirrcvd', (YLeaf(YType.uint64, 'redirRcvd'), ['int'])),
                                ('toobigsent', (YLeaf(YType.uint64, 'tooBigSent'), ['int'])),
                                ('toobigrcvd', (YLeaf(YType.uint64, 'tooBigRcvd'), ['int'])),
                                ('rasent', (YLeaf(YType.uint64, 'raSent'), ['int'])),
                                ('rarcvd', (YLeaf(YType.uint64, 'raRcvd'), ['int'])),
                                ('rssent', (YLeaf(YType.uint64, 'rsSent'), ['int'])),
                                ('rsrcvd', (YLeaf(YType.uint64, 'rsRcvd'), ['int'])),
                                ('nasent', (YLeaf(YType.uint64, 'naSent'), ['int'])),
                                ('narcvd', (YLeaf(YType.uint64, 'naRcvd'), ['int'])),
                                ('nssent', (YLeaf(YType.uint64, 'nsSent'), ['int'])),
                                ('nsrcvd', (YLeaf(YType.uint64, 'nsRcvd'), ['int'])),
                                ('duprareceived', (YLeaf(YType.uint64, 'dupRAReceived'), ['int'])),
                                ('fastpthrcvd', (YLeaf(YType.uint64, 'fastpthRcvd'), ['int'])),
                                ('fastpathdsbleignrcvd', (YLeaf(YType.uint64, 'fastpathDsbleIgnRcvd'), ['int'])),
                                ('fastpathotherignrcvd', (YLeaf(YType.uint64, 'fastpathOtherIgnRcvd'), ['int'])),
                                ('mldv1queriessent', (YLeaf(YType.uint64, 'mldV1QueriesSent'), ['int'])),
                                ('mldv1queriesrecv', (YLeaf(YType.uint64, 'mldV1QueriesRecv'), ['int'])),
                                ('mldv2queriessent', (YLeaf(YType.uint64, 'mldV2QueriesSent'), ['int'])),
                                ('mldv2queriesrecv', (YLeaf(YType.uint64, 'mldV2QueriesRecv'), ['int'])),
                                ('mldv1reportssent', (YLeaf(YType.uint64, 'mldV1ReportsSent'), ['int'])),
                                ('mldv1reportsrecv', (YLeaf(YType.uint64, 'mldV1ReportsRecv'), ['int'])),
                                ('mldv2reportssent', (YLeaf(YType.uint64, 'mldV2ReportsSent'), ['int'])),
                                ('mldv2reportsrecv', (YLeaf(YType.uint64, 'mldV2ReportsRecv'), ['int'])),
                                ('mldv1leavessent', (YLeaf(YType.uint64, 'mldV1LeavesSent'), ['int'])),
                                ('mldv1leavesrecv', (YLeaf(YType.uint64, 'mldV1LeavesRecv'), ['int'])),
                            ])
                            self.totsent = None
                            self.totrvcd = None
                            self.errsent = None
                            self.errrcvd = None
                            self.ifdowndropsent = None
                            self.ifdowndroprcvd = None
                            self.drophanotrdy = None
                            self.dropinvldttlmct = None
                            self.dropsrcmacownrcvd = None
                            self.droptgtipnotownrcvd = None
                            self.dropsrcipnotownrcvd = None
                            self.destunreachsent = None
                            self.destunreachrcvd = None
                            self.adminprohibsent = None
                            self.adminprohibrcvd = None
                            self.timeexcdsent = None
                            self.timeexcdrcvd = None
                            self.parmprblmsent = None
                            self.parmprblmrcvd = None
                            self.echoreqsent = None
                            self.echoreqrcvd = None
                            self.echorepsent = None
                            self.echoreprcvd = None
                            self.redirsent = None
                            self.redirrcvd = None
                            self.toobigsent = None
                            self.toobigrcvd = None
                            self.rasent = None
                            self.rarcvd = None
                            self.rssent = None
                            self.rsrcvd = None
                            self.nasent = None
                            self.narcvd = None
                            self.nssent = None
                            self.nsrcvd = None
                            self.duprareceived = None
                            self.fastpthrcvd = None
                            self.fastpathdsbleignrcvd = None
                            self.fastpathotherignrcvd = None
                            self.mldv1queriessent = None
                            self.mldv1queriesrecv = None
                            self.mldv2queriessent = None
                            self.mldv2queriesrecv = None
                            self.mldv1reportssent = None
                            self.mldv1reportsrecv = None
                            self.mldv2reportssent = None
                            self.mldv2reportsrecv = None
                            self.mldv1leavessent = None
                            self.mldv1leavesrecv = None
                            self._segment_path = lambda: "ifstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Icmpv6Items.InstItems.IfItems.IfList.IfstatsItems, ['totsent', 'totrvcd', 'errsent', 'errrcvd', 'ifdowndropsent', 'ifdowndroprcvd', 'drophanotrdy', 'dropinvldttlmct', 'dropsrcmacownrcvd', 'droptgtipnotownrcvd', 'dropsrcipnotownrcvd', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'timeexcdsent', 'timeexcdrcvd', 'parmprblmsent', 'parmprblmrcvd', 'echoreqsent', 'echoreqrcvd', 'echorepsent', 'echoreprcvd', 'redirsent', 'redirrcvd', 'toobigsent', 'toobigrcvd', 'rasent', 'rarcvd', 'rssent', 'rsrcvd', 'nasent', 'narcvd', 'nssent', 'nsrcvd', 'duprareceived', 'fastpthrcvd', 'fastpathdsbleignrcvd', 'fastpathotherignrcvd', 'mldv1queriessent', 'mldv1queriesrecv', 'mldv2queriessent', 'mldv2queriesrecv', 'mldv1reportssent', 'mldv1reportsrecv', 'mldv2reportssent', 'mldv2reportsrecv', 'mldv1leavessent', 'mldv1leavesrecv'], name, value)



                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Icmpv6Items.InstItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Icmpv6Items.InstItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "If-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Icmpv6Items.InstItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






            class LogsItems(Entity):
                """
                
                
                .. attribute:: icmpv6eventlogs_list
                
                	
                	**type**\: list of  		 :py:class:`ICMPv6EventLogsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Icmpv6Items.InstItems.LogsItems.ICMPv6EventLogsList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Icmpv6Items.InstItems.LogsItems, self).__init__()

                    self.yang_name = "logs-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ICMPv6EventLogs-list", ("icmpv6eventlogs_list", System.Icmpv6Items.InstItems.LogsItems.ICMPv6EventLogsList))])
                    self._leafs = OrderedDict()

                    self.icmpv6eventlogs_list = YList(self)
                    self._segment_path = lambda: "logs-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Icmpv6Items.InstItems.LogsItems, [], name, value)


                class ICMPv6EventLogsList(Entity):
                    """
                    
                    
                    .. attribute:: eventtype  (key)
                    
                    	Event Log Type
                    	**type**\:  :py:class:`Icmpv6EventType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Icmpv6EventType>`
                    
                    .. attribute:: logsize
                    
                    	Event Log Size
                    	**type**\:  :py:class:`Icmpv6EventLogSize <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Icmpv6EventLogSize>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Icmpv6Items.InstItems.LogsItems.ICMPv6EventLogsList, self).__init__()

                        self.yang_name = "ICMPv6EventLogs-list"
                        self.yang_parent_name = "logs-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['eventtype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('eventtype', (YLeaf(YType.enumeration, 'eventType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Icmpv6EventType', '')])),
                            ('logsize', (YLeaf(YType.enumeration, 'logSize'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Icmpv6EventLogSize', '')])),
                        ])
                        self.eventtype = None
                        self.logsize = None
                        self._segment_path = lambda: "ICMPv6EventLogs-list" + "[eventType='" + str(self.eventtype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/inst-items/logs-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Icmpv6Items.InstItems.LogsItems.ICMPv6EventLogsList, ['eventtype', 'logsize'], name, value)




            class IfstatsItems(Entity):
                """
                
                
                .. attribute:: totsent
                
                	Total messages sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: totrvcd
                
                	Total messages received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errsent
                
                	Error messages sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errrcvd
                
                	Error messages received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ifdowndropsent
                
                	Interface Down Drop Count sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ifdowndroprcvd
                
                	Interface Down Drop Count received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: drophanotrdy
                
                	Adjacency not recovered from AM after HA
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropinvldttlmct
                
                	Pkts allowed due to inv ttl on vPC\-MCT
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropsrcmacownrcvd
                
                	Pkts dropped as source mac addr is own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: droptgtipnotownrcvd
                
                	Pkts dropped as tgt ip addr is not own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropsrcipnotownrcvd
                
                	Pkts dropped as src ip addr is not own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: destunreachsent
                
                	Destination Unreachables sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: destunreachrcvd
                
                	Destination Unreachables received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: adminprohibsent
                
                	Administratively Prohibited sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: adminprohibrcvd
                
                	Administratively Prohibited received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: timeexcdsent
                
                	Time Exceeded sent 
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: timeexcdrcvd
                
                	Time Exceeded received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: parmprblmsent
                
                	Parameter Problems sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: parmprblmrcvd
                
                	Parameter Problems received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreqsent
                
                	Echo Request sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreqrcvd
                
                	Echo Request received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echorepsent
                
                	Echo Replies sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreprcvd
                
                	Echo Replies received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: redirsent
                
                	Redirects sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: redirrcvd
                
                	Redirects received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: toobigsent
                
                	Packet Too Big sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: toobigrcvd
                
                	Packet Too Big received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rasent
                
                	Router Advertisements sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rarcvd
                
                	Router Advertisements received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rssent
                
                	Router Solicitations sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rsrcvd
                
                	Router Solicitations received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nasent
                
                	Neighbor Advertisements sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: narcvd
                
                	Neighbor Advertisements received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nssent
                
                	Neighbor Solicitations sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nsrcvd
                
                	Neighbor Solicitations received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: duprareceived
                
                	Duplicate router RA received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpthrcvd
                
                	Fastpath Packets
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpathdsbleignrcvd
                
                	Ignored Fastpath Packets \- Fastpath disabled
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpathotherignrcvd
                
                	Ignored fastpath packets \- others
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1queriessent
                
                	V1 queries sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1queriesrecv
                
                	V1 queries received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2queriessent
                
                	V2 queries sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2queriesrecv
                
                	V2 queries received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1reportssent
                
                	V1 reports sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1reportsrecv
                
                	V1 reports received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2reportssent
                
                	V2 reports sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2reportsrecv
                
                	V2 reports received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1leavessent
                
                	V1 leaves sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1leavesrecv
                
                	V1 leaves received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Icmpv6Items.InstItems.IfstatsItems, self).__init__()

                    self.yang_name = "ifstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('totsent', (YLeaf(YType.uint64, 'totSent'), ['int'])),
                        ('totrvcd', (YLeaf(YType.uint64, 'totRvcd'), ['int'])),
                        ('errsent', (YLeaf(YType.uint64, 'errSent'), ['int'])),
                        ('errrcvd', (YLeaf(YType.uint64, 'errRcvd'), ['int'])),
                        ('ifdowndropsent', (YLeaf(YType.uint64, 'ifDownDropSent'), ['int'])),
                        ('ifdowndroprcvd', (YLeaf(YType.uint64, 'ifDownDropRcvd'), ['int'])),
                        ('drophanotrdy', (YLeaf(YType.uint64, 'dropHaNotRdy'), ['int'])),
                        ('dropinvldttlmct', (YLeaf(YType.uint64, 'dropInvldTtlMct'), ['int'])),
                        ('dropsrcmacownrcvd', (YLeaf(YType.uint64, 'dropSrcMacOwnRcvd'), ['int'])),
                        ('droptgtipnotownrcvd', (YLeaf(YType.uint64, 'dropTgtIpNotOwnRcvd'), ['int'])),
                        ('dropsrcipnotownrcvd', (YLeaf(YType.uint64, 'dropSrcIpNotOwnRcvd'), ['int'])),
                        ('destunreachsent', (YLeaf(YType.uint64, 'destUnreachSent'), ['int'])),
                        ('destunreachrcvd', (YLeaf(YType.uint64, 'destUnreachRcvd'), ['int'])),
                        ('adminprohibsent', (YLeaf(YType.uint64, 'adminProhibSent'), ['int'])),
                        ('adminprohibrcvd', (YLeaf(YType.uint64, 'adminProhibRcvd'), ['int'])),
                        ('timeexcdsent', (YLeaf(YType.uint64, 'timeExcdSent'), ['int'])),
                        ('timeexcdrcvd', (YLeaf(YType.uint64, 'timeExcdRcvd'), ['int'])),
                        ('parmprblmsent', (YLeaf(YType.uint64, 'parmPrblmSent'), ['int'])),
                        ('parmprblmrcvd', (YLeaf(YType.uint64, 'parmPrblmRcvd'), ['int'])),
                        ('echoreqsent', (YLeaf(YType.uint64, 'echoReqSent'), ['int'])),
                        ('echoreqrcvd', (YLeaf(YType.uint64, 'echoReqRcvd'), ['int'])),
                        ('echorepsent', (YLeaf(YType.uint64, 'echoRepSent'), ['int'])),
                        ('echoreprcvd', (YLeaf(YType.uint64, 'echoRepRcvd'), ['int'])),
                        ('redirsent', (YLeaf(YType.uint64, 'redirSent'), ['int'])),
                        ('redirrcvd', (YLeaf(YType.uint64, 'redirRcvd'), ['int'])),
                        ('toobigsent', (YLeaf(YType.uint64, 'tooBigSent'), ['int'])),
                        ('toobigrcvd', (YLeaf(YType.uint64, 'tooBigRcvd'), ['int'])),
                        ('rasent', (YLeaf(YType.uint64, 'raSent'), ['int'])),
                        ('rarcvd', (YLeaf(YType.uint64, 'raRcvd'), ['int'])),
                        ('rssent', (YLeaf(YType.uint64, 'rsSent'), ['int'])),
                        ('rsrcvd', (YLeaf(YType.uint64, 'rsRcvd'), ['int'])),
                        ('nasent', (YLeaf(YType.uint64, 'naSent'), ['int'])),
                        ('narcvd', (YLeaf(YType.uint64, 'naRcvd'), ['int'])),
                        ('nssent', (YLeaf(YType.uint64, 'nsSent'), ['int'])),
                        ('nsrcvd', (YLeaf(YType.uint64, 'nsRcvd'), ['int'])),
                        ('duprareceived', (YLeaf(YType.uint64, 'dupRAReceived'), ['int'])),
                        ('fastpthrcvd', (YLeaf(YType.uint64, 'fastpthRcvd'), ['int'])),
                        ('fastpathdsbleignrcvd', (YLeaf(YType.uint64, 'fastpathDsbleIgnRcvd'), ['int'])),
                        ('fastpathotherignrcvd', (YLeaf(YType.uint64, 'fastpathOtherIgnRcvd'), ['int'])),
                        ('mldv1queriessent', (YLeaf(YType.uint64, 'mldV1QueriesSent'), ['int'])),
                        ('mldv1queriesrecv', (YLeaf(YType.uint64, 'mldV1QueriesRecv'), ['int'])),
                        ('mldv2queriessent', (YLeaf(YType.uint64, 'mldV2QueriesSent'), ['int'])),
                        ('mldv2queriesrecv', (YLeaf(YType.uint64, 'mldV2QueriesRecv'), ['int'])),
                        ('mldv1reportssent', (YLeaf(YType.uint64, 'mldV1ReportsSent'), ['int'])),
                        ('mldv1reportsrecv', (YLeaf(YType.uint64, 'mldV1ReportsRecv'), ['int'])),
                        ('mldv2reportssent', (YLeaf(YType.uint64, 'mldV2ReportsSent'), ['int'])),
                        ('mldv2reportsrecv', (YLeaf(YType.uint64, 'mldV2ReportsRecv'), ['int'])),
                        ('mldv1leavessent', (YLeaf(YType.uint64, 'mldV1LeavesSent'), ['int'])),
                        ('mldv1leavesrecv', (YLeaf(YType.uint64, 'mldV1LeavesRecv'), ['int'])),
                    ])
                    self.totsent = None
                    self.totrvcd = None
                    self.errsent = None
                    self.errrcvd = None
                    self.ifdowndropsent = None
                    self.ifdowndroprcvd = None
                    self.drophanotrdy = None
                    self.dropinvldttlmct = None
                    self.dropsrcmacownrcvd = None
                    self.droptgtipnotownrcvd = None
                    self.dropsrcipnotownrcvd = None
                    self.destunreachsent = None
                    self.destunreachrcvd = None
                    self.adminprohibsent = None
                    self.adminprohibrcvd = None
                    self.timeexcdsent = None
                    self.timeexcdrcvd = None
                    self.parmprblmsent = None
                    self.parmprblmrcvd = None
                    self.echoreqsent = None
                    self.echoreqrcvd = None
                    self.echorepsent = None
                    self.echoreprcvd = None
                    self.redirsent = None
                    self.redirrcvd = None
                    self.toobigsent = None
                    self.toobigrcvd = None
                    self.rasent = None
                    self.rarcvd = None
                    self.rssent = None
                    self.rsrcvd = None
                    self.nasent = None
                    self.narcvd = None
                    self.nssent = None
                    self.nsrcvd = None
                    self.duprareceived = None
                    self.fastpthrcvd = None
                    self.fastpathdsbleignrcvd = None
                    self.fastpathotherignrcvd = None
                    self.mldv1queriessent = None
                    self.mldv1queriesrecv = None
                    self.mldv2queriessent = None
                    self.mldv2queriesrecv = None
                    self.mldv1reportssent = None
                    self.mldv1reportsrecv = None
                    self.mldv2reportssent = None
                    self.mldv2reportsrecv = None
                    self.mldv1leavessent = None
                    self.mldv1leavesrecv = None
                    self._segment_path = lambda: "ifstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/icmpv6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Icmpv6Items.InstItems.IfstatsItems, ['totsent', 'totrvcd', 'errsent', 'errrcvd', 'ifdowndropsent', 'ifdowndroprcvd', 'drophanotrdy', 'dropinvldttlmct', 'dropsrcmacownrcvd', 'droptgtipnotownrcvd', 'dropsrcipnotownrcvd', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'timeexcdsent', 'timeexcdrcvd', 'parmprblmsent', 'parmprblmrcvd', 'echoreqsent', 'echoreqrcvd', 'echorepsent', 'echoreprcvd', 'redirsent', 'redirrcvd', 'toobigsent', 'toobigrcvd', 'rasent', 'rarcvd', 'rssent', 'rsrcvd', 'nasent', 'narcvd', 'nssent', 'nsrcvd', 'duprareceived', 'fastpthrcvd', 'fastpathdsbleignrcvd', 'fastpathotherignrcvd', 'mldv1queriessent', 'mldv1queriesrecv', 'mldv2queriessent', 'mldv2queriesrecv', 'mldv1reportssent', 'mldv1reportsrecv', 'mldv2reportssent', 'mldv2reportsrecv', 'mldv1leavessent', 'mldv1leavesrecv'], name, value)





    class IgmpsnoopItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.IgmpsnoopItems, self).__init__()

            self.yang_name = "igmpsnoop-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.IgmpsnoopItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.IgmpsnoopItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "igmpsnoop-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.IgmpsnoopItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: allrtrmcastencap
            
            	All Router Multicast Encapsulation
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: str
            
            	**config**\: False
            
            .. attribute:: flags
            
            	Flags
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems>`
            
            .. attribute:: inststats_items
            
            	
            	**type**\:  :py:class:`InststatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.InststatsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.IgmpsnoopItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "igmpsnoop-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.IgmpsnoopItems.InstItems.DomItems)), ("inststats-items", ("inststats_items", System.IgmpsnoopItems.InstItems.InststatsItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ('allrtrmcastencap', (YLeaf(YType.str, 'allRtrMcastEncap'), ['str','str'])),
                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self.allrtrmcastencap = None
                self.flags = None

                self.dom_items = System.IgmpsnoopItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.inststats_items = System.IgmpsnoopItems.InstItems.InststatsItems()
                self.inststats_items.parent = self
                self._children_name_map["inststats_items"] = "inststats-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.IgmpsnoopItems.InstItems, ['name', 'adminst', 'ctrl', 'opererr', 'allrtrmcastencap', 'flags'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: opercfgrecovery
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: id
                
                	ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: encap
                
                	
                	**type**\: str
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                .. attribute:: flags
                
                	Flags
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: fwdmode
                
                	Fowarding Mode
                	**type**\:  :py:class:`IpmcsnoopFwdMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcsnoopFwdMode>`
                
                	**config**\: False
                
                .. attribute:: numrtrif
                
                	Router Interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: nummcgrp
                
                	Multicast Groups
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: numsrcgrp
                
                	Multicast Groups
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: grpflushts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: nextqueryts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: nextqueryexpts
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: mrtrepgid
                
                	Mrouter Endpoint Group ID
                	**type**\: int
                
                	**range:** 1..4096
                
                	**config**\: False
                
                .. attribute:: db_items
                
                	
                	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems>`
                
                .. attribute:: domstats_items
                
                	
                	**type**\:  :py:class:`DomstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DomstatsItems>`
                
                .. attribute:: strtrif_items
                
                	
                	**type**\:  :py:class:`StrtrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems>`
                
                .. attribute:: rtrif_items
                
                	
                	**type**\:  :py:class:`RtrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.RtrifItems>`
                
                .. attribute:: vlan_items
                
                	
                	**type**\:  :py:class:`VlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems>`
                
                .. attribute:: bd_items
                
                	
                	**type**\:  :py:class:`BdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.BdItems>`
                
                .. attribute:: gl_items
                
                	
                	**type**\:  :py:class:`GlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IgmpsnoopItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("db-items", ("db_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems)), ("domstats-items", ("domstats_items", System.IgmpsnoopItems.InstItems.DomItems.DomstatsItems)), ("strtrif-items", ("strtrif_items", System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems)), ("rtrif-items", ("rtrif_items", System.IgmpsnoopItems.InstItems.DomItems.RtrifItems)), ("vlan-items", ("vlan_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems)), ("bd-items", ("bd_items", System.IgmpsnoopItems.InstItems.DomItems.BdItems)), ("gl-items", ("gl_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems))])
                    self._leafs = OrderedDict([
                        ('opercfgrecovery', (YLeaf(YType.boolean, 'operCfgRecovery'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                        ('fwdmode', (YLeaf(YType.enumeration, 'fwdMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcsnoopFwdMode', '')])),
                        ('numrtrif', (YLeaf(YType.uint32, 'numRtrIf'), ['int'])),
                        ('nummcgrp', (YLeaf(YType.uint32, 'numMcGrp'), ['int'])),
                        ('numsrcgrp', (YLeaf(YType.uint32, 'numSrcGrp'), ['int'])),
                        ('grpflushts', (YLeaf(YType.str, 'grpFlushTs'), ['str'])),
                        ('nextqueryts', (YLeaf(YType.str, 'nextQueryTs'), ['str'])),
                        ('nextqueryexpts', (YLeaf(YType.str, 'nextQueryExpTs'), ['str'])),
                        ('mrtrepgid', (YLeaf(YType.uint32, 'mrtrEpgId'), ['int'])),
                    ])
                    self.opercfgrecovery = None
                    self.name = None
                    self.id = None
                    self.encap = None
                    self.adminst = None
                    self.ctrl = None
                    self.flags = None
                    self.fwdmode = None
                    self.numrtrif = None
                    self.nummcgrp = None
                    self.numsrcgrp = None
                    self.grpflushts = None
                    self.nextqueryts = None
                    self.nextqueryexpts = None
                    self.mrtrepgid = None

                    self.db_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems()
                    self.db_items.parent = self
                    self._children_name_map["db_items"] = "db-items"

                    self.domstats_items = System.IgmpsnoopItems.InstItems.DomItems.DomstatsItems()
                    self.domstats_items.parent = self
                    self._children_name_map["domstats_items"] = "domstats-items"

                    self.strtrif_items = System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems()
                    self.strtrif_items.parent = self
                    self._children_name_map["strtrif_items"] = "strtrif-items"

                    self.rtrif_items = System.IgmpsnoopItems.InstItems.DomItems.RtrifItems()
                    self.rtrif_items.parent = self
                    self._children_name_map["rtrif_items"] = "rtrif-items"

                    self.vlan_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems()
                    self.vlan_items.parent = self
                    self._children_name_map["vlan_items"] = "vlan-items"

                    self.bd_items = System.IgmpsnoopItems.InstItems.DomItems.BdItems()
                    self.bd_items.parent = self
                    self._children_name_map["bd_items"] = "bd-items"

                    self.gl_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems()
                    self.gl_items.parent = self
                    self._children_name_map["gl_items"] = "gl-items"
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems, ['opercfgrecovery', 'name', 'id', 'encap', 'adminst', 'ctrl', 'flags', 'fwdmode', 'numrtrif', 'nummcgrp', 'numsrcgrp', 'grpflushts', 'nextqueryts', 'nextqueryexpts', 'mrtrepgid'], name, value)


                class DbItems(Entity):
                    """
                    
                    
                    .. attribute:: db_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems, self).__init__()

                        self.yang_name = "db-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Db-list", ("db_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList))])
                        self._leafs = OrderedDict()

                        self.db_list = YList(self)
                        self._segment_path = lambda: "db-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems, [], name, value)


                    class DbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	Database Type
                        	**type**\:  :py:class:`IpmcsnoopDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcsnoopDbT>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: totalmaccount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: gsnoop_items
                        
                        	
                        	**type**\:  :py:class:`GsnoopItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GsnoopItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: vsnoop_items
                        
                        	
                        	**type**\:  :py:class:`VsnoopItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: vlanrec_items
                        
                        	
                        	**type**\:  :py:class:`VlanrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mrouter_items
                        
                        	
                        	**type**\:  :py:class:`MrouterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: exptrack_items
                        
                        	
                        	**type**\:  :py:class:`ExpTrackItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: vstats_items
                        
                        	
                        	**type**\:  :py:class:`VstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: gstats_items
                        
                        	
                        	**type**\:  :py:class:`GstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GstatsItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: policy_items
                        
                        	
                        	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: group_items
                        
                        	
                        	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: mcgrp_items
                        
                        	
                        	**type**\:  :py:class:`McgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: querier_items
                        
                        	
                        	**type**\:  :py:class:`QuerierItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList, self).__init__()

                            self.yang_name = "Db-list"
                            self.yang_parent_name = "db-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("gsnoop-items", ("gsnoop_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GsnoopItems)), ("vsnoop-items", ("vsnoop_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems)), ("vlanrec-items", ("vlanrec_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems)), ("mrouter-items", ("mrouter_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems)), ("expTrack-items", ("exptrack_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems)), ("vstats-items", ("vstats_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems)), ("gstats-items", ("gstats_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GstatsItems)), ("policy-items", ("policy_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems)), ("group-items", ("group_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems)), ("mcgrp-items", ("mcgrp_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems)), ("querier-items", ("querier_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcsnoopDbT', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('totalmaccount', (YLeaf(YType.uint32, 'totalMacCount'), ['int'])),
                            ])
                            self.type = None
                            self.name = None
                            self.totalmaccount = None

                            self.gsnoop_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GsnoopItems()
                            self.gsnoop_items.parent = self
                            self._children_name_map["gsnoop_items"] = "gsnoop-items"

                            self.vsnoop_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems()
                            self.vsnoop_items.parent = self
                            self._children_name_map["vsnoop_items"] = "vsnoop-items"

                            self.vlanrec_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems()
                            self.vlanrec_items.parent = self
                            self._children_name_map["vlanrec_items"] = "vlanrec-items"

                            self.mrouter_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems()
                            self.mrouter_items.parent = self
                            self._children_name_map["mrouter_items"] = "mrouter-items"

                            self.exptrack_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems()
                            self.exptrack_items.parent = self
                            self._children_name_map["exptrack_items"] = "expTrack-items"

                            self.vstats_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems()
                            self.vstats_items.parent = self
                            self._children_name_map["vstats_items"] = "vstats-items"

                            self.gstats_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GstatsItems()
                            self.gstats_items.parent = self
                            self._children_name_map["gstats_items"] = "gstats-items"

                            self.policy_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems()
                            self.policy_items.parent = self
                            self._children_name_map["policy_items"] = "policy-items"

                            self.group_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems()
                            self.group_items.parent = self
                            self._children_name_map["group_items"] = "group-items"

                            self.mcgrp_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems()
                            self.mcgrp_items.parent = self
                            self._children_name_map["mcgrp_items"] = "mcgrp-items"

                            self.querier_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems()
                            self.querier_items.parent = self
                            self._children_name_map["querier_items"] = "querier-items"
                            self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/db-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList, ['type', 'name', 'totalmaccount'], name, value)


                        class GsnoopItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: snooping
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: omf
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: grepsup
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: gv3repsup
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: glinklocalgrpsup
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: grouptimeout
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: proxygeneralquery
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: gmaxresponsetime
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GsnoopItems, self).__init__()

                                self.yang_name = "gsnoop-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('snooping', (YLeaf(YType.boolean, 'snooping'), ['bool'])),
                                    ('omf', (YLeaf(YType.boolean, 'omf'), ['bool'])),
                                    ('grepsup', (YLeaf(YType.boolean, 'grepsup'), ['bool'])),
                                    ('gv3repsup', (YLeaf(YType.boolean, 'gv3repsup'), ['bool'])),
                                    ('glinklocalgrpsup', (YLeaf(YType.boolean, 'glinklocalgrpsup'), ['bool'])),
                                    ('grouptimeout', (YLeaf(YType.uint32, 'groupTimeout'), ['int'])),
                                    ('proxygeneralquery', (YLeaf(YType.boolean, 'proxyGeneralQuery'), ['bool'])),
                                    ('gmaxresponsetime', (YLeaf(YType.uint32, 'gmaxResponseTime'), ['int'])),
                                ])
                                self.name = None
                                self.snooping = None
                                self.omf = None
                                self.grepsup = None
                                self.gv3repsup = None
                                self.glinklocalgrpsup = None
                                self.grouptimeout = None
                                self.proxygeneralquery = None
                                self.gmaxresponsetime = None
                                self._segment_path = lambda: "gsnoop-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GsnoopItems, ['name', 'snooping', 'omf', 'grepsup', 'gv3repsup', 'glinklocalgrpsup', 'grouptimeout', 'proxygeneralquery', 'gmaxresponsetime'], name, value)



                        class VsnoopItems(Entity):
                            """
                            
                            
                            .. attribute:: vsnooprec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VSnoopRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems.VSnoopRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems, self).__init__()

                                self.yang_name = "vsnoop-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VSnoopRec-list", ("vsnooprec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems.VSnoopRecList))])
                                self._leafs = OrderedDict()

                                self.vsnooprec_list = YList(self)
                                self._segment_path = lambda: "vsnoop-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems, [], name, value)


                            class VSnoopRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: lkpmode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: snoopon
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: repsup
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: v3repsup
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: vlinklocalgrpsup
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: omf_enabled
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: lastmbrintvl
                                
                                	Last Member Query Interval
                                	**type**\: int
                                
                                	**range:** 1..25
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	Version
                                	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                
                                	**config**\: False
                                
                                .. attribute:: addr
                                
                                	Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: queryintvl
                                
                                	Query Interval
                                	**type**\: int
                                
                                	**range:** 1..18000
                                
                                	**config**\: False
                                
                                .. attribute:: robustfac
                                
                                	Robustness Factor
                                	**type**\: int
                                
                                	**range:** 1..7
                                
                                	**config**\: False
                                
                                .. attribute:: routeportcnt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: groupcnt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vpcfunction
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: fastleave
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems.VSnoopRecList, self).__init__()

                                    self.yang_name = "VSnoopRec-list"
                                    self.yang_parent_name = "vsnoop-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('lkpmode', (YLeaf(YType.str, 'lkpmode'), ['str'])),
                                        ('snoopon', (YLeaf(YType.boolean, 'snoopOn'), ['bool'])),
                                        ('repsup', (YLeaf(YType.boolean, 'repsup'), ['bool'])),
                                        ('v3repsup', (YLeaf(YType.boolean, 'v3repsup'), ['bool'])),
                                        ('vlinklocalgrpsup', (YLeaf(YType.boolean, 'vlinklocalgrpsup'), ['bool'])),
                                        ('omf_enabled', (YLeaf(YType.boolean, 'omf_enabled'), ['bool'])),
                                        ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                        ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                        ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                        ('routeportcnt', (YLeaf(YType.uint32, 'routePortcnt'), ['int'])),
                                        ('groupcnt', (YLeaf(YType.uint32, 'groupcnt'), ['int'])),
                                        ('vpcfunction', (YLeaf(YType.boolean, 'vpcFunction'), ['bool'])),
                                        ('fastleave', (YLeaf(YType.boolean, 'fastleave'), ['bool'])),
                                    ])
                                    self.vlanid = None
                                    self.name = None
                                    self.lkpmode = None
                                    self.snoopon = None
                                    self.repsup = None
                                    self.v3repsup = None
                                    self.vlinklocalgrpsup = None
                                    self.omf_enabled = None
                                    self.lastmbrintvl = None
                                    self.ver = None
                                    self.addr = None
                                    self.queryintvl = None
                                    self.robustfac = None
                                    self.routeportcnt = None
                                    self.groupcnt = None
                                    self.vpcfunction = None
                                    self.fastleave = None
                                    self._segment_path = lambda: "VSnoopRec-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VsnoopItems.VSnoopRecList, ['vlanid', 'name', 'lkpmode', 'snoopon', 'repsup', 'v3repsup', 'vlinklocalgrpsup', 'omf_enabled', 'lastmbrintvl', 'ver', 'addr', 'queryintvl', 'robustfac', 'routeportcnt', 'groupcnt', 'vpcfunction', 'fastleave'], name, value)




                        class VlanrecItems(Entity):
                            """
                            
                            
                            .. attribute:: vlanrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VlanRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems, self).__init__()

                                self.yang_name = "vlanrec-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VlanRec-list", ("vlanrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList))])
                                self._leafs = OrderedDict()

                                self.vlanrec_list = YList(self)
                                self._segment_path = lambda: "vlanrec-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems, [], name, value)


                            class VlanRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: maccount
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: mac_items
                                
                                	
                                	**type**\:  :py:class:`MacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList, self).__init__()

                                    self.yang_name = "VlanRec-list"
                                    self.yang_parent_name = "vlanrec-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([("mac-items", ("mac_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems))])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('maccount', (YLeaf(YType.uint32, 'macCount'), ['int'])),
                                    ])
                                    self.vlanid = None
                                    self.maccount = None

                                    self.mac_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems()
                                    self.mac_items.parent = self
                                    self._children_name_map["mac_items"] = "mac-items"
                                    self._segment_path = lambda: "VlanRec-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList, ['vlanid', 'maccount'], name, value)


                                class MacItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: macrec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MacRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems, self).__init__()

                                        self.yang_name = "mac-items"
                                        self.yang_parent_name = "VlanRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MacRec-list", ("macrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList))])
                                        self._leafs = OrderedDict()

                                        self.macrec_list = YList(self)
                                        self._segment_path = lambda: "mac-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems, [], name, value)


                                    class MacRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: macaddress  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	Type of MAC address
                                        	**type**\:  :py:class:`IpmcsnoopMacType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcsnoopMacType>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: age
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList, self).__init__()

                                            self.yang_name = "MacRec-list"
                                            self.yang_parent_name = "mac-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['macaddress']
                                            self._child_classes = OrderedDict([("oif-items", ("oif_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('macaddress', (YLeaf(YType.str, 'macAddress'), ['str'])),
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcsnoopMacType', '')])),
                                                ('age', (YLeaf(YType.uint32, 'age'), ['int'])),
                                            ])
                                            self.macaddress = None
                                            self.type = None
                                            self.age = None

                                            self.oif_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "MacRec-list" + "[macAddress='" + str(self.macaddress) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList, ['macaddress', 'type', 'age'], name, value)


                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: macoifrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`MacOifRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems.MacOifRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "MacRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("MacOifRec-list", ("macoifrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems.MacOifRecList))])
                                                self._leafs = OrderedDict()

                                                self.macoifrec_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems, [], name, value)


                                            class MacOifRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oif  (key)
                                                
                                                	Outgoing interface for a MAC address
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems.MacOifRecList, self).__init__()

                                                    self.yang_name = "MacOifRec-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['oif']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('oif', (YLeaf(YType.str, 'oif'), ['str'])),
                                                    ])
                                                    self.oif = None
                                                    self._segment_path = lambda: "MacOifRec-list" + "[oif='" + str(self.oif) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VlanrecItems.VlanRecList.MacItems.MacRecList.OifItems.MacOifRecList, ['oif'], name, value)








                        class MrouterItems(Entity):
                            """
                            
                            
                            .. attribute:: mrouterrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MRouterRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems.MRouterRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems, self).__init__()

                                self.yang_name = "mrouter-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MRouterRec-list", ("mrouterrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems.MRouterRecList))])
                                self._leafs = OrderedDict()

                                self.mrouterrec_list = YList(self)
                                self._segment_path = lambda: "mrouter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems, [], name, value)


                            class MRouterRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: interface  (key)
                                
                                	Specify the interface port of mroute for a VLAN/BD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	Specify the type of mroute for a VLAN/BD
                                	**type**\:  :py:class:`IpmcsnoopMrouteType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcsnoopMrouteType>`
                                
                                	**config**\: False
                                
                                .. attribute:: uptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: exptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems.MRouterRecList, self).__init__()

                                    self.yang_name = "MRouterRec-list"
                                    self.yang_parent_name = "mrouter-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid','interface']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcsnoopMrouteType', '')])),
                                        ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                        ('exptime', (YLeaf(YType.str, 'expTime'), ['str'])),
                                    ])
                                    self.vlanid = None
                                    self.interface = None
                                    self.type = None
                                    self.uptime = None
                                    self.exptime = None
                                    self._segment_path = lambda: "MRouterRec-list" + "[vlanid='" + str(self.vlanid) + "']" + "[interface='" + str(self.interface) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.MrouterItems.MRouterRecList, ['vlanid', 'interface', 'type', 'uptime', 'exptime'], name, value)




                        class ExpTrackItems(Entity):
                            """
                            
                            
                            .. attribute:: exptrackrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ExpTrackRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems.ExpTrackRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems, self).__init__()

                                self.yang_name = "expTrack-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ExpTrackRec-list", ("exptrackrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems.ExpTrackRecList))])
                                self._leafs = OrderedDict()

                                self.exptrackrec_list = YList(self)
                                self._segment_path = lambda: "expTrack-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems, [], name, value)


                            class ExpTrackRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: srcaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: intf  (key)
                                
                                	Interface ID
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: reporter
                                
                                	Report IP
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: uptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: lastjoin
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: expires
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: version
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: numreports
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems.ExpTrackRecList, self).__init__()

                                    self.yang_name = "ExpTrackRec-list"
                                    self.yang_parent_name = "expTrack-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid','grpaddr','srcaddr','intf']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                        ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('reporter', (YLeaf(YType.str, 'reporter'), ['str','str'])),
                                        ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                        ('lastjoin', (YLeaf(YType.str, 'lastJoin'), ['str'])),
                                        ('expires', (YLeaf(YType.str, 'expires'), ['str'])),
                                        ('version', (YLeaf(YType.str, 'version'), ['str'])),
                                        ('numreports', (YLeaf(YType.uint32, 'numReports'), ['int'])),
                                    ])
                                    self.vlanid = None
                                    self.grpaddr = None
                                    self.srcaddr = None
                                    self.intf = None
                                    self.name = None
                                    self.reporter = None
                                    self.uptime = None
                                    self.lastjoin = None
                                    self.expires = None
                                    self.version = None
                                    self.numreports = None
                                    self._segment_path = lambda: "ExpTrackRec-list" + "[vlanid='" + str(self.vlanid) + "']" + "[grpAddr='" + str(self.grpaddr) + "']" + "[srcAddr='" + str(self.srcaddr) + "']" + "[intf='" + str(self.intf) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.ExpTrackItems.ExpTrackRecList, ['vlanid', 'grpaddr', 'srcaddr', 'intf', 'name', 'reporter', 'uptime', 'lastjoin', 'expires', 'version', 'numreports'], name, value)




                        class VstatsItems(Entity):
                            """
                            
                            
                            .. attribute:: vlanstatsrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`VlanStatsRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems.VlanStatsRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems, self).__init__()

                                self.yang_name = "vstats-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("VlanStatsRec-list", ("vlanstatsrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems.VlanStatsRecList))])
                                self._leafs = OrderedDict()

                                self.vlanstatsrec_list = YList(self)
                                self._segment_path = lambda: "vstats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems, [], name, value)


                            class VlanStatsRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan id
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: uptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vpr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v1rr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2rr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3rr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3qr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2lr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: phr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: irr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: iqr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2ls
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3gs
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vmr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: upr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: qo
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2ro
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2lo
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v3ro
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: vpsr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: str
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: cps
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: cpr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: cpe
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: mps
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: mpr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: mpe
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v1qr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2qr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v1rs
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: v2rs
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems.VlanStatsRecList, self).__init__()

                                    self.yang_name = "VlanStatsRec-list"
                                    self.yang_parent_name = "vstats-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                        ('vpr', (YLeaf(YType.uint32, 'vpr'), ['int'])),
                                        ('v1rr', (YLeaf(YType.uint32, 'v1rr'), ['int'])),
                                        ('v2rr', (YLeaf(YType.uint32, 'v2rr'), ['int'])),
                                        ('v3rr', (YLeaf(YType.uint32, 'v3rr'), ['int'])),
                                        ('v3qr', (YLeaf(YType.uint32, 'v3qr'), ['int'])),
                                        ('v2lr', (YLeaf(YType.uint32, 'v2lr'), ['int'])),
                                        ('phr', (YLeaf(YType.uint32, 'phr'), ['int'])),
                                        ('irr', (YLeaf(YType.uint32, 'irr'), ['int'])),
                                        ('iqr', (YLeaf(YType.uint32, 'iqr'), ['int'])),
                                        ('v2ls', (YLeaf(YType.uint32, 'v2ls'), ['int'])),
                                        ('v3gs', (YLeaf(YType.uint32, 'v3gs'), ['int'])),
                                        ('vmr', (YLeaf(YType.uint32, 'vmr'), ['int'])),
                                        ('upr', (YLeaf(YType.uint32, 'upr'), ['int'])),
                                        ('qo', (YLeaf(YType.uint32, 'qo'), ['int'])),
                                        ('v2ro', (YLeaf(YType.uint32, 'v2ro'), ['int'])),
                                        ('v2lo', (YLeaf(YType.uint32, 'v2lo'), ['int'])),
                                        ('v3ro', (YLeaf(YType.uint32, 'v3ro'), ['int'])),
                                        ('vpsr', (YLeaf(YType.uint32, 'vpsr'), ['int'])),
                                        ('str', (YLeaf(YType.uint32, 'str'), ['int'])),
                                        ('cps', (YLeaf(YType.uint32, 'cps'), ['int'])),
                                        ('cpr', (YLeaf(YType.uint32, 'cpr'), ['int'])),
                                        ('cpe', (YLeaf(YType.uint32, 'cpe'), ['int'])),
                                        ('mps', (YLeaf(YType.uint32, 'mps'), ['int'])),
                                        ('mpr', (YLeaf(YType.uint32, 'mpr'), ['int'])),
                                        ('mpe', (YLeaf(YType.uint32, 'mpe'), ['int'])),
                                        ('v1qr', (YLeaf(YType.uint32, 'v1qr'), ['int'])),
                                        ('v2qr', (YLeaf(YType.uint32, 'v2qr'), ['int'])),
                                        ('v1rs', (YLeaf(YType.uint32, 'v1rs'), ['int'])),
                                        ('v2rs', (YLeaf(YType.uint32, 'v2rs'), ['int'])),
                                    ])
                                    self.vlanid = None
                                    self.uptime = None
                                    self.vpr = None
                                    self.v1rr = None
                                    self.v2rr = None
                                    self.v3rr = None
                                    self.v3qr = None
                                    self.v2lr = None
                                    self.phr = None
                                    self.irr = None
                                    self.iqr = None
                                    self.v2ls = None
                                    self.v3gs = None
                                    self.vmr = None
                                    self.upr = None
                                    self.qo = None
                                    self.v2ro = None
                                    self.v2lo = None
                                    self.v3ro = None
                                    self.vpsr = None
                                    self.str = None
                                    self.cps = None
                                    self.cpr = None
                                    self.cpe = None
                                    self.mps = None
                                    self.mpr = None
                                    self.mpe = None
                                    self.v1qr = None
                                    self.v2qr = None
                                    self.v1rs = None
                                    self.v2rs = None
                                    self._segment_path = lambda: "VlanStatsRec-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.VstatsItems.VlanStatsRecList, ['vlanid', 'uptime', 'vpr', 'v1rr', 'v2rr', 'v3rr', 'v3qr', 'v2lr', 'phr', 'irr', 'iqr', 'v2ls', 'v3gs', 'vmr', 'upr', 'qo', 'v2ro', 'v2lo', 'v3ro', 'vpsr', 'str', 'cps', 'cpr', 'cpe', 'mps', 'mpr', 'mpe', 'v1qr', 'v2qr', 'v1rs', 'v2rs'], name, value)




                        class GstatsItems(Entity):
                            """
                            
                            
                            .. attribute:: pr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: invpkt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: pnv
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: loopbkpkt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mrdloopbk
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: pf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdrqs
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdrqr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdrqf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdrus
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdrur
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcdruf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfssf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrs
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrfp
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsurls
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsurr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfscrlf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrls
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrlr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpccfsrlf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: inviod
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: stptcnr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: imapif
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mfreqr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mfcmps
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mfdgcmps
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bufsnt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bufackr
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: vpcmismatch
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GstatsItems, self).__init__()

                                self.yang_name = "gstats-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('pr', (YLeaf(YType.uint32, 'pr'), ['int'])),
                                    ('invpkt', (YLeaf(YType.uint32, 'invPkt'), ['int'])),
                                    ('pnv', (YLeaf(YType.uint32, 'pnv'), ['int'])),
                                    ('loopbkpkt', (YLeaf(YType.uint32, 'loopBkPkt'), ['int'])),
                                    ('mrdloopbk', (YLeaf(YType.uint32, 'mrdLoopBk'), ['int'])),
                                    ('pf', (YLeaf(YType.uint32, 'pf'), ['int'])),
                                    ('vpcdrqs', (YLeaf(YType.uint32, 'vpcDrQs'), ['int'])),
                                    ('vpcdrqr', (YLeaf(YType.uint32, 'vpcDrQr'), ['int'])),
                                    ('vpcdrqf', (YLeaf(YType.uint32, 'vpcDrQf'), ['int'])),
                                    ('vpcdrus', (YLeaf(YType.uint32, 'vpcDrUs'), ['int'])),
                                    ('vpcdrur', (YLeaf(YType.uint32, 'vpcDrUr'), ['int'])),
                                    ('vpcdruf', (YLeaf(YType.uint32, 'vpcDrUf'), ['int'])),
                                    ('vpccfssf', (YLeaf(YType.uint32, 'vpcCfsSf'), ['int'])),
                                    ('vpccfsrs', (YLeaf(YType.uint32, 'vpcCfsRs'), ['int'])),
                                    ('vpccfsrr', (YLeaf(YType.uint32, 'vpcCfsRr'), ['int'])),
                                    ('vpccfsrf', (YLeaf(YType.uint32, 'vpcCfsRf'), ['int'])),
                                    ('vpccfsrfp', (YLeaf(YType.uint32, 'vpcCfsRfp'), ['int'])),
                                    ('vpccfsurls', (YLeaf(YType.uint32, 'vpcCfsUrls'), ['int'])),
                                    ('vpccfsurr', (YLeaf(YType.uint32, 'vpcCfsUrR'), ['int'])),
                                    ('vpccfscrlf', (YLeaf(YType.uint32, 'vpcCfsCrlF'), ['int'])),
                                    ('vpccfsrls', (YLeaf(YType.uint32, 'vpccfsrls'), ['int'])),
                                    ('vpccfsrlr', (YLeaf(YType.uint32, 'vpccfsrlr'), ['int'])),
                                    ('vpccfsrlf', (YLeaf(YType.uint32, 'vpccfsrlf'), ['int'])),
                                    ('inviod', (YLeaf(YType.uint32, 'invIod'), ['int'])),
                                    ('stptcnr', (YLeaf(YType.uint32, 'stptcnr'), ['int'])),
                                    ('imapif', (YLeaf(YType.uint32, 'imapif'), ['int'])),
                                    ('mfreqr', (YLeaf(YType.uint32, 'mfreqr'), ['int'])),
                                    ('mfcmps', (YLeaf(YType.uint32, 'mfcmps'), ['int'])),
                                    ('mfdgcmps', (YLeaf(YType.uint32, 'mfdgcmps'), ['int'])),
                                    ('bufsnt', (YLeaf(YType.uint32, 'bufsnt'), ['int'])),
                                    ('bufackr', (YLeaf(YType.uint32, 'bufackr'), ['int'])),
                                    ('vpcmismatch', (YLeaf(YType.uint32, 'vpcmismatch'), ['int'])),
                                ])
                                self.pr = None
                                self.invpkt = None
                                self.pnv = None
                                self.loopbkpkt = None
                                self.mrdloopbk = None
                                self.pf = None
                                self.vpcdrqs = None
                                self.vpcdrqr = None
                                self.vpcdrqf = None
                                self.vpcdrus = None
                                self.vpcdrur = None
                                self.vpcdruf = None
                                self.vpccfssf = None
                                self.vpccfsrs = None
                                self.vpccfsrr = None
                                self.vpccfsrf = None
                                self.vpccfsrfp = None
                                self.vpccfsurls = None
                                self.vpccfsurr = None
                                self.vpccfscrlf = None
                                self.vpccfsrls = None
                                self.vpccfsrlr = None
                                self.vpccfsrlf = None
                                self.inviod = None
                                self.stptcnr = None
                                self.imapif = None
                                self.mfreqr = None
                                self.mfcmps = None
                                self.mfdgcmps = None
                                self.bufsnt = None
                                self.bufackr = None
                                self.vpcmismatch = None
                                self._segment_path = lambda: "gstats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GstatsItems, ['pr', 'invpkt', 'pnv', 'loopbkpkt', 'mrdloopbk', 'pf', 'vpcdrqs', 'vpcdrqr', 'vpcdrqf', 'vpcdrus', 'vpcdrur', 'vpcdruf', 'vpccfssf', 'vpccfsrs', 'vpccfsrr', 'vpccfsrf', 'vpccfsrfp', 'vpccfsurls', 'vpccfsurr', 'vpccfscrlf', 'vpccfsrls', 'vpccfsrlr', 'vpccfsrlf', 'inviod', 'stptcnr', 'imapif', 'mfreqr', 'mfcmps', 'mfdgcmps', 'bufsnt', 'bufackr', 'vpcmismatch'], name, value)



                        class PolicyItems(Entity):
                            """
                            
                            
                            .. attribute:: reportpolicystats_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ReportPolicyStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems.ReportPolicyStatsList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems, self).__init__()

                                self.yang_name = "policy-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ReportPolicyStats-list", ("reportpolicystats_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems.ReportPolicyStatsList))])
                                self._leafs = OrderedDict()

                                self.reportpolicystats_list = YList(self)
                                self._segment_path = lambda: "policy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems, [], name, value)


                            class ReportPolicyStatsList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan id 
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: qcount  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmtype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: policyname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: acceptcount
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rejectcount
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems.ReportPolicyStatsList, self).__init__()

                                    self.yang_name = "ReportPolicyStats-list"
                                    self.yang_parent_name = "policy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid','qcount']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('qcount', (YLeaf(YType.uint32, 'qcount'), ['int'])),
                                        ('rpmtype', (YLeaf(YType.uint32, 'rpmType'), ['int'])),
                                        ('policyname', (YLeaf(YType.str, 'policyName'), ['str'])),
                                        ('acceptcount', (YLeaf(YType.uint32, 'acceptCount'), ['int'])),
                                        ('rejectcount', (YLeaf(YType.uint32, 'rejectCount'), ['int'])),
                                    ])
                                    self.vlanid = None
                                    self.qcount = None
                                    self.rpmtype = None
                                    self.policyname = None
                                    self.acceptcount = None
                                    self.rejectcount = None
                                    self._segment_path = lambda: "ReportPolicyStats-list" + "[vlanid='" + str(self.vlanid) + "']" + "[qcount='" + str(self.qcount) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.PolicyItems.ReportPolicyStatsList, ['vlanid', 'qcount', 'rpmtype', 'policyname', 'acceptcount', 'rejectcount'], name, value)




                        class GroupItems(Entity):
                            """
                            
                            
                            .. attribute:: igmpsngrouprec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IgmpsnGroupRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems.IgmpsnGroupRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems, self).__init__()

                                self.yang_name = "group-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IgmpsnGroupRec-list", ("igmpsngrouprec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems.IgmpsnGroupRecList))])
                                self._leafs = OrderedDict()

                                self.igmpsngrouprec_list = YList(self)
                                self._segment_path = lambda: "group-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems, [], name, value)


                            class IgmpsnGroupRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: groupaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sourceaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifname  (key)
                                
                                	Specify interace name
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sporttype
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: gporttype
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rporttype
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rifname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems.IgmpsnGroupRecList, self).__init__()

                                    self.yang_name = "IgmpsnGroupRec-list"
                                    self.yang_parent_name = "group-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid','groupaddr','sourceaddr','ifname']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('groupaddr', (YLeaf(YType.str, 'groupaddr'), ['str','str'])),
                                        ('sourceaddr', (YLeaf(YType.str, 'sourceaddr'), ['str','str'])),
                                        ('ifname', (YLeaf(YType.str, 'ifname'), ['str'])),
                                        ('ver', (YLeaf(YType.str, 'ver'), ['str'])),
                                        ('sporttype', (YLeaf(YType.str, 'sportType'), ['str'])),
                                        ('gporttype', (YLeaf(YType.str, 'gportType'), ['str'])),
                                        ('rporttype', (YLeaf(YType.str, 'rportType'), ['str'])),
                                        ('rifname', (YLeaf(YType.str, 'rifname'), ['str'])),
                                    ])
                                    self.vlanid = None
                                    self.groupaddr = None
                                    self.sourceaddr = None
                                    self.ifname = None
                                    self.ver = None
                                    self.sporttype = None
                                    self.gporttype = None
                                    self.rporttype = None
                                    self.rifname = None
                                    self._segment_path = lambda: "IgmpsnGroupRec-list" + "[vlanid='" + str(self.vlanid) + "']" + "[groupaddr='" + str(self.groupaddr) + "']" + "[sourceaddr='" + str(self.sourceaddr) + "']" + "[ifname='" + str(self.ifname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.GroupItems.IgmpsnGroupRecList, ['vlanid', 'groupaddr', 'sourceaddr', 'ifname', 'ver', 'sporttype', 'gporttype', 'rporttype', 'rifname'], name, value)




                        class McgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: mcgrprec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`McGrpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems, self).__init__()

                                self.yang_name = "mcgrp-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("McGrpRec-list", ("mcgrprec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList))])
                                self._leafs = OrderedDict()

                                self.mcgrprec_list = YList(self)
                                self._segment_path = lambda: "mcgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems, [], name, value)


                            class McGrpRecList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	Multicast Group Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	Version
                                	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                
                                	**config**\: False
                                
                                .. attribute:: latreporter
                                
                                	Latest Reporter
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: oldhostts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: reportts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: numsrc
                                
                                	Num of Sources
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: epg_items
                                
                                	
                                	**type**\:  :py:class:`EpgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: rep_items
                                
                                	
                                	**type**\:  :py:class:`RepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList, self).__init__()

                                    self.yang_name = "McGrpRec-list"
                                    self.yang_parent_name = "mcgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("epg-items", ("epg_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems)), ("rep-items", ("rep_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                        ('latreporter', (YLeaf(YType.str, 'latReporter'), ['str','str'])),
                                        ('oldhostts', (YLeaf(YType.str, 'oldHostTs'), ['str'])),
                                        ('reportts', (YLeaf(YType.str, 'reportTs'), ['str'])),
                                        ('numsrc', (YLeaf(YType.uint32, 'numSrc'), ['int'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.ver = None
                                    self.latreporter = None
                                    self.oldhostts = None
                                    self.reportts = None
                                    self.numsrc = None

                                    self.epg_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems()
                                    self.epg_items.parent = self
                                    self._children_name_map["epg_items"] = "epg-items"

                                    self.rep_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems()
                                    self.rep_items.parent = self
                                    self._children_name_map["rep_items"] = "rep-items"
                                    self._segment_path = lambda: "McGrpRec-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList, ['addr', 'name', 'ver', 'latreporter', 'oldhostts', 'reportts', 'numsrc'], name, value)


                                class EpgItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: epgrec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EpgRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems, self).__init__()

                                        self.yang_name = "epg-items"
                                        self.yang_parent_name = "McGrpRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("EpgRec-list", ("epgrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList))])
                                        self._leafs = OrderedDict()

                                        self.epgrec_list = YList(self)
                                        self._segment_path = lambda: "epg-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems, [], name, value)


                                    class EpgRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: fabencap  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: id
                                        
                                        	Endpoint Group ID
                                        	**type**\: int
                                        
                                        	**range:** 1..4096
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mcastencap
                                        
                                        	Multicat Encapsulation
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rep_items
                                        
                                        	
                                        	**type**\:  :py:class:`RepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList, self).__init__()

                                            self.yang_name = "EpgRec-list"
                                            self.yang_parent_name = "epg-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['fabencap']
                                            self._child_classes = OrderedDict([("rep-items", ("rep_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems))])
                                            self._leafs = OrderedDict([
                                                ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                ('mcastencap', (YLeaf(YType.str, 'mcastEncap'), ['str','str'])),
                                            ])
                                            self.fabencap = None
                                            self.name = None
                                            self.id = None
                                            self.mcastencap = None

                                            self.rep_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems()
                                            self.rep_items.parent = self
                                            self._children_name_map["rep_items"] = "rep-items"
                                            self._segment_path = lambda: "EpgRec-list" + "[fabEncap='" + str(self.fabencap) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList, ['fabencap', 'name', 'id', 'mcastencap'], name, value)


                                        class RepItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: reportrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`ReportRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems, self).__init__()

                                                self.yang_name = "rep-items"
                                                self.yang_parent_name = "EpgRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("ReportRec-list", ("reportrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList))])
                                                self._leafs = OrderedDict()

                                                self.reportrec_list = YList(self)
                                                self._segment_path = lambda: "rep-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems, [], name, value)


                                            class ReportRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mcastsrc  (key)
                                                
                                                	Multicast Source Address
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ver  (key)
                                                
                                                	Version
                                                	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: filtmode
                                                
                                                	Filter Mode
                                                	**type**\:  :py:class:`McastFiltMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastFiltMode>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: flags
                                                
                                                	Flags
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oif_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList, self).__init__()

                                                    self.yang_name = "ReportRec-list"
                                                    self.yang_parent_name = "rep-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['mcastsrc','ver']
                                                    self._child_classes = OrderedDict([("oif-items", ("oif_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems))])
                                                    self._leafs = OrderedDict([
                                                        ('mcastsrc', (YLeaf(YType.str, 'mcastSrc'), ['str','str'])),
                                                        ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('filtmode', (YLeaf(YType.enumeration, 'filtMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastFiltMode', '')])),
                                                        ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ])
                                                    self.mcastsrc = None
                                                    self.ver = None
                                                    self.name = None
                                                    self.filtmode = None
                                                    self.flags = None

                                                    self.oif_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems()
                                                    self.oif_items.parent = self
                                                    self._children_name_map["oif_items"] = "oif-items"
                                                    self._segment_path = lambda: "ReportRec-list" + "[mcastSrc='" + str(self.mcastsrc) + "']" + "[ver='" + str(self.ver) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList, ['mcastsrc', 'ver', 'name', 'filtmode', 'flags'], name, value)


                                                class OifItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oifrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OIFRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems, self).__init__()

                                                        self.yang_name = "oif-items"
                                                        self.yang_parent_name = "ReportRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OIFRec-list", ("oifrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.oifrec_list = YList(self)
                                                        self._segment_path = lambda: "oif-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems, [], name, value)


                                                    class OIFRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: id  (key)
                                                        
                                                        	ID
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: numgqmiss
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: expirets
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: host_items
                                                        
                                                        	
                                                        	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList, self).__init__()

                                                            self.yang_name = "OIFRec-list"
                                                            self.yang_parent_name = "oif-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['id']
                                                            self._child_classes = OrderedDict([("host-items", ("host_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems))])
                                                            self._leafs = OrderedDict([
                                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('numgqmiss', (YLeaf(YType.uint16, 'numGqMiss'), ['int'])),
                                                                ('expirets', (YLeaf(YType.str, 'expireTs'), ['str'])),
                                                            ])
                                                            self.id = None
                                                            self.name = None
                                                            self.numgqmiss = None
                                                            self.expirets = None

                                                            self.host_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems()
                                                            self.host_items.parent = self
                                                            self._children_name_map["host_items"] = "host-items"
                                                            self._segment_path = lambda: "OIFRec-list" + "[id='" + str(self.id) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList, ['id', 'name', 'numgqmiss', 'expirets'], name, value)


                                                        class HostItems(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: hostrec_list
                                                            
                                                            	
                                                            	**type**\: list of  		 :py:class:`HostRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, self).__init__()

                                                                self.yang_name = "host-items"
                                                                self.yang_parent_name = "OIFRec-list"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = []
                                                                self._child_classes = OrderedDict([("HostRec-list", ("hostrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList))])
                                                                self._leafs = OrderedDict()

                                                                self.hostrec_list = YList(self)
                                                                self._segment_path = lambda: "host-items"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, [], name, value)


                                                            class HostRecList(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: addr  (key)
                                                                
                                                                	
                                                                	**type**\: union of the below types:
                                                                
                                                                		**type**\: str
                                                                
                                                                		**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name
                                                                	**type**\: str
                                                                
                                                                	**length:** 1..64
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: upts
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: lastjoints
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: nextexpiryts
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, self).__init__()

                                                                    self.yang_name = "HostRec-list"
                                                                    self.yang_parent_name = "host-items"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = ['addr']
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                        ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                                                        ('lastjoints', (YLeaf(YType.str, 'lastJoinTs'), ['str'])),
                                                                        ('nextexpiryts', (YLeaf(YType.str, 'nextExpiryTs'), ['str'])),
                                                                    ])
                                                                    self.addr = None
                                                                    self.name = None
                                                                    self.upts = None
                                                                    self.lastjoints = None
                                                                    self.nextexpiryts = None
                                                                    self._segment_path = lambda: "HostRec-list" + "[addr='" + str(self.addr) + "']"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, ['addr', 'name', 'upts', 'lastjoints', 'nextexpiryts'], name, value)










                                class RepItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: reportrec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ReportRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems, self).__init__()

                                        self.yang_name = "rep-items"
                                        self.yang_parent_name = "McGrpRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ReportRec-list", ("reportrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList))])
                                        self._leafs = OrderedDict()

                                        self.reportrec_list = YList(self)
                                        self._segment_path = lambda: "rep-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems, [], name, value)


                                    class ReportRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mcastsrc  (key)
                                        
                                        	Multicast Source Address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ver  (key)
                                        
                                        	Version
                                        	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: filtmode
                                        
                                        	Filter Mode
                                        	**type**\:  :py:class:`McastFiltMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastFiltMode>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList, self).__init__()

                                            self.yang_name = "ReportRec-list"
                                            self.yang_parent_name = "rep-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['mcastsrc','ver']
                                            self._child_classes = OrderedDict([("oif-items", ("oif_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('mcastsrc', (YLeaf(YType.str, 'mcastSrc'), ['str','str'])),
                                                ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('filtmode', (YLeaf(YType.enumeration, 'filtMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastFiltMode', '')])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.mcastsrc = None
                                            self.ver = None
                                            self.name = None
                                            self.filtmode = None
                                            self.flags = None

                                            self.oif_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "ReportRec-list" + "[mcastSrc='" + str(self.mcastsrc) + "']" + "[ver='" + str(self.ver) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList, ['mcastsrc', 'ver', 'name', 'filtmode', 'flags'], name, value)


                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oifrec_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OIFRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "ReportRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("OIFRec-list", ("oifrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList))])
                                                self._leafs = OrderedDict()

                                                self.oifrec_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems, [], name, value)


                                            class OIFRecList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id  (key)
                                                
                                                	ID
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: name
                                                
                                                	Name
                                                	**type**\: str
                                                
                                                	**length:** 1..64
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: numgqmiss
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: expirets
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: host_items
                                                
                                                	
                                                	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList, self).__init__()

                                                    self.yang_name = "OIFRec-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['id']
                                                    self._child_classes = OrderedDict([("host-items", ("host_items", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems))])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ('numgqmiss', (YLeaf(YType.uint16, 'numGqMiss'), ['int'])),
                                                        ('expirets', (YLeaf(YType.str, 'expireTs'), ['str'])),
                                                    ])
                                                    self.id = None
                                                    self.name = None
                                                    self.numgqmiss = None
                                                    self.expirets = None

                                                    self.host_items = System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems()
                                                    self.host_items.parent = self
                                                    self._children_name_map["host_items"] = "host-items"
                                                    self._segment_path = lambda: "OIFRec-list" + "[id='" + str(self.id) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList, ['id', 'name', 'numgqmiss', 'expirets'], name, value)


                                                class HostItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hostrec_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`HostRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, self).__init__()

                                                        self.yang_name = "host-items"
                                                        self.yang_parent_name = "OIFRec-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("HostRec-list", ("hostrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList))])
                                                        self._leafs = OrderedDict()

                                                        self.hostrec_list = YList(self)
                                                        self._segment_path = lambda: "host-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, [], name, value)


                                                    class HostRecList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: addr  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name
                                                        	**type**\: str
                                                        
                                                        	**length:** 1..64
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: upts
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: lastjoints
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: nextexpiryts
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, self).__init__()

                                                            self.yang_name = "HostRec-list"
                                                            self.yang_parent_name = "host-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['addr']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                                                ('lastjoints', (YLeaf(YType.str, 'lastJoinTs'), ['str'])),
                                                                ('nextexpiryts', (YLeaf(YType.str, 'nextExpiryTs'), ['str'])),
                                                            ])
                                                            self.addr = None
                                                            self.name = None
                                                            self.upts = None
                                                            self.lastjoints = None
                                                            self.nextexpiryts = None
                                                            self._segment_path = lambda: "HostRec-list" + "[addr='" + str(self.addr) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, ['addr', 'name', 'upts', 'lastjoints', 'nextexpiryts'], name, value)










                        class QuerierItems(Entity):
                            """
                            
                            
                            .. attribute:: querierrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`QuerierRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems.QuerierRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems, self).__init__()

                                self.yang_name = "querier-items"
                                self.yang_parent_name = "Db-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("QuerierRec-list", ("querierrec_list", System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems.QuerierRecList))])
                                self._leafs = OrderedDict()

                                self.querierrec_list = YList(self)
                                self._segment_path = lambda: "querier-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems, [], name, value)


                            class QuerierRecList(Entity):
                                """
                                
                                
                                .. attribute:: vlanid  (key)
                                
                                	Vlan ID
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: timeout
                                
                                	Timeout
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                	**config**\: False
                                
                                .. attribute:: lastmbrintvl
                                
                                	Last Member Query Interval
                                	**type**\: int
                                
                                	**range:** 1..25
                                
                                	**config**\: False
                                
                                .. attribute:: ver
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: addr
                                
                                	Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: queryintvl
                                
                                	Query Interval
                                	**type**\: int
                                
                                	**range:** 1..18000
                                
                                	**config**\: False
                                
                                .. attribute:: rspintvl
                                
                                	Response Interval
                                	**type**\: int
                                
                                	**range:** 1..25
                                
                                	**config**\: False
                                
                                .. attribute:: robustfac
                                
                                	Robustness Factor
                                	**type**\: int
                                
                                	**range:** 1..7
                                
                                	**config**\: False
                                
                                .. attribute:: startqueryintvl
                                
                                	Startup Query Interval
                                	**type**\: int
                                
                                	**range:** 1..18000
                                
                                	**config**\: False
                                
                                .. attribute:: startquerycnt
                                
                                	Startup Query Count
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                	**config**\: False
                                
                                .. attribute:: port
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: exptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems.QuerierRecList, self).__init__()

                                    self.yang_name = "QuerierRec-list"
                                    self.yang_parent_name = "querier-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['vlanid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('vlanid', (YLeaf(YType.uint32, 'vlanid'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                                        ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                        ('ver', (YLeaf(YType.str, 'ver'), ['str'])),
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                        ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                        ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                        ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                        ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                        ('port', (YLeaf(YType.str, 'port'), ['str'])),
                                        ('exptime', (YLeaf(YType.str, 'expTime'), ['str'])),
                                    ])
                                    self.vlanid = None
                                    self.name = None
                                    self.timeout = None
                                    self.lastmbrintvl = None
                                    self.ver = None
                                    self.addr = None
                                    self.queryintvl = None
                                    self.rspintvl = None
                                    self.robustfac = None
                                    self.startqueryintvl = None
                                    self.startquerycnt = None
                                    self.port = None
                                    self.exptime = None
                                    self._segment_path = lambda: "QuerierRec-list" + "[vlanid='" + str(self.vlanid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DbItems.DbList.QuerierItems.QuerierRecList, ['vlanid', 'name', 'timeout', 'lastmbrintvl', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'port', 'exptime'], name, value)






                class DomstatsItems(Entity):
                    """
                    
                    
                    .. attribute:: v1reprcvd
                    
                    	V1 Reports Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2reprcvd
                    
                    	V2 Reports Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2leavercvd
                    
                    	V2 Leave Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v1queryrcvd
                    
                    	V1 Query Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2queryrcvd
                    
                    	V2 Query Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v1repsupr
                    
                    	V1 Reports Suppressed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2repsupr
                    
                    	V2 Reports Suppressed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2leavesupr
                    
                    	V2 Leaves Suppressed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v1reporig
                    
                    	V1 Reports Originated
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2reporig
                    
                    	V2 Reports Originated
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v2leaveorig
                    
                    	V2 Leaves Originated
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v3reprcvd
                    
                    	V3 Reports Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v3queryrcvd
                    
                    	V3 Query Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v3grprecsupr
                    
                    	V3 Group Records Suppressed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: v3reporig
                    
                    	V3 Reports Originated
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: lastclearts
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: pktsrcvd
                    
                    	Packets Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pimhellorcvd
                    
                    	Pim Hello Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: invqueryrcvd
                    
                    	Invalid Query Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: invreprcvd
                    
                    	Invalid Report Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vermismatchrcvd
                    
                    	Version Mismatch Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: unknpktrcvd
                    
                    	Unknown Packets Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: querypktsorig
                    
                    	Query Packets Originated
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: pktstorport
                    
                    	Packets to Router Ports
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vpcsyncsent
                    
                    	VPC Sync Packets Sent
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vpcsyncrcvd
                    
                    	VPC Sync Packets Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: vpcsyncfail
                    
                    	VPC Sync Packets Failed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: mrdsyncsent
                    
                    	MRD Sync Packets Sent
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: mrdsyncrcvd
                    
                    	MRD Sync Packets Received
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: mrdsyncfail
                    
                    	MRD Sync Packets Failed
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.DomstatsItems, self).__init__()

                        self.yang_name = "domstats-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('v1reprcvd', (YLeaf(YType.uint32, 'v1RepRcvd'), ['int'])),
                            ('v2reprcvd', (YLeaf(YType.uint32, 'v2RepRcvd'), ['int'])),
                            ('v2leavercvd', (YLeaf(YType.uint32, 'v2LeaveRcvd'), ['int'])),
                            ('v1queryrcvd', (YLeaf(YType.uint32, 'v1QueryRcvd'), ['int'])),
                            ('v2queryrcvd', (YLeaf(YType.uint32, 'v2QueryRcvd'), ['int'])),
                            ('v1repsupr', (YLeaf(YType.uint32, 'v1RepSupr'), ['int'])),
                            ('v2repsupr', (YLeaf(YType.uint32, 'v2RepSupr'), ['int'])),
                            ('v2leavesupr', (YLeaf(YType.uint32, 'v2LeaveSupr'), ['int'])),
                            ('v1reporig', (YLeaf(YType.uint32, 'v1RepOrig'), ['int'])),
                            ('v2reporig', (YLeaf(YType.uint32, 'v2RepOrig'), ['int'])),
                            ('v2leaveorig', (YLeaf(YType.uint32, 'v2LeaveOrig'), ['int'])),
                            ('v3reprcvd', (YLeaf(YType.uint32, 'v3RepRcvd'), ['int'])),
                            ('v3queryrcvd', (YLeaf(YType.uint32, 'v3QueryRcvd'), ['int'])),
                            ('v3grprecsupr', (YLeaf(YType.uint32, 'v3GrpRecSupr'), ['int'])),
                            ('v3reporig', (YLeaf(YType.uint32, 'v3RepOrig'), ['int'])),
                            ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                            ('pktsrcvd', (YLeaf(YType.uint32, 'pktsRcvd'), ['int'])),
                            ('pimhellorcvd', (YLeaf(YType.uint32, 'pimHelloRcvd'), ['int'])),
                            ('invqueryrcvd', (YLeaf(YType.uint32, 'invQueryRcvd'), ['int'])),
                            ('invreprcvd', (YLeaf(YType.uint32, 'invRepRcvd'), ['int'])),
                            ('vermismatchrcvd', (YLeaf(YType.uint32, 'verMisMatchRcvd'), ['int'])),
                            ('unknpktrcvd', (YLeaf(YType.uint32, 'unknPktRcvd'), ['int'])),
                            ('querypktsorig', (YLeaf(YType.uint32, 'queryPktsOrig'), ['int'])),
                            ('pktstorport', (YLeaf(YType.uint32, 'pktsToRport'), ['int'])),
                            ('vpcsyncsent', (YLeaf(YType.uint32, 'vpcSyncSent'), ['int'])),
                            ('vpcsyncrcvd', (YLeaf(YType.uint32, 'vpcSyncRcvd'), ['int'])),
                            ('vpcsyncfail', (YLeaf(YType.uint32, 'vpcSyncFail'), ['int'])),
                            ('mrdsyncsent', (YLeaf(YType.uint32, 'mrdSyncSent'), ['int'])),
                            ('mrdsyncrcvd', (YLeaf(YType.uint32, 'mrdSyncRcvd'), ['int'])),
                            ('mrdsyncfail', (YLeaf(YType.uint32, 'mrdSyncFail'), ['int'])),
                        ])
                        self.v1reprcvd = None
                        self.v2reprcvd = None
                        self.v2leavercvd = None
                        self.v1queryrcvd = None
                        self.v2queryrcvd = None
                        self.v1repsupr = None
                        self.v2repsupr = None
                        self.v2leavesupr = None
                        self.v1reporig = None
                        self.v2reporig = None
                        self.v2leaveorig = None
                        self.v3reprcvd = None
                        self.v3queryrcvd = None
                        self.v3grprecsupr = None
                        self.v3reporig = None
                        self.lastclearts = None
                        self.pktsrcvd = None
                        self.pimhellorcvd = None
                        self.invqueryrcvd = None
                        self.invreprcvd = None
                        self.vermismatchrcvd = None
                        self.unknpktrcvd = None
                        self.querypktsorig = None
                        self.pktstorport = None
                        self.vpcsyncsent = None
                        self.vpcsyncrcvd = None
                        self.vpcsyncfail = None
                        self.mrdsyncsent = None
                        self.mrdsyncrcvd = None
                        self.mrdsyncfail = None
                        self._segment_path = lambda: "domstats-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.DomstatsItems, ['v1reprcvd', 'v2reprcvd', 'v2leavercvd', 'v1queryrcvd', 'v2queryrcvd', 'v1repsupr', 'v2repsupr', 'v2leavesupr', 'v1reporig', 'v2reporig', 'v2leaveorig', 'v3reprcvd', 'v3queryrcvd', 'v3grprecsupr', 'v3reporig', 'lastclearts', 'pktsrcvd', 'pimhellorcvd', 'invqueryrcvd', 'invreprcvd', 'vermismatchrcvd', 'unknpktrcvd', 'querypktsorig', 'pktstorport', 'vpcsyncsent', 'vpcsyncrcvd', 'vpcsyncfail', 'mrdsyncsent', 'mrdsyncrcvd', 'mrdsyncfail'], name, value)



                class StrtrifItems(Entity):
                    """
                    
                    
                    .. attribute:: strtrif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`StRtrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems, self).__init__()

                        self.yang_name = "strtrif-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("StRtrIf-list", ("strtrif_list", System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList))])
                        self._leafs = OrderedDict()

                        self.strtrif_list = YList(self)
                        self._segment_path = lambda: "strtrif-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems, [], name, value)


                    class StRtrIfList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	Interface ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 1..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..1024
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        	**config**\: False
                        
                        .. attribute:: encap
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rtvrfmbr_items
                        
                        	
                        	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtvrfMbrItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rtnwpathtoif_items
                        
                        	
                        	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList, self).__init__()

                            self.yang_name = "StRtrIf-list"
                            self.yang_parent_name = "strtrif-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems))])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ])
                            self.id = None
                            self.name = None
                            self.descr = None
                            self.adminst = None
                            self.encap = None

                            self.rtvrfmbr_items = System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtvrfMbrItems()
                            self.rtvrfmbr_items.parent = self
                            self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                            self.rtnwpathtoif_items = System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems()
                            self.rtnwpathtoif_items.parent = self
                            self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                            self._segment_path = lambda: "StRtrIf-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/strtrif-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList, ['id', 'name', 'descr', 'adminst', 'encap'], name, value)


                        class RtvrfMbrItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtvrfMbrItems, self).__init__()

                                self.yang_name = "rtvrfMbr-items"
                                self.yang_parent_name = "StRtrIf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rtvrfMbr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                        class RtnwPathToIfItems(Entity):
                            """
                            
                            
                            .. attribute:: rtnwpathtoif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems, self).__init__()

                                self.yang_name = "rtnwPathToIf-items"
                                self.yang_parent_name = "StRtrIf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                self._leafs = OrderedDict()

                                self.rtnwpathtoif_list = YList(self)
                                self._segment_path = lambda: "rtnwPathToIf-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems, [], name, value)


                            class RtNwPathToIfList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                    self.yang_name = "RtNwPathToIf-list"
                                    self.yang_parent_name = "rtnwPathToIf-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                class RtrifItems(Entity):
                    """
                    
                    
                    .. attribute:: rtrif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.RtrifItems.RtrIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.RtrifItems, self).__init__()

                        self.yang_name = "rtrif-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtrIf-list", ("rtrif_list", System.IgmpsnoopItems.InstItems.DomItems.RtrifItems.RtrIfList))])
                        self._leafs = OrderedDict()

                        self.rtrif_list = YList(self)
                        self._segment_path = lambda: "rtrif-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.RtrifItems, [], name, value)


                    class RtrIfList(Entity):
                        """
                        
                        
                        .. attribute:: id  (key)
                        
                        	ID
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: lcc
                        
                        	Life Cycle Control
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: upts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nextexpiryts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.RtrifItems.RtrIfList, self).__init__()

                            self.yang_name = "RtrIf-list"
                            self.yang_parent_name = "rtrif-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['id']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ('lcc', (YLeaf(YType.str, 'lcC'), ['str'])),
                                ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                ('nextexpiryts', (YLeaf(YType.str, 'nextExpiryTs'), ['str'])),
                            ])
                            self.id = None
                            self.lcc = None
                            self.upts = None
                            self.nextexpiryts = None
                            self._segment_path = lambda: "RtrIf-list" + "[id='" + str(self.id) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/rtrif-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.RtrifItems.RtrIfList, ['id', 'lcc', 'upts', 'nextexpiryts'], name, value)




                class VlanItems(Entity):
                    """
                    
                    
                    .. attribute:: vlan_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems, self).__init__()

                        self.yang_name = "vlan-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vlan-list", ("vlan_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList))])
                        self._leafs = OrderedDict()

                        self.vlan_list = YList(self)
                        self._segment_path = lambda: "vlan-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems, [], name, value)


                    class VlanList(Entity):
                        """
                        
                        
                        .. attribute:: vlanid  (key)
                        
                        	Vlan ID
                        	**type**\: str
                        
                        .. attribute:: cktep_items
                        
                        	
                        	**type**\:  :py:class:`CktepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems>`
                        
                        .. attribute:: mcgrp_items
                        
                        	
                        	**type**\:  :py:class:`McgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems>`
                        
                        .. attribute:: igmpsnbase_items
                        
                        	
                        	**type**\:  :py:class:`IgmpsnbaseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.IgmpsnbaseItems>`
                        
                        .. attribute:: gtimers_items
                        
                        	
                        	**type**\:  :py:class:`GTimersItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.GTimersItems>`
                        
                        .. attribute:: mactable_items
                        
                        	
                        	**type**\:  :py:class:`MactableItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems>`
                        
                        .. attribute:: mrouter_items
                        
                        	
                        	**type**\:  :py:class:`MrouterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems>`
                        
                        .. attribute:: proxy_items
                        
                        	
                        	**type**\:  :py:class:`ProxyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ProxyItems>`
                        
                        .. attribute:: querierp_items
                        
                        	
                        	**type**\:  :py:class:`QuerierpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierpItems>`
                        
                        .. attribute:: querierst_items
                        
                        	
                        	**type**\:  :py:class:`QuerierstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierstItems>`
                        
                        .. attribute:: actrl_items
                        
                        	
                        	**type**\:  :py:class:`ActrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems>`
                        
                        .. attribute:: rpolicy_items
                        
                        	
                        	**type**\:  :py:class:`RpolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList, self).__init__()

                            self.yang_name = "Vlan-list"
                            self.yang_parent_name = "vlan-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['vlanid']
                            self._child_classes = OrderedDict([("cktep-items", ("cktep_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems)), ("mcgrp-items", ("mcgrp_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems)), ("igmpsnbase-items", ("igmpsnbase_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.IgmpsnbaseItems)), ("gTimers-items", ("gtimers_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.GTimersItems)), ("mactable-items", ("mactable_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems)), ("mrouter-items", ("mrouter_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems)), ("proxy-items", ("proxy_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ProxyItems)), ("querierp-items", ("querierp_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierpItems)), ("querierst-items", ("querierst_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierstItems)), ("actrl-items", ("actrl_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems)), ("rpolicy-items", ("rpolicy_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems))])
                            self._leafs = OrderedDict([
                                ('vlanid', (YLeaf(YType.str, 'vlanid'), ['str'])),
                            ])
                            self.vlanid = None

                            self.cktep_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems()
                            self.cktep_items.parent = self
                            self._children_name_map["cktep_items"] = "cktep-items"

                            self.mcgrp_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems()
                            self.mcgrp_items.parent = self
                            self._children_name_map["mcgrp_items"] = "mcgrp-items"

                            self.igmpsnbase_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.IgmpsnbaseItems()
                            self.igmpsnbase_items.parent = self
                            self._children_name_map["igmpsnbase_items"] = "igmpsnbase-items"

                            self.gtimers_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.GTimersItems()
                            self.gtimers_items.parent = self
                            self._children_name_map["gtimers_items"] = "gTimers-items"

                            self.mactable_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems()
                            self.mactable_items.parent = self
                            self._children_name_map["mactable_items"] = "mactable-items"

                            self.mrouter_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems()
                            self.mrouter_items.parent = self
                            self._children_name_map["mrouter_items"] = "mrouter-items"

                            self.proxy_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ProxyItems()
                            self.proxy_items.parent = self
                            self._children_name_map["proxy_items"] = "proxy-items"

                            self.querierp_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierpItems()
                            self.querierp_items.parent = self
                            self._children_name_map["querierp_items"] = "querierp-items"

                            self.querierst_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierstItems()
                            self.querierst_items.parent = self
                            self._children_name_map["querierst_items"] = "querierst-items"

                            self.actrl_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems()
                            self.actrl_items.parent = self
                            self._children_name_map["actrl_items"] = "actrl-items"

                            self.rpolicy_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems()
                            self.rpolicy_items.parent = self
                            self._children_name_map["rpolicy_items"] = "rpolicy-items"
                            self._segment_path = lambda: "Vlan-list" + "[vlanid='" + str(self.vlanid) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/vlan-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList, ['vlanid'], name, value)


                        class CktepItems(Entity):
                            """
                            
                            
                            .. attribute:: cktep_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CktEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems.CktEpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems, self).__init__()

                                self.yang_name = "cktep-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("CktEp-list", ("cktep_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems.CktEpList))])
                                self._leafs = OrderedDict()

                                self.cktep_list = YList(self)
                                self._segment_path = lambda: "cktep-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems, [], name, value)


                            class CktEpList(Entity):
                                """
                                
                                
                                .. attribute:: encap  (key)
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems.CktEpList, self).__init__()

                                    self.yang_name = "CktEp-list"
                                    self.yang_parent_name = "cktep-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['encap']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                    ])
                                    self.encap = None
                                    self._segment_path = lambda: "CktEp-list" + "[encap='" + str(self.encap) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.CktepItems.CktEpList, ['encap'], name, value)




                        class McgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: stmcgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`StMcGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems, self).__init__()

                                self.yang_name = "mcgrp-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("StMcGrp-list", ("stmcgrp_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList))])
                                self._leafs = OrderedDict()

                                self.stmcgrp_list = YList(self)
                                self._segment_path = lambda: "mcgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems, [], name, value)


                            class StMcGrpList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	Address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: src_items
                                
                                	
                                	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems>`
                                
                                .. attribute:: if_items
                                
                                	
                                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList, self).__init__()

                                    self.yang_name = "StMcGrp-list"
                                    self.yang_parent_name = "mcgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("src-items", ("src_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems)), ("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.addr = None
                                    self.name = None

                                    self.src_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems()
                                    self.src_items.parent = self
                                    self._children_name_map["src_items"] = "src-items"

                                    self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems()
                                    self.if_items.parent = self
                                    self._children_name_map["if_items"] = "if-items"
                                    self._segment_path = lambda: "StMcGrp-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList, ['addr', 'name'], name, value)


                                class SrcItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mcsrc_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`McSrcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems, self).__init__()

                                        self.yang_name = "src-items"
                                        self.yang_parent_name = "StMcGrp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("McSrc-list", ("mcsrc_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList))])
                                        self._leafs = OrderedDict()

                                        self.mcsrc_list = YList(self)
                                        self._segment_path = lambda: "src-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems, [], name, value)


                                    class McSrcList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Multicast Source IP
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: if_items
                                        
                                        	
                                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList, self).__init__()

                                            self.yang_name = "McSrc-list"
                                            self.yang_parent_name = "src-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str','str'])),
                                            ])
                                            self.id = None

                                            self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems()
                                            self.if_items.parent = self
                                            self._children_name_map["if_items"] = "if-items"
                                            self._segment_path = lambda: "McSrc-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList, ['id'], name, value)


                                        class IfItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tgtif_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems.TgtIfList>`
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems, self).__init__()

                                                self.yang_name = "if-items"
                                                self.yang_parent_name = "McSrc-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems.TgtIfList))])
                                                self._leafs = OrderedDict()

                                                self.tgtif_list = YList(self)
                                                self._segment_path = lambda: "if-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems, [], name, value)


                                            class TgtIfList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: id  (key)
                                                
                                                	Multicast Source IP
                                                	**type**\: str
                                                
                                                .. attribute:: vsi
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: accgrp
                                                
                                                	
                                                	**type**\: bool
                                                
                                                .. attribute:: pfxlist
                                                
                                                	
                                                	**type**\: bool
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems.TgtIfList, self).__init__()

                                                    self.yang_name = "TgtIf-list"
                                                    self.yang_parent_name = "if-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['id']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                        ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                                        ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                                        ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                                    ])
                                                    self.id = None
                                                    self.vsi = None
                                                    self.accgrp = None
                                                    self.pfxlist = None
                                                    self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.SrcItems.McSrcList.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)






                                class IfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tgtif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems.TgtIfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems, self).__init__()

                                        self.yang_name = "if-items"
                                        self.yang_parent_name = "StMcGrp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems.TgtIfList))])
                                        self._leafs = OrderedDict()

                                        self.tgtif_list = YList(self)
                                        self._segment_path = lambda: "if-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems, [], name, value)


                                    class TgtIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Multicast Source IP
                                        	**type**\: str
                                        
                                        .. attribute:: vsi
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: accgrp
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: pfxlist
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems.TgtIfList, self).__init__()

                                            self.yang_name = "TgtIf-list"
                                            self.yang_parent_name = "if-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                                ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                                ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                            ])
                                            self.id = None
                                            self.vsi = None
                                            self.accgrp = None
                                            self.pfxlist = None
                                            self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.McgrpItems.StMcGrpList.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)






                        class IgmpsnbaseItems(Entity):
                            """
                            
                            
                            .. attribute:: lookupmac
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: llgrpsuppr
                            
                            	Link local groups suppression
                            	**type**\: bool
                            
                            .. attribute:: reportsuppr
                            
                            	v1/v2 report suppression
                            	**type**\: bool
                            
                            .. attribute:: v3reportsuppr
                            
                            	v3 report suppression
                            	**type**\: bool
                            
                            .. attribute:: exptracking
                            
                            	Explicit tracking
                            	**type**\: bool
                            
                            .. attribute:: igmpsnoop
                            
                            	Enable/Disable igmp snooping global mode
                            	**type**\: bool
                            
                            .. attribute:: minver
                            
                            	Minimum IGMP version
                            	**type**\: int
                            
                            	**range:** 0..3
                            
                            .. attribute:: maxgrp
                            
                            	Maximum Groups per interface
                            	**type**\: int
                            
                            	**range:** 1..50000
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.IgmpsnbaseItems, self).__init__()

                                self.yang_name = "igmpsnbase-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lookupmac', (YLeaf(YType.boolean, 'lookupMac'), ['bool'])),
                                    ('llgrpsuppr', (YLeaf(YType.boolean, 'llGrpSuppr'), ['bool'])),
                                    ('reportsuppr', (YLeaf(YType.boolean, 'reportSuppr'), ['bool'])),
                                    ('v3reportsuppr', (YLeaf(YType.boolean, 'v3ReportSuppr'), ['bool'])),
                                    ('exptracking', (YLeaf(YType.boolean, 'expTracking'), ['bool'])),
                                    ('igmpsnoop', (YLeaf(YType.boolean, 'igmpSnoop'), ['bool'])),
                                    ('minver', (YLeaf(YType.uint16, 'minVer'), ['int'])),
                                    ('maxgrp', (YLeaf(YType.uint16, 'maxGrp'), ['int'])),
                                ])
                                self.lookupmac = None
                                self.llgrpsuppr = None
                                self.reportsuppr = None
                                self.v3reportsuppr = None
                                self.exptracking = None
                                self.igmpsnoop = None
                                self.minver = None
                                self.maxgrp = None
                                self._segment_path = lambda: "igmpsnbase-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.IgmpsnbaseItems, ['lookupmac', 'llgrpsuppr', 'reportsuppr', 'v3reportsuppr', 'exptracking', 'igmpsnoop', 'minver', 'maxgrp'], name, value)



                        class GTimersItems(Entity):
                            """
                            
                            
                            .. attribute:: fastleave
                            
                            	Fast leave
                            	**type**\: bool
                            
                            .. attribute:: grptimeout
                            
                            	Group Timeout
                            	**type**\: int
                            
                            	**range:** 0..None \| 1..10080
                            
                            .. attribute:: maxgqmiss
                            
                            	Max GQ Miss time
                            	**type**\: int
                            
                            	**range:** 3..5
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.GTimersItems, self).__init__()

                                self.yang_name = "gTimers-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('fastleave', (YLeaf(YType.boolean, 'fastLeave'), ['bool'])),
                                    ('grptimeout', (YLeaf(YType.uint16, 'grpTimeout'), ['int'])),
                                    ('maxgqmiss', (YLeaf(YType.uint16, 'maxGqMiss'), ['int'])),
                                ])
                                self.fastleave = None
                                self.grptimeout = None
                                self.maxgqmiss = None
                                self._segment_path = lambda: "gTimers-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.GTimersItems, ['fastleave', 'grptimeout', 'maxgqmiss'], name, value)



                        class MactableItems(Entity):
                            """
                            
                            
                            .. attribute:: mactable_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacTableList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems, self).__init__()

                                self.yang_name = "mactable-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacTable-list", ("mactable_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList))])
                                self._leafs = OrderedDict()

                                self.mactable_list = YList(self)
                                self._segment_path = lambda: "mactable-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems, [], name, value)


                            class MacTableList(Entity):
                                """
                                
                                
                                .. attribute:: macaddress  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: if_items
                                
                                	
                                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems>`
                                
                                .. attribute:: mif_items
                                
                                	
                                	**type**\:  :py:class:`MifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList, self).__init__()

                                    self.yang_name = "MacTable-list"
                                    self.yang_parent_name = "mactable-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['macaddress']
                                    self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems)), ("mif-items", ("mif_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems))])
                                    self._leafs = OrderedDict([
                                        ('macaddress', (YLeaf(YType.str, 'macAddress'), ['str'])),
                                    ])
                                    self.macaddress = None

                                    self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems()
                                    self.if_items.parent = self
                                    self._children_name_map["if_items"] = "if-items"

                                    self.mif_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems()
                                    self.mif_items.parent = self
                                    self._children_name_map["mif_items"] = "mif-items"
                                    self._segment_path = lambda: "MacTable-list" + "[macAddress='" + str(self.macaddress) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList, ['macaddress'], name, value)


                                class IfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tgtif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems.TgtIfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems, self).__init__()

                                        self.yang_name = "if-items"
                                        self.yang_parent_name = "MacTable-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems.TgtIfList))])
                                        self._leafs = OrderedDict()

                                        self.tgtif_list = YList(self)
                                        self._segment_path = lambda: "if-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems, [], name, value)


                                    class TgtIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Multicast Source IP
                                        	**type**\: str
                                        
                                        .. attribute:: vsi
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: accgrp
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: pfxlist
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems.TgtIfList, self).__init__()

                                            self.yang_name = "TgtIf-list"
                                            self.yang_parent_name = "if-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                                ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                                ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                            ])
                                            self.id = None
                                            self.vsi = None
                                            self.accgrp = None
                                            self.pfxlist = None
                                            self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)




                                class MifItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: mif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`MIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems.MIfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems, self).__init__()

                                        self.yang_name = "mif-items"
                                        self.yang_parent_name = "MacTable-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("MIf-list", ("mif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems.MIfList))])
                                        self._leafs = OrderedDict()

                                        self.mif_list = YList(self)
                                        self._segment_path = lambda: "mif-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems, [], name, value)


                                    class MIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: intf  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: vsi
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems.MIfList, self).__init__()

                                            self.yang_name = "MIf-list"
                                            self.yang_parent_name = "mif-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['intf']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                                ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                            ])
                                            self.intf = None
                                            self.vsi = None
                                            self._segment_path = lambda: "MIf-list" + "[intf='" + str(self.intf) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MactableItems.MacTableList.MifItems.MIfList, ['intf', 'vsi'], name, value)






                        class MrouterItems(Entity):
                            """
                            
                            
                            .. attribute:: vpcpeerlink
                            
                            	Specify vpc\-peer\-link as static mrouter for all VLAN/BD
                            	**type**\: bool
                            
                            .. attribute:: if_items
                            
                            	
                            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems>`
                            
                            .. attribute:: mif_items
                            
                            	
                            	**type**\:  :py:class:`MifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems, self).__init__()

                                self.yang_name = "mrouter-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems)), ("mif-items", ("mif_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems))])
                                self._leafs = OrderedDict([
                                    ('vpcpeerlink', (YLeaf(YType.boolean, 'vpcPeerLink'), ['bool'])),
                                ])
                                self.vpcpeerlink = None

                                self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems()
                                self.if_items.parent = self
                                self._children_name_map["if_items"] = "if-items"

                                self.mif_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems()
                                self.mif_items.parent = self
                                self._children_name_map["mif_items"] = "mif-items"
                                self._segment_path = lambda: "mrouter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems, ['vpcpeerlink'], name, value)


                            class IfItems(Entity):
                                """
                                
                                
                                .. attribute:: tgtif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems.TgtIfList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems, self).__init__()

                                    self.yang_name = "if-items"
                                    self.yang_parent_name = "mrouter-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems.TgtIfList))])
                                    self._leafs = OrderedDict()

                                    self.tgtif_list = YList(self)
                                    self._segment_path = lambda: "if-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems, [], name, value)


                                class TgtIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Multicast Source IP
                                    	**type**\: str
                                    
                                    .. attribute:: vsi
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: accgrp
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems.TgtIfList, self).__init__()

                                        self.yang_name = "TgtIf-list"
                                        self.yang_parent_name = "if-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                            ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                            ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                            ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                        ])
                                        self.id = None
                                        self.vsi = None
                                        self.accgrp = None
                                        self.pfxlist = None
                                        self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)




                            class MifItems(Entity):
                                """
                                
                                
                                .. attribute:: mif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`MIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems.MIfList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems, self).__init__()

                                    self.yang_name = "mif-items"
                                    self.yang_parent_name = "mrouter-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("MIf-list", ("mif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems.MIfList))])
                                    self._leafs = OrderedDict()

                                    self.mif_list = YList(self)
                                    self._segment_path = lambda: "mif-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems, [], name, value)


                                class MIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: intf  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: vsi
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems.MIfList, self).__init__()

                                        self.yang_name = "MIf-list"
                                        self.yang_parent_name = "mif-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['intf']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                            ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                        ])
                                        self.intf = None
                                        self.vsi = None
                                        self._segment_path = lambda: "MIf-list" + "[intf='" + str(self.intf) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.MrouterItems.MifItems.MIfList, ['intf', 'vsi'], name, value)





                        class ProxyItems(Entity):
                            """
                            
                            
                            .. attribute:: maxresptime
                            
                            	configures mrt for switch's proxy general\-queries
                            	**type**\: int
                            
                            	**range:** 0..25
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ProxyItems, self).__init__()

                                self.yang_name = "proxy-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('maxresptime', (YLeaf(YType.uint16, 'maxRespTime'), ['int'])),
                                ])
                                self.maxresptime = None
                                self._segment_path = lambda: "proxy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ProxyItems, ['maxresptime'], name, value)



                        class QuerierpItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: ver
                            
                            	Version
                            	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                            
                            .. attribute:: addr
                            
                            	Address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: queryintvl
                            
                            	Query Interval
                            	**type**\: int
                            
                            	**range:** 1..18000
                            
                            .. attribute:: rspintvl
                            
                            	Response Interval
                            	**type**\: int
                            
                            	**range:** 1..25
                            
                            .. attribute:: robustfac
                            
                            	Robustness Factor
                            	**type**\: int
                            
                            	**range:** 1..7
                            
                            .. attribute:: startqueryintvl
                            
                            	Startup Query Interval
                            	**type**\: int
                            
                            	**range:** 1..18000
                            
                            .. attribute:: startquerycnt
                            
                            	Startup Query Count
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            .. attribute:: lastmbrintvl
                            
                            	Last Member Query Interval
                            	**type**\: int
                            
                            	**range:** 1..25
                            
                            .. attribute:: timeout
                            
                            	Timeout
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierpItems, self).__init__()

                                self.yang_name = "querierp-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                    ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                    ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                    ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                    ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                    ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                    ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.ver = None
                                self.addr = None
                                self.queryintvl = None
                                self.rspintvl = None
                                self.robustfac = None
                                self.startqueryintvl = None
                                self.startquerycnt = None
                                self.lastmbrintvl = None
                                self.timeout = None
                                self._segment_path = lambda: "querierp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierpItems, ['name', 'descr', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'lastmbrintvl', 'timeout'], name, value)



                        class QuerierstItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            	**config**\: False
                            
                            .. attribute:: ver
                            
                            	Version
                            	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                            
                            	**config**\: False
                            
                            .. attribute:: addr
                            
                            	Address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: queryintvl
                            
                            	Query Interval
                            	**type**\: int
                            
                            	**range:** 1..18000
                            
                            	**config**\: False
                            
                            .. attribute:: rspintvl
                            
                            	Response Interval
                            	**type**\: int
                            
                            	**range:** 1..25
                            
                            	**config**\: False
                            
                            .. attribute:: robustfac
                            
                            	Robustness Factor
                            	**type**\: int
                            
                            	**range:** 1..7
                            
                            	**config**\: False
                            
                            .. attribute:: startqueryintvl
                            
                            	Startup Query Interval
                            	**type**\: int
                            
                            	**range:** 1..18000
                            
                            	**config**\: False
                            
                            .. attribute:: startquerycnt
                            
                            	Startup Query Count
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            	**config**\: False
                            
                            .. attribute:: lastmbrintvl
                            
                            	Last Member Query Interval
                            	**type**\: int
                            
                            	**range:** 1..25
                            
                            	**config**\: False
                            
                            .. attribute:: timeout
                            
                            	Timeout
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            	**config**\: False
                            
                            .. attribute:: if_
                            
                            	Interface
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: flags
                            
                            	Flags
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierstItems, self).__init__()

                                self.yang_name = "querierst-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                    ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                    ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                    ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                    ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                    ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                    ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                                    ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.ver = None
                                self.addr = None
                                self.queryintvl = None
                                self.rspintvl = None
                                self.robustfac = None
                                self.startqueryintvl = None
                                self.startquerycnt = None
                                self.lastmbrintvl = None
                                self.timeout = None
                                self.if_ = None
                                self.flags = None
                                self._segment_path = lambda: "querierst-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.QuerierstItems, ['name', 'descr', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'lastmbrintvl', 'timeout', 'if_', 'flags'], name, value)



                        class ActrlItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: direction
                            
                            	Direction
                            	**type**\:  :py:class:`RtctrlRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRtCtrlDir>`
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: if_items
                            
                            	
                            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems, self).__init__()

                                self.yang_name = "actrl-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRtCtrlDir', '')])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.direction = None
                                self.rtmap = None

                                self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems()
                                self.if_items.parent = self
                                self._children_name_map["if_items"] = "if-items"
                                self._segment_path = lambda: "actrl-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems, ['name', 'descr', 'direction', 'rtmap'], name, value)


                            class IfItems(Entity):
                                """
                                
                                
                                .. attribute:: tgtif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems.TgtIfList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems, self).__init__()

                                    self.yang_name = "if-items"
                                    self.yang_parent_name = "actrl-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems.TgtIfList))])
                                    self._leafs = OrderedDict()

                                    self.tgtif_list = YList(self)
                                    self._segment_path = lambda: "if-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems, [], name, value)


                                class TgtIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Multicast Source IP
                                    	**type**\: str
                                    
                                    .. attribute:: vsi
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: accgrp
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems.TgtIfList, self).__init__()

                                        self.yang_name = "TgtIf-list"
                                        self.yang_parent_name = "if-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                            ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                            ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                            ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                        ])
                                        self.id = None
                                        self.vsi = None
                                        self.accgrp = None
                                        self.pfxlist = None
                                        self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.ActrlItems.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)





                        class RpolicyItems(Entity):
                            """
                            
                            
                            .. attribute:: rpolicy_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RPolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems, self).__init__()

                                self.yang_name = "rpolicy-items"
                                self.yang_parent_name = "Vlan-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RPolicy-list", ("rpolicy_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList))])
                                self._leafs = OrderedDict()

                                self.rpolicy_list = YList(self)
                                self._segment_path = lambda: "rpolicy-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems, [], name, value)


                            class RPolicyList(Entity):
                                """
                                
                                
                                .. attribute:: rtmap  (key)
                                
                                	Route Map Name to control the distribution
                                	**type**\: str
                                
                                	**length:** 0..63
                                
                                .. attribute:: if_items
                                
                                	
                                	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList, self).__init__()

                                    self.yang_name = "RPolicy-list"
                                    self.yang_parent_name = "rpolicy-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['rtmap']
                                    self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems))])
                                    self._leafs = OrderedDict([
                                        ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ])
                                    self.rtmap = None

                                    self.if_items = System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems()
                                    self.if_items.parent = self
                                    self._children_name_map["if_items"] = "if-items"
                                    self._segment_path = lambda: "RPolicy-list" + "[rtMap='" + str(self.rtmap) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList, ['rtmap'], name, value)


                                class IfItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tgtif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems.TgtIfList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems, self).__init__()

                                        self.yang_name = "if-items"
                                        self.yang_parent_name = "RPolicy-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems.TgtIfList))])
                                        self._leafs = OrderedDict()

                                        self.tgtif_list = YList(self)
                                        self._segment_path = lambda: "if-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems, [], name, value)


                                    class TgtIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Multicast Source IP
                                        	**type**\: str
                                        
                                        .. attribute:: vsi
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: accgrp
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: pfxlist
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems.TgtIfList, self).__init__()

                                            self.yang_name = "TgtIf-list"
                                            self.yang_parent_name = "if-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                                ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                                ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                            ])
                                            self.id = None
                                            self.vsi = None
                                            self.accgrp = None
                                            self.pfxlist = None
                                            self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.VlanItems.VlanList.RpolicyItems.RPolicyList.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)








                class BdItems(Entity):
                    """
                    
                    
                    .. attribute:: bd_list
                    
                    	
                    	**type**\: list of  		 :py:class:`BDList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.BdItems.BDList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.BdItems, self).__init__()

                        self.yang_name = "bd-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("BD-list", ("bd_list", System.IgmpsnoopItems.InstItems.DomItems.BdItems.BDList))])
                        self._leafs = OrderedDict()

                        self.bd_list = YList(self)
                        self._segment_path = lambda: "bd-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.BdItems, [], name, value)


                    class BDList(Entity):
                        """
                        
                        
                        .. attribute:: bdid  (key)
                        
                        	Bridge Domain Id
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.BdItems.BDList, self).__init__()

                            self.yang_name = "BD-list"
                            self.yang_parent_name = "bd-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['bdid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('bdid', (YLeaf(YType.str, 'bdid'), ['str'])),
                            ])
                            self.bdid = None
                            self._segment_path = lambda: "BD-list" + "[bdid='" + str(self.bdid) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/bd-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.BdItems.BDList, ['bdid'], name, value)




                class GlItems(Entity):
                    """
                    
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventHistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems>`
                    
                    .. attribute:: igmpsnbase_items
                    
                    	
                    	**type**\:  :py:class:`IgmpsnbaseItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.IgmpsnbaseItems>`
                    
                    .. attribute:: mctraf_items
                    
                    	
                    	**type**\:  :py:class:`MctrafItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MctrafItems>`
                    
                    .. attribute:: gtimers_items
                    
                    	
                    	**type**\:  :py:class:`GTimersItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.GTimersItems>`
                    
                    .. attribute:: gvlan_items
                    
                    	
                    	**type**\:  :py:class:`GvlanItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.GvlanItems>`
                    
                    .. attribute:: gdebug_items
                    
                    	
                    	**type**\:  :py:class:`GdebugItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.GdebugItems>`
                    
                    .. attribute:: mrouter_items
                    
                    	
                    	**type**\:  :py:class:`MrouterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems>`
                    
                    .. attribute:: proxy_items
                    
                    	
                    	**type**\:  :py:class:`ProxyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.ProxyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.IgmpsnoopItems.InstItems.DomItems.GlItems, self).__init__()

                        self.yang_name = "gl-items"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("eventHist-items", ("eventhist_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems)), ("igmpsnbase-items", ("igmpsnbase_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.IgmpsnbaseItems)), ("mctraf-items", ("mctraf_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MctrafItems)), ("gTimers-items", ("gtimers_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.GTimersItems)), ("gvlan-items", ("gvlan_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.GvlanItems)), ("gdebug-items", ("gdebug_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.GdebugItems)), ("mrouter-items", ("mrouter_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems)), ("proxy-items", ("proxy_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.ProxyItems))])
                        self._leafs = OrderedDict()

                        self.eventhist_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventHist-items"

                        self.igmpsnbase_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.IgmpsnbaseItems()
                        self.igmpsnbase_items.parent = self
                        self._children_name_map["igmpsnbase_items"] = "igmpsnbase-items"

                        self.mctraf_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.MctrafItems()
                        self.mctraf_items.parent = self
                        self._children_name_map["mctraf_items"] = "mctraf-items"

                        self.gtimers_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.GTimersItems()
                        self.gtimers_items.parent = self
                        self._children_name_map["gtimers_items"] = "gTimers-items"

                        self.gvlan_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.GvlanItems()
                        self.gvlan_items.parent = self
                        self._children_name_map["gvlan_items"] = "gvlan-items"

                        self.gdebug_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.GdebugItems()
                        self.gdebug_items.parent = self
                        self._children_name_map["gdebug_items"] = "gdebug-items"

                        self.mrouter_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems()
                        self.mrouter_items.parent = self
                        self._children_name_map["mrouter_items"] = "mrouter-items"

                        self.proxy_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.ProxyItems()
                        self.proxy_items.parent = self
                        self._children_name_map["proxy_items"] = "proxy-items"
                        self._segment_path = lambda: "gl-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems, [], name, value)


                    class EventHistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems, self).__init__()

                            self.yang_name = "eventHist-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventHist-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history{rib/vpc/vlan/vlanev/mfdm/mfdm\-ev}
                            	**type**\:  :py:class:`IgmpsnoopEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IgmpsnoopEhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventHist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IgmpsnoopEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/eventHist-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.EventHistItems.EventHistoryList, ['type', 'size'], name, value)




                    class IgmpsnbaseItems(Entity):
                        """
                        
                        
                        .. attribute:: lookupmac
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: llgrpsuppr
                        
                        	Link local groups suppression
                        	**type**\: bool
                        
                        .. attribute:: reportsuppr
                        
                        	v1/v2 report suppression
                        	**type**\: bool
                        
                        .. attribute:: v3reportsuppr
                        
                        	v3 report suppression
                        	**type**\: bool
                        
                        .. attribute:: exptracking
                        
                        	Explicit tracking
                        	**type**\: bool
                        
                        .. attribute:: igmpsnoop
                        
                        	Enable/Disable igmp snooping global mode
                        	**type**\: bool
                        
                        .. attribute:: minver
                        
                        	Minimum IGMP version
                        	**type**\: int
                        
                        	**range:** 0..3
                        
                        .. attribute:: maxgrp
                        
                        	Maximum Groups per interface
                        	**type**\: int
                        
                        	**range:** 1..50000
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.IgmpsnbaseItems, self).__init__()

                            self.yang_name = "igmpsnbase-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('lookupmac', (YLeaf(YType.boolean, 'lookupMac'), ['bool'])),
                                ('llgrpsuppr', (YLeaf(YType.boolean, 'llGrpSuppr'), ['bool'])),
                                ('reportsuppr', (YLeaf(YType.boolean, 'reportSuppr'), ['bool'])),
                                ('v3reportsuppr', (YLeaf(YType.boolean, 'v3ReportSuppr'), ['bool'])),
                                ('exptracking', (YLeaf(YType.boolean, 'expTracking'), ['bool'])),
                                ('igmpsnoop', (YLeaf(YType.boolean, 'igmpSnoop'), ['bool'])),
                                ('minver', (YLeaf(YType.uint16, 'minVer'), ['int'])),
                                ('maxgrp', (YLeaf(YType.uint16, 'maxGrp'), ['int'])),
                            ])
                            self.lookupmac = None
                            self.llgrpsuppr = None
                            self.reportsuppr = None
                            self.v3reportsuppr = None
                            self.exptracking = None
                            self.igmpsnoop = None
                            self.minver = None
                            self.maxgrp = None
                            self._segment_path = lambda: "igmpsnbase-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.IgmpsnbaseItems, ['lookupmac', 'llgrpsuppr', 'reportsuppr', 'v3reportsuppr', 'exptracking', 'igmpsnoop', 'minver', 'maxgrp'], name, value)



                    class MctrafItems(Entity):
                        """
                        
                        
                        .. attribute:: holddowntimer
                        
                        	Holddown Timer
                        	**type**\: int
                        
                        	**range:** 1..300
                        
                        .. attribute:: optmcflood
                        
                        	Opt multicast flood
                        	**type**\: str
                        
                        .. attribute:: manytooneenh
                        
                        	Many to one enhance
                        	**type**\: str
                        
                        .. attribute:: vpcpeerlinkexc
                        
                        	vpc\-peer\-link\-exc
                        	**type**\: bool
                        
                        .. attribute:: ccmode
                        
                        	cc\-mode
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MctrafItems, self).__init__()

                            self.yang_name = "mctraf-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('holddowntimer', (YLeaf(YType.uint16, 'holddownTimer'), ['int'])),
                                ('optmcflood', (YLeaf(YType.str, 'optMcFlood'), ['str'])),
                                ('manytooneenh', (YLeaf(YType.str, 'manyToOneEnh'), ['str'])),
                                ('vpcpeerlinkexc', (YLeaf(YType.boolean, 'vpcPeerLinkExc'), ['bool'])),
                                ('ccmode', (YLeaf(YType.boolean, 'ccMode'), ['bool'])),
                            ])
                            self.holddowntimer = None
                            self.optmcflood = None
                            self.manytooneenh = None
                            self.vpcpeerlinkexc = None
                            self.ccmode = None
                            self._segment_path = lambda: "mctraf-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MctrafItems, ['holddowntimer', 'optmcflood', 'manytooneenh', 'vpcpeerlinkexc', 'ccmode'], name, value)



                    class GTimersItems(Entity):
                        """
                        
                        
                        .. attribute:: fastleave
                        
                        	Fast leave
                        	**type**\: bool
                        
                        .. attribute:: grptimeout
                        
                        	Group Timeout
                        	**type**\: int
                        
                        	**range:** 0..None \| 1..10080
                        
                        .. attribute:: maxgqmiss
                        
                        	Max GQ Miss time
                        	**type**\: int
                        
                        	**range:** 3..5
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GTimersItems, self).__init__()

                            self.yang_name = "gTimers-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('fastleave', (YLeaf(YType.boolean, 'fastLeave'), ['bool'])),
                                ('grptimeout', (YLeaf(YType.uint16, 'grpTimeout'), ['int'])),
                                ('maxgqmiss', (YLeaf(YType.uint16, 'maxGqMiss'), ['int'])),
                            ])
                            self.fastleave = None
                            self.grptimeout = None
                            self.maxgqmiss = None
                            self._segment_path = lambda: "gTimers-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GTimersItems, ['fastleave', 'grptimeout', 'maxgqmiss'], name, value)



                    class GvlanItems(Entity):
                        """
                        
                        
                        .. attribute:: disablenvestrtrport
                        
                        	Disable NVE Static Router port
                        	**type**\: bool
                        
                        .. attribute:: vxlan
                        
                        	Enable IGMP snooping on all vxlan ports 
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GvlanItems, self).__init__()

                            self.yang_name = "gvlan-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('disablenvestrtrport', (YLeaf(YType.boolean, 'disableNveStRtrPort'), ['bool'])),
                                ('vxlan', (YLeaf(YType.boolean, 'vxlan'), ['bool'])),
                            ])
                            self.disablenvestrtrport = None
                            self.vxlan = None
                            self._segment_path = lambda: "gvlan-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GvlanItems, ['disablenvestrtrport', 'vxlan'], name, value)



                    class GdebugItems(Entity):
                        """
                        
                        
                        .. attribute:: syslogthreshold
                        
                        	 syslog threshold percentage
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: selfmaccheck
                        
                        	Enable IGMP snooping self\-mac\-check loopback
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GdebugItems, self).__init__()

                            self.yang_name = "gdebug-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('syslogthreshold', (YLeaf(YType.uint16, 'syslogThreshold'), ['int'])),
                                ('selfmaccheck', (YLeaf(YType.boolean, 'selfMacCheck'), ['bool'])),
                            ])
                            self.syslogthreshold = None
                            self.selfmaccheck = None
                            self._segment_path = lambda: "gdebug-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.GdebugItems, ['syslogthreshold', 'selfmaccheck'], name, value)



                    class MrouterItems(Entity):
                        """
                        
                        
                        .. attribute:: vpcpeerlink
                        
                        	Specify vpc\-peer\-link as static mrouter for all VLAN/BD
                        	**type**\: bool
                        
                        .. attribute:: if_items
                        
                        	
                        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems>`
                        
                        .. attribute:: mif_items
                        
                        	
                        	**type**\:  :py:class:`MifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems, self).__init__()

                            self.yang_name = "mrouter-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("if-items", ("if_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems)), ("mif-items", ("mif_items", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems))])
                            self._leafs = OrderedDict([
                                ('vpcpeerlink', (YLeaf(YType.boolean, 'vpcPeerLink'), ['bool'])),
                            ])
                            self.vpcpeerlink = None

                            self.if_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems()
                            self.if_items.parent = self
                            self._children_name_map["if_items"] = "if-items"

                            self.mif_items = System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems()
                            self.mif_items.parent = self
                            self._children_name_map["mif_items"] = "mif-items"
                            self._segment_path = lambda: "mrouter-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems, ['vpcpeerlink'], name, value)


                        class IfItems(Entity):
                            """
                            
                            
                            .. attribute:: tgtif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`TgtIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems.TgtIfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems, self).__init__()

                                self.yang_name = "if-items"
                                self.yang_parent_name = "mrouter-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("TgtIf-list", ("tgtif_list", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems.TgtIfList))])
                                self._leafs = OrderedDict()

                                self.tgtif_list = YList(self)
                                self._segment_path = lambda: "if-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/mrouter-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems, [], name, value)


                            class TgtIfList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	Multicast Source IP
                                	**type**\: str
                                
                                .. attribute:: vsi
                                
                                	
                                	**type**\: bool
                                
                                .. attribute:: accgrp
                                
                                	
                                	**type**\: bool
                                
                                .. attribute:: pfxlist
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems.TgtIfList, self).__init__()

                                    self.yang_name = "TgtIf-list"
                                    self.yang_parent_name = "if-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                        ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                        ('accgrp', (YLeaf(YType.boolean, 'accGrp'), ['bool'])),
                                        ('pfxlist', (YLeaf(YType.boolean, 'pfxList'), ['bool'])),
                                    ])
                                    self.id = None
                                    self.vsi = None
                                    self.accgrp = None
                                    self.pfxlist = None
                                    self._segment_path = lambda: "TgtIf-list" + "[id='" + str(self.id) + "']"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/mrouter-items/if-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.IfItems.TgtIfList, ['id', 'vsi', 'accgrp', 'pfxlist'], name, value)




                        class MifItems(Entity):
                            """
                            
                            
                            .. attribute:: mif_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems.MIfList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems, self).__init__()

                                self.yang_name = "mif-items"
                                self.yang_parent_name = "mrouter-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MIf-list", ("mif_list", System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems.MIfList))])
                                self._leafs = OrderedDict()

                                self.mif_list = YList(self)
                                self._segment_path = lambda: "mif-items"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/mrouter-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems, [], name, value)


                            class MIfList(Entity):
                                """
                                
                                
                                .. attribute:: intf  (key)
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vsi
                                
                                	
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems.MIfList, self).__init__()

                                    self.yang_name = "MIf-list"
                                    self.yang_parent_name = "mif-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self.ylist_key_names = ['intf']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('intf', (YLeaf(YType.str, 'intf'), ['str'])),
                                        ('vsi', (YLeaf(YType.boolean, 'vsi'), ['bool'])),
                                    ])
                                    self.intf = None
                                    self.vsi = None
                                    self._segment_path = lambda: "MIf-list" + "[intf='" + str(self.intf) + "']"
                                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/mrouter-items/mif-items/%s" % self._segment_path()
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.MrouterItems.MifItems.MIfList, ['intf', 'vsi'], name, value)





                    class ProxyItems(Entity):
                        """
                        
                        
                        .. attribute:: maxresptime
                        
                        	configures mrt for switch's proxy general\-queries
                        	**type**\: int
                        
                        	**range:** 0..25
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.IgmpsnoopItems.InstItems.DomItems.GlItems.ProxyItems, self).__init__()

                            self.yang_name = "proxy-items"
                            self.yang_parent_name = "gl-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('maxresptime', (YLeaf(YType.uint16, 'maxRespTime'), ['int'])),
                            ])
                            self.maxresptime = None
                            self._segment_path = lambda: "proxy-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/dom-items/gl-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.IgmpsnoopItems.InstItems.DomItems.GlItems.ProxyItems, ['maxresptime'], name, value)





            class InststatsItems(Entity):
                """
                
                
                .. attribute:: totnummcgrp
                
                	Total Number of Multicast Groups
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: invpktsrcvd
                
                	Invalid Packets Received
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: lpbkpktsrcvd
                
                	Loopback Packets Received
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: pktsflooded
                
                	Packets Flooded
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: mrdlpbkpktsrcvd
                
                	MRD Loopback Packets Received
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: novlandbpktsrcvd
                
                	No Vlan Db Packets Received
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vpcpeerpktssent
                
                	VPC Peer Packets Sent
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vpcpeerpktsrcvd
                
                	VPC Peer Packets Received
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vpcpeerpktssentfail
                
                	VPC Peer Packets Send Fail
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: vpcpeerpktsrcvdfail
                
                	VPC Peer Packets Receive Fail
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.IgmpsnoopItems.InstItems.InststatsItems, self).__init__()

                    self.yang_name = "inststats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('totnummcgrp', (YLeaf(YType.uint32, 'totNumMcGrp'), ['int'])),
                        ('invpktsrcvd', (YLeaf(YType.uint32, 'invPktsRcvd'), ['int'])),
                        ('lpbkpktsrcvd', (YLeaf(YType.uint32, 'lpbkPktsRcvd'), ['int'])),
                        ('pktsflooded', (YLeaf(YType.uint32, 'pktsFlooded'), ['int'])),
                        ('mrdlpbkpktsrcvd', (YLeaf(YType.uint32, 'mrdLpbkPktsRcvd'), ['int'])),
                        ('novlandbpktsrcvd', (YLeaf(YType.uint32, 'noVlanDbPktsRcvd'), ['int'])),
                        ('vpcpeerpktssent', (YLeaf(YType.uint32, 'vpcPeerPktsSent'), ['int'])),
                        ('vpcpeerpktsrcvd', (YLeaf(YType.uint32, 'vpcPeerPktsRcvd'), ['int'])),
                        ('vpcpeerpktssentfail', (YLeaf(YType.uint32, 'vpcPeerPktsSentFail'), ['int'])),
                        ('vpcpeerpktsrcvdfail', (YLeaf(YType.uint32, 'vpcPeerPktsRcvdFail'), ['int'])),
                    ])
                    self.totnummcgrp = None
                    self.invpktsrcvd = None
                    self.lpbkpktsrcvd = None
                    self.pktsflooded = None
                    self.mrdlpbkpktsrcvd = None
                    self.novlandbpktsrcvd = None
                    self.vpcpeerpktssent = None
                    self.vpcpeerpktsrcvd = None
                    self.vpcpeerpktssentfail = None
                    self.vpcpeerpktsrcvdfail = None
                    self._segment_path = lambda: "inststats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/igmpsnoop-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.IgmpsnoopItems.InstItems.InststatsItems, ['totnummcgrp', 'invpktsrcvd', 'lpbkpktsrcvd', 'pktsflooded', 'mrdlpbkpktsrcvd', 'novlandbpktsrcvd', 'vpcpeerpktssent', 'vpcpeerpktsrcvd', 'vpcpeerpktssentfail', 'vpcpeerpktsrcvdfail'], name, value)





    class M6ribItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.M6ribItems, self).__init__()

            self.yang_name = "m6rib-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.M6ribItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.M6ribItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "m6rib-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.M6ribItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: db_items
            
            	
            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems>`
            
            .. attribute:: routedb_items
            
            	
            	**type**\:  :py:class:`RoutedbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.M6ribItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "m6rib-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("db-items", ("db_items", System.M6ribItems.InstItems.DbItems)), ("dom-items", ("dom_items", System.M6ribItems.InstItems.DomItems)), ("routedb-items", ("routedb_items", System.M6ribItems.InstItems.RoutedbItems))])
                self._leafs = OrderedDict()

                self.db_items = System.M6ribItems.InstItems.DbItems()
                self.db_items.parent = self
                self._children_name_map["db_items"] = "db-items"

                self.dom_items = System.M6ribItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.routedb_items = System.M6ribItems.InstItems.RoutedbItems()
                self.routedb_items.parent = self
                self._children_name_map["routedb_items"] = "routedb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.M6ribItems.InstItems, [], name, value)


            class DbItems(Entity):
                """
                
                
                .. attribute:: db_list
                
                	
                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.M6ribItems.InstItems.DbItems, self).__init__()

                    self.yang_name = "db-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.M6ribItems.InstItems.DbItems.DbList))])
                    self._leafs = OrderedDict()

                    self.db_list = YList(self)
                    self._segment_path = lambda: "db-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.M6ribItems.InstItems.DbItems, [], name, value)


                class DbList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Database type identifier
                    	**type**\:  :py:class:`M6ribDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.M6ribDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: client_items
                    
                    	
                    	**type**\:  :py:class:`ClientItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.ClientItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: memest_items
                    
                    	
                    	**type**\:  :py:class:`MemestItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vrf_items
                    
                    	
                    	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.M6ribItems.InstItems.DbItems.DbList, self).__init__()

                        self.yang_name = "Db-list"
                        self.yang_parent_name = "db-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("client-items", ("client_items", System.M6ribItems.InstItems.DbItems.DbList.ClientItems)), ("memest-items", ("memest_items", System.M6ribItems.InstItems.DbItems.DbList.MemestItems)), ("vrf-items", ("vrf_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'M6ribDbT', '')])),
                        ])
                        self.type = None

                        self.client_items = System.M6ribItems.InstItems.DbItems.DbList.ClientItems()
                        self.client_items.parent = self
                        self._children_name_map["client_items"] = "client-items"

                        self.memest_items = System.M6ribItems.InstItems.DbItems.DbList.MemestItems()
                        self.memest_items.parent = self
                        self._children_name_map["memest_items"] = "memest-items"

                        self.vrf_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems()
                        self.vrf_items.parent = self
                        self._children_name_map["vrf_items"] = "vrf-items"
                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/db-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList, ['type'], name, value)


                    class ClientItems(Entity):
                        """
                        
                        
                        .. attribute:: clntentity_list
                        
                        	
                        	**type**\: list of  		 :py:class:`ClntEntityList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DbItems.DbList.ClientItems, self).__init__()

                            self.yang_name = "client-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("ClntEntity-list", ("clntentity_list", System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList))])
                            self._leafs = OrderedDict()

                            self.clntentity_list = YList(self)
                            self._segment_path = lambda: "client-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.ClientItems, [], name, value)


                        class ClntEntityList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: pid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mtssapid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: shmemname
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: notify
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: staletimerrunning
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: ssmowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: bidirowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: staticowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: sharedonlyowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: localjoinowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: externalowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: attachedowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: fabricowner
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: cnotify_items
                            
                            	
                            	**type**\:  :py:class:`CnotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList, self).__init__()

                                self.yang_name = "ClntEntity-list"
                                self.yang_parent_name = "client-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("cnotify-items", ("cnotify_items", System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('pid', (YLeaf(YType.uint32, 'pid'), ['int'])),
                                    ('mtssapid', (YLeaf(YType.uint32, 'mtsSapId'), ['int'])),
                                    ('shmemname', (YLeaf(YType.str, 'shMemName'), ['str'])),
                                    ('notify', (YLeaf(YType.boolean, 'notify'), ['bool'])),
                                    ('staletimerrunning', (YLeaf(YType.boolean, 'staleTimerRunning'), ['bool'])),
                                    ('ssmowner', (YLeaf(YType.boolean, 'ssmOwner'), ['bool'])),
                                    ('bidirowner', (YLeaf(YType.boolean, 'bidirOwner'), ['bool'])),
                                    ('staticowner', (YLeaf(YType.boolean, 'staticOwner'), ['bool'])),
                                    ('sharedonlyowner', (YLeaf(YType.boolean, 'sharedOnlyOwner'), ['bool'])),
                                    ('localjoinowner', (YLeaf(YType.boolean, 'localJoinOwner'), ['bool'])),
                                    ('externalowner', (YLeaf(YType.boolean, 'externalOwner'), ['bool'])),
                                    ('attachedowner', (YLeaf(YType.boolean, 'attachedOwner'), ['bool'])),
                                    ('fabricowner', (YLeaf(YType.boolean, 'fabricOwner'), ['bool'])),
                                ])
                                self.name = None
                                self.id = None
                                self.pid = None
                                self.mtssapid = None
                                self.shmemname = None
                                self.notify = None
                                self.staletimerrunning = None
                                self.ssmowner = None
                                self.bidirowner = None
                                self.staticowner = None
                                self.sharedonlyowner = None
                                self.localjoinowner = None
                                self.externalowner = None
                                self.attachedowner = None
                                self.fabricowner = None

                                self.cnotify_items = System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems()
                                self.cnotify_items.parent = self
                                self._children_name_map["cnotify_items"] = "cnotify-items"
                                self._segment_path = lambda: "ClntEntity-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList, ['name', 'id', 'pid', 'mtssapid', 'shmemname', 'notify', 'staletimerrunning', 'ssmowner', 'bidirowner', 'staticowner', 'sharedonlyowner', 'localjoinowner', 'externalowner', 'attachedowner', 'fabricowner'], name, value)


                            class CnotifyItems(Entity):
                                """
                                
                                
                                .. attribute:: clientnotify_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ClientNotifyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems.ClientNotifyList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems, self).__init__()

                                    self.yang_name = "cnotify-items"
                                    self.yang_parent_name = "ClntEntity-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("ClientNotify-list", ("clientnotify_list", System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems.ClientNotifyList))])
                                    self._leafs = OrderedDict()

                                    self.clientnotify_list = YList(self)
                                    self._segment_path = lambda: "cnotify-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems, [], name, value)


                                class ClientNotifyList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: notifyname  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: sent
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: fail
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rcvd
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ackrcvd
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: acksent
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ackfail
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems.ClientNotifyList, self).__init__()

                                        self.yang_name = "ClientNotify-list"
                                        self.yang_parent_name = "cnotify-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['notifyname']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('notifyname', (YLeaf(YType.str, 'notifyName'), ['str'])),
                                            ('sent', (YLeaf(YType.uint64, 'sent'), ['int'])),
                                            ('fail', (YLeaf(YType.uint64, 'fail'), ['int'])),
                                            ('rcvd', (YLeaf(YType.uint64, 'rcvd'), ['int'])),
                                            ('ackrcvd', (YLeaf(YType.uint64, 'ackRcvd'), ['int'])),
                                            ('acksent', (YLeaf(YType.uint64, 'ackSent'), ['int'])),
                                            ('ackfail', (YLeaf(YType.uint64, 'ackFail'), ['int'])),
                                        ])
                                        self.notifyname = None
                                        self.sent = None
                                        self.fail = None
                                        self.rcvd = None
                                        self.ackrcvd = None
                                        self.acksent = None
                                        self.ackfail = None
                                        self._segment_path = lambda: "ClientNotify-list" + "[notifyName='" + str(self.notifyname) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.ClientItems.ClntEntityList.CnotifyItems.ClientNotifyList, ['notifyname', 'sent', 'fail', 'rcvd', 'ackrcvd', 'acksent', 'ackfail'], name, value)






                    class MemestItems(Entity):
                        """
                        
                        
                        .. attribute:: currmaxgrp_items
                        
                        	
                        	**type**\:  :py:class:`CurrmaxgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: inusegrp_items
                        
                        	
                        	**type**\:  :py:class:`InusegrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: configmaxgrp_items
                        
                        	
                        	**type**\:  :py:class:`ConfigmaxgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: estgrp_items
                        
                        	
                        	**type**\:  :py:class:`EstgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems, self).__init__()

                            self.yang_name = "memest-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("currmaxgrp-items", ("currmaxgrp_items", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems)), ("inusegrp-items", ("inusegrp_items", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems)), ("configmaxgrp-items", ("configmaxgrp_items", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems)), ("estgrp-items", ("estgrp_items", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems))])
                            self._leafs = OrderedDict()

                            self.currmaxgrp_items = System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems()
                            self.currmaxgrp_items.parent = self
                            self._children_name_map["currmaxgrp_items"] = "currmaxgrp-items"

                            self.inusegrp_items = System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems()
                            self.inusegrp_items.parent = self
                            self._children_name_map["inusegrp_items"] = "inusegrp-items"

                            self.configmaxgrp_items = System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems()
                            self.configmaxgrp_items.parent = self
                            self._children_name_map["configmaxgrp_items"] = "configmaxgrp-items"

                            self.estgrp_items = System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems()
                            self.estgrp_items.parent = self
                            self._children_name_map["estgrp_items"] = "estgrp-items"
                            self._segment_path = lambda: "memest-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems, [], name, value)


                        class CurrmaxgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: currmaxmb_list
                            
                            	
                            	**type**\: list of  		 :py:class:`CurrMaxMBList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems.CurrMaxMBList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems, self).__init__()

                                self.yang_name = "currmaxgrp-items"
                                self.yang_parent_name = "memest-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("CurrMaxMB-list", ("currmaxmb_list", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems.CurrMaxMBList))])
                                self._leafs = OrderedDict()

                                self.currmaxmb_list = YList(self)
                                self._segment_path = lambda: "currmaxgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems, [], name, value)


                            class CurrMaxMBList(Entity):
                                """
                                
                                
                                .. attribute:: grpcount  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: srcpergrp  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: oifperentry  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems.CurrMaxMBList, self).__init__()

                                    self.yang_name = "CurrMaxMB-list"
                                    self.yang_parent_name = "currmaxgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpcount','srcpergrp','oifperentry']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpcount', (YLeaf(YType.uint32, 'grpCount'), ['int'])),
                                        ('srcpergrp', (YLeaf(YType.uint32, 'srcPerGrp'), ['int'])),
                                        ('oifperentry', (YLeaf(YType.uint32, 'oifPerEntry'), ['int'])),
                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                    ])
                                    self.grpcount = None
                                    self.srcpergrp = None
                                    self.oifperentry = None
                                    self.max = None
                                    self._segment_path = lambda: "CurrMaxMB-list" + "[grpCount='" + str(self.grpcount) + "']" + "[srcPerGrp='" + str(self.srcpergrp) + "']" + "[oifPerEntry='" + str(self.oifperentry) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.CurrmaxgrpItems.CurrMaxMBList, ['grpcount', 'srcpergrp', 'oifperentry', 'max'], name, value)




                        class InusegrpItems(Entity):
                            """
                            
                            
                            .. attribute:: inusekb_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InUseKBList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems.InUseKBList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems, self).__init__()

                                self.yang_name = "inusegrp-items"
                                self.yang_parent_name = "memest-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("InUseKB-list", ("inusekb_list", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems.InUseKBList))])
                                self._leafs = OrderedDict()

                                self.inusekb_list = YList(self)
                                self._segment_path = lambda: "inusegrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems, [], name, value)


                            class InUseKBList(Entity):
                                """
                                
                                
                                .. attribute:: grpcount  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: srcpergrp  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: oifperentry  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems.InUseKBList, self).__init__()

                                    self.yang_name = "InUseKB-list"
                                    self.yang_parent_name = "inusegrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpcount','srcpergrp','oifperentry']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpcount', (YLeaf(YType.uint32, 'grpCount'), ['int'])),
                                        ('srcpergrp', (YLeaf(YType.uint32, 'srcPerGrp'), ['int'])),
                                        ('oifperentry', (YLeaf(YType.uint32, 'oifPerEntry'), ['int'])),
                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                    ])
                                    self.grpcount = None
                                    self.srcpergrp = None
                                    self.oifperentry = None
                                    self.max = None
                                    self._segment_path = lambda: "InUseKB-list" + "[grpCount='" + str(self.grpcount) + "']" + "[srcPerGrp='" + str(self.srcpergrp) + "']" + "[oifPerEntry='" + str(self.oifperentry) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.InusegrpItems.InUseKBList, ['grpcount', 'srcpergrp', 'oifperentry', 'max'], name, value)




                        class ConfigmaxgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: configuredmaxmb_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ConfiguredMaxMBList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems.ConfiguredMaxMBList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems, self).__init__()

                                self.yang_name = "configmaxgrp-items"
                                self.yang_parent_name = "memest-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ConfiguredMaxMB-list", ("configuredmaxmb_list", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems.ConfiguredMaxMBList))])
                                self._leafs = OrderedDict()

                                self.configuredmaxmb_list = YList(self)
                                self._segment_path = lambda: "configmaxgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems, [], name, value)


                            class ConfiguredMaxMBList(Entity):
                                """
                                
                                
                                .. attribute:: grpcount  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: srcpergrp  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: oifperentry  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems.ConfiguredMaxMBList, self).__init__()

                                    self.yang_name = "ConfiguredMaxMB-list"
                                    self.yang_parent_name = "configmaxgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpcount','srcpergrp','oifperentry']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpcount', (YLeaf(YType.uint32, 'grpCount'), ['int'])),
                                        ('srcpergrp', (YLeaf(YType.uint32, 'srcPerGrp'), ['int'])),
                                        ('oifperentry', (YLeaf(YType.uint32, 'oifPerEntry'), ['int'])),
                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                    ])
                                    self.grpcount = None
                                    self.srcpergrp = None
                                    self.oifperentry = None
                                    self.max = None
                                    self._segment_path = lambda: "ConfiguredMaxMB-list" + "[grpCount='" + str(self.grpcount) + "']" + "[srcPerGrp='" + str(self.srcpergrp) + "']" + "[oifPerEntry='" + str(self.oifperentry) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.ConfigmaxgrpItems.ConfiguredMaxMBList, ['grpcount', 'srcpergrp', 'oifperentry', 'max'], name, value)




                        class EstgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: estmaxmb_list
                            
                            	
                            	**type**\: list of  		 :py:class:`EstMaxMBList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems.EstMaxMBList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems, self).__init__()

                                self.yang_name = "estgrp-items"
                                self.yang_parent_name = "memest-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("EstMaxMB-list", ("estmaxmb_list", System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems.EstMaxMBList))])
                                self._leafs = OrderedDict()

                                self.estmaxmb_list = YList(self)
                                self._segment_path = lambda: "estgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems, [], name, value)


                            class EstMaxMBList(Entity):
                                """
                                
                                
                                .. attribute:: grpcount  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: srcpergrp  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: oifperentry  (key)
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems.EstMaxMBList, self).__init__()

                                    self.yang_name = "EstMaxMB-list"
                                    self.yang_parent_name = "estgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpcount','srcpergrp','oifperentry']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpcount', (YLeaf(YType.uint32, 'grpCount'), ['int'])),
                                        ('srcpergrp', (YLeaf(YType.uint32, 'srcPerGrp'), ['int'])),
                                        ('oifperentry', (YLeaf(YType.uint32, 'oifPerEntry'), ['int'])),
                                        ('max', (YLeaf(YType.uint64, 'max'), ['int'])),
                                    ])
                                    self.grpcount = None
                                    self.srcpergrp = None
                                    self.oifperentry = None
                                    self.max = None
                                    self._segment_path = lambda: "EstMaxMB-list" + "[grpCount='" + str(self.grpcount) + "']" + "[srcPerGrp='" + str(self.srcpergrp) + "']" + "[oifPerEntry='" + str(self.oifperentry) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.MemestItems.EstgrpItems.EstMaxMBList, ['grpcount', 'srcpergrp', 'oifperentry', 'max'], name, value)





                    class VrfItems(Entity):
                        """
                        
                        
                        .. attribute:: vrf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems, self).__init__()

                            self.yang_name = "vrf-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList))])
                            self._leafs = OrderedDict()

                            self.vrf_list = YList(self)
                            self._segment_path = lambda: "vrf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems, [], name, value)


                        class VrfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: tableid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: totalnumroutes
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: totalnumgroups
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: stargroute
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: sgroute
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: stargprfx
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: group_items
                            
                            	
                            	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList, self).__init__()

                                self.yang_name = "Vrf-list"
                                self.yang_parent_name = "vrf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("group-items", ("group_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('cid', (YLeaf(YType.uint32, 'cid'), ['int'])),
                                    ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                                    ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                                    ('totalnumgroups', (YLeaf(YType.uint32, 'totalNumGroups'), ['int'])),
                                    ('stargroute', (YLeaf(YType.uint32, 'starGRoute'), ['int'])),
                                    ('sgroute', (YLeaf(YType.uint32, 'sgRoute'), ['int'])),
                                    ('stargprfx', (YLeaf(YType.uint32, 'starGPrfx'), ['int'])),
                                ])
                                self.name = None
                                self.cid = None
                                self.tableid = None
                                self.totalnumroutes = None
                                self.totalnumgroups = None
                                self.stargroute = None
                                self.sgroute = None
                                self.stargprfx = None

                                self.group_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems()
                                self.group_items.parent = self
                                self._children_name_map["group_items"] = "group-items"
                                self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList, ['name', 'cid', 'tableid', 'totalnumroutes', 'totalnumgroups', 'stargroute', 'sgroute', 'stargprfx'], name, value)


                            class GroupItems(Entity):
                                """
                                
                                
                                .. attribute:: group_list
                                
                                	
                                	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems, self).__init__()

                                    self.yang_name = "group-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Group-list", ("group_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList))])
                                    self._leafs = OrderedDict()

                                    self.group_list = YList(self)
                                    self._segment_path = lambda: "group-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems, [], name, value)


                                class GroupList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grpaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grpmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bidir
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: source_items
                                    
                                    	
                                    	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                        self.yang_name = "Group-list"
                                        self.yang_parent_name = "group-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['grpaddr']
                                        self._child_classes = OrderedDict([("source-items", ("source_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                        self._leafs = OrderedDict([
                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                            ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                        ])
                                        self.grpaddr = None
                                        self.grpmasklen = None
                                        self.bidir = None

                                        self.source_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                        self.source_items.parent = self
                                        self._children_name_map["source_items"] = "source-items"
                                        self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                    class SourceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: source_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                            self.yang_name = "source-items"
                                            self.yang_parent_name = "Group-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Source-list", ("source_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                            self._leafs = OrderedDict()

                                            self.source_list = YList(self)
                                            self._segment_path = lambda: "source-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                        class SourceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: srcaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pending
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: uptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oifcount
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: statspkts
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: statsbytes
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: statsratebuf
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lispsrcrloc
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routeiif
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfnbr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: internal
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfnbruptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: fabricoif
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: fabricloser
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: numvpcsvioifs
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routemdtiod
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: mdtencapindex
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: mpib_items
                                            
                                            	
                                            	**type**\:  :py:class:`MpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oif_items
                                            
                                            	
                                            	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                self.yang_name = "Source-list"
                                                self.yang_parent_name = "source-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['srcaddr']
                                                self._child_classes = OrderedDict([("mpib-items", ("mpib_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems)), ("oif-items", ("oif_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                                self._leafs = OrderedDict([
                                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                    ('pending', (YLeaf(YType.boolean, 'pending'), ['bool'])),
                                                    ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                    ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                    ('statspkts', (YLeaf(YType.uint32, 'statsPkts'), ['int'])),
                                                    ('statsbytes', (YLeaf(YType.uint32, 'statsBytes'), ['int'])),
                                                    ('statsratebuf', (YLeaf(YType.str, 'statsRateBuf'), ['str'])),
                                                    ('lispsrcrloc', (YLeaf(YType.str, 'lispSrcRloc'), ['str'])),
                                                    ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                    ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                    ('internal', (YLeaf(YType.boolean, 'internal'), ['bool'])),
                                                    ('rpfnbruptime', (YLeaf(YType.str, 'rpfNbrUptime'), ['str'])),
                                                    ('fabricoif', (YLeaf(YType.boolean, 'fabricOif'), ['bool'])),
                                                    ('fabricloser', (YLeaf(YType.boolean, 'fabricLoser'), ['bool'])),
                                                    ('numvpcsvioifs', (YLeaf(YType.uint32, 'numVpcSviOifs'), ['int'])),
                                                    ('routemdtiod', (YLeaf(YType.boolean, 'routeMdtIod'), ['bool'])),
                                                    ('mdtencapindex', (YLeaf(YType.uint32, 'mdtEncapIndex'), ['int'])),
                                                ])
                                                self.srcaddr = None
                                                self.pending = None
                                                self.uptime = None
                                                self.oifcount = None
                                                self.statspkts = None
                                                self.statsbytes = None
                                                self.statsratebuf = None
                                                self.lispsrcrloc = None
                                                self.routeiif = None
                                                self.rpfnbr = None
                                                self.internal = None
                                                self.rpfnbruptime = None
                                                self.fabricoif = None
                                                self.fabricloser = None
                                                self.numvpcsvioifs = None
                                                self.routemdtiod = None
                                                self.mdtencapindex = None

                                                self.mpib_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems()
                                                self.mpib_items.parent = self
                                                self._children_name_map["mpib_items"] = "mpib-items"

                                                self.oif_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                                self.oif_items.parent = self
                                                self._children_name_map["oif_items"] = "oif-items"
                                                self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'pending', 'uptime', 'oifcount', 'statspkts', 'statsbytes', 'statsratebuf', 'lispsrcrloc', 'routeiif', 'rpfnbr', 'internal', 'rpfnbruptime', 'fabricoif', 'fabricloser', 'numvpcsvioifs', 'routemdtiod', 'mdtencapindex'], name, value)


                                            class MpibItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mpib_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`MpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, self).__init__()

                                                    self.yang_name = "mpib-items"
                                                    self.yang_parent_name = "Source-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Mpib-list", ("mpib_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList))])
                                                    self._leafs = OrderedDict()

                                                    self.mpib_list = YList(self)
                                                    self._segment_path = lambda: "mpib-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, [], name, value)


                                                class MpibList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: mpibname  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifcount
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: staleroute
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, self).__init__()

                                                        self.yang_name = "Mpib-list"
                                                        self.yang_parent_name = "mpib-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['mpibname']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('mpibname', (YLeaf(YType.str, 'mpibName'), ['str'])),
                                                            ('oifcount', (YLeaf(YType.uint32, 'oifCount'), ['int'])),
                                                            ('staleroute', (YLeaf(YType.boolean, 'staleRoute'), ['bool'])),
                                                        ])
                                                        self.mpibname = None
                                                        self.oifcount = None
                                                        self.staleroute = None
                                                        self._segment_path = lambda: "Mpib-list" + "[mpibName='" + str(self.mpibname) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, ['mpibname', 'oifcount', 'staleroute'], name, value)




                                            class OifItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oif_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                    self.yang_name = "oif-items"
                                                    self.yang_parent_name = "Source-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                    self._leafs = OrderedDict()

                                                    self.oif_list = YList(self)
                                                    self._segment_path = lambda: "oif-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                                class OifList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oifname  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifuptime
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifrpf
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oiflispencapentries
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: lispencap_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispencapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifmpib_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`OifmpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                        self.yang_name = "Oif-list"
                                                        self.yang_parent_name = "oif-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['oifname']
                                                        self._child_classes = OrderedDict([("lispencap-items", ("lispencap_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems)), ("oifmpib-items", ("oifmpib_items", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems))])
                                                        self._leafs = OrderedDict([
                                                            ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                            ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                            ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                            ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                        ])
                                                        self.oifname = None
                                                        self.oifuptime = None
                                                        self.oifrpf = None
                                                        self.oiflispencapentries = None

                                                        self.lispencap_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems()
                                                        self.lispencap_items.parent = self
                                                        self._children_name_map["lispencap_items"] = "lispencap-items"

                                                        self.oifmpib_items = System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems()
                                                        self.oifmpib_items.parent = self
                                                        self._children_name_map["oifmpib_items"] = "oifmpib-items"
                                                        self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)


                                                    class LispencapItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: lispencap_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`LispEncapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems, self).__init__()

                                                            self.yang_name = "lispencap-items"
                                                            self.yang_parent_name = "Oif-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("LispEncap-list", ("lispencap_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList))])
                                                            self._leafs = OrderedDict()

                                                            self.lispencap_list = YList(self)
                                                            self._segment_path = lambda: "lispencap-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems, [], name, value)


                                                        class LispEncapList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: index  (key)
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: srcrloc
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: dstrloc
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList, self).__init__()

                                                                self.yang_name = "LispEncap-list"
                                                                self.yang_parent_name = "lispencap-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['index']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                                                    ('srcrloc', (YLeaf(YType.str, 'srcRloc'), ['str','str'])),
                                                                    ('dstrloc', (YLeaf(YType.str, 'dstRloc'), ['str','str'])),
                                                                ])
                                                                self.index = None
                                                                self.srcrloc = None
                                                                self.dstrloc = None
                                                                self._segment_path = lambda: "LispEncap-list" + "[index='" + str(self.index) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList, ['index', 'srcrloc', 'dstrloc'], name, value)




                                                    class OifmpibItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: oifmpib_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`OifMpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems, self).__init__()

                                                            self.yang_name = "oifmpib-items"
                                                            self.yang_parent_name = "Oif-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("OifMpib-list", ("oifmpib_list", System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList))])
                                                            self._leafs = OrderedDict()

                                                            self.oifmpib_list = YList(self)
                                                            self._segment_path = lambda: "oifmpib-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems, [], name, value)


                                                        class OifMpibList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: oifmpibname  (key)
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: staleoif
                                                            
                                                            	
                                                            	**type**\: bool
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: vpcsvi
                                                            
                                                            	
                                                            	**type**\: bool
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList, self).__init__()

                                                                self.yang_name = "OifMpib-list"
                                                                self.yang_parent_name = "oifmpib-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['oifmpibname']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('oifmpibname', (YLeaf(YType.str, 'oifMpibName'), ['str'])),
                                                                    ('staleoif', (YLeaf(YType.boolean, 'staleOif'), ['bool'])),
                                                                    ('vpcsvi', (YLeaf(YType.boolean, 'vpcSvi'), ['bool'])),
                                                                ])
                                                                self.oifmpibname = None
                                                                self.staleoif = None
                                                                self.vpcsvi = None
                                                                self._segment_path = lambda: "OifMpib-list" + "[oifMpibName='" + str(self.oifmpibname) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.M6ribItems.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList, ['oifmpibname', 'staleoif', 'vpcsvi'], name, value)














            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.M6ribItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.M6ribItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.M6ribItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Domain Controls
                    	**type**\: str
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1500..65536
                    
                    .. attribute:: autoenable
                    
                    	Auto Enable
                    	**type**\: bool
                    
                    .. attribute:: lognbhchng
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flushroutes
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: jpdelay
                    
                    	Join\-Prune message inter\-packet delay
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: regratelmt
                    
                    	Register rate limit for data packets per second
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: config_items
                    
                    	
                    	**type**\:  :py:class:`ConfigItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.ConfigItems>`
                    
                    .. attribute:: rpfmeter_items
                    
                    	
                    	**type**\:  :py:class:`RpfmeterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.RpfmeterItems>`
                    
                    .. attribute:: lasthopmeter_items
                    
                    	
                    	**type**\:  :py:class:`LasthopmeterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.LasthopmeterItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventhistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.EventhistItems>`
                    
                    .. attribute:: loglevel_items
                    
                    	
                    	**type**\:  :py:class:`LoglevelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.LoglevelItems>`
                    
                    .. attribute:: notify_items
                    
                    	
                    	**type**\:  :py:class:`NotifyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.NotifyItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.M6ribItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("config-items", ("config_items", System.M6ribItems.InstItems.DomItems.DomList.ConfigItems)), ("rpfmeter-items", ("rpfmeter_items", System.M6ribItems.InstItems.DomItems.DomList.RpfmeterItems)), ("lasthopmeter-items", ("lasthopmeter_items", System.M6ribItems.InstItems.DomItems.DomList.LasthopmeterItems)), ("eventhist-items", ("eventhist_items", System.M6ribItems.InstItems.DomItems.DomList.EventhistItems)), ("loglevel-items", ("loglevel_items", System.M6ribItems.InstItems.DomItems.DomList.LoglevelItems)), ("notify-items", ("notify_items", System.M6ribItems.InstItems.DomItems.DomList.NotifyItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                            ('autoenable', (YLeaf(YType.boolean, 'autoEnable'), ['bool'])),
                            ('lognbhchng', (YLeaf(YType.boolean, 'logNbhChng'), ['bool'])),
                            ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                            ('bfd', (YLeaf(YType.boolean, 'bfd'), ['bool'])),
                            ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                            ('regratelmt', (YLeaf(YType.uint32, 'regRateLmt'), ['int'])),
                        ])
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.mtu = None
                        self.autoenable = None
                        self.lognbhchng = None
                        self.flushroutes = None
                        self.bfd = None
                        self.jpdelay = None
                        self.regratelmt = None

                        self.config_items = System.M6ribItems.InstItems.DomItems.DomList.ConfigItems()
                        self.config_items.parent = self
                        self._children_name_map["config_items"] = "config-items"

                        self.rpfmeter_items = System.M6ribItems.InstItems.DomItems.DomList.RpfmeterItems()
                        self.rpfmeter_items.parent = self
                        self._children_name_map["rpfmeter_items"] = "rpfmeter-items"

                        self.lasthopmeter_items = System.M6ribItems.InstItems.DomItems.DomList.LasthopmeterItems()
                        self.lasthopmeter_items.parent = self
                        self._children_name_map["lasthopmeter_items"] = "lasthopmeter-items"

                        self.eventhist_items = System.M6ribItems.InstItems.DomItems.DomList.EventhistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventhist-items"

                        self.loglevel_items = System.M6ribItems.InstItems.DomItems.DomList.LoglevelItems()
                        self.loglevel_items.parent = self
                        self._children_name_map["loglevel_items"] = "loglevel-items"

                        self.notify_items = System.M6ribItems.InstItems.DomItems.DomList.NotifyItems()
                        self.notify_items.parent = self
                        self._children_name_map["notify_items"] = "notify-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList, ['name', 'adminst', 'ctrl', 'mtu', 'autoenable', 'lognbhchng', 'flushroutes', 'bfd', 'jpdelay', 'regratelmt'], name, value)


                    class ConfigItems(Entity):
                        """
                        
                        
                        .. attribute:: holdenable
                        
                        	Holddown Enable
                        	**type**\:  :py:class:`M6ribHoldAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.M6ribHoldAdminSt>`
                        
                        .. attribute:: holddown
                        
                        	holddown second
                        	**type**\: int
                        
                        	**range:** 90..210
                        
                        .. attribute:: compressbit
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.ConfigItems, self).__init__()

                            self.yang_name = "config-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('holdenable', (YLeaf(YType.enumeration, 'holdEnable'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'M6ribHoldAdminSt', '')])),
                                ('holddown', (YLeaf(YType.uint16, 'holddown'), ['int'])),
                                ('compressbit', (YLeaf(YType.boolean, 'compressBit'), ['bool'])),
                            ])
                            self.holdenable = None
                            self.holddown = None
                            self.compressbit = None
                            self._segment_path = lambda: "config-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.ConfigItems, ['holdenable', 'holddown', 'compressbit'], name, value)



                    class RpfmeterItems(Entity):
                        """
                        
                        
                        .. attribute:: hwdropall
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: kbps
                        
                        	rpf\-meter in killobytes/seconds
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: burstsize
                        
                        	rpf\-meter in killobytes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.RpfmeterItems, self).__init__()

                            self.yang_name = "rpfmeter-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('hwdropall', (YLeaf(YType.boolean, 'hwDropAll'), ['bool'])),
                                ('kbps', (YLeaf(YType.uint32, 'kbps'), ['int'])),
                                ('burstsize', (YLeaf(YType.uint32, 'burstSize'), ['int'])),
                            ])
                            self.hwdropall = None
                            self.kbps = None
                            self.burstsize = None
                            self._segment_path = lambda: "rpfmeter-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.RpfmeterItems, ['hwdropall', 'kbps', 'burstsize'], name, value)



                    class LasthopmeterItems(Entity):
                        """
                        
                        
                        .. attribute:: kbps
                        
                        	rpf\-meter in killobytes/seconds
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: burstsize
                        
                        	rpf\-meter in killobytes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.LasthopmeterItems, self).__init__()

                            self.yang_name = "lasthopmeter-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('kbps', (YLeaf(YType.uint32, 'kbps'), ['int'])),
                                ('burstsize', (YLeaf(YType.uint32, 'burstSize'), ['int'])),
                            ])
                            self.kbps = None
                            self.burstsize = None
                            self._segment_path = lambda: "lasthopmeter-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.LasthopmeterItems, ['kbps', 'burstsize'], name, value)



                    class EventhistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.DomItems.DomList.EventhistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.EventhistItems, self).__init__()

                            self.yang_name = "eventhist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.M6ribItems.InstItems.DomItems.DomList.EventhistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventhist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.EventhistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history
                            	**type**\:  :py:class:`M6ribEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.M6ribEhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.DomItems.DomList.EventhistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventhist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'M6ribEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.EventhistItems.EventHistoryList, ['type', 'size'], name, value)




                    class LoglevelItems(Entity):
                        """
                        
                        
                        .. attribute:: level
                        
                        	Logging Level
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: type
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.LoglevelItems, self).__init__()

                            self.yang_name = "loglevel-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('level', (YLeaf(YType.uint16, 'level'), ['int'])),
                                ('type', (YLeaf(YType.str, 'type'), ['str'])),
                            ])
                            self.level = None
                            self.type = None
                            self._segment_path = lambda: "loglevel-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.LoglevelItems, ['level', 'type'], name, value)



                    class NotifyItems(Entity):
                        """
                        
                        
                        .. attribute:: interval
                        
                        	Notify Interval
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.DomItems.DomList.NotifyItems, self).__init__()

                            self.yang_name = "notify-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                            ])
                            self.interval = None
                            self._segment_path = lambda: "notify-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.DomItems.DomList.NotifyItems, ['interval'], name, value)





            class RoutedbItems(Entity):
                """
                
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.M6ribItems.InstItems.RoutedbItems, self).__init__()

                    self.yang_name = "routedb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems))])
                    self._leafs = OrderedDict()

                    self.vrf_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"
                    self._segment_path = lambda: "routedb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems, [], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.M6ribItems.InstItems.RoutedbItems.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "routedb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList))])
                        self._leafs = OrderedDict()

                        self.vrf_list = YList(self)
                        self._segment_path = lambda: "vrf-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/routedb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems, [], name, value)


                    class VrfList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: cid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: tableid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: totalnumroutes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: totalnumgroups
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: stargroute
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: sgroute
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: stargprfx
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: group_items
                        
                        	
                        	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList, self).__init__()

                            self.yang_name = "Vrf-list"
                            self.yang_parent_name = "vrf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("group-items", ("group_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('cid', (YLeaf(YType.uint32, 'cid'), ['int'])),
                                ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                                ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                                ('totalnumgroups', (YLeaf(YType.uint32, 'totalNumGroups'), ['int'])),
                                ('stargroute', (YLeaf(YType.uint32, 'starGRoute'), ['int'])),
                                ('sgroute', (YLeaf(YType.uint32, 'sgRoute'), ['int'])),
                                ('stargprfx', (YLeaf(YType.uint32, 'starGPrfx'), ['int'])),
                            ])
                            self.name = None
                            self.cid = None
                            self.tableid = None
                            self.totalnumroutes = None
                            self.totalnumgroups = None
                            self.stargroute = None
                            self.sgroute = None
                            self.stargprfx = None

                            self.group_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems()
                            self.group_items.parent = self
                            self._children_name_map["group_items"] = "group-items"
                            self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/m6rib-items/inst-items/routedb-items/vrf-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList, ['name', 'cid', 'tableid', 'totalnumroutes', 'totalnumgroups', 'stargroute', 'sgroute', 'stargprfx'], name, value)


                        class GroupItems(Entity):
                            """
                            
                            
                            .. attribute:: group_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, self).__init__()

                                self.yang_name = "group-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Group-list", ("group_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList))])
                                self._leafs = OrderedDict()

                                self.group_list = YList(self)
                                self._segment_path = lambda: "group-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, [], name, value)


                            class GroupList(Entity):
                                """
                                
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: grpmasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bidir
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: source_items
                                
                                	
                                	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                    self.yang_name = "Group-list"
                                    self.yang_parent_name = "group-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpaddr']
                                    self._child_classes = OrderedDict([("source-items", ("source_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                    self._leafs = OrderedDict([
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                        ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                    ])
                                    self.grpaddr = None
                                    self.grpmasklen = None
                                    self.bidir = None

                                    self.source_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                    self.source_items.parent = self
                                    self._children_name_map["source_items"] = "source-items"
                                    self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                class SourceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: source_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                        self.yang_name = "source-items"
                                        self.yang_parent_name = "Group-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Source-list", ("source_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                        self._leafs = OrderedDict()

                                        self.source_list = YList(self)
                                        self._segment_path = lambda: "source-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                    class SourceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: srcaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pending
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: uptime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifcount
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statspkts
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statsbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statsratebuf
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lispsrcrloc
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routeiif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpfnbr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: internal
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpfnbruptime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: fabricoif
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: fabricloser
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numvpcsvioifs
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routemdtiod
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mdtencapindex
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mpib_items
                                        
                                        	
                                        	**type**\:  :py:class:`MpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                            self.yang_name = "Source-list"
                                            self.yang_parent_name = "source-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['srcaddr']
                                            self._child_classes = OrderedDict([("mpib-items", ("mpib_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems)), ("oif-items", ("oif_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                ('pending', (YLeaf(YType.boolean, 'pending'), ['bool'])),
                                                ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                ('statspkts', (YLeaf(YType.uint32, 'statsPkts'), ['int'])),
                                                ('statsbytes', (YLeaf(YType.uint32, 'statsBytes'), ['int'])),
                                                ('statsratebuf', (YLeaf(YType.str, 'statsRateBuf'), ['str'])),
                                                ('lispsrcrloc', (YLeaf(YType.str, 'lispSrcRloc'), ['str'])),
                                                ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                ('internal', (YLeaf(YType.boolean, 'internal'), ['bool'])),
                                                ('rpfnbruptime', (YLeaf(YType.str, 'rpfNbrUptime'), ['str'])),
                                                ('fabricoif', (YLeaf(YType.boolean, 'fabricOif'), ['bool'])),
                                                ('fabricloser', (YLeaf(YType.boolean, 'fabricLoser'), ['bool'])),
                                                ('numvpcsvioifs', (YLeaf(YType.uint32, 'numVpcSviOifs'), ['int'])),
                                                ('routemdtiod', (YLeaf(YType.boolean, 'routeMdtIod'), ['bool'])),
                                                ('mdtencapindex', (YLeaf(YType.uint32, 'mdtEncapIndex'), ['int'])),
                                            ])
                                            self.srcaddr = None
                                            self.pending = None
                                            self.uptime = None
                                            self.oifcount = None
                                            self.statspkts = None
                                            self.statsbytes = None
                                            self.statsratebuf = None
                                            self.lispsrcrloc = None
                                            self.routeiif = None
                                            self.rpfnbr = None
                                            self.internal = None
                                            self.rpfnbruptime = None
                                            self.fabricoif = None
                                            self.fabricloser = None
                                            self.numvpcsvioifs = None
                                            self.routemdtiod = None
                                            self.mdtencapindex = None

                                            self.mpib_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems()
                                            self.mpib_items.parent = self
                                            self._children_name_map["mpib_items"] = "mpib-items"

                                            self.oif_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'pending', 'uptime', 'oifcount', 'statspkts', 'statsbytes', 'statsratebuf', 'lispsrcrloc', 'routeiif', 'rpfnbr', 'internal', 'rpfnbruptime', 'fabricoif', 'fabricloser', 'numvpcsvioifs', 'routemdtiod', 'mdtencapindex'], name, value)


                                        class MpibItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mpib_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`MpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, self).__init__()

                                                self.yang_name = "mpib-items"
                                                self.yang_parent_name = "Source-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Mpib-list", ("mpib_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList))])
                                                self._leafs = OrderedDict()

                                                self.mpib_list = YList(self)
                                                self._segment_path = lambda: "mpib-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, [], name, value)


                                            class MpibList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mpibname  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: staleroute
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, self).__init__()

                                                    self.yang_name = "Mpib-list"
                                                    self.yang_parent_name = "mpib-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['mpibname']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('mpibname', (YLeaf(YType.str, 'mpibName'), ['str'])),
                                                        ('oifcount', (YLeaf(YType.uint32, 'oifCount'), ['int'])),
                                                        ('staleroute', (YLeaf(YType.boolean, 'staleRoute'), ['bool'])),
                                                    ])
                                                    self.mpibname = None
                                                    self.oifcount = None
                                                    self.staleroute = None
                                                    self._segment_path = lambda: "Mpib-list" + "[mpibName='" + str(self.mpibname) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, ['mpibname', 'oifcount', 'staleroute'], name, value)




                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oif_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "Source-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                self._leafs = OrderedDict()

                                                self.oif_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                            class OifList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oifname  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifuptime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifrpf
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oiflispencapentries
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lispencap_items
                                                
                                                	
                                                	**type**\:  :py:class:`LispencapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifmpib_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifmpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                    self.yang_name = "Oif-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['oifname']
                                                    self._child_classes = OrderedDict([("lispencap-items", ("lispencap_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems)), ("oifmpib-items", ("oifmpib_items", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems))])
                                                    self._leafs = OrderedDict([
                                                        ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                        ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                        ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                        ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                    ])
                                                    self.oifname = None
                                                    self.oifuptime = None
                                                    self.oifrpf = None
                                                    self.oiflispencapentries = None

                                                    self.lispencap_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems()
                                                    self.lispencap_items.parent = self
                                                    self._children_name_map["lispencap_items"] = "lispencap-items"

                                                    self.oifmpib_items = System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems()
                                                    self.oifmpib_items.parent = self
                                                    self._children_name_map["oifmpib_items"] = "oifmpib-items"
                                                    self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)


                                                class LispencapItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lispencap_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LispEncapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems, self).__init__()

                                                        self.yang_name = "lispencap-items"
                                                        self.yang_parent_name = "Oif-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LispEncap-list", ("lispencap_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList))])
                                                        self._leafs = OrderedDict()

                                                        self.lispencap_list = YList(self)
                                                        self._segment_path = lambda: "lispencap-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems, [], name, value)


                                                    class LispEncapList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: index  (key)
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: srcrloc
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dstrloc
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList, self).__init__()

                                                            self.yang_name = "LispEncap-list"
                                                            self.yang_parent_name = "lispencap-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['index']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                                                ('srcrloc', (YLeaf(YType.str, 'srcRloc'), ['str','str'])),
                                                                ('dstrloc', (YLeaf(YType.str, 'dstRloc'), ['str','str'])),
                                                            ])
                                                            self.index = None
                                                            self.srcrloc = None
                                                            self.dstrloc = None
                                                            self._segment_path = lambda: "LispEncap-list" + "[index='" + str(self.index) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispencapItems.LispEncapList, ['index', 'srcrloc', 'dstrloc'], name, value)




                                                class OifmpibItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oifmpib_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifMpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems, self).__init__()

                                                        self.yang_name = "oifmpib-items"
                                                        self.yang_parent_name = "Oif-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifMpib-list", ("oifmpib_list", System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList))])
                                                        self._leafs = OrderedDict()

                                                        self.oifmpib_list = YList(self)
                                                        self._segment_path = lambda: "oifmpib-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems, [], name, value)


                                                    class OifMpibList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: oifmpibname  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: staleoif
                                                        
                                                        	
                                                        	**type**\: bool
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: vpcsvi
                                                        
                                                        	
                                                        	**type**\: bool
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList, self).__init__()

                                                            self.yang_name = "OifMpib-list"
                                                            self.yang_parent_name = "oifmpib-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['oifmpibname']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('oifmpibname', (YLeaf(YType.str, 'oifMpibName'), ['str'])),
                                                                ('staleoif', (YLeaf(YType.boolean, 'staleOif'), ['bool'])),
                                                                ('vpcsvi', (YLeaf(YType.boolean, 'vpcSvi'), ['bool'])),
                                                            ])
                                                            self.oifmpibname = None
                                                            self.staleoif = None
                                                            self.vpcsvi = None
                                                            self._segment_path = lambda: "OifMpib-list" + "[oifMpibName='" + str(self.oifmpibname) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.M6ribItems.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifmpibItems.OifMpibList, ['oifmpibname', 'staleoif', 'vpcsvi'], name, value)















    class MacsecItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MacsecItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MacsecItems, self).__init__()

            self.yang_name = "macsec-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.MacsecItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.MacsecItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "macsec-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MacsecItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MacsecItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "macsec-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/macsec-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MacsecItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)




    class McastfwdItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McastfwdItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.McastfwdItems, self).__init__()

            self.yang_name = "mcastfwd-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.McastfwdItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.McastfwdItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "mcastfwd-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.McastfwdItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: jpdelay
            
            	Inter Packet Delay
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: nrdelay
            
            	Null Register Inter Batch Delay
            	**type**\: int
            
            	**range:** 1..50000
            
            .. attribute:: nrnumrt
            
            	Null Register Number of Routes
            	**type**\: int
            
            	**range:** 1..32000
            
            .. attribute:: regstop
            
            	
            	**type**\: bool
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McastfwdItems.InstItems.DomItems>`
            
            .. attribute:: eventhist_items
            
            	
            	**type**\:  :py:class:`EventhistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McastfwdItems.InstItems.EventhistItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.McastfwdItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "mcastfwd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.McastfwdItems.InstItems.DomItems)), ("eventhist-items", ("eventhist_items", System.McastfwdItems.InstItems.EventhistItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                    ('nrdelay', (YLeaf(YType.uint16, 'nrDelay'), ['int'])),
                    ('nrnumrt', (YLeaf(YType.uint16, 'nrNumRt'), ['int'])),
                    ('regstop', (YLeaf(YType.boolean, 'regStop'), ['bool'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self.jpdelay = None
                self.nrdelay = None
                self.nrnumrt = None
                self.regstop = None

                self.dom_items = System.McastfwdItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.eventhist_items = System.McastfwdItems.InstItems.EventhistItems()
                self.eventhist_items.parent = self
                self._children_name_map["eventhist_items"] = "eventhist-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcastfwd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.McastfwdItems.InstItems, ['name', 'adminst', 'ctrl', 'opererr', 'jpdelay', 'nrdelay', 'nrnumrt', 'regstop'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: ctrl
                
                	Domain Controls
                	**type**\: str
                
                .. attribute:: mtu
                
                	Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1500..65536
                
                .. attribute:: autoenable
                
                	Auto Enable
                	**type**\: bool
                
                .. attribute:: lognbhchng
                
                	
                	**type**\: bool
                
                .. attribute:: flushroutes
                
                	
                	**type**\: bool
                
                .. attribute:: bfd
                
                	
                	**type**\: bool
                
                .. attribute:: jpdelay
                
                	Join\-Prune message inter\-packet delay
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: regratelmt
                
                	Register rate limit for data packets per second
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.McastfwdItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                        ('autoenable', (YLeaf(YType.boolean, 'autoEnable'), ['bool'])),
                        ('lognbhchng', (YLeaf(YType.boolean, 'logNbhChng'), ['bool'])),
                        ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                        ('bfd', (YLeaf(YType.boolean, 'bfd'), ['bool'])),
                        ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                        ('regratelmt', (YLeaf(YType.uint32, 'regRateLmt'), ['int'])),
                    ])
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self.mtu = None
                    self.autoenable = None
                    self.lognbhchng = None
                    self.flushroutes = None
                    self.bfd = None
                    self.jpdelay = None
                    self.regratelmt = None
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcastfwd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.McastfwdItems.InstItems.DomItems, ['name', 'adminst', 'ctrl', 'mtu', 'autoenable', 'lognbhchng', 'flushroutes', 'bfd', 'jpdelay', 'regratelmt'], name, value)



            class EventhistItems(Entity):
                """
                
                
                .. attribute:: eventhistory_list
                
                	
                	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.McastfwdItems.InstItems.EventhistItems.EventHistoryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.McastfwdItems.InstItems.EventhistItems, self).__init__()

                    self.yang_name = "eventhist-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.McastfwdItems.InstItems.EventhistItems.EventHistoryList))])
                    self._leafs = OrderedDict()

                    self.eventhistory_list = YList(self)
                    self._segment_path = lambda: "eventhist-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcastfwd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.McastfwdItems.InstItems.EventhistItems, [], name, value)


                class EventHistoryList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Configures type of event history
                    	**type**\:  :py:class:`McastfwdEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastfwdEhType>`
                    
                    .. attribute:: size
                    
                    	Configures buffer size in text/kb
                    	**type**\: int
                    
                    	**range:** 0..4 \| 5..4294967295
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.McastfwdItems.InstItems.EventhistItems.EventHistoryList, self).__init__()

                        self.yang_name = "EventHistory-list"
                        self.yang_parent_name = "eventhist-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastfwdEhType', '')])),
                            ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                        ])
                        self.type = None
                        self.size = None
                        self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mcastfwd-items/inst-items/eventhist-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.McastfwdItems.InstItems.EventhistItems.EventHistoryList, ['type', 'size'], name, value)






    class MldsnoopItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        	**config**\: False
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        	**config**\: False
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MldsnoopItems, self).__init__()

            self.yang_name = "mldsnoop-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.MldsnoopItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.MldsnoopItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "mldsnoop-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MldsnoopItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: allrtrmcastencap
            
            	All Router Multicast Encapsulation
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: str
            
            	**config**\: False
            
            .. attribute:: flags
            
            	Flags
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems>`
            
            .. attribute:: inststats_items
            
            	
            	**type**\:  :py:class:`InststatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.InststatsItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MldsnoopItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "mldsnoop-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.MldsnoopItems.InstItems.DomItems)), ("inststats-items", ("inststats_items", System.MldsnoopItems.InstItems.InststatsItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('allrtrmcastencap', (YLeaf(YType.str, 'allRtrMcastEncap'), ['str','str'])),
                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.allrtrmcastencap = None
                self.flags = None

                self.dom_items = System.MldsnoopItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.inststats_items = System.MldsnoopItems.InstItems.InststatsItems()
                self.inststats_items.parent = self
                self._children_name_map["inststats_items"] = "inststats-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mldsnoop-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MldsnoopItems.InstItems, ['name', 'adminst', 'ctrl', 'allrtrmcastencap', 'flags'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MldsnoopItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.MldsnoopItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mldsnoop-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: encap  (key)
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: id
                    
                    	ID
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    	**config**\: False
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    	**config**\: False
                    
                    .. attribute:: ctrl
                    
                    	Controls
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	Flags
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: domstats_items
                    
                    	
                    	**type**\:  :py:class:`DomstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DomstatsItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: strtrif_items
                    
                    	
                    	**type**\:  :py:class:`StrtrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtrif_items
                    
                    	
                    	**type**\:  :py:class:`RtrifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: querierp_items
                    
                    	
                    	**type**\:  :py:class:`QuerierpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.QuerierpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: querierst_items
                    
                    	
                    	**type**\:  :py:class:`QuerierstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.QuerierstItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MldsnoopItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['encap']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems)), ("domstats-items", ("domstats_items", System.MldsnoopItems.InstItems.DomItems.DomList.DomstatsItems)), ("strtrif-items", ("strtrif_items", System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems)), ("rtrif-items", ("rtrif_items", System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems)), ("querierp-items", ("querierp_items", System.MldsnoopItems.InstItems.DomItems.DomList.QuerierpItems)), ("querierst-items", ("querierst_items", System.MldsnoopItems.InstItems.DomItems.DomList.QuerierstItems))])
                        self._leafs = OrderedDict([
                            ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                        ])
                        self.encap = None
                        self.name = None
                        self.id = None
                        self.adminst = None
                        self.ctrl = None
                        self.flags = None

                        self.db_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.domstats_items = System.MldsnoopItems.InstItems.DomItems.DomList.DomstatsItems()
                        self.domstats_items.parent = self
                        self._children_name_map["domstats_items"] = "domstats-items"

                        self.strtrif_items = System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems()
                        self.strtrif_items.parent = self
                        self._children_name_map["strtrif_items"] = "strtrif-items"

                        self.rtrif_items = System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems()
                        self.rtrif_items.parent = self
                        self._children_name_map["rtrif_items"] = "rtrif-items"

                        self.querierp_items = System.MldsnoopItems.InstItems.DomItems.DomList.QuerierpItems()
                        self.querierp_items.parent = self
                        self._children_name_map["querierp_items"] = "querierp-items"

                        self.querierst_items = System.MldsnoopItems.InstItems.DomItems.DomList.QuerierstItems()
                        self.querierst_items.parent = self
                        self._children_name_map["querierst_items"] = "querierst-items"
                        self._segment_path = lambda: "Dom-list" + "[encap='" + str(self.encap) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mldsnoop-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList, ['encap', 'name', 'id', 'adminst', 'ctrl', 'flags'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Database Type
                            	**type**\:  :py:class:`IpmcsnoopDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.IpmcsnoopDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: totalmaccount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: mcgrp_items
                            
                            	
                            	**type**\:  :py:class:`McgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("mcgrp-items", ("mcgrp_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'IpmcsnoopDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('totalmaccount', (YLeaf(YType.uint32, 'totalMacCount'), ['int'])),
                                ])
                                self.type = None
                                self.name = None
                                self.totalmaccount = None

                                self.mcgrp_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems()
                                self.mcgrp_items.parent = self
                                self._children_name_map["mcgrp_items"] = "mcgrp-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name', 'totalmaccount'], name, value)


                            class McgrpItems(Entity):
                                """
                                
                                
                                .. attribute:: mcgrprec_list
                                
                                	
                                	**type**\: list of  		 :py:class:`McGrpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems, self).__init__()

                                    self.yang_name = "mcgrp-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("McGrpRec-list", ("mcgrprec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList))])
                                    self._leafs = OrderedDict()

                                    self.mcgrprec_list = YList(self)
                                    self._segment_path = lambda: "mcgrp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems, [], name, value)


                                class McGrpRecList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	Multicast Group Address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	Version
                                    	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: epg_items
                                    
                                    	
                                    	**type**\:  :py:class:`EpgItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rep_items
                                    
                                    	
                                    	**type**\:  :py:class:`RepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList, self).__init__()

                                        self.yang_name = "McGrpRec-list"
                                        self.yang_parent_name = "mcgrp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([("epg-items", ("epg_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems)), ("rep-items", ("rep_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems))])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.ver = None

                                        self.epg_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems()
                                        self.epg_items.parent = self
                                        self._children_name_map["epg_items"] = "epg-items"

                                        self.rep_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems()
                                        self.rep_items.parent = self
                                        self._children_name_map["rep_items"] = "rep-items"
                                        self._segment_path = lambda: "McGrpRec-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList, ['addr', 'name', 'ver'], name, value)


                                    class EpgItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: epgrec_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EpgRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems, self).__init__()

                                            self.yang_name = "epg-items"
                                            self.yang_parent_name = "McGrpRec-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EpgRec-list", ("epgrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList))])
                                            self._leafs = OrderedDict()

                                            self.epgrec_list = YList(self)
                                            self._segment_path = lambda: "epg-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems, [], name, value)


                                        class EpgRecList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: fabencap  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: id
                                            
                                            	Endpoint Group ID
                                            	**type**\: int
                                            
                                            	**range:** 1..4096
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rep_items
                                            
                                            	
                                            	**type**\:  :py:class:`RepItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList, self).__init__()

                                                self.yang_name = "EpgRec-list"
                                                self.yang_parent_name = "epg-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['fabencap']
                                                self._child_classes = OrderedDict([("rep-items", ("rep_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems))])
                                                self._leafs = OrderedDict([
                                                    ('fabencap', (YLeaf(YType.str, 'fabEncap'), ['str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                                ])
                                                self.fabencap = None
                                                self.name = None
                                                self.id = None

                                                self.rep_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems()
                                                self.rep_items.parent = self
                                                self._children_name_map["rep_items"] = "rep-items"
                                                self._segment_path = lambda: "EpgRec-list" + "[fabEncap='" + str(self.fabencap) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList, ['fabencap', 'name', 'id'], name, value)


                                            class RepItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: reportrec_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`ReportRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems, self).__init__()

                                                    self.yang_name = "rep-items"
                                                    self.yang_parent_name = "EpgRec-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("ReportRec-list", ("reportrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList))])
                                                    self._leafs = OrderedDict()

                                                    self.reportrec_list = YList(self)
                                                    self._segment_path = lambda: "rep-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems, [], name, value)


                                                class ReportRecList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: mcastsrc  (key)
                                                    
                                                    	Multicast Source Address
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ver  (key)
                                                    
                                                    	Version
                                                    	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: name
                                                    
                                                    	Name
                                                    	**type**\: str
                                                    
                                                    	**length:** 1..64
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: filtmode
                                                    
                                                    	Filter Mode
                                                    	**type**\:  :py:class:`McastFiltMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastFiltMode>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	Flags
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oif_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList, self).__init__()

                                                        self.yang_name = "ReportRec-list"
                                                        self.yang_parent_name = "rep-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['mcastsrc','ver']
                                                        self._child_classes = OrderedDict([("oif-items", ("oif_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems))])
                                                        self._leafs = OrderedDict([
                                                            ('mcastsrc', (YLeaf(YType.str, 'mcastSrc'), ['str','str'])),
                                                            ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ('filtmode', (YLeaf(YType.enumeration, 'filtMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastFiltMode', '')])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ])
                                                        self.mcastsrc = None
                                                        self.ver = None
                                                        self.name = None
                                                        self.filtmode = None
                                                        self.flags = None

                                                        self.oif_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems()
                                                        self.oif_items.parent = self
                                                        self._children_name_map["oif_items"] = "oif-items"
                                                        self._segment_path = lambda: "ReportRec-list" + "[mcastSrc='" + str(self.mcastsrc) + "']" + "[ver='" + str(self.ver) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList, ['mcastsrc', 'ver', 'name', 'filtmode', 'flags'], name, value)


                                                    class OifItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: oifrec_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`OIFRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems, self).__init__()

                                                            self.yang_name = "oif-items"
                                                            self.yang_parent_name = "ReportRec-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("OIFRec-list", ("oifrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList))])
                                                            self._leafs = OrderedDict()

                                                            self.oifrec_list = YList(self)
                                                            self._segment_path = lambda: "oif-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems, [], name, value)


                                                        class OIFRecList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: id  (key)
                                                            
                                                            	ID
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: name
                                                            
                                                            	Name
                                                            	**type**\: str
                                                            
                                                            	**length:** 1..64
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: host_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList, self).__init__()

                                                                self.yang_name = "OIFRec-list"
                                                                self.yang_parent_name = "oif-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['id']
                                                                self._child_classes = OrderedDict([("host-items", ("host_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ])
                                                                self.id = None
                                                                self.name = None

                                                                self.host_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems()
                                                                self.host_items.parent = self
                                                                self._children_name_map["host_items"] = "host-items"
                                                                self._segment_path = lambda: "OIFRec-list" + "[id='" + str(self.id) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList, ['id', 'name'], name, value)


                                                            class HostItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: hostrec_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`HostRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, self).__init__()

                                                                    self.yang_name = "host-items"
                                                                    self.yang_parent_name = "OIFRec-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("HostRec-list", ("hostrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.hostrec_list = YList(self)
                                                                    self._segment_path = lambda: "host-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, [], name, value)


                                                                class HostRecList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: addr  (key)
                                                                    
                                                                    	
                                                                    	**type**\: union of the below types:
                                                                    
                                                                    		**type**\: str
                                                                    
                                                                    		**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	Name
                                                                    	**type**\: str
                                                                    
                                                                    	**length:** 1..64
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, self).__init__()

                                                                        self.yang_name = "HostRec-list"
                                                                        self.yang_parent_name = "host-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['addr']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                        ])
                                                                        self.addr = None
                                                                        self.name = None
                                                                        self._segment_path = lambda: "HostRec-list" + "[addr='" + str(self.addr) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.EpgItems.EpgRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, ['addr', 'name'], name, value)










                                    class RepItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: reportrec_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ReportRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems, self).__init__()

                                            self.yang_name = "rep-items"
                                            self.yang_parent_name = "McGrpRec-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("ReportRec-list", ("reportrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList))])
                                            self._leafs = OrderedDict()

                                            self.reportrec_list = YList(self)
                                            self._segment_path = lambda: "rep-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems, [], name, value)


                                        class ReportRecList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mcastsrc  (key)
                                            
                                            	Multicast Source Address
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver  (key)
                                            
                                            	Version
                                            	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: filtmode
                                            
                                            	Filter Mode
                                            	**type**\:  :py:class:`McastFiltMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastFiltMode>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oif_items
                                            
                                            	
                                            	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList, self).__init__()

                                                self.yang_name = "ReportRec-list"
                                                self.yang_parent_name = "rep-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['mcastsrc','ver']
                                                self._child_classes = OrderedDict([("oif-items", ("oif_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems))])
                                                self._leafs = OrderedDict([
                                                    ('mcastsrc', (YLeaf(YType.str, 'mcastSrc'), ['str','str'])),
                                                    ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('filtmode', (YLeaf(YType.enumeration, 'filtMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastFiltMode', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ])
                                                self.mcastsrc = None
                                                self.ver = None
                                                self.name = None
                                                self.filtmode = None
                                                self.flags = None

                                                self.oif_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems()
                                                self.oif_items.parent = self
                                                self._children_name_map["oif_items"] = "oif-items"
                                                self._segment_path = lambda: "ReportRec-list" + "[mcastSrc='" + str(self.mcastsrc) + "']" + "[ver='" + str(self.ver) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList, ['mcastsrc', 'ver', 'name', 'filtmode', 'flags'], name, value)


                                            class OifItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oifrec_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`OIFRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems, self).__init__()

                                                    self.yang_name = "oif-items"
                                                    self.yang_parent_name = "ReportRec-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("OIFRec-list", ("oifrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList))])
                                                    self._leafs = OrderedDict()

                                                    self.oifrec_list = YList(self)
                                                    self._segment_path = lambda: "oif-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems, [], name, value)


                                                class OIFRecList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: id  (key)
                                                    
                                                    	ID
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: name
                                                    
                                                    	Name
                                                    	**type**\: str
                                                    
                                                    	**length:** 1..64
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: host_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`HostItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList, self).__init__()

                                                        self.yang_name = "OIFRec-list"
                                                        self.yang_parent_name = "oif-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['id']
                                                        self._child_classes = OrderedDict([("host-items", ("host_items", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems))])
                                                        self._leafs = OrderedDict([
                                                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                        ])
                                                        self.id = None
                                                        self.name = None

                                                        self.host_items = System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems()
                                                        self.host_items.parent = self
                                                        self._children_name_map["host_items"] = "host-items"
                                                        self._segment_path = lambda: "OIFRec-list" + "[id='" + str(self.id) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList, ['id', 'name'], name, value)


                                                    class HostItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hostrec_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`HostRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, self).__init__()

                                                            self.yang_name = "host-items"
                                                            self.yang_parent_name = "OIFRec-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("HostRec-list", ("hostrec_list", System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList))])
                                                            self._leafs = OrderedDict()

                                                            self.hostrec_list = YList(self)
                                                            self._segment_path = lambda: "host-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems, [], name, value)


                                                        class HostRecList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: addr  (key)
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: name
                                                            
                                                            	Name
                                                            	**type**\: str
                                                            
                                                            	**length:** 1..64
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, self).__init__()

                                                                self.yang_name = "HostRec-list"
                                                                self.yang_parent_name = "host-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['addr']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                ])
                                                                self.addr = None
                                                                self.name = None
                                                                self._segment_path = lambda: "HostRec-list" + "[addr='" + str(self.addr) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.DbItems.DbList.McgrpItems.McGrpRecList.RepItems.ReportRecList.OifItems.OIFRecList.HostItems.HostRecList, ['addr', 'name'], name, value)












                    class DomstatsItems(Entity):
                        """
                        
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.DomstatsItems, self).__init__()

                            self.yang_name = "domstats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict()
                            self._segment_path = lambda: "domstats-items"
                            self._is_frozen = True



                    class StrtrifItems(Entity):
                        """
                        
                        
                        .. attribute:: strtrif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`StRtrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems, self).__init__()

                            self.yang_name = "strtrif-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("StRtrIf-list", ("strtrif_list", System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList))])
                            self._leafs = OrderedDict()

                            self.strtrif_list = YList(self)
                            self._segment_path = lambda: "strtrif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems, [], name, value)


                        class StRtrIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            	**config**\: False
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            	**config**\: False
                            
                            .. attribute:: encap
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtvrfMbrItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList, self).__init__()

                                self.yang_name = "StRtrIf-list"
                                self.yang_parent_name = "strtrif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.encap = None

                                self.rtvrfmbr_items = System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "StRtrIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList, ['id', 'name', 'descr', 'adminst', 'encap'], name, value)


                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "StRtrIf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "StRtrIf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.StrtrifItems.StRtrIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class RtrifItems(Entity):
                        """
                        
                        
                        .. attribute:: rtrif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems.RtrIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems, self).__init__()

                            self.yang_name = "rtrif-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtrIf-list", ("rtrif_list", System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems.RtrIfList))])
                            self._leafs = OrderedDict()

                            self.rtrif_list = YList(self)
                            self._segment_path = lambda: "rtrif-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems, [], name, value)


                        class RtrIfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	ID
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems.RtrIfList, self).__init__()

                                self.yang_name = "RtrIf-list"
                                self.yang_parent_name = "rtrif-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                ])
                                self.id = None
                                self._segment_path = lambda: "RtrIf-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.RtrifItems.RtrIfList, ['id'], name, value)




                    class QuerierpItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ver
                        
                        	Version
                        	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                        
                        	**config**\: False
                        
                        .. attribute:: addr
                        
                        	Address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: queryintvl
                        
                        	Query Interval
                        	**type**\: int
                        
                        	**range:** 1..18000
                        
                        	**config**\: False
                        
                        .. attribute:: rspintvl
                        
                        	Response Interval
                        	**type**\: int
                        
                        	**range:** 1..25
                        
                        	**config**\: False
                        
                        .. attribute:: robustfac
                        
                        	Robustness Factor
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        	**config**\: False
                        
                        .. attribute:: startqueryintvl
                        
                        	Startup Query Interval
                        	**type**\: int
                        
                        	**range:** 1..18000
                        
                        	**config**\: False
                        
                        .. attribute:: startquerycnt
                        
                        	Startup Query Count
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        	**config**\: False
                        
                        .. attribute:: lastmbrintvl
                        
                        	Last Member Query Interval
                        	**type**\: int
                        
                        	**range:** 1..25
                        
                        	**config**\: False
                        
                        .. attribute:: timeout
                        
                        	Timeout
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.QuerierpItems, self).__init__()

                            self.yang_name = "querierp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ver = None
                            self.addr = None
                            self.queryintvl = None
                            self.rspintvl = None
                            self.robustfac = None
                            self.startqueryintvl = None
                            self.startquerycnt = None
                            self.lastmbrintvl = None
                            self.timeout = None
                            self._segment_path = lambda: "querierp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.QuerierpItems, ['name', 'descr', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'lastmbrintvl', 'timeout'], name, value)



                    class QuerierstItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ver
                        
                        	Version
                        	**type**\:  :py:class:`McastVer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.McastVer>`
                        
                        	**config**\: False
                        
                        .. attribute:: addr
                        
                        	Address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: queryintvl
                        
                        	Query Interval
                        	**type**\: int
                        
                        	**range:** 1..18000
                        
                        	**config**\: False
                        
                        .. attribute:: rspintvl
                        
                        	Response Interval
                        	**type**\: int
                        
                        	**range:** 1..25
                        
                        	**config**\: False
                        
                        .. attribute:: robustfac
                        
                        	Robustness Factor
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        	**config**\: False
                        
                        .. attribute:: startqueryintvl
                        
                        	Startup Query Interval
                        	**type**\: int
                        
                        	**range:** 1..18000
                        
                        	**config**\: False
                        
                        .. attribute:: startquerycnt
                        
                        	Startup Query Count
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        	**config**\: False
                        
                        .. attribute:: lastmbrintvl
                        
                        	Last Member Query Interval
                        	**type**\: int
                        
                        	**range:** 1..25
                        
                        	**config**\: False
                        
                        .. attribute:: flags
                        
                        	Flags
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MldsnoopItems.InstItems.DomItems.DomList.QuerierstItems, self).__init__()

                            self.yang_name = "querierst-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ver', (YLeaf(YType.enumeration, 'ver'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'McastVer', '')])),
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('queryintvl', (YLeaf(YType.uint16, 'queryIntvl'), ['int'])),
                                ('rspintvl', (YLeaf(YType.uint16, 'rspIntvl'), ['int'])),
                                ('robustfac', (YLeaf(YType.uint8, 'robustFac'), ['int'])),
                                ('startqueryintvl', (YLeaf(YType.uint16, 'startQueryIntvl'), ['int'])),
                                ('startquerycnt', (YLeaf(YType.uint8, 'startQueryCnt'), ['int'])),
                                ('lastmbrintvl', (YLeaf(YType.uint16, 'lastMbrIntvl'), ['int'])),
                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ver = None
                            self.addr = None
                            self.queryintvl = None
                            self.rspintvl = None
                            self.robustfac = None
                            self.startqueryintvl = None
                            self.startquerycnt = None
                            self.lastmbrintvl = None
                            self.flags = None
                            self._segment_path = lambda: "querierst-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MldsnoopItems.InstItems.DomItems.DomList.QuerierstItems, ['name', 'descr', 'ver', 'addr', 'queryintvl', 'rspintvl', 'robustfac', 'startqueryintvl', 'startquerycnt', 'lastmbrintvl', 'flags'], name, value)





            class InststatsItems(Entity):
                """
                
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MldsnoopItems.InstItems.InststatsItems, self).__init__()

                    self.yang_name = "inststats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict()
                    self._segment_path = lambda: "inststats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mldsnoop-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True





    class MplsItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: if_items
        
        	
        	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems.IfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MplsItems, self).__init__()

            self.yang_name = "mpls-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("If-items", ("if_items", System.MplsItems.IfItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.if_items = System.MplsItems.IfItems()
            self.if_items.parent = self
            self._children_name_map["if_items"] = "If-items"
            self._segment_path = lambda: "mpls-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MplsItems, ['name', 'adminst', 'operst'], name, value)


        class IfItems(Entity):
            """
            
            
            .. attribute:: if_list
            
            	
            	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems.IfItems.IfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MplsItems.IfItems, self).__init__()

                self.yang_name = "If-items"
                self.yang_parent_name = "mpls-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("If-list", ("if_list", System.MplsItems.IfItems.IfList))])
                self._leafs = OrderedDict()

                self.if_list = YList(self)
                self._segment_path = lambda: "If-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mpls-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MplsItems.IfItems, [], name, value)


            class IfList(Entity):
                """
                
                
                .. attribute:: id  (key)
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: operst
                
                	Administrative state of interface
                	**type**\:  :py:class:`MplsOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MplsOperSt>`
                
                	**config**\: False
                
                .. attribute:: deleted
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..1024
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: rtvrfmbr_items
                
                	
                	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems.IfItems.IfList.RtvrfMbrItems>`
                
                .. attribute:: rtnwpathtoif_items
                
                	
                	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems.IfItems.IfList.RtnwPathToIfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MplsItems.IfItems.IfList, self).__init__()

                    self.yang_name = "If-list"
                    self.yang_parent_name = "If-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['id']
                    self._child_classes = OrderedDict([("rtvrfMbr-items", ("rtvrfmbr_items", System.MplsItems.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.MplsItems.IfItems.IfList.RtnwPathToIfItems))])
                    self._leafs = OrderedDict([
                        ('id', (YLeaf(YType.str, 'id'), ['str'])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MplsOperSt', '')])),
                        ('deleted', (YLeaf(YType.boolean, 'deleted'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ])
                    self.id = None
                    self.operst = None
                    self.deleted = None
                    self.name = None
                    self.descr = None
                    self.adminst = None

                    self.rtvrfmbr_items = System.MplsItems.IfItems.IfList.RtvrfMbrItems()
                    self.rtvrfmbr_items.parent = self
                    self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                    self.rtnwpathtoif_items = System.MplsItems.IfItems.IfList.RtnwPathToIfItems()
                    self.rtnwpathtoif_items.parent = self
                    self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                    self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mpls-items/If-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MplsItems.IfItems.IfList, ['id', 'operst', 'deleted', 'name', 'descr', 'adminst'], name, value)


                class RtvrfMbrItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MplsItems.IfItems.IfList.RtvrfMbrItems, self).__init__()

                        self.yang_name = "rtvrfMbr-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rtvrfMbr-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MplsItems.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                class RtnwPathToIfItems(Entity):
                    """
                    
                    
                    .. attribute:: rtnwpathtoif_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MplsItems.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                        self.yang_name = "rtnwPathToIf-items"
                        self.yang_parent_name = "If-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.MplsItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                        self._leafs = OrderedDict()

                        self.rtnwpathtoif_list = YList(self)
                        self._segment_path = lambda: "rtnwPathToIf-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MplsItems.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                    class RtNwPathToIfList(Entity):
                        """
                        
                        
                        .. attribute:: tdn  (key)
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MplsItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                            self.yang_name = "RtNwPathToIf-list"
                            self.yang_parent_name = "rtnwPathToIf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tdn']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MplsItems.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)







    class MplsstaticItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: af_items
        
        	
        	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MplsstaticItems, self).__init__()

            self.yang_name = "mplsstatic-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("af-items", ("af_items", System.MplsstaticItems.AfItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.af_items = System.MplsstaticItems.AfItems()
            self.af_items.parent = self
            self._children_name_map["af_items"] = "af-items"
            self._segment_path = lambda: "mplsstatic-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MplsstaticItems, ['name', 'adminst', 'operst'], name, value)


        class AfItems(Entity):
            """
            
            
            .. attribute:: af_list
            
            	
            	**type**\: list of  		 :py:class:`AfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MplsstaticItems.AfItems, self).__init__()

                self.yang_name = "af-items"
                self.yang_parent_name = "mplsstatic-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Af-list", ("af_list", System.MplsstaticItems.AfItems.AfList))])
                self._leafs = OrderedDict()

                self.af_list = YList(self)
                self._segment_path = lambda: "af-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mplsstatic-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MplsstaticItems.AfItems, [], name, value)


            class AfList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	Type of address family (IPv4, IPv6, etc.)
                	**type**\:  :py:class:`MplsstaticAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MplsstaticAfT>`
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: pfxlabel_items
                
                	
                	**type**\:  :py:class:`PfxlabelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.PfxlabelItems>`
                
                .. attribute:: lsp_items
                
                	
                	**type**\:  :py:class:`LspItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MplsstaticItems.AfItems.AfList, self).__init__()

                    self.yang_name = "Af-list"
                    self.yang_parent_name = "af-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type']
                    self._child_classes = OrderedDict([("pfxlabel-items", ("pfxlabel_items", System.MplsstaticItems.AfItems.AfList.PfxlabelItems)), ("lsp-items", ("lsp_items", System.MplsstaticItems.AfItems.AfList.LspItems))])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MplsstaticAfT', '')])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ])
                    self.type = None
                    self.name = None

                    self.pfxlabel_items = System.MplsstaticItems.AfItems.AfList.PfxlabelItems()
                    self.pfxlabel_items.parent = self
                    self._children_name_map["pfxlabel_items"] = "pfxlabel-items"

                    self.lsp_items = System.MplsstaticItems.AfItems.AfList.LspItems()
                    self.lsp_items.parent = self
                    self._children_name_map["lsp_items"] = "lsp-items"
                    self._segment_path = lambda: "Af-list" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mplsstatic-items/af-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MplsstaticItems.AfItems.AfList, ['type', 'name'], name, value)


                class PfxlabelItems(Entity):
                    """
                    
                    
                    .. attribute:: pfxlcllbl_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PfxLclLblList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MplsstaticItems.AfItems.AfList.PfxlabelItems, self).__init__()

                        self.yang_name = "pfxlabel-items"
                        self.yang_parent_name = "Af-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PfxLclLbl-list", ("pfxlcllbl_list", System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList))])
                        self._leafs = OrderedDict()

                        self.pfxlcllbl_list = YList(self)
                        self._segment_path = lambda: "pfxlabel-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MplsstaticItems.AfItems.AfList.PfxlabelItems, [], name, value)


                    class PfxLclLblList(Entity):
                        """
                        
                        
                        .. attribute:: label  (key)
                        
                        	Label
                        	**type**\: int
                        
                        	**range:** 16..471804
                        
                        .. attribute:: pfx
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: nh_items
                        
                        	
                        	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.NhItems>`
                        
                        .. attribute:: autoresolvenh_items
                        
                        	
                        	**type**\:  :py:class:`AutoresolvenhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.AutoresolvenhItems>`
                        
                        .. attribute:: backupnh_items
                        
                        	
                        	**type**\:  :py:class:`BackupnhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.BackupnhItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList, self).__init__()

                            self.yang_name = "PfxLclLbl-list"
                            self.yang_parent_name = "pfxlabel-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['label']
                            self._child_classes = OrderedDict([("nh-items", ("nh_items", System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.NhItems)), ("autoresolvenh-items", ("autoresolvenh_items", System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.AutoresolvenhItems)), ("backupnh-items", ("backupnh_items", System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.BackupnhItems))])
                            self._leafs = OrderedDict([
                                ('label', (YLeaf(YType.uint32, 'label'), ['int'])),
                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                            ])
                            self.label = None
                            self.pfx = None

                            self.nh_items = System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.NhItems()
                            self.nh_items.parent = self
                            self._children_name_map["nh_items"] = "nh-items"

                            self.autoresolvenh_items = System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.AutoresolvenhItems()
                            self.autoresolvenh_items.parent = self
                            self._children_name_map["autoresolvenh_items"] = "autoresolvenh-items"

                            self.backupnh_items = System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.BackupnhItems()
                            self.backupnh_items.parent = self
                            self._children_name_map["backupnh_items"] = "backupnh-items"
                            self._segment_path = lambda: "PfxLclLbl-list" + "[label='" + str(self.label) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList, ['label', 'pfx'], name, value)


                        class NhItems(Entity):
                            """
                            
                            
                            .. attribute:: outlbl
                            
                            	Outgoing label
                            	**type**\: int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: nhaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.NhItems, self).__init__()

                                self.yang_name = "nh-items"
                                self.yang_parent_name = "PfxLclLbl-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('outlbl', (YLeaf(YType.uint32, 'outLbl'), ['int'])),
                                    ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                ])
                                self.outlbl = None
                                self.nhaddr = None
                                self._segment_path = lambda: "nh-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.NhItems, ['outlbl', 'nhaddr'], name, value)



                        class AutoresolvenhItems(Entity):
                            """
                            
                            
                            .. attribute:: outlbl
                            
                            	Outgoing label
                            	**type**\: int
                            
                            	**range:** 0..1048575
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.AutoresolvenhItems, self).__init__()

                                self.yang_name = "autoresolvenh-items"
                                self.yang_parent_name = "PfxLclLbl-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('outlbl', (YLeaf(YType.uint32, 'outLbl'), ['int'])),
                                ])
                                self.outlbl = None
                                self._segment_path = lambda: "autoresolvenh-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.AutoresolvenhItems, ['outlbl'], name, value)



                        class BackupnhItems(Entity):
                            """
                            
                            
                            .. attribute:: outlbl
                            
                            	Outgoing label
                            	**type**\: int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: nhaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: if_
                            
                            	Next Hop Interface
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.BackupnhItems, self).__init__()

                                self.yang_name = "backupnh-items"
                                self.yang_parent_name = "PfxLclLbl-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('outlbl', (YLeaf(YType.uint32, 'outLbl'), ['int'])),
                                    ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                    ('if_', (YLeaf(YType.str, 'if'), ['str'])),
                                ])
                                self.outlbl = None
                                self.nhaddr = None
                                self.if_ = None
                                self._segment_path = lambda: "backupnh-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MplsstaticItems.AfItems.AfList.PfxlabelItems.PfxLclLblList.BackupnhItems, ['outlbl', 'nhaddr', 'if_'], name, value)





                class LspItems(Entity):
                    """
                    
                    
                    .. attribute:: namedlsp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`NamedLSPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MplsstaticItems.AfItems.AfList.LspItems, self).__init__()

                        self.yang_name = "lsp-items"
                        self.yang_parent_name = "Af-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("NamedLSP-list", ("namedlsp_list", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList))])
                        self._leafs = OrderedDict()

                        self.namedlsp_list = YList(self)
                        self._segment_path = lambda: "lsp-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems, [], name, value)


                    class NamedLSPList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: xclabel_items
                        
                        	
                        	**type**\:  :py:class:`XclabelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems>`
                        
                        .. attribute:: pollabel_items
                        
                        	
                        	**type**\:  :py:class:`PollabelItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList, self).__init__()

                            self.yang_name = "NamedLSP-list"
                            self.yang_parent_name = "lsp-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("xclabel-items", ("xclabel_items", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems)), ("pollabel-items", ("pollabel_items", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.name = None

                            self.xclabel_items = System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems()
                            self.xclabel_items.parent = self
                            self._children_name_map["xclabel_items"] = "xclabel-items"

                            self.pollabel_items = System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems()
                            self.pollabel_items.parent = self
                            self._children_name_map["pollabel_items"] = "pollabel-items"
                            self._segment_path = lambda: "NamedLSP-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList, ['name'], name, value)


                        class XclabelItems(Entity):
                            """
                            
                            
                            .. attribute:: xclcllbl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`XcLclLblList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems, self).__init__()

                                self.yang_name = "xclabel-items"
                                self.yang_parent_name = "NamedLSP-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("XcLclLbl-list", ("xclcllbl_list", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList))])
                                self._leafs = OrderedDict()

                                self.xclcllbl_list = YList(self)
                                self._segment_path = lambda: "xclabel-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems, [], name, value)


                            class XcLclLblList(Entity):
                                """
                                
                                
                                .. attribute:: label  (key)
                                
                                	Label
                                	**type**\: int
                                
                                	**range:** 16..471804
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: nh_items
                                
                                	
                                	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList, self).__init__()

                                    self.yang_name = "XcLclLbl-list"
                                    self.yang_parent_name = "xclabel-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['label']
                                    self._child_classes = OrderedDict([("nh-items", ("nh_items", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems))])
                                    self._leafs = OrderedDict([
                                        ('label', (YLeaf(YType.uint32, 'label'), ['int'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.label = None
                                    self.name = None

                                    self.nh_items = System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems()
                                    self.nh_items.parent = self
                                    self._children_name_map["nh_items"] = "nh-items"
                                    self._segment_path = lambda: "XcLclLbl-list" + "[label='" + str(self.label) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList, ['label', 'name'], name, value)


                                class NhItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: xcnh_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`XcNhList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems.XcNhList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems, self).__init__()

                                        self.yang_name = "nh-items"
                                        self.yang_parent_name = "XcLclLbl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("XcNh-list", ("xcnh_list", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems.XcNhList))])
                                        self._leafs = OrderedDict()

                                        self.xcnh_list = YList(self)
                                        self._segment_path = lambda: "nh-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems, [], name, value)


                                    class XcNhList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pathid  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: outlblstack
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: nhaddr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems.XcNhList, self).__init__()

                                            self.yang_name = "XcNh-list"
                                            self.yang_parent_name = "nh-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pathid']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('pathid', (YLeaf(YType.uint16, 'pathId'), ['int'])),
                                                ('outlblstack', (YLeaf(YType.str, 'outLblStack'), ['str'])),
                                                ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ])
                                            self.pathid = None
                                            self.outlblstack = None
                                            self.nhaddr = None
                                            self._segment_path = lambda: "XcNh-list" + "[pathId='" + str(self.pathid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.XclabelItems.XcLclLblList.NhItems.XcNhList, ['pathid', 'outlblstack', 'nhaddr'], name, value)






                        class PollabelItems(Entity):
                            """
                            
                            
                            .. attribute:: policylcllbl_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PolicyLclLblList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems, self).__init__()

                                self.yang_name = "pollabel-items"
                                self.yang_parent_name = "NamedLSP-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PolicyLclLbl-list", ("policylcllbl_list", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList))])
                                self._leafs = OrderedDict()

                                self.policylcllbl_list = YList(self)
                                self._segment_path = lambda: "pollabel-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems, [], name, value)


                            class PolicyLclLblList(Entity):
                                """
                                
                                
                                .. attribute:: label  (key)
                                
                                	Label
                                	**type**\: int
                                
                                	**range:** 16..471804
                                
                                .. attribute:: pfx
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: nh_items
                                
                                	
                                	**type**\:  :py:class:`NhItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList, self).__init__()

                                    self.yang_name = "PolicyLclLbl-list"
                                    self.yang_parent_name = "pollabel-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['label']
                                    self._child_classes = OrderedDict([("nh-items", ("nh_items", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems))])
                                    self._leafs = OrderedDict([
                                        ('label', (YLeaf(YType.uint32, 'label'), ['int'])),
                                        ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.label = None
                                    self.pfx = None
                                    self.name = None

                                    self.nh_items = System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems()
                                    self.nh_items.parent = self
                                    self._children_name_map["nh_items"] = "nh-items"
                                    self._segment_path = lambda: "PolicyLclLbl-list" + "[label='" + str(self.label) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList, ['label', 'pfx', 'name'], name, value)


                                class NhItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: polnh_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PolNhList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems.PolNhList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems, self).__init__()

                                        self.yang_name = "nh-items"
                                        self.yang_parent_name = "PolicyLclLbl-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("PolNh-list", ("polnh_list", System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems.PolNhList))])
                                        self._leafs = OrderedDict()

                                        self.polnh_list = YList(self)
                                        self._segment_path = lambda: "nh-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems, [], name, value)


                                    class PolNhList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: pathid  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: outlblstack
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: nhaddr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems.PolNhList, self).__init__()

                                            self.yang_name = "PolNh-list"
                                            self.yang_parent_name = "nh-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['pathid']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('pathid', (YLeaf(YType.uint16, 'pathId'), ['int'])),
                                                ('outlblstack', (YLeaf(YType.str, 'outLblStack'), ['str'])),
                                                ('nhaddr', (YLeaf(YType.str, 'nhAddr'), ['str','str'])),
                                            ])
                                            self.pathid = None
                                            self.outlblstack = None
                                            self.nhaddr = None
                                            self._segment_path = lambda: "PolNh-list" + "[pathId='" + str(self.pathid) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.MplsstaticItems.AfItems.AfList.LspItems.NamedLSPList.PollabelItems.PolicyLclLblList.NhItems.PolNhList, ['pathid', 'outlblstack', 'nhaddr'], name, value)











    class LabeltableItems(Entity):
        """
        
        
        .. attribute:: operlabels
        
        	Total Number of Labels
        	**type**\: int
        
        	**range:** 0..471804
        
        	**config**\: False
        
        .. attribute:: operipv4prefixes
        
        	Total Number of IPv4 Prefixes
        	**type**\: int
        
        	**range:** 0..471804
        
        	**config**\: False
        
        .. attribute:: operipv6prefixes
        
        	Total Number of IPv6 Prefixes
        	**type**\: int
        
        	**range:** 0..471804
        
        	**config**\: False
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: client_items
        
        	
        	**type**\:  :py:class:`ClientItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.ClientItems>`
        
        .. attribute:: lblrange_items
        
        	
        	**type**\:  :py:class:`LblrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblrangeItems>`
        
        .. attribute:: lbl_items
        
        	
        	**type**\:  :py:class:`LblItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.LabeltableItems, self).__init__()

            self.yang_name = "labeltable-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("client-items", ("client_items", System.LabeltableItems.ClientItems)), ("lblrange-items", ("lblrange_items", System.LabeltableItems.LblrangeItems)), ("lbl-items", ("lbl_items", System.LabeltableItems.LblItems))])
            self._leafs = OrderedDict([
                ('operlabels', (YLeaf(YType.uint32, 'operLabels'), ['int'])),
                ('operipv4prefixes', (YLeaf(YType.uint32, 'operIPv4Prefixes'), ['int'])),
                ('operipv6prefixes', (YLeaf(YType.uint32, 'operIPv6Prefixes'), ['int'])),
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.operlabels = None
            self.operipv4prefixes = None
            self.operipv6prefixes = None
            self.name = None
            self.adminst = None
            self.operst = None

            self.client_items = System.LabeltableItems.ClientItems()
            self.client_items.parent = self
            self._children_name_map["client_items"] = "client-items"

            self.lblrange_items = System.LabeltableItems.LblrangeItems()
            self.lblrange_items.parent = self
            self._children_name_map["lblrange_items"] = "lblrange-items"

            self.lbl_items = System.LabeltableItems.LblItems()
            self.lbl_items.parent = self
            self._children_name_map["lbl_items"] = "lbl-items"
            self._segment_path = lambda: "labeltable-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.LabeltableItems, ['operlabels', 'operipv4prefixes', 'operipv6prefixes', 'name', 'adminst', 'operst'], name, value)


        class ClientItems(Entity):
            """
            
            
            .. attribute:: clients_list
            
            	
            	**type**\: list of  		 :py:class:`ClientsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.ClientItems.ClientsList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LabeltableItems.ClientItems, self).__init__()

                self.yang_name = "client-items"
                self.yang_parent_name = "labeltable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Clients-list", ("clients_list", System.LabeltableItems.ClientItems.ClientsList))])
                self._leafs = OrderedDict()

                self.clients_list = YList(self)
                self._segment_path = lambda: "client-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/labeltable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LabeltableItems.ClientItems, [], name, value)


            class ClientsList(Entity):
                """
                
                
                .. attribute:: name  (key)
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: index
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: uuid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: mtssap
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: staletime
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: flag
                
                	Internal flags for the client
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: regmsg
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: convmsg
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fecmsg
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fecadd
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: ileadd
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fecdel
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: iledel
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: lastxid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fecack
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LabeltableItems.ClientItems.ClientsList, self).__init__()

                    self.yang_name = "Clients-list"
                    self.yang_parent_name = "client-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['name']
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                        ('uuid', (YLeaf(YType.uint32, 'uuid'), ['int'])),
                        ('mtssap', (YLeaf(YType.uint32, 'mtsSap'), ['int'])),
                        ('staletime', (YLeaf(YType.str, 'staleTime'), ['str'])),
                        ('flag', (YLeaf(YType.str, 'flag'), ['str'])),
                        ('regmsg', (YLeaf(YType.uint32, 'regMsg'), ['int'])),
                        ('convmsg', (YLeaf(YType.uint32, 'convMsg'), ['int'])),
                        ('fecmsg', (YLeaf(YType.uint32, 'fecMsg'), ['int'])),
                        ('fecadd', (YLeaf(YType.uint32, 'fecAdd'), ['int'])),
                        ('ileadd', (YLeaf(YType.uint32, 'ileAdd'), ['int'])),
                        ('fecdel', (YLeaf(YType.uint32, 'fecDel'), ['int'])),
                        ('iledel', (YLeaf(YType.uint32, 'ileDel'), ['int'])),
                        ('lastxid', (YLeaf(YType.uint32, 'lastXid'), ['int'])),
                        ('fecack', (YLeaf(YType.uint32, 'fecAck'), ['int'])),
                    ])
                    self.name = None
                    self.index = None
                    self.uuid = None
                    self.mtssap = None
                    self.staletime = None
                    self.flag = None
                    self.regmsg = None
                    self.convmsg = None
                    self.fecmsg = None
                    self.fecadd = None
                    self.ileadd = None
                    self.fecdel = None
                    self.iledel = None
                    self.lastxid = None
                    self.fecack = None
                    self._segment_path = lambda: "Clients-list" + "[name='" + str(self.name) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/labeltable-items/client-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LabeltableItems.ClientItems.ClientsList, ['name', 'index', 'uuid', 'mtssap', 'staletime', 'flag', 'regmsg', 'convmsg', 'fecmsg', 'fecadd', 'ileadd', 'fecdel', 'iledel', 'lastxid', 'fecack'], name, value)




        class LblrangeItems(Entity):
            """
            
            
            .. attribute:: dynlblmin
            
            	Minimum dynamic label, configured value
            	**type**\: int
            
            	**range:** 16..471804
            
            .. attribute:: dynlblmax
            
            	Maximum dynamic label, configured value
            	**type**\: int
            
            	**range:** 16..471804
            
            .. attribute:: staticlblmin
            
            	Minimum Static Label, configured value
            	**type**\: int
            
            	**range:** 0..471804
            
            .. attribute:: staticlblmax
            
            	Maximum Static Label, configured value
            	**type**\: int
            
            	**range:** 0..471804
            
            .. attribute:: operdynlblmin
            
            	Minimum dynamic label, operational value
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: operdynlblmax
            
            	Maximum dynamic label, operational value
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: operstaticlblmin
            
            	Minimum static label, operational value
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: operstaticlblmax
            
            	Maximum static label, operational value
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            .. attribute:: operstaticlblsoutofrange
            
            	Number of static labels that are no longer inside the static range due to a change in the configured ranges
            	**type**\: int
            
            	**range:** 0..471804
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LabeltableItems.LblrangeItems, self).__init__()

                self.yang_name = "lblrange-items"
                self.yang_parent_name = "labeltable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('dynlblmin', (YLeaf(YType.uint32, 'dynLblMin'), ['int'])),
                    ('dynlblmax', (YLeaf(YType.uint32, 'dynLblMax'), ['int'])),
                    ('staticlblmin', (YLeaf(YType.uint32, 'staticLblMin'), ['int'])),
                    ('staticlblmax', (YLeaf(YType.uint32, 'staticLblMax'), ['int'])),
                    ('operdynlblmin', (YLeaf(YType.uint32, 'operDynLblMin'), ['int'])),
                    ('operdynlblmax', (YLeaf(YType.uint32, 'operDynLblMax'), ['int'])),
                    ('operstaticlblmin', (YLeaf(YType.uint32, 'operStaticLblMin'), ['int'])),
                    ('operstaticlblmax', (YLeaf(YType.uint32, 'operStaticLblMax'), ['int'])),
                    ('operstaticlblsoutofrange', (YLeaf(YType.uint32, 'operStaticLblsOutOfRange'), ['int'])),
                ])
                self.dynlblmin = None
                self.dynlblmax = None
                self.staticlblmin = None
                self.staticlblmax = None
                self.operdynlblmin = None
                self.operdynlblmax = None
                self.operstaticlblmin = None
                self.operstaticlblmax = None
                self.operstaticlblsoutofrange = None
                self._segment_path = lambda: "lblrange-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/labeltable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LabeltableItems.LblrangeItems, ['dynlblmin', 'dynlblmax', 'staticlblmin', 'staticlblmax', 'operdynlblmin', 'operdynlblmax', 'operstaticlblmin', 'operstaticlblmax', 'operstaticlblsoutofrange'], name, value)



        class LblItems(Entity):
            """
            
            
            .. attribute:: labels_list
            
            	
            	**type**\: list of  		 :py:class:`LabelsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.LabeltableItems.LblItems, self).__init__()

                self.yang_name = "lbl-items"
                self.yang_parent_name = "labeltable-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("Labels-list", ("labels_list", System.LabeltableItems.LblItems.LabelsList))])
                self._leafs = OrderedDict()

                self.labels_list = YList(self)
                self._segment_path = lambda: "lbl-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/labeltable-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.LabeltableItems.LblItems, [], name, value)


            class LabelsList(Entity):
                """
                
                
                .. attribute:: label  (key)
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                	**config**\: False
                
                .. attribute:: fectype
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: labelbytestats
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: labelpacketstats
                
                	
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fecipv4_items
                
                	
                	**type**\:  :py:class:`FecIPv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecIPv4Items>`
                
                	**config**\: False
                
                .. attribute:: fecipv6_items
                
                	
                	**type**\:  :py:class:`FecIPv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecIPv6Items>`
                
                	**config**\: False
                
                .. attribute:: fecpolicyipv4_items
                
                	
                	**type**\:  :py:class:`FecPolicyIPv4Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv4Items>`
                
                	**config**\: False
                
                .. attribute:: fecpolicyipv6_items
                
                	
                	**type**\:  :py:class:`FecPolicyIPv6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv6Items>`
                
                	**config**\: False
                
                .. attribute:: fecnone_items
                
                	
                	**type**\:  :py:class:`FecNoneItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecNoneItems>`
                
                	**config**\: False
                
                .. attribute:: fecsrte_items
                
                	
                	**type**\:  :py:class:`FecSRTEItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecSRTEItems>`
                
                	**config**\: False
                
                .. attribute:: fecperce_items
                
                	
                	**type**\:  :py:class:`FecPerCEItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecPerCEItems>`
                
                	**config**\: False
                
                .. attribute:: fecreserved_items
                
                	
                	**type**\:  :py:class:`FecReservedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecReservedItems>`
                
                	**config**\: False
                
                .. attribute:: fecdeagg_items
                
                	
                	**type**\:  :py:class:`FecDeaggItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecDeaggItems>`
                
                	**config**\: False
                
                .. attribute:: fecadjsid_items
                
                	
                	**type**\:  :py:class:`FecAdjSIDItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.FecAdjSIDItems>`
                
                	**config**\: False
                
                .. attribute:: nhlfe_items
                
                	
                	**type**\:  :py:class:`NhlfeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.NhlfeItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.LabeltableItems.LblItems.LabelsList, self).__init__()

                    self.yang_name = "Labels-list"
                    self.yang_parent_name = "lbl-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['label']
                    self._child_classes = OrderedDict([("FecIPv4-items", ("fecipv4_items", System.LabeltableItems.LblItems.LabelsList.FecIPv4Items)), ("FecIPv6-items", ("fecipv6_items", System.LabeltableItems.LblItems.LabelsList.FecIPv6Items)), ("FecPolicyIPv4-items", ("fecpolicyipv4_items", System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv4Items)), ("FecPolicyIPv6-items", ("fecpolicyipv6_items", System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv6Items)), ("FecNone-items", ("fecnone_items", System.LabeltableItems.LblItems.LabelsList.FecNoneItems)), ("FecSRTE-items", ("fecsrte_items", System.LabeltableItems.LblItems.LabelsList.FecSRTEItems)), ("FecPerCE-items", ("fecperce_items", System.LabeltableItems.LblItems.LabelsList.FecPerCEItems)), ("FecReserved-items", ("fecreserved_items", System.LabeltableItems.LblItems.LabelsList.FecReservedItems)), ("FecDeagg-items", ("fecdeagg_items", System.LabeltableItems.LblItems.LabelsList.FecDeaggItems)), ("FecAdjSID-items", ("fecadjsid_items", System.LabeltableItems.LblItems.LabelsList.FecAdjSIDItems)), ("Nhlfe-items", ("nhlfe_items", System.LabeltableItems.LblItems.LabelsList.NhlfeItems))])
                    self._leafs = OrderedDict([
                        ('label', (YLeaf(YType.uint32, 'label'), ['int'])),
                        ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                        ('labelbytestats', (YLeaf(YType.uint64, 'labelByteStats'), ['int'])),
                        ('labelpacketstats', (YLeaf(YType.uint64, 'labelPacketStats'), ['int'])),
                    ])
                    self.label = None
                    self.fectype = None
                    self.labelbytestats = None
                    self.labelpacketstats = None

                    self.fecipv4_items = System.LabeltableItems.LblItems.LabelsList.FecIPv4Items()
                    self.fecipv4_items.parent = self
                    self._children_name_map["fecipv4_items"] = "FecIPv4-items"

                    self.fecipv6_items = System.LabeltableItems.LblItems.LabelsList.FecIPv6Items()
                    self.fecipv6_items.parent = self
                    self._children_name_map["fecipv6_items"] = "FecIPv6-items"

                    self.fecpolicyipv4_items = System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv4Items()
                    self.fecpolicyipv4_items.parent = self
                    self._children_name_map["fecpolicyipv4_items"] = "FecPolicyIPv4-items"

                    self.fecpolicyipv6_items = System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv6Items()
                    self.fecpolicyipv6_items.parent = self
                    self._children_name_map["fecpolicyipv6_items"] = "FecPolicyIPv6-items"

                    self.fecnone_items = System.LabeltableItems.LblItems.LabelsList.FecNoneItems()
                    self.fecnone_items.parent = self
                    self._children_name_map["fecnone_items"] = "FecNone-items"

                    self.fecsrte_items = System.LabeltableItems.LblItems.LabelsList.FecSRTEItems()
                    self.fecsrte_items.parent = self
                    self._children_name_map["fecsrte_items"] = "FecSRTE-items"

                    self.fecperce_items = System.LabeltableItems.LblItems.LabelsList.FecPerCEItems()
                    self.fecperce_items.parent = self
                    self._children_name_map["fecperce_items"] = "FecPerCE-items"

                    self.fecreserved_items = System.LabeltableItems.LblItems.LabelsList.FecReservedItems()
                    self.fecreserved_items.parent = self
                    self._children_name_map["fecreserved_items"] = "FecReserved-items"

                    self.fecdeagg_items = System.LabeltableItems.LblItems.LabelsList.FecDeaggItems()
                    self.fecdeagg_items.parent = self
                    self._children_name_map["fecdeagg_items"] = "FecDeagg-items"

                    self.fecadjsid_items = System.LabeltableItems.LblItems.LabelsList.FecAdjSIDItems()
                    self.fecadjsid_items.parent = self
                    self._children_name_map["fecadjsid_items"] = "FecAdjSID-items"

                    self.nhlfe_items = System.LabeltableItems.LblItems.LabelsList.NhlfeItems()
                    self.nhlfe_items.parent = self
                    self._children_name_map["nhlfe_items"] = "Nhlfe-items"
                    self._segment_path = lambda: "Labels-list" + "[label='" + str(self.label) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/labeltable-items/lbl-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.LabeltableItems.LblItems.LabelsList, ['label', 'fectype', 'labelbytestats', 'labelpacketstats'], name, value)


                class FecIPv4Items(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prefix
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: masklength
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecIPv4Items, self).__init__()

                        self.yang_name = "FecIPv4-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                            ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ('masklength', (YLeaf(YType.uint8, 'maskLength'), ['int'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self.prefix = None
                        self.masklength = None
                        self._segment_path = lambda: "FecIPv4-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecIPv4Items, ['fectype', 'state', 'tableid', 'prefix', 'masklength'], name, value)



                class FecIPv6Items(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prefix
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: masklength
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecIPv6Items, self).__init__()

                        self.yang_name = "FecIPv6-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                            ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ('masklength', (YLeaf(YType.uint8, 'maskLength'), ['int'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self.prefix = None
                        self.masklength = None
                        self._segment_path = lambda: "FecIPv6-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecIPv6Items, ['fectype', 'state', 'tableid', 'prefix', 'masklength'], name, value)



                class FecPolicyIPv4Items(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prefix
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: masklength
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv4Items, self).__init__()

                        self.yang_name = "FecPolicyIPv4-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                            ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ('masklength', (YLeaf(YType.uint8, 'maskLength'), ['int'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self.prefix = None
                        self.masklength = None
                        self._segment_path = lambda: "FecPolicyIPv4-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv4Items, ['fectype', 'state', 'tableid', 'prefix', 'masklength'], name, value)



                class FecPolicyIPv6Items(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: prefix
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: masklength
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv6Items, self).__init__()

                        self.yang_name = "FecPolicyIPv6-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                            ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                            ('masklength', (YLeaf(YType.uint8, 'maskLength'), ['int'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self.prefix = None
                        self.masklength = None
                        self._segment_path = lambda: "FecPolicyIPv6-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecPolicyIPv6Items, ['fectype', 'state', 'tableid', 'prefix', 'masklength'], name, value)



                class FecNoneItems(Entity):
                    """
                    
                    
                    .. attribute:: label
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecNoneItems, self).__init__()

                        self.yang_name = "FecNone-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('label', (YLeaf(YType.uint32, 'label'), ['int'])),
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                        ])
                        self.label = None
                        self.fectype = None
                        self.state = None
                        self._segment_path = lambda: "FecNone-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecNoneItems, ['label', 'fectype', 'state'], name, value)



                class FecSRTEItems(Entity):
                    """
                    
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecSRTEItems, self).__init__()

                        self.yang_name = "FecSRTE-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                        ])
                        self.id = None
                        self.fectype = None
                        self.state = None
                        self._segment_path = lambda: "FecSRTE-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecSRTEItems, ['id', 'fectype', 'state'], name, value)



                class FecPerCEItems(Entity):
                    """
                    
                    
                    .. attribute:: nexthopset
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: addressfamily
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecPerCEItems, self).__init__()

                        self.yang_name = "FecPerCE-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('nexthopset', (YLeaf(YType.uint32, 'nextHopSet'), ['int'])),
                            ('addressfamily', (YLeaf(YType.str, 'addressFamily'), ['str'])),
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                        ])
                        self.nexthopset = None
                        self.addressfamily = None
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self._segment_path = lambda: "FecPerCE-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecPerCEItems, ['nexthopset', 'addressfamily', 'fectype', 'state', 'tableid'], name, value)



                class FecReservedItems(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecReservedItems, self).__init__()

                        self.yang_name = "FecReserved-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self._segment_path = lambda: "FecReserved-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecReservedItems, ['fectype', 'state', 'tableid'], name, value)



                class FecDeaggItems(Entity):
                    """
                    
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecDeaggItems, self).__init__()

                        self.yang_name = "FecDeagg-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                        ])
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self._segment_path = lambda: "FecDeagg-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecDeaggItems, ['fectype', 'state', 'tableid'], name, value)



                class FecAdjSIDItems(Entity):
                    """
                    
                    
                    .. attribute:: ifindex
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: appid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    	**config**\: False
                    
                    .. attribute:: nexthop
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: fectype
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: state
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tableid
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.FecAdjSIDItems, self).__init__()

                        self.yang_name = "FecAdjSID-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('ifindex', (YLeaf(YType.uint32, 'ifIndex'), ['int'])),
                            ('appid', (YLeaf(YType.uint32, 'appId'), ['int'])),
                            ('nexthop', (YLeaf(YType.str, 'nextHop'), ['str','str'])),
                            ('fectype', (YLeaf(YType.str, 'fecType'), ['str'])),
                            ('state', (YLeaf(YType.str, 'state'), ['str'])),
                            ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                        ])
                        self.ifindex = None
                        self.appid = None
                        self.nexthop = None
                        self.fectype = None
                        self.state = None
                        self.tableid = None
                        self._segment_path = lambda: "FecAdjSID-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.FecAdjSIDItems, ['ifindex', 'appid', 'nexthop', 'fectype', 'state', 'tableid'], name, value)



                class NhlfeItems(Entity):
                    """
                    
                    
                    .. attribute:: nhlfe_list
                    
                    	
                    	**type**\: list of  		 :py:class:`NhlfeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.LabeltableItems.LblItems.LabelsList.NhlfeItems.NhlfeList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.LabeltableItems.LblItems.LabelsList.NhlfeItems, self).__init__()

                        self.yang_name = "Nhlfe-items"
                        self.yang_parent_name = "Labels-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Nhlfe-list", ("nhlfe_list", System.LabeltableItems.LblItems.LabelsList.NhlfeItems.NhlfeList))])
                        self._leafs = OrderedDict()

                        self.nhlfe_list = YList(self)
                        self._segment_path = lambda: "Nhlfe-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.NhlfeItems, [], name, value)


                    class NhlfeList(Entity):
                        """
                        
                        
                        .. attribute:: idx  (key)
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: outlabel
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: outlabelbytestats
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        .. attribute:: outlabelpacketstats
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.LabeltableItems.LblItems.LabelsList.NhlfeItems.NhlfeList, self).__init__()

                            self.yang_name = "Nhlfe-list"
                            self.yang_parent_name = "Nhlfe-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['idx']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('idx', (YLeaf(YType.uint32, 'idx'), ['int'])),
                                ('ip', (YLeaf(YType.str, 'ip'), ['str'])),
                                ('outlabel', (YLeaf(YType.str, 'outLabel'), ['str'])),
                                ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                                ('outlabelbytestats', (YLeaf(YType.uint64, 'outLabelByteStats'), ['int'])),
                                ('outlabelpacketstats', (YLeaf(YType.uint64, 'outLabelPacketStats'), ['int'])),
                            ])
                            self.idx = None
                            self.ip = None
                            self.outlabel = None
                            self.interface = None
                            self.outlabelbytestats = None
                            self.outlabelpacketstats = None
                            self._segment_path = lambda: "Nhlfe-list" + "[idx='" + str(self.idx) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.LabeltableItems.LblItems.LabelsList.NhlfeItems.NhlfeList, ['idx', 'ip', 'outlabel', 'interface', 'outlabelbytestats', 'outlabelpacketstats'], name, value)







    class MribItems(Entity):
        """
        
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MribItems, self).__init__()

            self.yang_name = "mrib-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.MribItems.InstItems))])
            self._leafs = OrderedDict()

            self.inst_items = System.MribItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "mrib-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MribItems, [], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.DomItems>`
            
            .. attribute:: routedb_items
            
            	
            	**type**\:  :py:class:`RouteDbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MribItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "mrib-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.MribItems.InstItems.DomItems)), ("routeDb-items", ("routedb_items", System.MribItems.InstItems.RouteDbItems))])
                self._leafs = OrderedDict()

                self.dom_items = System.MribItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.routedb_items = System.MribItems.InstItems.RouteDbItems()
                self.routedb_items.parent = self
                self._children_name_map["routedb_items"] = "routeDb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MribItems.InstItems, [], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MribItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.MribItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MribItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Domain Controls
                    	**type**\: str
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1500..65536
                    
                    .. attribute:: autoenable
                    
                    	Auto Enable
                    	**type**\: bool
                    
                    .. attribute:: lognbhchng
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flushroutes
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: jpdelay
                    
                    	Join\-Prune message inter\-packet delay
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: regratelmt
                    
                    	Register rate limit for data packets per second
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: config_items
                    
                    	
                    	**type**\:  :py:class:`ConfigItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.DomItems.DomList.ConfigItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventHistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.DomItems.DomList.EventHistItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MribItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("config-items", ("config_items", System.MribItems.InstItems.DomItems.DomList.ConfigItems)), ("eventHist-items", ("eventhist_items", System.MribItems.InstItems.DomItems.DomList.EventHistItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                            ('autoenable', (YLeaf(YType.boolean, 'autoEnable'), ['bool'])),
                            ('lognbhchng', (YLeaf(YType.boolean, 'logNbhChng'), ['bool'])),
                            ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                            ('bfd', (YLeaf(YType.boolean, 'bfd'), ['bool'])),
                            ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                            ('regratelmt', (YLeaf(YType.uint32, 'regRateLmt'), ['int'])),
                        ])
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.mtu = None
                        self.autoenable = None
                        self.lognbhchng = None
                        self.flushroutes = None
                        self.bfd = None
                        self.jpdelay = None
                        self.regratelmt = None

                        self.config_items = System.MribItems.InstItems.DomItems.DomList.ConfigItems()
                        self.config_items.parent = self
                        self._children_name_map["config_items"] = "config-items"

                        self.eventhist_items = System.MribItems.InstItems.DomItems.DomList.EventHistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventHist-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MribItems.InstItems.DomItems.DomList, ['name', 'adminst', 'ctrl', 'mtu', 'autoenable', 'lognbhchng', 'flushroutes', 'bfd', 'jpdelay', 'regratelmt'], name, value)


                    class ConfigItems(Entity):
                        """
                        
                        
                        .. attribute:: holdenable
                        
                        	Holddown Enable
                        	**type**\:  :py:class:`MribHoldAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MribHoldAdminSt>`
                        
                        .. attribute:: holddown
                        
                        	holddown second
                        	**type**\: int
                        
                        	**range:** 0..270
                        
                        .. attribute:: modeenable
                        
                        	Mode Enable
                        	**type**\:  :py:class:`MribModeAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MribModeAdminSt>`
                        
                        .. attribute:: mode
                        
                        	MRIB Multipath Mode
                        	**type**\:  :py:class:`MribMultipathMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MribMultipathMode>`
                        
                        .. attribute:: moderesilient
                        
                        	MRIB Multipath Resilient
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MribItems.InstItems.DomItems.DomList.ConfigItems, self).__init__()

                            self.yang_name = "config-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('holdenable', (YLeaf(YType.enumeration, 'holdEnable'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MribHoldAdminSt', '')])),
                                ('holddown', (YLeaf(YType.uint16, 'holddown'), ['int'])),
                                ('modeenable', (YLeaf(YType.enumeration, 'ModeEnable'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MribModeAdminSt', '')])),
                                ('mode', (YLeaf(YType.enumeration, 'Mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MribMultipathMode', '')])),
                                ('moderesilient', (YLeaf(YType.boolean, 'ModeResilient'), ['bool'])),
                            ])
                            self.holdenable = None
                            self.holddown = None
                            self.modeenable = None
                            self.mode = None
                            self.moderesilient = None
                            self._segment_path = lambda: "config-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MribItems.InstItems.DomItems.DomList.ConfigItems, ['holdenable', 'holddown', 'modeenable', 'mode', 'moderesilient'], name, value)



                    class EventHistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MribItems.InstItems.DomItems.DomList.EventHistItems, self).__init__()

                            self.yang_name = "eventHist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.MribItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventHist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MribItems.InstItems.DomItems.DomList.EventHistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history
                            	**type**\:  :py:class:`MribEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MribEhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MribItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventHist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MribEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MribItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, ['type', 'size'], name, value)






            class RouteDbItems(Entity):
                """
                
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MribItems.InstItems.RouteDbItems, self).__init__()

                    self.yang_name = "routeDb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.MribItems.InstItems.RouteDbItems.VrfItems))])
                    self._leafs = OrderedDict()

                    self.vrf_items = System.MribItems.InstItems.RouteDbItems.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"
                    self._segment_path = lambda: "routeDb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MribItems.InstItems.RouteDbItems, [], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MribItems.InstItems.RouteDbItems.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "routeDb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList))])
                        self._leafs = OrderedDict()

                        self.vrf_list = YList(self)
                        self._segment_path = lambda: "vrf-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/inst-items/routeDb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems, [], name, value)


                    class VrfList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: totalnumroutes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: stargroute
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: sgroute
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: stargprfx
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: group_items
                        
                        	
                        	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList, self).__init__()

                            self.yang_name = "Vrf-list"
                            self.yang_parent_name = "vrf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("group-items", ("group_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                                ('stargroute', (YLeaf(YType.uint32, 'starGRoute'), ['int'])),
                                ('sgroute', (YLeaf(YType.uint32, 'sgRoute'), ['int'])),
                                ('stargprfx', (YLeaf(YType.uint32, 'starGPrfx'), ['int'])),
                            ])
                            self.name = None
                            self.totalnumroutes = None
                            self.stargroute = None
                            self.sgroute = None
                            self.stargprfx = None

                            self.group_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems()
                            self.group_items.parent = self
                            self._children_name_map["group_items"] = "group-items"
                            self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/mrib-items/inst-items/routeDb-items/vrf-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList, ['name', 'totalnumroutes', 'stargroute', 'sgroute', 'stargprfx'], name, value)


                        class GroupItems(Entity):
                            """
                            
                            
                            .. attribute:: group_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems, self).__init__()

                                self.yang_name = "group-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Group-list", ("group_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList))])
                                self._leafs = OrderedDict()

                                self.group_list = YList(self)
                                self._segment_path = lambda: "group-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems, [], name, value)


                            class GroupList(Entity):
                                """
                                
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: grpmasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bidir
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: source_items
                                
                                	
                                	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                    self.yang_name = "Group-list"
                                    self.yang_parent_name = "group-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpaddr']
                                    self._child_classes = OrderedDict([("source-items", ("source_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                    self._leafs = OrderedDict([
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                        ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                    ])
                                    self.grpaddr = None
                                    self.grpmasklen = None
                                    self.bidir = None

                                    self.source_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                    self.source_items.parent = self
                                    self._children_name_map["source_items"] = "source-items"
                                    self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                class SourceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: source_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                        self.yang_name = "source-items"
                                        self.yang_parent_name = "Group-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Source-list", ("source_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                        self._leafs = OrderedDict()

                                        self.source_list = YList(self)
                                        self._segment_path = lambda: "source-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                    class SourceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: srcaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pending
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: uptime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifcount
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statspkts
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statsbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: statsratebuf
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lispsrcrloc
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routeiif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpfnbr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: internal
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpfnbruptime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: fabricoif
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: fabricloser
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: numvpcsvioifs
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routemdtiod
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mdtencapindex
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: mpib_items
                                        
                                        	
                                        	**type**\:  :py:class:`MpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                            self.yang_name = "Source-list"
                                            self.yang_parent_name = "source-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['srcaddr']
                                            self._child_classes = OrderedDict([("mpib-items", ("mpib_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems)), ("oif-items", ("oif_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                ('pending', (YLeaf(YType.boolean, 'pending'), ['bool'])),
                                                ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                ('statspkts', (YLeaf(YType.uint32, 'statsPkts'), ['int'])),
                                                ('statsbytes', (YLeaf(YType.uint32, 'statsBytes'), ['int'])),
                                                ('statsratebuf', (YLeaf(YType.str, 'statsRateBuf'), ['str'])),
                                                ('lispsrcrloc', (YLeaf(YType.str, 'lispSrcRloc'), ['str'])),
                                                ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str'])),
                                                ('internal', (YLeaf(YType.boolean, 'internal'), ['bool'])),
                                                ('rpfnbruptime', (YLeaf(YType.str, 'rpfNbrUptime'), ['str'])),
                                                ('fabricoif', (YLeaf(YType.boolean, 'fabricOif'), ['bool'])),
                                                ('fabricloser', (YLeaf(YType.boolean, 'fabricLoser'), ['bool'])),
                                                ('numvpcsvioifs', (YLeaf(YType.uint32, 'numVpcSviOifs'), ['int'])),
                                                ('routemdtiod', (YLeaf(YType.boolean, 'routeMdtIod'), ['bool'])),
                                                ('mdtencapindex', (YLeaf(YType.uint32, 'mdtEncapIndex'), ['int'])),
                                            ])
                                            self.srcaddr = None
                                            self.pending = None
                                            self.uptime = None
                                            self.oifcount = None
                                            self.statspkts = None
                                            self.statsbytes = None
                                            self.statsratebuf = None
                                            self.lispsrcrloc = None
                                            self.routeiif = None
                                            self.rpfnbr = None
                                            self.internal = None
                                            self.rpfnbruptime = None
                                            self.fabricoif = None
                                            self.fabricloser = None
                                            self.numvpcsvioifs = None
                                            self.routemdtiod = None
                                            self.mdtencapindex = None

                                            self.mpib_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems()
                                            self.mpib_items.parent = self
                                            self._children_name_map["mpib_items"] = "mpib-items"

                                            self.oif_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'pending', 'uptime', 'oifcount', 'statspkts', 'statsbytes', 'statsratebuf', 'lispsrcrloc', 'routeiif', 'rpfnbr', 'internal', 'rpfnbruptime', 'fabricoif', 'fabricloser', 'numvpcsvioifs', 'routemdtiod', 'mdtencapindex'], name, value)


                                        class MpibItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mpib_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`MpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, self).__init__()

                                                self.yang_name = "mpib-items"
                                                self.yang_parent_name = "Source-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Mpib-list", ("mpib_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList))])
                                                self._leafs = OrderedDict()

                                                self.mpib_list = YList(self)
                                                self._segment_path = lambda: "mpib-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems, [], name, value)


                                            class MpibList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mpibname  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifcount
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: staleroute
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, self).__init__()

                                                    self.yang_name = "Mpib-list"
                                                    self.yang_parent_name = "mpib-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['mpibname']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('mpibname', (YLeaf(YType.str, 'mpibName'), ['str'])),
                                                        ('oifcount', (YLeaf(YType.uint32, 'oifCount'), ['int'])),
                                                        ('staleroute', (YLeaf(YType.boolean, 'staleRoute'), ['bool'])),
                                                    ])
                                                    self.mpibname = None
                                                    self.oifcount = None
                                                    self.staleroute = None
                                                    self._segment_path = lambda: "Mpib-list" + "[mpibName='" + str(self.mpibname) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.MpibItems.MpibList, ['mpibname', 'oifcount', 'staleroute'], name, value)




                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oif_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "Source-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                self._leafs = OrderedDict()

                                                self.oif_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                            class OifList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oifname  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifuptime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifrpf
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oiflispencapentries
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lispencap_items
                                                
                                                	
                                                	**type**\:  :py:class:`LispEncapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems>`
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifmpib_items
                                                
                                                	
                                                	**type**\:  :py:class:`OifMpibItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                    self.yang_name = "Oif-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['oifname']
                                                    self._child_classes = OrderedDict([("lispEncap-items", ("lispencap_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems)), ("oifMpib-items", ("oifmpib_items", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems))])
                                                    self._leafs = OrderedDict([
                                                        ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                        ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                        ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                        ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                    ])
                                                    self.oifname = None
                                                    self.oifuptime = None
                                                    self.oifrpf = None
                                                    self.oiflispencapentries = None

                                                    self.lispencap_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems()
                                                    self.lispencap_items.parent = self
                                                    self._children_name_map["lispencap_items"] = "lispEncap-items"

                                                    self.oifmpib_items = System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems()
                                                    self.oifmpib_items.parent = self
                                                    self._children_name_map["oifmpib_items"] = "oifMpib-items"
                                                    self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)


                                                class LispEncapItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: lispencap_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`LispEncapList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems.LispEncapList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems, self).__init__()

                                                        self.yang_name = "lispEncap-items"
                                                        self.yang_parent_name = "Oif-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("LispEncap-list", ("lispencap_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems.LispEncapList))])
                                                        self._leafs = OrderedDict()

                                                        self.lispencap_list = YList(self)
                                                        self._segment_path = lambda: "lispEncap-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems, [], name, value)


                                                    class LispEncapList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: index  (key)
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: srcrloc
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dstrloc
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems.LispEncapList, self).__init__()

                                                            self.yang_name = "LispEncap-list"
                                                            self.yang_parent_name = "lispEncap-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['index']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('index', (YLeaf(YType.uint32, 'index'), ['int'])),
                                                                ('srcrloc', (YLeaf(YType.str, 'srcRloc'), ['str','str'])),
                                                                ('dstrloc', (YLeaf(YType.str, 'dstRloc'), ['str','str'])),
                                                            ])
                                                            self.index = None
                                                            self.srcrloc = None
                                                            self.dstrloc = None
                                                            self._segment_path = lambda: "LispEncap-list" + "[index='" + str(self.index) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.LispEncapItems.LispEncapList, ['index', 'srcrloc', 'dstrloc'], name, value)




                                                class OifMpibItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oifmpib_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`OifMpibList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems.OifMpibList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems, self).__init__()

                                                        self.yang_name = "oifMpib-items"
                                                        self.yang_parent_name = "Oif-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("OifMpib-list", ("oifmpib_list", System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems.OifMpibList))])
                                                        self._leafs = OrderedDict()

                                                        self.oifmpib_list = YList(self)
                                                        self._segment_path = lambda: "oifMpib-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems, [], name, value)


                                                    class OifMpibList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: oifmpibname  (key)
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: staleoif
                                                        
                                                        	
                                                        	**type**\: bool
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: vpcsvi
                                                        
                                                        	
                                                        	**type**\: bool
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems.OifMpibList, self).__init__()

                                                            self.yang_name = "OifMpib-list"
                                                            self.yang_parent_name = "oifMpib-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['oifmpibname']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('oifmpibname', (YLeaf(YType.str, 'oifMpibName'), ['str'])),
                                                                ('staleoif', (YLeaf(YType.boolean, 'staleOif'), ['bool'])),
                                                                ('vpcsvi', (YLeaf(YType.boolean, 'VpcSvi'), ['bool'])),
                                                            ])
                                                            self.oifmpibname = None
                                                            self.staleoif = None
                                                            self.vpcsvi = None
                                                            self._segment_path = lambda: "OifMpib-list" + "[oifMpibName='" + str(self.oifmpibname) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.MribItems.InstItems.RouteDbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList.OifMpibItems.OifMpibList, ['oifmpibname', 'staleoif', 'vpcsvi'], name, value)















    class MsdpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.MsdpItems, self).__init__()

            self.yang_name = "msdp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.MsdpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.MsdpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "msdp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.MsdpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.MsdpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "msdp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.MsdpItems.InstItems.DomItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.MsdpItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/msdp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.MsdpItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.MsdpItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.MsdpItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/msdp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.MsdpItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: origif
                    
                    	Originator Interface
                    	**type**\: str
                    
                    .. attribute:: srcactivemsgintvl
                    
                    	Source Active message Interval
                    	**type**\: int
                    
                    	**range:** 60..65535
                    
                    .. attribute:: reconnintvl
                    
                    	Reconnect Interval
                    	**type**\: int
                    
                    	**range:** 1..60
                    
                    .. attribute:: ctrl
                    
                    	Flush routes
                    	**type**\: str
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems>`
                    
                    .. attribute:: maxgrp_items
                    
                    	
                    	**type**\:  :py:class:`MaxgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventHistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.EventHistItems>`
                    
                    .. attribute:: peer_items
                    
                    	
                    	**type**\:  :py:class:`PeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems>`
                    
                    .. attribute:: interleakp_items
                    
                    	
                    	**type**\:  :py:class:`InterleakpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.InterleakpItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.MsdpItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.MsdpItems.InstItems.DomItems.DomList.DbItems)), ("maxgrp-items", ("maxgrp_items", System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems)), ("eventHist-items", ("eventhist_items", System.MsdpItems.InstItems.DomItems.DomList.EventHistItems)), ("peer-items", ("peer_items", System.MsdpItems.InstItems.DomItems.DomList.PeerItems)), ("interleakp-items", ("interleakp_items", System.MsdpItems.InstItems.DomItems.DomList.InterleakpItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('origif', (YLeaf(YType.str, 'origIf'), ['str'])),
                            ('srcactivemsgintvl', (YLeaf(YType.uint16, 'srcActiveMsgIntvl'), ['int'])),
                            ('reconnintvl', (YLeaf(YType.uint16, 'reConnIntvl'), ['int'])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                        ])
                        self.name = None
                        self.origif = None
                        self.srcactivemsgintvl = None
                        self.reconnintvl = None
                        self.ctrl = None

                        self.db_items = System.MsdpItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.maxgrp_items = System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems()
                        self.maxgrp_items.parent = self
                        self._children_name_map["maxgrp_items"] = "maxgrp-items"

                        self.eventhist_items = System.MsdpItems.InstItems.DomItems.DomList.EventHistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventHist-items"

                        self.peer_items = System.MsdpItems.InstItems.DomItems.DomList.PeerItems()
                        self.peer_items.parent = self
                        self._children_name_map["peer_items"] = "peer-items"

                        self.interleakp_items = System.MsdpItems.InstItems.DomItems.DomList.InterleakpItems()
                        self.interleakp_items.parent = self
                        self._children_name_map["interleakp_items"] = "interleakp-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/msdp-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList, ['name', 'origif', 'srcactivemsgintvl', 'reconnintvl', 'ctrl'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MsdpItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Indicates different database type for different show command
                            	**type**\:  :py:class:`MsdpDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MsdpDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: src_items
                            
                            	
                            	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: source_items
                            
                            	
                            	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("src-items", ("src_items", System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems)), ("source-items", ("source_items", System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MsdpDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.src_items = System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems()
                                self.src_items.parent = self
                                self._children_name_map["src_items"] = "src-items"

                                self.source_items = System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems()
                                self.source_items.parent = self
                                self._children_name_map["source_items"] = "source-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class SrcItems(Entity):
                                """
                                
                                
                                .. attribute:: route_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, self).__init__()

                                    self.yang_name = "src-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Route-list", ("route_list", System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList))])
                                    self._leafs = OrderedDict()

                                    self.route_list = YList(self)
                                    self._segment_path = lambda: "src-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, [], name, value)


                                class RouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: src  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grp  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rp  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: peer
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: asn
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: createts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expirets
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: sacnt
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: datapkt
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, self).__init__()

                                        self.yang_name = "Route-list"
                                        self.yang_parent_name = "src-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['src','grp','rp']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                            ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                            ('rp', (YLeaf(YType.str, 'rp'), ['str','str'])),
                                            ('peer', (YLeaf(YType.str, 'peer'), ['str','str'])),
                                            ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                            ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                            ('expirets', (YLeaf(YType.str, 'expireTs'), ['str'])),
                                            ('sacnt', (YLeaf(YType.uint32, 'saCnt'), ['int'])),
                                            ('datapkt', (YLeaf(YType.uint32, 'dataPkt'), ['int'])),
                                        ])
                                        self.src = None
                                        self.grp = None
                                        self.rp = None
                                        self.peer = None
                                        self.asn = None
                                        self.createts = None
                                        self.expirets = None
                                        self.sacnt = None
                                        self.datapkt = None
                                        self._segment_path = lambda: "Route-list" + "[src='" + str(self.src) + "']" + "[grp='" + str(self.grp) + "']" + "[rp='" + str(self.rp) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, ['src', 'grp', 'rp', 'peer', 'asn', 'createts', 'expirets', 'sacnt', 'datapkt'], name, value)




                            class SourceItems(Entity):
                                """
                                
                                
                                .. attribute:: source_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems.SourceList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems, self).__init__()

                                    self.yang_name = "source-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Source-list", ("source_list", System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems.SourceList))])
                                    self._leafs = OrderedDict()

                                    self.source_list = YList(self)
                                    self._segment_path = lambda: "source-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems, [], name, value)


                                class SourceList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grpcnt
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grplimit
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: srcpfx
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: violations
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems.SourceList, self).__init__()

                                        self.yang_name = "Source-list"
                                        self.yang_parent_name = "source-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('grpcnt', (YLeaf(YType.uint32, 'grpCnt'), ['int'])),
                                            ('grplimit', (YLeaf(YType.uint32, 'grpLimit'), ['int'])),
                                            ('srcpfx', (YLeaf(YType.str, 'srcPfx'), ['str','str'])),
                                            ('violations', (YLeaf(YType.uint32, 'violations'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.grpcnt = None
                                        self.grplimit = None
                                        self.srcpfx = None
                                        self.violations = None
                                        self._segment_path = lambda: "Source-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.DbItems.DbList.SourceItems.SourceList, ['addr', 'grpcnt', 'grplimit', 'srcpfx', 'violations'], name, value)






                    class MaxgrpItems(Entity):
                        """
                        
                        
                        .. attribute:: maxgrpp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MaxGrpPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems.MaxGrpPList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems, self).__init__()

                            self.yang_name = "maxgrp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("MaxGrpP-list", ("maxgrpp_list", System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems.MaxGrpPList))])
                            self._leafs = OrderedDict()

                            self.maxgrpp_list = YList(self)
                            self._segment_path = lambda: "maxgrp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems, [], name, value)


                        class MaxGrpPList(Entity):
                            """
                            
                            
                            .. attribute:: srcpfx  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: maxgrp
                            
                            	Max Group count
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems.MaxGrpPList, self).__init__()

                                self.yang_name = "MaxGrpP-list"
                                self.yang_parent_name = "maxgrp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['srcpfx']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('srcpfx', (YLeaf(YType.str, 'srcPfx'), ['str','str'])),
                                    ('maxgrp', (YLeaf(YType.uint32, 'maxGrp'), ['int'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ])
                                self.srcpfx = None
                                self.maxgrp = None
                                self.name = None
                                self.descr = None
                                self._segment_path = lambda: "MaxGrpP-list" + "[srcPfx='" + str(self.srcpfx) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.MaxgrpItems.MaxGrpPList, ['srcpfx', 'maxgrp', 'name', 'descr'], name, value)




                    class EventHistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MsdpItems.InstItems.DomItems.DomList.EventHistItems, self).__init__()

                            self.yang_name = "eventHist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.MsdpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventHist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.EventHistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history
                            	**type**\:  :py:class:`MsdpEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MsdpEhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MsdpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventHist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MsdpEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, ['type', 'size'], name, value)




                    class PeerItems(Entity):
                        """
                        
                        
                        .. attribute:: peer_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems, self).__init__()

                            self.yang_name = "peer-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Peer-list", ("peer_list", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList))])
                            self._leafs = OrderedDict()

                            self.peer_list = YList(self)
                            self._segment_path = lambda: "peer-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems, [], name, value)


                        class PeerList(Entity):
                            """
                            
                            
                            .. attribute:: addr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: adminst
                            
                            	Administrative state enabled/disabled
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: asn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: srcactivemsglimit
                            
                            	Source Active msg Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: kaintvl
                            
                            	Keepalive interval, how often you send keepalives
                            	**type**\: int
                            
                            	**range:** 1..60
                            
                            .. attribute:: katimeout
                            
                            	Keepalive Timeout
                            	**type**\: int
                            
                            	**range:** 1..90
                            
                            .. attribute:: operst
                            
                            	Operational Status
                            	**type**\:  :py:class:`MsdpOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MsdpOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: remport
                            
                            	Remote TCP connection port to this peer
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: localport
                            
                            	Local TCP connection port to this peer
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: lastresetoperqual
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: discontinuityts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: upts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: conntmrts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: establishtransitions
                            
                            	Count of established transitions
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: auth_items
                            
                            	
                            	**type**\:  :py:class:`AuthItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AuthItems>`
                            
                            .. attribute:: meshgrp_items
                            
                            	
                            	**type**\:  :py:class:`MeshgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.MeshgrpItems>`
                            
                            .. attribute:: rtctrl_items
                            
                            	
                            	**type**\:  :py:class:`RtctrlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems>`
                            
                            .. attribute:: peerstats_items
                            
                            	
                            	**type**\:  :py:class:`PeerstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.PeerstatsItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList, self).__init__()

                                self.yang_name = "Peer-list"
                                self.yang_parent_name = "peer-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['addr']
                                self._child_classes = OrderedDict([("auth-items", ("auth_items", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AuthItems)), ("meshgrp-items", ("meshgrp_items", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.MeshgrpItems)), ("rtctrl-items", ("rtctrl_items", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems)), ("peerstats-items", ("peerstats_items", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.PeerstatsItems))])
                                self._leafs = OrderedDict([
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('asn', (YLeaf(YType.str, 'asn'), ['str'])),
                                    ('srcactivemsglimit', (YLeaf(YType.uint32, 'srcActiveMsgLimit'), ['int'])),
                                    ('kaintvl', (YLeaf(YType.uint16, 'kaIntvl'), ['int'])),
                                    ('katimeout', (YLeaf(YType.uint16, 'kaTimeout'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MsdpOperSt', '')])),
                                    ('remport', (YLeaf(YType.uint16, 'remPort'), ['int'])),
                                    ('localport', (YLeaf(YType.uint16, 'localPort'), ['int'])),
                                    ('lastresetoperqual', (YLeaf(YType.str, 'lastResetOperQual'), ['str'])),
                                    ('discontinuityts', (YLeaf(YType.str, 'discontinuityTs'), ['str'])),
                                    ('upts', (YLeaf(YType.str, 'upTs'), ['str'])),
                                    ('conntmrts', (YLeaf(YType.str, 'connTmrTs'), ['str'])),
                                    ('establishtransitions', (YLeaf(YType.uint32, 'establishTransitions'), ['int'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.addr = None
                                self.adminst = None
                                self.srcif = None
                                self.asn = None
                                self.srcactivemsglimit = None
                                self.kaintvl = None
                                self.katimeout = None
                                self.operst = None
                                self.remport = None
                                self.localport = None
                                self.lastresetoperqual = None
                                self.discontinuityts = None
                                self.upts = None
                                self.conntmrts = None
                                self.establishtransitions = None
                                self.descr = None
                                self.name = None

                                self.auth_items = System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AuthItems()
                                self.auth_items.parent = self
                                self._children_name_map["auth_items"] = "auth-items"

                                self.meshgrp_items = System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.MeshgrpItems()
                                self.meshgrp_items.parent = self
                                self._children_name_map["meshgrp_items"] = "meshgrp-items"

                                self.rtctrl_items = System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems()
                                self.rtctrl_items.parent = self
                                self._children_name_map["rtctrl_items"] = "rtctrl-items"

                                self.peerstats_items = System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.PeerstatsItems()
                                self.peerstats_items.parent = self
                                self._children_name_map["peerstats_items"] = "peerstats-items"
                                self._segment_path = lambda: "Peer-list" + "[addr='" + str(self.addr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList, ['addr', 'adminst', 'srcif', 'asn', 'srcactivemsglimit', 'kaintvl', 'katimeout', 'operst', 'remport', 'localport', 'lastresetoperqual', 'discontinuityts', 'upts', 'conntmrts', 'establishtransitions', 'descr', 'name'], name, value)


                            class AuthItems(Entity):
                                """
                                
                                
                                .. attribute:: type
                                
                                	Authentication type
                                	**type**\:  :py:class:`MsdpAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MsdpAuthT>`
                                
                                .. attribute:: key
                                
                                	Authentication key
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AuthItems, self).__init__()

                                    self.yang_name = "auth-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MsdpAuthT', '')])),
                                        ('key', (YLeaf(YType.str, 'key'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.type = None
                                    self.key = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "auth-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.AuthItems, ['type', 'key', 'name', 'descr'], name, value)



                            class MeshgrpItems(Entity):
                                """
                                
                                
                                .. attribute:: grpname
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.MeshgrpItems, self).__init__()

                                    self.yang_name = "meshgrp-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpname', (YLeaf(YType.str, 'grpName'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.grpname = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "meshgrp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.MeshgrpItems, ['grpname', 'name', 'descr'], name, value)



                            class RtctrlItems(Entity):
                                """
                                
                                
                                .. attribute:: rtctrlp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtCtrlPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems.RtCtrlPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems, self).__init__()

                                    self.yang_name = "rtctrl-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtCtrlP-list", ("rtctrlp_list", System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems.RtCtrlPList))])
                                    self._leafs = OrderedDict()

                                    self.rtctrlp_list = YList(self)
                                    self._segment_path = lambda: "rtctrl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems, [], name, value)


                                class RtCtrlPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: direction  (key)
                                    
                                    	Direction
                                    	**type**\:  :py:class:`RtctrlRtCtrlDir <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtctrlRtCtrlDir>`
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems.RtCtrlPList, self).__init__()

                                        self.yang_name = "RtCtrlP-list"
                                        self.yang_parent_name = "rtctrl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['direction']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('direction', (YLeaf(YType.enumeration, 'direction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtctrlRtCtrlDir', '')])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                        ])
                                        self.direction = None
                                        self.pfxlist = None
                                        self.name = None
                                        self.descr = None
                                        self.rtmap = None
                                        self._segment_path = lambda: "RtCtrlP-list" + "[direction='" + str(self.direction) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.RtctrlItems.RtCtrlPList, ['direction', 'pfxlist', 'name', 'descr', 'rtmap'], name, value)




                            class PeerstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: lastmessagercvd
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sareqrcvd
                                
                                	Count of SA Request Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: sareqsent
                                
                                	 Count of SA Request Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: sarsprcvd
                                
                                	Count of SA Response Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: sarspsent
                                
                                	Count of SA Response Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ctrlmessagesrcvd
                                
                                	Count of Control Messages Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: ctrlmessagessent
                                
                                	Count of Control Messages Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: datamessagesrcvd
                                
                                	Count of Data Messages Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: datamessagessent
                                
                                	Count of Data Messages Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: notifrcvd
                                
                                	Count of SA Notifications Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: notifsent
                                
                                	Count of SA Notifications Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: karcvd
                                
                                	Count of Keepalives Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: kasent
                                
                                	Count of Keepalives Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpfchkfail
                                
                                	Count of RPF Check Failures
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: connattempts
                                
                                	Count of Connection Attempts
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rtcnt
                                
                                	Count of SG cache entries learnt
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.PeerstatsItems, self).__init__()

                                    self.yang_name = "peerstats-items"
                                    self.yang_parent_name = "Peer-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('lastmessagercvd', (YLeaf(YType.str, 'lastMessageRcvd'), ['str'])),
                                        ('sareqrcvd', (YLeaf(YType.uint32, 'saReqRcvd'), ['int'])),
                                        ('sareqsent', (YLeaf(YType.uint32, 'saReqSent'), ['int'])),
                                        ('sarsprcvd', (YLeaf(YType.uint32, 'saRspRcvd'), ['int'])),
                                        ('sarspsent', (YLeaf(YType.uint32, 'saRspSent'), ['int'])),
                                        ('ctrlmessagesrcvd', (YLeaf(YType.uint32, 'ctrlMessagesRcvd'), ['int'])),
                                        ('ctrlmessagessent', (YLeaf(YType.uint32, 'ctrlMessagesSent'), ['int'])),
                                        ('datamessagesrcvd', (YLeaf(YType.uint32, 'dataMessagesRcvd'), ['int'])),
                                        ('datamessagessent', (YLeaf(YType.uint32, 'dataMessagesSent'), ['int'])),
                                        ('notifrcvd', (YLeaf(YType.uint32, 'notifRcvd'), ['int'])),
                                        ('notifsent', (YLeaf(YType.uint32, 'notifSent'), ['int'])),
                                        ('karcvd', (YLeaf(YType.uint32, 'kaRcvd'), ['int'])),
                                        ('kasent', (YLeaf(YType.uint32, 'kaSent'), ['int'])),
                                        ('rpfchkfail', (YLeaf(YType.uint32, 'rpfChkFail'), ['int'])),
                                        ('connattempts', (YLeaf(YType.uint32, 'connAttempts'), ['int'])),
                                        ('rtcnt', (YLeaf(YType.uint32, 'rtCnt'), ['int'])),
                                    ])
                                    self.lastmessagercvd = None
                                    self.sareqrcvd = None
                                    self.sareqsent = None
                                    self.sarsprcvd = None
                                    self.sarspsent = None
                                    self.ctrlmessagesrcvd = None
                                    self.ctrlmessagessent = None
                                    self.datamessagesrcvd = None
                                    self.datamessagessent = None
                                    self.notifrcvd = None
                                    self.notifsent = None
                                    self.karcvd = None
                                    self.kasent = None
                                    self.rpfchkfail = None
                                    self.connattempts = None
                                    self.rtcnt = None
                                    self._segment_path = lambda: "peerstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.PeerItems.PeerList.PeerstatsItems, ['lastmessagercvd', 'sareqrcvd', 'sareqsent', 'sarsprcvd', 'sarspsent', 'ctrlmessagesrcvd', 'ctrlmessagessent', 'datamessagesrcvd', 'datamessagessent', 'notifrcvd', 'notifsent', 'karcvd', 'kasent', 'rpfchkfail', 'connattempts', 'rtcnt'], name, value)





                    class InterleakpItems(Entity):
                        """
                        
                        
                        .. attribute:: pfxlist
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcleak
                        
                        	Source of route leak distribution
                        	**type**\:  :py:class:`MsdpSource <ydk.models.cisco_nx_os.Cisco_NX_OS_device.MsdpSource>`
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: scope
                        
                        	Scope
                        	**type**\:  :py:class:`RtleakScope <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtleakScope>`
                        
                        .. attribute:: rtmap
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.MsdpItems.InstItems.DomItems.DomList.InterleakpItems, self).__init__()

                            self.yang_name = "interleakp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                ('srcleak', (YLeaf(YType.enumeration, 'srcLeak'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'MsdpSource', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('scope', (YLeaf(YType.enumeration, 'scope'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtleakScope', '')])),
                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                            ])
                            self.pfxlist = None
                            self.srcleak = None
                            self.name = None
                            self.descr = None
                            self.scope = None
                            self.rtmap = None
                            self._segment_path = lambda: "interleakp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.MsdpItems.InstItems.DomItems.DomList.InterleakpItems, ['pfxlist', 'srcleak', 'name', 'descr', 'scope', 'rtmap'], name, value)







    class NdItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NdItems, self).__init__()

            self.yang_name = "nd-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.NdItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.NdItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "nd-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NdItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: solicitnghbradvertisement
            
            	Solicit neighbor advertisement
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: acceptsolicitnghbrentry
            
            	Accept or no\-accept entry in Solicit neighbor advertisement
            	**type**\:  :py:class:`NdSolicitAcceptValue <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdSolicitAcceptValue>`
            
            .. attribute:: probeintervalforsolicitnghbr
            
            	Probe interval
            	**type**\: int
            
            	**range:** 0..20
            
            .. attribute:: aginginterval
            
            	Aging Interval
            	**type**\: int
            
            	**range:** 300..65535
            
            .. attribute:: offlisttimeout
            
            	Off\-list timeout
            	**type**\: int
            
            	**range:** 180..1800
            
            .. attribute:: ipv6adjroutedistance
            
            	Ipv6 Adjacency Route Distance
            	**type**\: int
            
            	**range:** 2..250
            
            .. attribute:: cachelimit
            
            	Cache Limit
            	**type**\: int
            
            	**range:** 1..614400
            
            .. attribute:: cachesyslograte
            
            	Cache Syslog Rate
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: configerr
            
            	Config error Inst
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems>`
            
            .. attribute:: ipv6gleanthrottle_items
            
            	
            	**type**\:  :py:class:`Ipv6gleanthrottleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.Ipv6gleanthrottleItems>`
            
            .. attribute:: vpc_items
            
            	
            	**type**\:  :py:class:`VpcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VpcItems>`
            
            .. attribute:: offliststat_items
            
            	
            	**type**\:  :py:class:`OffliststatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.OffliststatItems>`
            
            .. attribute:: glblpktstats_items
            
            	
            	**type**\:  :py:class:`GlblpktstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.GlblpktstatsItems>`
            
            .. attribute:: vaddrllstat_items
            
            	
            	**type**\:  :py:class:`VaddrllstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VaddrllstatItems>`
            
            .. attribute:: vpcstat_items
            
            	
            	**type**\:  :py:class:`VpcstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VpcstatItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NdItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "nd-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NdItems.InstItems.DomItems)), ("ipv6gleanthrottle-items", ("ipv6gleanthrottle_items", System.NdItems.InstItems.Ipv6gleanthrottleItems)), ("vpc-items", ("vpc_items", System.NdItems.InstItems.VpcItems)), ("offliststat-items", ("offliststat_items", System.NdItems.InstItems.OffliststatItems)), ("glblpktstats-items", ("glblpktstats_items", System.NdItems.InstItems.GlblpktstatsItems)), ("vaddrllstat-items", ("vaddrllstat_items", System.NdItems.InstItems.VaddrllstatItems)), ("vpcstat-items", ("vpcstat_items", System.NdItems.InstItems.VpcstatItems))])
                self._leafs = OrderedDict([
                    ('solicitnghbradvertisement', (YLeaf(YType.enumeration, 'solicitNghbrAdvertisement'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('acceptsolicitnghbrentry', (YLeaf(YType.enumeration, 'acceptSolicitNghbrEntry'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdSolicitAcceptValue', '')])),
                    ('probeintervalforsolicitnghbr', (YLeaf(YType.uint16, 'probeIntervalForSolicitNghbr'), ['int'])),
                    ('aginginterval', (YLeaf(YType.uint16, 'agingInterval'), ['int'])),
                    ('offlisttimeout', (YLeaf(YType.uint16, 'offListTimeout'), ['int'])),
                    ('ipv6adjroutedistance', (YLeaf(YType.uint32, 'ipv6AdjRouteDistance'), ['int'])),
                    ('cachelimit', (YLeaf(YType.uint32, 'cacheLimit'), ['int'])),
                    ('cachesyslograte', (YLeaf(YType.uint32, 'cacheSyslogRate'), ['int'])),
                    ('configerr', (YLeaf(YType.str, 'configErr'), ['str'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.solicitnghbradvertisement = None
                self.acceptsolicitnghbrentry = None
                self.probeintervalforsolicitnghbr = None
                self.aginginterval = None
                self.offlisttimeout = None
                self.ipv6adjroutedistance = None
                self.cachelimit = None
                self.cachesyslograte = None
                self.configerr = None
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.dom_items = System.NdItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.ipv6gleanthrottle_items = System.NdItems.InstItems.Ipv6gleanthrottleItems()
                self.ipv6gleanthrottle_items.parent = self
                self._children_name_map["ipv6gleanthrottle_items"] = "ipv6gleanthrottle-items"

                self.vpc_items = System.NdItems.InstItems.VpcItems()
                self.vpc_items.parent = self
                self._children_name_map["vpc_items"] = "vpc-items"

                self.offliststat_items = System.NdItems.InstItems.OffliststatItems()
                self.offliststat_items.parent = self
                self._children_name_map["offliststat_items"] = "offliststat-items"

                self.glblpktstats_items = System.NdItems.InstItems.GlblpktstatsItems()
                self.glblpktstats_items.parent = self
                self._children_name_map["glblpktstats_items"] = "glblpktstats-items"

                self.vaddrllstat_items = System.NdItems.InstItems.VaddrllstatItems()
                self.vaddrllstat_items.parent = self
                self._children_name_map["vaddrllstat_items"] = "vaddrllstat-items"

                self.vpcstat_items = System.NdItems.InstItems.VpcstatItems()
                self.vpcstat_items.parent = self
                self._children_name_map["vpcstat_items"] = "vpcstat-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NdItems.InstItems, ['solicitnghbradvertisement', 'acceptsolicitnghbrentry', 'probeintervalforsolicitnghbr', 'aginginterval', 'offlisttimeout', 'ipv6adjroutedistance', 'cachelimit', 'cachesyslograte', 'configerr', 'name', 'adminst', 'ctrl'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.NdItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.DbItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: vaddrstatglobal_items
                    
                    	
                    	**type**\:  :py:class:`VaddrstatglobalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NdItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.NdItems.InstItems.DomItems.DomList.DbItems)), ("if-items", ("if_items", System.NdItems.InstItems.DomItems.DomList.IfItems)), ("vaddrstatglobal-items", ("vaddrstatglobal_items", System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.db_items = System.NdItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.if_items = System.NdItems.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.vaddrstatglobal_items = System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems()
                        self.vaddrstatglobal_items.parent = self
                        self._children_name_map["vaddrstatglobal_items"] = "vaddrstatglobal-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList, ['name'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NdItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.NdItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`NdDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: adj_items
                            
                            	
                            	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("adj-items", ("adj_items", System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.adj_items = System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems()
                                self.adj_items.parent = self
                                self._children_name_map["adj_items"] = "adj-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class AdjItems(Entity):
                                """
                                
                                
                                .. attribute:: adjep_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems, self).__init__()

                                    self.yang_name = "adj-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList))])
                                    self._leafs = OrderedDict()

                                    self.adjep_list = YList(self)
                                    self._segment_path = lambda: "adj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems, [], name, value)


                                class AdjEpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ifid  (key)
                                    
                                    	Logical Interface ID
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`NdAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdAdjOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mac
                                    
                                    	MAC
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList, self).__init__()

                                        self.yang_name = "AdjEp-list"
                                        self.yang_parent_name = "adj-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ifid','addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('ifid', (YLeaf(YType.str, 'ifId'), ['str'])),
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdAdjOperSt', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                        ])
                                        self.ifid = None
                                        self.addr = None
                                        self.operst = None
                                        self.name = None
                                        self.mac = None
                                        self._segment_path = lambda: "AdjEp-list" + "[ifId='" + str(self.ifid) + "']" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.DbItems.DbList.AdjItems.AdjEpList, ['ifid', 'addr', 'operst', 'name', 'mac'], name, value)






                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NdItems.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: macextract
                            
                            	Extract next hop MAC address
                            	**type**\:  :py:class:`NdMacExtract <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdMacExtract>`
                            
                            .. attribute:: dnssuppress
                            
                            	Do not send RDNSS in router advertisement
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: dnssearchlistsuppress
                            
                            	Do not send DNSSL in router advertisement
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: routesuppress
                            
                            	Do Not send Route Information in RA
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: routerpreference
                            
                            	Set Router Preference (RFC 4191)
                            	**type**\:  :py:class:`NdRtPrefForCmd <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdRtPrefForCmd>`
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: nsintvl
                            
                            	Neighbor Solicit Interval
                            	**type**\: int
                            
                            	**range:** 1000..3600000
                            
                            .. attribute:: raintvl
                            
                            	Router Advertisement Interval
                            	**type**\: int
                            
                            	**range:** 4..1800
                            
                            .. attribute:: raintvlmin
                            
                            	Router Advertisement Interval Minimum
                            	**type**\: int
                            
                            	**range:** 3..1350
                            
                            .. attribute:: hoplimit
                            
                            	Hop limit
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: mtu
                            
                            	MTU
                            	**type**\: int
                            
                            	**range:** 1280..65535
                            
                            .. attribute:: ralifetime
                            
                            	Router Advertisement lifetime
                            	**type**\: int
                            
                            	**range:** 0..9000
                            
                            .. attribute:: reachabletime
                            
                            	Reachable time
                            	**type**\: int
                            
                            	**range:** 0..3600000
                            
                            .. attribute:: retranstimer
                            
                            	Retransmit timer
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: dadattempts
                            
                            	Dad attempts
                            	**type**\: int
                            
                            	**range:** 0..15
                            
                            .. attribute:: dadnsinterval
                            
                            	Dadns interval
                            	**type**\: int
                            
                            	**range:** 1000..6000
                            
                            .. attribute:: configerror
                            
                            	Config error
                            	**type**\:  :py:class:`NdConfigErr <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdConfigErr>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: sadj_items
                            
                            	
                            	**type**\:  :py:class:`SadjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems>`
                            
                            .. attribute:: dnsslif_items
                            
                            	
                            	**type**\:  :py:class:`DnsslifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems>`
                            
                            .. attribute:: dnsstat_items
                            
                            	
                            	**type**\:  :py:class:`DnsstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems>`
                            
                            .. attribute:: routes_items
                            
                            	
                            	**type**\:  :py:class:`RoutesItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems>`
                            
                            .. attribute:: pfx_items
                            
                            	
                            	**type**\:  :py:class:`PfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems>`
                            
                            .. attribute:: defpfx_items
                            
                            	
                            	**type**\:  :py:class:`DefpfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DefpfxItems>`
                            
                            .. attribute:: dns_items
                            
                            	
                            	**type**\:  :py:class:`DnsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems>`
                            
                            .. attribute:: dnssl_items
                            
                            	
                            	**type**\:  :py:class:`DnsslItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems>`
                            
                            .. attribute:: rtrstat_items
                            
                            	
                            	**type**\:  :py:class:`RtrstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems>`
                            
                            .. attribute:: ifstats_items
                            
                            	
                            	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems>`
                            
                            .. attribute:: vaddrstat_items
                            
                            	
                            	**type**\:  :py:class:`VaddrstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("sadj-items", ("sadj_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems)), ("dnsslif-items", ("dnsslif_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems)), ("dnsstat-items", ("dnsstat_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems)), ("routes-items", ("routes_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems)), ("pfx-items", ("pfx_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems)), ("defpfx-items", ("defpfx_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DefpfxItems)), ("dns-items", ("dns_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems)), ("dnssl-items", ("dnssl_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems)), ("rtrstat-items", ("rtrstat_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems)), ("ifstats-items", ("ifstats_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems)), ("vaddrstat-items", ("vaddrstat_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('macextract', (YLeaf(YType.enumeration, 'macExtract'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdMacExtract', '')])),
                                    ('dnssuppress', (YLeaf(YType.enumeration, 'dnsSuppress'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('dnssearchlistsuppress', (YLeaf(YType.enumeration, 'dnsSearchListSuppress'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('routesuppress', (YLeaf(YType.enumeration, 'routeSuppress'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('routerpreference', (YLeaf(YType.enumeration, 'routerPreference'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdRtPrefForCmd', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('nsintvl', (YLeaf(YType.uint32, 'nsIntvl'), ['int'])),
                                    ('raintvl', (YLeaf(YType.uint32, 'raIntvl'), ['int'])),
                                    ('raintvlmin', (YLeaf(YType.uint16, 'raIntvlMin'), ['int'])),
                                    ('hoplimit', (YLeaf(YType.uint8, 'hopLimit'), ['int'])),
                                    ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                                    ('ralifetime', (YLeaf(YType.uint32, 'raLifetime'), ['int'])),
                                    ('reachabletime', (YLeaf(YType.uint32, 'reachableTime'), ['int'])),
                                    ('retranstimer', (YLeaf(YType.uint32, 'retransTimer'), ['int'])),
                                    ('dadattempts', (YLeaf(YType.uint16, 'dadAttempts'), ['int'])),
                                    ('dadnsinterval', (YLeaf(YType.uint16, 'dadnsInterval'), ['int'])),
                                    ('configerror', (YLeaf(YType.enumeration, 'configError'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdConfigErr', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ])
                                self.id = None
                                self.macextract = None
                                self.dnssuppress = None
                                self.dnssearchlistsuppress = None
                                self.routesuppress = None
                                self.routerpreference = None
                                self.ctrl = None
                                self.nsintvl = None
                                self.raintvl = None
                                self.raintvlmin = None
                                self.hoplimit = None
                                self.mtu = None
                                self.ralifetime = None
                                self.reachabletime = None
                                self.retranstimer = None
                                self.dadattempts = None
                                self.dadnsinterval = None
                                self.configerror = None
                                self.name = None
                                self.descr = None
                                self.adminst = None

                                self.sadj_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems()
                                self.sadj_items.parent = self
                                self._children_name_map["sadj_items"] = "sadj-items"

                                self.dnsslif_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems()
                                self.dnsslif_items.parent = self
                                self._children_name_map["dnsslif_items"] = "dnsslif-items"

                                self.dnsstat_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems()
                                self.dnsstat_items.parent = self
                                self._children_name_map["dnsstat_items"] = "dnsstat-items"

                                self.routes_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems()
                                self.routes_items.parent = self
                                self._children_name_map["routes_items"] = "routes-items"

                                self.pfx_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems()
                                self.pfx_items.parent = self
                                self._children_name_map["pfx_items"] = "pfx-items"

                                self.defpfx_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DefpfxItems()
                                self.defpfx_items.parent = self
                                self._children_name_map["defpfx_items"] = "defpfx-items"

                                self.dns_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems()
                                self.dns_items.parent = self
                                self._children_name_map["dns_items"] = "dns-items"

                                self.dnssl_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems()
                                self.dnssl_items.parent = self
                                self._children_name_map["dnssl_items"] = "dnssl-items"

                                self.rtrstat_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems()
                                self.rtrstat_items.parent = self
                                self._children_name_map["rtrstat_items"] = "rtrstat-items"

                                self.ifstats_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems()
                                self.ifstats_items.parent = self
                                self._children_name_map["ifstats_items"] = "ifstats-items"

                                self.vaddrstat_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems()
                                self.vaddrstat_items.parent = self
                                self._children_name_map["vaddrstat_items"] = "vaddrstat-items"

                                self.rtvrfmbr_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'macextract', 'dnssuppress', 'dnssearchlistsuppress', 'routesuppress', 'routerpreference', 'ctrl', 'nsintvl', 'raintvl', 'raintvlmin', 'hoplimit', 'mtu', 'ralifetime', 'reachabletime', 'retranstimer', 'dadattempts', 'dadnsinterval', 'configerror', 'name', 'descr', 'adminst'], name, value)


                            class SadjItems(Entity):
                                """
                                
                                
                                .. attribute:: stadjep_list
                                
                                	
                                	**type**\: list of  		 :py:class:`StAdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems, self).__init__()

                                    self.yang_name = "sadj-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("StAdjEp-list", ("stadjep_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList))])
                                    self._leafs = OrderedDict()

                                    self.stadjep_list = YList(self)
                                    self._segment_path = lambda: "sadj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems, [], name, value)


                                class StAdjEpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`NdStAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdStAdjOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operstqual
                                    
                                    	Operational State Qualifier
                                    	**type**\:  :py:class:`NdStAdjOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdStAdjOperStQual>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mac
                                    
                                    	MAC
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rtfvepdefreftostadjepv6_items
                                    
                                    	
                                    	**type**\:  :py:class:`RtfvEpDefRefToStAdjEpV6Items <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList, self).__init__()

                                        self.yang_name = "StAdjEp-list"
                                        self.yang_parent_name = "sadj-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([("rtfvEpDefRefToStAdjEpV6-items", ("rtfvepdefreftostadjepv6_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items))])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdStAdjOperSt', '')])),
                                            ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdStAdjOperStQual', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                        ])
                                        self.addr = None
                                        self.operst = None
                                        self.operstqual = None
                                        self.name = None
                                        self.mac = None

                                        self.rtfvepdefreftostadjepv6_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items()
                                        self.rtfvepdefreftostadjepv6_items.parent = self
                                        self._children_name_map["rtfvepdefreftostadjepv6_items"] = "rtfvEpDefRefToStAdjEpV6-items"
                                        self._segment_path = lambda: "StAdjEp-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList, ['addr', 'operst', 'operstqual', 'name', 'mac'], name, value)


                                    class RtfvEpDefRefToStAdjEpV6Items(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rtfvepdefreftostadjepv6_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RtFvEpDefRefToStAdjEpV6List <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items.RtFvEpDefRefToStAdjEpV6List>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items, self).__init__()

                                            self.yang_name = "rtfvEpDefRefToStAdjEpV6-items"
                                            self.yang_parent_name = "StAdjEp-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RtFvEpDefRefToStAdjEpV6-list", ("rtfvepdefreftostadjepv6_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items.RtFvEpDefRefToStAdjEpV6List))])
                                            self._leafs = OrderedDict()

                                            self.rtfvepdefreftostadjepv6_list = YList(self)
                                            self._segment_path = lambda: "rtfvEpDefRefToStAdjEpV6-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items, [], name, value)


                                        class RtFvEpDefRefToStAdjEpV6List(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items.RtFvEpDefRefToStAdjEpV6List, self).__init__()

                                                self.yang_name = "RtFvEpDefRefToStAdjEpV6-list"
                                                self.yang_parent_name = "rtfvEpDefRefToStAdjEpV6-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RtFvEpDefRefToStAdjEpV6-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.SadjItems.StAdjEpList.RtfvEpDefRefToStAdjEpV6Items.RtFvEpDefRefToStAdjEpV6List, ['tdn', 'tcl'], name, value)






                            class DnsslifItems(Entity):
                                """
                                
                                
                                .. attribute:: dnssearchlistsuppress
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: server_items
                                
                                	
                                	**type**\:  :py:class:`ServerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems, self).__init__()

                                    self.yang_name = "dnsslif-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("server-items", ("server_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems))])
                                    self._leafs = OrderedDict([
                                        ('dnssearchlistsuppress', (YLeaf(YType.boolean, 'dnsSearchListSuppress'), ['bool'])),
                                    ])
                                    self.dnssearchlistsuppress = None

                                    self.server_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems()
                                    self.server_items.parent = self
                                    self._children_name_map["server_items"] = "server-items"
                                    self._segment_path = lambda: "dnsslif-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems, ['dnssearchlistsuppress'], name, value)


                                class ServerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dnssearchliststats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DNSSearchListStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems.DNSSearchListStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems, self).__init__()

                                        self.yang_name = "server-items"
                                        self.yang_parent_name = "dnsslif-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("DNSSearchListStats-list", ("dnssearchliststats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems.DNSSearchListStatsList))])
                                        self._leafs = OrderedDict()

                                        self.dnssearchliststats_list = YList(self)
                                        self._segment_path = lambda: "server-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems, [], name, value)


                                    class DNSSearchListStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: dnssearchlist  (key)
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dnssearchlistlife
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dnssearchlistseq
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems.DNSSearchListStatsList, self).__init__()

                                            self.yang_name = "DNSSearchListStats-list"
                                            self.yang_parent_name = "server-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['dnssearchlist']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('dnssearchlist', (YLeaf(YType.str, 'dnsSearchList'), ['str'])),
                                                ('dnssearchlistlife', (YLeaf(YType.uint32, 'dnsSearchListLife'), ['int'])),
                                                ('dnssearchlistseq', (YLeaf(YType.uint32, 'dnsSearchListSeq'), ['int'])),
                                            ])
                                            self.dnssearchlist = None
                                            self.dnssearchlistlife = None
                                            self.dnssearchlistseq = None
                                            self._segment_path = lambda: "DNSSearchListStats-list" + "[dnsSearchList='" + str(self.dnssearchlist) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslifItems.ServerItems.DNSSearchListStatsList, ['dnssearchlist', 'dnssearchlistlife', 'dnssearchlistseq'], name, value)





                            class DnsstatItems(Entity):
                                """
                                
                                
                                .. attribute:: dnsserversuppress
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: server_items
                                
                                	
                                	**type**\:  :py:class:`ServerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems, self).__init__()

                                    self.yang_name = "dnsstat-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("server-items", ("server_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems))])
                                    self._leafs = OrderedDict([
                                        ('dnsserversuppress', (YLeaf(YType.boolean, 'dnsServerSuppress'), ['bool'])),
                                    ])
                                    self.dnsserversuppress = None

                                    self.server_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems()
                                    self.server_items.parent = self
                                    self._children_name_map["server_items"] = "server-items"
                                    self._segment_path = lambda: "dnsstat-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems, ['dnsserversuppress'], name, value)


                                class ServerItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dnsserverstats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DNSServerStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems.DNSServerStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems, self).__init__()

                                        self.yang_name = "server-items"
                                        self.yang_parent_name = "dnsstat-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("DNSServerStats-list", ("dnsserverstats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems.DNSServerStatsList))])
                                        self._leafs = OrderedDict()

                                        self.dnsserverstats_list = YList(self)
                                        self._segment_path = lambda: "server-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems, [], name, value)


                                    class DNSServerStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dnsserverlife
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dnsserverseq
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems.DNSServerStatsList, self).__init__()

                                            self.yang_name = "DNSServerStats-list"
                                            self.yang_parent_name = "server-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('dnsserverlife', (YLeaf(YType.uint32, 'dnsServerLife'), ['int'])),
                                                ('dnsserverseq', (YLeaf(YType.uint32, 'dnsServerSeq'), ['int'])),
                                            ])
                                            self.addr = None
                                            self.dnsserverlife = None
                                            self.dnsserverseq = None
                                            self._segment_path = lambda: "DNSServerStats-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsstatItems.ServerItems.DNSServerStatsList, ['addr', 'dnsserverlife', 'dnsserverseq'], name, value)





                            class RoutesItems(Entity):
                                """
                                
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems, self).__init__()

                                    self.yang_name = "routes-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("rt-items", ("rt_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems))])
                                    self._leafs = OrderedDict()

                                    self.rt_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"
                                    self._segment_path = lambda: "routes-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems, [], name, value)


                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems.RouteList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "routes-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Route-list", ("route_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems.RouteList))])
                                        self._leafs = OrderedDict()

                                        self.route_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems, [], name, value)


                                    class RouteList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ndrouteaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: ndroutelifetime
                                        
                                        	Nd Route life time
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: ndroutelifetimeinfinite
                                        
                                        	Nd Route life time infinite
                                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                        
                                        .. attribute:: routepreference
                                        
                                        	Set Route Preference for ND Route (RFC 4191)
                                        	**type**\:  :py:class:`NdRtPrefForNdRt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdRtPrefForNdRt>`
                                        
                                        .. attribute:: verifyreachability
                                        
                                        	Verify if route is present in Route table
                                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems.RouteList, self).__init__()

                                            self.yang_name = "Route-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['ndrouteaddr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('ndrouteaddr', (YLeaf(YType.str, 'ndRouteAddr'), ['str','str'])),
                                                ('ndroutelifetime', (YLeaf(YType.uint32, 'ndRouteLifeTime'), ['int'])),
                                                ('ndroutelifetimeinfinite', (YLeaf(YType.enumeration, 'ndRouteLifeTimeInfinite'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                                ('routepreference', (YLeaf(YType.enumeration, 'routePreference'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdRtPrefForNdRt', '')])),
                                                ('verifyreachability', (YLeaf(YType.enumeration, 'verifyReachability'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ])
                                            self.ndrouteaddr = None
                                            self.ndroutelifetime = None
                                            self.ndroutelifetimeinfinite = None
                                            self.routepreference = None
                                            self.verifyreachability = None
                                            self._segment_path = lambda: "Route-list" + "[ndRouteAddr='" + str(self.ndrouteaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RoutesItems.RtItems.RouteList, ['ndrouteaddr', 'ndroutelifetime', 'ndroutelifetimeinfinite', 'routepreference', 'verifyreachability'], name, value)





                            class PfxItems(Entity):
                                """
                                
                                
                                .. attribute:: pfx_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PfxList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems.PfxList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems, self).__init__()

                                    self.yang_name = "pfx-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Pfx-list", ("pfx_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems.PfxList))])
                                    self._leafs = OrderedDict()

                                    self.pfx_list = YList(self)
                                    self._segment_path = lambda: "pfx-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems, [], name, value)


                                class PfxList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: lifetime
                                    
                                    	Valid Lifetime
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: preflifetime
                                    
                                    	Preferred Lifetime
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: ctrl
                                    
                                    	Prefix Controls
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems.PfxList, self).__init__()

                                        self.yang_name = "Pfx-list"
                                        self.yang_parent_name = "pfx-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('lifetime', (YLeaf(YType.uint32, 'lifetime'), ['int'])),
                                            ('preflifetime', (YLeaf(YType.uint32, 'prefLifetime'), ['int'])),
                                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                        ])
                                        self.addr = None
                                        self.lifetime = None
                                        self.preflifetime = None
                                        self.ctrl = None
                                        self._segment_path = lambda: "Pfx-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.PfxItems.PfxList, ['addr', 'lifetime', 'preflifetime', 'ctrl'], name, value)




                            class DefpfxItems(Entity):
                                """
                                
                                
                                .. attribute:: defprefix
                                
                                	Default prefix
                                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                
                                .. attribute:: deflifetime
                                
                                	Valid lifetime for default prefix
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: defpreflifetime
                                
                                	Preferred lifetime for default prefix
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ctrl
                                
                                	Prefix Controls
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DefpfxItems, self).__init__()

                                    self.yang_name = "defpfx-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('defprefix', (YLeaf(YType.enumeration, 'defPrefix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ('deflifetime', (YLeaf(YType.uint32, 'defLifetime'), ['int'])),
                                        ('defpreflifetime', (YLeaf(YType.uint32, 'defPrefLifetime'), ['int'])),
                                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ])
                                    self.defprefix = None
                                    self.deflifetime = None
                                    self.defpreflifetime = None
                                    self.ctrl = None
                                    self._segment_path = lambda: "defpfx-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DefpfxItems, ['defprefix', 'deflifetime', 'defpreflifetime', 'ctrl'], name, value)



                            class DnsItems(Entity):
                                """
                                
                                
                                .. attribute:: routeadvdnsserver_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteAdvDNSServerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems.RouteAdvDNSServerList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems, self).__init__()

                                    self.yang_name = "dns-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RouteAdvDNSServer-list", ("routeadvdnsserver_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems.RouteAdvDNSServerList))])
                                    self._leafs = OrderedDict()

                                    self.routeadvdnsserver_list = YList(self)
                                    self._segment_path = lambda: "dns-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems, [], name, value)


                                class RouteAdvDNSServerList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dnsserveraddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: dnssequencenum  (key)
                                    
                                    	DNS server sequence number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dnsserverlifetime
                                    
                                    	DNS server life time
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dnsserverlifetimeinfinite
                                    
                                    	DNS server life time infinite
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: dnsserver
                                    
                                    	IPv6 nd ra DNS server
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems.RouteAdvDNSServerList, self).__init__()

                                        self.yang_name = "RouteAdvDNSServer-list"
                                        self.yang_parent_name = "dns-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['dnsserveraddr','dnssequencenum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('dnsserveraddr', (YLeaf(YType.str, 'dnsServerAddr'), ['str','str'])),
                                            ('dnssequencenum', (YLeaf(YType.uint32, 'dnsSequenceNum'), ['int'])),
                                            ('dnsserverlifetime', (YLeaf(YType.uint32, 'dnsServerLifeTime'), ['int'])),
                                            ('dnsserverlifetimeinfinite', (YLeaf(YType.enumeration, 'dnsServerLifeTimeInfinite'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('dnsserver', (YLeaf(YType.enumeration, 'dnsServer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ])
                                        self.dnsserveraddr = None
                                        self.dnssequencenum = None
                                        self.dnsserverlifetime = None
                                        self.dnsserverlifetimeinfinite = None
                                        self.dnsserver = None
                                        self._segment_path = lambda: "RouteAdvDNSServer-list" + "[dnsServerAddr='" + str(self.dnsserveraddr) + "']" + "[dnsSequenceNum='" + str(self.dnssequencenum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsItems.RouteAdvDNSServerList, ['dnsserveraddr', 'dnssequencenum', 'dnsserverlifetime', 'dnsserverlifetimeinfinite', 'dnsserver'], name, value)




                            class DnsslItems(Entity):
                                """
                                
                                
                                .. attribute:: routeadvdnssearchlist_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteAdvDNSSearchListList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems.RouteAdvDNSSearchListList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems, self).__init__()

                                    self.yang_name = "dnssl-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RouteAdvDNSSearchList-list", ("routeadvdnssearchlist_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems.RouteAdvDNSSearchListList))])
                                    self._leafs = OrderedDict()

                                    self.routeadvdnssearchlist_list = YList(self)
                                    self._segment_path = lambda: "dnssl-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems, [], name, value)


                                class RouteAdvDNSSearchListList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dnssearchlistname  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: dnssequencenum  (key)
                                    
                                    	DNS search list sequence number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dnssearchlistlifetime
                                    
                                    	DNS search list life time
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dnssearchlistlifetimeinfinite
                                    
                                    	DNS search list life time infinite
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    .. attribute:: dnssl
                                    
                                    	IPv6 nd ra DNS search list
                                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems.RouteAdvDNSSearchListList, self).__init__()

                                        self.yang_name = "RouteAdvDNSSearchList-list"
                                        self.yang_parent_name = "dnssl-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['dnssearchlistname','dnssequencenum']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('dnssearchlistname', (YLeaf(YType.str, 'dnsSearchListName'), ['str'])),
                                            ('dnssequencenum', (YLeaf(YType.uint32, 'dnsSequenceNum'), ['int'])),
                                            ('dnssearchlistlifetime', (YLeaf(YType.uint32, 'dnsSearchListLifeTime'), ['int'])),
                                            ('dnssearchlistlifetimeinfinite', (YLeaf(YType.enumeration, 'dnsSearchListLifeTimeInfinite'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                            ('dnssl', (YLeaf(YType.enumeration, 'dnssl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                        ])
                                        self.dnssearchlistname = None
                                        self.dnssequencenum = None
                                        self.dnssearchlistlifetime = None
                                        self.dnssearchlistlifetimeinfinite = None
                                        self.dnssl = None
                                        self._segment_path = lambda: "RouteAdvDNSSearchList-list" + "[dnsSearchListName='" + str(self.dnssearchlistname) + "']" + "[dnsSequenceNum='" + str(self.dnssequencenum) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.DnsslItems.RouteAdvDNSSearchListList, ['dnssearchlistname', 'dnssequencenum', 'dnssearchlistlifetime', 'dnssearchlistlifetimeinfinite', 'dnssl'], name, value)




                            class RtrstatItems(Entity):
                                """
                                
                                
                                .. attribute:: routerstat_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouterStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems, self).__init__()

                                    self.yang_name = "rtrstat-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RouterStat-list", ("routerstat_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList))])
                                    self._leafs = OrderedDict()

                                    self.routerstat_list = YList(self)
                                    self._segment_path = lambda: "rtrstat-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems, [], name, value)


                                class RouterStatList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: routeraddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifname
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lastupdatetime
                                    
                                    	
                                    	**type**\: :py:class:`Decimal64<ydk.types.Decimal64>`
                                    
                                    	**range:** \-92233720368547758.08..92233720368547758.07
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hoplimit
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: lifetime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: addrflag
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: otherflag
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mtu
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: homeagentflag
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: preference
                                    
                                    	Preference flag
                                    	**type**\:  :py:class:`NdRouterPreference <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdRouterPreference>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: reachabletime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: retransmissiontime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pfxstat_items
                                    
                                    	
                                    	**type**\:  :py:class:`PfxstatItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList, self).__init__()

                                        self.yang_name = "RouterStat-list"
                                        self.yang_parent_name = "rtrstat-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['routeraddr']
                                        self._child_classes = OrderedDict([("pfxstat-items", ("pfxstat_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems))])
                                        self._leafs = OrderedDict([
                                            ('routeraddr', (YLeaf(YType.str, 'routerAddr'), ['str','str'])),
                                            ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                            ('lastupdatetime', (YLeaf(YType.str, 'lastUpdateTime'), ['Decimal64'])),
                                            ('hoplimit', (YLeaf(YType.uint32, 'hopLimit'), ['int'])),
                                            ('lifetime', (YLeaf(YType.uint32, 'lifetime'), ['int'])),
                                            ('addrflag', (YLeaf(YType.uint16, 'addrFlag'), ['int'])),
                                            ('otherflag', (YLeaf(YType.uint16, 'otherFlag'), ['int'])),
                                            ('mtu', (YLeaf(YType.uint16, 'mtu'), ['int'])),
                                            ('homeagentflag', (YLeaf(YType.uint16, 'homeagentFlag'), ['int'])),
                                            ('preference', (YLeaf(YType.enumeration, 'preference'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdRouterPreference', '')])),
                                            ('reachabletime', (YLeaf(YType.uint64, 'reachableTime'), ['int'])),
                                            ('retransmissiontime', (YLeaf(YType.uint64, 'retransmissionTime'), ['int'])),
                                        ])
                                        self.routeraddr = None
                                        self.ifname = None
                                        self.lastupdatetime = None
                                        self.hoplimit = None
                                        self.lifetime = None
                                        self.addrflag = None
                                        self.otherflag = None
                                        self.mtu = None
                                        self.homeagentflag = None
                                        self.preference = None
                                        self.reachabletime = None
                                        self.retransmissiontime = None

                                        self.pfxstat_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems()
                                        self.pfxstat_items.parent = self
                                        self._children_name_map["pfxstat_items"] = "pfxstat-items"
                                        self._segment_path = lambda: "RouterStat-list" + "[routerAddr='" + str(self.routeraddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList, ['routeraddr', 'ifname', 'lastupdatetime', 'hoplimit', 'lifetime', 'addrflag', 'otherflag', 'mtu', 'homeagentflag', 'preference', 'reachabletime', 'retransmissiontime'], name, value)


                                    class PfxstatItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: raprefixstat_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RaPrefixStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems.RaPrefixStatList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems, self).__init__()

                                            self.yang_name = "pfxstat-items"
                                            self.yang_parent_name = "RouterStat-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RaPrefixStat-list", ("raprefixstat_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems.RaPrefixStatList))])
                                            self._leafs = OrderedDict()

                                            self.raprefixstat_list = YList(self)
                                            self._segment_path = lambda: "pfxstat-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems, [], name, value)


                                        class RaPrefixStatList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: prefixaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: onlinkflag
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: autonomousflag
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: validlifetime
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: preflifetime
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems.RaPrefixStatList, self).__init__()

                                                self.yang_name = "RaPrefixStat-list"
                                                self.yang_parent_name = "pfxstat-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['prefixaddr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('prefixaddr', (YLeaf(YType.str, 'prefixAddr'), ['str','str'])),
                                                    ('onlinkflag', (YLeaf(YType.boolean, 'onlinkFlag'), ['bool'])),
                                                    ('autonomousflag', (YLeaf(YType.boolean, 'autonomousFlag'), ['bool'])),
                                                    ('validlifetime', (YLeaf(YType.uint64, 'validLifetime'), ['int'])),
                                                    ('preflifetime', (YLeaf(YType.uint32, 'prefLifetime'), ['int'])),
                                                ])
                                                self.prefixaddr = None
                                                self.onlinkflag = None
                                                self.autonomousflag = None
                                                self.validlifetime = None
                                                self.preflifetime = None
                                                self._segment_path = lambda: "RaPrefixStat-list" + "[prefixAddr='" + str(self.prefixaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtrstatItems.RouterStatList.PfxstatItems.RaPrefixStatList, ['prefixaddr', 'onlinkflag', 'autonomousflag', 'validlifetime', 'preflifetime'], name, value)






                            class IfstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: totsent
                                
                                	Total messages sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: totrvcd
                                
                                	Total messages received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: errsent
                                
                                	Error messages sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: errrcvd
                                
                                	Error messages received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ifdowndropsent
                                
                                	Interface Down Drop Count sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ifdowndroprcvd
                                
                                	Interface Down Drop Count received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: drophanotrdy
                                
                                	Adjacency not recovered from AM after HA
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dropinvldttlmct
                                
                                	Pkts allowed due to inv ttl on vPC\-MCT
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dropsrcmacownrcvd
                                
                                	Pkts dropped as source mac addr is own
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: droptgtipnotownrcvd
                                
                                	Pkts dropped as tgt ip addr is not own
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: dropsrcipnotownrcvd
                                
                                	Pkts dropped as src ip addr is not own
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: destunreachsent
                                
                                	Destination Unreachables sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: destunreachrcvd
                                
                                	Destination Unreachables received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: adminprohibsent
                                
                                	Administratively Prohibited sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: adminprohibrcvd
                                
                                	Administratively Prohibited received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: timeexcdsent
                                
                                	Time Exceeded sent 
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: timeexcdrcvd
                                
                                	Time Exceeded received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: parmprblmsent
                                
                                	Parameter Problems sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: parmprblmrcvd
                                
                                	Parameter Problems received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: echoreqsent
                                
                                	Echo Request sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: echoreqrcvd
                                
                                	Echo Request received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: echorepsent
                                
                                	Echo Replies sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: echoreprcvd
                                
                                	Echo Replies received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: redirsent
                                
                                	Redirects sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: redirrcvd
                                
                                	Redirects received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: toobigsent
                                
                                	Packet Too Big sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: toobigrcvd
                                
                                	Packet Too Big received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rasent
                                
                                	Router Advertisements sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rarcvd
                                
                                	Router Advertisements received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rssent
                                
                                	Router Solicitations sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rsrcvd
                                
                                	Router Solicitations received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: nasent
                                
                                	Neighbor Advertisements sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: narcvd
                                
                                	Neighbor Advertisements received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: nssent
                                
                                	Neighbor Solicitations sent
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: nsrcvd
                                
                                	Neighbor Solicitations received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: duprareceived
                                
                                	Duplicate router RA received
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: fastpthrcvd
                                
                                	Fastpath Packets
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: fastpathdsbleignrcvd
                                
                                	Ignored Fastpath Packets \- Fastpath disabled
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: fastpathotherignrcvd
                                
                                	Ignored fastpath packets \- others
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: lastnghbrsolicitsent
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: lastnghbradvertisementsent
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: lastrouteradvertisementsent
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: nextrouteradvertisementsent
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: nsretransmitinterval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ndnudretrybase
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ndnudretryinterval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ndnudretryattemps
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: sendredirect
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: redirectcause
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: sendunreachables
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: maxdadattempts
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: currentdadattempt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: ifstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ifaddr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: linklocaladdr
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: linklocaladdrstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ndmacextractstate
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: statslastreset
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: proxynacount
                                
                                	Proxy NA count
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: proxynatobdcount
                                
                                	Proxy NA to BD count
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: proxynstobdcount
                                
                                	Proxy NS to BD count
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rarpnscount
                                
                                	RARP NS count
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: ra_items
                                
                                	
                                	**type**\:  :py:class:`RaItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RaItems>`
                                
                                .. attribute:: vip_items
                                
                                	
                                	**type**\:  :py:class:`VipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems>`
                                
                                .. attribute:: addr_items
                                
                                	
                                	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems>`
                                
                                .. attribute:: pfx_items
                                
                                	
                                	**type**\:  :py:class:`PfxItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems>`
                                
                                .. attribute:: rt_items
                                
                                	
                                	**type**\:  :py:class:`RtItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems>`
                                
                                .. attribute:: addrtree_items
                                
                                	
                                	**type**\:  :py:class:`AddrtreeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems, self).__init__()

                                    self.yang_name = "ifstats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("ra-items", ("ra_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RaItems)), ("vip-items", ("vip_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems)), ("addr-items", ("addr_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems)), ("pfx-items", ("pfx_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems)), ("rt-items", ("rt_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems)), ("addrtree-items", ("addrtree_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems))])
                                    self._leafs = OrderedDict([
                                        ('totsent', (YLeaf(YType.uint64, 'totSent'), ['int'])),
                                        ('totrvcd', (YLeaf(YType.uint64, 'totRvcd'), ['int'])),
                                        ('errsent', (YLeaf(YType.uint64, 'errSent'), ['int'])),
                                        ('errrcvd', (YLeaf(YType.uint64, 'errRcvd'), ['int'])),
                                        ('ifdowndropsent', (YLeaf(YType.uint64, 'ifDownDropSent'), ['int'])),
                                        ('ifdowndroprcvd', (YLeaf(YType.uint64, 'ifDownDropRcvd'), ['int'])),
                                        ('drophanotrdy', (YLeaf(YType.uint64, 'dropHaNotRdy'), ['int'])),
                                        ('dropinvldttlmct', (YLeaf(YType.uint64, 'dropInvldTtlMct'), ['int'])),
                                        ('dropsrcmacownrcvd', (YLeaf(YType.uint64, 'dropSrcMacOwnRcvd'), ['int'])),
                                        ('droptgtipnotownrcvd', (YLeaf(YType.uint64, 'dropTgtIpNotOwnRcvd'), ['int'])),
                                        ('dropsrcipnotownrcvd', (YLeaf(YType.uint64, 'dropSrcIpNotOwnRcvd'), ['int'])),
                                        ('destunreachsent', (YLeaf(YType.uint64, 'destUnreachSent'), ['int'])),
                                        ('destunreachrcvd', (YLeaf(YType.uint64, 'destUnreachRcvd'), ['int'])),
                                        ('adminprohibsent', (YLeaf(YType.uint64, 'adminProhibSent'), ['int'])),
                                        ('adminprohibrcvd', (YLeaf(YType.uint64, 'adminProhibRcvd'), ['int'])),
                                        ('timeexcdsent', (YLeaf(YType.uint64, 'timeExcdSent'), ['int'])),
                                        ('timeexcdrcvd', (YLeaf(YType.uint64, 'timeExcdRcvd'), ['int'])),
                                        ('parmprblmsent', (YLeaf(YType.uint64, 'parmPrblmSent'), ['int'])),
                                        ('parmprblmrcvd', (YLeaf(YType.uint64, 'parmPrblmRcvd'), ['int'])),
                                        ('echoreqsent', (YLeaf(YType.uint64, 'echoReqSent'), ['int'])),
                                        ('echoreqrcvd', (YLeaf(YType.uint64, 'echoReqRcvd'), ['int'])),
                                        ('echorepsent', (YLeaf(YType.uint64, 'echoRepSent'), ['int'])),
                                        ('echoreprcvd', (YLeaf(YType.uint64, 'echoRepRcvd'), ['int'])),
                                        ('redirsent', (YLeaf(YType.uint64, 'redirSent'), ['int'])),
                                        ('redirrcvd', (YLeaf(YType.uint64, 'redirRcvd'), ['int'])),
                                        ('toobigsent', (YLeaf(YType.uint64, 'tooBigSent'), ['int'])),
                                        ('toobigrcvd', (YLeaf(YType.uint64, 'tooBigRcvd'), ['int'])),
                                        ('rasent', (YLeaf(YType.uint64, 'raSent'), ['int'])),
                                        ('rarcvd', (YLeaf(YType.uint64, 'raRcvd'), ['int'])),
                                        ('rssent', (YLeaf(YType.uint64, 'rsSent'), ['int'])),
                                        ('rsrcvd', (YLeaf(YType.uint64, 'rsRcvd'), ['int'])),
                                        ('nasent', (YLeaf(YType.uint64, 'naSent'), ['int'])),
                                        ('narcvd', (YLeaf(YType.uint64, 'naRcvd'), ['int'])),
                                        ('nssent', (YLeaf(YType.uint64, 'nsSent'), ['int'])),
                                        ('nsrcvd', (YLeaf(YType.uint64, 'nsRcvd'), ['int'])),
                                        ('duprareceived', (YLeaf(YType.uint64, 'dupRAReceived'), ['int'])),
                                        ('fastpthrcvd', (YLeaf(YType.uint64, 'fastpthRcvd'), ['int'])),
                                        ('fastpathdsbleignrcvd', (YLeaf(YType.uint64, 'fastpathDsbleIgnRcvd'), ['int'])),
                                        ('fastpathotherignrcvd', (YLeaf(YType.uint64, 'fastpathOtherIgnRcvd'), ['int'])),
                                        ('lastnghbrsolicitsent', (YLeaf(YType.str, 'lastNghbrSolicitSent'), ['str'])),
                                        ('lastnghbradvertisementsent', (YLeaf(YType.str, 'lastNghbrAdvertisementSent'), ['str'])),
                                        ('lastrouteradvertisementsent', (YLeaf(YType.str, 'lastRouterAdvertisementSent'), ['str'])),
                                        ('nextrouteradvertisementsent', (YLeaf(YType.str, 'nextRouterAdvertisementSent'), ['str'])),
                                        ('nsretransmitinterval', (YLeaf(YType.uint64, 'nsRetransmitInterval'), ['int'])),
                                        ('ndnudretrybase', (YLeaf(YType.uint64, 'ndNudRetryBase'), ['int'])),
                                        ('ndnudretryinterval', (YLeaf(YType.uint64, 'ndNudRetryInterval'), ['int'])),
                                        ('ndnudretryattemps', (YLeaf(YType.uint64, 'ndNudRetryAttemps'), ['int'])),
                                        ('sendredirect', (YLeaf(YType.boolean, 'sendRedirect'), ['bool'])),
                                        ('redirectcause', (YLeaf(YType.uint64, 'redirectCause'), ['int'])),
                                        ('sendunreachables', (YLeaf(YType.boolean, 'sendUnreachables'), ['bool'])),
                                        ('maxdadattempts', (YLeaf(YType.uint16, 'maxDadAttempts'), ['int'])),
                                        ('currentdadattempt', (YLeaf(YType.uint16, 'currentDadAttempt'), ['int'])),
                                        ('ifstate', (YLeaf(YType.str, 'ifState'), ['str'])),
                                        ('ifaddr', (YLeaf(YType.str, 'ifAddr'), ['str'])),
                                        ('linklocaladdr', (YLeaf(YType.str, 'linkLocalAddr'), ['str'])),
                                        ('linklocaladdrstate', (YLeaf(YType.str, 'linkLocalAddrState'), ['str'])),
                                        ('ndmacextractstate', (YLeaf(YType.str, 'ndMacExtractState'), ['str'])),
                                        ('statslastreset', (YLeaf(YType.str, 'statsLastReset'), ['str'])),
                                        ('proxynacount', (YLeaf(YType.uint64, 'proxyNaCount'), ['int'])),
                                        ('proxynatobdcount', (YLeaf(YType.uint64, 'proxyNaToBdCount'), ['int'])),
                                        ('proxynstobdcount', (YLeaf(YType.uint64, 'proxyNsToBdCount'), ['int'])),
                                        ('rarpnscount', (YLeaf(YType.uint64, 'rarpNsCount'), ['int'])),
                                    ])
                                    self.totsent = None
                                    self.totrvcd = None
                                    self.errsent = None
                                    self.errrcvd = None
                                    self.ifdowndropsent = None
                                    self.ifdowndroprcvd = None
                                    self.drophanotrdy = None
                                    self.dropinvldttlmct = None
                                    self.dropsrcmacownrcvd = None
                                    self.droptgtipnotownrcvd = None
                                    self.dropsrcipnotownrcvd = None
                                    self.destunreachsent = None
                                    self.destunreachrcvd = None
                                    self.adminprohibsent = None
                                    self.adminprohibrcvd = None
                                    self.timeexcdsent = None
                                    self.timeexcdrcvd = None
                                    self.parmprblmsent = None
                                    self.parmprblmrcvd = None
                                    self.echoreqsent = None
                                    self.echoreqrcvd = None
                                    self.echorepsent = None
                                    self.echoreprcvd = None
                                    self.redirsent = None
                                    self.redirrcvd = None
                                    self.toobigsent = None
                                    self.toobigrcvd = None
                                    self.rasent = None
                                    self.rarcvd = None
                                    self.rssent = None
                                    self.rsrcvd = None
                                    self.nasent = None
                                    self.narcvd = None
                                    self.nssent = None
                                    self.nsrcvd = None
                                    self.duprareceived = None
                                    self.fastpthrcvd = None
                                    self.fastpathdsbleignrcvd = None
                                    self.fastpathotherignrcvd = None
                                    self.lastnghbrsolicitsent = None
                                    self.lastnghbradvertisementsent = None
                                    self.lastrouteradvertisementsent = None
                                    self.nextrouteradvertisementsent = None
                                    self.nsretransmitinterval = None
                                    self.ndnudretrybase = None
                                    self.ndnudretryinterval = None
                                    self.ndnudretryattemps = None
                                    self.sendredirect = None
                                    self.redirectcause = None
                                    self.sendunreachables = None
                                    self.maxdadattempts = None
                                    self.currentdadattempt = None
                                    self.ifstate = None
                                    self.ifaddr = None
                                    self.linklocaladdr = None
                                    self.linklocaladdrstate = None
                                    self.ndmacextractstate = None
                                    self.statslastreset = None
                                    self.proxynacount = None
                                    self.proxynatobdcount = None
                                    self.proxynstobdcount = None
                                    self.rarpnscount = None

                                    self.ra_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RaItems()
                                    self.ra_items.parent = self
                                    self._children_name_map["ra_items"] = "ra-items"

                                    self.vip_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems()
                                    self.vip_items.parent = self
                                    self._children_name_map["vip_items"] = "vip-items"

                                    self.addr_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems()
                                    self.addr_items.parent = self
                                    self._children_name_map["addr_items"] = "addr-items"

                                    self.pfx_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems()
                                    self.pfx_items.parent = self
                                    self._children_name_map["pfx_items"] = "pfx-items"

                                    self.rt_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems()
                                    self.rt_items.parent = self
                                    self._children_name_map["rt_items"] = "rt-items"

                                    self.addrtree_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems()
                                    self.addrtree_items.parent = self
                                    self._children_name_map["addrtree_items"] = "addrtree-items"
                                    self._segment_path = lambda: "ifstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems, ['totsent', 'totrvcd', 'errsent', 'errrcvd', 'ifdowndropsent', 'ifdowndroprcvd', 'drophanotrdy', 'dropinvldttlmct', 'dropsrcmacownrcvd', 'droptgtipnotownrcvd', 'dropsrcipnotownrcvd', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'timeexcdsent', 'timeexcdrcvd', 'parmprblmsent', 'parmprblmrcvd', 'echoreqsent', 'echoreqrcvd', 'echorepsent', 'echoreprcvd', 'redirsent', 'redirrcvd', 'toobigsent', 'toobigrcvd', 'rasent', 'rarcvd', 'rssent', 'rsrcvd', 'nasent', 'narcvd', 'nssent', 'nsrcvd', 'duprareceived', 'fastpthrcvd', 'fastpathdsbleignrcvd', 'fastpathotherignrcvd', 'lastnghbrsolicitsent', 'lastnghbradvertisementsent', 'lastrouteradvertisementsent', 'nextrouteradvertisementsent', 'nsretransmitinterval', 'ndnudretrybase', 'ndnudretryinterval', 'ndnudretryattemps', 'sendredirect', 'redirectcause', 'sendunreachables', 'maxdadattempts', 'currentdadattempt', 'ifstate', 'ifaddr', 'linklocaladdr', 'linklocaladdrstate', 'ndmacextractstate', 'statslastreset', 'proxynacount', 'proxynatobdcount', 'proxynstobdcount', 'rarpnscount'], name, value)


                                class RaItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rainterval
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: raintervalmin
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mflag
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: oflag
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hoplimit
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mtu
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: routerlifetime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: reachabletime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: retransmittime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: suppressra
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: suppressramtu
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RaItems, self).__init__()

                                        self.yang_name = "ra-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('rainterval', (YLeaf(YType.uint64, 'raInterval'), ['int'])),
                                            ('raintervalmin', (YLeaf(YType.uint64, 'raIntervalMin'), ['int'])),
                                            ('mflag', (YLeaf(YType.boolean, 'mFlag'), ['bool'])),
                                            ('oflag', (YLeaf(YType.boolean, 'oFlag'), ['bool'])),
                                            ('hoplimit', (YLeaf(YType.uint64, 'hopLimit'), ['int'])),
                                            ('mtu', (YLeaf(YType.uint64, 'mtu'), ['int'])),
                                            ('routerlifetime', (YLeaf(YType.uint64, 'routerLifetime'), ['int'])),
                                            ('reachabletime', (YLeaf(YType.uint64, 'reachableTime'), ['int'])),
                                            ('retransmittime', (YLeaf(YType.uint64, 'retransmitTime'), ['int'])),
                                            ('suppressra', (YLeaf(YType.boolean, 'suppressRa'), ['bool'])),
                                            ('suppressramtu', (YLeaf(YType.boolean, 'suppressRaMtu'), ['bool'])),
                                        ])
                                        self.rainterval = None
                                        self.raintervalmin = None
                                        self.mflag = None
                                        self.oflag = None
                                        self.hoplimit = None
                                        self.mtu = None
                                        self.routerlifetime = None
                                        self.reachabletime = None
                                        self.retransmittime = None
                                        self.suppressra = None
                                        self.suppressramtu = None
                                        self._segment_path = lambda: "ra-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RaItems, ['rainterval', 'raintervalmin', 'mflag', 'oflag', 'hoplimit', 'mtu', 'routerlifetime', 'reachabletime', 'retransmittime', 'suppressra', 'suppressramtu'], name, value)



                                class VipItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vipaddr_items
                                    
                                    	
                                    	**type**\:  :py:class:`VipaddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems, self).__init__()

                                        self.yang_name = "vip-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("vipaddr-items", ("vipaddr_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems))])
                                        self._leafs = OrderedDict()

                                        self.vipaddr_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems()
                                        self.vipaddr_items.parent = self
                                        self._children_name_map["vipaddr_items"] = "vipaddr-items"
                                        self._segment_path = lambda: "vip-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems, [], name, value)


                                    class VipaddrItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ifvipaddrstats_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IfVipAddrStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems.IfVipAddrStatsList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems, self).__init__()

                                            self.yang_name = "vipaddr-items"
                                            self.yang_parent_name = "vip-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("IfVipAddrStats-list", ("ifvipaddrstats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems.IfVipAddrStatsList))])
                                            self._leafs = OrderedDict()

                                            self.ifvipaddrstats_list = YList(self)
                                            self._segment_path = lambda: "vipaddr-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems, [], name, value)


                                        class IfVipAddrStatsList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastnghbrsolicitsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastnghbradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastrouteradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nextrouteradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems.IfVipAddrStatsList, self).__init__()

                                                self.yang_name = "IfVipAddrStats-list"
                                                self.yang_parent_name = "vipaddr-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('lastnghbrsolicitsent', (YLeaf(YType.str, 'lastNghbrSolicitSent'), ['str'])),
                                                    ('lastnghbradvertisementsent', (YLeaf(YType.str, 'lastNghbrAdvertisementSent'), ['str'])),
                                                    ('lastrouteradvertisementsent', (YLeaf(YType.str, 'lastRouterAdvertisementSent'), ['str'])),
                                                    ('nextrouteradvertisementsent', (YLeaf(YType.str, 'nextRouterAdvertisementSent'), ['str'])),
                                                ])
                                                self.addr = None
                                                self.lastnghbrsolicitsent = None
                                                self.lastnghbradvertisementsent = None
                                                self.lastrouteradvertisementsent = None
                                                self.nextrouteradvertisementsent = None
                                                self._segment_path = lambda: "IfVipAddrStats-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.VipItems.VipaddrItems.IfVipAddrStatsList, ['addr', 'lastnghbrsolicitsent', 'lastnghbradvertisementsent', 'lastrouteradvertisementsent', 'nextrouteradvertisementsent'], name, value)





                                class AddrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ifipv6addrstats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IfIPv6AddrStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems.IfIPv6AddrStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems, self).__init__()

                                        self.yang_name = "addr-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("IfIPv6AddrStats-list", ("ifipv6addrstats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems.IfIPv6AddrStatsList))])
                                        self._leafs = OrderedDict()

                                        self.ifipv6addrstats_list = YList(self)
                                        self._segment_path = lambda: "addr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems, [], name, value)


                                    class IfIPv6AddrStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addrstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems.IfIPv6AddrStatsList, self).__init__()

                                            self.yang_name = "IfIPv6AddrStats-list"
                                            self.yang_parent_name = "addr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('addrstate', (YLeaf(YType.str, 'addrState'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.addrstate = None
                                            self._segment_path = lambda: "IfIPv6AddrStats-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrItems.IfIPv6AddrStatsList, ['addr', 'addrstate'], name, value)




                                class PfxItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefixstats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PrefixStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems.PrefixStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems, self).__init__()

                                        self.yang_name = "pfx-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("PrefixStats-list", ("prefixstats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems.PrefixStatsList))])
                                        self._leafs = OrderedDict()

                                        self.prefixstats_list = YList(self)
                                        self._segment_path = lambda: "pfx-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems, [], name, value)


                                    class PrefixStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: masklen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: enabled
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: lifetime
                                        
                                        	Valid Lifetime
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: preflifetime
                                        
                                        	Preferred Lifetime
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: onlink
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: offlink
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: autonomous
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rtraddr
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ifassignedaddr
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: refcount
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems.PrefixStatsList, self).__init__()

                                            self.yang_name = "PrefixStats-list"
                                            self.yang_parent_name = "pfx-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('masklen', (YLeaf(YType.uint16, 'maskLen'), ['int'])),
                                                ('enabled', (YLeaf(YType.boolean, 'enabled'), ['bool'])),
                                                ('lifetime', (YLeaf(YType.uint32, 'lifetime'), ['int'])),
                                                ('preflifetime', (YLeaf(YType.uint32, 'prefLifetime'), ['int'])),
                                                ('onlink', (YLeaf(YType.boolean, 'onLink'), ['bool'])),
                                                ('offlink', (YLeaf(YType.boolean, 'offLink'), ['bool'])),
                                                ('autonomous', (YLeaf(YType.boolean, 'autonomous'), ['bool'])),
                                                ('rtraddr', (YLeaf(YType.boolean, 'rtrAddr'), ['bool'])),
                                                ('ifassignedaddr', (YLeaf(YType.boolean, 'ifAssignedAddr'), ['bool'])),
                                                ('refcount', (YLeaf(YType.uint32, 'refCount'), ['int'])),
                                            ])
                                            self.addr = None
                                            self.masklen = None
                                            self.enabled = None
                                            self.lifetime = None
                                            self.preflifetime = None
                                            self.onlink = None
                                            self.offlink = None
                                            self.autonomous = None
                                            self.rtraddr = None
                                            self.ifassignedaddr = None
                                            self.refcount = None
                                            self._segment_path = lambda: "PrefixStats-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.PfxItems.PrefixStatsList, ['addr', 'masklen', 'enabled', 'lifetime', 'preflifetime', 'onlink', 'offlink', 'autonomous', 'rtraddr', 'ifassignedaddr', 'refcount'], name, value)




                                class RtItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: routestats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RouteStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems.RouteStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems, self).__init__()

                                        self.yang_name = "rt-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RouteStats-list", ("routestats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems.RouteStatsList))])
                                        self._leafs = OrderedDict()

                                        self.routestats_list = YList(self)
                                        self._segment_path = lambda: "rt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems, [], name, value)


                                    class RouteStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routepreference
                                        
                                        	Route Preference
                                        	**type**\:  :py:class:`NdRouterPreference <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdRouterPreference>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routelifetime
                                        
                                        	Route Lifetime
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: octetunits
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: verifyreachability
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: advrouteinroute
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: advroutewithzerolifetime
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems.RouteStatsList, self).__init__()

                                            self.yang_name = "RouteStats-list"
                                            self.yang_parent_name = "rt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('routepreference', (YLeaf(YType.enumeration, 'routePreference'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdRouterPreference', '')])),
                                                ('routelifetime', (YLeaf(YType.uint32, 'routeLifetime'), ['int'])),
                                                ('octetunits', (YLeaf(YType.uint32, 'octetUnits'), ['int'])),
                                                ('verifyreachability', (YLeaf(YType.boolean, 'verifyReachability'), ['bool'])),
                                                ('advrouteinroute', (YLeaf(YType.boolean, 'advRouteInRoute'), ['bool'])),
                                                ('advroutewithzerolifetime', (YLeaf(YType.boolean, 'advRouteWithZeroLifetime'), ['bool'])),
                                            ])
                                            self.addr = None
                                            self.routepreference = None
                                            self.routelifetime = None
                                            self.octetunits = None
                                            self.verifyreachability = None
                                            self.advrouteinroute = None
                                            self.advroutewithzerolifetime = None
                                            self._segment_path = lambda: "RouteStats-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.RtItems.RouteStatsList, ['addr', 'routepreference', 'routelifetime', 'octetunits', 'verifyreachability', 'advrouteinroute', 'advroutewithzerolifetime'], name, value)




                                class AddrtreeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addrtreestats_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AddrTreeStatsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems.AddrTreeStatsList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems, self).__init__()

                                        self.yang_name = "addrtree-items"
                                        self.yang_parent_name = "ifstats-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("AddrTreeStats-list", ("addrtreestats_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems.AddrTreeStatsList))])
                                        self._leafs = OrderedDict()

                                        self.addrtreestats_list = YList(self)
                                        self._segment_path = lambda: "addrtree-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems, [], name, value)


                                    class AddrTreeStatsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: masklen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addrtype
                                        
                                        	IPv6 address
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dadstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dadattempt
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems.AddrTreeStatsList, self).__init__()

                                            self.yang_name = "AddrTreeStats-list"
                                            self.yang_parent_name = "addrtree-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('masklen', (YLeaf(YType.uint8, 'maskLen'), ['int'])),
                                                ('addrtype', (YLeaf(YType.str, 'addrType'), ['str'])),
                                                ('dadstate', (YLeaf(YType.str, 'dadState'), ['str'])),
                                                ('dadattempt', (YLeaf(YType.uint16, 'dadAttempt'), ['int'])),
                                            ])
                                            self.addr = None
                                            self.masklen = None
                                            self.addrtype = None
                                            self.dadstate = None
                                            self.dadattempt = None
                                            self._segment_path = lambda: "AddrTreeStats-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.IfstatsItems.AddrtreeItems.AddrTreeStatsList, ['addr', 'masklen', 'addrtype', 'dadstate', 'dadattempt'], name, value)





                            class VaddrstatItems(Entity):
                                """
                                
                                
                                .. attribute:: vaddrstat_list
                                
                                	
                                	**type**\: list of  		 :py:class:`VaddrStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems, self).__init__()

                                    self.yang_name = "vaddrstat-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("VaddrStat-list", ("vaddrstat_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList))])
                                    self._leafs = OrderedDict()

                                    self.vaddrstat_list = YList(self)
                                    self._segment_path = lambda: "vaddrstat-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems, [], name, value)


                                class VaddrStatList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vaddrproto  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: groupid
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: clientuuid
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: clientstate
                                    
                                    	Client state
                                    	**type**\:  :py:class:`NdVaddrClientState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdVaddrClientState>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: clientinuse
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: clientactivestate
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: context
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vip_items
                                    
                                    	
                                    	**type**\:  :py:class:`VipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList, self).__init__()

                                        self.yang_name = "VaddrStat-list"
                                        self.yang_parent_name = "vaddrstat-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['vaddrproto']
                                        self._child_classes = OrderedDict([("vip-items", ("vip_items", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems))])
                                        self._leafs = OrderedDict([
                                            ('vaddrproto', (YLeaf(YType.str, 'vaddrProto'), ['str'])),
                                            ('groupid', (YLeaf(YType.uint16, 'groupId'), ['int'])),
                                            ('clientuuid', (YLeaf(YType.uint32, 'clientUUID'), ['int'])),
                                            ('clientstate', (YLeaf(YType.enumeration, 'clientState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdVaddrClientState', '')])),
                                            ('clientinuse', (YLeaf(YType.uint16, 'clientInUse'), ['int'])),
                                            ('clientactivestate', (YLeaf(YType.str, 'clientActiveState'), ['str'])),
                                            ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                                            ('context', (YLeaf(YType.str, 'context'), ['str'])),
                                        ])
                                        self.vaddrproto = None
                                        self.groupid = None
                                        self.clientuuid = None
                                        self.clientstate = None
                                        self.clientinuse = None
                                        self.clientactivestate = None
                                        self.interface = None
                                        self.context = None

                                        self.vip_items = System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems()
                                        self.vip_items.parent = self
                                        self._children_name_map["vip_items"] = "vip-items"
                                        self._segment_path = lambda: "VaddrStat-list" + "[vaddrProto='" + str(self.vaddrproto) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList, ['vaddrproto', 'groupid', 'clientuuid', 'clientstate', 'clientinuse', 'clientactivestate', 'interface', 'context'], name, value)


                                    class VipItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vaddrstatvip_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VaddrStatVipList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems.VaddrStatVipList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems, self).__init__()

                                            self.yang_name = "vip-items"
                                            self.yang_parent_name = "VaddrStat-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("VaddrStatVip-list", ("vaddrstatvip_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems.VaddrStatVipList))])
                                            self._leafs = OrderedDict()

                                            self.vaddrstatvip_list = YList(self)
                                            self._segment_path = lambda: "vip-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems, [], name, value)


                                        class VaddrStatVipList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: virtualmac
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: totsent
                                            
                                            	Total messages sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: totrvcd
                                            
                                            	Total messages received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: errsent
                                            
                                            	Error messages sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: errrcvd
                                            
                                            	Error messages received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ifdowndropsent
                                            
                                            	Interface Down Drop Count sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ifdowndroprcvd
                                            
                                            	Interface Down Drop Count received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: drophanotrdy
                                            
                                            	Adjacency not recovered from AM after HA
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dropinvldttlmct
                                            
                                            	Pkts allowed due to inv ttl on vPC\-MCT
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dropsrcmacownrcvd
                                            
                                            	Pkts dropped as source mac addr is own
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: droptgtipnotownrcvd
                                            
                                            	Pkts dropped as tgt ip addr is not own
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dropsrcipnotownrcvd
                                            
                                            	Pkts dropped as src ip addr is not own
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: destunreachsent
                                            
                                            	Destination Unreachables sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: destunreachrcvd
                                            
                                            	Destination Unreachables received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: adminprohibsent
                                            
                                            	Administratively Prohibited sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: adminprohibrcvd
                                            
                                            	Administratively Prohibited received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: timeexcdsent
                                            
                                            	Time Exceeded sent 
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: timeexcdrcvd
                                            
                                            	Time Exceeded received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: parmprblmsent
                                            
                                            	Parameter Problems sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: parmprblmrcvd
                                            
                                            	Parameter Problems received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: echoreqsent
                                            
                                            	Echo Request sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: echoreqrcvd
                                            
                                            	Echo Request received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: echorepsent
                                            
                                            	Echo Replies sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: echoreprcvd
                                            
                                            	Echo Replies received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: redirsent
                                            
                                            	Redirects sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: redirrcvd
                                            
                                            	Redirects received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: toobigsent
                                            
                                            	Packet Too Big sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: toobigrcvd
                                            
                                            	Packet Too Big received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rasent
                                            
                                            	Router Advertisements sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rarcvd
                                            
                                            	Router Advertisements received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rssent
                                            
                                            	Router Solicitations sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rsrcvd
                                            
                                            	Router Solicitations received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nasent
                                            
                                            	Neighbor Advertisements sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: narcvd
                                            
                                            	Neighbor Advertisements received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nssent
                                            
                                            	Neighbor Solicitations sent
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nsrcvd
                                            
                                            	Neighbor Solicitations received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: duprareceived
                                            
                                            	Duplicate router RA received
                                            	**type**\: int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastnghbrsolicitsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastnghbradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastrouteradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nextrouteradvertisementsent
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems.VaddrStatVipList, self).__init__()

                                                self.yang_name = "VaddrStatVip-list"
                                                self.yang_parent_name = "vip-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['vaddr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('vaddr', (YLeaf(YType.str, 'vAddr'), ['str','str'])),
                                                    ('virtualmac', (YLeaf(YType.str, 'virtualMac'), ['str'])),
                                                    ('totsent', (YLeaf(YType.uint64, 'totSent'), ['int'])),
                                                    ('totrvcd', (YLeaf(YType.uint64, 'totRvcd'), ['int'])),
                                                    ('errsent', (YLeaf(YType.uint64, 'errSent'), ['int'])),
                                                    ('errrcvd', (YLeaf(YType.uint64, 'errRcvd'), ['int'])),
                                                    ('ifdowndropsent', (YLeaf(YType.uint64, 'ifDownDropSent'), ['int'])),
                                                    ('ifdowndroprcvd', (YLeaf(YType.uint64, 'ifDownDropRcvd'), ['int'])),
                                                    ('drophanotrdy', (YLeaf(YType.uint64, 'dropHaNotRdy'), ['int'])),
                                                    ('dropinvldttlmct', (YLeaf(YType.uint64, 'dropInvldTtlMct'), ['int'])),
                                                    ('dropsrcmacownrcvd', (YLeaf(YType.uint64, 'dropSrcMacOwnRcvd'), ['int'])),
                                                    ('droptgtipnotownrcvd', (YLeaf(YType.uint64, 'dropTgtIpNotOwnRcvd'), ['int'])),
                                                    ('dropsrcipnotownrcvd', (YLeaf(YType.uint64, 'dropSrcIpNotOwnRcvd'), ['int'])),
                                                    ('destunreachsent', (YLeaf(YType.uint64, 'destUnreachSent'), ['int'])),
                                                    ('destunreachrcvd', (YLeaf(YType.uint64, 'destUnreachRcvd'), ['int'])),
                                                    ('adminprohibsent', (YLeaf(YType.uint64, 'adminProhibSent'), ['int'])),
                                                    ('adminprohibrcvd', (YLeaf(YType.uint64, 'adminProhibRcvd'), ['int'])),
                                                    ('timeexcdsent', (YLeaf(YType.uint64, 'timeExcdSent'), ['int'])),
                                                    ('timeexcdrcvd', (YLeaf(YType.uint64, 'timeExcdRcvd'), ['int'])),
                                                    ('parmprblmsent', (YLeaf(YType.uint64, 'parmPrblmSent'), ['int'])),
                                                    ('parmprblmrcvd', (YLeaf(YType.uint64, 'parmPrblmRcvd'), ['int'])),
                                                    ('echoreqsent', (YLeaf(YType.uint64, 'echoReqSent'), ['int'])),
                                                    ('echoreqrcvd', (YLeaf(YType.uint64, 'echoReqRcvd'), ['int'])),
                                                    ('echorepsent', (YLeaf(YType.uint64, 'echoRepSent'), ['int'])),
                                                    ('echoreprcvd', (YLeaf(YType.uint64, 'echoRepRcvd'), ['int'])),
                                                    ('redirsent', (YLeaf(YType.uint64, 'redirSent'), ['int'])),
                                                    ('redirrcvd', (YLeaf(YType.uint64, 'redirRcvd'), ['int'])),
                                                    ('toobigsent', (YLeaf(YType.uint64, 'tooBigSent'), ['int'])),
                                                    ('toobigrcvd', (YLeaf(YType.uint64, 'tooBigRcvd'), ['int'])),
                                                    ('rasent', (YLeaf(YType.uint64, 'raSent'), ['int'])),
                                                    ('rarcvd', (YLeaf(YType.uint64, 'raRcvd'), ['int'])),
                                                    ('rssent', (YLeaf(YType.uint64, 'rsSent'), ['int'])),
                                                    ('rsrcvd', (YLeaf(YType.uint64, 'rsRcvd'), ['int'])),
                                                    ('nasent', (YLeaf(YType.uint64, 'naSent'), ['int'])),
                                                    ('narcvd', (YLeaf(YType.uint64, 'naRcvd'), ['int'])),
                                                    ('nssent', (YLeaf(YType.uint64, 'nsSent'), ['int'])),
                                                    ('nsrcvd', (YLeaf(YType.uint64, 'nsRcvd'), ['int'])),
                                                    ('duprareceived', (YLeaf(YType.uint64, 'dupRAReceived'), ['int'])),
                                                    ('lastnghbrsolicitsent', (YLeaf(YType.str, 'lastNghbrSolicitSent'), ['str'])),
                                                    ('lastnghbradvertisementsent', (YLeaf(YType.str, 'lastNghbrAdvertisementSent'), ['str'])),
                                                    ('lastrouteradvertisementsent', (YLeaf(YType.str, 'lastRouterAdvertisementSent'), ['str'])),
                                                    ('nextrouteradvertisementsent', (YLeaf(YType.str, 'nextRouterAdvertisementSent'), ['str'])),
                                                ])
                                                self.vaddr = None
                                                self.virtualmac = None
                                                self.totsent = None
                                                self.totrvcd = None
                                                self.errsent = None
                                                self.errrcvd = None
                                                self.ifdowndropsent = None
                                                self.ifdowndroprcvd = None
                                                self.drophanotrdy = None
                                                self.dropinvldttlmct = None
                                                self.dropsrcmacownrcvd = None
                                                self.droptgtipnotownrcvd = None
                                                self.dropsrcipnotownrcvd = None
                                                self.destunreachsent = None
                                                self.destunreachrcvd = None
                                                self.adminprohibsent = None
                                                self.adminprohibrcvd = None
                                                self.timeexcdsent = None
                                                self.timeexcdrcvd = None
                                                self.parmprblmsent = None
                                                self.parmprblmrcvd = None
                                                self.echoreqsent = None
                                                self.echoreqrcvd = None
                                                self.echorepsent = None
                                                self.echoreprcvd = None
                                                self.redirsent = None
                                                self.redirrcvd = None
                                                self.toobigsent = None
                                                self.toobigrcvd = None
                                                self.rasent = None
                                                self.rarcvd = None
                                                self.rssent = None
                                                self.rsrcvd = None
                                                self.nasent = None
                                                self.narcvd = None
                                                self.nssent = None
                                                self.nsrcvd = None
                                                self.duprareceived = None
                                                self.lastnghbrsolicitsent = None
                                                self.lastnghbradvertisementsent = None
                                                self.lastrouteradvertisementsent = None
                                                self.nextrouteradvertisementsent = None
                                                self._segment_path = lambda: "VaddrStatVip-list" + "[vAddr='" + str(self.vaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.VaddrstatItems.VaddrStatList.VipItems.VaddrStatVipList, ['vaddr', 'virtualmac', 'totsent', 'totrvcd', 'errsent', 'errrcvd', 'ifdowndropsent', 'ifdowndroprcvd', 'drophanotrdy', 'dropinvldttlmct', 'dropsrcmacownrcvd', 'droptgtipnotownrcvd', 'dropsrcipnotownrcvd', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'timeexcdsent', 'timeexcdrcvd', 'parmprblmsent', 'parmprblmrcvd', 'echoreqsent', 'echoreqrcvd', 'echorepsent', 'echoreprcvd', 'redirsent', 'redirrcvd', 'toobigsent', 'toobigrcvd', 'rasent', 'rarcvd', 'rssent', 'rsrcvd', 'nasent', 'narcvd', 'nssent', 'nsrcvd', 'duprareceived', 'lastnghbrsolicitsent', 'lastnghbradvertisementsent', 'lastrouteradvertisementsent', 'nextrouteradvertisementsent'], name, value)






                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class VaddrstatglobalItems(Entity):
                        """
                        
                        
                        .. attribute:: vaddrglobalstat_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VaddrGlobalStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems.VaddrGlobalStatList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems, self).__init__()

                            self.yang_name = "vaddrstatglobal-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("VaddrGlobalStat-list", ("vaddrglobalstat_list", System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems.VaddrGlobalStatList))])
                            self._leafs = OrderedDict()

                            self.vaddrglobalstat_list = YList(self)
                            self._segment_path = lambda: "vaddrstatglobal-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems, [], name, value)


                        class VaddrGlobalStatList(Entity):
                            """
                            
                            
                            .. attribute:: vaddr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: virtualmac
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: groupid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: clientuuid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: clientstate
                            
                            	Client state
                            	**type**\:  :py:class:`NdVaddrClientState <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NdVaddrClientState>`
                            
                            	**config**\: False
                            
                            .. attribute:: clientinuse
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            	**config**\: False
                            
                            .. attribute:: clientactivestate
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: context
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems.VaddrGlobalStatList, self).__init__()

                                self.yang_name = "VaddrGlobalStat-list"
                                self.yang_parent_name = "vaddrstatglobal-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['vaddr']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('vaddr', (YLeaf(YType.str, 'vAddr'), ['str','str'])),
                                    ('protocol', (YLeaf(YType.str, 'protocol'), ['str'])),
                                    ('virtualmac', (YLeaf(YType.str, 'virtualMac'), ['str'])),
                                    ('groupid', (YLeaf(YType.uint16, 'groupId'), ['int'])),
                                    ('clientuuid', (YLeaf(YType.uint32, 'clientUUID'), ['int'])),
                                    ('clientstate', (YLeaf(YType.enumeration, 'clientState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NdVaddrClientState', '')])),
                                    ('clientinuse', (YLeaf(YType.uint16, 'clientInUse'), ['int'])),
                                    ('clientactivestate', (YLeaf(YType.str, 'clientActiveState'), ['str'])),
                                    ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                                    ('context', (YLeaf(YType.str, 'context'), ['str'])),
                                ])
                                self.vaddr = None
                                self.protocol = None
                                self.virtualmac = None
                                self.groupid = None
                                self.clientuuid = None
                                self.clientstate = None
                                self.clientinuse = None
                                self.clientactivestate = None
                                self.interface = None
                                self.context = None
                                self._segment_path = lambda: "VaddrGlobalStat-list" + "[vAddr='" + str(self.vaddr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NdItems.InstItems.DomItems.DomList.VaddrstatglobalItems.VaddrGlobalStatList, ['vaddr', 'protocol', 'virtualmac', 'groupid', 'clientuuid', 'clientstate', 'clientinuse', 'clientactivestate', 'interface', 'context'], name, value)






            class Ipv6gleanthrottleItems(Entity):
                """
                
                
                .. attribute:: adminst
                
                	Glean throttle state
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: syslog
                
                	Glean throttle syslog for number of packets
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: maxpacket
                
                	Glean throttle pack count
                	**type**\: int
                
                	**range:** 0..32767
                
                .. attribute:: timeout
                
                	Ipv4 glean throttle timeout
                	**type**\: int
                
                	**range:** 300..1800
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.Ipv6gleanthrottleItems, self).__init__()

                    self.yang_name = "ipv6gleanthrottle-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('syslog', (YLeaf(YType.uint32, 'syslog'), ['int'])),
                        ('maxpacket', (YLeaf(YType.uint32, 'maxPacket'), ['int'])),
                        ('timeout', (YLeaf(YType.uint16, 'timeout'), ['int'])),
                    ])
                    self.adminst = None
                    self.syslog = None
                    self.maxpacket = None
                    self.timeout = None
                    self._segment_path = lambda: "ipv6gleanthrottle-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.Ipv6gleanthrottleItems, ['adminst', 'syslog', 'maxpacket', 'timeout'], name, value)



            class VpcItems(Entity):
                """
                
                
                .. attribute:: dom_items
                
                	
                	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VpcItems.DomItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.VpcItems, self).__init__()

                    self.yang_name = "vpc-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("dom-items", ("dom_items", System.NdItems.InstItems.VpcItems.DomItems))])
                    self._leafs = OrderedDict()

                    self.dom_items = System.NdItems.InstItems.VpcItems.DomItems()
                    self.dom_items.parent = self
                    self._children_name_map["dom_items"] = "dom-items"
                    self._segment_path = lambda: "vpc-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.VpcItems, [], name, value)


                class DomItems(Entity):
                    """
                    
                    
                    .. attribute:: vpcdom_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VpcDomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VpcItems.DomItems.VpcDomList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NdItems.InstItems.VpcItems.DomItems, self).__init__()

                        self.yang_name = "dom-items"
                        self.yang_parent_name = "vpc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("VpcDom-list", ("vpcdom_list", System.NdItems.InstItems.VpcItems.DomItems.VpcDomList))])
                        self._leafs = OrderedDict()

                        self.vpcdom_list = YList(self)
                        self._segment_path = lambda: "dom-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/vpc-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NdItems.InstItems.VpcItems.DomItems, [], name, value)


                    class VpcDomList(Entity):
                        """
                        
                        
                        .. attribute:: domainid  (key)
                        
                        	Respective VPC Domain
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: ndsync
                        
                        	IPV6 ND Sync
                        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NdItems.InstItems.VpcItems.DomItems.VpcDomList, self).__init__()

                            self.yang_name = "VpcDom-list"
                            self.yang_parent_name = "dom-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['domainid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('domainid', (YLeaf(YType.uint16, 'domainId'), ['int'])),
                                ('ndsync', (YLeaf(YType.enumeration, 'ndSync'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ])
                            self.domainid = None
                            self.ndsync = None
                            self._segment_path = lambda: "VpcDom-list" + "[domainId='" + str(self.domainid) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/vpc-items/dom-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NdItems.InstItems.VpcItems.DomItems.VpcDomList, ['domainid', 'ndsync'], name, value)





            class OffliststatItems(Entity):
                """
                
                
                .. attribute:: offlistvlan_list
                
                	
                	**type**\: list of  		 :py:class:`OffListVlanList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.OffliststatItems.OffListVlanList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.OffliststatItems, self).__init__()

                    self.yang_name = "offliststat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("OffListVlan-list", ("offlistvlan_list", System.NdItems.InstItems.OffliststatItems.OffListVlanList))])
                    self._leafs = OrderedDict()

                    self.offlistvlan_list = YList(self)
                    self._segment_path = lambda: "offliststat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.OffliststatItems, [], name, value)


                class OffListVlanList(Entity):
                    """
                    
                    
                    .. attribute:: vlanid  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: addr  (key)
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: totalofflistentries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    .. attribute:: age
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: macaddr
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: flags
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NdItems.InstItems.OffliststatItems.OffListVlanList, self).__init__()

                        self.yang_name = "OffListVlan-list"
                        self.yang_parent_name = "offliststat-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['vlanid','addr']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('vlanid', (YLeaf(YType.uint16, 'vlanId'), ['int'])),
                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                            ('totalofflistentries', (YLeaf(YType.uint16, 'totalOfflistEntries'), ['int'])),
                            ('age', (YLeaf(YType.str, 'age'), ['str'])),
                            ('macaddr', (YLeaf(YType.str, 'macAddr'), ['str'])),
                            ('flags', (YLeaf(YType.uint16, 'flags'), ['int'])),
                        ])
                        self.vlanid = None
                        self.addr = None
                        self.totalofflistentries = None
                        self.age = None
                        self.macaddr = None
                        self.flags = None
                        self._segment_path = lambda: "OffListVlan-list" + "[vlanId='" + str(self.vlanid) + "']" + "[addr='" + str(self.addr) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/offliststat-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NdItems.InstItems.OffliststatItems.OffListVlanList, ['vlanid', 'addr', 'totalofflistentries', 'age', 'macaddr', 'flags'], name, value)




            class GlblpktstatsItems(Entity):
                """
                
                
                .. attribute:: totsent
                
                	Total messages sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: totrvcd
                
                	Total messages received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errsent
                
                	Error messages sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: errrcvd
                
                	Error messages received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ifdowndropsent
                
                	Interface Down Drop Count sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: ifdowndroprcvd
                
                	Interface Down Drop Count received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: drophanotrdy
                
                	Adjacency not recovered from AM after HA
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropinvldttlmct
                
                	Pkts allowed due to inv ttl on vPC\-MCT
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropsrcmacownrcvd
                
                	Pkts dropped as source mac addr is own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: droptgtipnotownrcvd
                
                	Pkts dropped as tgt ip addr is not own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: dropsrcipnotownrcvd
                
                	Pkts dropped as src ip addr is not own
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: destunreachsent
                
                	Destination Unreachables sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: destunreachrcvd
                
                	Destination Unreachables received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: adminprohibsent
                
                	Administratively Prohibited sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: adminprohibrcvd
                
                	Administratively Prohibited received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: timeexcdsent
                
                	Time Exceeded sent 
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: timeexcdrcvd
                
                	Time Exceeded received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: parmprblmsent
                
                	Parameter Problems sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: parmprblmrcvd
                
                	Parameter Problems received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreqsent
                
                	Echo Request sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreqrcvd
                
                	Echo Request received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echorepsent
                
                	Echo Replies sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: echoreprcvd
                
                	Echo Replies received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: redirsent
                
                	Redirects sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: redirrcvd
                
                	Redirects received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: toobigsent
                
                	Packet Too Big sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: toobigrcvd
                
                	Packet Too Big received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rasent
                
                	Router Advertisements sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rarcvd
                
                	Router Advertisements received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rssent
                
                	Router Solicitations sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: rsrcvd
                
                	Router Solicitations received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nasent
                
                	Neighbor Advertisements sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: narcvd
                
                	Neighbor Advertisements received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nssent
                
                	Neighbor Solicitations sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: nsrcvd
                
                	Neighbor Solicitations received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: duprareceived
                
                	Duplicate router RA received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpthrcvd
                
                	Fastpath Packets
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpathdsbleignrcvd
                
                	Ignored Fastpath Packets \- Fastpath disabled
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: fastpathotherignrcvd
                
                	Ignored fastpath packets \- others
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1queriessent
                
                	V1 queries sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1queriesrecv
                
                	V1 queries received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2queriessent
                
                	V2 queries sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2queriesrecv
                
                	V2 queries received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1reportssent
                
                	V1 reports sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1reportsrecv
                
                	V1 reports received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2reportssent
                
                	V2 reports sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv2reportsrecv
                
                	V2 reports received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1leavessent
                
                	V1 leaves sent
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                .. attribute:: mldv1leavesrecv
                
                	V1 leaves received
                	**type**\: int
                
                	**range:** 0..18446744073709551615
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.GlblpktstatsItems, self).__init__()

                    self.yang_name = "glblpktstats-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('totsent', (YLeaf(YType.uint64, 'totSent'), ['int'])),
                        ('totrvcd', (YLeaf(YType.uint64, 'totRvcd'), ['int'])),
                        ('errsent', (YLeaf(YType.uint64, 'errSent'), ['int'])),
                        ('errrcvd', (YLeaf(YType.uint64, 'errRcvd'), ['int'])),
                        ('ifdowndropsent', (YLeaf(YType.uint64, 'ifDownDropSent'), ['int'])),
                        ('ifdowndroprcvd', (YLeaf(YType.uint64, 'ifDownDropRcvd'), ['int'])),
                        ('drophanotrdy', (YLeaf(YType.uint64, 'dropHaNotRdy'), ['int'])),
                        ('dropinvldttlmct', (YLeaf(YType.uint64, 'dropInvldTtlMct'), ['int'])),
                        ('dropsrcmacownrcvd', (YLeaf(YType.uint64, 'dropSrcMacOwnRcvd'), ['int'])),
                        ('droptgtipnotownrcvd', (YLeaf(YType.uint64, 'dropTgtIpNotOwnRcvd'), ['int'])),
                        ('dropsrcipnotownrcvd', (YLeaf(YType.uint64, 'dropSrcIpNotOwnRcvd'), ['int'])),
                        ('destunreachsent', (YLeaf(YType.uint64, 'destUnreachSent'), ['int'])),
                        ('destunreachrcvd', (YLeaf(YType.uint64, 'destUnreachRcvd'), ['int'])),
                        ('adminprohibsent', (YLeaf(YType.uint64, 'adminProhibSent'), ['int'])),
                        ('adminprohibrcvd', (YLeaf(YType.uint64, 'adminProhibRcvd'), ['int'])),
                        ('timeexcdsent', (YLeaf(YType.uint64, 'timeExcdSent'), ['int'])),
                        ('timeexcdrcvd', (YLeaf(YType.uint64, 'timeExcdRcvd'), ['int'])),
                        ('parmprblmsent', (YLeaf(YType.uint64, 'parmPrblmSent'), ['int'])),
                        ('parmprblmrcvd', (YLeaf(YType.uint64, 'parmPrblmRcvd'), ['int'])),
                        ('echoreqsent', (YLeaf(YType.uint64, 'echoReqSent'), ['int'])),
                        ('echoreqrcvd', (YLeaf(YType.uint64, 'echoReqRcvd'), ['int'])),
                        ('echorepsent', (YLeaf(YType.uint64, 'echoRepSent'), ['int'])),
                        ('echoreprcvd', (YLeaf(YType.uint64, 'echoRepRcvd'), ['int'])),
                        ('redirsent', (YLeaf(YType.uint64, 'redirSent'), ['int'])),
                        ('redirrcvd', (YLeaf(YType.uint64, 'redirRcvd'), ['int'])),
                        ('toobigsent', (YLeaf(YType.uint64, 'tooBigSent'), ['int'])),
                        ('toobigrcvd', (YLeaf(YType.uint64, 'tooBigRcvd'), ['int'])),
                        ('rasent', (YLeaf(YType.uint64, 'raSent'), ['int'])),
                        ('rarcvd', (YLeaf(YType.uint64, 'raRcvd'), ['int'])),
                        ('rssent', (YLeaf(YType.uint64, 'rsSent'), ['int'])),
                        ('rsrcvd', (YLeaf(YType.uint64, 'rsRcvd'), ['int'])),
                        ('nasent', (YLeaf(YType.uint64, 'naSent'), ['int'])),
                        ('narcvd', (YLeaf(YType.uint64, 'naRcvd'), ['int'])),
                        ('nssent', (YLeaf(YType.uint64, 'nsSent'), ['int'])),
                        ('nsrcvd', (YLeaf(YType.uint64, 'nsRcvd'), ['int'])),
                        ('duprareceived', (YLeaf(YType.uint64, 'dupRAReceived'), ['int'])),
                        ('fastpthrcvd', (YLeaf(YType.uint64, 'fastpthRcvd'), ['int'])),
                        ('fastpathdsbleignrcvd', (YLeaf(YType.uint64, 'fastpathDsbleIgnRcvd'), ['int'])),
                        ('fastpathotherignrcvd', (YLeaf(YType.uint64, 'fastpathOtherIgnRcvd'), ['int'])),
                        ('mldv1queriessent', (YLeaf(YType.uint64, 'mldV1QueriesSent'), ['int'])),
                        ('mldv1queriesrecv', (YLeaf(YType.uint64, 'mldV1QueriesRecv'), ['int'])),
                        ('mldv2queriessent', (YLeaf(YType.uint64, 'mldV2QueriesSent'), ['int'])),
                        ('mldv2queriesrecv', (YLeaf(YType.uint64, 'mldV2QueriesRecv'), ['int'])),
                        ('mldv1reportssent', (YLeaf(YType.uint64, 'mldV1ReportsSent'), ['int'])),
                        ('mldv1reportsrecv', (YLeaf(YType.uint64, 'mldV1ReportsRecv'), ['int'])),
                        ('mldv2reportssent', (YLeaf(YType.uint64, 'mldV2ReportsSent'), ['int'])),
                        ('mldv2reportsrecv', (YLeaf(YType.uint64, 'mldV2ReportsRecv'), ['int'])),
                        ('mldv1leavessent', (YLeaf(YType.uint64, 'mldV1LeavesSent'), ['int'])),
                        ('mldv1leavesrecv', (YLeaf(YType.uint64, 'mldV1LeavesRecv'), ['int'])),
                    ])
                    self.totsent = None
                    self.totrvcd = None
                    self.errsent = None
                    self.errrcvd = None
                    self.ifdowndropsent = None
                    self.ifdowndroprcvd = None
                    self.drophanotrdy = None
                    self.dropinvldttlmct = None
                    self.dropsrcmacownrcvd = None
                    self.droptgtipnotownrcvd = None
                    self.dropsrcipnotownrcvd = None
                    self.destunreachsent = None
                    self.destunreachrcvd = None
                    self.adminprohibsent = None
                    self.adminprohibrcvd = None
                    self.timeexcdsent = None
                    self.timeexcdrcvd = None
                    self.parmprblmsent = None
                    self.parmprblmrcvd = None
                    self.echoreqsent = None
                    self.echoreqrcvd = None
                    self.echorepsent = None
                    self.echoreprcvd = None
                    self.redirsent = None
                    self.redirrcvd = None
                    self.toobigsent = None
                    self.toobigrcvd = None
                    self.rasent = None
                    self.rarcvd = None
                    self.rssent = None
                    self.rsrcvd = None
                    self.nasent = None
                    self.narcvd = None
                    self.nssent = None
                    self.nsrcvd = None
                    self.duprareceived = None
                    self.fastpthrcvd = None
                    self.fastpathdsbleignrcvd = None
                    self.fastpathotherignrcvd = None
                    self.mldv1queriessent = None
                    self.mldv1queriesrecv = None
                    self.mldv2queriessent = None
                    self.mldv2queriesrecv = None
                    self.mldv1reportssent = None
                    self.mldv1reportsrecv = None
                    self.mldv2reportssent = None
                    self.mldv2reportsrecv = None
                    self.mldv1leavessent = None
                    self.mldv1leavesrecv = None
                    self._segment_path = lambda: "glblpktstats-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.GlblpktstatsItems, ['totsent', 'totrvcd', 'errsent', 'errrcvd', 'ifdowndropsent', 'ifdowndroprcvd', 'drophanotrdy', 'dropinvldttlmct', 'dropsrcmacownrcvd', 'droptgtipnotownrcvd', 'dropsrcipnotownrcvd', 'destunreachsent', 'destunreachrcvd', 'adminprohibsent', 'adminprohibrcvd', 'timeexcdsent', 'timeexcdrcvd', 'parmprblmsent', 'parmprblmrcvd', 'echoreqsent', 'echoreqrcvd', 'echorepsent', 'echoreprcvd', 'redirsent', 'redirrcvd', 'toobigsent', 'toobigrcvd', 'rasent', 'rarcvd', 'rssent', 'rsrcvd', 'nasent', 'narcvd', 'nssent', 'nsrcvd', 'duprareceived', 'fastpthrcvd', 'fastpathdsbleignrcvd', 'fastpathotherignrcvd', 'mldv1queriessent', 'mldv1queriesrecv', 'mldv2queriessent', 'mldv2queriesrecv', 'mldv1reportssent', 'mldv1reportsrecv', 'mldv2reportssent', 'mldv2reportsrecv', 'mldv1leavessent', 'mldv1leavesrecv'], name, value)



            class VaddrllstatItems(Entity):
                """
                
                
                .. attribute:: vaddrlinklocalstat_list
                
                	
                	**type**\: list of  		 :py:class:`VaddrLinkLocalStatList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NdItems.InstItems.VaddrllstatItems.VaddrLinkLocalStatList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.VaddrllstatItems, self).__init__()

                    self.yang_name = "vaddrllstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("VaddrLinkLocalStat-list", ("vaddrlinklocalstat_list", System.NdItems.InstItems.VaddrllstatItems.VaddrLinkLocalStatList))])
                    self._leafs = OrderedDict()

                    self.vaddrlinklocalstat_list = YList(self)
                    self._segment_path = lambda: "vaddrllstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.VaddrllstatItems, [], name, value)


                class VaddrLinkLocalStatList(Entity):
                    """
                    
                    
                    .. attribute:: vaddr  (key)
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: virtualmac
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: active
                    
                    	
                    	**type**\: str
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NdItems.InstItems.VaddrllstatItems.VaddrLinkLocalStatList, self).__init__()

                        self.yang_name = "VaddrLinkLocalStat-list"
                        self.yang_parent_name = "vaddrllstat-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['vaddr']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('vaddr', (YLeaf(YType.str, 'vAddr'), ['str','str'])),
                            ('virtualmac', (YLeaf(YType.str, 'virtualMac'), ['str'])),
                            ('interface', (YLeaf(YType.str, 'interface'), ['str'])),
                            ('active', (YLeaf(YType.str, 'active'), ['str'])),
                        ])
                        self.vaddr = None
                        self.virtualmac = None
                        self.interface = None
                        self.active = None
                        self._segment_path = lambda: "VaddrLinkLocalStat-list" + "[vAddr='" + str(self.vaddr) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/vaddrllstat-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NdItems.InstItems.VaddrllstatItems.VaddrLinkLocalStatList, ['vaddr', 'virtualmac', 'interface', 'active'], name, value)




            class VpcstatItems(Entity):
                """
                
                
                .. attribute:: cfsstatus
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: layer3routing
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: syncprocdroprecvpullreq
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdroprecvpushmsg
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncignoresendpullreq
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncignoresendpushmsg
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncdropimapifailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncdropmcemapifailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncdropinvalidpciod
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdropptlookupfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdroprespfailednomct
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdroprespfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdropmcemifindexvpcconvfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocdropmcemvpcifindexconvfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: periodicsyncprocdropmcemifindexvpcconvfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: periodicsyncprocdropmcemvpcifindexconvfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocrespsent
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocresprcvd
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocresprcvderr
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocrcvdmsg
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncprocsendfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncproccfsreldlvryfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: syncproccfsreldlvrysuccess
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropptaddfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropnomem
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdroptmrcreatefailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropaddadjfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropptlookupfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocnodropvlanmismatch
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropsviinvalid
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocnodropsvidown
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropmctdown
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropctxtinvalid
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropvrfinvalid
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropl3addrinvalid
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropl3addrsanityfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropmacsanityfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropownmac
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropownipv6addr
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropownvipv6addr
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropcreateadjfailed
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropsubnetmismatch
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropadjalreadyexist
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocnodropipv6disabled
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdropcount
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocnodropcount
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocaddadj
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocdeladj
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: offlistprocadjalreadyexist
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NdItems.InstItems.VpcstatItems, self).__init__()

                    self.yang_name = "vpcstat-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('cfsstatus', (YLeaf(YType.str, 'cfsStatus'), ['str'])),
                        ('layer3routing', (YLeaf(YType.str, 'layer3Routing'), ['str'])),
                        ('syncprocdroprecvpullreq', (YLeaf(YType.uint16, 'syncProcDropRecvPullReq'), ['int'])),
                        ('syncprocdroprecvpushmsg', (YLeaf(YType.uint16, 'syncProcDropRecvPushMsg'), ['int'])),
                        ('syncignoresendpullreq', (YLeaf(YType.uint16, 'syncIgnoreSendPullReq'), ['int'])),
                        ('syncignoresendpushmsg', (YLeaf(YType.uint16, 'syncIgnoreSendPushMsg'), ['int'])),
                        ('syncdropimapifailed', (YLeaf(YType.uint16, 'syncDropIMApiFailed'), ['int'])),
                        ('syncdropmcemapifailed', (YLeaf(YType.uint16, 'syncDropMcemApiFailed'), ['int'])),
                        ('syncdropinvalidpciod', (YLeaf(YType.uint16, 'syncDropInvalidPcIod'), ['int'])),
                        ('syncprocdropptlookupfailed', (YLeaf(YType.uint16, 'syncProcDropPtLookupFailed'), ['int'])),
                        ('syncprocdroprespfailednomct', (YLeaf(YType.uint16, 'syncProcDropRespFailedNomct'), ['int'])),
                        ('syncprocdroprespfailed', (YLeaf(YType.uint16, 'syncProcDropRespFailed'), ['int'])),
                        ('syncprocdropmcemifindexvpcconvfailed', (YLeaf(YType.uint16, 'syncProcDropMCEMIfindexVpcConvFailed'), ['int'])),
                        ('syncprocdropmcemvpcifindexconvfailed', (YLeaf(YType.uint16, 'syncProcDropMCEMVpcIfindexConvFailed'), ['int'])),
                        ('periodicsyncprocdropmcemifindexvpcconvfailed', (YLeaf(YType.uint16, 'PeriodicSyncProcDropMCEMIfindexVpcConvFailed'), ['int'])),
                        ('periodicsyncprocdropmcemvpcifindexconvfailed', (YLeaf(YType.uint16, 'periodicSyncProcDropMCEMVpcIfindexConvFailed'), ['int'])),
                        ('syncprocrespsent', (YLeaf(YType.uint16, 'syncProcRespSent'), ['int'])),
                        ('syncprocresprcvd', (YLeaf(YType.uint16, 'syncProcRespRcvd'), ['int'])),
                        ('syncprocresprcvderr', (YLeaf(YType.uint16, 'syncProcRespRcvdErr'), ['int'])),
                        ('syncprocrcvdmsg', (YLeaf(YType.uint16, 'syncProcRcvdMsg'), ['int'])),
                        ('syncprocsendfailed', (YLeaf(YType.uint16, 'syncProcSendFailed'), ['int'])),
                        ('syncproccfsreldlvryfailed', (YLeaf(YType.uint16, 'syncProcCfsRelDlvryFailed'), ['int'])),
                        ('syncproccfsreldlvrysuccess', (YLeaf(YType.uint16, 'syncProcCfsRelDlvrySuccess'), ['int'])),
                        ('offlistprocdropptaddfailed', (YLeaf(YType.uint16, 'offlistProcDropPtAddFailed'), ['int'])),
                        ('offlistprocdropnomem', (YLeaf(YType.uint16, 'offlistProcDropNoMem'), ['int'])),
                        ('offlistprocdroptmrcreatefailed', (YLeaf(YType.uint16, 'offlistProcDropTmrCreateFailed'), ['int'])),
                        ('offlistprocdropaddadjfailed', (YLeaf(YType.uint16, 'offlistProcDropAddAdjFailed'), ['int'])),
                        ('offlistprocdropptlookupfailed', (YLeaf(YType.uint16, 'offlistProcDropPtLookupFailed'), ['int'])),
                        ('offlistprocnodropvlanmismatch', (YLeaf(YType.uint16, 'offlistProcNoDropVlanMismatch'), ['int'])),
                        ('offlistprocdropsviinvalid', (YLeaf(YType.uint16, 'offlistProcDropSVIInvalid'), ['int'])),
                        ('offlistprocnodropsvidown', (YLeaf(YType.uint16, 'offlistProcNoDropSVIDown'), ['int'])),
                        ('offlistprocdropmctdown', (YLeaf(YType.uint16, 'offlistProcDropMCTDown'), ['int'])),
                        ('offlistprocdropctxtinvalid', (YLeaf(YType.uint16, 'offlistProcDropCtxtInvalid'), ['int'])),
                        ('offlistprocdropvrfinvalid', (YLeaf(YType.uint16, 'offlistProcDropVRFInvalid'), ['int'])),
                        ('offlistprocdropl3addrinvalid', (YLeaf(YType.uint16, 'offlistProcDropL3addrInvalid'), ['int'])),
                        ('offlistprocdropl3addrsanityfailed', (YLeaf(YType.uint16, 'offlistProcDropL3addrSanityFailed'), ['int'])),
                        ('offlistprocdropmacsanityfailed', (YLeaf(YType.uint16, 'offlistProcDropMacSanityFailed'), ['int'])),
                        ('offlistprocdropownmac', (YLeaf(YType.uint16, 'offlistProcDropOwnMac'), ['int'])),
                        ('offlistprocdropownipv6addr', (YLeaf(YType.uint16, 'offlistProcDropOwnIpv6Addr'), ['int'])),
                        ('offlistprocdropownvipv6addr', (YLeaf(YType.uint16, 'offlistProcDropOwnVIPv6Addr'), ['int'])),
                        ('offlistprocdropcreateadjfailed', (YLeaf(YType.uint16, 'offlistProcDropCreateAdjFailed'), ['int'])),
                        ('offlistprocdropsubnetmismatch', (YLeaf(YType.uint16, 'offlistProcDropSubnetMismatch'), ['int'])),
                        ('offlistprocdropadjalreadyexist', (YLeaf(YType.uint16, 'offlistProcDropAdjAlreadyExist'), ['int'])),
                        ('offlistprocnodropipv6disabled', (YLeaf(YType.uint16, 'offlistProcNoDropIpv6Disabled'), ['int'])),
                        ('offlistprocdropcount', (YLeaf(YType.uint16, 'offlistProcDropCount'), ['int'])),
                        ('offlistprocnodropcount', (YLeaf(YType.uint16, 'offlistProcNoDropCount'), ['int'])),
                        ('offlistprocaddadj', (YLeaf(YType.uint16, 'offlistProcAddAdj'), ['int'])),
                        ('offlistprocdeladj', (YLeaf(YType.uint16, 'offlistProcDelAdj'), ['int'])),
                        ('offlistprocadjalreadyexist', (YLeaf(YType.uint16, 'offlistProcAdjAlreadyExist'), ['int'])),
                    ])
                    self.cfsstatus = None
                    self.layer3routing = None
                    self.syncprocdroprecvpullreq = None
                    self.syncprocdroprecvpushmsg = None
                    self.syncignoresendpullreq = None
                    self.syncignoresendpushmsg = None
                    self.syncdropimapifailed = None
                    self.syncdropmcemapifailed = None
                    self.syncdropinvalidpciod = None
                    self.syncprocdropptlookupfailed = None
                    self.syncprocdroprespfailednomct = None
                    self.syncprocdroprespfailed = None
                    self.syncprocdropmcemifindexvpcconvfailed = None
                    self.syncprocdropmcemvpcifindexconvfailed = None
                    self.periodicsyncprocdropmcemifindexvpcconvfailed = None
                    self.periodicsyncprocdropmcemvpcifindexconvfailed = None
                    self.syncprocrespsent = None
                    self.syncprocresprcvd = None
                    self.syncprocresprcvderr = None
                    self.syncprocrcvdmsg = None
                    self.syncprocsendfailed = None
                    self.syncproccfsreldlvryfailed = None
                    self.syncproccfsreldlvrysuccess = None
                    self.offlistprocdropptaddfailed = None
                    self.offlistprocdropnomem = None
                    self.offlistprocdroptmrcreatefailed = None
                    self.offlistprocdropaddadjfailed = None
                    self.offlistprocdropptlookupfailed = None
                    self.offlistprocnodropvlanmismatch = None
                    self.offlistprocdropsviinvalid = None
                    self.offlistprocnodropsvidown = None
                    self.offlistprocdropmctdown = None
                    self.offlistprocdropctxtinvalid = None
                    self.offlistprocdropvrfinvalid = None
                    self.offlistprocdropl3addrinvalid = None
                    self.offlistprocdropl3addrsanityfailed = None
                    self.offlistprocdropmacsanityfailed = None
                    self.offlistprocdropownmac = None
                    self.offlistprocdropownipv6addr = None
                    self.offlistprocdropownvipv6addr = None
                    self.offlistprocdropcreateadjfailed = None
                    self.offlistprocdropsubnetmismatch = None
                    self.offlistprocdropadjalreadyexist = None
                    self.offlistprocnodropipv6disabled = None
                    self.offlistprocdropcount = None
                    self.offlistprocnodropcount = None
                    self.offlistprocaddadj = None
                    self.offlistprocdeladj = None
                    self.offlistprocadjalreadyexist = None
                    self._segment_path = lambda: "vpcstat-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/nd-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NdItems.InstItems.VpcstatItems, ['cfsstatus', 'layer3routing', 'syncprocdroprecvpullreq', 'syncprocdroprecvpushmsg', 'syncignoresendpullreq', 'syncignoresendpushmsg', 'syncdropimapifailed', 'syncdropmcemapifailed', 'syncdropinvalidpciod', 'syncprocdropptlookupfailed', 'syncprocdroprespfailednomct', 'syncprocdroprespfailed', 'syncprocdropmcemifindexvpcconvfailed', 'syncprocdropmcemvpcifindexconvfailed', 'periodicsyncprocdropmcemifindexvpcconvfailed', 'periodicsyncprocdropmcemvpcifindexconvfailed', 'syncprocrespsent', 'syncprocresprcvd', 'syncprocresprcvderr', 'syncprocrcvdmsg', 'syncprocsendfailed', 'syncproccfsreldlvryfailed', 'syncproccfsreldlvrysuccess', 'offlistprocdropptaddfailed', 'offlistprocdropnomem', 'offlistprocdroptmrcreatefailed', 'offlistprocdropaddadjfailed', 'offlistprocdropptlookupfailed', 'offlistprocnodropvlanmismatch', 'offlistprocdropsviinvalid', 'offlistprocnodropsvidown', 'offlistprocdropmctdown', 'offlistprocdropctxtinvalid', 'offlistprocdropvrfinvalid', 'offlistprocdropl3addrinvalid', 'offlistprocdropl3addrsanityfailed', 'offlistprocdropmacsanityfailed', 'offlistprocdropownmac', 'offlistprocdropownipv6addr', 'offlistprocdropownvipv6addr', 'offlistprocdropcreateadjfailed', 'offlistprocdropsubnetmismatch', 'offlistprocdropadjalreadyexist', 'offlistprocnodropipv6disabled', 'offlistprocdropcount', 'offlistprocnodropcount', 'offlistprocaddadj', 'offlistprocdeladj', 'offlistprocadjalreadyexist'], name, value)





    class NgmvpnItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.NgmvpnItems, self).__init__()

            self.yang_name = "ngmvpn-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.NgmvpnItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.NgmvpnItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "ngmvpn-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.NgmvpnItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: overlaydistributeddr
            
            	
            	**type**\: bool
            
            .. attribute:: overlaysptonly
            
            	
            	**type**\: bool
            
            	**default value**\: true
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: af_items
            
            	
            	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems>`
            
            .. attribute:: eventhist_items
            
            	
            	**type**\:  :py:class:`EventhistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.EventhistItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.NgmvpnItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "ngmvpn-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("af-items", ("af_items", System.NgmvpnItems.InstItems.AfItems)), ("eventhist-items", ("eventhist_items", System.NgmvpnItems.InstItems.EventhistItems))])
                self._leafs = OrderedDict([
                    ('overlaydistributeddr', (YLeaf(YType.boolean, 'overlayDistributedDr'), ['bool'])),
                    ('overlaysptonly', (YLeaf(YType.boolean, 'overlaySptOnly'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.overlaydistributeddr = None
                self.overlaysptonly = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.af_items = System.NgmvpnItems.InstItems.AfItems()
                self.af_items.parent = self
                self._children_name_map["af_items"] = "af-items"

                self.eventhist_items = System.NgmvpnItems.InstItems.EventhistItems()
                self.eventhist_items.parent = self
                self._children_name_map["eventhist_items"] = "eventhist-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngmvpn-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.NgmvpnItems.InstItems, ['overlaydistributeddr', 'overlaysptonly', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class AfItems(Entity):
                """
                
                
                .. attribute:: af_list
                
                	
                	**type**\: list of  		 :py:class:`AfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NgmvpnItems.InstItems.AfItems, self).__init__()

                    self.yang_name = "af-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Af-list", ("af_list", System.NgmvpnItems.InstItems.AfItems.AfList))])
                    self._leafs = OrderedDict()

                    self.af_list = YList(self)
                    self._segment_path = lambda: "af-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngmvpn-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NgmvpnItems.InstItems.AfItems, [], name, value)


                class AfList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type of Address\-Family, where 0 represents IPv4 and 1 represents IPv6
                    	**type**\:  :py:class:`NgmvpnAfT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgmvpnAfT>`
                    
                    	**config**\: False
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NgmvpnItems.InstItems.AfItems.AfList, self).__init__()

                        self.yang_name = "Af-list"
                        self.yang_parent_name = "af-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("db-items", ("db_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgmvpnAfT', '')])),
                        ])
                        self.type = None

                        self.db_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"
                        self._segment_path = lambda: "Af-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngmvpn-items/inst-items/af-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList, ['type'], name, value)


                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Af-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: dbtype  (key)
                            
                            	DB Type, where 0 represents IPv4 routes and 1 represents IPv6 routes
                            	**type**\:  :py:class:`NgmvpnDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgmvpnDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: vni_items
                            
                            	
                            	**type**\:  :py:class:`VniItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: vrf_items
                            
                            	
                            	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['dbtype']
                                self._child_classes = OrderedDict([("vni-items", ("vni_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems)), ("vrf-items", ("vrf_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems))])
                                self._leafs = OrderedDict([
                                    ('dbtype', (YLeaf(YType.enumeration, 'dbtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgmvpnDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.dbtype = None
                                self.name = None

                                self.vni_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems()
                                self.vni_items.parent = self
                                self._children_name_map["vni_items"] = "vni-items"

                                self.vrf_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems()
                                self.vrf_items.parent = self
                                self._children_name_map["vrf_items"] = "vrf-items"
                                self._segment_path = lambda: "Db-list" + "[dbtype='" + str(self.dbtype) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList, ['dbtype', 'name'], name, value)


                            class VniItems(Entity):
                                """
                                
                                
                                .. attribute:: vni_list
                                
                                	
                                	**type**\: list of  		 :py:class:`VniList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems, self).__init__()

                                    self.yang_name = "vni-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Vni-list", ("vni_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList))])
                                    self._leafs = OrderedDict()

                                    self.vni_list = YList(self)
                                    self._segment_path = lambda: "vni-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems, [], name, value)


                                class VniList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: l2route_items
                                    
                                    	
                                    	**type**\:  :py:class:`L2routeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList, self).__init__()

                                        self.yang_name = "Vni-list"
                                        self.yang_parent_name = "vni-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([("l2route-items", ("l2route_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems))])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                        ])
                                        self.id = None

                                        self.l2route_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems()
                                        self.l2route_items.parent = self
                                        self._children_name_map["l2route_items"] = "l2route-items"
                                        self._segment_path = lambda: "Vni-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList, ['id'], name, value)


                                    class L2routeItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: l2route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`L2routeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems, self).__init__()

                                            self.yang_name = "l2route-items"
                                            self.yang_parent_name = "Vni-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("L2route-list", ("l2route_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList))])
                                            self._leafs = OrderedDict()

                                            self.l2route_list = YList(self)
                                            self._segment_path = lambda: "l2route-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems, [], name, value)


                                        class L2routeList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: src  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: grp  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: masklen
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: fabnode_items
                                            
                                            	
                                            	**type**\:  :py:class:`FabNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList, self).__init__()

                                                self.yang_name = "L2route-list"
                                                self.yang_parent_name = "l2route-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['src','grp']
                                                self._child_classes = OrderedDict([("fabNode-items", ("fabnode_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems))])
                                                self._leafs = OrderedDict([
                                                    ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                                    ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                                    ('masklen', (YLeaf(YType.uint32, 'maskLen'), ['int'])),
                                                ])
                                                self.src = None
                                                self.grp = None
                                                self.masklen = None

                                                self.fabnode_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems()
                                                self.fabnode_items.parent = self
                                                self._children_name_map["fabnode_items"] = "fabNode-items"
                                                self._segment_path = lambda: "L2route-list" + "[src='" + str(self.src) + "']" + "[grp='" + str(self.grp) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList, ['src', 'grp', 'masklen'], name, value)


                                            class FabNodeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: fabnode_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`FabNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems.FabNodeList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems, self).__init__()

                                                    self.yang_name = "fabNode-items"
                                                    self.yang_parent_name = "L2route-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("FabNode-list", ("fabnode_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems.FabNodeList))])
                                                    self._leafs = OrderedDict()

                                                    self.fabnode_list = YList(self)
                                                    self._segment_path = lambda: "fabNode-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems, [], name, value)


                                                class FabNodeList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ipaddr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems.FabNodeList, self).__init__()

                                                        self.yang_name = "FabNode-list"
                                                        self.yang_parent_name = "fabNode-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['ipaddr']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str','str'])),
                                                        ])
                                                        self.ipaddr = None
                                                        self._segment_path = lambda: "FabNode-list" + "[ipAddr='" + str(self.ipaddr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VniItems.VniList.L2routeItems.L2routeList.FabNodeItems.FabNodeList, ['ipaddr'], name, value)








                            class VrfItems(Entity):
                                """
                                
                                
                                .. attribute:: vrf_list
                                
                                	
                                	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems, self).__init__()

                                    self.yang_name = "vrf-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList))])
                                    self._leafs = OrderedDict()

                                    self.vrf_list = YList(self)
                                    self._segment_path = lambda: "vrf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems, [], name, value)


                                class VrfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: group_items
                                    
                                    	
                                    	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList, self).__init__()

                                        self.yang_name = "Vrf-list"
                                        self.yang_parent_name = "vrf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([("group-items", ("group_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems))])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.name = None

                                        self.group_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems()
                                        self.group_items.parent = self
                                        self._children_name_map["group_items"] = "group-items"
                                        self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList, ['name'], name, value)


                                    class GroupItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: group_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems, self).__init__()

                                            self.yang_name = "group-items"
                                            self.yang_parent_name = "Vrf-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Group-list", ("group_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList))])
                                            self._leafs = OrderedDict()

                                            self.group_list = YList(self)
                                            self._segment_path = lambda: "group-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems, [], name, value)


                                        class GroupList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: grpaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: masklen
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: source_items
                                            
                                            	
                                            	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                                self.yang_name = "Group-list"
                                                self.yang_parent_name = "group-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['grpaddr']
                                                self._child_classes = OrderedDict([("source-items", ("source_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                                self._leafs = OrderedDict([
                                                    ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                                    ('masklen', (YLeaf(YType.uint32, 'maskLen'), ['int'])),
                                                ])
                                                self.grpaddr = None
                                                self.masklen = None

                                                self.source_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                                self.source_items.parent = self
                                                self._children_name_map["source_items"] = "source-items"
                                                self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'masklen'], name, value)


                                            class SourceItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: source_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                                    self.yang_name = "source-items"
                                                    self.yang_parent_name = "Group-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Source-list", ("source_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                                    self._leafs = OrderedDict()

                                                    self.source_list = YList(self)
                                                    self._segment_path = lambda: "source-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                                class SourceList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: srcaddr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: masklen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: uptime
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: fabnode_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`FabNodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                        self.yang_name = "Source-list"
                                                        self.yang_parent_name = "source-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['srcaddr']
                                                        self._child_classes = OrderedDict([("fabNode-items", ("fabnode_items", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems))])
                                                        self._leafs = OrderedDict([
                                                            ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                            ('masklen', (YLeaf(YType.uint32, 'maskLen'), ['int'])),
                                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                        ])
                                                        self.srcaddr = None
                                                        self.masklen = None
                                                        self.uptime = None

                                                        self.fabnode_items = System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems()
                                                        self.fabnode_items.parent = self
                                                        self._children_name_map["fabnode_items"] = "fabNode-items"
                                                        self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'masklen', 'uptime'], name, value)


                                                    class FabNodeItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: fabnode_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`FabNodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems.FabNodeList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems, self).__init__()

                                                            self.yang_name = "fabNode-items"
                                                            self.yang_parent_name = "Source-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("FabNode-list", ("fabnode_list", System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems.FabNodeList))])
                                                            self._leafs = OrderedDict()

                                                            self.fabnode_list = YList(self)
                                                            self._segment_path = lambda: "fabNode-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems, [], name, value)


                                                        class FabNodeList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: ipaddr  (key)
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems.FabNodeList, self).__init__()

                                                                self.yang_name = "FabNode-list"
                                                                self.yang_parent_name = "fabNode-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['ipaddr']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str','str'])),
                                                                ])
                                                                self.ipaddr = None
                                                                self._segment_path = lambda: "FabNode-list" + "[ipAddr='" + str(self.ipaddr) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.NgmvpnItems.InstItems.AfItems.AfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.FabNodeItems.FabNodeList, ['ipaddr'], name, value)














            class EventhistItems(Entity):
                """
                
                
                .. attribute:: eventhistory_list
                
                	
                	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.NgmvpnItems.InstItems.EventhistItems.EventHistoryList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.NgmvpnItems.InstItems.EventhistItems, self).__init__()

                    self.yang_name = "eventhist-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.NgmvpnItems.InstItems.EventhistItems.EventHistoryList))])
                    self._leafs = OrderedDict()

                    self.eventhistory_list = YList(self)
                    self._segment_path = lambda: "eventhist-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngmvpn-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.NgmvpnItems.InstItems.EventhistItems, [], name, value)


                class EventHistoryList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Configures type of event history
                    	**type**\:  :py:class:`NgmvpnEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NgmvpnEhType>`
                    
                    .. attribute:: size
                    
                    	Configures buffer size in text per kb
                    	**type**\: int
                    
                    	**range:** 0..4 \| 5..4294967295
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.NgmvpnItems.InstItems.EventhistItems.EventHistoryList, self).__init__()

                        self.yang_name = "EventHistory-list"
                        self.yang_parent_name = "eventhist-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NgmvpnEhType', '')])),
                            ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                        ])
                        self.type = None
                        self.size = None
                        self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/ngmvpn-items/inst-items/eventhist-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.NgmvpnItems.InstItems.EventhistItems.EventHistoryList, ['type', 'size'], name, value)






    class PimItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.PimItems, self).__init__()

            self.yang_name = "pim-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.PimItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.PimItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "pim-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.PimItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: evpnborderleaf
            
            	
            	**type**\: bool
            
            .. attribute:: extranet
            
            	
            	**type**\: bool
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: jpdelay
            
            	Inter Packet Delay
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: nrdelay
            
            	Null Register Inter Batch Delay
            	**type**\: int
            
            	**range:** 1..50000
            
            .. attribute:: nrnumrt
            
            	Null Register Number of Routes
            	**type**\: int
            
            	**range:** 1..32000
            
            .. attribute:: regstop
            
            	
            	**type**\: bool
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems>`
            
            .. attribute:: gl_items
            
            	
            	**type**\:  :py:class:`GlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.GlItems>`
            
            .. attribute:: routedb_items
            
            	
            	**type**\:  :py:class:`RoutedbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.PimItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "pim-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.PimItems.InstItems.DomItems)), ("gl-items", ("gl_items", System.PimItems.InstItems.GlItems)), ("routedb-items", ("routedb_items", System.PimItems.InstItems.RoutedbItems))])
                self._leafs = OrderedDict([
                    ('evpnborderleaf', (YLeaf(YType.boolean, 'evpnBorderLeaf'), ['bool'])),
                    ('extranet', (YLeaf(YType.boolean, 'extraNet'), ['bool'])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                    ('nrdelay', (YLeaf(YType.uint16, 'nrDelay'), ['int'])),
                    ('nrnumrt', (YLeaf(YType.uint16, 'nrNumRt'), ['int'])),
                    ('regstop', (YLeaf(YType.boolean, 'regStop'), ['bool'])),
                ])
                self.evpnborderleaf = None
                self.extranet = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self.jpdelay = None
                self.nrdelay = None
                self.nrnumrt = None
                self.regstop = None

                self.dom_items = System.PimItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.gl_items = System.PimItems.InstItems.GlItems()
                self.gl_items.parent = self
                self._children_name_map["gl_items"] = "gl-items"

                self.routedb_items = System.PimItems.InstItems.RoutedbItems()
                self.routedb_items.parent = self
                self._children_name_map["routedb_items"] = "routedb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.PimItems.InstItems, ['evpnborderleaf', 'extranet', 'name', 'adminst', 'ctrl', 'opererr', 'jpdelay', 'nrdelay', 'nrnumrt', 'regstop'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PimItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.PimItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PimItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Domain Controls
                    	**type**\: str
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1500..65536
                    
                    .. attribute:: autoenable
                    
                    	Auto Enable
                    	**type**\: bool
                    
                    .. attribute:: lognbhchng
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flushroutes
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: jpdelay
                    
                    	Join\-Prune message inter\-packet delay
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: regratelmt
                    
                    	Register rate limit for data packets per second
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: acastrpfunc_items
                    
                    	
                    	**type**\:  :py:class:`AcastrpfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems>`
                    
                    .. attribute:: autorp_items
                    
                    	
                    	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems>`
                    
                    .. attribute:: bsr_items
                    
                    	
                    	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems>`
                    
                    .. attribute:: db_items
                    
                    	
                    	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems>`
                    
                    .. attribute:: domstats_items
                    
                    	
                    	**type**\:  :py:class:`DomstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DomstatsItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventHistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.EventHistItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: limit_items
                    
                    	
                    	**type**\:  :py:class:`LimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.LimitItems>`
                    
                    .. attribute:: asm_items
                    
                    	
                    	**type**\:  :py:class:`AsmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AsmItems>`
                    
                    .. attribute:: ssm_items
                    
                    	
                    	**type**\:  :py:class:`SsmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.SsmItems>`
                    
                    .. attribute:: bidir_items
                    
                    	
                    	**type**\:  :py:class:`BidirItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BidirItems>`
                    
                    .. attribute:: staticrp_items
                    
                    	
                    	**type**\:  :py:class:`StaticrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems>`
                    
                    .. attribute:: trstats_items
                    
                    	
                    	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.TrstatsItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PimItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("acastrpfunc-items", ("acastrpfunc_items", System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems)), ("autorp-items", ("autorp_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems)), ("bsr-items", ("bsr_items", System.PimItems.InstItems.DomItems.DomList.BsrItems)), ("db-items", ("db_items", System.PimItems.InstItems.DomItems.DomList.DbItems)), ("domstats-items", ("domstats_items", System.PimItems.InstItems.DomItems.DomList.DomstatsItems)), ("eventHist-items", ("eventhist_items", System.PimItems.InstItems.DomItems.DomList.EventHistItems)), ("if-items", ("if_items", System.PimItems.InstItems.DomItems.DomList.IfItems)), ("limit-items", ("limit_items", System.PimItems.InstItems.DomItems.DomList.LimitItems)), ("asm-items", ("asm_items", System.PimItems.InstItems.DomItems.DomList.AsmItems)), ("ssm-items", ("ssm_items", System.PimItems.InstItems.DomItems.DomList.SsmItems)), ("bidir-items", ("bidir_items", System.PimItems.InstItems.DomItems.DomList.BidirItems)), ("staticrp-items", ("staticrp_items", System.PimItems.InstItems.DomItems.DomList.StaticrpItems)), ("trstats-items", ("trstats_items", System.PimItems.InstItems.DomItems.DomList.TrstatsItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                            ('autoenable', (YLeaf(YType.boolean, 'autoEnable'), ['bool'])),
                            ('lognbhchng', (YLeaf(YType.boolean, 'logNbhChng'), ['bool'])),
                            ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                            ('bfd', (YLeaf(YType.boolean, 'bfd'), ['bool'])),
                            ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                            ('regratelmt', (YLeaf(YType.uint32, 'regRateLmt'), ['int'])),
                        ])
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.mtu = None
                        self.autoenable = None
                        self.lognbhchng = None
                        self.flushroutes = None
                        self.bfd = None
                        self.jpdelay = None
                        self.regratelmt = None

                        self.acastrpfunc_items = System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems()
                        self.acastrpfunc_items.parent = self
                        self._children_name_map["acastrpfunc_items"] = "acastrpfunc-items"

                        self.autorp_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems()
                        self.autorp_items.parent = self
                        self._children_name_map["autorp_items"] = "autorp-items"

                        self.bsr_items = System.PimItems.InstItems.DomItems.DomList.BsrItems()
                        self.bsr_items.parent = self
                        self._children_name_map["bsr_items"] = "bsr-items"

                        self.db_items = System.PimItems.InstItems.DomItems.DomList.DbItems()
                        self.db_items.parent = self
                        self._children_name_map["db_items"] = "db-items"

                        self.domstats_items = System.PimItems.InstItems.DomItems.DomList.DomstatsItems()
                        self.domstats_items.parent = self
                        self._children_name_map["domstats_items"] = "domstats-items"

                        self.eventhist_items = System.PimItems.InstItems.DomItems.DomList.EventHistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventHist-items"

                        self.if_items = System.PimItems.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.limit_items = System.PimItems.InstItems.DomItems.DomList.LimitItems()
                        self.limit_items.parent = self
                        self._children_name_map["limit_items"] = "limit-items"

                        self.asm_items = System.PimItems.InstItems.DomItems.DomList.AsmItems()
                        self.asm_items.parent = self
                        self._children_name_map["asm_items"] = "asm-items"

                        self.ssm_items = System.PimItems.InstItems.DomItems.DomList.SsmItems()
                        self.ssm_items.parent = self
                        self._children_name_map["ssm_items"] = "ssm-items"

                        self.bidir_items = System.PimItems.InstItems.DomItems.DomList.BidirItems()
                        self.bidir_items.parent = self
                        self._children_name_map["bidir_items"] = "bidir-items"

                        self.staticrp_items = System.PimItems.InstItems.DomItems.DomList.StaticrpItems()
                        self.staticrp_items.parent = self
                        self._children_name_map["staticrp_items"] = "staticrp-items"

                        self.trstats_items = System.PimItems.InstItems.DomItems.DomList.TrstatsItems()
                        self.trstats_items.parent = self
                        self._children_name_map["trstats_items"] = "trstats-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList, ['name', 'adminst', 'ctrl', 'mtu', 'autoenable', 'lognbhchng', 'flushroutes', 'bfd', 'jpdelay', 'regratelmt'], name, value)


                    class AcastrpfuncItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: srcif
                        
                        	Source Interface
                        	**type**\: str
                        
                        .. attribute:: localif
                        
                        	Local Interface
                        	**type**\: str
                        
                        .. attribute:: peer_items
                        
                        	
                        	**type**\:  :py:class:`PeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems, self).__init__()

                            self.yang_name = "acastrpfunc-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("peer-items", ("peer_items", System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                ('localif', (YLeaf(YType.str, 'localIf'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.srcif = None
                            self.localif = None

                            self.peer_items = System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems()
                            self.peer_items.parent = self
                            self._children_name_map["peer_items"] = "peer-items"
                            self._segment_path = lambda: "acastrpfunc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems, ['name', 'descr', 'srcif', 'localif'], name, value)


                        class PeerItems(Entity):
                            """
                            
                            
                            .. attribute:: acastrppeer_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AcastRPPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRPPeerList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems, self).__init__()

                                self.yang_name = "peer-items"
                                self.yang_parent_name = "acastrpfunc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AcastRPPeer-list", ("acastrppeer_list", System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRPPeerList))])
                                self._leafs = OrderedDict()

                                self.acastrppeer_list = YList(self)
                                self._segment_path = lambda: "peer-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems, [], name, value)


                            class AcastRPPeerList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: rpsetaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRPPeerList, self).__init__()

                                    self.yang_name = "AcastRPPeer-list"
                                    self.yang_parent_name = "peer-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr','rpsetaddr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('rpsetaddr', (YLeaf(YType.str, 'rpSetAddr'), ['str','str'])),
                                    ])
                                    self.addr = None
                                    self.rpsetaddr = None
                                    self._segment_path = lambda: "AcastRPPeer-list" + "[addr='" + str(self.addr) + "']" + "[rpSetAddr='" + str(self.rpsetaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRPPeerList, ['addr', 'rpsetaddr'], name, value)





                    class AutorpItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ctrl
                        
                        	Control
                        	**type**\: str
                        
                        .. attribute:: rpfilter_items
                        
                        	
                        	**type**\:  :py:class:`RpfilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfilterItems>`
                        
                        .. attribute:: mafilter_items
                        
                        	
                        	**type**\:  :py:class:`MafilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafilterItems>`
                        
                        .. attribute:: rpfunc_items
                        
                        	
                        	**type**\:  :py:class:`RpfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems>`
                        
                        .. attribute:: mafunc_items
                        
                        	
                        	**type**\:  :py:class:`MafuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafuncItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.AutorpItems, self).__init__()

                            self.yang_name = "autorp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rpfilter-items", ("rpfilter_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfilterItems)), ("mafilter-items", ("mafilter_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafilterItems)), ("rpfunc-items", ("rpfunc_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems)), ("mafunc-items", ("mafunc_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafuncItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ctrl = None

                            self.rpfilter_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfilterItems()
                            self.rpfilter_items.parent = self
                            self._children_name_map["rpfilter_items"] = "rpfilter-items"

                            self.mafilter_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafilterItems()
                            self.mafilter_items.parent = self
                            self._children_name_map["mafilter_items"] = "mafilter-items"

                            self.rpfunc_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems()
                            self.rpfunc_items.parent = self
                            self._children_name_map["rpfunc_items"] = "rpfunc-items"

                            self.mafunc_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafuncItems()
                            self.mafunc_items.parent = self
                            self._children_name_map["mafunc_items"] = "mafunc-items"
                            self._segment_path = lambda: "autorp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems, ['name', 'descr', 'ctrl'], name, value)


                        class RpfilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfilterItems, self).__init__()

                                self.yang_name = "rpfilter-items"
                                self.yang_parent_name = "autorp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "rpfilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class MafilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafilterItems, self).__init__()

                                self.yang_name = "mafilter-items"
                                self.yang_parent_name = "autorp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "mafilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class RpfuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: prio
                            
                            	Priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: interval
                            
                            	Interval
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: usesendrpanncommand
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: range_items
                            
                            	
                            	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems, self).__init__()

                                self.yang_name = "rpfunc-items"
                                self.yang_parent_name = "autorp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("range-items", ("range_items", System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                                    ('scope', (YLeaf(YType.uint16, 'scope'), ['int'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('usesendrpanncommand', (YLeaf(YType.boolean, 'useSendRPAnnCommand'), ['bool'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.prio = None
                                self.interval = None
                                self.scope = None
                                self.addr = None
                                self.usesendrpanncommand = None

                                self.range_items = System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems()
                                self.range_items.parent = self
                                self._children_name_map["range_items"] = "range-items"
                                self._segment_path = lambda: "rpfunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems, ['name', 'descr', 'srcif', 'prio', 'interval', 'scope', 'addr', 'usesendrpanncommand'], name, value)


                            class RangeItems(Entity):
                                """
                                
                                
                                .. attribute:: rpgrprange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RPGrpRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems.RPGrpRangeList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems, self).__init__()

                                    self.yang_name = "range-items"
                                    self.yang_parent_name = "rpfunc-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RPGrpRange-list", ("rpgrprange_list", System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems.RPGrpRangeList))])
                                    self._leafs = OrderedDict()

                                    self.rpgrprange_list = YList(self)
                                    self._segment_path = lambda: "range-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems, [], name, value)


                                class RPGrpRangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bidir  (key)
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: override
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: grplist
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist1
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist2
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist3
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: ssmnone
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems.RPGrpRangeList, self).__init__()

                                        self.yang_name = "RPGrpRange-list"
                                        self.yang_parent_name = "range-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['bidir']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                            ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                            ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                            ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                            ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                            ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                        ])
                                        self.bidir = None
                                        self.override = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.grplist = None
                                        self.grplist1 = None
                                        self.grplist2 = None
                                        self.grplist3 = None
                                        self.ssmnone = None
                                        self._segment_path = lambda: "RPGrpRange-list" + "[bidir='" + str(self.bidir) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.RpfuncItems.RangeItems.RPGrpRangeList, ['bidir', 'override', 'rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)





                        class MafuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: usesendrpdiscommand
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafuncItems, self).__init__()

                                self.yang_name = "mafunc-items"
                                self.yang_parent_name = "autorp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('scope', (YLeaf(YType.uint16, 'scope'), ['int'])),
                                    ('usesendrpdiscommand', (YLeaf(YType.boolean, 'useSendRPDisCommand'), ['bool'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.scope = None
                                self.usesendrpdiscommand = None
                                self._segment_path = lambda: "mafunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AutorpItems.MafuncItems, ['name', 'descr', 'srcif', 'scope', 'usesendrpdiscommand'], name, value)




                    class BsrItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ctrl
                        
                        	Control
                        	**type**\: str
                        
                        .. attribute:: rpfilter_items
                        
                        	
                        	**type**\:  :py:class:`RpfilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfilterItems>`
                        
                        .. attribute:: bsrfilter_items
                        
                        	
                        	**type**\:  :py:class:`BsrfilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfilterItems>`
                        
                        .. attribute:: rpfunc_items
                        
                        	
                        	**type**\:  :py:class:`RpfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems>`
                        
                        .. attribute:: bsrfunc_items
                        
                        	
                        	**type**\:  :py:class:`BsrfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfuncItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.BsrItems, self).__init__()

                            self.yang_name = "bsr-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rpfilter-items", ("rpfilter_items", System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfilterItems)), ("bsrfilter-items", ("bsrfilter_items", System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfilterItems)), ("rpfunc-items", ("rpfunc_items", System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems)), ("bsrfunc-items", ("bsrfunc_items", System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfuncItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ctrl = None

                            self.rpfilter_items = System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfilterItems()
                            self.rpfilter_items.parent = self
                            self._children_name_map["rpfilter_items"] = "rpfilter-items"

                            self.bsrfilter_items = System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfilterItems()
                            self.bsrfilter_items.parent = self
                            self._children_name_map["bsrfilter_items"] = "bsrfilter-items"

                            self.rpfunc_items = System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems()
                            self.rpfunc_items.parent = self
                            self._children_name_map["rpfunc_items"] = "rpfunc-items"

                            self.bsrfunc_items = System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfuncItems()
                            self.bsrfunc_items.parent = self
                            self._children_name_map["bsrfunc_items"] = "bsrfunc-items"
                            self._segment_path = lambda: "bsr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems, ['name', 'descr', 'ctrl'], name, value)


                        class RpfilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfilterItems, self).__init__()

                                self.yang_name = "rpfilter-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "rpfilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class BsrfilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfilterItems, self).__init__()

                                self.yang_name = "bsrfilter-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "bsrfilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class RpfuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: prio
                            
                            	Priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: interval
                            
                            	Interval
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: usesendrpanncommand
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: range_items
                            
                            	
                            	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems, self).__init__()

                                self.yang_name = "rpfunc-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("range-items", ("range_items", System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                                    ('scope', (YLeaf(YType.uint16, 'scope'), ['int'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('usesendrpanncommand', (YLeaf(YType.boolean, 'useSendRPAnnCommand'), ['bool'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.prio = None
                                self.interval = None
                                self.scope = None
                                self.addr = None
                                self.usesendrpanncommand = None

                                self.range_items = System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems()
                                self.range_items.parent = self
                                self._children_name_map["range_items"] = "range-items"
                                self._segment_path = lambda: "rpfunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems, ['name', 'descr', 'srcif', 'prio', 'interval', 'scope', 'addr', 'usesendrpanncommand'], name, value)


                            class RangeItems(Entity):
                                """
                                
                                
                                .. attribute:: rpgrprange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RPGrpRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RPGrpRangeList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems, self).__init__()

                                    self.yang_name = "range-items"
                                    self.yang_parent_name = "rpfunc-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RPGrpRange-list", ("rpgrprange_list", System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RPGrpRangeList))])
                                    self._leafs = OrderedDict()

                                    self.rpgrprange_list = YList(self)
                                    self._segment_path = lambda: "range-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems, [], name, value)


                                class RPGrpRangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bidir  (key)
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: override
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: grplist
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist1
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist2
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist3
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: ssmnone
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RPGrpRangeList, self).__init__()

                                        self.yang_name = "RPGrpRange-list"
                                        self.yang_parent_name = "range-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['bidir']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                            ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                            ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                            ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                            ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                            ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                        ])
                                        self.bidir = None
                                        self.override = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.grplist = None
                                        self.grplist1 = None
                                        self.grplist2 = None
                                        self.grplist3 = None
                                        self.ssmnone = None
                                        self._segment_path = lambda: "RPGrpRange-list" + "[bidir='" + str(self.bidir) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RPGrpRangeList, ['bidir', 'override', 'rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)





                        class BsrfuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: hashlen
                            
                            	Hash Mask Len
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: prio
                            
                            	Priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: interval
                            
                            	Interval
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfuncItems, self).__init__()

                                self.yang_name = "bsrfunc-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('hashlen', (YLeaf(YType.uint16, 'hashLen'), ['int'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.hashlen = None
                                self.prio = None
                                self.interval = None
                                self._segment_path = lambda: "bsrfunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BsrItems.BsrfuncItems, ['name', 'descr', 'srcif', 'hashlen', 'prio', 'interval'], name, value)




                    class DbItems(Entity):
                        """
                        
                        
                        .. attribute:: db_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.DbItems, self).__init__()

                            self.yang_name = "db-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Db-list", ("db_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList))])
                            self._leafs = OrderedDict()

                            self.db_list = YList(self)
                            self._segment_path = lambda: "db-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems, [], name, value)


                        class DbList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	Type
                            	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                            
                            	**config**\: False
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            	**config**\: False
                            
                            .. attribute:: autorp_items
                            
                            	
                            	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: bsr_items
                            
                            	
                            	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: grange_items
                            
                            	
                            	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: src_items
                            
                            	
                            	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rp_items
                            
                            	
                            	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList, self).__init__()

                                self.yang_name = "Db-list"
                                self.yang_parent_name = "db-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([("autorp-items", ("autorp_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems)), ("bsr-items", ("bsr_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems)), ("grange-items", ("grange_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems)), ("src-items", ("src_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems)), ("rp-items", ("rp_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems))])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.type = None
                                self.name = None

                                self.autorp_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems()
                                self.autorp_items.parent = self
                                self._children_name_map["autorp_items"] = "autorp-items"

                                self.bsr_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems()
                                self.bsr_items.parent = self
                                self._children_name_map["bsr_items"] = "bsr-items"

                                self.grange_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems()
                                self.grange_items.parent = self
                                self._children_name_map["grange_items"] = "grange-items"

                                self.src_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems()
                                self.src_items.parent = self
                                self._children_name_map["src_items"] = "src-items"

                                self.rp_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems()
                                self.rp_items.parent = self
                                self._children_name_map["rp_items"] = "rp-items"
                                self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList, ['type', 'name'], name, value)


                            class AutorpItems(Entity):
                                """
                                
                                
                                .. attribute:: autorppinfo_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AutoRPPInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems.AutoRPPInfoList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems, self).__init__()

                                    self.yang_name = "autorp-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AutoRPPInfo-list", ("autorppinfo_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems.AutoRPPInfoList))])
                                    self._leafs = OrderedDict()

                                    self.autorppinfo_list = YList(self)
                                    self._segment_path = lambda: "autorp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems, [], name, value)


                                class AutoRPPInfoList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expiry
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: uptime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hashmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems.AutoRPPInfoList, self).__init__()

                                        self.yang_name = "AutoRPPInfo-list"
                                        self.yang_parent_name = "autorp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                            ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.expiry = None
                                        self.uptime = None
                                        self.priority = None
                                        self.hashmasklen = None
                                        self._segment_path = lambda: "AutoRPPInfo-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.AutorpItems.AutoRPPInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                            class BsrItems(Entity):
                                """
                                
                                
                                .. attribute:: bsrinfo_list
                                
                                	
                                	**type**\: list of  		 :py:class:`BSRInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems.BSRInfoList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems, self).__init__()

                                    self.yang_name = "bsr-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("BSRInfo-list", ("bsrinfo_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems.BSRInfoList))])
                                    self._leafs = OrderedDict()

                                    self.bsrinfo_list = YList(self)
                                    self._segment_path = lambda: "bsr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems, [], name, value)


                                class BSRInfoList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expiry
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: uptime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hashmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems.BSRInfoList, self).__init__()

                                        self.yang_name = "BSRInfo-list"
                                        self.yang_parent_name = "bsr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                            ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.expiry = None
                                        self.uptime = None
                                        self.priority = None
                                        self.hashmasklen = None
                                        self._segment_path = lambda: "BSRInfo-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.BsrItems.BSRInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                            class GrangeItems(Entity):
                                """
                                
                                
                                .. attribute:: rpgrange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RPGrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems.RPGrangeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems, self).__init__()

                                    self.yang_name = "grange-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RPGrange-list", ("rpgrange_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems.RPGrangeList))])
                                    self._leafs = OrderedDict()

                                    self.rpgrange_list = YList(self)
                                    self._segment_path = lambda: "grange-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems, [], name, value)


                                class RPGrangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Group Range flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpaddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems.RPGrangeList, self).__init__()

                                        self.yang_name = "RPGrange-list"
                                        self.yang_parent_name = "grange-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                        ])
                                        self.addr = None
                                        self.flags = None
                                        self.rpaddr = None
                                        self._segment_path = lambda: "RPGrange-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.GrangeItems.RPGrangeList, ['addr', 'flags', 'rpaddr'], name, value)




                            class SrcItems(Entity):
                                """
                                
                                
                                .. attribute:: route_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, self).__init__()

                                    self.yang_name = "src-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Route-list", ("route_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList))])
                                    self._leafs = OrderedDict()

                                    self.route_list = YList(self)
                                    self._segment_path = lambda: "src-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems, [], name, value)


                                class RouteList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: src  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grp  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ver
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpaddrroute
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: iif
                                    
                                    	Incoming interface
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expiryts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpfnbr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpfsrc
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: createts
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: asserttime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rttype
                                    
                                    	Route Uptime
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: swpktcnt
                                    
                                    	Software Packet Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: swbytecnt
                                    
                                    	Software Byte Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hwpktcnt
                                    
                                    	Hardware Packet Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hwbytecnt
                                    
                                    	Hardware Byte Count
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: assertmetric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: assertmetricpref
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: routebits
                                    
                                    	RP WC Bit
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rttimeoutinvtl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpholdtime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, self).__init__()

                                        self.yang_name = "Route-list"
                                        self.yang_parent_name = "src-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['src','grp']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                            ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                            ('rpaddrroute', (YLeaf(YType.str, 'rpAddrRoute'), ['str','str'])),
                                            ('iif', (YLeaf(YType.str, 'iif'), ['str'])),
                                            ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                            ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                            ('rpfsrc', (YLeaf(YType.str, 'rpfSrc'), ['str','str'])),
                                            ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                            ('asserttime', (YLeaf(YType.str, 'assertTime'), ['str'])),
                                            ('rttype', (YLeaf(YType.str, 'rtType'), ['str'])),
                                            ('swpktcnt', (YLeaf(YType.uint32, 'swPktCnt'), ['int'])),
                                            ('swbytecnt', (YLeaf(YType.uint32, 'swByteCnt'), ['int'])),
                                            ('hwpktcnt', (YLeaf(YType.uint32, 'hwPktCnt'), ['int'])),
                                            ('hwbytecnt', (YLeaf(YType.uint32, 'hwByteCnt'), ['int'])),
                                            ('assertmetric', (YLeaf(YType.uint32, 'assertMetric'), ['int'])),
                                            ('assertmetricpref', (YLeaf(YType.uint32, 'assertMetricPref'), ['int'])),
                                            ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                            ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                            ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                        ])
                                        self.src = None
                                        self.grp = None
                                        self.name = None
                                        self.ver = None
                                        self.rpaddrroute = None
                                        self.iif = None
                                        self.expiryts = None
                                        self.rpfnbr = None
                                        self.rpfsrc = None
                                        self.createts = None
                                        self.asserttime = None
                                        self.rttype = None
                                        self.swpktcnt = None
                                        self.swbytecnt = None
                                        self.hwpktcnt = None
                                        self.hwbytecnt = None
                                        self.assertmetric = None
                                        self.assertmetricpref = None
                                        self.routebits = None
                                        self.rttimeoutinvtl = None
                                        self.jpholdtime = None
                                        self._segment_path = lambda: "Route-list" + "[src='" + str(self.src) + "']" + "[grp='" + str(self.grp) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.SrcItems.RouteList, ['src', 'grp', 'name', 'ver', 'rpaddrroute', 'iif', 'expiryts', 'rpfnbr', 'rpfsrc', 'createts', 'asserttime', 'rttype', 'swpktcnt', 'swbytecnt', 'hwpktcnt', 'hwbytecnt', 'assertmetric', 'assertmetricpref', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)




                            class RpItems(Entity):
                                """
                                
                                
                                .. attribute:: rpinfo_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RPInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems, self).__init__()

                                    self.yang_name = "rp-items"
                                    self.yang_parent_name = "Db-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RPInfo-list", ("rpinfo_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList))])
                                    self._leafs = OrderedDict()

                                    self.rpinfo_list = YList(self)
                                    self._segment_path = lambda: "rp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems, [], name, value)


                                class RPInfoList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: uptime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: arpexp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bsrexp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bsraddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: disctype
                                    
                                    	RP source type
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfordinal
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rsrp2grange_items
                                    
                                    	
                                    	**type**\:  :py:class:`RsrP2GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList, self).__init__()

                                        self.yang_name = "RPInfo-list"
                                        self.yang_parent_name = "rp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([("rsrP2Grange-items", ("rsrp2grange_items", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems))])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('local', (YLeaf(YType.boolean, 'local'), ['bool'])),
                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                            ('arpexp', (YLeaf(YType.str, 'arpExp'), ['str'])),
                                            ('bsrexp', (YLeaf(YType.str, 'bsrExp'), ['str'])),
                                            ('bsraddr', (YLeaf(YType.str, 'bsrAddr'), ['str','str'])),
                                            ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                            ('disctype', (YLeaf(YType.str, 'discType'), ['str'])),
                                            ('dfordinal', (YLeaf(YType.uint32, 'dfOrdinal'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.local = None
                                        self.uptime = None
                                        self.arpexp = None
                                        self.bsrexp = None
                                        self.bsraddr = None
                                        self.priority = None
                                        self.disctype = None
                                        self.dfordinal = None

                                        self.rsrp2grange_items = System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems()
                                        self.rsrp2grange_items.parent = self
                                        self._children_name_map["rsrp2grange_items"] = "rsrP2Grange-items"
                                        self._segment_path = lambda: "RPInfo-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList, ['addr', 'name', 'local', 'uptime', 'arpexp', 'bsrexp', 'bsraddr', 'priority', 'disctype', 'dfordinal'], name, value)


                                    class RsrP2GrangeItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rsrp2grange_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RsRP2GrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems, self).__init__()

                                            self.yang_name = "rsrP2Grange-items"
                                            self.yang_parent_name = "RPInfo-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RsRP2Grange-list", ("rsrp2grange_list", System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList))])
                                            self._leafs = OrderedDict()

                                            self.rsrp2grange_list = YList(self)
                                            self._segment_path = lambda: "rsrP2Grange-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems, [], name, value)


                                        class RsRP2GrangeList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: tdn  (key)
                                            
                                            	Target\-dn
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tcl
                                            
                                            	Target\-class
                                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList, self).__init__()

                                                self.yang_name = "RsRP2Grange-list"
                                                self.yang_parent_name = "rsrP2Grange-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['tdn']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                ])
                                                self.tdn = None
                                                self.tcl = None
                                                self._segment_path = lambda: "RsRP2Grange-list" + "[tDn='" + str(self.tdn) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList, ['tdn', 'tcl'], name, value)








                    class DomstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: regsent
                        
                        	Registers Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvd
                        
                        	Registers Received 
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nullregsent
                        
                        	Null Registers Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nullregrcvd
                        
                        	Null Registers Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regstopsent
                        
                        	Register Stop Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regstoprcvd
                        
                        	Register Stop Received 
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdssm
                        
                        	Registers Received for SSM
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdbidir
                        
                        	Registers Received for BiDir
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdandnotrp
                        
                        	Registers Received but not RP
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbssent
                        
                        	Bootstrap message sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbsrcvd
                        
                        	Bootstrap message received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrcrpsent
                        
                        	Candidate RP message sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrcrprcvd
                        
                        	Candidate RP message received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbsfromnonnbr
                        
                        	Bootstrap message from non\-neighbor
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbsfromborderif
                        
                        	Bootstrap message from border interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbslenerr
                        
                        	Bootstrap length error
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbsrpffail
                        
                        	Bootstrap messages for which RPF Failed
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrbsrcvdlisnotconf
                        
                        	Bootstrap received listen not configured
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrcrpfromborderif
                        
                        	Bootstrap Candidate RP From border interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrcrprcvdlisnotconf
                        
                        	Bootstrap candidate RP received but listen not configured
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpannouncessent
                        
                        	RP announcements sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpannouncesrcvd
                        
                        	RP announcements received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpdiscoveriessent
                        
                        	RP discoveries sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpdiscoveriesrcvd
                        
                        	RP discoveries received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorprpffailed
                        
                        	Auto RP RPF Failed
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpfromborderif
                        
                        	Auto RP from border interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpinvalidtype
                        
                        	Auto RP invalid type
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpttlexp
                        
                        	Auto RP TTL expired
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorprcvdlisnotconf
                        
                        	Auto RP received but listen not configured
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cprpffailnoroute
                        
                        	Control plane RPF fail due to no route
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dprpffailnoroute
                        
                        	Data Plane RPF fail due to no route
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dpnomcaststate
                        
                        	Data Plane no multicast state found
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: dpcrtroutestatecnt
                        
                        	Data Plane create route state count
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.DomstatsItems, self).__init__()

                            self.yang_name = "domstats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('regsent', (YLeaf(YType.uint32, 'regSent'), ['int'])),
                                ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                ('regrcvdssm', (YLeaf(YType.uint32, 'regRcvdSSM'), ['int'])),
                                ('regrcvdbidir', (YLeaf(YType.uint32, 'regRcvdBiDir'), ['int'])),
                                ('regrcvdandnotrp', (YLeaf(YType.uint32, 'regRcvdAndNotRP'), ['int'])),
                                ('bsrbssent', (YLeaf(YType.uint32, 'bsrBsSent'), ['int'])),
                                ('bsrbsrcvd', (YLeaf(YType.uint32, 'bsrBsRcvd'), ['int'])),
                                ('bsrcrpsent', (YLeaf(YType.uint32, 'bsrCRPSent'), ['int'])),
                                ('bsrcrprcvd', (YLeaf(YType.uint32, 'bsrCRPRcvd'), ['int'])),
                                ('bsrbsfromnonnbr', (YLeaf(YType.uint32, 'bsrBsFromNonNbr'), ['int'])),
                                ('bsrbsfromborderif', (YLeaf(YType.uint32, 'bsrBsFromBorderIF'), ['int'])),
                                ('bsrbslenerr', (YLeaf(YType.uint32, 'bsrBsLenErr'), ['int'])),
                                ('bsrbsrpffail', (YLeaf(YType.uint32, 'bsrBsRPFFail'), ['int'])),
                                ('bsrbsrcvdlisnotconf', (YLeaf(YType.uint32, 'bsrBsRcvdLisNotConf'), ['int'])),
                                ('bsrcrpfromborderif', (YLeaf(YType.uint32, 'bsrCRPFromBorderIF'), ['int'])),
                                ('bsrcrprcvdlisnotconf', (YLeaf(YType.uint32, 'bsrCRPRcvdLisNotConf'), ['int'])),
                                ('autorpannouncessent', (YLeaf(YType.uint32, 'autoRPAnnouncesSent'), ['int'])),
                                ('autorpannouncesrcvd', (YLeaf(YType.uint32, 'autoRPAnnouncesRcvd'), ['int'])),
                                ('autorpdiscoveriessent', (YLeaf(YType.uint32, 'autoRPDiscoveriesSent'), ['int'])),
                                ('autorpdiscoveriesrcvd', (YLeaf(YType.uint32, 'autoRPDiscoveriesRcvd'), ['int'])),
                                ('autorprpffailed', (YLeaf(YType.uint32, 'autoRPRPFFailed'), ['int'])),
                                ('autorpfromborderif', (YLeaf(YType.uint32, 'autoRPFromBorderIF'), ['int'])),
                                ('autorpinvalidtype', (YLeaf(YType.uint32, 'autoRPInvalidType'), ['int'])),
                                ('autorpttlexp', (YLeaf(YType.uint32, 'autoRPTTLExp'), ['int'])),
                                ('autorprcvdlisnotconf', (YLeaf(YType.uint32, 'autoRPRcvdLisNotConf'), ['int'])),
                                ('cprpffailnoroute', (YLeaf(YType.uint32, 'cpRPFFailNoRoute'), ['int'])),
                                ('dprpffailnoroute', (YLeaf(YType.uint32, 'dpRPFFailNoRoute'), ['int'])),
                                ('dpnomcaststate', (YLeaf(YType.uint32, 'dpNoMcastState'), ['int'])),
                                ('dpcrtroutestatecnt', (YLeaf(YType.uint32, 'dpCrtRouteStateCnt'), ['int'])),
                            ])
                            self.regsent = None
                            self.regrcvd = None
                            self.nullregsent = None
                            self.nullregrcvd = None
                            self.regstopsent = None
                            self.regstoprcvd = None
                            self.regrcvdssm = None
                            self.regrcvdbidir = None
                            self.regrcvdandnotrp = None
                            self.bsrbssent = None
                            self.bsrbsrcvd = None
                            self.bsrcrpsent = None
                            self.bsrcrprcvd = None
                            self.bsrbsfromnonnbr = None
                            self.bsrbsfromborderif = None
                            self.bsrbslenerr = None
                            self.bsrbsrpffail = None
                            self.bsrbsrcvdlisnotconf = None
                            self.bsrcrpfromborderif = None
                            self.bsrcrprcvdlisnotconf = None
                            self.autorpannouncessent = None
                            self.autorpannouncesrcvd = None
                            self.autorpdiscoveriessent = None
                            self.autorpdiscoveriesrcvd = None
                            self.autorprpffailed = None
                            self.autorpfromborderif = None
                            self.autorpinvalidtype = None
                            self.autorpttlexp = None
                            self.autorprcvdlisnotconf = None
                            self.cprpffailnoroute = None
                            self.dprpffailnoroute = None
                            self.dpnomcaststate = None
                            self.dpcrtroutestatecnt = None
                            self._segment_path = lambda: "domstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.DomstatsItems, ['regsent', 'regrcvd', 'nullregsent', 'nullregrcvd', 'regstopsent', 'regstoprcvd', 'regrcvdssm', 'regrcvdbidir', 'regrcvdandnotrp', 'bsrbssent', 'bsrbsrcvd', 'bsrcrpsent', 'bsrcrprcvd', 'bsrbsfromnonnbr', 'bsrbsfromborderif', 'bsrbslenerr', 'bsrbsrpffail', 'bsrbsrcvdlisnotconf', 'bsrcrpfromborderif', 'bsrcrprcvdlisnotconf', 'autorpannouncessent', 'autorpannouncesrcvd', 'autorpdiscoveriessent', 'autorpdiscoveriesrcvd', 'autorprpffailed', 'autorpfromborderif', 'autorpinvalidtype', 'autorpttlexp', 'autorprcvdlisnotconf', 'cprpffailnoroute', 'dprpffailnoroute', 'dpnomcaststate', 'dpcrtroutestatecnt'], name, value)



                    class EventHistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.EventHistItems, self).__init__()

                            self.yang_name = "eventHist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.PimItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventHist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.EventHistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history
                            	**type**\:  :py:class:`PimEhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PimEhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventHist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PimEhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.EventHistItems.EventHistoryList, ['type', 'size'], name, value)




                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: ctrl
                            
                            	Interface Controls
                            	**type**\: str
                            
                            .. attribute:: drprio
                            
                            	Designated Router Priority
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: drdelay
                            
                            	Designated Router Delay
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: jprtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: neighrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: neighpfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: border
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: passive
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rteppdn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ipaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: bfdinst
                            
                            	BFD Instance
                            	**type**\:  :py:class:`PimBfdInstSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PimBfdInstSt>`
                            
                            .. attribute:: pimsparsemode
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: db_items
                            
                            	
                            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems>`
                            
                            .. attribute:: ifdb_items
                            
                            	
                            	**type**\:  :py:class:`IfdbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems>`
                            
                            .. attribute:: jp_items
                            
                            	
                            	**type**\:  :py:class:`JpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems>`
                            
                            .. attribute:: hello_items
                            
                            	
                            	**type**\:  :py:class:`HelloItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.HelloItems>`
                            
                            .. attribute:: trstats_items
                            
                            	
                            	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("db-items", ("db_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems)), ("ifdb-items", ("ifdb_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems)), ("jp-items", ("jp_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems)), ("hello-items", ("hello_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.HelloItems)), ("trstats-items", ("trstats_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                    ('drdelay', (YLeaf(YType.uint16, 'drDelay'), ['int'])),
                                    ('jprtmap', (YLeaf(YType.str, 'jpRtMap'), ['str'])),
                                    ('neighrtmap', (YLeaf(YType.str, 'neighRtMap'), ['str'])),
                                    ('neighpfxlist', (YLeaf(YType.str, 'neighpfxList'), ['str'])),
                                    ('border', (YLeaf(YType.boolean, 'border'), ['bool'])),
                                    ('passive', (YLeaf(YType.boolean, 'passive'), ['bool'])),
                                    ('rteppdn', (YLeaf(YType.str, 'rtEpPDn'), ['str'])),
                                    ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str','str'])),
                                    ('bfdinst', (YLeaf(YType.enumeration, 'bfdInst'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PimBfdInstSt', '')])),
                                    ('pimsparsemode', (YLeaf(YType.boolean, 'pimSparseMode'), ['bool'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                ])
                                self.id = None
                                self.ctrl = None
                                self.drprio = None
                                self.drdelay = None
                                self.jprtmap = None
                                self.neighrtmap = None
                                self.neighpfxlist = None
                                self.border = None
                                self.passive = None
                                self.rteppdn = None
                                self.ipaddr = None
                                self.bfdinst = None
                                self.pimsparsemode = None
                                self.name = None
                                self.descr = None
                                self.adminst = None

                                self.db_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems()
                                self.db_items.parent = self
                                self._children_name_map["db_items"] = "db-items"

                                self.ifdb_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems()
                                self.ifdb_items.parent = self
                                self._children_name_map["ifdb_items"] = "ifdb-items"

                                self.jp_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems()
                                self.jp_items.parent = self
                                self._children_name_map["jp_items"] = "jp-items"

                                self.hello_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.HelloItems()
                                self.hello_items.parent = self
                                self._children_name_map["hello_items"] = "hello-items"

                                self.trstats_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems()
                                self.trstats_items.parent = self
                                self._children_name_map["trstats_items"] = "trstats-items"

                                self.rtvrfmbr_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'ctrl', 'drprio', 'drdelay', 'jprtmap', 'neighrtmap', 'neighpfxlist', 'border', 'passive', 'rteppdn', 'ipaddr', 'bfdinst', 'pimsparsemode', 'name', 'descr', 'adminst'], name, value)


                            class DbItems(Entity):
                                """
                                
                                
                                .. attribute:: db_list
                                
                                	
                                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems, self).__init__()

                                    self.yang_name = "db-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList))])
                                    self._leafs = OrderedDict()

                                    self.db_list = YList(self)
                                    self._segment_path = lambda: "db-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems, [], name, value)


                                class DbList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Type
                                    	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: autorp_items
                                    
                                    	
                                    	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bsr_items
                                    
                                    	
                                    	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grange_items
                                    
                                    	
                                    	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: src_items
                                    
                                    	
                                    	**type**\:  :py:class:`SrcItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rp_items
                                    
                                    	
                                    	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList, self).__init__()

                                        self.yang_name = "Db-list"
                                        self.yang_parent_name = "db-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("autorp-items", ("autorp_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems)), ("bsr-items", ("bsr_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems)), ("grange-items", ("grange_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems)), ("src-items", ("src_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems)), ("rp-items", ("rp_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.type = None
                                        self.name = None

                                        self.autorp_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems()
                                        self.autorp_items.parent = self
                                        self._children_name_map["autorp_items"] = "autorp-items"

                                        self.bsr_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems()
                                        self.bsr_items.parent = self
                                        self._children_name_map["bsr_items"] = "bsr-items"

                                        self.grange_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems()
                                        self.grange_items.parent = self
                                        self._children_name_map["grange_items"] = "grange-items"

                                        self.src_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems()
                                        self.src_items.parent = self
                                        self._children_name_map["src_items"] = "src-items"

                                        self.rp_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems()
                                        self.rp_items.parent = self
                                        self._children_name_map["rp_items"] = "rp-items"
                                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList, ['type', 'name'], name, value)


                                    class AutorpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: autorppinfo_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AutoRPPInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems.AutoRPPInfoList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems, self).__init__()

                                            self.yang_name = "autorp-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("AutoRPPInfo-list", ("autorppinfo_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems.AutoRPPInfoList))])
                                            self._leafs = OrderedDict()

                                            self.autorppinfo_list = YList(self)
                                            self._segment_path = lambda: "autorp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems, [], name, value)


                                        class AutoRPPInfoList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiry
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: uptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hashmasklen
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems.AutoRPPInfoList, self).__init__()

                                                self.yang_name = "AutoRPPInfo-list"
                                                self.yang_parent_name = "autorp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                                    ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                    ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                                    ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                                ])
                                                self.addr = None
                                                self.name = None
                                                self.expiry = None
                                                self.uptime = None
                                                self.priority = None
                                                self.hashmasklen = None
                                                self._segment_path = lambda: "AutoRPPInfo-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.AutorpItems.AutoRPPInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                                    class BsrItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bsrinfo_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BSRInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems.BSRInfoList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems, self).__init__()

                                            self.yang_name = "bsr-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("BSRInfo-list", ("bsrinfo_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems.BSRInfoList))])
                                            self._leafs = OrderedDict()

                                            self.bsrinfo_list = YList(self)
                                            self._segment_path = lambda: "bsr-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems, [], name, value)


                                        class BSRInfoList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiry
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: uptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hashmasklen
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems.BSRInfoList, self).__init__()

                                                self.yang_name = "BSRInfo-list"
                                                self.yang_parent_name = "bsr-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                                    ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                    ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                                    ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                                ])
                                                self.addr = None
                                                self.name = None
                                                self.expiry = None
                                                self.uptime = None
                                                self.priority = None
                                                self.hashmasklen = None
                                                self._segment_path = lambda: "BSRInfo-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BsrItems.BSRInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                                    class GrangeItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rpgrange_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RPGrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems.RPGrangeList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems, self).__init__()

                                            self.yang_name = "grange-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RPGrange-list", ("rpgrange_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems.RPGrangeList))])
                                            self._leafs = OrderedDict()

                                            self.rpgrange_list = YList(self)
                                            self._segment_path = lambda: "grange-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems, [], name, value)


                                        class RPGrangeList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Group Range flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpaddr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems.RPGrangeList, self).__init__()

                                                self.yang_name = "RPGrange-list"
                                                self.yang_parent_name = "grange-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                    ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                                ])
                                                self.addr = None
                                                self.flags = None
                                                self.rpaddr = None
                                                self._segment_path = lambda: "RPGrange-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.GrangeItems.RPGrangeList, ['addr', 'flags', 'rpaddr'], name, value)




                                    class SrcItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RouteList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems.RouteList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems, self).__init__()

                                            self.yang_name = "src-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Route-list", ("route_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems.RouteList))])
                                            self._leafs = OrderedDict()

                                            self.route_list = YList(self)
                                            self._segment_path = lambda: "src-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems, [], name, value)


                                        class RouteList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: src  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: grp  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpaddrroute
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: iif
                                            
                                            	Incoming interface
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiryts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfnbr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfsrc
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: createts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: asserttime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	Route Uptime
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: swpktcnt
                                            
                                            	Software Packet Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: swbytecnt
                                            
                                            	Software Byte Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hwpktcnt
                                            
                                            	Hardware Packet Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hwbytecnt
                                            
                                            	Hardware Byte Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetric
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetricpref
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routebits
                                            
                                            	RP WC Bit
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttimeoutinvtl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: jpholdtime
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems.RouteList, self).__init__()

                                                self.yang_name = "Route-list"
                                                self.yang_parent_name = "src-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['src','grp']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                                    ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('rpaddrroute', (YLeaf(YType.str, 'rpAddrRoute'), ['str','str'])),
                                                    ('iif', (YLeaf(YType.str, 'iif'), ['str'])),
                                                    ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                    ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                    ('rpfsrc', (YLeaf(YType.str, 'rpfSrc'), ['str','str'])),
                                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                                    ('asserttime', (YLeaf(YType.str, 'assertTime'), ['str'])),
                                                    ('rttype', (YLeaf(YType.str, 'rtType'), ['str'])),
                                                    ('swpktcnt', (YLeaf(YType.uint32, 'swPktCnt'), ['int'])),
                                                    ('swbytecnt', (YLeaf(YType.uint32, 'swByteCnt'), ['int'])),
                                                    ('hwpktcnt', (YLeaf(YType.uint32, 'hwPktCnt'), ['int'])),
                                                    ('hwbytecnt', (YLeaf(YType.uint32, 'hwByteCnt'), ['int'])),
                                                    ('assertmetric', (YLeaf(YType.uint32, 'assertMetric'), ['int'])),
                                                    ('assertmetricpref', (YLeaf(YType.uint32, 'assertMetricPref'), ['int'])),
                                                    ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                                    ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                                    ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                                ])
                                                self.src = None
                                                self.grp = None
                                                self.name = None
                                                self.ver = None
                                                self.rpaddrroute = None
                                                self.iif = None
                                                self.expiryts = None
                                                self.rpfnbr = None
                                                self.rpfsrc = None
                                                self.createts = None
                                                self.asserttime = None
                                                self.rttype = None
                                                self.swpktcnt = None
                                                self.swbytecnt = None
                                                self.hwpktcnt = None
                                                self.hwbytecnt = None
                                                self.assertmetric = None
                                                self.assertmetricpref = None
                                                self.routebits = None
                                                self.rttimeoutinvtl = None
                                                self.jpholdtime = None
                                                self._segment_path = lambda: "Route-list" + "[src='" + str(self.src) + "']" + "[grp='" + str(self.grp) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SrcItems.RouteList, ['src', 'grp', 'name', 'ver', 'rpaddrroute', 'iif', 'expiryts', 'rpfnbr', 'rpfsrc', 'createts', 'asserttime', 'rttype', 'swpktcnt', 'swbytecnt', 'hwpktcnt', 'hwbytecnt', 'assertmetric', 'assertmetricpref', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)




                                    class RpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rpinfo_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RPInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems, self).__init__()

                                            self.yang_name = "rp-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RPInfo-list", ("rpinfo_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList))])
                                            self._leafs = OrderedDict()

                                            self.rpinfo_list = YList(self)
                                            self._segment_path = lambda: "rp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems, [], name, value)


                                        class RPInfoList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: local
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: uptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: arpexp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bsrexp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bsraddr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: disctype
                                            
                                            	RP source type
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dfordinal
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rsrp2grange_items
                                            
                                            	
                                            	**type**\:  :py:class:`RsrP2GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList, self).__init__()

                                                self.yang_name = "RPInfo-list"
                                                self.yang_parent_name = "rp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([("rsrP2Grange-items", ("rsrp2grange_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems))])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('local', (YLeaf(YType.boolean, 'local'), ['bool'])),
                                                    ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                    ('arpexp', (YLeaf(YType.str, 'arpExp'), ['str'])),
                                                    ('bsrexp', (YLeaf(YType.str, 'bsrExp'), ['str'])),
                                                    ('bsraddr', (YLeaf(YType.str, 'bsrAddr'), ['str','str'])),
                                                    ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                                    ('disctype', (YLeaf(YType.str, 'discType'), ['str'])),
                                                    ('dfordinal', (YLeaf(YType.uint32, 'dfOrdinal'), ['int'])),
                                                ])
                                                self.addr = None
                                                self.name = None
                                                self.local = None
                                                self.uptime = None
                                                self.arpexp = None
                                                self.bsrexp = None
                                                self.bsraddr = None
                                                self.priority = None
                                                self.disctype = None
                                                self.dfordinal = None

                                                self.rsrp2grange_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems()
                                                self.rsrp2grange_items.parent = self
                                                self._children_name_map["rsrp2grange_items"] = "rsrP2Grange-items"
                                                self._segment_path = lambda: "RPInfo-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList, ['addr', 'name', 'local', 'uptime', 'arpexp', 'bsrexp', 'bsraddr', 'priority', 'disctype', 'dfordinal'], name, value)


                                            class RsrP2GrangeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rsrp2grange_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RsRP2GrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems, self).__init__()

                                                    self.yang_name = "rsrP2Grange-items"
                                                    self.yang_parent_name = "RPInfo-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RsRP2Grange-list", ("rsrp2grange_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList))])
                                                    self._leafs = OrderedDict()

                                                    self.rsrp2grange_list = YList(self)
                                                    self._segment_path = lambda: "rsrP2Grange-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems, [], name, value)


                                                class RsRP2GrangeList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: tdn  (key)
                                                    
                                                    	Target\-dn
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: tcl
                                                    
                                                    	Target\-class
                                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList, self).__init__()

                                                        self.yang_name = "RsRP2Grange-list"
                                                        self.yang_parent_name = "rsrP2Grange-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['tdn']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                                        ])
                                                        self.tdn = None
                                                        self.tcl = None
                                                        self._segment_path = lambda: "RsRP2Grange-list" + "[tDn='" + str(self.tdn) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.RpItems.RPInfoList.RsrP2GrangeItems.RsRP2GrangeList, ['tdn', 'tcl'], name, value)








                            class IfdbItems(Entity):
                                """
                                
                                
                                .. attribute:: ifdb_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IfdbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems, self).__init__()

                                    self.yang_name = "ifdb-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Ifdb-list", ("ifdb_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList))])
                                    self._leafs = OrderedDict()

                                    self.ifdb_list = YList(self)
                                    self._segment_path = lambda: "ifdb-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems, [], name, value)


                                class IfdbList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ifdbtype  (key)
                                    
                                    	represents repository type
                                    	**type**\:  :py:class:`PimIfdbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.PimIfdbT>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: adj_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifprop_items
                                    
                                    	
                                    	**type**\:  :py:class:`IfpropItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfpropItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifstats_items
                                    
                                    	
                                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfstatsItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList, self).__init__()

                                        self.yang_name = "Ifdb-list"
                                        self.yang_parent_name = "ifdb-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['ifdbtype']
                                        self._child_classes = OrderedDict([("adj-items", ("adj_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems)), ("ifprop-items", ("ifprop_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfpropItems)), ("ifstats-items", ("ifstats_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfstatsItems))])
                                        self._leafs = OrderedDict([
                                            ('ifdbtype', (YLeaf(YType.enumeration, 'ifdbtype'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'PimIfdbT', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.ifdbtype = None
                                        self.name = None

                                        self.adj_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems()
                                        self.adj_items.parent = self
                                        self._children_name_map["adj_items"] = "adj-items"

                                        self.ifprop_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfpropItems()
                                        self.ifprop_items.parent = self
                                        self._children_name_map["ifprop_items"] = "ifprop-items"

                                        self.ifstats_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfstatsItems()
                                        self.ifstats_items.parent = self
                                        self._children_name_map["ifstats_items"] = "ifstats-items"
                                        self._segment_path = lambda: "Ifdb-list" + "[ifdbtype='" + str(self.ifdbtype) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList, ['ifdbtype', 'name'], name, value)


                                    class AdjItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: adjep_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems, self).__init__()

                                            self.yang_name = "adj-items"
                                            self.yang_parent_name = "Ifdb-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList))])
                                            self._leafs = OrderedDict()

                                            self.adjep_list = YList(self)
                                            self._segment_path = lambda: "adj-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems, [], name, value)


                                        class AdjEpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nbrname
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: drprio
                                            
                                            	DR Priority
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: learntime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expirytime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: genid
                                            
                                            	Generation ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bfdst
                                            
                                            	BFD State
                                            	**type**\:  :py:class:`RtdmcBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`RtdmcAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAdjOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: adjstats_items
                                            
                                            	
                                            	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList.AdjstatsItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList, self).__init__()

                                                self.yang_name = "AdjEp-list"
                                                self.yang_parent_name = "adj-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList.AdjstatsItems))])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('nbrname', (YLeaf(YType.str, 'nbrName'), ['str'])),
                                                    ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                                    ('learntime', (YLeaf(YType.str, 'learnTime'), ['str'])),
                                                    ('expirytime', (YLeaf(YType.str, 'expiryTime'), ['str'])),
                                                    ('genid', (YLeaf(YType.uint32, 'genId'), ['int'])),
                                                    ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdOperSt', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAdjOperSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ])
                                                self.addr = None
                                                self.name = None
                                                self.nbrname = None
                                                self.drprio = None
                                                self.learntime = None
                                                self.expirytime = None
                                                self.genid = None
                                                self.bfdst = None
                                                self.operst = None
                                                self.flags = None

                                                self.adjstats_items = System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList.AdjstatsItems()
                                                self.adjstats_items.parent = self
                                                self._children_name_map["adjstats_items"] = "adjstats-items"
                                                self._segment_path = lambda: "AdjEp-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList, ['addr', 'name', 'nbrname', 'drprio', 'learntime', 'expirytime', 'genid', 'bfdst', 'operst', 'flags'], name, value)


                                            class AdjstatsItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lasthellorcvd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: longhelloitvl
                                                
                                                	Longest Hello Interval
                                                	**type**\: int
                                                
                                                	**range:** 1..18724286
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lastholdtime
                                                
                                                	Last Hold Time
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nonhelloexpresets
                                                
                                                	Non\-Hello Expiry Timer Resets
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList.AdjstatsItems, self).__init__()

                                                    self.yang_name = "adjstats-items"
                                                    self.yang_parent_name = "AdjEp-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('lasthellorcvd', (YLeaf(YType.str, 'lastHelloRcvd'), ['str'])),
                                                        ('longhelloitvl', (YLeaf(YType.uint32, 'longHelloItvl'), ['int'])),
                                                        ('lastholdtime', (YLeaf(YType.uint16, 'lastHoldTime'), ['int'])),
                                                        ('nonhelloexpresets', (YLeaf(YType.uint32, 'nonHelloExpResets'), ['int'])),
                                                    ])
                                                    self.lasthellorcvd = None
                                                    self.longhelloitvl = None
                                                    self.lastholdtime = None
                                                    self.nonhelloexpresets = None
                                                    self._segment_path = lambda: "adjstats-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.AdjItems.AdjEpList.AdjstatsItems, ['lasthellorcvd', 'longhelloitvl', 'lastholdtime', 'nonhelloexpresets'], name, value)





                                    class IfpropItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: nexthello
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nbrholdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: genid
                                        
                                        	Generation ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfpropItems, self).__init__()

                                            self.yang_name = "ifprop-items"
                                            self.yang_parent_name = "Ifdb-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('nexthello', (YLeaf(YType.str, 'nextHello'), ['str'])),
                                                ('nbrholdtime', (YLeaf(YType.uint32, 'nbrHoldTime'), ['int'])),
                                                ('dr', (YLeaf(YType.str, 'dr'), ['str','str'])),
                                                ('genid', (YLeaf(YType.uint32, 'genID'), ['int'])),
                                            ])
                                            self.nexthello = None
                                            self.nbrholdtime = None
                                            self.dr = None
                                            self.genid = None
                                            self._segment_path = lambda: "ifprop-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfpropItems, ['nexthello', 'nbrholdtime', 'dr', 'genid'], name, value)



                                    class IfstatsItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: hellosent
                                        
                                        	number of hello sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: hellorcvd
                                        
                                        	number of hello rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpsent
                                        
                                        	number of JP sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jprcvd
                                        
                                        	number of JP rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: assertrcvd
                                        
                                        	number of assert rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: graftssent
                                        
                                        	number of grafts sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: graftsrcvd
                                        
                                        	number of grafts rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grftacksent
                                        
                                        	number of graft ack sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grftackrcvd
                                        
                                        	number of graft ack rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfoffersent
                                        
                                        	number of DF\-offer sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfofferrcvd
                                        
                                        	number of DF\-offer rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfwinnersent
                                        
                                        	number of DF winner sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfwinnerrcvd
                                        
                                        	number of DF winner rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfbackoffsent
                                        
                                        	number of DF backoff sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfbackoffrcvd
                                        
                                        	number of DF backoff rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfpassessent
                                        
                                        	number of DF Passes sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfpassesrcvd
                                        
                                        	number of DF Passes rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: chksumerr
                                        
                                        	Checksum errors
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: invalidpktrcvd
                                        
                                        	number of invalid pkt rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: authfail
                                        
                                        	number of authentication failures
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktlenerr
                                        
                                        	number of packet length errors
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: badverpkt
                                        
                                        	number of bad version pkts
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktfrmself
                                        
                                        	number of pkts from Self
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktfrmnonnbr
                                        
                                        	packets from Non\-Neighbor
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktonpassiveif
                                        
                                        	number of packets on passive interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jprcvdonrpf
                                        
                                        	number of packets rcvd on RPF interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: joinnorp
                                        
                                        	\*,G Join rcvd with no RP
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: joinwrongrp
                                        
                                        	number of packets rcvd on Wrong RP
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpssmrcvd
                                        
                                        	number of packets rcvd for SSM groups
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpbidirrcvd
                                        
                                        	number of packets rcvd for Bidir groups
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpfilterin
                                        
                                        	number of JP filtered by inbound policy 
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpfilterout
                                        
                                        	number of JP filtered by outbound policy 
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfstatsItems, self).__init__()

                                            self.yang_name = "ifstats-items"
                                            self.yang_parent_name = "Ifdb-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('hellosent', (YLeaf(YType.uint32, 'helloSent'), ['int'])),
                                                ('hellorcvd', (YLeaf(YType.uint32, 'helloRcvd'), ['int'])),
                                                ('jpsent', (YLeaf(YType.uint32, 'jpSent'), ['int'])),
                                                ('jprcvd', (YLeaf(YType.uint32, 'jpRcvd'), ['int'])),
                                                ('assertrcvd', (YLeaf(YType.uint32, 'assertRcvd'), ['int'])),
                                                ('graftssent', (YLeaf(YType.uint32, 'graftsSent'), ['int'])),
                                                ('graftsrcvd', (YLeaf(YType.uint32, 'graftsRcvd'), ['int'])),
                                                ('grftacksent', (YLeaf(YType.uint32, 'grftAckSent'), ['int'])),
                                                ('grftackrcvd', (YLeaf(YType.uint32, 'grftAckRcvd'), ['int'])),
                                                ('dfoffersent', (YLeaf(YType.uint32, 'dfOfferSent'), ['int'])),
                                                ('dfofferrcvd', (YLeaf(YType.uint32, 'dfOfferRcvd'), ['int'])),
                                                ('dfwinnersent', (YLeaf(YType.uint32, 'dfWinnerSent'), ['int'])),
                                                ('dfwinnerrcvd', (YLeaf(YType.uint32, 'dfWinnerRcvd'), ['int'])),
                                                ('dfbackoffsent', (YLeaf(YType.uint32, 'dfBackoffSent'), ['int'])),
                                                ('dfbackoffrcvd', (YLeaf(YType.uint32, 'dfBackoffRcvd'), ['int'])),
                                                ('dfpassessent', (YLeaf(YType.uint32, 'dfPassesSent'), ['int'])),
                                                ('dfpassesrcvd', (YLeaf(YType.uint32, 'dfPassesRcvd'), ['int'])),
                                                ('chksumerr', (YLeaf(YType.uint32, 'chksumErr'), ['int'])),
                                                ('invalidpktrcvd', (YLeaf(YType.uint32, 'invalidPktRcvd'), ['int'])),
                                                ('authfail', (YLeaf(YType.uint32, 'authFail'), ['int'])),
                                                ('pktlenerr', (YLeaf(YType.uint32, 'pktLenErr'), ['int'])),
                                                ('badverpkt', (YLeaf(YType.uint32, 'badVerPkt'), ['int'])),
                                                ('pktfrmself', (YLeaf(YType.uint32, 'pktFrmSelf'), ['int'])),
                                                ('pktfrmnonnbr', (YLeaf(YType.uint32, 'pktFrmNonNbr'), ['int'])),
                                                ('pktonpassiveif', (YLeaf(YType.uint32, 'pktOnPassiveIf'), ['int'])),
                                                ('jprcvdonrpf', (YLeaf(YType.uint32, 'jpRcvdOnRPF'), ['int'])),
                                                ('joinnorp', (YLeaf(YType.uint32, 'joinNoRP'), ['int'])),
                                                ('joinwrongrp', (YLeaf(YType.uint32, 'joinWrongRp'), ['int'])),
                                                ('jpssmrcvd', (YLeaf(YType.uint32, 'jpSSMRcvd'), ['int'])),
                                                ('jpbidirrcvd', (YLeaf(YType.uint32, 'jpBidirRcvd'), ['int'])),
                                                ('jpfilterin', (YLeaf(YType.uint32, 'jpFilterIn'), ['int'])),
                                                ('jpfilterout', (YLeaf(YType.uint32, 'jpFilterOut'), ['int'])),
                                            ])
                                            self.hellosent = None
                                            self.hellorcvd = None
                                            self.jpsent = None
                                            self.jprcvd = None
                                            self.assertrcvd = None
                                            self.graftssent = None
                                            self.graftsrcvd = None
                                            self.grftacksent = None
                                            self.grftackrcvd = None
                                            self.dfoffersent = None
                                            self.dfofferrcvd = None
                                            self.dfwinnersent = None
                                            self.dfwinnerrcvd = None
                                            self.dfbackoffsent = None
                                            self.dfbackoffrcvd = None
                                            self.dfpassessent = None
                                            self.dfpassesrcvd = None
                                            self.chksumerr = None
                                            self.invalidpktrcvd = None
                                            self.authfail = None
                                            self.pktlenerr = None
                                            self.badverpkt = None
                                            self.pktfrmself = None
                                            self.pktfrmnonnbr = None
                                            self.pktonpassiveif = None
                                            self.jprcvdonrpf = None
                                            self.joinnorp = None
                                            self.joinwrongrp = None
                                            self.jpssmrcvd = None
                                            self.jpbidirrcvd = None
                                            self.jpfilterin = None
                                            self.jpfilterout = None
                                            self._segment_path = lambda: "ifstats-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.IfdbItems.IfdbList.IfstatsItems, ['hellosent', 'hellorcvd', 'jpsent', 'jprcvd', 'assertrcvd', 'graftssent', 'graftsrcvd', 'grftacksent', 'grftackrcvd', 'dfoffersent', 'dfofferrcvd', 'dfwinnersent', 'dfwinnerrcvd', 'dfbackoffsent', 'dfbackoffrcvd', 'dfpassessent', 'dfpassesrcvd', 'chksumerr', 'invalidpktrcvd', 'authfail', 'pktlenerr', 'badverpkt', 'pktfrmself', 'pktfrmnonnbr', 'pktonpassiveif', 'jprcvdonrpf', 'joinnorp', 'joinwrongrp', 'jpssmrcvd', 'jpbidirrcvd', 'jpfilterin', 'jpfilterout'], name, value)





                            class JpItems(Entity):
                                """
                                
                                
                                .. attribute:: jptrp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`JPTrPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JPTrPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems, self).__init__()

                                    self.yang_name = "jp-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("JPTrP-list", ("jptrp_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JPTrPList))])
                                    self._leafs = OrderedDict()

                                    self.jptrp_list = YList(self)
                                    self._segment_path = lambda: "jp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems, [], name, value)


                                class JPTrPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: policydir  (key)
                                    
                                    	Policy Direction 
                                    	**type**\:  :py:class:`RtdmcPolicyDirType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcPolicyDirType>`
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: itvl
                                    
                                    	Periodic Interval
                                    	**type**\: int
                                    
                                    	**range:** 1..65520
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JPTrPList, self).__init__()

                                        self.yang_name = "JPTrP-list"
                                        self.yang_parent_name = "jp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['policydir']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('policydir', (YLeaf(YType.enumeration, 'policyDir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcPolicyDirType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rtmap', (YLeaf(YType.str, 'RtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('itvl', (YLeaf(YType.uint16, 'itvl'), ['int'])),
                                        ])
                                        self.policydir = None
                                        self.name = None
                                        self.descr = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.itvl = None
                                        self._segment_path = lambda: "JPTrP-list" + "[policyDir='" + str(self.policydir) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JPTrPList, ['policydir', 'name', 'descr', 'rtmap', 'pfxlist', 'itvl'], name, value)




                            class HelloItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: helloitvl
                                
                                	Hello Interval
                                	**type**\: int
                                
                                	**range:** 1..18724286
                                
                                .. attribute:: autht
                                
                                	Authentication Type
                                	**type**\:  :py:class:`RtdmcAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAuthT>`
                                
                                .. attribute:: authkey
                                
                                	Authentication Key
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.HelloItems, self).__init__()

                                    self.yang_name = "hello-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('helloitvl', (YLeaf(YType.uint32, 'helloItvl'), ['int'])),
                                        ('autht', (YLeaf(YType.enumeration, 'authT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAuthT', '')])),
                                        ('authkey', (YLeaf(YType.str, 'authKey'), ['str'])),
                                    ])
                                    self.name = None
                                    self.descr = None
                                    self.helloitvl = None
                                    self.autht = None
                                    self.authkey = None
                                    self._segment_path = lambda: "hello-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.HelloItems, ['name', 'descr', 'helloitvl', 'autht', 'authkey'], name, value)



                            class TrstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: lastclearts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvd
                                
                                	Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregrcvd
                                
                                	Null Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstoprcvd
                                
                                	Reg Stop Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrcvd
                                
                                	Bootstrap received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrprcvd
                                
                                	Candidate RP Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannrcvd
                                
                                	AutoRP Announce Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscrcvd
                                
                                	AutoRP Discovery Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregsent
                                
                                	NULL Register sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstopsent
                                
                                	Register Stop Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bssent
                                
                                	Bootstrap Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpsent
                                
                                	Candidate RP Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannsent
                                
                                	AutoRP Announce Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscsent
                                
                                	AutoRP Discovery Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorprpfsent
                                
                                	AutoRP RPF Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpbrddeny
                                
                                	AutoRP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorrpnolistn
                                
                                	AutoRP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpttlexp
                                
                                	AutoRP TTL Expired
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpinvtype
                                
                                	AutoRP Invalid Type
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnonbr
                                
                                	BS No NBR
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsborddeny
                                
                                	BS Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bslenerr
                                
                                	BS Len Errors
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrpffail
                                
                                	BS RPF Failed
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnolis
                                
                                	BS No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpnolis
                                
                                	Candidate RP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpborddeny
                                
                                	Candidate RP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdnorp
                                
                                	Register Received not RP
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforssm
                                
                                	Register Received Not SSM
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforbd
                                
                                	Register received for Bidir
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: noroute
                                
                                	No Route
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems, self).__init__()

                                    self.yang_name = "trstats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                        ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                        ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                        ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                        ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                        ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                        ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                        ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                        ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                        ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                        ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                        ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                        ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                        ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                        ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                        ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                        ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                        ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                        ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                        ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                        ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                        ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                        ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                        ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                        ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                        ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                        ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                        ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                        ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                        ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                                    ])
                                    self.lastclearts = None
                                    self.regrcvd = None
                                    self.nullregrcvd = None
                                    self.regstoprcvd = None
                                    self.bsrcvd = None
                                    self.candrprcvd = None
                                    self.autorpannrcvd = None
                                    self.autorpdiscrcvd = None
                                    self.nullregsent = None
                                    self.regstopsent = None
                                    self.bssent = None
                                    self.candrpsent = None
                                    self.autorpannsent = None
                                    self.autorpdiscsent = None
                                    self.autorprpfsent = None
                                    self.autorpbrddeny = None
                                    self.autorrpnolistn = None
                                    self.autorpttlexp = None
                                    self.autorpinvtype = None
                                    self.bsnonbr = None
                                    self.bsborddeny = None
                                    self.bslenerr = None
                                    self.bsrpffail = None
                                    self.bsnolis = None
                                    self.candrpnolis = None
                                    self.candrpborddeny = None
                                    self.regrcvdnorp = None
                                    self.regrcvdforssm = None
                                    self.regrcvdforbd = None
                                    self.noroute = None
                                    self._segment_path = lambda: "trstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class LimitItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: max
                        
                        	Maximum Multicast Entries
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rsvd
                        
                        	Reserved Multicast Entries
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rtmap
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.LimitItems, self).__init__()

                            self.yang_name = "limit-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('max', (YLeaf(YType.uint32, 'max'), ['int'])),
                                ('rsvd', (YLeaf(YType.uint32, 'rsvd'), ['int'])),
                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.max = None
                            self.rsvd = None
                            self.rtmap = None
                            self._segment_path = lambda: "limit-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.LimitItems, ['name', 'descr', 'max', 'rsvd', 'rtmap'], name, value)



                    class AsmItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        .. attribute:: prebuildspt
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: force
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: rtmap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: pfxlist
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: sgexp_items
                        
                        	
                        	**type**\:  :py:class:`SgexpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AsmItems.SgexpItems>`
                        
                        .. attribute:: shared_items
                        
                        	
                        	**type**\:  :py:class:`SharedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AsmItems.SharedItems>`
                        
                        .. attribute:: reg_items
                        
                        	
                        	**type**\:  :py:class:`RegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.AsmItems.RegItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.AsmItems, self).__init__()

                            self.yang_name = "asm-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("sgexp-items", ("sgexp_items", System.PimItems.InstItems.DomItems.DomList.AsmItems.SgexpItems)), ("shared-items", ("shared_items", System.PimItems.InstItems.DomItems.DomList.AsmItems.SharedItems)), ("reg-items", ("reg_items", System.PimItems.InstItems.DomItems.DomList.AsmItems.RegItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('prebuildspt', (YLeaf(YType.boolean, 'preBuildSpt'), ['bool'])),
                                ('force', (YLeaf(YType.boolean, 'force'), ['bool'])),
                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ctrl = None
                            self.prebuildspt = None
                            self.force = None
                            self.rtmap = None
                            self.pfxlist = None

                            self.sgexp_items = System.PimItems.InstItems.DomItems.DomList.AsmItems.SgexpItems()
                            self.sgexp_items.parent = self
                            self._children_name_map["sgexp_items"] = "sgexp-items"

                            self.shared_items = System.PimItems.InstItems.DomItems.DomList.AsmItems.SharedItems()
                            self.shared_items.parent = self
                            self._children_name_map["shared_items"] = "shared-items"

                            self.reg_items = System.PimItems.InstItems.DomItems.DomList.AsmItems.RegItems()
                            self.reg_items.parent = self
                            self._children_name_map["reg_items"] = "reg-items"
                            self._segment_path = lambda: "asm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AsmItems, ['name', 'descr', 'ctrl', 'prebuildspt', 'force', 'rtmap', 'pfxlist'], name, value)


                        class SgexpItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: sgexpitvl
                            
                            	(S,G) Entry Expiry Timer
                            	**type**\: int
                            
                            	**range:** 180..604801
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AsmItems.SgexpItems, self).__init__()

                                self.yang_name = "sgexp-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                    ('sgexpitvl', (YLeaf(YType.uint32, 'sgExpItvl'), ['int'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self.sgexpitvl = None
                                self._segment_path = lambda: "sgexp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AsmItems.SgexpItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone', 'sgexpitvl'], name, value)



                        class SharedItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: usesptcommand
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AsmItems.SharedItems, self).__init__()

                                self.yang_name = "shared-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                    ('usesptcommand', (YLeaf(YType.boolean, 'useSPTCommand'), ['bool'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self.usesptcommand = None
                                self._segment_path = lambda: "shared-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AsmItems.SharedItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone', 'usesptcommand'], name, value)



                        class RegItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: maxrate
                            
                            	Maximum Rate
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.AsmItems.RegItems, self).__init__()

                                self.yang_name = "reg-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('maxrate', (YLeaf(YType.uint16, 'maxRate'), ['int'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.addr = None
                                self.srcif = None
                                self.maxrate = None
                                self.rtmap = None
                                self.pfxlist = None
                                self._segment_path = lambda: "reg-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.AsmItems.RegItems, ['name', 'descr', 'addr', 'srcif', 'maxrate', 'rtmap', 'pfxlist'], name, value)




                    class SsmItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: range_items
                        
                        	
                        	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.SsmItems.RangeItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.SsmItems, self).__init__()

                            self.yang_name = "ssm-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("range-items", ("range_items", System.PimItems.InstItems.DomItems.DomList.SsmItems.RangeItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.range_items = System.PimItems.InstItems.DomItems.DomList.SsmItems.RangeItems()
                            self.range_items.parent = self
                            self._children_name_map["range_items"] = "range-items"
                            self._segment_path = lambda: "ssm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.SsmItems, ['name', 'descr'], name, value)


                        class RangeItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.SsmItems.RangeItems, self).__init__()

                                self.yang_name = "range-items"
                                self.yang_parent_name = "ssm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self._segment_path = lambda: "range-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.SsmItems.RangeItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)




                    class BidirItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: maxrp
                        
                        	Maximum RPs
                        	**type**\: int
                        
                        	**range:** 1..8
                        
                        .. attribute:: dfobitvl
                        
                        	Designated Forwarder Offer Burst Interval
                        	**type**\: int
                        
                        	**range:** 1..10000
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.BidirItems, self).__init__()

                            self.yang_name = "bidir-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('maxrp', (YLeaf(YType.uint16, 'maxRP'), ['int'])),
                                ('dfobitvl', (YLeaf(YType.uint16, 'dfobItvl'), ['int'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.maxrp = None
                            self.dfobitvl = None
                            self._segment_path = lambda: "bidir-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.BidirItems, ['name', 'descr', 'maxrp', 'dfobitvl'], name, value)



                    class StaticrpItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: rp_items
                        
                        	
                        	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems, self).__init__()

                            self.yang_name = "staticrp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rp-items", ("rp_items", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.rp_items = System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems()
                            self.rp_items.parent = self
                            self._children_name_map["rp_items"] = "rp-items"
                            self._segment_path = lambda: "staticrp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems, ['name', 'descr'], name, value)


                        class RpItems(Entity):
                            """
                            
                            
                            .. attribute:: staticrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`StaticRPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems, self).__init__()

                                self.yang_name = "rp-items"
                                self.yang_parent_name = "staticrp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("StaticRP-list", ("staticrp_list", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList))])
                                self._leafs = OrderedDict()

                                self.staticrp_list = YList(self)
                                self._segment_path = lambda: "rp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems, [], name, value)


                            class StaticRPList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: range_items
                                
                                	
                                	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems>`
                                
                                .. attribute:: rpgrplist_items
                                
                                	
                                	**type**\:  :py:class:`RpgrplistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList, self).__init__()

                                    self.yang_name = "StaticRP-list"
                                    self.yang_parent_name = "rp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("range-items", ("range_items", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems)), ("rpgrplist-items", ("rpgrplist_items", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ])
                                    self.addr = None

                                    self.range_items = System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems()
                                    self.range_items.parent = self
                                    self._children_name_map["range_items"] = "range-items"

                                    self.rpgrplist_items = System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems()
                                    self.rpgrplist_items.parent = self
                                    self._children_name_map["rpgrplist_items"] = "rpgrplist-items"
                                    self._segment_path = lambda: "StaticRP-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList, ['addr'], name, value)


                                class RangeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpgrprange_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RPGrpRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RPGrpRangeList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems, self).__init__()

                                        self.yang_name = "range-items"
                                        self.yang_parent_name = "StaticRP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RPGrpRange-list", ("rpgrprange_list", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RPGrpRangeList))])
                                        self._leafs = OrderedDict()

                                        self.rpgrprange_list = YList(self)
                                        self._segment_path = lambda: "range-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems, [], name, value)


                                    class RPGrpRangeList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bidir  (key)
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: override
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: pfxlist
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: grplist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist1
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist2
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist3
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: ssmnone
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RPGrpRangeList, self).__init__()

                                            self.yang_name = "RPGrpRange-list"
                                            self.yang_parent_name = "range-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['bidir']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                                ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                                ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                                ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                                ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                                ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                                ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                            ])
                                            self.bidir = None
                                            self.override = None
                                            self.rtmap = None
                                            self.pfxlist = None
                                            self.grplist = None
                                            self.grplist1 = None
                                            self.grplist2 = None
                                            self.grplist3 = None
                                            self.ssmnone = None
                                            self._segment_path = lambda: "RPGrpRange-list" + "[bidir='" + str(self.bidir) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RPGrpRangeList, ['bidir', 'override', 'rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)




                                class RpgrplistItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpgrplist_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RPGrpListList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RPGrpListList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems, self).__init__()

                                        self.yang_name = "rpgrplist-items"
                                        self.yang_parent_name = "StaticRP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RPGrpList-list", ("rpgrplist_list", System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RPGrpListList))])
                                        self._leafs = OrderedDict()

                                        self.rpgrplist_list = YList(self)
                                        self._segment_path = lambda: "rpgrplist-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems, [], name, value)


                                    class RPGrpListList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: grplistname  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: bidir
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: override
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RPGrpListList, self).__init__()

                                            self.yang_name = "RPGrpList-list"
                                            self.yang_parent_name = "rpgrplist-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['grplistname']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('grplistname', (YLeaf(YType.str, 'grpListName'), ['str','str'])),
                                                ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                                ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                            ])
                                            self.grplistname = None
                                            self.bidir = None
                                            self.override = None
                                            self._segment_path = lambda: "RPGrpList-list" + "[grpListName='" + str(self.grplistname) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RPGrpListList, ['grplistname', 'bidir', 'override'], name, value)







                    class TrstatsItems(Entity):
                        """
                        
                        
                        .. attribute:: lastclearts
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvd
                        
                        	Register Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nullregrcvd
                        
                        	Null Register Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regstoprcvd
                        
                        	Reg Stop Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrcvd
                        
                        	Bootstrap received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: candrprcvd
                        
                        	Candidate RP Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpannrcvd
                        
                        	AutoRP Announce Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpdiscrcvd
                        
                        	AutoRP Discovery Received
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: nullregsent
                        
                        	NULL Register sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regstopsent
                        
                        	Register Stop Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bssent
                        
                        	Bootstrap Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: candrpsent
                        
                        	Candidate RP Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpannsent
                        
                        	AutoRP Announce Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpdiscsent
                        
                        	AutoRP Discovery Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorprpfsent
                        
                        	AutoRP RPF Sent
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpbrddeny
                        
                        	AutoRP Border Deny
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorrpnolistn
                        
                        	AutoRP No Listen
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpttlexp
                        
                        	AutoRP TTL Expired
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorpinvtype
                        
                        	AutoRP Invalid Type
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsnonbr
                        
                        	BS No NBR
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsborddeny
                        
                        	BS Border Deny
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bslenerr
                        
                        	BS Len Errors
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsrpffail
                        
                        	BS RPF Failed
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bsnolis
                        
                        	BS No Listen
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: candrpnolis
                        
                        	Candidate RP No Listen
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: candrpborddeny
                        
                        	Candidate RP Border Deny
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdnorp
                        
                        	Register Received not RP
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdforssm
                        
                        	Register Received Not SSM
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: regrcvdforbd
                        
                        	Register received for Bidir
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: noroute
                        
                        	No Route
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.DomItems.DomList.TrstatsItems, self).__init__()

                            self.yang_name = "trstats-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                            ])
                            self.lastclearts = None
                            self.regrcvd = None
                            self.nullregrcvd = None
                            self.regstoprcvd = None
                            self.bsrcvd = None
                            self.candrprcvd = None
                            self.autorpannrcvd = None
                            self.autorpdiscrcvd = None
                            self.nullregsent = None
                            self.regstopsent = None
                            self.bssent = None
                            self.candrpsent = None
                            self.autorpannsent = None
                            self.autorpdiscsent = None
                            self.autorprpfsent = None
                            self.autorpbrddeny = None
                            self.autorrpnolistn = None
                            self.autorpttlexp = None
                            self.autorpinvtype = None
                            self.bsnonbr = None
                            self.bsborddeny = None
                            self.bslenerr = None
                            self.bsrpffail = None
                            self.bsnolis = None
                            self.candrpnolis = None
                            self.candrpborddeny = None
                            self.regrcvdnorp = None
                            self.regrcvdforssm = None
                            self.regrcvdforbd = None
                            self.noroute = None
                            self._segment_path = lambda: "trstats-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.DomItems.DomList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)





            class GlItems(Entity):
                """
                
                
                .. attribute:: loglvl
                
                	Syslog filter level
                	**type**\: int
                
                	**range:** 0..7
                
                .. attribute:: isolate
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PimItems.InstItems.GlItems, self).__init__()

                    self.yang_name = "gl-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('loglvl', (YLeaf(YType.uint16, 'logLvl'), ['int'])),
                        ('isolate', (YLeaf(YType.boolean, 'isolate'), ['bool'])),
                    ])
                    self.loglvl = None
                    self.isolate = None
                    self._segment_path = lambda: "gl-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PimItems.InstItems.GlItems, ['loglvl', 'isolate'], name, value)



            class RoutedbItems(Entity):
                """
                
                
                .. attribute:: routedb_list
                
                	
                	**type**\: list of  		 :py:class:`RouteDbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.PimItems.InstItems.RoutedbItems, self).__init__()

                    self.yang_name = "routedb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RouteDb-list", ("routedb_list", System.PimItems.InstItems.RoutedbItems.RouteDbList))])
                    self._leafs = OrderedDict()

                    self.routedb_list = YList(self)
                    self._segment_path = lambda: "routedb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.PimItems.InstItems.RoutedbItems, [], name, value)


                class RouteDbList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: vrf_items
                    
                    	
                    	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.PimItems.InstItems.RoutedbItems.RouteDbList, self).__init__()

                        self.yang_name = "RouteDb-list"
                        self.yang_parent_name = "routedb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.name = None

                        self.vrf_items = System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems()
                        self.vrf_items.parent = self
                        self._children_name_map["vrf_items"] = "vrf-items"
                        self._segment_path = lambda: "RouteDb-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim-items/inst-items/routedb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList, ['type', 'name'], name, value)


                    class VrfItems(Entity):
                        """
                        
                        
                        .. attribute:: vrf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems, self).__init__()

                            self.yang_name = "vrf-items"
                            self.yang_parent_name = "RouteDb-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList))])
                            self._leafs = OrderedDict()

                            self.vrf_list = YList(self)
                            self._segment_path = lambda: "vrf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems, [], name, value)


                        class VrfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: group_items
                            
                            	
                            	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList, self).__init__()

                                self.yang_name = "Vrf-list"
                                self.yang_parent_name = "vrf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("group-items", ("group_items", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.name = None

                                self.group_items = System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems()
                                self.group_items.parent = self
                                self._children_name_map["group_items"] = "group-items"
                                self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList, ['name'], name, value)


                            class GroupItems(Entity):
                                """
                                
                                
                                .. attribute:: group_list
                                
                                	
                                	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems, self).__init__()

                                    self.yang_name = "group-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Group-list", ("group_list", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList))])
                                    self._leafs = OrderedDict()

                                    self.group_list = YList(self)
                                    self._segment_path = lambda: "group-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems, [], name, value)


                                class GroupList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grpaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: source_items
                                    
                                    	
                                    	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                        self.yang_name = "Group-list"
                                        self.yang_parent_name = "group-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['grpaddr']
                                        self._child_classes = OrderedDict([("source-items", ("source_items", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                        self._leafs = OrderedDict([
                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ])
                                        self.grpaddr = None

                                        self.source_items = System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                        self.source_items.parent = self
                                        self._children_name_map["source_items"] = "source-items"
                                        self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr'], name, value)


                                    class SourceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: source_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                            self.yang_name = "source-items"
                                            self.yang_parent_name = "Group-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Source-list", ("source_list", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                            self._leafs = OrderedDict()

                                            self.source_list = YList(self)
                                            self._segment_path = lambda: "source-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                        class SourceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: srcaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpaddressroute
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetrics
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetricprefs
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ver
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: src
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: grp
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpaddrroute
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: iif
                                            
                                            	Incoming interface
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiryts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfnbr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfsrc
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: createts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: asserttime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttype
                                            
                                            	Route Uptime
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: swpktcnt
                                            
                                            	Software Packet Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: swbytecnt
                                            
                                            	Software Byte Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hwpktcnt
                                            
                                            	Hardware Packet Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: hwbytecnt
                                            
                                            	Hardware Byte Count
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetric
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetricpref
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routebits
                                            
                                            	RP WC Bit
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttimeoutinvtl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: jpholdtime
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oif_items
                                            
                                            	
                                            	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                self.yang_name = "Source-list"
                                                self.yang_parent_name = "source-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['srcaddr']
                                                self._child_classes = OrderedDict([("oif-items", ("oif_items", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                                self._leafs = OrderedDict([
                                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                    ('rpaddressroute', (YLeaf(YType.str, 'rpAddressRoute'), ['str','str'])),
                                                    ('assertmetrics', (YLeaf(YType.uint32, 'assertMetrics'), ['int'])),
                                                    ('assertmetricprefs', (YLeaf(YType.uint32, 'assertMetricPrefs'), ['int'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('ver', (YLeaf(YType.uint32, 'ver'), ['int'])),
                                                    ('src', (YLeaf(YType.str, 'src'), ['str','str'])),
                                                    ('grp', (YLeaf(YType.str, 'grp'), ['str','str'])),
                                                    ('rpaddrroute', (YLeaf(YType.str, 'rpAddrRoute'), ['str','str'])),
                                                    ('iif', (YLeaf(YType.str, 'iif'), ['str'])),
                                                    ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                    ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                    ('rpfsrc', (YLeaf(YType.str, 'rpfSrc'), ['str','str'])),
                                                    ('createts', (YLeaf(YType.str, 'createTs'), ['str'])),
                                                    ('asserttime', (YLeaf(YType.str, 'assertTime'), ['str'])),
                                                    ('rttype', (YLeaf(YType.str, 'rtType'), ['str'])),
                                                    ('swpktcnt', (YLeaf(YType.uint32, 'swPktCnt'), ['int'])),
                                                    ('swbytecnt', (YLeaf(YType.uint32, 'swByteCnt'), ['int'])),
                                                    ('hwpktcnt', (YLeaf(YType.uint32, 'hwPktCnt'), ['int'])),
                                                    ('hwbytecnt', (YLeaf(YType.uint32, 'hwByteCnt'), ['int'])),
                                                    ('assertmetric', (YLeaf(YType.uint32, 'assertMetric'), ['int'])),
                                                    ('assertmetricpref', (YLeaf(YType.uint32, 'assertMetricPref'), ['int'])),
                                                    ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                                    ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                                    ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                                ])
                                                self.srcaddr = None
                                                self.rpaddressroute = None
                                                self.assertmetrics = None
                                                self.assertmetricprefs = None
                                                self.name = None
                                                self.ver = None
                                                self.src = None
                                                self.grp = None
                                                self.rpaddrroute = None
                                                self.iif = None
                                                self.expiryts = None
                                                self.rpfnbr = None
                                                self.rpfsrc = None
                                                self.createts = None
                                                self.asserttime = None
                                                self.rttype = None
                                                self.swpktcnt = None
                                                self.swbytecnt = None
                                                self.hwpktcnt = None
                                                self.hwbytecnt = None
                                                self.assertmetric = None
                                                self.assertmetricpref = None
                                                self.routebits = None
                                                self.rttimeoutinvtl = None
                                                self.jpholdtime = None

                                                self.oif_items = System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                                self.oif_items.parent = self
                                                self._children_name_map["oif_items"] = "oif-items"
                                                self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'rpaddressroute', 'assertmetrics', 'assertmetricprefs', 'name', 'ver', 'src', 'grp', 'rpaddrroute', 'iif', 'expiryts', 'rpfnbr', 'rpfsrc', 'createts', 'asserttime', 'rttype', 'swpktcnt', 'swbytecnt', 'hwpktcnt', 'hwbytecnt', 'assertmetric', 'assertmetricpref', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)


                                            class OifItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oif_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                    self.yang_name = "oif-items"
                                                    self.yang_parent_name = "Source-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                    self._leafs = OrderedDict()

                                                    self.oif_list = YList(self)
                                                    self._segment_path = lambda: "oif-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                                class OifList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oif  (key)
                                                    
                                                    	Outgoing interface
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifflags
                                                    
                                                    	pim route oif lists
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	pim route oif lists
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                        self.yang_name = "Oif-list"
                                                        self.yang_parent_name = "oif-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['oif']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('oif', (YLeaf(YType.str, 'oIf'), ['str'])),
                                                            ('oifflags', (YLeaf(YType.str, 'oifFlags'), ['str'])),
                                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                        ])
                                                        self.oif = None
                                                        self.oifflags = None
                                                        self.flags = None
                                                        self._segment_path = lambda: "Oif-list" + "[oIf='" + str(self.oif) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.PimItems.InstItems.RoutedbItems.RouteDbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oif', 'oifflags', 'flags'], name, value)














    class Pim6Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Pim6Items, self).__init__()

            self.yang_name = "pim6-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Pim6Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.Pim6Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "pim6-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Pim6Items, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: jpdelay
            
            	Inter Packet Delay
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: nrdelay
            
            	Null Register Inter Batch Delay
            	**type**\: int
            
            	**range:** 1..50000
            
            .. attribute:: nrnumrt
            
            	Null Register Number of Routes
            	**type**\: int
            
            	**range:** 1..32000
            
            .. attribute:: regstop
            
            	
            	**type**\: bool
            
            .. attribute:: db_items
            
            	
            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems>`
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems>`
            
            .. attribute:: gl_items
            
            	
            	**type**\:  :py:class:`GlItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.GlItems>`
            
            .. attribute:: routedb_items
            
            	
            	**type**\:  :py:class:`RoutedbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Pim6Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "pim6-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("db-items", ("db_items", System.Pim6Items.InstItems.DbItems)), ("dom-items", ("dom_items", System.Pim6Items.InstItems.DomItems)), ("gl-items", ("gl_items", System.Pim6Items.InstItems.GlItems)), ("routedb-items", ("routedb_items", System.Pim6Items.InstItems.RoutedbItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                    ('nrdelay', (YLeaf(YType.uint16, 'nrDelay'), ['int'])),
                    ('nrnumrt', (YLeaf(YType.uint16, 'nrNumRt'), ['int'])),
                    ('regstop', (YLeaf(YType.boolean, 'regStop'), ['bool'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None
                self.jpdelay = None
                self.nrdelay = None
                self.nrnumrt = None
                self.regstop = None

                self.db_items = System.Pim6Items.InstItems.DbItems()
                self.db_items.parent = self
                self._children_name_map["db_items"] = "db-items"

                self.dom_items = System.Pim6Items.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.gl_items = System.Pim6Items.InstItems.GlItems()
                self.gl_items.parent = self
                self._children_name_map["gl_items"] = "gl-items"

                self.routedb_items = System.Pim6Items.InstItems.RoutedbItems()
                self.routedb_items.parent = self
                self._children_name_map["routedb_items"] = "routedb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Pim6Items.InstItems, ['name', 'adminst', 'ctrl', 'opererr', 'jpdelay', 'nrdelay', 'nrnumrt', 'regstop'], name, value)


            class DbItems(Entity):
                """
                
                
                .. attribute:: db_list
                
                	
                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Pim6Items.InstItems.DbItems, self).__init__()

                    self.yang_name = "db-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.Pim6Items.InstItems.DbItems.DbList))])
                    self._leafs = OrderedDict()

                    self.db_list = YList(self)
                    self._segment_path = lambda: "db-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Pim6Items.InstItems.DbItems, [], name, value)


                class DbList(Entity):
                    """
                    
                    
                    .. attribute:: type  (key)
                    
                    	Type
                    	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    	**config**\: False
                    
                    .. attribute:: bf_items
                    
                    	
                    	**type**\:  :py:class:`BfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.BfItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: embedrp_items
                    
                    	
                    	**type**\:  :py:class:`EmbedrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: syslog_items
                    
                    	
                    	**type**\:  :py:class:`SyslogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.SyslogItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: vrf_items
                    
                    	
                    	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Pim6Items.InstItems.DbItems.DbList, self).__init__()

                        self.yang_name = "Db-list"
                        self.yang_parent_name = "db-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['type']
                        self._child_classes = OrderedDict([("bf-items", ("bf_items", System.Pim6Items.InstItems.DbItems.DbList.BfItems)), ("embedrp-items", ("embedrp_items", System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems)), ("syslog-items", ("syslog_items", System.Pim6Items.InstItems.DbItems.DbList.SyslogItems)), ("vrf-items", ("vrf_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.type = None
                        self.name = None

                        self.bf_items = System.Pim6Items.InstItems.DbItems.DbList.BfItems()
                        self.bf_items.parent = self
                        self._children_name_map["bf_items"] = "bf-items"

                        self.embedrp_items = System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems()
                        self.embedrp_items.parent = self
                        self._children_name_map["embedrp_items"] = "embedrp-items"

                        self.syslog_items = System.Pim6Items.InstItems.DbItems.DbList.SyslogItems()
                        self.syslog_items.parent = self
                        self._children_name_map["syslog_items"] = "syslog-items"

                        self.vrf_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems()
                        self.vrf_items.parent = self
                        self._children_name_map["vrf_items"] = "vrf-items"
                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/db-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList, ['type', 'name'], name, value)


                    class BfItems(Entity):
                        """
                        
                        
                        .. attribute:: bfentry_items
                        
                        	
                        	**type**\:  :py:class:`BfentryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DbItems.DbList.BfItems, self).__init__()

                            self.yang_name = "bf-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("bfentry-items", ("bfentry_items", System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems))])
                            self._leafs = OrderedDict()

                            self.bfentry_items = System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems()
                            self.bfentry_items.parent = self
                            self._children_name_map["bfentry_items"] = "bfentry-items"
                            self._segment_path = lambda: "bf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.BfItems, [], name, value)


                        class BfentryItems(Entity):
                            """
                            
                            
                            .. attribute:: bfentry_list
                            
                            	
                            	**type**\: list of  		 :py:class:`BfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems, self).__init__()

                                self.yang_name = "bfentry-items"
                                self.yang_parent_name = "bf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("BfEntry-list", ("bfentry_list", System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList))])
                                self._leafs = OrderedDict()

                                self.bfentry_list = YList(self)
                                self._segment_path = lambda: "bfentry-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems, [], name, value)


                            class BfEntryList(Entity):
                                """
                                
                                
                                .. attribute:: bftype  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bfattr
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bfsgmnt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bfflags
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bfcompressarraysize
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bfposallocated
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bfcomp_items
                                
                                	
                                	**type**\:  :py:class:`BfcompItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList, self).__init__()

                                    self.yang_name = "BfEntry-list"
                                    self.yang_parent_name = "bfentry-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['bftype']
                                    self._child_classes = OrderedDict([("bfcomp-items", ("bfcomp_items", System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems))])
                                    self._leafs = OrderedDict([
                                        ('bftype', (YLeaf(YType.str, 'bfType'), ['str'])),
                                        ('bfattr', (YLeaf(YType.uint32, 'bfAttr'), ['int'])),
                                        ('bfsgmnt', (YLeaf(YType.uint32, 'bfSgmnt'), ['int'])),
                                        ('bfflags', (YLeaf(YType.uint32, 'bfFlags'), ['int'])),
                                        ('bfcompressarraysize', (YLeaf(YType.uint32, 'bfCompressArraySize'), ['int'])),
                                        ('bfposallocated', (YLeaf(YType.uint32, 'bfPosAllocated'), ['int'])),
                                    ])
                                    self.bftype = None
                                    self.bfattr = None
                                    self.bfsgmnt = None
                                    self.bfflags = None
                                    self.bfcompressarraysize = None
                                    self.bfposallocated = None

                                    self.bfcomp_items = System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems()
                                    self.bfcomp_items.parent = self
                                    self._children_name_map["bfcomp_items"] = "bfcomp-items"
                                    self._segment_path = lambda: "BfEntry-list" + "[bfType='" + str(self.bftype) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList, ['bftype', 'bfattr', 'bfsgmnt', 'bfflags', 'bfcompressarraysize', 'bfposallocated'], name, value)


                                class BfcompItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bfcomp_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`BfCompList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems, self).__init__()

                                        self.yang_name = "bfcomp-items"
                                        self.yang_parent_name = "BfEntry-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("BfComp-list", ("bfcomp_list", System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList))])
                                        self._leafs = OrderedDict()

                                        self.bfcomp_list = YList(self)
                                        self._segment_path = lambda: "bfcomp-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems, [], name, value)


                                    class BfCompList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bfidx  (key)
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bfcomptype
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bfbitpos
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList, self).__init__()

                                            self.yang_name = "BfComp-list"
                                            self.yang_parent_name = "bfcomp-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['bfidx']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('bfidx', (YLeaf(YType.uint32, 'bfIdx'), ['int'])),
                                                ('bfcomptype', (YLeaf(YType.str, 'bfCompType'), ['str'])),
                                                ('bfbitpos', (YLeaf(YType.uint32, 'bfBitPos'), ['int'])),
                                            ])
                                            self.bfidx = None
                                            self.bfcomptype = None
                                            self.bfbitpos = None
                                            self._segment_path = lambda: "BfComp-list" + "[bfIdx='" + str(self.bfidx) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList, ['bfidx', 'bfcomptype', 'bfbitpos'], name, value)







                    class EmbedrpItems(Entity):
                        """
                        
                        
                        .. attribute:: embedrp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EmbedRpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems.EmbedRpList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems, self).__init__()

                            self.yang_name = "embedrp-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EmbedRp-list", ("embedrp_list", System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems.EmbedRpList))])
                            self._leafs = OrderedDict()

                            self.embedrp_list = YList(self)
                            self._segment_path = lambda: "embedrp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems, [], name, value)


                        class EmbedRpList(Entity):
                            """
                            
                            
                            .. attribute:: grpaddr  (key)
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rpaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: illegalflag
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: prefix
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: prefixlen
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: grpid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: scope
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: scopestr
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: rpifid
                            
                            	Embed RP's intername id
                            	**type**\: str
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems.EmbedRpList, self).__init__()

                                self.yang_name = "EmbedRp-list"
                                self.yang_parent_name = "embedrp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['grpaddr']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                    ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                    ('illegalflag', (YLeaf(YType.boolean, 'illegalFlag'), ['bool'])),
                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                                    ('prefixlen', (YLeaf(YType.uint32, 'prefixLen'), ['int'])),
                                    ('grpid', (YLeaf(YType.uint32, 'grpId'), ['int'])),
                                    ('scope', (YLeaf(YType.uint32, 'scope'), ['int'])),
                                    ('scopestr', (YLeaf(YType.str, 'scopeStr'), ['str'])),
                                    ('rpifid', (YLeaf(YType.str, 'rpIfId'), ['str'])),
                                ])
                                self.grpaddr = None
                                self.rpaddr = None
                                self.illegalflag = None
                                self.prefix = None
                                self.prefixlen = None
                                self.grpid = None
                                self.scope = None
                                self.scopestr = None
                                self.rpifid = None
                                self._segment_path = lambda: "EmbedRp-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.EmbedrpItems.EmbedRpList, ['grpaddr', 'rpaddr', 'illegalflag', 'prefix', 'prefixlen', 'grpid', 'scope', 'scopestr', 'rpifid'], name, value)




                    class SyslogItems(Entity):
                        """
                        
                        
                        .. attribute:: syslog_list
                        
                        	
                        	**type**\: list of  		 :py:class:`SyslogList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.SyslogItems.SyslogList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DbItems.DbList.SyslogItems, self).__init__()

                            self.yang_name = "syslog-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Syslog-list", ("syslog_list", System.Pim6Items.InstItems.DbItems.DbList.SyslogItems.SyslogList))])
                            self._leafs = OrderedDict()

                            self.syslog_list = YList(self)
                            self._segment_path = lambda: "syslog-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.SyslogItems, [], name, value)


                        class SyslogList(Entity):
                            """
                            
                            
                            .. attribute:: facname  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: defloglvl
                            
                            	Default Syslog filter level
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            	**config**\: False
                            
                            .. attribute:: currloglvl
                            
                            	Current Syslog filter level
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DbItems.DbList.SyslogItems.SyslogList, self).__init__()

                                self.yang_name = "Syslog-list"
                                self.yang_parent_name = "syslog-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['facname']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('facname', (YLeaf(YType.str, 'facName'), ['str'])),
                                    ('defloglvl', (YLeaf(YType.uint16, 'deflogLvl'), ['int'])),
                                    ('currloglvl', (YLeaf(YType.uint16, 'currlogLvl'), ['int'])),
                                ])
                                self.facname = None
                                self.defloglvl = None
                                self.currloglvl = None
                                self._segment_path = lambda: "Syslog-list" + "[facName='" + str(self.facname) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.SyslogItems.SyslogList, ['facname', 'defloglvl', 'currloglvl'], name, value)




                    class VrfItems(Entity):
                        """
                        
                        
                        .. attribute:: vrf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems, self).__init__()

                            self.yang_name = "vrf-items"
                            self.yang_parent_name = "Db-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList))])
                            self._leafs = OrderedDict()

                            self.vrf_list = YList(self)
                            self._segment_path = lambda: "vrf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems, [], name, value)


                        class VrfList(Entity):
                            """
                            
                            
                            .. attribute:: name  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: cid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: tableid
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: pim6enbldintfcount
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bfdenabled
                            
                            	
                            	**type**\: bool
                            
                            	**config**\: False
                            
                            .. attribute:: totalnumroutes
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorp_items
                            
                            	
                            	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: bsr_items
                            
                            	
                            	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: grange_items
                            
                            	
                            	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: group_items
                            
                            	
                            	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: ifrec_items
                            
                            	
                            	**type**\:  :py:class:`IfrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: rp_items
                            
                            	
                            	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: trstats_items
                            
                            	
                            	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.TrstatsItems>`
                            
                            	**config**\: False
                            
                            .. attribute:: vrfdetail_items
                            
                            	
                            	**type**\:  :py:class:`VrfdetailItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList, self).__init__()

                                self.yang_name = "Vrf-list"
                                self.yang_parent_name = "vrf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['name']
                                self._child_classes = OrderedDict([("autorp-items", ("autorp_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems)), ("bsr-items", ("bsr_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems)), ("grange-items", ("grange_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems)), ("group-items", ("group_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems)), ("ifrec-items", ("ifrec_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems)), ("rp-items", ("rp_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems)), ("trstats-items", ("trstats_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.TrstatsItems)), ("vrfdetail-items", ("vrfdetail_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('cid', (YLeaf(YType.uint32, 'cid'), ['int'])),
                                    ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                                    ('pim6enbldintfcount', (YLeaf(YType.uint32, 'pim6EnbldIntfCount'), ['int'])),
                                    ('bfdenabled', (YLeaf(YType.boolean, 'bfdEnabled'), ['bool'])),
                                    ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                                ])
                                self.name = None
                                self.cid = None
                                self.tableid = None
                                self.pim6enbldintfcount = None
                                self.bfdenabled = None
                                self.totalnumroutes = None

                                self.autorp_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems()
                                self.autorp_items.parent = self
                                self._children_name_map["autorp_items"] = "autorp-items"

                                self.bsr_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems()
                                self.bsr_items.parent = self
                                self._children_name_map["bsr_items"] = "bsr-items"

                                self.grange_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems()
                                self.grange_items.parent = self
                                self._children_name_map["grange_items"] = "grange-items"

                                self.group_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems()
                                self.group_items.parent = self
                                self._children_name_map["group_items"] = "group-items"

                                self.ifrec_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems()
                                self.ifrec_items.parent = self
                                self._children_name_map["ifrec_items"] = "ifrec-items"

                                self.rp_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems()
                                self.rp_items.parent = self
                                self._children_name_map["rp_items"] = "rp-items"

                                self.trstats_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.TrstatsItems()
                                self.trstats_items.parent = self
                                self._children_name_map["trstats_items"] = "trstats-items"

                                self.vrfdetail_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems()
                                self.vrfdetail_items.parent = self
                                self._children_name_map["vrfdetail_items"] = "vrfdetail-items"
                                self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList, ['name', 'cid', 'tableid', 'pim6enbldintfcount', 'bfdenabled', 'totalnumroutes'], name, value)


                            class AutorpItems(Entity):
                                """
                                
                                
                                .. attribute:: autorppinfo_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AutoRppInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems, self).__init__()

                                    self.yang_name = "autorp-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AutoRppInfo-list", ("autorppinfo_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList))])
                                    self._leafs = OrderedDict()

                                    self.autorppinfo_list = YList(self)
                                    self._segment_path = lambda: "autorp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems, [], name, value)


                                class AutoRppInfoList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expiry
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: uptime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hashmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList, self).__init__()

                                        self.yang_name = "AutoRppInfo-list"
                                        self.yang_parent_name = "autorp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                            ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.expiry = None
                                        self.uptime = None
                                        self.priority = None
                                        self.hashmasklen = None
                                        self._segment_path = lambda: "AutoRppInfo-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                            class BsrItems(Entity):
                                """
                                
                                
                                .. attribute:: bsrinfo_list
                                
                                	
                                	**type**\: list of  		 :py:class:`BsrInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems, self).__init__()

                                    self.yang_name = "bsr-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("BsrInfo-list", ("bsrinfo_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList))])
                                    self._leafs = OrderedDict()

                                    self.bsrinfo_list = YList(self)
                                    self._segment_path = lambda: "bsr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems, [], name, value)


                                class BsrInfoList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grpaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bsraddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpaddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hash
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hashmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: besthash
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList, self).__init__()

                                        self.yang_name = "BsrInfo-list"
                                        self.yang_parent_name = "bsr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['grpaddr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                            ('bsraddr', (YLeaf(YType.str, 'bsrAddr'), ['str','str'])),
                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                            ('hash', (YLeaf(YType.uint32, 'hash'), ['int'])),
                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                            ('besthash', (YLeaf(YType.boolean, 'bestHash'), ['bool'])),
                                        ])
                                        self.grpaddr = None
                                        self.bsraddr = None
                                        self.rpaddr = None
                                        self.hash = None
                                        self.hashmasklen = None
                                        self.besthash = None
                                        self._segment_path = lambda: "BsrInfo-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList, ['grpaddr', 'bsraddr', 'rpaddr', 'hash', 'hashmasklen', 'besthash'], name, value)




                            class GrangeItems(Entity):
                                """
                                
                                
                                .. attribute:: rpgrange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RpGrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems, self).__init__()

                                    self.yang_name = "grange-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RpGrange-list", ("rpgrange_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList))])
                                    self._leafs = OrderedDict()

                                    self.rpgrange_list = YList(self)
                                    self._segment_path = lambda: "grange-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems, [], name, value)


                                class RpGrangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpaddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: usershared
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList, self).__init__()

                                        self.yang_name = "RpGrange-list"
                                        self.yang_parent_name = "grange-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                            ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                                            ('usershared', (YLeaf(YType.uint32, 'userShared'), ['int'])),
                                        ])
                                        self.addr = None
                                        self.rpaddr = None
                                        self.mode = None
                                        self.usershared = None
                                        self._segment_path = lambda: "RpGrange-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList, ['addr', 'rpaddr', 'mode', 'usershared'], name, value)




                            class GroupItems(Entity):
                                """
                                
                                
                                .. attribute:: group_list
                                
                                	
                                	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems, self).__init__()

                                    self.yang_name = "group-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Group-list", ("group_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList))])
                                    self._leafs = OrderedDict()

                                    self.group_list = YList(self)
                                    self._segment_path = lambda: "group-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems, [], name, value)


                                class GroupList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grpaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grpmasklen
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bidir
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: source_items
                                    
                                    	
                                    	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                        self.yang_name = "Group-list"
                                        self.yang_parent_name = "group-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['grpaddr']
                                        self._child_classes = OrderedDict([("source-items", ("source_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                        self._leafs = OrderedDict([
                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                            ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                        ])
                                        self.grpaddr = None
                                        self.grpmasklen = None
                                        self.bidir = None

                                        self.source_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                        self.source_items.parent = self
                                        self._children_name_map["source_items"] = "source-items"
                                        self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                    class SourceItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: source_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                            self.yang_name = "source-items"
                                            self.yang_parent_name = "Group-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Source-list", ("source_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                            self._leafs = OrderedDict()

                                            self.source_list = YList(self)
                                            self._segment_path = lambda: "source-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                        class SourceList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: srcaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expiryts
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetrics
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: assertmetricprefs
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oifcount
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routeiif
                                            
                                            	Route Incoming Interface
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpfnbr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: routebits
                                            
                                            	RP WC Bit
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rttimeoutinvtl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: jpholdtime
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: oif_items
                                            
                                            	
                                            	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                self.yang_name = "Source-list"
                                                self.yang_parent_name = "source-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['srcaddr']
                                                self._child_classes = OrderedDict([("oif-items", ("oif_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                                self._leafs = OrderedDict([
                                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                    ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                    ('assertmetrics', (YLeaf(YType.uint32, 'assertMetrics'), ['int'])),
                                                    ('assertmetricprefs', (YLeaf(YType.uint32, 'assertMetricPrefs'), ['int'])),
                                                    ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                    ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                    ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                    ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                                    ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                                    ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                                ])
                                                self.srcaddr = None
                                                self.expiryts = None
                                                self.assertmetrics = None
                                                self.assertmetricprefs = None
                                                self.oifcount = None
                                                self.routeiif = None
                                                self.rpfnbr = None
                                                self.routebits = None
                                                self.rttimeoutinvtl = None
                                                self.jpholdtime = None

                                                self.oif_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                                self.oif_items.parent = self
                                                self._children_name_map["oif_items"] = "oif-items"
                                                self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'expiryts', 'assertmetrics', 'assertmetricprefs', 'oifcount', 'routeiif', 'rpfnbr', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)


                                            class OifItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oif_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                    self.yang_name = "oif-items"
                                                    self.yang_parent_name = "Source-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                    self._leafs = OrderedDict()

                                                    self.oif_list = YList(self)
                                                    self._segment_path = lambda: "oif-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                                class OifList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: oifname  (key)
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifuptime
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oifrpf
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: oiflispencapentries
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                        self.yang_name = "Oif-list"
                                                        self.yang_parent_name = "oif-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['oifname']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                            ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                            ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                            ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                        ])
                                                        self.oifname = None
                                                        self.oifuptime = None
                                                        self.oifrpf = None
                                                        self.oiflispencapentries = None
                                                        self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)








                            class IfrecItems(Entity):
                                """
                                
                                
                                .. attribute:: ifrec_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IfRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems, self).__init__()

                                    self.yang_name = "ifrec-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("IfRec-list", ("ifrec_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList))])
                                    self._leafs = OrderedDict()

                                    self.ifrec_list = YList(self)
                                    self._segment_path = lambda: "ifrec-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems, [], name, value)


                                class IfRecList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pim6ifname  (key)
                                    
                                    	Interface Name
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6dr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6drprio
                                    
                                    	Designated Router Priority on the interface
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6nbrholdtime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6genid
                                    
                                    	Generation ID to be sent in Hello Msgs
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6nexthello
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6ipaddr
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6border
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pim6sparsemode
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: adjrec_items
                                    
                                    	
                                    	**type**\:  :py:class:`AdjrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: ifstats_items
                                    
                                    	
                                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList, self).__init__()

                                        self.yang_name = "IfRec-list"
                                        self.yang_parent_name = "ifrec-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['pim6ifname']
                                        self._child_classes = OrderedDict([("adjrec-items", ("adjrec_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems)), ("ifstats-items", ("ifstats_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems))])
                                        self._leafs = OrderedDict([
                                            ('pim6ifname', (YLeaf(YType.str, 'pim6IfName'), ['str'])),
                                            ('pim6dr', (YLeaf(YType.str, 'pim6Dr'), ['str','str'])),
                                            ('pim6drprio', (YLeaf(YType.uint32, 'pim6DrPrio'), ['int'])),
                                            ('pim6nbrholdtime', (YLeaf(YType.uint32, 'pim6NbrHoldTime'), ['int'])),
                                            ('pim6genid', (YLeaf(YType.uint32, 'pim6GenID'), ['int'])),
                                            ('pim6nexthello', (YLeaf(YType.str, 'pim6NextHello'), ['str'])),
                                            ('pim6ipaddr', (YLeaf(YType.str, 'pim6IpAddr'), ['str','str'])),
                                            ('pim6border', (YLeaf(YType.boolean, 'pim6Border'), ['bool'])),
                                            ('pim6sparsemode', (YLeaf(YType.boolean, 'pim6SparseMode'), ['bool'])),
                                        ])
                                        self.pim6ifname = None
                                        self.pim6dr = None
                                        self.pim6drprio = None
                                        self.pim6nbrholdtime = None
                                        self.pim6genid = None
                                        self.pim6nexthello = None
                                        self.pim6ipaddr = None
                                        self.pim6border = None
                                        self.pim6sparsemode = None

                                        self.adjrec_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems()
                                        self.adjrec_items.parent = self
                                        self._children_name_map["adjrec_items"] = "adjrec-items"

                                        self.ifstats_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems()
                                        self.ifstats_items.parent = self
                                        self._children_name_map["ifstats_items"] = "ifstats-items"
                                        self._segment_path = lambda: "IfRec-list" + "[pim6IfName='" + str(self.pim6ifname) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList, ['pim6ifname', 'pim6dr', 'pim6drprio', 'pim6nbrholdtime', 'pim6genid', 'pim6nexthello', 'pim6ipaddr', 'pim6border', 'pim6sparsemode'], name, value)


                                    class AdjrecItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: adjeprec_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`AdjEpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, self).__init__()

                                            self.yang_name = "adjrec-items"
                                            self.yang_parent_name = "IfRec-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("AdjEpRec-list", ("adjeprec_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList))])
                                            self._leafs = OrderedDict()

                                            self.adjeprec_list = YList(self)
                                            self._segment_path = lambda: "adjrec-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, [], name, value)


                                        class AdjEpRecList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: addr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: name
                                            
                                            	Name
                                            	**type**\: str
                                            
                                            	**length:** 1..64
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nbrname
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: drprio
                                            
                                            	DR Priority
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: learntime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: expirytime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: genid
                                            
                                            	Generation ID
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bfdst
                                            
                                            	BFD State
                                            	**type**\:  :py:class:`RtdmcBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: operst
                                            
                                            	Operational State
                                            	**type**\:  :py:class:`RtdmcAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAdjOperSt>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: adjstats_items
                                            
                                            	
                                            	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, self).__init__()

                                                self.yang_name = "AdjEpRec-list"
                                                self.yang_parent_name = "adjrec-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['addr']
                                                self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems))])
                                                self._leafs = OrderedDict([
                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('nbrname', (YLeaf(YType.str, 'nbrName'), ['str'])),
                                                    ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                                    ('learntime', (YLeaf(YType.str, 'learnTime'), ['str'])),
                                                    ('expirytime', (YLeaf(YType.str, 'expiryTime'), ['str'])),
                                                    ('genid', (YLeaf(YType.uint32, 'genId'), ['int'])),
                                                    ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdOperSt', '')])),
                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAdjOperSt', '')])),
                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                ])
                                                self.addr = None
                                                self.name = None
                                                self.nbrname = None
                                                self.drprio = None
                                                self.learntime = None
                                                self.expirytime = None
                                                self.genid = None
                                                self.bfdst = None
                                                self.operst = None
                                                self.flags = None

                                                self.adjstats_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems()
                                                self.adjstats_items.parent = self
                                                self._children_name_map["adjstats_items"] = "adjstats-items"
                                                self._segment_path = lambda: "AdjEpRec-list" + "[addr='" + str(self.addr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, ['addr', 'name', 'nbrname', 'drprio', 'learntime', 'expirytime', 'genid', 'bfdst', 'operst', 'flags'], name, value)


                                            class AdjstatsItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lasthellorcvd
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: longhelloitvl
                                                
                                                	Longest Hello Interval
                                                	**type**\: int
                                                
                                                	**range:** 1..18724286
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: lastholdtime
                                                
                                                	Last Hold Time
                                                	**type**\: int
                                                
                                                	**range:** 0..65535
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nonhelloexpresets
                                                
                                                	Non\-Hello Expiry Timer Resets
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, self).__init__()

                                                    self.yang_name = "adjstats-items"
                                                    self.yang_parent_name = "AdjEpRec-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('lasthellorcvd', (YLeaf(YType.str, 'lastHelloRcvd'), ['str'])),
                                                        ('longhelloitvl', (YLeaf(YType.uint32, 'longHelloItvl'), ['int'])),
                                                        ('lastholdtime', (YLeaf(YType.uint16, 'lastHoldTime'), ['int'])),
                                                        ('nonhelloexpresets', (YLeaf(YType.uint32, 'nonHelloExpResets'), ['int'])),
                                                    ])
                                                    self.lasthellorcvd = None
                                                    self.longhelloitvl = None
                                                    self.lastholdtime = None
                                                    self.nonhelloexpresets = None
                                                    self._segment_path = lambda: "adjstats-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, ['lasthellorcvd', 'longhelloitvl', 'lastholdtime', 'nonhelloexpresets'], name, value)





                                    class IfstatsItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: hellosent
                                        
                                        	number of hello sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: hellorcvd
                                        
                                        	number of hello rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpsent
                                        
                                        	number of JP sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jprcvd
                                        
                                        	number of JP rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: assertsent
                                        
                                        	number of assert sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: assertrcvd
                                        
                                        	number of assert rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: graftssent
                                        
                                        	number of grafts sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: graftsrcvd
                                        
                                        	number of grafts rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grftacksent
                                        
                                        	number of graft ack sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: grftackrcvd
                                        
                                        	number of graft ack rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfoffersent
                                        
                                        	number of DF\-offer sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfofferrcvd
                                        
                                        	number of DF\-offer rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfwinnersent
                                        
                                        	number of DF winner sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfwinnerrcvd
                                        
                                        	number of DF winner rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfbackoffsent
                                        
                                        	number of DF backoff sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfbackoffrcvd
                                        
                                        	number of DF backoff rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfpassessent
                                        
                                        	number of DF Passes sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfpassesrcvd
                                        
                                        	number of DF Passes rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: chksumerr
                                        
                                        	Checksum errors
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: invalidpktsent
                                        
                                        	number of invalid pkt sent
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: invalidpktrcvd
                                        
                                        	number of invalid pkt rcvd
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: authfail
                                        
                                        	number of authentication failures
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktlenerr
                                        
                                        	number of packet length errors
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: badverpkt
                                        
                                        	number of bad version pkts
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktfrmself
                                        
                                        	number of pkts from Self
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktfrmnonnbr
                                        
                                        	packets from Non\-Neighbor
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: pktonpassiveif
                                        
                                        	number of packets on passive interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jprcvdonrpf
                                        
                                        	number of packets rcvd on RPF interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: joinnorp
                                        
                                        	\*,G Join rcvd with no RP
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: joinwrongrp
                                        
                                        	number of packets rcvd on Wrong RP
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpssmrcvd
                                        
                                        	number of packets rcvd for SSM groups
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpbidirrcvd
                                        
                                        	number of packets rcvd for Bidir groups
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpfilterin
                                        
                                        	number of JP filtered by inbound policy 
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpfilterout
                                        
                                        	number of JP filtered by outbound policy 
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, self).__init__()

                                            self.yang_name = "ifstats-items"
                                            self.yang_parent_name = "IfRec-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('hellosent', (YLeaf(YType.uint32, 'helloSent'), ['int'])),
                                                ('hellorcvd', (YLeaf(YType.uint32, 'helloRcvd'), ['int'])),
                                                ('jpsent', (YLeaf(YType.uint32, 'jpSent'), ['int'])),
                                                ('jprcvd', (YLeaf(YType.uint32, 'jpRcvd'), ['int'])),
                                                ('assertsent', (YLeaf(YType.uint32, 'assertSent'), ['int'])),
                                                ('assertrcvd', (YLeaf(YType.uint32, 'assertRcvd'), ['int'])),
                                                ('graftssent', (YLeaf(YType.uint32, 'graftsSent'), ['int'])),
                                                ('graftsrcvd', (YLeaf(YType.uint32, 'graftsRcvd'), ['int'])),
                                                ('grftacksent', (YLeaf(YType.uint32, 'grftAckSent'), ['int'])),
                                                ('grftackrcvd', (YLeaf(YType.uint32, 'grftAckRcvd'), ['int'])),
                                                ('dfoffersent', (YLeaf(YType.uint32, 'dfOfferSent'), ['int'])),
                                                ('dfofferrcvd', (YLeaf(YType.uint32, 'dfOfferRcvd'), ['int'])),
                                                ('dfwinnersent', (YLeaf(YType.uint32, 'dfWinnerSent'), ['int'])),
                                                ('dfwinnerrcvd', (YLeaf(YType.uint32, 'dfWinnerRcvd'), ['int'])),
                                                ('dfbackoffsent', (YLeaf(YType.uint32, 'dfBackoffSent'), ['int'])),
                                                ('dfbackoffrcvd', (YLeaf(YType.uint32, 'dfBackoffRcvd'), ['int'])),
                                                ('dfpassessent', (YLeaf(YType.uint32, 'dfPassesSent'), ['int'])),
                                                ('dfpassesrcvd', (YLeaf(YType.uint32, 'dfPassesRcvd'), ['int'])),
                                                ('chksumerr', (YLeaf(YType.uint32, 'chksumErr'), ['int'])),
                                                ('invalidpktsent', (YLeaf(YType.uint32, 'invalidPktSent'), ['int'])),
                                                ('invalidpktrcvd', (YLeaf(YType.uint32, 'invalidPktRcvd'), ['int'])),
                                                ('authfail', (YLeaf(YType.uint32, 'authFail'), ['int'])),
                                                ('pktlenerr', (YLeaf(YType.uint32, 'pktLenErr'), ['int'])),
                                                ('badverpkt', (YLeaf(YType.uint32, 'badVerPkt'), ['int'])),
                                                ('pktfrmself', (YLeaf(YType.uint32, 'pktFrmSelf'), ['int'])),
                                                ('pktfrmnonnbr', (YLeaf(YType.uint32, 'pktFrmNonNbr'), ['int'])),
                                                ('pktonpassiveif', (YLeaf(YType.uint32, 'pktOnPassiveIf'), ['int'])),
                                                ('jprcvdonrpf', (YLeaf(YType.uint32, 'jpRcvdOnRPF'), ['int'])),
                                                ('joinnorp', (YLeaf(YType.uint32, 'joinNoRP'), ['int'])),
                                                ('joinwrongrp', (YLeaf(YType.uint32, 'joinWrongRp'), ['int'])),
                                                ('jpssmrcvd', (YLeaf(YType.uint32, 'jpSSMRcvd'), ['int'])),
                                                ('jpbidirrcvd', (YLeaf(YType.uint32, 'jpBidirRcvd'), ['int'])),
                                                ('jpfilterin', (YLeaf(YType.uint32, 'jpFilterIn'), ['int'])),
                                                ('jpfilterout', (YLeaf(YType.uint32, 'jpFilterOut'), ['int'])),
                                            ])
                                            self.hellosent = None
                                            self.hellorcvd = None
                                            self.jpsent = None
                                            self.jprcvd = None
                                            self.assertsent = None
                                            self.assertrcvd = None
                                            self.graftssent = None
                                            self.graftsrcvd = None
                                            self.grftacksent = None
                                            self.grftackrcvd = None
                                            self.dfoffersent = None
                                            self.dfofferrcvd = None
                                            self.dfwinnersent = None
                                            self.dfwinnerrcvd = None
                                            self.dfbackoffsent = None
                                            self.dfbackoffrcvd = None
                                            self.dfpassessent = None
                                            self.dfpassesrcvd = None
                                            self.chksumerr = None
                                            self.invalidpktsent = None
                                            self.invalidpktrcvd = None
                                            self.authfail = None
                                            self.pktlenerr = None
                                            self.badverpkt = None
                                            self.pktfrmself = None
                                            self.pktfrmnonnbr = None
                                            self.pktonpassiveif = None
                                            self.jprcvdonrpf = None
                                            self.joinnorp = None
                                            self.joinwrongrp = None
                                            self.jpssmrcvd = None
                                            self.jpbidirrcvd = None
                                            self.jpfilterin = None
                                            self.jpfilterout = None
                                            self._segment_path = lambda: "ifstats-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, ['hellosent', 'hellorcvd', 'jpsent', 'jprcvd', 'assertsent', 'assertrcvd', 'graftssent', 'graftsrcvd', 'grftacksent', 'grftackrcvd', 'dfoffersent', 'dfofferrcvd', 'dfwinnersent', 'dfwinnerrcvd', 'dfbackoffsent', 'dfbackoffrcvd', 'dfpassessent', 'dfpassesrcvd', 'chksumerr', 'invalidpktsent', 'invalidpktrcvd', 'authfail', 'pktlenerr', 'badverpkt', 'pktfrmself', 'pktfrmnonnbr', 'pktonpassiveif', 'jprcvdonrpf', 'joinnorp', 'joinwrongrp', 'jpssmrcvd', 'jpbidirrcvd', 'jpfilterin', 'jpfilterout'], name, value)





                            class RpItems(Entity):
                                """
                                
                                
                                .. attribute:: rpinforec_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RpInfoRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems, self).__init__()

                                    self.yang_name = "rp-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RpInfoRec-list", ("rpinforec_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList))])
                                    self._leafs = OrderedDict()

                                    self.rpinforec_list = YList(self)
                                    self._segment_path = lambda: "rp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems, [], name, value)


                                class RpInfoRecList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpaddr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rplocal
                                    
                                    	
                                    	**type**\: bool
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpuptime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rppriority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpdisctype
                                    
                                    	RP source type
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpdfordinal
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpmetricpref
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpmetric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: rpif_items
                                    
                                    	
                                    	**type**\:  :py:class:`RpifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList, self).__init__()

                                        self.yang_name = "RpInfoRec-list"
                                        self.yang_parent_name = "rp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['rpaddr']
                                        self._child_classes = OrderedDict([("rpif-items", ("rpif_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems))])
                                        self._leafs = OrderedDict([
                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                            ('rplocal', (YLeaf(YType.boolean, 'rpLocal'), ['bool'])),
                                            ('rpuptime', (YLeaf(YType.str, 'rpUptime'), ['str'])),
                                            ('rppriority', (YLeaf(YType.uint32, 'rpPriority'), ['int'])),
                                            ('rpdisctype', (YLeaf(YType.str, 'rpDiscType'), ['str'])),
                                            ('rpdfordinal', (YLeaf(YType.uint32, 'rpDfOrdinal'), ['int'])),
                                            ('rpmetricpref', (YLeaf(YType.uint32, 'rpMetricPref'), ['int'])),
                                            ('rpmetric', (YLeaf(YType.uint32, 'rpMetric'), ['int'])),
                                        ])
                                        self.rpaddr = None
                                        self.rplocal = None
                                        self.rpuptime = None
                                        self.rppriority = None
                                        self.rpdisctype = None
                                        self.rpdfordinal = None
                                        self.rpmetricpref = None
                                        self.rpmetric = None

                                        self.rpif_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems()
                                        self.rpif_items.parent = self
                                        self._children_name_map["rpif_items"] = "rpif-items"
                                        self._segment_path = lambda: "RpInfoRec-list" + "[rpAddr='" + str(self.rpaddr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList, ['rpaddr', 'rplocal', 'rpuptime', 'rppriority', 'rpdisctype', 'rpdfordinal', 'rpmetricpref', 'rpmetric'], name, value)


                                    class RpifItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: rpif_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`RpIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, self).__init__()

                                            self.yang_name = "rpif-items"
                                            self.yang_parent_name = "RpInfoRec-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("RpIf-list", ("rpif_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList))])
                                            self._leafs = OrderedDict()

                                            self.rpif_list = YList(self)
                                            self._segment_path = lambda: "rpif-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, [], name, value)


                                        class RpIfList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ifname  (key)
                                            
                                            	DF Interface Name
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dfwinner
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dfstate
                                            
                                            	Current state of DF
                                            	**type**\:  :py:class:`RtdmcDfStates <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDfStates>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: dfuptime
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: isrpf
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: winnermetricpref
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: winnermetric
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, self).__init__()

                                                self.yang_name = "RpIf-list"
                                                self.yang_parent_name = "rpif-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['ifname']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                                    ('dfwinner', (YLeaf(YType.str, 'dfWinner'), ['str','str'])),
                                                    ('dfstate', (YLeaf(YType.enumeration, 'dfState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDfStates', '')])),
                                                    ('dfuptime', (YLeaf(YType.str, 'dfUptime'), ['str'])),
                                                    ('isrpf', (YLeaf(YType.boolean, 'isRpf'), ['bool'])),
                                                    ('winnermetricpref', (YLeaf(YType.uint32, 'winnerMetricPref'), ['int'])),
                                                    ('winnermetric', (YLeaf(YType.uint32, 'winnerMetric'), ['int'])),
                                                ])
                                                self.ifname = None
                                                self.dfwinner = None
                                                self.dfstate = None
                                                self.dfuptime = None
                                                self.isrpf = None
                                                self.winnermetricpref = None
                                                self.winnermetric = None
                                                self._segment_path = lambda: "RpIf-list" + "[ifName='" + str(self.ifname) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, ['ifname', 'dfwinner', 'dfstate', 'dfuptime', 'isrpf', 'winnermetricpref', 'winnermetric'], name, value)






                            class TrstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: lastclearts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvd
                                
                                	Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregrcvd
                                
                                	Null Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstoprcvd
                                
                                	Reg Stop Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrcvd
                                
                                	Bootstrap received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrprcvd
                                
                                	Candidate RP Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannrcvd
                                
                                	AutoRP Announce Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscrcvd
                                
                                	AutoRP Discovery Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregsent
                                
                                	NULL Register sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstopsent
                                
                                	Register Stop Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bssent
                                
                                	Bootstrap Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpsent
                                
                                	Candidate RP Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannsent
                                
                                	AutoRP Announce Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscsent
                                
                                	AutoRP Discovery Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorprpfsent
                                
                                	AutoRP RPF Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpbrddeny
                                
                                	AutoRP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorrpnolistn
                                
                                	AutoRP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpttlexp
                                
                                	AutoRP TTL Expired
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpinvtype
                                
                                	AutoRP Invalid Type
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnonbr
                                
                                	BS No NBR
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsborddeny
                                
                                	BS Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bslenerr
                                
                                	BS Len Errors
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrpffail
                                
                                	BS RPF Failed
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnolis
                                
                                	BS No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpnolis
                                
                                	Candidate RP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpborddeny
                                
                                	Candidate RP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdnorp
                                
                                	Register Received not RP
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforssm
                                
                                	Register Received Not SSM
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforbd
                                
                                	Register received for Bidir
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: noroute
                                
                                	No Route
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.TrstatsItems, self).__init__()

                                    self.yang_name = "trstats-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                        ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                        ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                        ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                        ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                        ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                        ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                        ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                        ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                        ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                        ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                        ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                        ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                        ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                        ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                        ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                        ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                        ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                        ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                        ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                        ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                        ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                        ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                        ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                        ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                        ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                        ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                        ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                        ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                        ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                                    ])
                                    self.lastclearts = None
                                    self.regrcvd = None
                                    self.nullregrcvd = None
                                    self.regstoprcvd = None
                                    self.bsrcvd = None
                                    self.candrprcvd = None
                                    self.autorpannrcvd = None
                                    self.autorpdiscrcvd = None
                                    self.nullregsent = None
                                    self.regstopsent = None
                                    self.bssent = None
                                    self.candrpsent = None
                                    self.autorpannsent = None
                                    self.autorpdiscsent = None
                                    self.autorprpfsent = None
                                    self.autorpbrddeny = None
                                    self.autorrpnolistn = None
                                    self.autorpttlexp = None
                                    self.autorpinvtype = None
                                    self.bsnonbr = None
                                    self.bsborddeny = None
                                    self.bslenerr = None
                                    self.bsrpffail = None
                                    self.bsnolis = None
                                    self.candrpnolis = None
                                    self.candrpborddeny = None
                                    self.regrcvdnorp = None
                                    self.regrcvdforssm = None
                                    self.regrcvdforbd = None
                                    self.noroute = None
                                    self._segment_path = lambda: "trstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)



                            class VrfdetailItems(Entity):
                                """
                                
                                
                                .. attribute:: stlmt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: availstlmt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rsvlmt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: availrsvlmt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: rsvpolname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: regratelmt
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                	**config**\: False
                                
                                .. attribute:: sharedtrpolname
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: grange_items
                                
                                	
                                	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems, self).__init__()

                                    self.yang_name = "vrfdetail-items"
                                    self.yang_parent_name = "Vrf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("grange-items", ("grange_items", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems))])
                                    self._leafs = OrderedDict([
                                        ('stlmt', (YLeaf(YType.uint64, 'stLmt'), ['int'])),
                                        ('availstlmt', (YLeaf(YType.uint64, 'availStLmt'), ['int'])),
                                        ('rsvlmt', (YLeaf(YType.uint64, 'rsvLmt'), ['int'])),
                                        ('availrsvlmt', (YLeaf(YType.uint64, 'availRsvLmt'), ['int'])),
                                        ('rsvpolname', (YLeaf(YType.str, 'rsvPolName'), ['str'])),
                                        ('regratelmt', (YLeaf(YType.uint64, 'regRateLmt'), ['int'])),
                                        ('sharedtrpolname', (YLeaf(YType.str, 'sharedTrPolName'), ['str'])),
                                    ])
                                    self.stlmt = None
                                    self.availstlmt = None
                                    self.rsvlmt = None
                                    self.availrsvlmt = None
                                    self.rsvpolname = None
                                    self.regratelmt = None
                                    self.sharedtrpolname = None

                                    self.grange_items = System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems()
                                    self.grange_items.parent = self
                                    self._children_name_map["grange_items"] = "grange-items"
                                    self._segment_path = lambda: "vrfdetail-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems, ['stlmt', 'availstlmt', 'rsvlmt', 'availrsvlmt', 'rsvpolname', 'regratelmt', 'sharedtrpolname'], name, value)


                                class GrangeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: sharedrouterange_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`SharedRouteRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems, self).__init__()

                                        self.yang_name = "grange-items"
                                        self.yang_parent_name = "vrfdetail-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("SharedRouteRange-list", ("sharedrouterange_list", System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList))])
                                        self._leafs = OrderedDict()

                                        self.sharedrouterange_list = YList(self)
                                        self._segment_path = lambda: "grange-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems, [], name, value)


                                    class SharedRouteRangeList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: grangeip  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, self).__init__()

                                            self.yang_name = "SharedRouteRange-list"
                                            self.yang_parent_name = "grange-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['grangeip']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('grangeip', (YLeaf(YType.str, 'grangeIp'), ['str','str'])),
                                            ])
                                            self.grangeip = None
                                            self._segment_path = lambda: "SharedRouteRange-list" + "[grangeIp='" + str(self.grangeip) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, ['grangeip'], name, value)









            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Pim6Items.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.Pim6Items.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Pim6Items.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: ctrl
                    
                    	Domain Controls
                    	**type**\: str
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1500..65536
                    
                    .. attribute:: autoenable
                    
                    	Auto Enable
                    	**type**\: bool
                    
                    .. attribute:: lognbhchng
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: flushroutes
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: jpdelay
                    
                    	Join\-Prune message inter\-packet delay
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: regratelmt
                    
                    	Register rate limit for data packets per second
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: acastrpfunc_items
                    
                    	
                    	**type**\:  :py:class:`AcastrpfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems>`
                    
                    .. attribute:: bsr_items
                    
                    	
                    	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems>`
                    
                    .. attribute:: eventhist_items
                    
                    	
                    	**type**\:  :py:class:`EventhistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.EventhistItems>`
                    
                    .. attribute:: if_items
                    
                    	
                    	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems>`
                    
                    .. attribute:: limit_items
                    
                    	
                    	**type**\:  :py:class:`LimitItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.LimitItems>`
                    
                    .. attribute:: asm_items
                    
                    	
                    	**type**\:  :py:class:`AsmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AsmItems>`
                    
                    .. attribute:: ssm_items
                    
                    	
                    	**type**\:  :py:class:`SsmItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.SsmItems>`
                    
                    .. attribute:: bidir_items
                    
                    	
                    	**type**\:  :py:class:`BidirItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BidirItems>`
                    
                    .. attribute:: staticrp_items
                    
                    	
                    	**type**\:  :py:class:`StaticrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Pim6Items.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("acastrpfunc-items", ("acastrpfunc_items", System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems)), ("bsr-items", ("bsr_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems)), ("eventhist-items", ("eventhist_items", System.Pim6Items.InstItems.DomItems.DomList.EventhistItems)), ("if-items", ("if_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems)), ("limit-items", ("limit_items", System.Pim6Items.InstItems.DomItems.DomList.LimitItems)), ("asm-items", ("asm_items", System.Pim6Items.InstItems.DomItems.DomList.AsmItems)), ("ssm-items", ("ssm_items", System.Pim6Items.InstItems.DomItems.DomList.SsmItems)), ("bidir-items", ("bidir_items", System.Pim6Items.InstItems.DomItems.DomList.BidirItems)), ("staticrp-items", ("staticrp_items", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                            ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                            ('autoenable', (YLeaf(YType.boolean, 'autoEnable'), ['bool'])),
                            ('lognbhchng', (YLeaf(YType.boolean, 'logNbhChng'), ['bool'])),
                            ('flushroutes', (YLeaf(YType.boolean, 'flushRoutes'), ['bool'])),
                            ('bfd', (YLeaf(YType.boolean, 'bfd'), ['bool'])),
                            ('jpdelay', (YLeaf(YType.uint32, 'jpDelay'), ['int'])),
                            ('regratelmt', (YLeaf(YType.uint32, 'regRateLmt'), ['int'])),
                        ])
                        self.name = None
                        self.adminst = None
                        self.ctrl = None
                        self.mtu = None
                        self.autoenable = None
                        self.lognbhchng = None
                        self.flushroutes = None
                        self.bfd = None
                        self.jpdelay = None
                        self.regratelmt = None

                        self.acastrpfunc_items = System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems()
                        self.acastrpfunc_items.parent = self
                        self._children_name_map["acastrpfunc_items"] = "acastrpfunc-items"

                        self.bsr_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems()
                        self.bsr_items.parent = self
                        self._children_name_map["bsr_items"] = "bsr-items"

                        self.eventhist_items = System.Pim6Items.InstItems.DomItems.DomList.EventhistItems()
                        self.eventhist_items.parent = self
                        self._children_name_map["eventhist_items"] = "eventhist-items"

                        self.if_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems()
                        self.if_items.parent = self
                        self._children_name_map["if_items"] = "if-items"

                        self.limit_items = System.Pim6Items.InstItems.DomItems.DomList.LimitItems()
                        self.limit_items.parent = self
                        self._children_name_map["limit_items"] = "limit-items"

                        self.asm_items = System.Pim6Items.InstItems.DomItems.DomList.AsmItems()
                        self.asm_items.parent = self
                        self._children_name_map["asm_items"] = "asm-items"

                        self.ssm_items = System.Pim6Items.InstItems.DomItems.DomList.SsmItems()
                        self.ssm_items.parent = self
                        self._children_name_map["ssm_items"] = "ssm-items"

                        self.bidir_items = System.Pim6Items.InstItems.DomItems.DomList.BidirItems()
                        self.bidir_items.parent = self
                        self._children_name_map["bidir_items"] = "bidir-items"

                        self.staticrp_items = System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems()
                        self.staticrp_items.parent = self
                        self._children_name_map["staticrp_items"] = "staticrp-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList, ['name', 'adminst', 'ctrl', 'mtu', 'autoenable', 'lognbhchng', 'flushroutes', 'bfd', 'jpdelay', 'regratelmt'], name, value)


                    class AcastrpfuncItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: srcif
                        
                        	Source Interface
                        	**type**\: str
                        
                        .. attribute:: localif
                        
                        	Local Interface
                        	**type**\: str
                        
                        .. attribute:: peer_items
                        
                        	
                        	**type**\:  :py:class:`PeerItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems, self).__init__()

                            self.yang_name = "acastrpfunc-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("peer-items", ("peer_items", System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                ('localif', (YLeaf(YType.str, 'localIf'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.srcif = None
                            self.localif = None

                            self.peer_items = System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems()
                            self.peer_items.parent = self
                            self._children_name_map["peer_items"] = "peer-items"
                            self._segment_path = lambda: "acastrpfunc-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems, ['name', 'descr', 'srcif', 'localif'], name, value)


                        class PeerItems(Entity):
                            """
                            
                            
                            .. attribute:: acastrppeer_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AcastRpPeerList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRpPeerList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems, self).__init__()

                                self.yang_name = "peer-items"
                                self.yang_parent_name = "acastrpfunc-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AcastRpPeer-list", ("acastrppeer_list", System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRpPeerList))])
                                self._leafs = OrderedDict()

                                self.acastrppeer_list = YList(self)
                                self._segment_path = lambda: "peer-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems, [], name, value)


                            class AcastRpPeerList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: rpsetaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRpPeerList, self).__init__()

                                    self.yang_name = "AcastRpPeer-list"
                                    self.yang_parent_name = "peer-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr','rpsetaddr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('rpsetaddr', (YLeaf(YType.str, 'rpSetAddr'), ['str','str'])),
                                    ])
                                    self.addr = None
                                    self.rpsetaddr = None
                                    self._segment_path = lambda: "AcastRpPeer-list" + "[addr='" + str(self.addr) + "']" + "[rpSetAddr='" + str(self.rpsetaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AcastrpfuncItems.PeerItems.AcastRpPeerList, ['addr', 'rpsetaddr'], name, value)





                    class BsrItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ctrl
                        
                        	Control
                        	**type**\: str
                        
                        .. attribute:: rpfilter_items
                        
                        	
                        	**type**\:  :py:class:`RpfilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfilterItems>`
                        
                        .. attribute:: bsrfilter_items
                        
                        	
                        	**type**\:  :py:class:`BsrfilterItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfilterItems>`
                        
                        .. attribute:: rpfunc_items
                        
                        	
                        	**type**\:  :py:class:`RpfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems>`
                        
                        .. attribute:: bsrfunc_items
                        
                        	
                        	**type**\:  :py:class:`BsrfuncItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfuncItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems, self).__init__()

                            self.yang_name = "bsr-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rpfilter-items", ("rpfilter_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfilterItems)), ("bsrfilter-items", ("bsrfilter_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfilterItems)), ("rpfunc-items", ("rpfunc_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems)), ("bsrfunc-items", ("bsrfunc_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfuncItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ctrl = None

                            self.rpfilter_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfilterItems()
                            self.rpfilter_items.parent = self
                            self._children_name_map["rpfilter_items"] = "rpfilter-items"

                            self.bsrfilter_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfilterItems()
                            self.bsrfilter_items.parent = self
                            self._children_name_map["bsrfilter_items"] = "bsrfilter-items"

                            self.rpfunc_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems()
                            self.rpfunc_items.parent = self
                            self._children_name_map["rpfunc_items"] = "rpfunc-items"

                            self.bsrfunc_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfuncItems()
                            self.bsrfunc_items.parent = self
                            self._children_name_map["bsrfunc_items"] = "bsrfunc-items"
                            self._segment_path = lambda: "bsr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems, ['name', 'descr', 'ctrl'], name, value)


                        class RpfilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfilterItems, self).__init__()

                                self.yang_name = "rpfilter-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "rpfilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class BsrfilterItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfilterItems, self).__init__()

                                self.yang_name = "bsrfilter-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.rtmap = None
                                self._segment_path = lambda: "bsrfilter-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfilterItems, ['name', 'descr', 'rtmap'], name, value)



                        class RpfuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: prio
                            
                            	Priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: interval
                            
                            	Interval
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: scope
                            
                            	Scope
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: usesendrpanncommand
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: range_items
                            
                            	
                            	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems, self).__init__()

                                self.yang_name = "rpfunc-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("range-items", ("range_items", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems))])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                                    ('scope', (YLeaf(YType.uint16, 'scope'), ['int'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('usesendrpanncommand', (YLeaf(YType.boolean, 'useSendRPAnnCommand'), ['bool'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.prio = None
                                self.interval = None
                                self.scope = None
                                self.addr = None
                                self.usesendrpanncommand = None

                                self.range_items = System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems()
                                self.range_items.parent = self
                                self._children_name_map["range_items"] = "range-items"
                                self._segment_path = lambda: "rpfunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems, ['name', 'descr', 'srcif', 'prio', 'interval', 'scope', 'addr', 'usesendrpanncommand'], name, value)


                            class RangeItems(Entity):
                                """
                                
                                
                                .. attribute:: rpgrprange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RpGrpRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RpGrpRangeList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems, self).__init__()

                                    self.yang_name = "range-items"
                                    self.yang_parent_name = "rpfunc-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RpGrpRange-list", ("rpgrprange_list", System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RpGrpRangeList))])
                                    self._leafs = OrderedDict()

                                    self.rpgrprange_list = YList(self)
                                    self._segment_path = lambda: "range-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems, [], name, value)


                                class RpGrpRangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bidir  (key)
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: override
                                    
                                    	
                                    	**type**\: bool
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: grplist
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist1
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist2
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: grplist3
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: ssmnone
                                    
                                    	
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RpGrpRangeList, self).__init__()

                                        self.yang_name = "RpGrpRange-list"
                                        self.yang_parent_name = "range-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['bidir']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                            ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                            ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                            ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                            ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                            ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                            ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                        ])
                                        self.bidir = None
                                        self.override = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.grplist = None
                                        self.grplist1 = None
                                        self.grplist2 = None
                                        self.grplist3 = None
                                        self.ssmnone = None
                                        self._segment_path = lambda: "RpGrpRange-list" + "[bidir='" + str(self.bidir) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.RpfuncItems.RangeItems.RpGrpRangeList, ['bidir', 'override', 'rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)





                        class BsrfuncItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: hashlen
                            
                            	Hash Mask Len
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: prio
                            
                            	Priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: interval
                            
                            	Interval
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfuncItems, self).__init__()

                                self.yang_name = "bsrfunc-items"
                                self.yang_parent_name = "bsr-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('hashlen', (YLeaf(YType.uint16, 'hashLen'), ['int'])),
                                    ('prio', (YLeaf(YType.uint16, 'prio'), ['int'])),
                                    ('interval', (YLeaf(YType.uint16, 'interval'), ['int'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.srcif = None
                                self.hashlen = None
                                self.prio = None
                                self.interval = None
                                self._segment_path = lambda: "bsrfunc-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BsrItems.BsrfuncItems, ['name', 'descr', 'srcif', 'hashlen', 'prio', 'interval'], name, value)




                    class EventhistItems(Entity):
                        """
                        
                        
                        .. attribute:: eventhistory_list
                        
                        	
                        	**type**\: list of  		 :py:class:`EventHistoryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.EventhistItems.EventHistoryList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.EventhistItems, self).__init__()

                            self.yang_name = "eventhist-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("EventHistory-list", ("eventhistory_list", System.Pim6Items.InstItems.DomItems.DomList.EventhistItems.EventHistoryList))])
                            self._leafs = OrderedDict()

                            self.eventhistory_list = YList(self)
                            self._segment_path = lambda: "eventhist-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.EventhistItems, [], name, value)


                        class EventHistoryList(Entity):
                            """
                            
                            
                            .. attribute:: type  (key)
                            
                            	configures type of event history
                            	**type**\:  :py:class:`Pim6EhType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Pim6EhType>`
                            
                            .. attribute:: size
                            
                            	configures buffer size in text/kb
                            	**type**\: int
                            
                            	**range:** 0..4 \| 5..4294967295
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.EventhistItems.EventHistoryList, self).__init__()

                                self.yang_name = "EventHistory-list"
                                self.yang_parent_name = "eventhist-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['type']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Pim6EhType', '')])),
                                    ('size', (YLeaf(YType.uint32, 'size'), ['int'])),
                                ])
                                self.type = None
                                self.size = None
                                self._segment_path = lambda: "EventHistory-list" + "[type='" + str(self.type) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.EventhistItems.EventHistoryList, ['type', 'size'], name, value)




                    class IfItems(Entity):
                        """
                        
                        
                        .. attribute:: if_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems, self).__init__()

                            self.yang_name = "if-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("If-list", ("if_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList))])
                            self._leafs = OrderedDict()

                            self.if_list = YList(self)
                            self._segment_path = lambda: "if-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems, [], name, value)


                        class IfList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	Interface ID
                            	**type**\: str
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..1024
                            
                            .. attribute:: adminst
                            
                            	Admin State
                            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                            
                            .. attribute:: ctrl
                            
                            	Controls
                            	**type**\: str
                            
                            .. attribute:: dr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: nbrholdtime
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: genid
                            
                            	Generation ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: nexthello
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ipaddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: ifname
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: drprio
                            
                            	Designated Router Priority
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: drdelay
                            
                            	Designated Router Delay
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: jprtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: neighrtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: neighpfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: border
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: passive
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: rteppdn
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: bfdinst
                            
                            	BFD Instance
                            	**type**\:  :py:class:`RtdmcBfdInstSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdInstSt>`
                            
                            .. attribute:: pimsparsemode
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: adj_items
                            
                            	
                            	**type**\:  :py:class:`AdjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems>`
                            
                            .. attribute:: db_items
                            
                            	
                            	**type**\:  :py:class:`DbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems>`
                            
                            .. attribute:: jp_items
                            
                            	
                            	**type**\:  :py:class:`JpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems>`
                            
                            .. attribute:: hello_items
                            
                            	
                            	**type**\:  :py:class:`HelloItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.HelloItems>`
                            
                            .. attribute:: trstats_items
                            
                            	
                            	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems>`
                            
                            .. attribute:: rtvrfmbr_items
                            
                            	
                            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems>`
                            
                            .. attribute:: rtnwpathtoif_items
                            
                            	
                            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList, self).__init__()

                                self.yang_name = "If-list"
                                self.yang_parent_name = "if-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("adj-items", ("adj_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems)), ("db-items", ("db_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems)), ("jp-items", ("jp_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems)), ("hello-items", ("hello_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.HelloItems)), ("trstats-items", ("trstats_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                    ('dr', (YLeaf(YType.str, 'dr'), ['str','str'])),
                                    ('nbrholdtime', (YLeaf(YType.uint32, 'nbrHoldTime'), ['int'])),
                                    ('genid', (YLeaf(YType.uint32, 'genID'), ['int'])),
                                    ('nexthello', (YLeaf(YType.str, 'nextHello'), ['str'])),
                                    ('ipaddr', (YLeaf(YType.str, 'ipAddr'), ['str','str'])),
                                    ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                    ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                    ('drdelay', (YLeaf(YType.uint16, 'drDelay'), ['int'])),
                                    ('jprtmap', (YLeaf(YType.str, 'jpRtMap'), ['str'])),
                                    ('neighrtmap', (YLeaf(YType.str, 'neighRtMap'), ['str'])),
                                    ('neighpfxlist', (YLeaf(YType.str, 'neighpfxList'), ['str'])),
                                    ('border', (YLeaf(YType.boolean, 'border'), ['bool'])),
                                    ('passive', (YLeaf(YType.boolean, 'passive'), ['bool'])),
                                    ('rteppdn', (YLeaf(YType.str, 'rtEpPDn'), ['str'])),
                                    ('bfdinst', (YLeaf(YType.enumeration, 'bfdInst'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdInstSt', '')])),
                                    ('pimsparsemode', (YLeaf(YType.boolean, 'pimSparseMode'), ['bool'])),
                                ])
                                self.id = None
                                self.name = None
                                self.descr = None
                                self.adminst = None
                                self.ctrl = None
                                self.dr = None
                                self.nbrholdtime = None
                                self.genid = None
                                self.nexthello = None
                                self.ipaddr = None
                                self.ifname = None
                                self.drprio = None
                                self.drdelay = None
                                self.jprtmap = None
                                self.neighrtmap = None
                                self.neighpfxlist = None
                                self.border = None
                                self.passive = None
                                self.rteppdn = None
                                self.bfdinst = None
                                self.pimsparsemode = None

                                self.adj_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems()
                                self.adj_items.parent = self
                                self._children_name_map["adj_items"] = "adj-items"

                                self.db_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems()
                                self.db_items.parent = self
                                self._children_name_map["db_items"] = "db-items"

                                self.jp_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems()
                                self.jp_items.parent = self
                                self._children_name_map["jp_items"] = "jp-items"

                                self.hello_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.HelloItems()
                                self.hello_items.parent = self
                                self._children_name_map["hello_items"] = "hello-items"

                                self.trstats_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems()
                                self.trstats_items.parent = self
                                self._children_name_map["trstats_items"] = "trstats-items"

                                self.rtvrfmbr_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems()
                                self.rtvrfmbr_items.parent = self
                                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                                self.rtnwpathtoif_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems()
                                self.rtnwpathtoif_items.parent = self
                                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                                self._segment_path = lambda: "If-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList, ['id', 'name', 'descr', 'adminst', 'ctrl', 'dr', 'nbrholdtime', 'genid', 'nexthello', 'ipaddr', 'ifname', 'drprio', 'drdelay', 'jprtmap', 'neighrtmap', 'neighpfxlist', 'border', 'passive', 'rteppdn', 'bfdinst', 'pimsparsemode'], name, value)


                            class AdjItems(Entity):
                                """
                                
                                
                                .. attribute:: adjep_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AdjEpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems, self).__init__()

                                    self.yang_name = "adj-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("AdjEp-list", ("adjep_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList))])
                                    self._leafs = OrderedDict()

                                    self.adjep_list = YList(self)
                                    self._segment_path = lambda: "adj-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems, [], name, value)


                                class AdjEpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    .. attribute:: nbrname
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: drprio
                                    
                                    	DR Priority
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: learntime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: expirytime
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: genid
                                    
                                    	Generation ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bfdst
                                    
                                    	BFD State
                                    	**type**\:  :py:class:`RtdmcBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: operst
                                    
                                    	Operational State
                                    	**type**\:  :py:class:`RtdmcAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAdjOperSt>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: flags
                                    
                                    	Flags
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, self).__init__()

                                        self.yang_name = "AdjEp-list"
                                        self.yang_parent_name = "adj-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('nbrname', (YLeaf(YType.str, 'nbrName'), ['str'])),
                                            ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                            ('learntime', (YLeaf(YType.str, 'learnTime'), ['str'])),
                                            ('expirytime', (YLeaf(YType.str, 'expiryTime'), ['str'])),
                                            ('genid', (YLeaf(YType.uint32, 'genId'), ['int'])),
                                            ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdOperSt', '')])),
                                            ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAdjOperSt', '')])),
                                            ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                        ])
                                        self.addr = None
                                        self.name = None
                                        self.nbrname = None
                                        self.drprio = None
                                        self.learntime = None
                                        self.expirytime = None
                                        self.genid = None
                                        self.bfdst = None
                                        self.operst = None
                                        self.flags = None
                                        self._segment_path = lambda: "AdjEp-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.AdjItems.AdjEpList, ['addr', 'name', 'nbrname', 'drprio', 'learntime', 'expirytime', 'genid', 'bfdst', 'operst', 'flags'], name, value)




                            class DbItems(Entity):
                                """
                                
                                
                                .. attribute:: db_list
                                
                                	
                                	**type**\: list of  		 :py:class:`DbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems, self).__init__()

                                    self.yang_name = "db-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Db-list", ("db_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList))])
                                    self._leafs = OrderedDict()

                                    self.db_list = YList(self)
                                    self._segment_path = lambda: "db-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems, [], name, value)


                                class DbList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Type
                                    	**type**\:  :py:class:`RtdmcDbT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDbT>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 1..64
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: bf_items
                                    
                                    	
                                    	**type**\:  :py:class:`BfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: embedrp_items
                                    
                                    	
                                    	**type**\:  :py:class:`EmbedrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: syslog_items
                                    
                                    	
                                    	**type**\:  :py:class:`SyslogItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems>`
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: vrf_items
                                    
                                    	
                                    	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList, self).__init__()

                                        self.yang_name = "Db-list"
                                        self.yang_parent_name = "db-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("bf-items", ("bf_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems)), ("embedrp-items", ("embedrp_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems)), ("syslog-items", ("syslog_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems)), ("vrf-items", ("vrf_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDbT', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.type = None
                                        self.name = None

                                        self.bf_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems()
                                        self.bf_items.parent = self
                                        self._children_name_map["bf_items"] = "bf-items"

                                        self.embedrp_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems()
                                        self.embedrp_items.parent = self
                                        self._children_name_map["embedrp_items"] = "embedrp-items"

                                        self.syslog_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems()
                                        self.syslog_items.parent = self
                                        self._children_name_map["syslog_items"] = "syslog-items"

                                        self.vrf_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems()
                                        self.vrf_items.parent = self
                                        self._children_name_map["vrf_items"] = "vrf-items"
                                        self._segment_path = lambda: "Db-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList, ['type', 'name'], name, value)


                                    class BfItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bfentry_items
                                        
                                        	
                                        	**type**\:  :py:class:`BfentryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems, self).__init__()

                                            self.yang_name = "bf-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("bfentry-items", ("bfentry_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems))])
                                            self._leafs = OrderedDict()

                                            self.bfentry_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems()
                                            self.bfentry_items.parent = self
                                            self._children_name_map["bfentry_items"] = "bfentry-items"
                                            self._segment_path = lambda: "bf-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems, [], name, value)


                                        class BfentryItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: bfentry_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BfEntryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems, self).__init__()

                                                self.yang_name = "bfentry-items"
                                                self.yang_parent_name = "bf-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("BfEntry-list", ("bfentry_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList))])
                                                self._leafs = OrderedDict()

                                                self.bfentry_list = YList(self)
                                                self._segment_path = lambda: "bfentry-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems, [], name, value)


                                            class BfEntryList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: bftype  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfattr
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfsgmnt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfflags
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfcompressarraysize
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfposallocated
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bfcomp_items
                                                
                                                	
                                                	**type**\:  :py:class:`BfcompItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList, self).__init__()

                                                    self.yang_name = "BfEntry-list"
                                                    self.yang_parent_name = "bfentry-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['bftype']
                                                    self._child_classes = OrderedDict([("bfcomp-items", ("bfcomp_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems))])
                                                    self._leafs = OrderedDict([
                                                        ('bftype', (YLeaf(YType.str, 'bfType'), ['str'])),
                                                        ('bfattr', (YLeaf(YType.uint32, 'bfAttr'), ['int'])),
                                                        ('bfsgmnt', (YLeaf(YType.uint32, 'bfSgmnt'), ['int'])),
                                                        ('bfflags', (YLeaf(YType.uint32, 'bfFlags'), ['int'])),
                                                        ('bfcompressarraysize', (YLeaf(YType.uint32, 'bfCompressArraySize'), ['int'])),
                                                        ('bfposallocated', (YLeaf(YType.uint32, 'bfPosAllocated'), ['int'])),
                                                    ])
                                                    self.bftype = None
                                                    self.bfattr = None
                                                    self.bfsgmnt = None
                                                    self.bfflags = None
                                                    self.bfcompressarraysize = None
                                                    self.bfposallocated = None

                                                    self.bfcomp_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems()
                                                    self.bfcomp_items.parent = self
                                                    self._children_name_map["bfcomp_items"] = "bfcomp-items"
                                                    self._segment_path = lambda: "BfEntry-list" + "[bfType='" + str(self.bftype) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList, ['bftype', 'bfattr', 'bfsgmnt', 'bfflags', 'bfcompressarraysize', 'bfposallocated'], name, value)


                                                class BfcompItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: bfcomp_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BfCompList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems, self).__init__()

                                                        self.yang_name = "bfcomp-items"
                                                        self.yang_parent_name = "BfEntry-list"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("BfComp-list", ("bfcomp_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList))])
                                                        self._leafs = OrderedDict()

                                                        self.bfcomp_list = YList(self)
                                                        self._segment_path = lambda: "bfcomp-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems, [], name, value)


                                                    class BfCompList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: bfidx  (key)
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: bfcomptype
                                                        
                                                        	
                                                        	**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: bfbitpos
                                                        
                                                        	
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList, self).__init__()

                                                            self.yang_name = "BfComp-list"
                                                            self.yang_parent_name = "bfcomp-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['bfidx']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('bfidx', (YLeaf(YType.uint32, 'bfIdx'), ['int'])),
                                                                ('bfcomptype', (YLeaf(YType.str, 'bfCompType'), ['str'])),
                                                                ('bfbitpos', (YLeaf(YType.uint32, 'bfBitPos'), ['int'])),
                                                            ])
                                                            self.bfidx = None
                                                            self.bfcomptype = None
                                                            self.bfbitpos = None
                                                            self._segment_path = lambda: "BfComp-list" + "[bfIdx='" + str(self.bfidx) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.BfItems.BfentryItems.BfEntryList.BfcompItems.BfCompList, ['bfidx', 'bfcomptype', 'bfbitpos'], name, value)







                                    class EmbedrpItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: embedrp_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EmbedRpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems.EmbedRpList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems, self).__init__()

                                            self.yang_name = "embedrp-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("EmbedRp-list", ("embedrp_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems.EmbedRpList))])
                                            self._leafs = OrderedDict()

                                            self.embedrp_list = YList(self)
                                            self._segment_path = lambda: "embedrp-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems, [], name, value)


                                        class EmbedRpList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: grpaddr  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpaddr
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: illegalflag
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: prefix
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: prefixlen
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: grpid
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: scope
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: scopestr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rpifid
                                            
                                            	Embed RP's intername id
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems.EmbedRpList, self).__init__()

                                                self.yang_name = "EmbedRp-list"
                                                self.yang_parent_name = "embedrp-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['grpaddr']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                                    ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                                    ('illegalflag', (YLeaf(YType.boolean, 'illegalFlag'), ['bool'])),
                                                    ('prefix', (YLeaf(YType.str, 'prefix'), ['str'])),
                                                    ('prefixlen', (YLeaf(YType.uint32, 'prefixLen'), ['int'])),
                                                    ('grpid', (YLeaf(YType.uint32, 'grpId'), ['int'])),
                                                    ('scope', (YLeaf(YType.uint32, 'scope'), ['int'])),
                                                    ('scopestr', (YLeaf(YType.str, 'scopeStr'), ['str'])),
                                                    ('rpifid', (YLeaf(YType.str, 'rpIfId'), ['str'])),
                                                ])
                                                self.grpaddr = None
                                                self.rpaddr = None
                                                self.illegalflag = None
                                                self.prefix = None
                                                self.prefixlen = None
                                                self.grpid = None
                                                self.scope = None
                                                self.scopestr = None
                                                self.rpifid = None
                                                self._segment_path = lambda: "EmbedRp-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.EmbedrpItems.EmbedRpList, ['grpaddr', 'rpaddr', 'illegalflag', 'prefix', 'prefixlen', 'grpid', 'scope', 'scopestr', 'rpifid'], name, value)




                                    class SyslogItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: syslog_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`SyslogList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems.SyslogList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems, self).__init__()

                                            self.yang_name = "syslog-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Syslog-list", ("syslog_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems.SyslogList))])
                                            self._leafs = OrderedDict()

                                            self.syslog_list = YList(self)
                                            self._segment_path = lambda: "syslog-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems, [], name, value)


                                        class SyslogList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: facname  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: defloglvl
                                            
                                            	Default Syslog filter level
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: currloglvl
                                            
                                            	Current Syslog filter level
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems.SyslogList, self).__init__()

                                                self.yang_name = "Syslog-list"
                                                self.yang_parent_name = "syslog-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['facname']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('facname', (YLeaf(YType.str, 'facName'), ['str'])),
                                                    ('defloglvl', (YLeaf(YType.uint16, 'deflogLvl'), ['int'])),
                                                    ('currloglvl', (YLeaf(YType.uint16, 'currlogLvl'), ['int'])),
                                                ])
                                                self.facname = None
                                                self.defloglvl = None
                                                self.currloglvl = None
                                                self._segment_path = lambda: "Syslog-list" + "[facName='" + str(self.facname) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.SyslogItems.SyslogList, ['facname', 'defloglvl', 'currloglvl'], name, value)




                                    class VrfItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vrf_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems, self).__init__()

                                            self.yang_name = "vrf-items"
                                            self.yang_parent_name = "Db-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList))])
                                            self._leafs = OrderedDict()

                                            self.vrf_list = YList(self)
                                            self._segment_path = lambda: "vrf-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems, [], name, value)


                                        class VrfList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  (key)
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: cid
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: tableid
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: pim6enbldintfcount
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bfdenabled
                                            
                                            	
                                            	**type**\: bool
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: totalnumroutes
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: autorp_items
                                            
                                            	
                                            	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: bsr_items
                                            
                                            	
                                            	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: grange_items
                                            
                                            	
                                            	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: group_items
                                            
                                            	
                                            	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: ifrec_items
                                            
                                            	
                                            	**type**\:  :py:class:`IfrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: rp_items
                                            
                                            	
                                            	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: trstats_items
                                            
                                            	
                                            	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.TrstatsItems>`
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: vrfdetail_items
                                            
                                            	
                                            	**type**\:  :py:class:`VrfdetailItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList, self).__init__()

                                                self.yang_name = "Vrf-list"
                                                self.yang_parent_name = "vrf-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['name']
                                                self._child_classes = OrderedDict([("autorp-items", ("autorp_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems)), ("bsr-items", ("bsr_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems)), ("grange-items", ("grange_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems)), ("group-items", ("group_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems)), ("ifrec-items", ("ifrec_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems)), ("rp-items", ("rp_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems)), ("trstats-items", ("trstats_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.TrstatsItems)), ("vrfdetail-items", ("vrfdetail_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems))])
                                                self._leafs = OrderedDict([
                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                    ('cid', (YLeaf(YType.uint32, 'cid'), ['int'])),
                                                    ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                                                    ('pim6enbldintfcount', (YLeaf(YType.uint32, 'pim6EnbldIntfCount'), ['int'])),
                                                    ('bfdenabled', (YLeaf(YType.boolean, 'bfdEnabled'), ['bool'])),
                                                    ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                                                ])
                                                self.name = None
                                                self.cid = None
                                                self.tableid = None
                                                self.pim6enbldintfcount = None
                                                self.bfdenabled = None
                                                self.totalnumroutes = None

                                                self.autorp_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems()
                                                self.autorp_items.parent = self
                                                self._children_name_map["autorp_items"] = "autorp-items"

                                                self.bsr_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems()
                                                self.bsr_items.parent = self
                                                self._children_name_map["bsr_items"] = "bsr-items"

                                                self.grange_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems()
                                                self.grange_items.parent = self
                                                self._children_name_map["grange_items"] = "grange-items"

                                                self.group_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems()
                                                self.group_items.parent = self
                                                self._children_name_map["group_items"] = "group-items"

                                                self.ifrec_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems()
                                                self.ifrec_items.parent = self
                                                self._children_name_map["ifrec_items"] = "ifrec-items"

                                                self.rp_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems()
                                                self.rp_items.parent = self
                                                self._children_name_map["rp_items"] = "rp-items"

                                                self.trstats_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.TrstatsItems()
                                                self.trstats_items.parent = self
                                                self._children_name_map["trstats_items"] = "trstats-items"

                                                self.vrfdetail_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems()
                                                self.vrfdetail_items.parent = self
                                                self._children_name_map["vrfdetail_items"] = "vrfdetail-items"
                                                self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList, ['name', 'cid', 'tableid', 'pim6enbldintfcount', 'bfdenabled', 'totalnumroutes'], name, value)


                                            class AutorpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: autorppinfo_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`AutoRppInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems, self).__init__()

                                                    self.yang_name = "autorp-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("AutoRppInfo-list", ("autorppinfo_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList))])
                                                    self._leafs = OrderedDict()

                                                    self.autorppinfo_list = YList(self)
                                                    self._segment_path = lambda: "autorp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems, [], name, value)


                                                class AutoRppInfoList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: addr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: name
                                                    
                                                    	Name
                                                    	**type**\: str
                                                    
                                                    	**length:** 1..64
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: expiry
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: uptime
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: hashmasklen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList, self).__init__()

                                                        self.yang_name = "AutoRppInfo-list"
                                                        self.yang_parent_name = "autorp-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['addr']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                            ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                                            ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                                            ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                                        ])
                                                        self.addr = None
                                                        self.name = None
                                                        self.expiry = None
                                                        self.uptime = None
                                                        self.priority = None
                                                        self.hashmasklen = None
                                                        self._segment_path = lambda: "AutoRppInfo-list" + "[addr='" + str(self.addr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.AutorpItems.AutoRppInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                                            class BsrItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: bsrinfo_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BsrInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems, self).__init__()

                                                    self.yang_name = "bsr-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("BsrInfo-list", ("bsrinfo_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList))])
                                                    self._leafs = OrderedDict()

                                                    self.bsrinfo_list = YList(self)
                                                    self._segment_path = lambda: "bsr-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems, [], name, value)


                                                class BsrInfoList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: grpaddr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: bsraddr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpaddr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: hash
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: hashmasklen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: besthash
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList, self).__init__()

                                                        self.yang_name = "BsrInfo-list"
                                                        self.yang_parent_name = "bsr-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['grpaddr']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                                            ('bsraddr', (YLeaf(YType.str, 'bsrAddr'), ['str','str'])),
                                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                                            ('hash', (YLeaf(YType.uint32, 'hash'), ['int'])),
                                                            ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                                            ('besthash', (YLeaf(YType.boolean, 'bestHash'), ['bool'])),
                                                        ])
                                                        self.grpaddr = None
                                                        self.bsraddr = None
                                                        self.rpaddr = None
                                                        self.hash = None
                                                        self.hashmasklen = None
                                                        self.besthash = None
                                                        self._segment_path = lambda: "BsrInfo-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.BsrItems.BsrInfoList, ['grpaddr', 'bsraddr', 'rpaddr', 'hash', 'hashmasklen', 'besthash'], name, value)




                                            class GrangeItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rpgrange_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RpGrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems, self).__init__()

                                                    self.yang_name = "grange-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RpGrange-list", ("rpgrange_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList))])
                                                    self._leafs = OrderedDict()

                                                    self.rpgrange_list = YList(self)
                                                    self._segment_path = lambda: "grange-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems, [], name, value)


                                                class RpGrangeList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: addr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpaddr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: mode
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: usershared
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList, self).__init__()

                                                        self.yang_name = "RpGrange-list"
                                                        self.yang_parent_name = "grange-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['addr']
                                                        self._child_classes = OrderedDict([])
                                                        self._leafs = OrderedDict([
                                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                                            ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                                                            ('usershared', (YLeaf(YType.uint32, 'userShared'), ['int'])),
                                                        ])
                                                        self.addr = None
                                                        self.rpaddr = None
                                                        self.mode = None
                                                        self.usershared = None
                                                        self._segment_path = lambda: "RpGrange-list" + "[addr='" + str(self.addr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GrangeItems.RpGrangeList, ['addr', 'rpaddr', 'mode', 'usershared'], name, value)




                                            class GroupItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: group_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems, self).__init__()

                                                    self.yang_name = "group-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("Group-list", ("group_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList))])
                                                    self._leafs = OrderedDict()

                                                    self.group_list = YList(self)
                                                    self._segment_path = lambda: "group-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems, [], name, value)


                                                class GroupList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: grpaddr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: grpmasklen
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: bidir
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: source_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                                        self.yang_name = "Group-list"
                                                        self.yang_parent_name = "group-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['grpaddr']
                                                        self._child_classes = OrderedDict([("source-items", ("source_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                                        self._leafs = OrderedDict([
                                                            ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                                            ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                                            ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                                        ])
                                                        self.grpaddr = None
                                                        self.grpmasklen = None
                                                        self.bidir = None

                                                        self.source_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                                        self.source_items.parent = self
                                                        self._children_name_map["source_items"] = "source-items"
                                                        self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                                    class SourceItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: source_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                                            self.yang_name = "source-items"
                                                            self.yang_parent_name = "Group-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("Source-list", ("source_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                                            self._leafs = OrderedDict()

                                                            self.source_list = YList(self)
                                                            self._segment_path = lambda: "source-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                                        class SourceList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: srcaddr  (key)
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: expiryts
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: assertmetrics
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: assertmetricprefs
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: oifcount
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: routeiif
                                                            
                                                            	Route Incoming Interface
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rpfnbr
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: routebits
                                                            
                                                            	RP WC Bit
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: rttimeoutinvtl
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: jpholdtime
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: oif_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                                                self.yang_name = "Source-list"
                                                                self.yang_parent_name = "source-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['srcaddr']
                                                                self._child_classes = OrderedDict([("oif-items", ("oif_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                                    ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                                    ('assertmetrics', (YLeaf(YType.uint32, 'assertMetrics'), ['int'])),
                                                                    ('assertmetricprefs', (YLeaf(YType.uint32, 'assertMetricPrefs'), ['int'])),
                                                                    ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                                    ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                                    ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                                    ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                                                    ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                                                    ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                                                ])
                                                                self.srcaddr = None
                                                                self.expiryts = None
                                                                self.assertmetrics = None
                                                                self.assertmetricprefs = None
                                                                self.oifcount = None
                                                                self.routeiif = None
                                                                self.rpfnbr = None
                                                                self.routebits = None
                                                                self.rttimeoutinvtl = None
                                                                self.jpholdtime = None

                                                                self.oif_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                                                self.oif_items.parent = self
                                                                self._children_name_map["oif_items"] = "oif-items"
                                                                self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'expiryts', 'assertmetrics', 'assertmetricprefs', 'oifcount', 'routeiif', 'rpfnbr', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)


                                                            class OifItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: oif_list
                                                                
                                                                	
                                                                	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                                    self.yang_name = "oif-items"
                                                                    self.yang_parent_name = "Source-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                                    self._leafs = OrderedDict()

                                                                    self.oif_list = YList(self)
                                                                    self._segment_path = lambda: "oif-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                                                class OifList(Entity):
                                                                    """
                                                                    
                                                                    
                                                                    .. attribute:: oifname  (key)
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: oifuptime
                                                                    
                                                                    	
                                                                    	**type**\: str
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: oifrpf
                                                                    
                                                                    	
                                                                    	**type**\: bool
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    .. attribute:: oiflispencapentries
                                                                    
                                                                    	
                                                                    	**type**\: int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**config**\: False
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'top'
                                                                    _revision = '2019-02-17'

                                                                    def __init__(self):
                                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                                        self.yang_name = "Oif-list"
                                                                        self.yang_parent_name = "oif-items"
                                                                        self.is_top_level_class = False
                                                                        self.has_list_ancestor = True
                                                                        self.ylist_key_names = ['oifname']
                                                                        self._child_classes = OrderedDict([])
                                                                        self._leafs = OrderedDict([
                                                                            ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                                            ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                                            ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                                            ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                                        ])
                                                                        self.oifname = None
                                                                        self.oifuptime = None
                                                                        self.oifrpf = None
                                                                        self.oiflispencapentries = None
                                                                        self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                                        self._is_frozen = True

                                                                    def __setattr__(self, name, value):
                                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)








                                            class IfrecItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ifrec_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IfRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems, self).__init__()

                                                    self.yang_name = "ifrec-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("IfRec-list", ("ifrec_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList))])
                                                    self._leafs = OrderedDict()

                                                    self.ifrec_list = YList(self)
                                                    self._segment_path = lambda: "ifrec-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems, [], name, value)


                                                class IfRecList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: pim6ifname  (key)
                                                    
                                                    	Interface Name
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6dr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6drprio
                                                    
                                                    	Designated Router Priority on the interface
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6nbrholdtime
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6genid
                                                    
                                                    	Generation ID to be sent in Hello Msgs
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6nexthello
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6ipaddr
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6border
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: pim6sparsemode
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: adjrec_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`AdjrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: ifstats_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList, self).__init__()

                                                        self.yang_name = "IfRec-list"
                                                        self.yang_parent_name = "ifrec-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['pim6ifname']
                                                        self._child_classes = OrderedDict([("adjrec-items", ("adjrec_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems)), ("ifstats-items", ("ifstats_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems))])
                                                        self._leafs = OrderedDict([
                                                            ('pim6ifname', (YLeaf(YType.str, 'pim6IfName'), ['str'])),
                                                            ('pim6dr', (YLeaf(YType.str, 'pim6Dr'), ['str','str'])),
                                                            ('pim6drprio', (YLeaf(YType.uint32, 'pim6DrPrio'), ['int'])),
                                                            ('pim6nbrholdtime', (YLeaf(YType.uint32, 'pim6NbrHoldTime'), ['int'])),
                                                            ('pim6genid', (YLeaf(YType.uint32, 'pim6GenID'), ['int'])),
                                                            ('pim6nexthello', (YLeaf(YType.str, 'pim6NextHello'), ['str'])),
                                                            ('pim6ipaddr', (YLeaf(YType.str, 'pim6IpAddr'), ['str','str'])),
                                                            ('pim6border', (YLeaf(YType.boolean, 'pim6Border'), ['bool'])),
                                                            ('pim6sparsemode', (YLeaf(YType.boolean, 'pim6SparseMode'), ['bool'])),
                                                        ])
                                                        self.pim6ifname = None
                                                        self.pim6dr = None
                                                        self.pim6drprio = None
                                                        self.pim6nbrholdtime = None
                                                        self.pim6genid = None
                                                        self.pim6nexthello = None
                                                        self.pim6ipaddr = None
                                                        self.pim6border = None
                                                        self.pim6sparsemode = None

                                                        self.adjrec_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems()
                                                        self.adjrec_items.parent = self
                                                        self._children_name_map["adjrec_items"] = "adjrec-items"

                                                        self.ifstats_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems()
                                                        self.ifstats_items.parent = self
                                                        self._children_name_map["ifstats_items"] = "ifstats-items"
                                                        self._segment_path = lambda: "IfRec-list" + "[pim6IfName='" + str(self.pim6ifname) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList, ['pim6ifname', 'pim6dr', 'pim6drprio', 'pim6nbrholdtime', 'pim6genid', 'pim6nexthello', 'pim6ipaddr', 'pim6border', 'pim6sparsemode'], name, value)


                                                    class AdjrecItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: adjeprec_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`AdjEpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, self).__init__()

                                                            self.yang_name = "adjrec-items"
                                                            self.yang_parent_name = "IfRec-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("AdjEpRec-list", ("adjeprec_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList))])
                                                            self._leafs = OrderedDict()

                                                            self.adjeprec_list = YList(self)
                                                            self._segment_path = lambda: "adjrec-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, [], name, value)


                                                        class AdjEpRecList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: addr  (key)
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: name
                                                            
                                                            	Name
                                                            	**type**\: str
                                                            
                                                            	**length:** 1..64
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: nbrname
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: drprio
                                                            
                                                            	DR Priority
                                                            	**type**\: int
                                                            
                                                            	**range:** 1..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: learntime
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: expirytime
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: genid
                                                            
                                                            	Generation ID
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: bfdst
                                                            
                                                            	BFD State
                                                            	**type**\:  :py:class:`RtdmcBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdOperSt>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: operst
                                                            
                                                            	Operational State
                                                            	**type**\:  :py:class:`RtdmcAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAdjOperSt>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	Flags
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: adjstats_items
                                                            
                                                            	
                                                            	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems>`
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, self).__init__()

                                                                self.yang_name = "AdjEpRec-list"
                                                                self.yang_parent_name = "adjrec-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['addr']
                                                                self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems))])
                                                                self._leafs = OrderedDict([
                                                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                                    ('nbrname', (YLeaf(YType.str, 'nbrName'), ['str'])),
                                                                    ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                                                    ('learntime', (YLeaf(YType.str, 'learnTime'), ['str'])),
                                                                    ('expirytime', (YLeaf(YType.str, 'expiryTime'), ['str'])),
                                                                    ('genid', (YLeaf(YType.uint32, 'genId'), ['int'])),
                                                                    ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdOperSt', '')])),
                                                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAdjOperSt', '')])),
                                                                    ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                                                ])
                                                                self.addr = None
                                                                self.name = None
                                                                self.nbrname = None
                                                                self.drprio = None
                                                                self.learntime = None
                                                                self.expirytime = None
                                                                self.genid = None
                                                                self.bfdst = None
                                                                self.operst = None
                                                                self.flags = None

                                                                self.adjstats_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems()
                                                                self.adjstats_items.parent = self
                                                                self._children_name_map["adjstats_items"] = "adjstats-items"
                                                                self._segment_path = lambda: "AdjEpRec-list" + "[addr='" + str(self.addr) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, ['addr', 'name', 'nbrname', 'drprio', 'learntime', 'expirytime', 'genid', 'bfdst', 'operst', 'flags'], name, value)


                                                            class AdjstatsItems(Entity):
                                                                """
                                                                
                                                                
                                                                .. attribute:: lasthellorcvd
                                                                
                                                                	
                                                                	**type**\: str
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: longhelloitvl
                                                                
                                                                	Longest Hello Interval
                                                                	**type**\: int
                                                                
                                                                	**range:** 1..18724286
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: lastholdtime
                                                                
                                                                	Last Hold Time
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                	**config**\: False
                                                                
                                                                .. attribute:: nonhelloexpresets
                                                                
                                                                	Non\-Hello Expiry Timer Resets
                                                                	**type**\: int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                	**config**\: False
                                                                
                                                                

                                                                """

                                                                _prefix = 'top'
                                                                _revision = '2019-02-17'

                                                                def __init__(self):
                                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, self).__init__()

                                                                    self.yang_name = "adjstats-items"
                                                                    self.yang_parent_name = "AdjEpRec-list"
                                                                    self.is_top_level_class = False
                                                                    self.has_list_ancestor = True
                                                                    self.ylist_key_names = []
                                                                    self._child_classes = OrderedDict([])
                                                                    self._leafs = OrderedDict([
                                                                        ('lasthellorcvd', (YLeaf(YType.str, 'lastHelloRcvd'), ['str'])),
                                                                        ('longhelloitvl', (YLeaf(YType.uint32, 'longHelloItvl'), ['int'])),
                                                                        ('lastholdtime', (YLeaf(YType.uint16, 'lastHoldTime'), ['int'])),
                                                                        ('nonhelloexpresets', (YLeaf(YType.uint32, 'nonHelloExpResets'), ['int'])),
                                                                    ])
                                                                    self.lasthellorcvd = None
                                                                    self.longhelloitvl = None
                                                                    self.lastholdtime = None
                                                                    self.nonhelloexpresets = None
                                                                    self._segment_path = lambda: "adjstats-items"
                                                                    self._is_frozen = True

                                                                def __setattr__(self, name, value):
                                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, ['lasthellorcvd', 'longhelloitvl', 'lastholdtime', 'nonhelloexpresets'], name, value)





                                                    class IfstatsItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hellosent
                                                        
                                                        	number of hello sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: hellorcvd
                                                        
                                                        	number of hello rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jpsent
                                                        
                                                        	number of JP sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jprcvd
                                                        
                                                        	number of JP rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: assertsent
                                                        
                                                        	number of assert sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: assertrcvd
                                                        
                                                        	number of assert rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: graftssent
                                                        
                                                        	number of grafts sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: graftsrcvd
                                                        
                                                        	number of grafts rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: grftacksent
                                                        
                                                        	number of graft ack sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: grftackrcvd
                                                        
                                                        	number of graft ack rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfoffersent
                                                        
                                                        	number of DF\-offer sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfofferrcvd
                                                        
                                                        	number of DF\-offer rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfwinnersent
                                                        
                                                        	number of DF winner sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfwinnerrcvd
                                                        
                                                        	number of DF winner rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfbackoffsent
                                                        
                                                        	number of DF backoff sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfbackoffrcvd
                                                        
                                                        	number of DF backoff rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfpassessent
                                                        
                                                        	number of DF Passes sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: dfpassesrcvd
                                                        
                                                        	number of DF Passes rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: chksumerr
                                                        
                                                        	Checksum errors
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: invalidpktsent
                                                        
                                                        	number of invalid pkt sent
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: invalidpktrcvd
                                                        
                                                        	number of invalid pkt rcvd
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: authfail
                                                        
                                                        	number of authentication failures
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pktlenerr
                                                        
                                                        	number of packet length errors
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: badverpkt
                                                        
                                                        	number of bad version pkts
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pktfrmself
                                                        
                                                        	number of pkts from Self
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pktfrmnonnbr
                                                        
                                                        	packets from Non\-Neighbor
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: pktonpassiveif
                                                        
                                                        	number of packets on passive interface
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jprcvdonrpf
                                                        
                                                        	number of packets rcvd on RPF interface
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: joinnorp
                                                        
                                                        	\*,G Join rcvd with no RP
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: joinwrongrp
                                                        
                                                        	number of packets rcvd on Wrong RP
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jpssmrcvd
                                                        
                                                        	number of packets rcvd for SSM groups
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jpbidirrcvd
                                                        
                                                        	number of packets rcvd for Bidir groups
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jpfilterin
                                                        
                                                        	number of JP filtered by inbound policy 
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        .. attribute:: jpfilterout
                                                        
                                                        	number of JP filtered by outbound policy 
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, self).__init__()

                                                            self.yang_name = "ifstats-items"
                                                            self.yang_parent_name = "IfRec-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('hellosent', (YLeaf(YType.uint32, 'helloSent'), ['int'])),
                                                                ('hellorcvd', (YLeaf(YType.uint32, 'helloRcvd'), ['int'])),
                                                                ('jpsent', (YLeaf(YType.uint32, 'jpSent'), ['int'])),
                                                                ('jprcvd', (YLeaf(YType.uint32, 'jpRcvd'), ['int'])),
                                                                ('assertsent', (YLeaf(YType.uint32, 'assertSent'), ['int'])),
                                                                ('assertrcvd', (YLeaf(YType.uint32, 'assertRcvd'), ['int'])),
                                                                ('graftssent', (YLeaf(YType.uint32, 'graftsSent'), ['int'])),
                                                                ('graftsrcvd', (YLeaf(YType.uint32, 'graftsRcvd'), ['int'])),
                                                                ('grftacksent', (YLeaf(YType.uint32, 'grftAckSent'), ['int'])),
                                                                ('grftackrcvd', (YLeaf(YType.uint32, 'grftAckRcvd'), ['int'])),
                                                                ('dfoffersent', (YLeaf(YType.uint32, 'dfOfferSent'), ['int'])),
                                                                ('dfofferrcvd', (YLeaf(YType.uint32, 'dfOfferRcvd'), ['int'])),
                                                                ('dfwinnersent', (YLeaf(YType.uint32, 'dfWinnerSent'), ['int'])),
                                                                ('dfwinnerrcvd', (YLeaf(YType.uint32, 'dfWinnerRcvd'), ['int'])),
                                                                ('dfbackoffsent', (YLeaf(YType.uint32, 'dfBackoffSent'), ['int'])),
                                                                ('dfbackoffrcvd', (YLeaf(YType.uint32, 'dfBackoffRcvd'), ['int'])),
                                                                ('dfpassessent', (YLeaf(YType.uint32, 'dfPassesSent'), ['int'])),
                                                                ('dfpassesrcvd', (YLeaf(YType.uint32, 'dfPassesRcvd'), ['int'])),
                                                                ('chksumerr', (YLeaf(YType.uint32, 'chksumErr'), ['int'])),
                                                                ('invalidpktsent', (YLeaf(YType.uint32, 'invalidPktSent'), ['int'])),
                                                                ('invalidpktrcvd', (YLeaf(YType.uint32, 'invalidPktRcvd'), ['int'])),
                                                                ('authfail', (YLeaf(YType.uint32, 'authFail'), ['int'])),
                                                                ('pktlenerr', (YLeaf(YType.uint32, 'pktLenErr'), ['int'])),
                                                                ('badverpkt', (YLeaf(YType.uint32, 'badVerPkt'), ['int'])),
                                                                ('pktfrmself', (YLeaf(YType.uint32, 'pktFrmSelf'), ['int'])),
                                                                ('pktfrmnonnbr', (YLeaf(YType.uint32, 'pktFrmNonNbr'), ['int'])),
                                                                ('pktonpassiveif', (YLeaf(YType.uint32, 'pktOnPassiveIf'), ['int'])),
                                                                ('jprcvdonrpf', (YLeaf(YType.uint32, 'jpRcvdOnRPF'), ['int'])),
                                                                ('joinnorp', (YLeaf(YType.uint32, 'joinNoRP'), ['int'])),
                                                                ('joinwrongrp', (YLeaf(YType.uint32, 'joinWrongRp'), ['int'])),
                                                                ('jpssmrcvd', (YLeaf(YType.uint32, 'jpSSMRcvd'), ['int'])),
                                                                ('jpbidirrcvd', (YLeaf(YType.uint32, 'jpBidirRcvd'), ['int'])),
                                                                ('jpfilterin', (YLeaf(YType.uint32, 'jpFilterIn'), ['int'])),
                                                                ('jpfilterout', (YLeaf(YType.uint32, 'jpFilterOut'), ['int'])),
                                                            ])
                                                            self.hellosent = None
                                                            self.hellorcvd = None
                                                            self.jpsent = None
                                                            self.jprcvd = None
                                                            self.assertsent = None
                                                            self.assertrcvd = None
                                                            self.graftssent = None
                                                            self.graftsrcvd = None
                                                            self.grftacksent = None
                                                            self.grftackrcvd = None
                                                            self.dfoffersent = None
                                                            self.dfofferrcvd = None
                                                            self.dfwinnersent = None
                                                            self.dfwinnerrcvd = None
                                                            self.dfbackoffsent = None
                                                            self.dfbackoffrcvd = None
                                                            self.dfpassessent = None
                                                            self.dfpassesrcvd = None
                                                            self.chksumerr = None
                                                            self.invalidpktsent = None
                                                            self.invalidpktrcvd = None
                                                            self.authfail = None
                                                            self.pktlenerr = None
                                                            self.badverpkt = None
                                                            self.pktfrmself = None
                                                            self.pktfrmnonnbr = None
                                                            self.pktonpassiveif = None
                                                            self.jprcvdonrpf = None
                                                            self.joinnorp = None
                                                            self.joinwrongrp = None
                                                            self.jpssmrcvd = None
                                                            self.jpbidirrcvd = None
                                                            self.jpfilterin = None
                                                            self.jpfilterout = None
                                                            self._segment_path = lambda: "ifstats-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, ['hellosent', 'hellorcvd', 'jpsent', 'jprcvd', 'assertsent', 'assertrcvd', 'graftssent', 'graftsrcvd', 'grftacksent', 'grftackrcvd', 'dfoffersent', 'dfofferrcvd', 'dfwinnersent', 'dfwinnerrcvd', 'dfbackoffsent', 'dfbackoffrcvd', 'dfpassessent', 'dfpassesrcvd', 'chksumerr', 'invalidpktsent', 'invalidpktrcvd', 'authfail', 'pktlenerr', 'badverpkt', 'pktfrmself', 'pktfrmnonnbr', 'pktonpassiveif', 'jprcvdonrpf', 'joinnorp', 'joinwrongrp', 'jpssmrcvd', 'jpbidirrcvd', 'jpfilterin', 'jpfilterout'], name, value)





                                            class RpItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: rpinforec_list
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`RpInfoRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems, self).__init__()

                                                    self.yang_name = "rp-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("RpInfoRec-list", ("rpinforec_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList))])
                                                    self._leafs = OrderedDict()

                                                    self.rpinforec_list = YList(self)
                                                    self._segment_path = lambda: "rp-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems, [], name, value)


                                                class RpInfoRecList(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: rpaddr  (key)
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    		**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rplocal
                                                    
                                                    	
                                                    	**type**\: bool
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpuptime
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rppriority
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpdisctype
                                                    
                                                    	RP source type
                                                    	**type**\: str
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpdfordinal
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpmetricpref
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpmetric
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    	**config**\: False
                                                    
                                                    .. attribute:: rpif_items
                                                    
                                                    	
                                                    	**type**\:  :py:class:`RpifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList, self).__init__()

                                                        self.yang_name = "RpInfoRec-list"
                                                        self.yang_parent_name = "rp-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = ['rpaddr']
                                                        self._child_classes = OrderedDict([("rpif-items", ("rpif_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems))])
                                                        self._leafs = OrderedDict([
                                                            ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                                            ('rplocal', (YLeaf(YType.boolean, 'rpLocal'), ['bool'])),
                                                            ('rpuptime', (YLeaf(YType.str, 'rpUptime'), ['str'])),
                                                            ('rppriority', (YLeaf(YType.uint32, 'rpPriority'), ['int'])),
                                                            ('rpdisctype', (YLeaf(YType.str, 'rpDiscType'), ['str'])),
                                                            ('rpdfordinal', (YLeaf(YType.uint32, 'rpDfOrdinal'), ['int'])),
                                                            ('rpmetricpref', (YLeaf(YType.uint32, 'rpMetricPref'), ['int'])),
                                                            ('rpmetric', (YLeaf(YType.uint32, 'rpMetric'), ['int'])),
                                                        ])
                                                        self.rpaddr = None
                                                        self.rplocal = None
                                                        self.rpuptime = None
                                                        self.rppriority = None
                                                        self.rpdisctype = None
                                                        self.rpdfordinal = None
                                                        self.rpmetricpref = None
                                                        self.rpmetric = None

                                                        self.rpif_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems()
                                                        self.rpif_items.parent = self
                                                        self._children_name_map["rpif_items"] = "rpif-items"
                                                        self._segment_path = lambda: "RpInfoRec-list" + "[rpAddr='" + str(self.rpaddr) + "']"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList, ['rpaddr', 'rplocal', 'rpuptime', 'rppriority', 'rpdisctype', 'rpdfordinal', 'rpmetricpref', 'rpmetric'], name, value)


                                                    class RpifItems(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: rpif_list
                                                        
                                                        	
                                                        	**type**\: list of  		 :py:class:`RpIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList>`
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, self).__init__()

                                                            self.yang_name = "rpif-items"
                                                            self.yang_parent_name = "RpInfoRec-list"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = []
                                                            self._child_classes = OrderedDict([("RpIf-list", ("rpif_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList))])
                                                            self._leafs = OrderedDict()

                                                            self.rpif_list = YList(self)
                                                            self._segment_path = lambda: "rpif-items"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, [], name, value)


                                                        class RpIfList(Entity):
                                                            """
                                                            
                                                            
                                                            .. attribute:: ifname  (key)
                                                            
                                                            	DF Interface Name
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: dfwinner
                                                            
                                                            	
                                                            	**type**\: union of the below types:
                                                            
                                                            		**type**\: str
                                                            
                                                            		**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: dfstate
                                                            
                                                            	Current state of DF
                                                            	**type**\:  :py:class:`RtdmcDfStates <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDfStates>`
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: dfuptime
                                                            
                                                            	
                                                            	**type**\: str
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: isrpf
                                                            
                                                            	
                                                            	**type**\: bool
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: winnermetricpref
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            .. attribute:: winnermetric
                                                            
                                                            	
                                                            	**type**\: int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            	**config**\: False
                                                            
                                                            

                                                            """

                                                            _prefix = 'top'
                                                            _revision = '2019-02-17'

                                                            def __init__(self):
                                                                super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, self).__init__()

                                                                self.yang_name = "RpIf-list"
                                                                self.yang_parent_name = "rpif-items"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self.ylist_key_names = ['ifname']
                                                                self._child_classes = OrderedDict([])
                                                                self._leafs = OrderedDict([
                                                                    ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                                                    ('dfwinner', (YLeaf(YType.str, 'dfWinner'), ['str','str'])),
                                                                    ('dfstate', (YLeaf(YType.enumeration, 'dfState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDfStates', '')])),
                                                                    ('dfuptime', (YLeaf(YType.str, 'dfUptime'), ['str'])),
                                                                    ('isrpf', (YLeaf(YType.boolean, 'isRpf'), ['bool'])),
                                                                    ('winnermetricpref', (YLeaf(YType.uint32, 'winnerMetricPref'), ['int'])),
                                                                    ('winnermetric', (YLeaf(YType.uint32, 'winnerMetric'), ['int'])),
                                                                ])
                                                                self.ifname = None
                                                                self.dfwinner = None
                                                                self.dfstate = None
                                                                self.dfuptime = None
                                                                self.isrpf = None
                                                                self.winnermetricpref = None
                                                                self.winnermetric = None
                                                                self._segment_path = lambda: "RpIf-list" + "[ifName='" + str(self.ifname) + "']"
                                                                self._is_frozen = True

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, ['ifname', 'dfwinner', 'dfstate', 'dfuptime', 'isrpf', 'winnermetricpref', 'winnermetric'], name, value)






                                            class TrstatsItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: lastclearts
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regrcvd
                                                
                                                	Register Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nullregrcvd
                                                
                                                	Null Register Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regstoprcvd
                                                
                                                	Reg Stop Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bsrcvd
                                                
                                                	Bootstrap received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: candrprcvd
                                                
                                                	Candidate RP Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpannrcvd
                                                
                                                	AutoRP Announce Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpdiscrcvd
                                                
                                                	AutoRP Discovery Received
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nullregsent
                                                
                                                	NULL Register sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regstopsent
                                                
                                                	Register Stop Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bssent
                                                
                                                	Bootstrap Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: candrpsent
                                                
                                                	Candidate RP Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpannsent
                                                
                                                	AutoRP Announce Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpdiscsent
                                                
                                                	AutoRP Discovery Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorprpfsent
                                                
                                                	AutoRP RPF Sent
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpbrddeny
                                                
                                                	AutoRP Border Deny
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorrpnolistn
                                                
                                                	AutoRP No Listen
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpttlexp
                                                
                                                	AutoRP TTL Expired
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: autorpinvtype
                                                
                                                	AutoRP Invalid Type
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bsnonbr
                                                
                                                	BS No NBR
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bsborddeny
                                                
                                                	BS Border Deny
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bslenerr
                                                
                                                	BS Len Errors
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bsrpffail
                                                
                                                	BS RPF Failed
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: bsnolis
                                                
                                                	BS No Listen
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: candrpnolis
                                                
                                                	Candidate RP No Listen
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: candrpborddeny
                                                
                                                	Candidate RP Border Deny
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regrcvdnorp
                                                
                                                	Register Received not RP
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regrcvdforssm
                                                
                                                	Register Received Not SSM
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regrcvdforbd
                                                
                                                	Register received for Bidir
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: noroute
                                                
                                                	No Route
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.TrstatsItems, self).__init__()

                                                    self.yang_name = "trstats-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                                        ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                                        ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                                        ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                                        ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                                        ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                                        ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                                        ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                                        ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                                        ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                                        ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                                        ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                                        ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                                        ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                                        ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                                        ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                                        ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                                        ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                                        ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                                        ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                                        ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                                        ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                                        ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                                        ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                                        ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                                        ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                                        ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                                        ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                                        ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                                        ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                                                    ])
                                                    self.lastclearts = None
                                                    self.regrcvd = None
                                                    self.nullregrcvd = None
                                                    self.regstoprcvd = None
                                                    self.bsrcvd = None
                                                    self.candrprcvd = None
                                                    self.autorpannrcvd = None
                                                    self.autorpdiscrcvd = None
                                                    self.nullregsent = None
                                                    self.regstopsent = None
                                                    self.bssent = None
                                                    self.candrpsent = None
                                                    self.autorpannsent = None
                                                    self.autorpdiscsent = None
                                                    self.autorprpfsent = None
                                                    self.autorpbrddeny = None
                                                    self.autorrpnolistn = None
                                                    self.autorpttlexp = None
                                                    self.autorpinvtype = None
                                                    self.bsnonbr = None
                                                    self.bsborddeny = None
                                                    self.bslenerr = None
                                                    self.bsrpffail = None
                                                    self.bsnolis = None
                                                    self.candrpnolis = None
                                                    self.candrpborddeny = None
                                                    self.regrcvdnorp = None
                                                    self.regrcvdforssm = None
                                                    self.regrcvdforbd = None
                                                    self.noroute = None
                                                    self._segment_path = lambda: "trstats-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)



                                            class VrfdetailItems(Entity):
                                                """
                                                
                                                
                                                .. attribute:: stlmt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: availstlmt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rsvlmt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: availrsvlmt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rsvpolname
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: regratelmt
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: sharedtrpolname
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: grange_items
                                                
                                                	
                                                	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems>`
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems, self).__init__()

                                                    self.yang_name = "vrfdetail-items"
                                                    self.yang_parent_name = "Vrf-list"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = []
                                                    self._child_classes = OrderedDict([("grange-items", ("grange_items", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems))])
                                                    self._leafs = OrderedDict([
                                                        ('stlmt', (YLeaf(YType.uint64, 'stLmt'), ['int'])),
                                                        ('availstlmt', (YLeaf(YType.uint64, 'availStLmt'), ['int'])),
                                                        ('rsvlmt', (YLeaf(YType.uint64, 'rsvLmt'), ['int'])),
                                                        ('availrsvlmt', (YLeaf(YType.uint64, 'availRsvLmt'), ['int'])),
                                                        ('rsvpolname', (YLeaf(YType.str, 'rsvPolName'), ['str'])),
                                                        ('regratelmt', (YLeaf(YType.uint64, 'regRateLmt'), ['int'])),
                                                        ('sharedtrpolname', (YLeaf(YType.str, 'sharedTrPolName'), ['str'])),
                                                    ])
                                                    self.stlmt = None
                                                    self.availstlmt = None
                                                    self.rsvlmt = None
                                                    self.availrsvlmt = None
                                                    self.rsvpolname = None
                                                    self.regratelmt = None
                                                    self.sharedtrpolname = None

                                                    self.grange_items = System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems()
                                                    self.grange_items.parent = self
                                                    self._children_name_map["grange_items"] = "grange-items"
                                                    self._segment_path = lambda: "vrfdetail-items"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems, ['stlmt', 'availstlmt', 'rsvlmt', 'availrsvlmt', 'rsvpolname', 'regratelmt', 'sharedtrpolname'], name, value)


                                                class GrangeItems(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: sharedrouterange_list
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`SharedRouteRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList>`
                                                    
                                                    	**config**\: False
                                                    
                                                    

                                                    """

                                                    _prefix = 'top'
                                                    _revision = '2019-02-17'

                                                    def __init__(self):
                                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems, self).__init__()

                                                        self.yang_name = "grange-items"
                                                        self.yang_parent_name = "vrfdetail-items"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self.ylist_key_names = []
                                                        self._child_classes = OrderedDict([("SharedRouteRange-list", ("sharedrouterange_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList))])
                                                        self._leafs = OrderedDict()

                                                        self.sharedrouterange_list = YList(self)
                                                        self._segment_path = lambda: "grange-items"
                                                        self._is_frozen = True

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems, [], name, value)


                                                    class SharedRouteRangeList(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: grangeip  (key)
                                                        
                                                        	
                                                        	**type**\: union of the below types:
                                                        
                                                        		**type**\: str
                                                        
                                                        		**type**\: str
                                                        
                                                        	**config**\: False
                                                        
                                                        

                                                        """

                                                        _prefix = 'top'
                                                        _revision = '2019-02-17'

                                                        def __init__(self):
                                                            super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, self).__init__()

                                                            self.yang_name = "SharedRouteRange-list"
                                                            self.yang_parent_name = "grange-items"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self.ylist_key_names = ['grangeip']
                                                            self._child_classes = OrderedDict([])
                                                            self._leafs = OrderedDict([
                                                                ('grangeip', (YLeaf(YType.str, 'grangeIp'), ['str','str'])),
                                                            ])
                                                            self.grangeip = None
                                                            self._segment_path = lambda: "SharedRouteRange-list" + "[grangeIp='" + str(self.grangeip) + "']"
                                                            self._is_frozen = True

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.DbItems.DbList.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, ['grangeip'], name, value)









                            class JpItems(Entity):
                                """
                                
                                
                                .. attribute:: jptrp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`JpTrPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JpTrPList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems, self).__init__()

                                    self.yang_name = "jp-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("JpTrP-list", ("jptrp_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JpTrPList))])
                                    self._leafs = OrderedDict()

                                    self.jptrp_list = YList(self)
                                    self._segment_path = lambda: "jp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems, [], name, value)


                                class JpTrPList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: policydir  (key)
                                    
                                    	Policy Direction 
                                    	**type**\:  :py:class:`RtdmcPolicyDirType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcPolicyDirType>`
                                    
                                    .. attribute:: name
                                    
                                    	Name
                                    	**type**\: str
                                    
                                    	**length:** 0..64
                                    
                                    .. attribute:: descr
                                    
                                    	Description
                                    	**type**\: str
                                    
                                    	**length:** 0..128
                                    
                                    .. attribute:: rtmap
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: pfxlist
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: itvl
                                    
                                    	Periodic Interval
                                    	**type**\: int
                                    
                                    	**range:** 1..65520
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JpTrPList, self).__init__()

                                        self.yang_name = "JpTrP-list"
                                        self.yang_parent_name = "jp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['policydir']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('policydir', (YLeaf(YType.enumeration, 'policyDir'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcPolicyDirType', '')])),
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                            ('rtmap', (YLeaf(YType.str, 'RtMap'), ['str'])),
                                            ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                            ('itvl', (YLeaf(YType.uint16, 'itvl'), ['int'])),
                                        ])
                                        self.policydir = None
                                        self.name = None
                                        self.descr = None
                                        self.rtmap = None
                                        self.pfxlist = None
                                        self.itvl = None
                                        self._segment_path = lambda: "JpTrP-list" + "[policyDir='" + str(self.policydir) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.JpItems.JpTrPList, ['policydir', 'name', 'descr', 'rtmap', 'pfxlist', 'itvl'], name, value)




                            class HelloItems(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                .. attribute:: helloitvl
                                
                                	Hello Interval
                                	**type**\: int
                                
                                	**range:** 1..18724286
                                
                                .. attribute:: autht
                                
                                	Authentication Type
                                	**type**\:  :py:class:`RtdmcAuthT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAuthT>`
                                
                                .. attribute:: authkey
                                
                                	Authentication Key
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.HelloItems, self).__init__()

                                    self.yang_name = "hello-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('helloitvl', (YLeaf(YType.uint32, 'helloItvl'), ['int'])),
                                        ('autht', (YLeaf(YType.enumeration, 'authT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAuthT', '')])),
                                        ('authkey', (YLeaf(YType.str, 'authKey'), ['str'])),
                                    ])
                                    self.name = None
                                    self.descr = None
                                    self.helloitvl = None
                                    self.autht = None
                                    self.authkey = None
                                    self._segment_path = lambda: "hello-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.HelloItems, ['name', 'descr', 'helloitvl', 'autht', 'authkey'], name, value)



                            class TrstatsItems(Entity):
                                """
                                
                                
                                .. attribute:: lastclearts
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvd
                                
                                	Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregrcvd
                                
                                	Null Register Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstoprcvd
                                
                                	Reg Stop Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrcvd
                                
                                	Bootstrap received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrprcvd
                                
                                	Candidate RP Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannrcvd
                                
                                	AutoRP Announce Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscrcvd
                                
                                	AutoRP Discovery Received
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: nullregsent
                                
                                	NULL Register sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regstopsent
                                
                                	Register Stop Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bssent
                                
                                	Bootstrap Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpsent
                                
                                	Candidate RP Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpannsent
                                
                                	AutoRP Announce Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpdiscsent
                                
                                	AutoRP Discovery Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorprpfsent
                                
                                	AutoRP RPF Sent
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpbrddeny
                                
                                	AutoRP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorrpnolistn
                                
                                	AutoRP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpttlexp
                                
                                	AutoRP TTL Expired
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: autorpinvtype
                                
                                	AutoRP Invalid Type
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnonbr
                                
                                	BS No NBR
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsborddeny
                                
                                	BS Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bslenerr
                                
                                	BS Len Errors
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsrpffail
                                
                                	BS RPF Failed
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bsnolis
                                
                                	BS No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpnolis
                                
                                	Candidate RP No Listen
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: candrpborddeny
                                
                                	Candidate RP Border Deny
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdnorp
                                
                                	Register Received not RP
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforssm
                                
                                	Register Received Not SSM
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: regrcvdforbd
                                
                                	Register received for Bidir
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: noroute
                                
                                	No Route
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems, self).__init__()

                                    self.yang_name = "trstats-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                        ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                        ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                        ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                        ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                        ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                        ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                        ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                        ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                        ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                        ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                        ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                        ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                        ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                        ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                        ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                        ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                        ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                        ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                        ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                        ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                        ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                        ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                        ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                        ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                        ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                        ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                        ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                        ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                        ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                                    ])
                                    self.lastclearts = None
                                    self.regrcvd = None
                                    self.nullregrcvd = None
                                    self.regstoprcvd = None
                                    self.bsrcvd = None
                                    self.candrprcvd = None
                                    self.autorpannrcvd = None
                                    self.autorpdiscrcvd = None
                                    self.nullregsent = None
                                    self.regstopsent = None
                                    self.bssent = None
                                    self.candrpsent = None
                                    self.autorpannsent = None
                                    self.autorpdiscsent = None
                                    self.autorprpfsent = None
                                    self.autorpbrddeny = None
                                    self.autorrpnolistn = None
                                    self.autorpttlexp = None
                                    self.autorpinvtype = None
                                    self.bsnonbr = None
                                    self.bsborddeny = None
                                    self.bslenerr = None
                                    self.bsrpffail = None
                                    self.bsnolis = None
                                    self.candrpnolis = None
                                    self.candrpborddeny = None
                                    self.regrcvdnorp = None
                                    self.regrcvdforssm = None
                                    self.regrcvdforbd = None
                                    self.noroute = None
                                    self._segment_path = lambda: "trstats-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)



                            class RtvrfMbrItems(Entity):
                                """
                                
                                
                                .. attribute:: tdn
                                
                                	Target\-dn
                                	**type**\: str
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, self).__init__()

                                    self.yang_name = "rtvrfMbr-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "rtvrfMbr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                            class RtnwPathToIfItems(Entity):
                                """
                                
                                
                                .. attribute:: rtnwpathtoif_list
                                
                                	
                                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, self).__init__()

                                    self.yang_name = "rtnwPathToIf-items"
                                    self.yang_parent_name = "If-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList))])
                                    self._leafs = OrderedDict()

                                    self.rtnwpathtoif_list = YList(self)
                                    self._segment_path = lambda: "rtnwPathToIf-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems, [], name, value)


                                class RtNwPathToIfList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn  (key)
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                        self.yang_name = "RtNwPathToIf-list"
                                        self.yang_parent_name = "rtnwPathToIf-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['tdn']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.IfItems.IfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)






                    class LimitItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: max
                        
                        	Maximum Multicast Entries
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rsvd
                        
                        	Reserved Multicast Entries
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rtmap
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.LimitItems, self).__init__()

                            self.yang_name = "limit-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('max', (YLeaf(YType.uint32, 'max'), ['int'])),
                                ('rsvd', (YLeaf(YType.uint32, 'rsvd'), ['int'])),
                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.max = None
                            self.rsvd = None
                            self.rtmap = None
                            self._segment_path = lambda: "limit-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.LimitItems, ['name', 'descr', 'max', 'rsvd', 'rtmap'], name, value)



                    class AsmItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: ctrl
                        
                        	Controls
                        	**type**\: str
                        
                        .. attribute:: prebuildspt
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: force
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: rtmap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: pfxlist
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: sgexp_items
                        
                        	
                        	**type**\:  :py:class:`SgexpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SgexpItems>`
                        
                        .. attribute:: shared_items
                        
                        	
                        	**type**\:  :py:class:`SharedItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SharedItems>`
                        
                        .. attribute:: reg_items
                        
                        	
                        	**type**\:  :py:class:`RegItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.AsmItems.RegItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.AsmItems, self).__init__()

                            self.yang_name = "asm-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("sgexp-items", ("sgexp_items", System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SgexpItems)), ("shared-items", ("shared_items", System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SharedItems)), ("reg-items", ("reg_items", System.Pim6Items.InstItems.DomItems.DomList.AsmItems.RegItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                                ('prebuildspt', (YLeaf(YType.boolean, 'preBuildSpt'), ['bool'])),
                                ('force', (YLeaf(YType.boolean, 'force'), ['bool'])),
                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.ctrl = None
                            self.prebuildspt = None
                            self.force = None
                            self.rtmap = None
                            self.pfxlist = None

                            self.sgexp_items = System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SgexpItems()
                            self.sgexp_items.parent = self
                            self._children_name_map["sgexp_items"] = "sgexp-items"

                            self.shared_items = System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SharedItems()
                            self.shared_items.parent = self
                            self._children_name_map["shared_items"] = "shared-items"

                            self.reg_items = System.Pim6Items.InstItems.DomItems.DomList.AsmItems.RegItems()
                            self.reg_items.parent = self
                            self._children_name_map["reg_items"] = "reg-items"
                            self._segment_path = lambda: "asm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AsmItems, ['name', 'descr', 'ctrl', 'prebuildspt', 'force', 'rtmap', 'pfxlist'], name, value)


                        class SgexpItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: sgexpitvl
                            
                            	(S,G) Entry Expiry Timer
                            	**type**\: int
                            
                            	**range:** 180..604801
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SgexpItems, self).__init__()

                                self.yang_name = "sgexp-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                    ('sgexpitvl', (YLeaf(YType.uint32, 'sgExpItvl'), ['int'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self.sgexpitvl = None
                                self._segment_path = lambda: "sgexp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SgexpItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone', 'sgexpitvl'], name, value)



                        class SharedItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            .. attribute:: usesptcommand
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SharedItems, self).__init__()

                                self.yang_name = "shared-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                    ('usesptcommand', (YLeaf(YType.boolean, 'useSPTCommand'), ['bool'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self.usesptcommand = None
                                self._segment_path = lambda: "shared-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.SharedItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone', 'usesptcommand'], name, value)



                        class RegItems(Entity):
                            """
                            
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 0..64
                            
                            .. attribute:: descr
                            
                            	Description
                            	**type**\: str
                            
                            	**length:** 0..128
                            
                            .. attribute:: addr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: srcif
                            
                            	Source Interface
                            	**type**\: str
                            
                            .. attribute:: maxrate
                            
                            	Maximum Rate
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.RegItems, self).__init__()

                                self.yang_name = "reg-items"
                                self.yang_parent_name = "asm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ('srcif', (YLeaf(YType.str, 'srcIf'), ['str'])),
                                    ('maxrate', (YLeaf(YType.uint16, 'maxRate'), ['int'])),
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                ])
                                self.name = None
                                self.descr = None
                                self.addr = None
                                self.srcif = None
                                self.maxrate = None
                                self.rtmap = None
                                self.pfxlist = None
                                self._segment_path = lambda: "reg-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.AsmItems.RegItems, ['name', 'descr', 'addr', 'srcif', 'maxrate', 'rtmap', 'pfxlist'], name, value)




                    class SsmItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: range_items
                        
                        	
                        	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.SsmItems.RangeItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.SsmItems, self).__init__()

                            self.yang_name = "ssm-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("range-items", ("range_items", System.Pim6Items.InstItems.DomItems.DomList.SsmItems.RangeItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.range_items = System.Pim6Items.InstItems.DomItems.DomList.SsmItems.RangeItems()
                            self.range_items.parent = self
                            self._children_name_map["range_items"] = "range-items"
                            self._segment_path = lambda: "ssm-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.SsmItems, ['name', 'descr'], name, value)


                        class RangeItems(Entity):
                            """
                            
                            
                            .. attribute:: rtmap
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: pfxlist
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: grplist
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist2
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: grplist3
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: ssmnone
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.SsmItems.RangeItems, self).__init__()

                                self.yang_name = "range-items"
                                self.yang_parent_name = "ssm-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                    ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                    ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                    ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                    ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                    ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                    ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                ])
                                self.rtmap = None
                                self.pfxlist = None
                                self.grplist = None
                                self.grplist1 = None
                                self.grplist2 = None
                                self.grplist3 = None
                                self.ssmnone = None
                                self._segment_path = lambda: "range-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.SsmItems.RangeItems, ['rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)




                    class BidirItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: maxrp
                        
                        	Maximum RPs
                        	**type**\: int
                        
                        	**range:** 1..8
                        
                        .. attribute:: dfobitvl
                        
                        	Designated Forwarder Offer Burst Interval
                        	**type**\: int
                        
                        	**range:** 1..10000
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.BidirItems, self).__init__()

                            self.yang_name = "bidir-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('maxrp', (YLeaf(YType.uint16, 'maxRP'), ['int'])),
                                ('dfobitvl', (YLeaf(YType.uint16, 'dfobItvl'), ['int'])),
                            ])
                            self.name = None
                            self.descr = None
                            self.maxrp = None
                            self.dfobitvl = None
                            self._segment_path = lambda: "bidir-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.BidirItems, ['name', 'descr', 'maxrp', 'dfobitvl'], name, value)



                    class StaticrpItems(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        .. attribute:: rp_items
                        
                        	
                        	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems, self).__init__()

                            self.yang_name = "staticrp-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("rp-items", ("rp_items", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.descr = None

                            self.rp_items = System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems()
                            self.rp_items.parent = self
                            self._children_name_map["rp_items"] = "rp-items"
                            self._segment_path = lambda: "staticrp-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems, ['name', 'descr'], name, value)


                        class RpItems(Entity):
                            """
                            
                            
                            .. attribute:: staticrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`StaticRPList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems, self).__init__()

                                self.yang_name = "rp-items"
                                self.yang_parent_name = "staticrp-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("StaticRP-list", ("staticrp_list", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList))])
                                self._leafs = OrderedDict()

                                self.staticrp_list = YList(self)
                                self._segment_path = lambda: "rp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems, [], name, value)


                            class StaticRPList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                .. attribute:: range_items
                                
                                	
                                	**type**\:  :py:class:`RangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems>`
                                
                                .. attribute:: rpgrplist_items
                                
                                	
                                	**type**\:  :py:class:`RpgrplistItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList, self).__init__()

                                    self.yang_name = "StaticRP-list"
                                    self.yang_parent_name = "rp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([("range-items", ("range_items", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems)), ("rpgrplist-items", ("rpgrplist_items", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                    ])
                                    self.addr = None

                                    self.range_items = System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems()
                                    self.range_items.parent = self
                                    self._children_name_map["range_items"] = "range-items"

                                    self.rpgrplist_items = System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems()
                                    self.rpgrplist_items.parent = self
                                    self._children_name_map["rpgrplist_items"] = "rpgrplist-items"
                                    self._segment_path = lambda: "StaticRP-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList, ['addr'], name, value)


                                class RangeItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpgrprange_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RpGrpRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RpGrpRangeList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems, self).__init__()

                                        self.yang_name = "range-items"
                                        self.yang_parent_name = "StaticRP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RpGrpRange-list", ("rpgrprange_list", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RpGrpRangeList))])
                                        self._leafs = OrderedDict()

                                        self.rpgrprange_list = YList(self)
                                        self._segment_path = lambda: "range-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems, [], name, value)


                                    class RpGrpRangeList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bidir  (key)
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: override
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: rtmap
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: pfxlist
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: grplist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist1
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist2
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: grplist3
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: ssmnone
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RpGrpRangeList, self).__init__()

                                            self.yang_name = "RpGrpRange-list"
                                            self.yang_parent_name = "range-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['bidir']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                                ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                                ('rtmap', (YLeaf(YType.str, 'rtMap'), ['str'])),
                                                ('pfxlist', (YLeaf(YType.str, 'pfxList'), ['str'])),
                                                ('grplist', (YLeaf(YType.str, 'grpList'), ['str','str'])),
                                                ('grplist1', (YLeaf(YType.str, 'grpList1'), ['str','str'])),
                                                ('grplist2', (YLeaf(YType.str, 'grpList2'), ['str','str'])),
                                                ('grplist3', (YLeaf(YType.str, 'grpList3'), ['str','str'])),
                                                ('ssmnone', (YLeaf(YType.boolean, 'ssmNone'), ['bool'])),
                                            ])
                                            self.bidir = None
                                            self.override = None
                                            self.rtmap = None
                                            self.pfxlist = None
                                            self.grplist = None
                                            self.grplist1 = None
                                            self.grplist2 = None
                                            self.grplist3 = None
                                            self.ssmnone = None
                                            self._segment_path = lambda: "RpGrpRange-list" + "[bidir='" + str(self.bidir) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RangeItems.RpGrpRangeList, ['bidir', 'override', 'rtmap', 'pfxlist', 'grplist', 'grplist1', 'grplist2', 'grplist3', 'ssmnone'], name, value)




                                class RpgrplistItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpgrplist_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RpGrpListList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RpGrpListList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems, self).__init__()

                                        self.yang_name = "rpgrplist-items"
                                        self.yang_parent_name = "StaticRP-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RpGrpList-list", ("rpgrplist_list", System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RpGrpListList))])
                                        self._leafs = OrderedDict()

                                        self.rpgrplist_list = YList(self)
                                        self._segment_path = lambda: "rpgrplist-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems, [], name, value)


                                    class RpGrpListList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: grplistname  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: bidir
                                        
                                        	
                                        	**type**\: bool
                                        
                                        .. attribute:: override
                                        
                                        	
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RpGrpListList, self).__init__()

                                            self.yang_name = "RpGrpList-list"
                                            self.yang_parent_name = "rpgrplist-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['grplistname']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('grplistname', (YLeaf(YType.str, 'grpListName'), ['str','str'])),
                                                ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                                ('override', (YLeaf(YType.boolean, 'override'), ['bool'])),
                                            ])
                                            self.grplistname = None
                                            self.bidir = None
                                            self.override = None
                                            self._segment_path = lambda: "RpGrpList-list" + "[grpListName='" + str(self.grplistname) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.DomItems.DomList.StaticrpItems.RpItems.StaticRPList.RpgrplistItems.RpGrpListList, ['grplistname', 'bidir', 'override'], name, value)









            class GlItems(Entity):
                """
                
                
                .. attribute:: loglvl
                
                	Syslog filter level
                	**type**\: int
                
                	**range:** 0..7
                
                .. attribute:: isolate
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Pim6Items.InstItems.GlItems, self).__init__()

                    self.yang_name = "gl-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('loglvl', (YLeaf(YType.uint16, 'logLvl'), ['int'])),
                        ('isolate', (YLeaf(YType.boolean, 'isolate'), ['bool'])),
                    ])
                    self.loglvl = None
                    self.isolate = None
                    self._segment_path = lambda: "gl-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Pim6Items.InstItems.GlItems, ['loglvl', 'isolate'], name, value)



            class RoutedbItems(Entity):
                """
                
                
                .. attribute:: vrf_items
                
                	
                	**type**\:  :py:class:`VrfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Pim6Items.InstItems.RoutedbItems, self).__init__()

                    self.yang_name = "routedb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("vrf-items", ("vrf_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems))])
                    self._leafs = OrderedDict()

                    self.vrf_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems()
                    self.vrf_items.parent = self
                    self._children_name_map["vrf_items"] = "vrf-items"
                    self._segment_path = lambda: "routedb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems, [], name, value)


                class VrfItems(Entity):
                    """
                    
                    
                    .. attribute:: vrf_list
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems, self).__init__()

                        self.yang_name = "vrf-items"
                        self.yang_parent_name = "routedb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Vrf-list", ("vrf_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList))])
                        self._leafs = OrderedDict()

                        self.vrf_list = YList(self)
                        self._segment_path = lambda: "vrf-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/routedb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems, [], name, value)


                    class VrfList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: cid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: tableid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: pim6enbldintfcount
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: bfdenabled
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: totalnumroutes
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: autorp_items
                        
                        	
                        	**type**\:  :py:class:`AutorpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: bsr_items
                        
                        	
                        	**type**\:  :py:class:`BsrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: grange_items
                        
                        	
                        	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: group_items
                        
                        	
                        	**type**\:  :py:class:`GroupItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: ifrec_items
                        
                        	
                        	**type**\:  :py:class:`IfrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: rp_items
                        
                        	
                        	**type**\:  :py:class:`RpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: trstats_items
                        
                        	
                        	**type**\:  :py:class:`TrstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.TrstatsItems>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrfdetail_items
                        
                        	
                        	**type**\:  :py:class:`VrfdetailItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList, self).__init__()

                            self.yang_name = "Vrf-list"
                            self.yang_parent_name = "vrf-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([("autorp-items", ("autorp_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems)), ("bsr-items", ("bsr_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems)), ("grange-items", ("grange_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems)), ("group-items", ("group_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems)), ("ifrec-items", ("ifrec_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems)), ("rp-items", ("rp_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems)), ("trstats-items", ("trstats_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.TrstatsItems)), ("vrfdetail-items", ("vrfdetail_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('cid', (YLeaf(YType.uint32, 'cid'), ['int'])),
                                ('tableid', (YLeaf(YType.str, 'tableId'), ['str'])),
                                ('pim6enbldintfcount', (YLeaf(YType.uint32, 'pim6EnbldIntfCount'), ['int'])),
                                ('bfdenabled', (YLeaf(YType.boolean, 'bfdEnabled'), ['bool'])),
                                ('totalnumroutes', (YLeaf(YType.uint32, 'totalNumRoutes'), ['int'])),
                            ])
                            self.name = None
                            self.cid = None
                            self.tableid = None
                            self.pim6enbldintfcount = None
                            self.bfdenabled = None
                            self.totalnumroutes = None

                            self.autorp_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems()
                            self.autorp_items.parent = self
                            self._children_name_map["autorp_items"] = "autorp-items"

                            self.bsr_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems()
                            self.bsr_items.parent = self
                            self._children_name_map["bsr_items"] = "bsr-items"

                            self.grange_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems()
                            self.grange_items.parent = self
                            self._children_name_map["grange_items"] = "grange-items"

                            self.group_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems()
                            self.group_items.parent = self
                            self._children_name_map["group_items"] = "group-items"

                            self.ifrec_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems()
                            self.ifrec_items.parent = self
                            self._children_name_map["ifrec_items"] = "ifrec-items"

                            self.rp_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems()
                            self.rp_items.parent = self
                            self._children_name_map["rp_items"] = "rp-items"

                            self.trstats_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.TrstatsItems()
                            self.trstats_items.parent = self
                            self._children_name_map["trstats_items"] = "trstats-items"

                            self.vrfdetail_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems()
                            self.vrfdetail_items.parent = self
                            self._children_name_map["vrfdetail_items"] = "vrfdetail-items"
                            self._segment_path = lambda: "Vrf-list" + "[name='" + str(self.name) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/pim6-items/inst-items/routedb-items/vrf-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList, ['name', 'cid', 'tableid', 'pim6enbldintfcount', 'bfdenabled', 'totalnumroutes'], name, value)


                        class AutorpItems(Entity):
                            """
                            
                            
                            .. attribute:: autorppinfo_list
                            
                            	
                            	**type**\: list of  		 :py:class:`AutoRppInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems.AutoRppInfoList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems, self).__init__()

                                self.yang_name = "autorp-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("AutoRppInfo-list", ("autorppinfo_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems.AutoRppInfoList))])
                                self._leafs = OrderedDict()

                                self.autorppinfo_list = YList(self)
                                self._segment_path = lambda: "autorp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems, [], name, value)


                            class AutoRppInfoList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                	**config**\: False
                                
                                .. attribute:: expiry
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: uptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: hashmasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems.AutoRppInfoList, self).__init__()

                                    self.yang_name = "AutoRppInfo-list"
                                    self.yang_parent_name = "autorp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('expiry', (YLeaf(YType.str, 'expiry'), ['str'])),
                                        ('uptime', (YLeaf(YType.str, 'uptime'), ['str'])),
                                        ('priority', (YLeaf(YType.uint32, 'priority'), ['int'])),
                                        ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                    ])
                                    self.addr = None
                                    self.name = None
                                    self.expiry = None
                                    self.uptime = None
                                    self.priority = None
                                    self.hashmasklen = None
                                    self._segment_path = lambda: "AutoRppInfo-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.AutorpItems.AutoRppInfoList, ['addr', 'name', 'expiry', 'uptime', 'priority', 'hashmasklen'], name, value)




                        class BsrItems(Entity):
                            """
                            
                            
                            .. attribute:: bsrinfo_list
                            
                            	
                            	**type**\: list of  		 :py:class:`BsrInfoList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems.BsrInfoList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems, self).__init__()

                                self.yang_name = "bsr-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("BsrInfo-list", ("bsrinfo_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems.BsrInfoList))])
                                self._leafs = OrderedDict()

                                self.bsrinfo_list = YList(self)
                                self._segment_path = lambda: "bsr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems, [], name, value)


                            class BsrInfoList(Entity):
                                """
                                
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: bsraddr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rpaddr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: hash
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: hashmasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: besthash
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems.BsrInfoList, self).__init__()

                                    self.yang_name = "BsrInfo-list"
                                    self.yang_parent_name = "bsr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpaddr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ('bsraddr', (YLeaf(YType.str, 'bsrAddr'), ['str','str'])),
                                        ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                        ('hash', (YLeaf(YType.uint32, 'hash'), ['int'])),
                                        ('hashmasklen', (YLeaf(YType.uint32, 'hashMaskLen'), ['int'])),
                                        ('besthash', (YLeaf(YType.boolean, 'bestHash'), ['bool'])),
                                    ])
                                    self.grpaddr = None
                                    self.bsraddr = None
                                    self.rpaddr = None
                                    self.hash = None
                                    self.hashmasklen = None
                                    self.besthash = None
                                    self._segment_path = lambda: "BsrInfo-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.BsrItems.BsrInfoList, ['grpaddr', 'bsraddr', 'rpaddr', 'hash', 'hashmasklen', 'besthash'], name, value)




                        class GrangeItems(Entity):
                            """
                            
                            
                            .. attribute:: rpgrange_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RpGrangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems.RpGrangeList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems, self).__init__()

                                self.yang_name = "grange-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RpGrange-list", ("rpgrange_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems.RpGrangeList))])
                                self._leafs = OrderedDict()

                                self.rpgrange_list = YList(self)
                                self._segment_path = lambda: "grange-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems, [], name, value)


                            class RpGrangeList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rpaddr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: mode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: usershared
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems.RpGrangeList, self).__init__()

                                    self.yang_name = "RpGrange-list"
                                    self.yang_parent_name = "grange-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                        ('mode', (YLeaf(YType.str, 'mode'), ['str'])),
                                        ('usershared', (YLeaf(YType.uint32, 'userShared'), ['int'])),
                                    ])
                                    self.addr = None
                                    self.rpaddr = None
                                    self.mode = None
                                    self.usershared = None
                                    self._segment_path = lambda: "RpGrange-list" + "[addr='" + str(self.addr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GrangeItems.RpGrangeList, ['addr', 'rpaddr', 'mode', 'usershared'], name, value)




                        class GroupItems(Entity):
                            """
                            
                            
                            .. attribute:: group_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, self).__init__()

                                self.yang_name = "group-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Group-list", ("group_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList))])
                                self._leafs = OrderedDict()

                                self.group_list = YList(self)
                                self._segment_path = lambda: "group-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems, [], name, value)


                            class GroupList(Entity):
                                """
                                
                                
                                .. attribute:: grpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: grpmasklen
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: bidir
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: source_items
                                
                                	
                                	**type**\:  :py:class:`SourceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList, self).__init__()

                                    self.yang_name = "Group-list"
                                    self.yang_parent_name = "group-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['grpaddr']
                                    self._child_classes = OrderedDict([("source-items", ("source_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems))])
                                    self._leafs = OrderedDict([
                                        ('grpaddr', (YLeaf(YType.str, 'grpAddr'), ['str','str'])),
                                        ('grpmasklen', (YLeaf(YType.uint32, 'grpMasklen'), ['int'])),
                                        ('bidir', (YLeaf(YType.boolean, 'bidir'), ['bool'])),
                                    ])
                                    self.grpaddr = None
                                    self.grpmasklen = None
                                    self.bidir = None

                                    self.source_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems()
                                    self.source_items.parent = self
                                    self._children_name_map["source_items"] = "source-items"
                                    self._segment_path = lambda: "Group-list" + "[grpAddr='" + str(self.grpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList, ['grpaddr', 'grpmasklen', 'bidir'], name, value)


                                class SourceItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: source_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`SourceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, self).__init__()

                                        self.yang_name = "source-items"
                                        self.yang_parent_name = "Group-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Source-list", ("source_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList))])
                                        self._leafs = OrderedDict()

                                        self.source_list = YList(self)
                                        self._segment_path = lambda: "source-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems, [], name, value)


                                    class SourceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: srcaddr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: expiryts
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: assertmetrics
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: assertmetricprefs
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oifcount
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routeiif
                                        
                                        	Route Incoming Interface
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rpfnbr
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: routebits
                                        
                                        	RP WC Bit
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rttimeoutinvtl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: jpholdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: oif_items
                                        
                                        	
                                        	**type**\:  :py:class:`OifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, self).__init__()

                                            self.yang_name = "Source-list"
                                            self.yang_parent_name = "source-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['srcaddr']
                                            self._child_classes = OrderedDict([("oif-items", ("oif_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems))])
                                            self._leafs = OrderedDict([
                                                ('srcaddr', (YLeaf(YType.str, 'srcAddr'), ['str','str'])),
                                                ('expiryts', (YLeaf(YType.str, 'expiryTs'), ['str'])),
                                                ('assertmetrics', (YLeaf(YType.uint32, 'assertMetrics'), ['int'])),
                                                ('assertmetricprefs', (YLeaf(YType.uint32, 'assertMetricPrefs'), ['int'])),
                                                ('oifcount', (YLeaf(YType.uint32, 'oifcount'), ['int'])),
                                                ('routeiif', (YLeaf(YType.str, 'routeIif'), ['str'])),
                                                ('rpfnbr', (YLeaf(YType.str, 'rpfNbr'), ['str','str'])),
                                                ('routebits', (YLeaf(YType.str, 'routeBits'), ['str'])),
                                                ('rttimeoutinvtl', (YLeaf(YType.uint32, 'rtTimeOutInvtl'), ['int'])),
                                                ('jpholdtime', (YLeaf(YType.uint32, 'jpHoldTime'), ['int'])),
                                            ])
                                            self.srcaddr = None
                                            self.expiryts = None
                                            self.assertmetrics = None
                                            self.assertmetricprefs = None
                                            self.oifcount = None
                                            self.routeiif = None
                                            self.rpfnbr = None
                                            self.routebits = None
                                            self.rttimeoutinvtl = None
                                            self.jpholdtime = None

                                            self.oif_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems()
                                            self.oif_items.parent = self
                                            self._children_name_map["oif_items"] = "oif-items"
                                            self._segment_path = lambda: "Source-list" + "[srcAddr='" + str(self.srcaddr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList, ['srcaddr', 'expiryts', 'assertmetrics', 'assertmetricprefs', 'oifcount', 'routeiif', 'rpfnbr', 'routebits', 'rttimeoutinvtl', 'jpholdtime'], name, value)


                                        class OifItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: oif_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`OifList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, self).__init__()

                                                self.yang_name = "oif-items"
                                                self.yang_parent_name = "Source-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Oif-list", ("oif_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList))])
                                                self._leafs = OrderedDict()

                                                self.oif_list = YList(self)
                                                self._segment_path = lambda: "oif-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems, [], name, value)


                                            class OifList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: oifname  (key)
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifuptime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oifrpf
                                                
                                                	
                                                	**type**\: bool
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: oiflispencapentries
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, self).__init__()

                                                    self.yang_name = "Oif-list"
                                                    self.yang_parent_name = "oif-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['oifname']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('oifname', (YLeaf(YType.str, 'oifName'), ['str'])),
                                                        ('oifuptime', (YLeaf(YType.str, 'oifUptime'), ['str'])),
                                                        ('oifrpf', (YLeaf(YType.boolean, 'oifRPF'), ['bool'])),
                                                        ('oiflispencapentries', (YLeaf(YType.uint32, 'oifLispEncapEntries'), ['int'])),
                                                    ])
                                                    self.oifname = None
                                                    self.oifuptime = None
                                                    self.oifrpf = None
                                                    self.oiflispencapentries = None
                                                    self._segment_path = lambda: "Oif-list" + "[oifName='" + str(self.oifname) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.GroupItems.GroupList.SourceItems.SourceList.OifItems.OifList, ['oifname', 'oifuptime', 'oifrpf', 'oiflispencapentries'], name, value)








                        class IfrecItems(Entity):
                            """
                            
                            
                            .. attribute:: ifrec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IfRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems, self).__init__()

                                self.yang_name = "ifrec-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IfRec-list", ("ifrec_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList))])
                                self._leafs = OrderedDict()

                                self.ifrec_list = YList(self)
                                self._segment_path = lambda: "ifrec-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems, [], name, value)


                            class IfRecList(Entity):
                                """
                                
                                
                                .. attribute:: pim6ifname  (key)
                                
                                	Interface Name
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pim6dr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pim6drprio
                                
                                	Designated Router Priority on the interface
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pim6nbrholdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pim6genid
                                
                                	Generation ID to be sent in Hello Msgs
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: pim6nexthello
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pim6ipaddr
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: pim6border
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: pim6sparsemode
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: adjrec_items
                                
                                	
                                	**type**\:  :py:class:`AdjrecItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems>`
                                
                                	**config**\: False
                                
                                .. attribute:: ifstats_items
                                
                                	
                                	**type**\:  :py:class:`IfstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList, self).__init__()

                                    self.yang_name = "IfRec-list"
                                    self.yang_parent_name = "ifrec-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['pim6ifname']
                                    self._child_classes = OrderedDict([("adjrec-items", ("adjrec_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems)), ("ifstats-items", ("ifstats_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems))])
                                    self._leafs = OrderedDict([
                                        ('pim6ifname', (YLeaf(YType.str, 'pim6IfName'), ['str'])),
                                        ('pim6dr', (YLeaf(YType.str, 'pim6Dr'), ['str','str'])),
                                        ('pim6drprio', (YLeaf(YType.uint32, 'pim6DrPrio'), ['int'])),
                                        ('pim6nbrholdtime', (YLeaf(YType.uint32, 'pim6NbrHoldTime'), ['int'])),
                                        ('pim6genid', (YLeaf(YType.uint32, 'pim6GenID'), ['int'])),
                                        ('pim6nexthello', (YLeaf(YType.str, 'pim6NextHello'), ['str'])),
                                        ('pim6ipaddr', (YLeaf(YType.str, 'pim6IpAddr'), ['str','str'])),
                                        ('pim6border', (YLeaf(YType.boolean, 'pim6Border'), ['bool'])),
                                        ('pim6sparsemode', (YLeaf(YType.boolean, 'pim6SparseMode'), ['bool'])),
                                    ])
                                    self.pim6ifname = None
                                    self.pim6dr = None
                                    self.pim6drprio = None
                                    self.pim6nbrholdtime = None
                                    self.pim6genid = None
                                    self.pim6nexthello = None
                                    self.pim6ipaddr = None
                                    self.pim6border = None
                                    self.pim6sparsemode = None

                                    self.adjrec_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems()
                                    self.adjrec_items.parent = self
                                    self._children_name_map["adjrec_items"] = "adjrec-items"

                                    self.ifstats_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems()
                                    self.ifstats_items.parent = self
                                    self._children_name_map["ifstats_items"] = "ifstats-items"
                                    self._segment_path = lambda: "IfRec-list" + "[pim6IfName='" + str(self.pim6ifname) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList, ['pim6ifname', 'pim6dr', 'pim6drprio', 'pim6nbrholdtime', 'pim6genid', 'pim6nexthello', 'pim6ipaddr', 'pim6border', 'pim6sparsemode'], name, value)


                                class AdjrecItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: adjeprec_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdjEpRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, self).__init__()

                                        self.yang_name = "adjrec-items"
                                        self.yang_parent_name = "IfRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("AdjEpRec-list", ("adjeprec_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList))])
                                        self._leafs = OrderedDict()

                                        self.adjeprec_list = YList(self)
                                        self._segment_path = lambda: "adjrec-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems, [], name, value)


                                    class AdjEpRecList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: addr  (key)
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: name
                                        
                                        	Name
                                        	**type**\: str
                                        
                                        	**length:** 1..64
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nbrname
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: drprio
                                        
                                        	DR Priority
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: learntime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: expirytime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: genid
                                        
                                        	Generation ID
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: bfdst
                                        
                                        	BFD State
                                        	**type**\:  :py:class:`RtdmcBfdOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcBfdOperSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: operst
                                        
                                        	Operational State
                                        	**type**\:  :py:class:`RtdmcAdjOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcAdjOperSt>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: adjstats_items
                                        
                                        	
                                        	**type**\:  :py:class:`AdjstatsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, self).__init__()

                                            self.yang_name = "AdjEpRec-list"
                                            self.yang_parent_name = "adjrec-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['addr']
                                            self._child_classes = OrderedDict([("adjstats-items", ("adjstats_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems))])
                                            self._leafs = OrderedDict([
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                                ('nbrname', (YLeaf(YType.str, 'nbrName'), ['str'])),
                                                ('drprio', (YLeaf(YType.uint32, 'drPrio'), ['int'])),
                                                ('learntime', (YLeaf(YType.str, 'learnTime'), ['str'])),
                                                ('expirytime', (YLeaf(YType.str, 'expiryTime'), ['str'])),
                                                ('genid', (YLeaf(YType.uint32, 'genId'), ['int'])),
                                                ('bfdst', (YLeaf(YType.enumeration, 'bfdSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcBfdOperSt', '')])),
                                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcAdjOperSt', '')])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.addr = None
                                            self.name = None
                                            self.nbrname = None
                                            self.drprio = None
                                            self.learntime = None
                                            self.expirytime = None
                                            self.genid = None
                                            self.bfdst = None
                                            self.operst = None
                                            self.flags = None

                                            self.adjstats_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems()
                                            self.adjstats_items.parent = self
                                            self._children_name_map["adjstats_items"] = "adjstats-items"
                                            self._segment_path = lambda: "AdjEpRec-list" + "[addr='" + str(self.addr) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList, ['addr', 'name', 'nbrname', 'drprio', 'learntime', 'expirytime', 'genid', 'bfdst', 'operst', 'flags'], name, value)


                                        class AdjstatsItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: lasthellorcvd
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: longhelloitvl
                                            
                                            	Longest Hello Interval
                                            	**type**\: int
                                            
                                            	**range:** 1..18724286
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: lastholdtime
                                            
                                            	Last Hold Time
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            	**config**\: False
                                            
                                            .. attribute:: nonhelloexpresets
                                            
                                            	Non\-Hello Expiry Timer Resets
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, self).__init__()

                                                self.yang_name = "adjstats-items"
                                                self.yang_parent_name = "AdjEpRec-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('lasthellorcvd', (YLeaf(YType.str, 'lastHelloRcvd'), ['str'])),
                                                    ('longhelloitvl', (YLeaf(YType.uint32, 'longHelloItvl'), ['int'])),
                                                    ('lastholdtime', (YLeaf(YType.uint16, 'lastHoldTime'), ['int'])),
                                                    ('nonhelloexpresets', (YLeaf(YType.uint32, 'nonHelloExpResets'), ['int'])),
                                                ])
                                                self.lasthellorcvd = None
                                                self.longhelloitvl = None
                                                self.lastholdtime = None
                                                self.nonhelloexpresets = None
                                                self._segment_path = lambda: "adjstats-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.AdjrecItems.AdjEpRecList.AdjstatsItems, ['lasthellorcvd', 'longhelloitvl', 'lastholdtime', 'nonhelloexpresets'], name, value)





                                class IfstatsItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: hellosent
                                    
                                    	number of hello sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: hellorcvd
                                    
                                    	number of hello rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpsent
                                    
                                    	number of JP sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jprcvd
                                    
                                    	number of JP rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: assertsent
                                    
                                    	number of assert sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: assertrcvd
                                    
                                    	number of assert rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: graftssent
                                    
                                    	number of grafts sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: graftsrcvd
                                    
                                    	number of grafts rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grftacksent
                                    
                                    	number of graft ack sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: grftackrcvd
                                    
                                    	number of graft ack rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfoffersent
                                    
                                    	number of DF\-offer sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfofferrcvd
                                    
                                    	number of DF\-offer rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfwinnersent
                                    
                                    	number of DF winner sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfwinnerrcvd
                                    
                                    	number of DF winner rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfbackoffsent
                                    
                                    	number of DF backoff sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfbackoffrcvd
                                    
                                    	number of DF backoff rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfpassessent
                                    
                                    	number of DF Passes sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: dfpassesrcvd
                                    
                                    	number of DF Passes rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: chksumerr
                                    
                                    	Checksum errors
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: invalidpktsent
                                    
                                    	number of invalid pkt sent
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: invalidpktrcvd
                                    
                                    	number of invalid pkt rcvd
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: authfail
                                    
                                    	number of authentication failures
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pktlenerr
                                    
                                    	number of packet length errors
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: badverpkt
                                    
                                    	number of bad version pkts
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pktfrmself
                                    
                                    	number of pkts from Self
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pktfrmnonnbr
                                    
                                    	packets from Non\-Neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: pktonpassiveif
                                    
                                    	number of packets on passive interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jprcvdonrpf
                                    
                                    	number of packets rcvd on RPF interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: joinnorp
                                    
                                    	\*,G Join rcvd with no RP
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: joinwrongrp
                                    
                                    	number of packets rcvd on Wrong RP
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpssmrcvd
                                    
                                    	number of packets rcvd for SSM groups
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpbidirrcvd
                                    
                                    	number of packets rcvd for Bidir groups
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpfilterin
                                    
                                    	number of JP filtered by inbound policy 
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: jpfilterout
                                    
                                    	number of JP filtered by outbound policy 
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, self).__init__()

                                        self.yang_name = "ifstats-items"
                                        self.yang_parent_name = "IfRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('hellosent', (YLeaf(YType.uint32, 'helloSent'), ['int'])),
                                            ('hellorcvd', (YLeaf(YType.uint32, 'helloRcvd'), ['int'])),
                                            ('jpsent', (YLeaf(YType.uint32, 'jpSent'), ['int'])),
                                            ('jprcvd', (YLeaf(YType.uint32, 'jpRcvd'), ['int'])),
                                            ('assertsent', (YLeaf(YType.uint32, 'assertSent'), ['int'])),
                                            ('assertrcvd', (YLeaf(YType.uint32, 'assertRcvd'), ['int'])),
                                            ('graftssent', (YLeaf(YType.uint32, 'graftsSent'), ['int'])),
                                            ('graftsrcvd', (YLeaf(YType.uint32, 'graftsRcvd'), ['int'])),
                                            ('grftacksent', (YLeaf(YType.uint32, 'grftAckSent'), ['int'])),
                                            ('grftackrcvd', (YLeaf(YType.uint32, 'grftAckRcvd'), ['int'])),
                                            ('dfoffersent', (YLeaf(YType.uint32, 'dfOfferSent'), ['int'])),
                                            ('dfofferrcvd', (YLeaf(YType.uint32, 'dfOfferRcvd'), ['int'])),
                                            ('dfwinnersent', (YLeaf(YType.uint32, 'dfWinnerSent'), ['int'])),
                                            ('dfwinnerrcvd', (YLeaf(YType.uint32, 'dfWinnerRcvd'), ['int'])),
                                            ('dfbackoffsent', (YLeaf(YType.uint32, 'dfBackoffSent'), ['int'])),
                                            ('dfbackoffrcvd', (YLeaf(YType.uint32, 'dfBackoffRcvd'), ['int'])),
                                            ('dfpassessent', (YLeaf(YType.uint32, 'dfPassesSent'), ['int'])),
                                            ('dfpassesrcvd', (YLeaf(YType.uint32, 'dfPassesRcvd'), ['int'])),
                                            ('chksumerr', (YLeaf(YType.uint32, 'chksumErr'), ['int'])),
                                            ('invalidpktsent', (YLeaf(YType.uint32, 'invalidPktSent'), ['int'])),
                                            ('invalidpktrcvd', (YLeaf(YType.uint32, 'invalidPktRcvd'), ['int'])),
                                            ('authfail', (YLeaf(YType.uint32, 'authFail'), ['int'])),
                                            ('pktlenerr', (YLeaf(YType.uint32, 'pktLenErr'), ['int'])),
                                            ('badverpkt', (YLeaf(YType.uint32, 'badVerPkt'), ['int'])),
                                            ('pktfrmself', (YLeaf(YType.uint32, 'pktFrmSelf'), ['int'])),
                                            ('pktfrmnonnbr', (YLeaf(YType.uint32, 'pktFrmNonNbr'), ['int'])),
                                            ('pktonpassiveif', (YLeaf(YType.uint32, 'pktOnPassiveIf'), ['int'])),
                                            ('jprcvdonrpf', (YLeaf(YType.uint32, 'jpRcvdOnRPF'), ['int'])),
                                            ('joinnorp', (YLeaf(YType.uint32, 'joinNoRP'), ['int'])),
                                            ('joinwrongrp', (YLeaf(YType.uint32, 'joinWrongRp'), ['int'])),
                                            ('jpssmrcvd', (YLeaf(YType.uint32, 'jpSSMRcvd'), ['int'])),
                                            ('jpbidirrcvd', (YLeaf(YType.uint32, 'jpBidirRcvd'), ['int'])),
                                            ('jpfilterin', (YLeaf(YType.uint32, 'jpFilterIn'), ['int'])),
                                            ('jpfilterout', (YLeaf(YType.uint32, 'jpFilterOut'), ['int'])),
                                        ])
                                        self.hellosent = None
                                        self.hellorcvd = None
                                        self.jpsent = None
                                        self.jprcvd = None
                                        self.assertsent = None
                                        self.assertrcvd = None
                                        self.graftssent = None
                                        self.graftsrcvd = None
                                        self.grftacksent = None
                                        self.grftackrcvd = None
                                        self.dfoffersent = None
                                        self.dfofferrcvd = None
                                        self.dfwinnersent = None
                                        self.dfwinnerrcvd = None
                                        self.dfbackoffsent = None
                                        self.dfbackoffrcvd = None
                                        self.dfpassessent = None
                                        self.dfpassesrcvd = None
                                        self.chksumerr = None
                                        self.invalidpktsent = None
                                        self.invalidpktrcvd = None
                                        self.authfail = None
                                        self.pktlenerr = None
                                        self.badverpkt = None
                                        self.pktfrmself = None
                                        self.pktfrmnonnbr = None
                                        self.pktonpassiveif = None
                                        self.jprcvdonrpf = None
                                        self.joinnorp = None
                                        self.joinwrongrp = None
                                        self.jpssmrcvd = None
                                        self.jpbidirrcvd = None
                                        self.jpfilterin = None
                                        self.jpfilterout = None
                                        self._segment_path = lambda: "ifstats-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.IfrecItems.IfRecList.IfstatsItems, ['hellosent', 'hellorcvd', 'jpsent', 'jprcvd', 'assertsent', 'assertrcvd', 'graftssent', 'graftsrcvd', 'grftacksent', 'grftackrcvd', 'dfoffersent', 'dfofferrcvd', 'dfwinnersent', 'dfwinnerrcvd', 'dfbackoffsent', 'dfbackoffrcvd', 'dfpassessent', 'dfpassesrcvd', 'chksumerr', 'invalidpktsent', 'invalidpktrcvd', 'authfail', 'pktlenerr', 'badverpkt', 'pktfrmself', 'pktfrmnonnbr', 'pktonpassiveif', 'jprcvdonrpf', 'joinnorp', 'joinwrongrp', 'jpssmrcvd', 'jpbidirrcvd', 'jpfilterin', 'jpfilterout'], name, value)





                        class RpItems(Entity):
                            """
                            
                            
                            .. attribute:: rpinforec_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RpInfoRecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems, self).__init__()

                                self.yang_name = "rp-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RpInfoRec-list", ("rpinforec_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList))])
                                self._leafs = OrderedDict()

                                self.rpinforec_list = YList(self)
                                self._segment_path = lambda: "rp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems, [], name, value)


                            class RpInfoRecList(Entity):
                                """
                                
                                
                                .. attribute:: rpaddr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rplocal
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: rpuptime
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rppriority
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpdisctype
                                
                                	RP source type
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: rpdfordinal
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmetricpref
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpmetric
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rpif_items
                                
                                	
                                	**type**\:  :py:class:`RpifItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList, self).__init__()

                                    self.yang_name = "RpInfoRec-list"
                                    self.yang_parent_name = "rp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['rpaddr']
                                    self._child_classes = OrderedDict([("rpif-items", ("rpif_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems))])
                                    self._leafs = OrderedDict([
                                        ('rpaddr', (YLeaf(YType.str, 'rpAddr'), ['str','str'])),
                                        ('rplocal', (YLeaf(YType.boolean, 'rpLocal'), ['bool'])),
                                        ('rpuptime', (YLeaf(YType.str, 'rpUptime'), ['str'])),
                                        ('rppriority', (YLeaf(YType.uint32, 'rpPriority'), ['int'])),
                                        ('rpdisctype', (YLeaf(YType.str, 'rpDiscType'), ['str'])),
                                        ('rpdfordinal', (YLeaf(YType.uint32, 'rpDfOrdinal'), ['int'])),
                                        ('rpmetricpref', (YLeaf(YType.uint32, 'rpMetricPref'), ['int'])),
                                        ('rpmetric', (YLeaf(YType.uint32, 'rpMetric'), ['int'])),
                                    ])
                                    self.rpaddr = None
                                    self.rplocal = None
                                    self.rpuptime = None
                                    self.rppriority = None
                                    self.rpdisctype = None
                                    self.rpdfordinal = None
                                    self.rpmetricpref = None
                                    self.rpmetric = None

                                    self.rpif_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems()
                                    self.rpif_items.parent = self
                                    self._children_name_map["rpif_items"] = "rpif-items"
                                    self._segment_path = lambda: "RpInfoRec-list" + "[rpAddr='" + str(self.rpaddr) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList, ['rpaddr', 'rplocal', 'rpuptime', 'rppriority', 'rpdisctype', 'rpdfordinal', 'rpmetricpref', 'rpmetric'], name, value)


                                class RpifItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rpif_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RpIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, self).__init__()

                                        self.yang_name = "rpif-items"
                                        self.yang_parent_name = "RpInfoRec-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RpIf-list", ("rpif_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList))])
                                        self._leafs = OrderedDict()

                                        self.rpif_list = YList(self)
                                        self._segment_path = lambda: "rpif-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems, [], name, value)


                                    class RpIfList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ifname  (key)
                                        
                                        	DF Interface Name
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfwinner
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        		**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfstate
                                        
                                        	Current state of DF
                                        	**type**\:  :py:class:`RtdmcDfStates <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtdmcDfStates>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: dfuptime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: isrpf
                                        
                                        	
                                        	**type**\: bool
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: winnermetricpref
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: winnermetric
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, self).__init__()

                                            self.yang_name = "RpIf-list"
                                            self.yang_parent_name = "rpif-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['ifname']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('ifname', (YLeaf(YType.str, 'ifName'), ['str'])),
                                                ('dfwinner', (YLeaf(YType.str, 'dfWinner'), ['str','str'])),
                                                ('dfstate', (YLeaf(YType.enumeration, 'dfState'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtdmcDfStates', '')])),
                                                ('dfuptime', (YLeaf(YType.str, 'dfUptime'), ['str'])),
                                                ('isrpf', (YLeaf(YType.boolean, 'isRpf'), ['bool'])),
                                                ('winnermetricpref', (YLeaf(YType.uint32, 'winnerMetricPref'), ['int'])),
                                                ('winnermetric', (YLeaf(YType.uint32, 'winnerMetric'), ['int'])),
                                            ])
                                            self.ifname = None
                                            self.dfwinner = None
                                            self.dfstate = None
                                            self.dfuptime = None
                                            self.isrpf = None
                                            self.winnermetricpref = None
                                            self.winnermetric = None
                                            self._segment_path = lambda: "RpIf-list" + "[ifName='" + str(self.ifname) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.RpItems.RpInfoRecList.RpifItems.RpIfList, ['ifname', 'dfwinner', 'dfstate', 'dfuptime', 'isrpf', 'winnermetricpref', 'winnermetric'], name, value)






                        class TrstatsItems(Entity):
                            """
                            
                            
                            .. attribute:: lastclearts
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: regrcvd
                            
                            	Register Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: nullregrcvd
                            
                            	Null Register Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: regstoprcvd
                            
                            	Reg Stop Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bsrcvd
                            
                            	Bootstrap received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: candrprcvd
                            
                            	Candidate RP Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpannrcvd
                            
                            	AutoRP Announce Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpdiscrcvd
                            
                            	AutoRP Discovery Received
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: nullregsent
                            
                            	NULL Register sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: regstopsent
                            
                            	Register Stop Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bssent
                            
                            	Bootstrap Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: candrpsent
                            
                            	Candidate RP Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpannsent
                            
                            	AutoRP Announce Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpdiscsent
                            
                            	AutoRP Discovery Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorprpfsent
                            
                            	AutoRP RPF Sent
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpbrddeny
                            
                            	AutoRP Border Deny
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorrpnolistn
                            
                            	AutoRP No Listen
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpttlexp
                            
                            	AutoRP TTL Expired
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: autorpinvtype
                            
                            	AutoRP Invalid Type
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bsnonbr
                            
                            	BS No NBR
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bsborddeny
                            
                            	BS Border Deny
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bslenerr
                            
                            	BS Len Errors
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bsrpffail
                            
                            	BS RPF Failed
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: bsnolis
                            
                            	BS No Listen
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: candrpnolis
                            
                            	Candidate RP No Listen
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: candrpborddeny
                            
                            	Candidate RP Border Deny
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: regrcvdnorp
                            
                            	Register Received not RP
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: regrcvdforssm
                            
                            	Register Received Not SSM
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: regrcvdforbd
                            
                            	Register received for Bidir
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            .. attribute:: noroute
                            
                            	No Route
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.TrstatsItems, self).__init__()

                                self.yang_name = "trstats-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('lastclearts', (YLeaf(YType.str, 'lastClearTs'), ['str'])),
                                    ('regrcvd', (YLeaf(YType.uint32, 'regRcvd'), ['int'])),
                                    ('nullregrcvd', (YLeaf(YType.uint32, 'nullRegRcvd'), ['int'])),
                                    ('regstoprcvd', (YLeaf(YType.uint32, 'regStopRcvd'), ['int'])),
                                    ('bsrcvd', (YLeaf(YType.uint32, 'bsRcvd'), ['int'])),
                                    ('candrprcvd', (YLeaf(YType.uint32, 'candRpRcvd'), ['int'])),
                                    ('autorpannrcvd', (YLeaf(YType.uint32, 'autorpAnnRcvd'), ['int'])),
                                    ('autorpdiscrcvd', (YLeaf(YType.uint32, 'autorpDiscRcvd'), ['int'])),
                                    ('nullregsent', (YLeaf(YType.uint32, 'nullRegSent'), ['int'])),
                                    ('regstopsent', (YLeaf(YType.uint32, 'regStopSent'), ['int'])),
                                    ('bssent', (YLeaf(YType.uint32, 'bsSent'), ['int'])),
                                    ('candrpsent', (YLeaf(YType.uint32, 'candRPSent'), ['int'])),
                                    ('autorpannsent', (YLeaf(YType.uint32, 'autorpAnnSent'), ['int'])),
                                    ('autorpdiscsent', (YLeaf(YType.uint32, 'autorpDiscSent'), ['int'])),
                                    ('autorprpfsent', (YLeaf(YType.uint32, 'autorpRpfSent'), ['int'])),
                                    ('autorpbrddeny', (YLeaf(YType.uint32, 'autorpBrdDeny'), ['int'])),
                                    ('autorrpnolistn', (YLeaf(YType.uint32, 'autorrpNoListn'), ['int'])),
                                    ('autorpttlexp', (YLeaf(YType.uint32, 'autorpTtlExp'), ['int'])),
                                    ('autorpinvtype', (YLeaf(YType.uint32, 'autorpInvType'), ['int'])),
                                    ('bsnonbr', (YLeaf(YType.uint32, 'bsNoNbr'), ['int'])),
                                    ('bsborddeny', (YLeaf(YType.uint32, 'bsBordDeny'), ['int'])),
                                    ('bslenerr', (YLeaf(YType.uint32, 'bsLenErr'), ['int'])),
                                    ('bsrpffail', (YLeaf(YType.uint32, 'bsRpfFail'), ['int'])),
                                    ('bsnolis', (YLeaf(YType.uint32, 'bsNoLis'), ['int'])),
                                    ('candrpnolis', (YLeaf(YType.uint32, 'candrpNoLis'), ['int'])),
                                    ('candrpborddeny', (YLeaf(YType.uint32, 'candrpBordDeny'), ['int'])),
                                    ('regrcvdnorp', (YLeaf(YType.uint32, 'regRcvdNoRP'), ['int'])),
                                    ('regrcvdforssm', (YLeaf(YType.uint32, 'regRcvdForSSM'), ['int'])),
                                    ('regrcvdforbd', (YLeaf(YType.uint32, 'regRcvdForBd'), ['int'])),
                                    ('noroute', (YLeaf(YType.uint32, 'noRoute'), ['int'])),
                                ])
                                self.lastclearts = None
                                self.regrcvd = None
                                self.nullregrcvd = None
                                self.regstoprcvd = None
                                self.bsrcvd = None
                                self.candrprcvd = None
                                self.autorpannrcvd = None
                                self.autorpdiscrcvd = None
                                self.nullregsent = None
                                self.regstopsent = None
                                self.bssent = None
                                self.candrpsent = None
                                self.autorpannsent = None
                                self.autorpdiscsent = None
                                self.autorprpfsent = None
                                self.autorpbrddeny = None
                                self.autorrpnolistn = None
                                self.autorpttlexp = None
                                self.autorpinvtype = None
                                self.bsnonbr = None
                                self.bsborddeny = None
                                self.bslenerr = None
                                self.bsrpffail = None
                                self.bsnolis = None
                                self.candrpnolis = None
                                self.candrpborddeny = None
                                self.regrcvdnorp = None
                                self.regrcvdforssm = None
                                self.regrcvdforbd = None
                                self.noroute = None
                                self._segment_path = lambda: "trstats-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.TrstatsItems, ['lastclearts', 'regrcvd', 'nullregrcvd', 'regstoprcvd', 'bsrcvd', 'candrprcvd', 'autorpannrcvd', 'autorpdiscrcvd', 'nullregsent', 'regstopsent', 'bssent', 'candrpsent', 'autorpannsent', 'autorpdiscsent', 'autorprpfsent', 'autorpbrddeny', 'autorrpnolistn', 'autorpttlexp', 'autorpinvtype', 'bsnonbr', 'bsborddeny', 'bslenerr', 'bsrpffail', 'bsnolis', 'candrpnolis', 'candrpborddeny', 'regrcvdnorp', 'regrcvdforssm', 'regrcvdforbd', 'noroute'], name, value)



                        class VrfdetailItems(Entity):
                            """
                            
                            
                            .. attribute:: stlmt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: availstlmt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rsvlmt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: availrsvlmt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: rsvpolname
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: regratelmt
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**config**\: False
                            
                            .. attribute:: sharedtrpolname
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: grange_items
                            
                            	
                            	**type**\:  :py:class:`GrangeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems, self).__init__()

                                self.yang_name = "vrfdetail-items"
                                self.yang_parent_name = "Vrf-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("grange-items", ("grange_items", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems))])
                                self._leafs = OrderedDict([
                                    ('stlmt', (YLeaf(YType.uint64, 'stLmt'), ['int'])),
                                    ('availstlmt', (YLeaf(YType.uint64, 'availStLmt'), ['int'])),
                                    ('rsvlmt', (YLeaf(YType.uint64, 'rsvLmt'), ['int'])),
                                    ('availrsvlmt', (YLeaf(YType.uint64, 'availRsvLmt'), ['int'])),
                                    ('rsvpolname', (YLeaf(YType.str, 'rsvPolName'), ['str'])),
                                    ('regratelmt', (YLeaf(YType.uint64, 'regRateLmt'), ['int'])),
                                    ('sharedtrpolname', (YLeaf(YType.str, 'sharedTrPolName'), ['str'])),
                                ])
                                self.stlmt = None
                                self.availstlmt = None
                                self.rsvlmt = None
                                self.availrsvlmt = None
                                self.rsvpolname = None
                                self.regratelmt = None
                                self.sharedtrpolname = None

                                self.grange_items = System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems()
                                self.grange_items.parent = self
                                self._children_name_map["grange_items"] = "grange-items"
                                self._segment_path = lambda: "vrfdetail-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems, ['stlmt', 'availstlmt', 'rsvlmt', 'availrsvlmt', 'rsvpolname', 'regratelmt', 'sharedtrpolname'], name, value)


                            class GrangeItems(Entity):
                                """
                                
                                
                                .. attribute:: sharedrouterange_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SharedRouteRangeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems, self).__init__()

                                    self.yang_name = "grange-items"
                                    self.yang_parent_name = "vrfdetail-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("SharedRouteRange-list", ("sharedrouterange_list", System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList))])
                                    self._leafs = OrderedDict()

                                    self.sharedrouterange_list = YList(self)
                                    self._segment_path = lambda: "grange-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems, [], name, value)


                                class SharedRouteRangeList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: grangeip  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, self).__init__()

                                        self.yang_name = "SharedRouteRange-list"
                                        self.yang_parent_name = "grange-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['grangeip']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('grangeip', (YLeaf(YType.str, 'grangeIp'), ['str','str'])),
                                        ])
                                        self.grangeip = None
                                        self._segment_path = lambda: "SharedRouteRange-list" + "[grangeIp='" + str(self.grangeip) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Pim6Items.InstItems.RoutedbItems.VrfItems.VrfList.VrfdetailItems.GrangeItems.SharedRouteRangeList, ['grangeip'], name, value)










    class SegrtItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: opererr
        
        	Operational Errors Qualifier
        	**type**\: str
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems>`
        
        .. attribute:: te_items
        
        	
        	**type**\:  :py:class:`TeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SegrtItems, self).__init__()

            self.yang_name = "segrt-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.SegrtItems.InstItems)), ("te-items", ("te_items", System.SegrtItems.TeItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None
            self.opererr = None

            self.inst_items = System.SegrtItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"

            self.te_items = System.SegrtItems.TeItems()
            self.te_items.parent = self
            self._children_name_map["te_items"] = "te-items"
            self._segment_path = lambda: "segrt-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SegrtItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: srgbcleanupintvl
            
            	SRGB cleanup interval
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: srgballocretryintvl
            
            	SRGB allocation retry interval
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: operst
            
            	Segment\-routing Operational State
            	**type**\:  :py:class:`SegrtOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtOperSt>`
            
            	**config**\: False
            
            .. attribute:: operstqual
            
            	Segment\-routing Operational State Qualifier
            	**type**\:  :py:class:`SegrtOperStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtOperStQual>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems>`
            
            .. attribute:: srgb_items
            
            	
            	**type**\:  :py:class:`SrgbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SegrtItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "segrt-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.SegrtItems.InstItems.DomItems)), ("srgb-items", ("srgb_items", System.SegrtItems.InstItems.SrgbItems))])
                self._leafs = OrderedDict([
                    ('srgbcleanupintvl', (YLeaf(YType.uint16, 'srgbCleanupIntvl'), ['int'])),
                    ('srgballocretryintvl', (YLeaf(YType.uint16, 'srgbAllocRetryIntvl'), ['int'])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtOperSt', '')])),
                    ('operstqual', (YLeaf(YType.enumeration, 'operStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtOperStQual', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.srgbcleanupintvl = None
                self.srgballocretryintvl = None
                self.operst = None
                self.operstqual = None
                self.name = None
                self.adminst = None
                self.ctrl = None
                self.opererr = None

                self.dom_items = System.SegrtItems.InstItems.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.srgb_items = System.SegrtItems.InstItems.SrgbItems()
                self.srgb_items.parent = self
                self._children_name_map["srgb_items"] = "srgb-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SegrtItems.InstItems, ['srgbcleanupintvl', 'srgballocretryintvl', 'operst', 'operstqual', 'name', 'adminst', 'ctrl', 'opererr'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: dom_list
                
                	
                	**type**\: list of  		 :py:class:`DomList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.InstItems.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Dom-list", ("dom_list", System.SegrtItems.InstItems.DomItems.DomList))])
                    self._leafs = OrderedDict()

                    self.dom_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.InstItems.DomItems, [], name, value)


                class DomList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: af_items
                    
                    	
                    	**type**\:  :py:class:`AfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.InstItems.DomItems.DomList, self).__init__()

                        self.yang_name = "Dom-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("af-items", ("af_items", System.SegrtItems.InstItems.DomItems.DomList.AfItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.af_items = System.SegrtItems.InstItems.DomItems.DomList.AfItems()
                        self.af_items.parent = self
                        self._children_name_map["af_items"] = "af-items"
                        self._segment_path = lambda: "Dom-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/dom-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList, ['name'], name, value)


                    class AfItems(Entity):
                        """
                        
                        
                        .. attribute:: domaf_list
                        
                        	
                        	**type**\: list of  		 :py:class:`DomAfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.InstItems.DomItems.DomList.AfItems, self).__init__()

                            self.yang_name = "af-items"
                            self.yang_parent_name = "Dom-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("DomAf-list", ("domaf_list", System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList))])
                            self._leafs = OrderedDict()

                            self.domaf_list = YList(self)
                            self._segment_path = lambda: "af-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems, [], name, value)


                        class DomAfList(Entity):
                            """
                            
                            
                            .. attribute:: aftype  (key)
                            
                            	Address family type
                            	**type**\:  :py:class:`SegrtAfType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtAfType>`
                            
                            .. attribute:: name
                            
                            	Name
                            	**type**\: str
                            
                            	**length:** 1..64
                            
                            .. attribute:: pfxsid_items
                            
                            	
                            	**type**\:  :py:class:`PfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList, self).__init__()

                                self.yang_name = "DomAf-list"
                                self.yang_parent_name = "af-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['aftype']
                                self._child_classes = OrderedDict([("pfxsid-items", ("pfxsid_items", System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems))])
                                self._leafs = OrderedDict([
                                    ('aftype', (YLeaf(YType.enumeration, 'afType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtAfType', '')])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ])
                                self.aftype = None
                                self.name = None

                                self.pfxsid_items = System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems()
                                self.pfxsid_items.parent = self
                                self._children_name_map["pfxsid_items"] = "pfxsid-items"
                                self._segment_path = lambda: "DomAf-list" + "[afType='" + str(self.aftype) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList, ['aftype', 'name'], name, value)


                            class PfxsidItems(Entity):
                                """
                                
                                
                                .. attribute:: prefixsid_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PrefixSidList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems, self).__init__()

                                    self.yang_name = "pfxsid-items"
                                    self.yang_parent_name = "DomAf-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PrefixSid-list", ("prefixsid_list", System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList))])
                                    self._leafs = OrderedDict()

                                    self.prefixsid_list = YList(self)
                                    self._segment_path = lambda: "pfxsid-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems, [], name, value)


                                class PrefixSidList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: type  (key)
                                    
                                    	Type of Segment Identifier
                                    	**type**\:  :py:class:`SegrtSrDpType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSrDpType>`
                                    
                                    .. attribute:: mplspfxsid_items
                                    
                                    	
                                    	**type**\:  :py:class:`MplspfxsidItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList, self).__init__()

                                        self.yang_name = "PrefixSid-list"
                                        self.yang_parent_name = "pfxsid-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['type']
                                        self._child_classes = OrderedDict([("mplspfxsid-items", ("mplspfxsid_items", System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems))])
                                        self._leafs = OrderedDict([
                                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSrDpType', '')])),
                                        ])
                                        self.type = None

                                        self.mplspfxsid_items = System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems()
                                        self.mplspfxsid_items.parent = self
                                        self._children_name_map["mplspfxsid_items"] = "mplspfxsid-items"
                                        self._segment_path = lambda: "PrefixSid-list" + "[type='" + str(self.type) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList, ['type'], name, value)


                                    class MplspfxsidItems(Entity):
                                        """
                                        
                                        
                                        .. attribute:: mplsprefixsid_list
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`MplsPrefixSidList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems.MplsPrefixSidList>`
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems, self).__init__()

                                            self.yang_name = "mplspfxsid-items"
                                            self.yang_parent_name = "PrefixSid-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = []
                                            self._child_classes = OrderedDict([("MplsPrefixSid-list", ("mplsprefixsid_list", System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems.MplsPrefixSidList))])
                                            self._leafs = OrderedDict()

                                            self.mplsprefixsid_list = YList(self)
                                            self._segment_path = lambda: "mplspfxsid-items"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems, [], name, value)


                                        class MplsPrefixSidList(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pfx  (key)
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: sidvaluetype
                                            
                                            	Type of Segment Identifier Value
                                            	**type**\:  :py:class:`SegrtSidValueType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSidValueType>`
                                            
                                            .. attribute:: sidvalue
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..471804
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems.MplsPrefixSidList, self).__init__()

                                                self.yang_name = "MplsPrefixSid-list"
                                                self.yang_parent_name = "mplspfxsid-items"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = ['pfx']
                                                self._child_classes = OrderedDict([])
                                                self._leafs = OrderedDict([
                                                    ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                                    ('sidvaluetype', (YLeaf(YType.enumeration, 'sidValueType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSidValueType', '')])),
                                                    ('sidvalue', (YLeaf(YType.uint32, 'sidValue'), ['int'])),
                                                ])
                                                self.pfx = None
                                                self.sidvaluetype = None
                                                self.sidvalue = None
                                                self._segment_path = lambda: "MplsPrefixSid-list" + "[pfx='" + str(self.pfx) + "']"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.SegrtItems.InstItems.DomItems.DomList.AfItems.DomAfList.PfxsidItems.PrefixSidList.MplspfxsidItems.MplsPrefixSidList, ['pfx', 'sidvaluetype', 'sidvalue'], name, value)










            class SrgbItems(Entity):
                """
                
                
                .. attribute:: cfgsrgb_items
                
                	
                	**type**\:  :py:class:`CfgsrgbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems>`
                
                .. attribute:: opersrgb_items
                
                	
                	**type**\:  :py:class:`OpersrgbItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.OpersrgbItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.InstItems.SrgbItems, self).__init__()

                    self.yang_name = "srgb-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("cfgsrgb-items", ("cfgsrgb_items", System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems)), ("opersrgb-items", ("opersrgb_items", System.SegrtItems.InstItems.SrgbItems.OpersrgbItems))])
                    self._leafs = OrderedDict()

                    self.cfgsrgb_items = System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems()
                    self.cfgsrgb_items.parent = self
                    self._children_name_map["cfgsrgb_items"] = "cfgsrgb-items"

                    self.opersrgb_items = System.SegrtItems.InstItems.SrgbItems.OpersrgbItems()
                    self.opersrgb_items.parent = self
                    self._children_name_map["opersrgb_items"] = "opersrgb-items"
                    self._segment_path = lambda: "srgb-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.InstItems.SrgbItems, [], name, value)


                class CfgsrgbItems(Entity):
                    """
                    
                    
                    .. attribute:: configsrgb_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ConfigSrgbList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems, self).__init__()

                        self.yang_name = "cfgsrgb-items"
                        self.yang_parent_name = "srgb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ConfigSrgb-list", ("configsrgb_list", System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList))])
                        self._leafs = OrderedDict()

                        self.configsrgb_list = YList(self)
                        self._segment_path = lambda: "cfgsrgb-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/srgb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems, [], name, value)


                    class ConfigSrgbList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	SRGB type
                        	**type**\:  :py:class:`SegrtSrDpType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSrDpType>`
                        
                        .. attribute:: lblblock_items
                        
                        	
                        	**type**\:  :py:class:`LblblockItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList, self).__init__()

                            self.yang_name = "ConfigSrgb-list"
                            self.yang_parent_name = "cfgsrgb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['type']
                            self._child_classes = OrderedDict([("lblblock-items", ("lblblock_items", System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems))])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSrDpType', '')])),
                            ])
                            self.type = None

                            self.lblblock_items = System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems()
                            self.lblblock_items.parent = self
                            self._children_name_map["lblblock_items"] = "lblblock-items"
                            self._segment_path = lambda: "ConfigSrgb-list" + "[type='" + str(self.type) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/srgb-items/cfgsrgb-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList, ['type'], name, value)


                        class LblblockItems(Entity):
                            """
                            
                            
                            .. attribute:: lblblock_list
                            
                            	
                            	**type**\: list of  		 :py:class:`LblBlockList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems.LblBlockList>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems, self).__init__()

                                self.yang_name = "lblblock-items"
                                self.yang_parent_name = "ConfigSrgb-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("LblBlock-list", ("lblblock_list", System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems.LblBlockList))])
                                self._leafs = OrderedDict()

                                self.lblblock_list = YList(self)
                                self._segment_path = lambda: "lblblock-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems, [], name, value)


                            class LblBlockList(Entity):
                                """
                                
                                
                                .. attribute:: localid  (key)
                                
                                	
                                	**type**\: str
                                
                                	**length:** 1..64
                                
                                .. attribute:: srlblmin
                                
                                	SRGB minimum label
                                	**type**\: int
                                
                                	**range:** 16000..471804
                                
                                .. attribute:: srlblmax
                                
                                	SRGB minimum label
                                	**type**\: int
                                
                                	**range:** 16000..471804
                                
                                .. attribute:: operst
                                
                                	SRGB Operational State
                                	**type**\:  :py:class:`SegrtSRGBOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSRGBOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: numallocretries
                                
                                	Number of SRGB allocation retries
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems.LblBlockList, self).__init__()

                                    self.yang_name = "LblBlock-list"
                                    self.yang_parent_name = "lblblock-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['localid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('localid', (YLeaf(YType.str, 'localId'), ['str'])),
                                        ('srlblmin', (YLeaf(YType.uint32, 'srLblMin'), ['int'])),
                                        ('srlblmax', (YLeaf(YType.uint32, 'srLblMax'), ['int'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSRGBOperSt', '')])),
                                        ('numallocretries', (YLeaf(YType.uint32, 'numAllocRetries'), ['int'])),
                                    ])
                                    self.localid = None
                                    self.srlblmin = None
                                    self.srlblmax = None
                                    self.operst = None
                                    self.numallocretries = None
                                    self._segment_path = lambda: "LblBlock-list" + "[localId='" + str(self.localid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.CfgsrgbItems.ConfigSrgbList.LblblockItems.LblBlockList, ['localid', 'srlblmin', 'srlblmax', 'operst', 'numallocretries'], name, value)






                class OpersrgbItems(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	SRGB type
                    	**type**\:  :py:class:`SegrtSrDpType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSrDpType>`
                    
                    .. attribute:: operlblblock_items
                    
                    	
                    	**type**\:  :py:class:`OperlblblockItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems, self).__init__()

                        self.yang_name = "opersrgb-items"
                        self.yang_parent_name = "srgb-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("operlblblock-items", ("operlblblock_items", System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems))])
                        self._leafs = OrderedDict([
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSrDpType', '')])),
                        ])
                        self.type = None

                        self.operlblblock_items = System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems()
                        self.operlblblock_items.parent = self
                        self._children_name_map["operlblblock_items"] = "operlblblock-items"
                        self._segment_path = lambda: "opersrgb-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/srgb-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems, ['type'], name, value)


                    class OperlblblockItems(Entity):
                        """
                        
                        
                        .. attribute:: operlblblock_list
                        
                        	
                        	**type**\: list of  		 :py:class:`OperLblBlockList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems.OperLblBlockList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems, self).__init__()

                            self.yang_name = "operlblblock-items"
                            self.yang_parent_name = "opersrgb-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("OperLblBlock-list", ("operlblblock_list", System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems.OperLblBlockList))])
                            self._leafs = OrderedDict()

                            self.operlblblock_list = YList(self)
                            self._segment_path = lambda: "operlblblock-items"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/srgb-items/opersrgb-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems, [], name, value)


                        class OperLblBlockList(Entity):
                            """
                            
                            
                            .. attribute:: localid  (key)
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: srlblmin
                            
                            	SRGB minimum label
                            	**type**\: int
                            
                            	**range:** 0..471804
                            
                            	**config**\: False
                            
                            .. attribute:: srlblmax
                            
                            	SRGB minimum label
                            	**type**\: int
                            
                            	**range:** 0..471804
                            
                            	**config**\: False
                            
                            .. attribute:: operst
                            
                            	SRGB Operational State
                            	**type**\:  :py:class:`SegrtSRGBOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SegrtSRGBOperSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: numallocretries
                            
                            	Number of SRGB allocation retries
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems.OperLblBlockList, self).__init__()

                                self.yang_name = "OperLblBlock-list"
                                self.yang_parent_name = "operlblblock-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self.ylist_key_names = ['localid']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('localid', (YLeaf(YType.str, 'localId'), ['str'])),
                                    ('srlblmin', (YLeaf(YType.uint32, 'srLblMin'), ['int'])),
                                    ('srlblmax', (YLeaf(YType.uint32, 'srLblMax'), ['int'])),
                                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SegrtSRGBOperSt', '')])),
                                    ('numallocretries', (YLeaf(YType.uint32, 'numAllocRetries'), ['int'])),
                                ])
                                self.localid = None
                                self.srlblmin = None
                                self.srlblmax = None
                                self.operst = None
                                self.numallocretries = None
                                self._segment_path = lambda: "OperLblBlock-list" + "[localId='" + str(self.localid) + "']"
                                self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/inst-items/srgb-items/opersrgb-items/operlblblock-items/%s" % self._segment_path()
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SegrtItems.InstItems.SrgbItems.OpersrgbItems.OperlblblockItems.OperLblBlockList, ['localid', 'srlblmin', 'srlblmax', 'operst', 'numallocretries'], name, value)







        class TeItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
            
            	**config**\: False
            
            .. attribute:: opererr
            
            	Operational Errors Qualifier
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: color_items
            
            	
            	**type**\:  :py:class:`ColorItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ColorItems>`
            
            .. attribute:: encap_items
            
            	
            	**type**\:  :py:class:`EncapItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.EncapItems>`
            
            .. attribute:: exppath_items
            
            	
            	**type**\:  :py:class:`ExppathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ExppathItems>`
            
            .. attribute:: pcc_items
            
            	
            	**type**\:  :py:class:`PccItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PccItems>`
            
            .. attribute:: policy_items
            
            	
            	**type**\:  :py:class:`PolicyItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SegrtItems.TeItems, self).__init__()

                self.yang_name = "te-items"
                self.yang_parent_name = "segrt-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("color-items", ("color_items", System.SegrtItems.TeItems.ColorItems)), ("encap-items", ("encap_items", System.SegrtItems.TeItems.EncapItems)), ("exppath-items", ("exppath_items", System.SegrtItems.TeItems.ExppathItems)), ("pcc-items", ("pcc_items", System.SegrtItems.TeItems.PccItems)), ("policy-items", ("policy_items", System.SegrtItems.TeItems.PolicyItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                    ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.operst = None
                self.opererr = None

                self.color_items = System.SegrtItems.TeItems.ColorItems()
                self.color_items.parent = self
                self._children_name_map["color_items"] = "color-items"

                self.encap_items = System.SegrtItems.TeItems.EncapItems()
                self.encap_items.parent = self
                self._children_name_map["encap_items"] = "encap-items"

                self.exppath_items = System.SegrtItems.TeItems.ExppathItems()
                self.exppath_items.parent = self
                self._children_name_map["exppath_items"] = "exppath-items"

                self.pcc_items = System.SegrtItems.TeItems.PccItems()
                self.pcc_items.parent = self
                self._children_name_map["pcc_items"] = "pcc-items"

                self.policy_items = System.SegrtItems.TeItems.PolicyItems()
                self.policy_items.parent = self
                self._children_name_map["policy_items"] = "policy-items"
                self._segment_path = lambda: "te-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SegrtItems.TeItems, ['name', 'adminst', 'operst', 'opererr'], name, value)


            class ColorItems(Entity):
                """
                
                
                .. attribute:: color_list
                
                	
                	**type**\: list of  		 :py:class:`ColorList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ColorItems.ColorList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.TeItems.ColorItems, self).__init__()

                    self.yang_name = "color-items"
                    self.yang_parent_name = "te-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Color-list", ("color_list", System.SegrtItems.TeItems.ColorItems.ColorList))])
                    self._leafs = OrderedDict()

                    self.color_list = YList(self)
                    self._segment_path = lambda: "color-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.TeItems.ColorItems, [], name, value)


                class ColorList(Entity):
                    """
                    
                    
                    .. attribute:: color  (key)
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: metric
                    
                    	Metric
                    	**type**\:  :py:class:`SrteMetric <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SrteMetric>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.TeItems.ColorItems.ColorList, self).__init__()

                        self.yang_name = "Color-list"
                        self.yang_parent_name = "color-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['color']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('color', (YLeaf(YType.uint64, 'color'), ['int'])),
                            ('metric', (YLeaf(YType.enumeration, 'metric'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SrteMetric', '')])),
                        ])
                        self.color = None
                        self.metric = None
                        self._segment_path = lambda: "Color-list" + "[color='" + str(self.color) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/color-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.TeItems.ColorItems.ColorList, ['color', 'metric'], name, value)




            class EncapItems(Entity):
                """
                
                
                .. attribute:: encapsulation_list
                
                	
                	**type**\: list of  		 :py:class:`EncapsulationList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.EncapItems.EncapsulationList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.TeItems.EncapItems, self).__init__()

                    self.yang_name = "encap-items"
                    self.yang_parent_name = "te-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Encapsulation-list", ("encapsulation_list", System.SegrtItems.TeItems.EncapItems.EncapsulationList))])
                    self._leafs = OrderedDict()

                    self.encapsulation_list = YList(self)
                    self._segment_path = lambda: "encap-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.TeItems.EncapItems, [], name, value)


                class EncapsulationList(Entity):
                    """
                    
                    
                    .. attribute:: encaptype  (key)
                    
                    	Encapsulation type
                    	**type**\:  :py:class:`SrteEncapsulationType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.SrteEncapsulationType>`
                    
                    .. attribute:: srcaddress
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.TeItems.EncapItems.EncapsulationList, self).__init__()

                        self.yang_name = "Encapsulation-list"
                        self.yang_parent_name = "encap-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['encaptype']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('encaptype', (YLeaf(YType.enumeration, 'encapType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'SrteEncapsulationType', '')])),
                            ('srcaddress', (YLeaf(YType.str, 'srcAddress'), ['str','str'])),
                        ])
                        self.encaptype = None
                        self.srcaddress = None
                        self._segment_path = lambda: "Encapsulation-list" + "[encapType='" + str(self.encaptype) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/encap-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.TeItems.EncapItems.EncapsulationList, ['encaptype', 'srcaddress'], name, value)




            class ExppathItems(Entity):
                """
                
                
                .. attribute:: exppath_list
                
                	
                	**type**\: list of  		 :py:class:`ExpPathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ExppathItems.ExpPathList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.TeItems.ExppathItems, self).__init__()

                    self.yang_name = "exppath-items"
                    self.yang_parent_name = "te-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("ExpPath-list", ("exppath_list", System.SegrtItems.TeItems.ExppathItems.ExpPathList))])
                    self._leafs = OrderedDict()

                    self.exppath_list = YList(self)
                    self._segment_path = lambda: "exppath-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.TeItems.ExppathItems, [], name, value)


                class ExpPathList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Explicit path name
                    	**type**\: str
                    
                    .. attribute:: nxtlbl_items
                    
                    	
                    	**type**\:  :py:class:`NxtlblItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.TeItems.ExppathItems.ExpPathList, self).__init__()

                        self.yang_name = "ExpPath-list"
                        self.yang_parent_name = "exppath-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("nxtlbl-items", ("nxtlbl_items", System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.name = None

                        self.nxtlbl_items = System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems()
                        self.nxtlbl_items.parent = self
                        self._children_name_map["nxtlbl_items"] = "nxtlbl-items"
                        self._segment_path = lambda: "ExpPath-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/exppath-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.TeItems.ExppathItems.ExpPathList, ['name'], name, value)


                    class NxtlblItems(Entity):
                        """
                        
                        
                        .. attribute:: nxtlbl_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NxtLblList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems.NxtLblList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems, self).__init__()

                            self.yang_name = "nxtlbl-items"
                            self.yang_parent_name = "ExpPath-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("NxtLbl-list", ("nxtlbl_list", System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems.NxtLblList))])
                            self._leafs = OrderedDict()

                            self.nxtlbl_list = YList(self)
                            self._segment_path = lambda: "nxtlbl-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems, [], name, value)


                        class NxtLblList(Entity):
                            """
                            
                            
                            .. attribute:: idx  (key)
                            
                            	Index
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: lbl
                            
                            	Next Label Value
                            	**type**\: int
                            
                            	**range:** 16..471804
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems.NxtLblList, self).__init__()

                                self.yang_name = "NxtLbl-list"
                                self.yang_parent_name = "nxtlbl-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['idx']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('idx', (YLeaf(YType.uint32, 'idx'), ['int'])),
                                    ('lbl', (YLeaf(YType.uint32, 'lbl'), ['int'])),
                                ])
                                self.idx = None
                                self.lbl = None
                                self._segment_path = lambda: "NxtLbl-list" + "[idx='" + str(self.idx) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SegrtItems.TeItems.ExppathItems.ExpPathList.NxtlblItems.NxtLblList, ['idx', 'lbl'], name, value)






            class PccItems(Entity):
                """
                
                
                .. attribute:: srcaddress
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                .. attribute:: operst
                
                	Operational State
                	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
                
                	**config**\: False
                
                .. attribute:: opererr
                
                	Operational Errors Qualifier
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: pce_items
                
                	
                	**type**\:  :py:class:`PceItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PccItems.PceItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.TeItems.PccItems, self).__init__()

                    self.yang_name = "pcc-items"
                    self.yang_parent_name = "te-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("pce-items", ("pce_items", System.SegrtItems.TeItems.PccItems.PceItems))])
                    self._leafs = OrderedDict([
                        ('srcaddress', (YLeaf(YType.str, 'srcAddress'), ['str','str'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                        ('opererr', (YLeaf(YType.str, 'operErr'), ['str'])),
                    ])
                    self.srcaddress = None
                    self.name = None
                    self.adminst = None
                    self.operst = None
                    self.opererr = None

                    self.pce_items = System.SegrtItems.TeItems.PccItems.PceItems()
                    self.pce_items.parent = self
                    self._children_name_map["pce_items"] = "pce-items"
                    self._segment_path = lambda: "pcc-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.TeItems.PccItems, ['srcaddress', 'name', 'adminst', 'operst', 'opererr'], name, value)


                class PceItems(Entity):
                    """
                    
                    
                    .. attribute:: pce_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PccItems.PceItems.PceList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.TeItems.PccItems.PceItems, self).__init__()

                        self.yang_name = "pce-items"
                        self.yang_parent_name = "pcc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Pce-list", ("pce_list", System.SegrtItems.TeItems.PccItems.PceItems.PceList))])
                        self._leafs = OrderedDict()

                        self.pce_list = YList(self)
                        self._segment_path = lambda: "pce-items"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/pcc-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.TeItems.PccItems.PceItems, [], name, value)


                    class PceList(Entity):
                        """
                        
                        
                        .. attribute:: pceaddress  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: precedence
                        
                        	Precedence value (0 is most preferred, 255 is least)
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.TeItems.PccItems.PceItems.PceList, self).__init__()

                            self.yang_name = "Pce-list"
                            self.yang_parent_name = "pce-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self.ylist_key_names = ['pceaddress']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('pceaddress', (YLeaf(YType.str, 'pceAddress'), ['str','str'])),
                                ('precedence', (YLeaf(YType.uint32, 'precedence'), ['int'])),
                            ])
                            self.pceaddress = None
                            self.precedence = None
                            self._segment_path = lambda: "Pce-list" + "[pceAddress='" + str(self.pceaddress) + "']"
                            self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/pcc-items/pce-items/%s" % self._segment_path()
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.TeItems.PccItems.PceItems.PceList, ['pceaddress', 'precedence'], name, value)





            class PolicyItems(Entity):
                """
                
                
                .. attribute:: policy_list
                
                	
                	**type**\: list of  		 :py:class:`PolicyList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems.PolicyList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SegrtItems.TeItems.PolicyItems, self).__init__()

                    self.yang_name = "policy-items"
                    self.yang_parent_name = "te-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Policy-list", ("policy_list", System.SegrtItems.TeItems.PolicyItems.PolicyList))])
                    self._leafs = OrderedDict()

                    self.policy_list = YList(self)
                    self._segment_path = lambda: "policy-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SegrtItems.TeItems.PolicyItems, [], name, value)


                class PolicyList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Policy name
                    	**type**\: str
                    
                    .. attribute:: endpoint
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    .. attribute:: color
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: pref_items
                    
                    	
                    	**type**\:  :py:class:`PrefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SegrtItems.TeItems.PolicyItems.PolicyList, self).__init__()

                        self.yang_name = "Policy-list"
                        self.yang_parent_name = "policy-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("pref-items", ("pref_items", System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('endpoint', (YLeaf(YType.str, 'endpoint'), ['str','str'])),
                            ('color', (YLeaf(YType.uint64, 'color'), ['int'])),
                        ])
                        self.name = None
                        self.endpoint = None
                        self.color = None

                        self.pref_items = System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems()
                        self.pref_items.parent = self
                        self._children_name_map["pref_items"] = "pref-items"
                        self._segment_path = lambda: "Policy-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/segrt-items/te-items/policy-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SegrtItems.TeItems.PolicyItems.PolicyList, ['name', 'endpoint', 'color'], name, value)


                    class PrefItems(Entity):
                        """
                        
                        
                        .. attribute:: polpref_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PolPrefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems, self).__init__()

                            self.yang_name = "pref-items"
                            self.yang_parent_name = "Policy-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("PolPref-list", ("polpref_list", System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList))])
                            self._leafs = OrderedDict()

                            self.polpref_list = YList(self)
                            self._segment_path = lambda: "pref-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems, [], name, value)


                        class PolPrefList(Entity):
                            """
                            
                            
                            .. attribute:: pref  (key)
                            
                            	The preference value for the group of explicit paths
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: exp_items
                            
                            	
                            	**type**\:  :py:class:`ExpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList, self).__init__()

                                self.yang_name = "PolPref-list"
                                self.yang_parent_name = "pref-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['pref']
                                self._child_classes = OrderedDict([("exp-items", ("exp_items", System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems))])
                                self._leafs = OrderedDict([
                                    ('pref', (YLeaf(YType.uint32, 'pref'), ['int'])),
                                ])
                                self.pref = None

                                self.exp_items = System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems()
                                self.exp_items.parent = self
                                self._children_name_map["exp_items"] = "exp-items"
                                self._segment_path = lambda: "PolPref-list" + "[pref='" + str(self.pref) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList, ['pref'], name, value)


                            class ExpItems(Entity):
                                """
                                
                                
                                .. attribute:: polexp_list
                                
                                	
                                	**type**\: list of  		 :py:class:`PolExpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems.PolExpList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems, self).__init__()

                                    self.yang_name = "exp-items"
                                    self.yang_parent_name = "PolPref-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("PolExp-list", ("polexp_list", System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems.PolExpList))])
                                    self._leafs = OrderedDict()

                                    self.polexp_list = YList(self)
                                    self._segment_path = lambda: "exp-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems, [], name, value)


                                class PolExpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  (key)
                                    
                                    	Explicit path name. Must be the name of an existing ExpPath MO
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems.PolExpList, self).__init__()

                                        self.yang_name = "PolExp-list"
                                        self.yang_parent_name = "exp-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['name']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ])
                                        self.name = None
                                        self._segment_path = lambda: "PolExp-list" + "[name='" + str(self.name) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.SegrtItems.TeItems.PolicyItems.PolicyList.PrefItems.PolPrefList.ExpItems.PolExpList, ['name'], name, value)










    class VrrpItems(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.VrrpItems, self).__init__()

            self.yang_name = "vrrp-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.VrrpItems.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.VrrpItems.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vrrp-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.VrrpItems, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.VrrpItems.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vrrp-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.VrrpItems.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.VrrpItems.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrp-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.VrrpItems.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: interface_list
                
                	
                	**type**\: list of  		 :py:class:`InterfaceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.VrrpItems.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Interface-list", ("interface_list", System.VrrpItems.InstItems.IfItems.InterfaceList))])
                    self._leafs = OrderedDict()

                    self.interface_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrp-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.VrrpItems.InstItems.IfItems, [], name, value)


                class InterfaceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: id_items
                    
                    	
                    	**type**\:  :py:class:`IdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.VrrpItems.InstItems.IfItems.InterfaceList, self).__init__()

                        self.yang_name = "Interface-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("id-items", ("id_items", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.VrrpItems.InstItems.IfItems.InterfaceList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.id_items = System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems()
                        self.id_items.parent = self
                        self._children_name_map["id_items"] = "id-items"

                        self.rtvrfmbr_items = System.VrrpItems.InstItems.IfItems.InterfaceList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "Interface-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrp-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class IdItems(Entity):
                        """
                        
                        
                        .. attribute:: id_list
                        
                        	
                        	**type**\: list of  		 :py:class:`IdList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems, self).__init__()

                            self.yang_name = "id-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Id-list", ("id_list", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList))])
                            self._leafs = OrderedDict()

                            self.id_list = YList(self)
                            self._segment_path = lambda: "id-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems, [], name, value)


                        class IdList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	VRRP Id
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: primary
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: advintvl
                            
                            	Advertisement Interval
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: authtext
                            
                            	Authentication Text
                            	**type**\: str
                            
                            	**length:** 0..8
                            
                            .. attribute:: authtype
                            
                            	Authentication Type
                            	**type**\:  :py:class:`VrrpAuthType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpAuthType>`
                            
                            .. attribute:: preempt
                            
                            	Preempt
                            	**type**\:  :py:class:`VrrpPreempt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpPreempt>`
                            
                            .. attribute:: pricfg
                            
                            	Configured Priority
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: bfdpeeraddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: fwdlwrthrld
                            
                            	Fowarding Lower Threshold
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: fwduprthrld
                            
                            	Forwarding Upper Threshold
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: adminst
                            
                            	Admin state
                            	**type**\:  :py:class:`VrrpAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpAdminSt>`
                            
                            .. attribute:: groupst
                            
                            	vrrp group state
                            	**type**\:  :py:class:`VrrpGroupSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpGroupSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: groupstqual
                            
                            	vrrp group state qualifier
                            	**type**\:  :py:class:`VrrpGroupStQual <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpGroupStQual>`
                            
                            	**config**\: False
                            
                            .. attribute:: mac
                            
                            	
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: masteraddr
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: bfdsessionst
                            
                            	vrrp bfd session status
                            	**type**\:  :py:class:`VrrpBfdSessionSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.VrrpBfdSessionSt>`
                            
                            	**config**\: False
                            
                            .. attribute:: secondary_items
                            
                            	
                            	**type**\:  :py:class:`SecondaryItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems>`
                            
                            .. attribute:: track_items
                            
                            	
                            	**type**\:  :py:class:`TrackItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList, self).__init__()

                                self.yang_name = "Id-list"
                                self.yang_parent_name = "id-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id']
                                self._child_classes = OrderedDict([("secondary-items", ("secondary_items", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems)), ("track-items", ("track_items", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ('primary', (YLeaf(YType.str, 'primary'), ['str','str'])),
                                    ('advintvl', (YLeaf(YType.uint8, 'advIntvl'), ['int'])),
                                    ('authtext', (YLeaf(YType.str, 'authText'), ['str'])),
                                    ('authtype', (YLeaf(YType.enumeration, 'authType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpAuthType', '')])),
                                    ('preempt', (YLeaf(YType.enumeration, 'preempt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpPreempt', '')])),
                                    ('pricfg', (YLeaf(YType.uint8, 'priCfg'), ['int'])),
                                    ('bfdpeeraddr', (YLeaf(YType.str, 'bfdPeerAddr'), ['str','str'])),
                                    ('fwdlwrthrld', (YLeaf(YType.uint8, 'fwdLwrThrld'), ['int'])),
                                    ('fwduprthrld', (YLeaf(YType.uint8, 'fwdUprThrld'), ['int'])),
                                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpAdminSt', '')])),
                                    ('groupst', (YLeaf(YType.enumeration, 'groupSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpGroupSt', '')])),
                                    ('groupstqual', (YLeaf(YType.enumeration, 'groupStQual'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpGroupStQual', '')])),
                                    ('mac', (YLeaf(YType.str, 'mac'), ['str'])),
                                    ('masteraddr', (YLeaf(YType.str, 'masterAddr'), ['str','str'])),
                                    ('bfdsessionst', (YLeaf(YType.enumeration, 'bfdSessionSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'VrrpBfdSessionSt', '')])),
                                ])
                                self.id = None
                                self.primary = None
                                self.advintvl = None
                                self.authtext = None
                                self.authtype = None
                                self.preempt = None
                                self.pricfg = None
                                self.bfdpeeraddr = None
                                self.fwdlwrthrld = None
                                self.fwduprthrld = None
                                self.adminst = None
                                self.groupst = None
                                self.groupstqual = None
                                self.mac = None
                                self.masteraddr = None
                                self.bfdsessionst = None

                                self.secondary_items = System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems()
                                self.secondary_items.parent = self
                                self._children_name_map["secondary_items"] = "secondary-items"

                                self.track_items = System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems()
                                self.track_items.parent = self
                                self._children_name_map["track_items"] = "track-items"
                                self._segment_path = lambda: "Id-list" + "[id='" + str(self.id) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList, ['id', 'primary', 'advintvl', 'authtext', 'authtype', 'preempt', 'pricfg', 'bfdpeeraddr', 'fwdlwrthrld', 'fwduprthrld', 'adminst', 'groupst', 'groupstqual', 'mac', 'masteraddr', 'bfdsessionst'], name, value)


                            class SecondaryItems(Entity):
                                """
                                
                                
                                .. attribute:: secondary_list
                                
                                	
                                	**type**\: list of  		 :py:class:`SecondaryList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems.SecondaryList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems, self).__init__()

                                    self.yang_name = "secondary-items"
                                    self.yang_parent_name = "Id-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Secondary-list", ("secondary_list", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems.SecondaryList))])
                                    self._leafs = OrderedDict()

                                    self.secondary_list = YList(self)
                                    self._segment_path = lambda: "secondary-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems, [], name, value)


                                class SecondaryList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: secondary  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems.SecondaryList, self).__init__()

                                        self.yang_name = "Secondary-list"
                                        self.yang_parent_name = "secondary-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['secondary']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('secondary', (YLeaf(YType.str, 'secondary'), ['str','str'])),
                                        ])
                                        self.secondary = None
                                        self._segment_path = lambda: "Secondary-list" + "[secondary='" + str(self.secondary) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.SecondaryItems.SecondaryList, ['secondary'], name, value)




                            class TrackItems(Entity):
                                """
                                
                                
                                .. attribute:: nativetrack_items
                                
                                	
                                	**type**\:  :py:class:`NativeTrackItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.NativeTrackItems>`
                                
                                .. attribute:: track_items
                                
                                	
                                	**type**\:  :py:class:`TrackItems_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems, self).__init__()

                                    self.yang_name = "track-items"
                                    self.yang_parent_name = "Id-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("nativeTrack-items", ("nativetrack_items", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.NativeTrackItems)), ("track-items", ("track_items", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_))])
                                    self._leafs = OrderedDict()

                                    self.nativetrack_items = System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.NativeTrackItems()
                                    self.nativetrack_items.parent = self
                                    self._children_name_map["nativetrack_items"] = "nativeTrack-items"

                                    self.track_items = System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_()
                                    self.track_items.parent = self
                                    self._children_name_map["track_items"] = "track-items"
                                    self._segment_path = lambda: "track-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems, [], name, value)


                                class NativeTrackItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id
                                    
                                    	Interface to be tracked by this VRRP instance
                                    	**type**\: str
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.NativeTrackItems, self).__init__()

                                        self.yang_name = "nativeTrack-items"
                                        self.yang_parent_name = "track-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                                            ('priority', (YLeaf(YType.uint16, 'priority'), ['int'])),
                                        ])
                                        self.id = None
                                        self.priority = None
                                        self._segment_path = lambda: "nativeTrack-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.NativeTrackItems, ['id', 'priority'], name, value)



                                class TrackItems_(Entity):
                                    """
                                    
                                    
                                    .. attribute:: objecttrack_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ObjectTrackList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_.ObjectTrackList>`
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_, self).__init__()

                                        self.yang_name = "track-items"
                                        self.yang_parent_name = "track-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("ObjectTrack-list", ("objecttrack_list", System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_.ObjectTrackList))])
                                        self._leafs = OrderedDict()

                                        self.objecttrack_list = YList(self)
                                        self._segment_path = lambda: "track-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_, [], name, value)


                                    class ObjectTrackList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	Track Id to be tracked
                                        	**type**\: int
                                        
                                        	**range:** 1..512
                                        
                                        .. attribute:: decrementpriority
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        	**default value**\: 10
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_.ObjectTrackList, self).__init__()

                                            self.yang_name = "ObjectTrack-list"
                                            self.yang_parent_name = "track-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                                ('decrementpriority', (YLeaf(YType.uint16, 'decrementPriority'), ['int'])),
                                            ])
                                            self.id = None
                                            self.decrementpriority = None
                                            self._segment_path = lambda: "ObjectTrack-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.IdItems.IdList.TrackItems.TrackItems_.ObjectTrackList, ['id', 'decrementpriority'], name, value)







                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VrrpItems.InstItems.IfItems.InterfaceList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.VrrpItems.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class Vrrpv3Items(Entity):
        """
        
        
        .. attribute:: name
        
        	Name
        	**type**\: str
        
        	**length:** 1..64
        
        .. attribute:: adminst
        
        	Admin State
        	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
        
        .. attribute:: operst
        
        	Operational State
        	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
        
        	**config**\: False
        
        .. attribute:: inst_items
        
        	
        	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.Vrrpv3Items, self).__init__()

            self.yang_name = "vrrpv3-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("inst-items", ("inst_items", System.Vrrpv3Items.InstItems))])
            self._leafs = OrderedDict([
                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
            ])
            self.name = None
            self.adminst = None
            self.operst = None

            self.inst_items = System.Vrrpv3Items.InstItems()
            self.inst_items.parent = self
            self._children_name_map["inst_items"] = "inst-items"
            self._segment_path = lambda: "vrrpv3-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.Vrrpv3Items, ['name', 'adminst', 'operst'], name, value)


        class InstItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            .. attribute:: ctrl
            
            	Controls
            	**type**\: str
            
            .. attribute:: if_items
            
            	
            	**type**\:  :py:class:`IfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.Vrrpv3Items.InstItems, self).__init__()

                self.yang_name = "inst-items"
                self.yang_parent_name = "vrrpv3-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("if-items", ("if_items", System.Vrrpv3Items.InstItems.IfItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                ])
                self.name = None
                self.adminst = None
                self.ctrl = None

                self.if_items = System.Vrrpv3Items.InstItems.IfItems()
                self.if_items.parent = self
                self._children_name_map["if_items"] = "if-items"
                self._segment_path = lambda: "inst-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrpv3-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.Vrrpv3Items.InstItems, ['name', 'adminst', 'ctrl'], name, value)


            class IfItems(Entity):
                """
                
                
                .. attribute:: interface_list
                
                	
                	**type**\: list of  		 :py:class:`InterfaceList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.Vrrpv3Items.InstItems.IfItems, self).__init__()

                    self.yang_name = "if-items"
                    self.yang_parent_name = "inst-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("Interface-list", ("interface_list", System.Vrrpv3Items.InstItems.IfItems.InterfaceList))])
                    self._leafs = OrderedDict()

                    self.interface_list = YList(self)
                    self._segment_path = lambda: "if-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrpv3-items/inst-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems, [], name, value)


                class InterfaceList(Entity):
                    """
                    
                    
                    .. attribute:: id  (key)
                    
                    	Interface ID
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 1..64
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..1024
                    
                    .. attribute:: adminst
                    
                    	Admin State
                    	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                    
                    .. attribute:: id_items
                    
                    	
                    	**type**\:  :py:class:`IdItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems>`
                    
                    .. attribute:: rtvrfmbr_items
                    
                    	
                    	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtvrfMbrItems>`
                    
                    .. attribute:: rtnwpathtoif_items
                    
                    	
                    	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList, self).__init__()

                        self.yang_name = "Interface-list"
                        self.yang_parent_name = "if-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['id']
                        self._child_classes = OrderedDict([("id-items", ("id_items", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtvrfMbrItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems))])
                        self._leafs = OrderedDict([
                            ('id', (YLeaf(YType.str, 'id'), ['str'])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ])
                        self.id = None
                        self.name = None
                        self.descr = None
                        self.adminst = None

                        self.id_items = System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems()
                        self.id_items.parent = self
                        self._children_name_map["id_items"] = "id-items"

                        self.rtvrfmbr_items = System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtvrfMbrItems()
                        self.rtvrfmbr_items.parent = self
                        self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                        self.rtnwpathtoif_items = System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems()
                        self.rtnwpathtoif_items.parent = self
                        self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"
                        self._segment_path = lambda: "Interface-list" + "[id='" + str(self.id) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/vrrpv3-items/inst-items/if-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList, ['id', 'name', 'descr', 'adminst'], name, value)


                    class IdItems(Entity):
                        """
                        
                        
                        .. attribute:: vr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`VrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems, self).__init__()

                            self.yang_name = "id-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("Vr-list", ("vr_list", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList))])
                            self._leafs = OrderedDict()

                            self.vr_list = YList(self)
                            self._segment_path = lambda: "id-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems, [], name, value)


                        class VrList(Entity):
                            """
                            
                            
                            .. attribute:: id  (key)
                            
                            	VRRPv3 Virtual Router Id
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: af  (key)
                            
                            	Virtual Router Address Family
                            	**type**\:  :py:class:`Vrrpv3VrAf <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Vrrpv3VrAf>`
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            .. attribute:: advintvl
                            
                            	Advertisement Interval
                            	**type**\: int
                            
                            	**range:** 100..40950
                            
                            .. attribute:: pricfg
                            
                            	Configured Priority
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: preempt
                            
                            	Preempt
                            	**type**\: bool
                            
                            .. attribute:: name
                            
                            	Virtual Router Description
                            	**type**\: str
                            
                            	**length:** 0..80
                            
                            .. attribute:: preemptdelaymin
                            
                            	Miminum delay before preempt
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: adminst
                            
                            	Admin state
                            	**type**\: bool
                            
                            .. attribute:: track_items
                            
                            	
                            	**type**\:  :py:class:`TrackItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems>`
                            
                            .. attribute:: addr_items
                            
                            	
                            	**type**\:  :py:class:`AddrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems>`
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList, self).__init__()

                                self.yang_name = "Vr-list"
                                self.yang_parent_name = "id-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['id','af']
                                self._child_classes = OrderedDict([("track-items", ("track_items", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems)), ("addr-items", ("addr_items", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems))])
                                self._leafs = OrderedDict([
                                    ('id', (YLeaf(YType.uint32, 'id'), ['int'])),
                                    ('af', (YLeaf(YType.enumeration, 'af'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Vrrpv3VrAf', '')])),
                                    ('ip', (YLeaf(YType.str, 'ip'), ['str','str'])),
                                    ('advintvl', (YLeaf(YType.uint32, 'advIntvl'), ['int'])),
                                    ('pricfg', (YLeaf(YType.uint32, 'priCfg'), ['int'])),
                                    ('preempt', (YLeaf(YType.boolean, 'preempt'), ['bool'])),
                                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ('preemptdelaymin', (YLeaf(YType.uint32, 'preemptDelayMin'), ['int'])),
                                    ('adminst', (YLeaf(YType.boolean, 'adminSt'), ['bool'])),
                                ])
                                self.id = None
                                self.af = None
                                self.ip = None
                                self.advintvl = None
                                self.pricfg = None
                                self.preempt = None
                                self.name = None
                                self.preemptdelaymin = None
                                self.adminst = None

                                self.track_items = System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems()
                                self.track_items.parent = self
                                self._children_name_map["track_items"] = "track-items"

                                self.addr_items = System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems()
                                self.addr_items.parent = self
                                self._children_name_map["addr_items"] = "addr-items"
                                self._segment_path = lambda: "Vr-list" + "[id='" + str(self.id) + "']" + "[af='" + str(self.af) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList, ['id', 'af', 'ip', 'advintvl', 'pricfg', 'preempt', 'name', 'preemptdelaymin', 'adminst'], name, value)


                            class TrackItems(Entity):
                                """
                                
                                
                                .. attribute:: objecttrack_list
                                
                                	
                                	**type**\: list of  		 :py:class:`ObjectTrackList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems.ObjectTrackList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems, self).__init__()

                                    self.yang_name = "track-items"
                                    self.yang_parent_name = "Vr-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("ObjectTrack-list", ("objecttrack_list", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems.ObjectTrackList))])
                                    self._leafs = OrderedDict()

                                    self.objecttrack_list = YList(self)
                                    self._segment_path = lambda: "track-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems, [], name, value)


                                class ObjectTrackList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: id  (key)
                                    
                                    	Object Id to be tracked
                                    	**type**\: int
                                    
                                    	**range:** 1..512
                                    
                                    .. attribute:: decrprio
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    	**default value**\: 10
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems.ObjectTrackList, self).__init__()

                                        self.yang_name = "ObjectTrack-list"
                                        self.yang_parent_name = "track-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['id']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('id', (YLeaf(YType.uint16, 'id'), ['int'])),
                                            ('decrprio', (YLeaf(YType.uint16, 'decrPrio'), ['int'])),
                                        ])
                                        self.id = None
                                        self.decrprio = None
                                        self._segment_path = lambda: "ObjectTrack-list" + "[id='" + str(self.id) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.TrackItems.ObjectTrackList, ['id', 'decrprio'], name, value)




                            class AddrItems(Entity):
                                """
                                
                                
                                .. attribute:: addr_list
                                
                                	
                                	**type**\: list of  		 :py:class:`AddrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems.AddrList>`
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems, self).__init__()

                                    self.yang_name = "addr-items"
                                    self.yang_parent_name = "Vr-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = []
                                    self._child_classes = OrderedDict([("Addr-list", ("addr_list", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems.AddrList))])
                                    self._leafs = OrderedDict()

                                    self.addr_list = YList(self)
                                    self._segment_path = lambda: "addr-items"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems, [], name, value)


                                class AddrList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: addr  (key)
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems.AddrList, self).__init__()

                                        self.yang_name = "Addr-list"
                                        self.yang_parent_name = "addr-items"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = ['addr']
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ])
                                        self.addr = None
                                        self._segment_path = lambda: "Addr-list" + "[addr='" + str(self.addr) + "']"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.IdItems.VrList.AddrItems.AddrList, ['addr'], name, value)






                    class RtvrfMbrItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtvrfMbrItems, self).__init__()

                            self.yang_name = "rtvrfMbr-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rtvrfMbr-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



                    class RtnwPathToIfItems(Entity):
                        """
                        
                        
                        .. attribute:: rtnwpathtoif_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems, self).__init__()

                            self.yang_name = "rtnwPathToIf-items"
                            self.yang_parent_name = "Interface-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList))])
                            self._leafs = OrderedDict()

                            self.rtnwpathtoif_list = YList(self)
                            self._segment_path = lambda: "rtnwPathToIf-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems, [], name, value)


                        class RtNwPathToIfList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                                self.yang_name = "RtNwPathToIf-list"
                                self.yang_parent_name = "rtnwPathToIf-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.Vrrpv3Items.InstItems.IfItems.InterfaceList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)








    class ScrtchpdrtItems(Entity):
        """
        
        
        .. attribute:: rpmcli_items
        
        	
        	**type**\:  :py:class:`RpmcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems>`
        
        .. attribute:: vlanmgrcli_items
        
        	
        	**type**\:  :py:class:`VlanmgrcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.VlanmgrcliItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ScrtchpdrtItems, self).__init__()

            self.yang_name = "scrtchpdrt-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("rpmcli-items", ("rpmcli_items", System.ScrtchpdrtItems.RpmcliItems)), ("vlanmgrcli-items", ("vlanmgrcli_items", System.ScrtchpdrtItems.VlanmgrcliItems))])
            self._leafs = OrderedDict()

            self.rpmcli_items = System.ScrtchpdrtItems.RpmcliItems()
            self.rpmcli_items.parent = self
            self._children_name_map["rpmcli_items"] = "rpmcli-items"

            self.vlanmgrcli_items = System.ScrtchpdrtItems.VlanmgrcliItems()
            self.vlanmgrcli_items.parent = self
            self._children_name_map["vlanmgrcli_items"] = "vlanmgrcli-items"
            self._segment_path = lambda: "scrtchpdrt-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ScrtchpdrtItems, [], name, value)


        class RpmcliItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
            
            	**config**\: False
            
            .. attribute:: accesslistcli_items
            
            	
            	**type**\:  :py:class:`AccesslistcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems>`
            
            .. attribute:: pfxlistv4cli_items
            
            	
            	**type**\:  :py:class:`Pfxlistv4cliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems>`
            
            .. attribute:: pfxlistv6cli_items
            
            	
            	**type**\:  :py:class:`Pfxlistv6cliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems>`
            
            .. attribute:: rtregcomcli_items
            
            	
            	**type**\:  :py:class:`RtregcomcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ScrtchpdrtItems.RpmcliItems, self).__init__()

                self.yang_name = "rpmcli-items"
                self.yang_parent_name = "scrtchpdrt-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("accesslistcli-items", ("accesslistcli_items", System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems)), ("pfxlistv4cli-items", ("pfxlistv4cli_items", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems)), ("pfxlistv6cli-items", ("pfxlistv6cli_items", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems)), ("rtregcomcli-items", ("rtregcomcli_items", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ])
                self.name = None
                self.adminst = None
                self.operst = None

                self.accesslistcli_items = System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems()
                self.accesslistcli_items.parent = self
                self._children_name_map["accesslistcli_items"] = "accesslistcli-items"

                self.pfxlistv4cli_items = System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems()
                self.pfxlistv4cli_items.parent = self
                self._children_name_map["pfxlistv4cli_items"] = "pfxlistv4cli-items"

                self.pfxlistv6cli_items = System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems()
                self.pfxlistv6cli_items.parent = self
                self._children_name_map["pfxlistv6cli_items"] = "pfxlistv6cli-items"

                self.rtregcomcli_items = System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems()
                self.rtregcomcli_items.parent = self
                self._children_name_map["rtregcomcli_items"] = "rtregcomcli-items"
                self._segment_path = lambda: "rpmcli-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems, ['name', 'adminst', 'operst'], name, value)


            class AccesslistcliItems(Entity):
                """
                
                
                .. attribute:: rulecli_list
                
                	
                	**type**\: list of  		 :py:class:`RuleCliList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems, self).__init__()

                    self.yang_name = "accesslistcli-items"
                    self.yang_parent_name = "rpmcli-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RuleCli-list", ("rulecli_list", System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList))])
                    self._leafs = OrderedDict()

                    self.rulecli_list = YList(self)
                    self._segment_path = lambda: "accesslistcli-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems, [], name, value)


                class RuleCliList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: entcli_items
                    
                    	
                    	**type**\:  :py:class:`EntcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList.EntcliItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList, self).__init__()

                        self.yang_name = "RuleCli-list"
                        self.yang_parent_name = "accesslistcli-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("entcli-items", ("entcli_items", System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList.EntcliItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.descr = None

                        self.entcli_items = System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList.EntcliItems()
                        self.entcli_items.parent = self
                        self._children_name_map["entcli_items"] = "entcli-items"
                        self._segment_path = lambda: "RuleCli-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/accesslistcli-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList, ['name', 'descr'], name, value)


                    class EntcliItems(Entity):
                        """
                        
                        
                        .. attribute:: cliaction
                        
                        	Action
                        	**type**\:  :py:class:`ScrtchpdAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ScrtchpdAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: order
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList.EntcliItems, self).__init__()

                            self.yang_name = "entcli-items"
                            self.yang_parent_name = "RuleCli-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('cliaction', (YLeaf(YType.enumeration, 'cliAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ScrtchpdAction', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.cliaction = None
                            self.name = None
                            self.descr = None
                            self.order = None
                            self.action = None
                            self.regex = None
                            self._segment_path = lambda: "entcli-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.AccesslistcliItems.RuleCliList.EntcliItems, ['cliaction', 'name', 'descr', 'order', 'action', 'regex'], name, value)





            class Pfxlistv4cliItems(Entity):
                """
                
                
                .. attribute:: rulev4cli_list
                
                	
                	**type**\: list of  		 :py:class:`RuleV4CliList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems, self).__init__()

                    self.yang_name = "pfxlistv4cli-items"
                    self.yang_parent_name = "rpmcli-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RuleV4Cli-list", ("rulev4cli_list", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList))])
                    self._leafs = OrderedDict()

                    self.rulev4cli_list = YList(self)
                    self._segment_path = lambda: "pfxlistv4cli-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems, [], name, value)


                class RuleV4CliList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: entcli_items
                    
                    	
                    	**type**\:  :py:class:`EntcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList.EntcliItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList, self).__init__()

                        self.yang_name = "RuleV4Cli-list"
                        self.yang_parent_name = "pfxlistv4cli-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("entcli-items", ("entcli_items", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList.EntcliItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.descr = None

                        self.entcli_items = System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList.EntcliItems()
                        self.entcli_items.parent = self
                        self._children_name_map["entcli_items"] = "entcli-items"
                        self._segment_path = lambda: "RuleV4Cli-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/pfxlistv4cli-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList, ['name', 'descr'], name, value)


                    class EntcliItems(Entity):
                        """
                        
                        
                        .. attribute:: cliaction
                        
                        	Action
                        	**type**\:  :py:class:`ScrtchpdAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ScrtchpdAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: pfx
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: criteria
                        
                        	Criteria
                        	**type**\:  :py:class:`RtpfxCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtpfxCriteria>`
                        
                        	**config**\: False
                        
                        .. attribute:: frompfxlen
                        
                        	Start of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: topfxlen
                        
                        	End of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: order
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList.EntcliItems, self).__init__()

                            self.yang_name = "entcli-items"
                            self.yang_parent_name = "RuleV4Cli-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('cliaction', (YLeaf(YType.enumeration, 'cliAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ScrtchpdAction', '')])),
                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                ('mask', (YLeaf(YType.str, 'mask'), ['str','str'])),
                                ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtpfxCriteria', '')])),
                                ('frompfxlen', (YLeaf(YType.uint16, 'fromPfxLen'), ['int'])),
                                ('topfxlen', (YLeaf(YType.uint16, 'toPfxLen'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                            ])
                            self.cliaction = None
                            self.pfx = None
                            self.mask = None
                            self.criteria = None
                            self.frompfxlen = None
                            self.topfxlen = None
                            self.name = None
                            self.descr = None
                            self.order = None
                            self.action = None
                            self._segment_path = lambda: "entcli-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv4cliItems.RuleV4CliList.EntcliItems, ['cliaction', 'pfx', 'mask', 'criteria', 'frompfxlen', 'topfxlen', 'name', 'descr', 'order', 'action'], name, value)





            class Pfxlistv6cliItems(Entity):
                """
                
                
                .. attribute:: rulev6cli_list
                
                	
                	**type**\: list of  		 :py:class:`RuleV6CliList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems, self).__init__()

                    self.yang_name = "pfxlistv6cli-items"
                    self.yang_parent_name = "rpmcli-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RuleV6Cli-list", ("rulev6cli_list", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList))])
                    self._leafs = OrderedDict()

                    self.rulev6cli_list = YList(self)
                    self._segment_path = lambda: "pfxlistv6cli-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems, [], name, value)


                class RuleV6CliList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: entcli_items
                    
                    	
                    	**type**\:  :py:class:`EntcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList.EntcliItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList, self).__init__()

                        self.yang_name = "RuleV6Cli-list"
                        self.yang_parent_name = "pfxlistv6cli-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("entcli-items", ("entcli_items", System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList.EntcliItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ])
                        self.name = None
                        self.descr = None

                        self.entcli_items = System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList.EntcliItems()
                        self.entcli_items.parent = self
                        self._children_name_map["entcli_items"] = "entcli-items"
                        self._segment_path = lambda: "RuleV6Cli-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/pfxlistv6cli-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList, ['name', 'descr'], name, value)


                    class EntcliItems(Entity):
                        """
                        
                        
                        .. attribute:: cliaction
                        
                        	Action
                        	**type**\:  :py:class:`ScrtchpdAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ScrtchpdAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: pfx
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: criteria
                        
                        	Criteria
                        	**type**\:  :py:class:`RtpfxCriteria <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtpfxCriteria>`
                        
                        	**config**\: False
                        
                        .. attribute:: frompfxlen
                        
                        	Start of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: topfxlen
                        
                        	End of Prefix Length
                        	**type**\: int
                        
                        	**range:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: order
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList.EntcliItems, self).__init__()

                            self.yang_name = "entcli-items"
                            self.yang_parent_name = "RuleV6Cli-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('cliaction', (YLeaf(YType.enumeration, 'cliAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ScrtchpdAction', '')])),
                                ('pfx', (YLeaf(YType.str, 'pfx'), ['str','str'])),
                                ('mask', (YLeaf(YType.str, 'mask'), ['str','str'])),
                                ('criteria', (YLeaf(YType.enumeration, 'criteria'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtpfxCriteria', '')])),
                                ('frompfxlen', (YLeaf(YType.uint16, 'fromPfxLen'), ['int'])),
                                ('topfxlen', (YLeaf(YType.uint16, 'toPfxLen'), ['int'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                            ])
                            self.cliaction = None
                            self.pfx = None
                            self.mask = None
                            self.criteria = None
                            self.frompfxlen = None
                            self.topfxlen = None
                            self.name = None
                            self.descr = None
                            self.order = None
                            self.action = None
                            self._segment_path = lambda: "entcli-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.Pfxlistv6cliItems.RuleV6CliList.EntcliItems, ['cliaction', 'pfx', 'mask', 'criteria', 'frompfxlen', 'topfxlen', 'name', 'descr', 'order', 'action'], name, value)





            class RtregcomcliItems(Entity):
                """
                
                
                .. attribute:: rulecli_list
                
                	
                	**type**\: list of  		 :py:class:`RuleCliList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems, self).__init__()

                    self.yang_name = "rtregcomcli-items"
                    self.yang_parent_name = "rpmcli-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RuleCli-list", ("rulecli_list", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList))])
                    self._leafs = OrderedDict()

                    self.rulecli_list = YList(self)
                    self._segment_path = lambda: "rtregcomcli-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems, [], name, value)


                class RuleCliList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..64
                    
                    	**config**\: False
                    
                    .. attribute:: descr
                    
                    	Description
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    	**config**\: False
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  :py:class:`RtcomComT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomComT>`
                    
                    	**config**\: False
                    
                    .. attribute:: mode
                    
                    	Mode
                    	**type**\:  :py:class:`RtcomMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtcomMode>`
                    
                    	**config**\: False
                    
                    .. attribute:: entregcli_items
                    
                    	
                    	**type**\:  :py:class:`EntregcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntregcliItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: entcli_items
                    
                    	
                    	**type**\:  :py:class:`EntcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList, self).__init__()

                        self.yang_name = "RuleCli-list"
                        self.yang_parent_name = "rtregcomcli-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("entregcli-items", ("entregcli_items", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntregcliItems)), ("entcli-items", ("entcli_items", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomComT', '')])),
                            ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtcomMode', '')])),
                        ])
                        self.name = None
                        self.descr = None
                        self.type = None
                        self.mode = None

                        self.entregcli_items = System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntregcliItems()
                        self.entregcli_items.parent = self
                        self._children_name_map["entregcli_items"] = "entregcli-items"

                        self.entcli_items = System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems()
                        self.entcli_items.parent = self
                        self._children_name_map["entcli_items"] = "entcli-items"
                        self._segment_path = lambda: "RuleCli-list" + "[name='" + str(self.name) + "']"
                        self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/rpmcli-items/rtregcomcli-items/%s" % self._segment_path()
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList, ['name', 'descr', 'type', 'mode'], name, value)


                    class EntregcliItems(Entity):
                        """
                        
                        
                        .. attribute:: numofchildren
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cliaction
                        
                        	Action
                        	**type**\:  :py:class:`ScrtchpdAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ScrtchpdAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: order
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntregcliItems, self).__init__()

                            self.yang_name = "entregcli-items"
                            self.yang_parent_name = "RuleCli-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('numofchildren', (YLeaf(YType.uint32, 'numOfChildren'), ['int'])),
                                ('cliaction', (YLeaf(YType.enumeration, 'cliAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ScrtchpdAction', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.numofchildren = None
                            self.cliaction = None
                            self.name = None
                            self.descr = None
                            self.order = None
                            self.action = None
                            self.regex = None
                            self._segment_path = lambda: "entregcli-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntregcliItems, ['numofchildren', 'cliaction', 'name', 'descr', 'order', 'action', 'regex'], name, value)



                    class EntcliItems(Entity):
                        """
                        
                        
                        .. attribute:: numofchildren
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: cliaction
                        
                        	Action
                        	**type**\:  :py:class:`ScrtchpdAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ScrtchpdAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: order
                        
                        	Order
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        	**config**\: False
                        
                        .. attribute:: action
                        
                        	Action
                        	**type**\:  :py:class:`RtfltAction <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RtfltAction>`
                        
                        	**config**\: False
                        
                        .. attribute:: regex
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: itemcli_items
                        
                        	
                        	**type**\:  :py:class:`ItemcliItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems, self).__init__()

                            self.yang_name = "entcli-items"
                            self.yang_parent_name = "RuleCli-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("itemcli-items", ("itemcli_items", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems))])
                            self._leafs = OrderedDict([
                                ('numofchildren', (YLeaf(YType.uint32, 'numOfChildren'), ['int'])),
                                ('cliaction', (YLeaf(YType.enumeration, 'cliAction'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ScrtchpdAction', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('order', (YLeaf(YType.uint32, 'order'), ['int'])),
                                ('action', (YLeaf(YType.enumeration, 'action'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RtfltAction', '')])),
                                ('regex', (YLeaf(YType.str, 'regex'), ['str'])),
                            ])
                            self.numofchildren = None
                            self.cliaction = None
                            self.name = None
                            self.descr = None
                            self.order = None
                            self.action = None
                            self.regex = None

                            self.itemcli_items = System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems()
                            self.itemcli_items.parent = self
                            self._children_name_map["itemcli_items"] = "itemcli-items"
                            self._segment_path = lambda: "entcli-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems, ['numofchildren', 'cliaction', 'name', 'descr', 'order', 'action', 'regex'], name, value)


                        class ItemcliItems(Entity):
                            """
                            
                            
                            .. attribute:: itemcli_list
                            
                            	
                            	**type**\: list of  		 :py:class:`ItemCliList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems.ItemCliList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems, self).__init__()

                                self.yang_name = "itemcli-items"
                                self.yang_parent_name = "entcli-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("ItemCli-list", ("itemcli_list", System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems.ItemCliList))])
                                self._leafs = OrderedDict()

                                self.itemcli_list = YList(self)
                                self._segment_path = lambda: "itemcli-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems, [], name, value)


                            class ItemCliList(Entity):
                                """
                                
                                
                                .. attribute:: community  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..64
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**length:** 0..128
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems.ItemCliList, self).__init__()

                                    self.yang_name = "ItemCli-list"
                                    self.yang_parent_name = "itemcli-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['community']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('community', (YLeaf(YType.str, 'community'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                    ])
                                    self.community = None
                                    self.name = None
                                    self.descr = None
                                    self._segment_path = lambda: "ItemCli-list" + "[community='" + str(self.community) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ScrtchpdrtItems.RpmcliItems.RtregcomcliItems.RuleCliList.EntcliItems.ItemcliItems.ItemCliList, ['community', 'name', 'descr'], name, value)








        class VlanmgrcliItems(Entity):
            """
            
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Admin State
            	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
            
            	**config**\: False
            
            .. attribute:: operst
            
            	Operational State
            	**type**\:  :py:class:`NwEntOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwEntOperSt>`
            
            	**config**\: False
            
            .. attribute:: inst_items
            
            	
            	**type**\:  :py:class:`InstItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ScrtchpdrtItems.VlanmgrcliItems.InstItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ScrtchpdrtItems.VlanmgrcliItems, self).__init__()

                self.yang_name = "vlanmgrcli-items"
                self.yang_parent_name = "scrtchpdrt-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("inst-items", ("inst_items", System.ScrtchpdrtItems.VlanmgrcliItems.InstItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwEntOperSt', '')])),
                ])
                self.name = None
                self.adminst = None
                self.operst = None

                self.inst_items = System.ScrtchpdrtItems.VlanmgrcliItems.InstItems()
                self.inst_items.parent = self
                self._children_name_map["inst_items"] = "inst-items"
                self._segment_path = lambda: "vlanmgrcli-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ScrtchpdrtItems.VlanmgrcliItems, ['name', 'adminst', 'operst'], name, value)


            class InstItems(Entity):
                """
                
                
                .. attribute:: vxlannativevlans
                
                	
                	**type**\: bool
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 1..64
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`NwAdminSt_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.NwAdminSt_>`
                
                	**config**\: False
                
                .. attribute:: ctrl
                
                	Controls
                	**type**\: str
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ScrtchpdrtItems.VlanmgrcliItems.InstItems, self).__init__()

                    self.yang_name = "inst-items"
                    self.yang_parent_name = "vlanmgrcli-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('vxlannativevlans', (YLeaf(YType.boolean, 'vxlanNativeVlans'), ['bool'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'NwAdminSt_', '')])),
                        ('ctrl', (YLeaf(YType.str, 'ctrl'), ['str'])),
                    ])
                    self.vxlannativevlans = None
                    self.name = None
                    self.adminst = None
                    self.ctrl = None
                    self._segment_path = lambda: "inst-items"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/scrtchpdrt-items/vlanmgrcli-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ScrtchpdrtItems.VlanmgrcliItems.InstItems, ['vxlannativevlans', 'name', 'adminst', 'ctrl'], name, value)





    class SectlItems(Entity):
        """
        
        
        .. attribute:: swtltestobj_list
        
        	
        	**type**\: list of  		 :py:class:`SwTLTestObjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.SectlItems, self).__init__()

            self.yang_name = "sectl-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("SwTLTestObj-list", ("swtltestobj_list", System.SectlItems.SwTLTestObjList))])
            self._leafs = OrderedDict()

            self.swtltestobj_list = YList(self)
            self._segment_path = lambda: "sectl-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.SectlItems, [], name, value)


        class SwTLTestObjList(Entity):
            """
            
            
            .. attribute:: name  (key)
            
            	Name
            	**type**\: str
            
            	**length:** 0..16
            
            .. attribute:: id
            
            	Id
            	**type**\: int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: descr
            
            	TBD
            	**type**\: str
            
            	**length:** 0..128
            
            .. attribute:: objdn
            
            	
            	**type**\: str
            
            .. attribute:: prikey
            
            	
            	**type**\: str
            
            .. attribute:: secc_items
            
            	
            	**type**\:  :py:class:`SeccItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.SeccItems>`
            
            .. attribute:: iecc_items
            
            	
            	**type**\:  :py:class:`IeccItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.IeccItems>`
            
            .. attribute:: rttoobj_items
            
            	
            	**type**\:  :py:class:`RttoObjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.RttoObjItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.SectlItems.SwTLTestObjList, self).__init__()

                self.yang_name = "SwTLTestObj-list"
                self.yang_parent_name = "sectl-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['name']
                self._child_classes = OrderedDict([("secc-items", ("secc_items", System.SectlItems.SwTLTestObjList.SeccItems)), ("iecc-items", ("iecc_items", System.SectlItems.SwTLTestObjList.IeccItems)), ("rttoObj-items", ("rttoobj_items", System.SectlItems.SwTLTestObjList.RttoObjItems))])
                self._leafs = OrderedDict([
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('objdn', (YLeaf(YType.str, 'objDn'), ['str'])),
                    ('prikey', (YLeaf(YType.str, 'priKey'), ['str'])),
                ])
                self.name = None
                self.id = None
                self.descr = None
                self.objdn = None
                self.prikey = None

                self.secc_items = System.SectlItems.SwTLTestObjList.SeccItems()
                self.secc_items.parent = self
                self._children_name_map["secc_items"] = "secc-items"

                self.iecc_items = System.SectlItems.SwTLTestObjList.IeccItems()
                self.iecc_items.parent = self
                self._children_name_map["iecc_items"] = "iecc-items"

                self.rttoobj_items = System.SectlItems.SwTLTestObjList.RttoObjItems()
                self.rttoobj_items.parent = self
                self._children_name_map["rttoobj_items"] = "rttoObj-items"
                self._segment_path = lambda: "SwTLTestObj-list" + "[name='" + str(self.name) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/sectl-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.SectlItems.SwTLTestObjList, ['name', 'id', 'descr', 'objdn', 'prikey'], name, value)


            class SeccItems(Entity):
                """
                
                
                .. attribute:: swctestobj_list
                
                	
                	**type**\: list of  		 :py:class:`SwCTestObjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SectlItems.SwTLTestObjList.SeccItems, self).__init__()

                    self.yang_name = "secc-items"
                    self.yang_parent_name = "SwTLTestObj-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("SwCTestObj-list", ("swctestobj_list", System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList))])
                    self._leafs = OrderedDict()

                    self.swctestobj_list = YList(self)
                    self._segment_path = lambda: "secc-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SectlItems.SwTLTestObjList.SeccItems, [], name, value)


                class SwCTestObjList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    .. attribute:: swctestonly
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: descr
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: objdn
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: rstoobj_items
                    
                    	
                    	**type**\:  :py:class:`RstoObjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RstoObjItems>`
                    
                    .. attribute:: rttoobj_items
                    
                    	
                    	**type**\:  :py:class:`RttoObjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RttoObjItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList, self).__init__()

                        self.yang_name = "SwCTestObj-list"
                        self.yang_parent_name = "secc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("rstoObj-items", ("rstoobj_items", System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RstoObjItems)), ("rttoObj-items", ("rttoobj_items", System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RttoObjItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('swctestonly', (YLeaf(YType.str, 'swCTestOnly'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('objdn', (YLeaf(YType.str, 'objDn'), ['str'])),
                        ])
                        self.name = None
                        self.swctestonly = None
                        self.id = None
                        self.descr = None
                        self.objdn = None

                        self.rstoobj_items = System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RstoObjItems()
                        self.rstoobj_items.parent = self
                        self._children_name_map["rstoobj_items"] = "rstoObj-items"

                        self.rttoobj_items = System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RttoObjItems()
                        self.rttoobj_items.parent = self
                        self._children_name_map["rttoobj_items"] = "rttoObj-items"
                        self._segment_path = lambda: "SwCTestObj-list" + "[name='" + str(self.name) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList, ['name', 'swctestonly', 'id', 'descr', 'objdn'], name, value)


                    class RstoObjItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RstoObjItems, self).__init__()

                            self.yang_name = "rstoObj-items"
                            self.yang_parent_name = "SwCTestObj-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rstoObj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RstoObjItems, ['tdn', 'tcl'], name, value)



                    class RttoObjItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RttoObjItems, self).__init__()

                            self.yang_name = "rttoObj-items"
                            self.yang_parent_name = "SwCTestObj-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rttoObj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SectlItems.SwTLTestObjList.SeccItems.SwCTestObjList.RttoObjItems, ['tdn', 'tcl'], name, value)





            class IeccItems(Entity):
                """
                
                
                .. attribute:: ifcctestobj_list
                
                	
                	**type**\: list of  		 :py:class:`IfcCTestObjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SectlItems.SwTLTestObjList.IeccItems, self).__init__()

                    self.yang_name = "iecc-items"
                    self.yang_parent_name = "SwTLTestObj-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("IfcCTestObj-list", ("ifcctestobj_list", System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList))])
                    self._leafs = OrderedDict()

                    self.ifcctestobj_list = YList(self)
                    self._segment_path = lambda: "iecc-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SectlItems.SwTLTestObjList.IeccItems, [], name, value)


                class IfcCTestObjList(Entity):
                    """
                    
                    
                    .. attribute:: name  (key)
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    .. attribute:: ifcctestonly
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: id
                    
                    	Id
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: descr
                    
                    	TBD
                    	**type**\: str
                    
                    	**length:** 0..128
                    
                    .. attribute:: objdn
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: rttoobj_items
                    
                    	
                    	**type**\:  :py:class:`RttoObjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList.RttoObjItems>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList, self).__init__()

                        self.yang_name = "IfcCTestObj-list"
                        self.yang_parent_name = "iecc-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['name']
                        self._child_classes = OrderedDict([("rttoObj-items", ("rttoobj_items", System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList.RttoObjItems))])
                        self._leafs = OrderedDict([
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ('ifcctestonly', (YLeaf(YType.str, 'ifcCTestOnly'), ['str'])),
                            ('id', (YLeaf(YType.uint64, 'id'), ['int'])),
                            ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ('objdn', (YLeaf(YType.str, 'objDn'), ['str'])),
                        ])
                        self.name = None
                        self.ifcctestonly = None
                        self.id = None
                        self.descr = None
                        self.objdn = None

                        self.rttoobj_items = System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList.RttoObjItems()
                        self.rttoobj_items.parent = self
                        self._children_name_map["rttoobj_items"] = "rttoObj-items"
                        self._segment_path = lambda: "IfcCTestObj-list" + "[name='" + str(self.name) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList, ['name', 'ifcctestonly', 'id', 'descr', 'objdn'], name, value)


                    class RttoObjItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList.RttoObjItems, self).__init__()

                            self.yang_name = "rttoObj-items"
                            self.yang_parent_name = "IfcCTestObj-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rttoObj-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.SectlItems.SwTLTestObjList.IeccItems.IfcCTestObjList.RttoObjItems, ['tdn', 'tcl'], name, value)





            class RttoObjItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.SectlItems.SwTLTestObjList.RttoObjItems, self).__init__()

                    self.yang_name = "rttoObj-items"
                    self.yang_parent_name = "SwTLTestObj-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rttoObj-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.SectlItems.SwTLTestObjList.RttoObjItems, ['tdn', 'tcl'], name, value)





    class CaggrItems(Entity):
        """
        
        
        .. attribute:: aggrif_list
        
        	
        	**type**\: list of  		 :py:class:`AggrIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CaggrItems, self).__init__()

            self.yang_name = "caggr-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("AggrIf-list", ("aggrif_list", System.CaggrItems.AggrIfList))])
            self._leafs = OrderedDict()

            self.aggrif_list = YList(self)
            self._segment_path = lambda: "caggr-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CaggrItems, [], name, value)


        class AggrIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID Property has READ\-Create access
            	**type**\: str
            
            .. attribute:: operst
            
            	Operational Status
            	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            	**config**\: False
            
            .. attribute:: descr
            
            	descr
            	**type**\: str
            
            	**length:** 0..254
            
            	**config**\: False
            
            .. attribute:: adminst
            
            	Administrative Port State
            	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
            
            	**config**\: False
            
            .. attribute:: speed
            
            	Administrative Port Speed
            	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
            
            	**config**\: False
            
            .. attribute:: duplex
            
            	Duplex
            	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
            
            	**config**\: False
            
            .. attribute:: autoneg
            
            	Administrative Port Auto\-Negotiation
            	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
            
            	**config**\: False
            
            .. attribute:: mtu
            
            	Administrative port MTU
            	**type**\: int
            
            	**range:** 576..9216
            
            	**config**\: False
            
            .. attribute:: snmptrapst
            
            	Administrative Port Snmp Trap State
            	**type**\:  :py:class:`L1SnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SnmpTrapSt>`
            
            	**config**\: False
            
            .. attribute:: mode
            
            	Administrative port mode
            	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
            
            	**config**\: False
            
            .. attribute:: layer
            
            	Administrative port layer
            	**type**\:  :py:class:`L1Layer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Layer>`
            
            	**config**\: False
            
            .. attribute:: mdix
            
            	Administrative Medium\-dependant interface crossover(Mdix) mode
            	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
            
            	**config**\: False
            
            .. attribute:: delay
            
            	Administrative port delay time
            	**type**\: int
            
            	**range:** 1..16777215
            
            	**config**\: False
            
            .. attribute:: linkdebounce
            
            	Administrative port link debounce interval
            	**type**\: int
            
            	**range:** 0..20000
            
            	**config**\: False
            
            .. attribute:: dot1qethertype
            
            	Administrative port Dot1q ether\-type\: configures TPID value in VLAN tag field for packets received and sent by interface
            	**type**\:  :py:class:`L1Dot1qEtherType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Dot1qEtherType>`
            
            	**config**\: False
            
            .. attribute:: bw
            
            	Bandwidth parameter for a routed interface, port channel or subinterface
            	**type**\: int
            
            	**range:** 0..3200000000
            
            	**config**\: False
            
            .. attribute:: medium
            
            	Administrative port medium type
            	**type**\:  :py:class:`L1Medium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Medium>`
            
            	**config**\: False
            
            .. attribute:: inhbw
            
            	Administrative port inherit bandwidth
            	**type**\: int
            
            	**range:** 0..4294967295
            
            	**config**\: False
            
            .. attribute:: spanmode
            
            	Administrative port span mode
            	**type**\:  :py:class:`L1SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SpanMode>`
            
            	**config**\: False
            
            .. attribute:: linklog
            
            	Administrative link logging enable
            	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
            
            	**config**\: False
            
            .. attribute:: trunklog
            
            	Administrative trunk logging enable
            	**type**\:  :py:class:`L1TrunkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TrunkLog>`
            
            	**config**\: False
            
            .. attribute:: routermac
            
            	
            	**type**\: str
            
            	**config**\: False
            
            	**default value**\: 0
            
            .. attribute:: portt
            
            	Type of the port\: Fabric vs Leaf
            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
            
            	**config**\: False
            
            .. attribute:: usage
            
            	Port Usage Type
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: trunkvlans
            
            	Configed Trunk Vlans
            	**type**\: str
            
            .. attribute:: accessvlan
            
            	Configured Access Vlan
            	**type**\: str
            
            .. attribute:: controllerid
            
            	Controller ID
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: nativevlan
            
            	Configured Native Vlan
            	**type**\: str
            
            .. attribute:: usercfgdflags
            
            	Port User Config Flags
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems>`
            
            .. attribute:: rtextconf_items
            
            	
            	**type**\:  :py:class:`RtextConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtextConfItems>`
            
            .. attribute:: rtbrconf_items
            
            	
            	**type**\:  :py:class:`RtbrConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtbrConfItems>`
            
            .. attribute:: rtfvnodeportatt_items
            
            	
            	**type**\:  :py:class:`RtfvNodePortAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtfvNodePortAttItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtvrfMbrItems>`
            
            .. attribute:: rtphysrtdconf_items
            
            	
            	**type**\:  :py:class:`RtphysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtphysRtdConfItems>`
            
            .. attribute:: rtl3encphysrtdconf_items
            
            	
            	**type**\:  :py:class:`Rtl3EncPhysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtnwPathToIfItems>`
            
            .. attribute:: rtlsnodetoif_items
            
            	
            	**type**\:  :py:class:`RtLsNodeToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtLsNodeToIfItems>`
            
            .. attribute:: rsmbrifs_items
            
            	
            	**type**\:  :py:class:`RsmbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RsmbrIfsItems>`
            
            .. attribute:: rsactiveif_items
            
            	
            	**type**\:  :py:class:`RsactiveIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RsactiveIfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CaggrItems.AggrIfList, self).__init__()

                self.yang_name = "AggrIf-list"
                self.yang_parent_name = "caggr-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.CaggrItems.AggrIfList.DomItems)), ("rtextConf-items", ("rtextconf_items", System.CaggrItems.AggrIfList.RtextConfItems)), ("rtbrConf-items", ("rtbrconf_items", System.CaggrItems.AggrIfList.RtbrConfItems)), ("rtfvNodePortAtt-items", ("rtfvnodeportatt_items", System.CaggrItems.AggrIfList.RtfvNodePortAttItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.CaggrItems.AggrIfList.RtvrfMbrItems)), ("rtphysRtdConf-items", ("rtphysrtdconf_items", System.CaggrItems.AggrIfList.RtphysRtdConfItems)), ("rtl3EncPhysRtdConf-items", ("rtl3encphysrtdconf_items", System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.CaggrItems.AggrIfList.RtnwPathToIfItems)), ("rtLsNodeToIf-items", ("rtlsnodetoif_items", System.CaggrItems.AggrIfList.RtLsNodeToIfItems)), ("rsmbrIfs-items", ("rsmbrifs_items", System.CaggrItems.AggrIfList.RsmbrIfsItems)), ("rsactiveIf-items", ("rsactiveif_items", System.CaggrItems.AggrIfList.RsactiveIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ('speed', (YLeaf(YType.enumeration, 'speed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                    ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                    ('autoneg', (YLeaf(YType.enumeration, 'autoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                    ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                    ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SnmpTrapSt', '')])),
                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                    ('layer', (YLeaf(YType.enumeration, 'layer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Layer', '')])),
                    ('mdix', (YLeaf(YType.enumeration, 'mdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                    ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                    ('linkdebounce', (YLeaf(YType.uint16, 'linkDebounce'), ['int'])),
                    ('dot1qethertype', (YLeaf(YType.enumeration, 'dot1qEtherType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Dot1qEtherType', '')])),
                    ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                    ('medium', (YLeaf(YType.enumeration, 'medium'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Medium', '')])),
                    ('inhbw', (YLeaf(YType.uint32, 'inhBw'), ['int'])),
                    ('spanmode', (YLeaf(YType.enumeration, 'spanMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SpanMode', '')])),
                    ('linklog', (YLeaf(YType.enumeration, 'linkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                    ('trunklog', (YLeaf(YType.enumeration, 'trunkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TrunkLog', '')])),
                    ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                    ('portt', (YLeaf(YType.enumeration, 'portT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                    ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                    ('trunkvlans', (YLeaf(YType.str, 'trunkVlans'), ['str'])),
                    ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                    ('controllerid', (YLeaf(YType.str, 'controllerId'), ['str'])),
                    ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                    ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                ])
                self.id = None
                self.operst = None
                self.name = None
                self.descr = None
                self.adminst = None
                self.speed = None
                self.duplex = None
                self.autoneg = None
                self.mtu = None
                self.snmptrapst = None
                self.mode = None
                self.layer = None
                self.mdix = None
                self.delay = None
                self.linkdebounce = None
                self.dot1qethertype = None
                self.bw = None
                self.medium = None
                self.inhbw = None
                self.spanmode = None
                self.linklog = None
                self.trunklog = None
                self.routermac = None
                self.portt = None
                self.usage = None
                self.trunkvlans = None
                self.accessvlan = None
                self.controllerid = None
                self.nativevlan = None
                self.usercfgdflags = None

                self.dom_items = System.CaggrItems.AggrIfList.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.rtextconf_items = System.CaggrItems.AggrIfList.RtextConfItems()
                self.rtextconf_items.parent = self
                self._children_name_map["rtextconf_items"] = "rtextConf-items"

                self.rtbrconf_items = System.CaggrItems.AggrIfList.RtbrConfItems()
                self.rtbrconf_items.parent = self
                self._children_name_map["rtbrconf_items"] = "rtbrConf-items"

                self.rtfvnodeportatt_items = System.CaggrItems.AggrIfList.RtfvNodePortAttItems()
                self.rtfvnodeportatt_items.parent = self
                self._children_name_map["rtfvnodeportatt_items"] = "rtfvNodePortAtt-items"

                self.rtvrfmbr_items = System.CaggrItems.AggrIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtphysrtdconf_items = System.CaggrItems.AggrIfList.RtphysRtdConfItems()
                self.rtphysrtdconf_items.parent = self
                self._children_name_map["rtphysrtdconf_items"] = "rtphysRtdConf-items"

                self.rtl3encphysrtdconf_items = System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems()
                self.rtl3encphysrtdconf_items.parent = self
                self._children_name_map["rtl3encphysrtdconf_items"] = "rtl3EncPhysRtdConf-items"

                self.rtnwpathtoif_items = System.CaggrItems.AggrIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                self.rtlsnodetoif_items = System.CaggrItems.AggrIfList.RtLsNodeToIfItems()
                self.rtlsnodetoif_items.parent = self
                self._children_name_map["rtlsnodetoif_items"] = "rtLsNodeToIf-items"

                self.rsmbrifs_items = System.CaggrItems.AggrIfList.RsmbrIfsItems()
                self.rsmbrifs_items.parent = self
                self._children_name_map["rsmbrifs_items"] = "rsmbrIfs-items"

                self.rsactiveif_items = System.CaggrItems.AggrIfList.RsactiveIfItems()
                self.rsactiveif_items.parent = self
                self._children_name_map["rsactiveif_items"] = "rsactiveIf-items"
                self._segment_path = lambda: "AggrIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/caggr-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CaggrItems.AggrIfList, ['id', 'operst', 'name', 'descr', 'adminst', 'speed', 'duplex', 'autoneg', 'mtu', 'snmptrapst', 'mode', 'layer', 'mdix', 'delay', 'linkdebounce', 'dot1qethertype', 'bw', 'medium', 'inhbw', 'spanmode', 'linklog', 'trunklog', 'routermac', 'portt', 'usage', 'trunkvlans', 'accessvlan', 'controllerid', 'nativevlan', 'usercfgdflags'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: domdef_list
                
                	
                	**type**\: list of  		 :py:class:`DomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems.DomDefList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DomDef-list", ("domdef_list", System.CaggrItems.AggrIfList.DomItems.DomDefList))])
                    self._leafs = OrderedDict()

                    self.domdef_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.DomItems, [], name, value)


                class DomDefList(Entity):
                    """
                    
                    
                    .. attribute:: dompkey  (key)
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: instrimedcy
                    
                    	TBD
                    	**type**\:  :py:class:`FvImmediacy_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FvImmediacy_>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: rsdomdefns_items
                    
                    	
                    	**type**\:  :py:class:`RsdomDefNsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rsdomdefnslocal_items
                    
                    	
                    	**type**\:  :py:class:`RsdomDefNsLocalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvtodomdef_items
                    
                    	
                    	**type**\:  :py:class:`RtfvToDomDefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CaggrItems.AggrIfList.DomItems.DomDefList, self).__init__()

                        self.yang_name = "DomDef-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['dompkey']
                        self._child_classes = OrderedDict([("rsdomDefNs-items", ("rsdomdefns_items", System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems)), ("rsdomDefNsLocal-items", ("rsdomdefnslocal_items", System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems)), ("rtfvToDomDef-items", ("rtfvtodomdef_items", System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems))])
                        self._leafs = OrderedDict([
                            ('dompkey', (YLeaf(YType.str, 'domPKey'), ['str'])),
                            ('instrimedcy', (YLeaf(YType.enumeration, 'instrImedcy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FvImmediacy_', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.dompkey = None
                        self.instrimedcy = None
                        self.name = None

                        self.rsdomdefns_items = System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems()
                        self.rsdomdefns_items.parent = self
                        self._children_name_map["rsdomdefns_items"] = "rsdomDefNs-items"

                        self.rsdomdefnslocal_items = System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems()
                        self.rsdomdefnslocal_items.parent = self
                        self._children_name_map["rsdomdefnslocal_items"] = "rsdomDefNsLocal-items"

                        self.rtfvtodomdef_items = System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems()
                        self.rtfvtodomdef_items.parent = self
                        self._children_name_map["rtfvtodomdef_items"] = "rtfvToDomDef-items"
                        self._segment_path = lambda: "DomDef-list" + "[domPKey='" + str(self.dompkey) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CaggrItems.AggrIfList.DomItems.DomDefList, ['dompkey', 'instrimedcy', 'name'], name, value)


                    class RsdomDefNsItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems, self).__init__()

                            self.yang_name = "rsdomDefNs-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rsdomDefNs-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsItems, ['tdn', 'tcl'], name, value)



                    class RsdomDefNsLocalItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems, self).__init__()

                            self.yang_name = "rsdomDefNsLocal-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rsdomDefNsLocal-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CaggrItems.AggrIfList.DomItems.DomDefList.RsdomDefNsLocalItems, ['tdn', 'tcl'], name, value)



                    class RtfvToDomDefItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvtodomdef_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvToDomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems, self).__init__()

                            self.yang_name = "rtfvToDomDef-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvToDomDef-list", ("rtfvtodomdef_list", System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList))])
                            self._leafs = OrderedDict()

                            self.rtfvtodomdef_list = YList(self)
                            self._segment_path = lambda: "rtfvToDomDef-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems, [], name, value)


                        class RtFvToDomDefList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, self).__init__()

                                self.yang_name = "RtFvToDomDef-list"
                                self.yang_parent_name = "rtfvToDomDef-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvToDomDef-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CaggrItems.AggrIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, ['tdn', 'tcl'], name, value)






            class RtextConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtextConfItems, self).__init__()

                    self.yang_name = "rtextConf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtextConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtextConfItems, ['tdn', 'tcl'], name, value)



            class RtbrConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtbrConfItems, self).__init__()

                    self.yang_name = "rtbrConf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtbrConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtbrConfItems, ['tdn', 'tcl'], name, value)



            class RtfvNodePortAttItems(Entity):
                """
                
                
                .. attribute:: rtfvnodeportatt_list
                
                	
                	**type**\: list of  		 :py:class:`RtFvNodePortAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtfvNodePortAttItems, self).__init__()

                    self.yang_name = "rtfvNodePortAtt-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFvNodePortAtt-list", ("rtfvnodeportatt_list", System.CaggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList))])
                    self._leafs = OrderedDict()

                    self.rtfvnodeportatt_list = YList(self)
                    self._segment_path = lambda: "rtfvNodePortAtt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtfvNodePortAttItems, [], name, value)


                class RtFvNodePortAttList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CaggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList, self).__init__()

                        self.yang_name = "RtFvNodePortAtt-list"
                        self.yang_parent_name = "rtfvNodePortAtt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFvNodePortAtt-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CaggrItems.AggrIfList.RtfvNodePortAttItems.RtFvNodePortAttList, ['tdn', 'tcl'], name, value)




            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtphysRtdConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtphysRtdConfItems, self).__init__()

                    self.yang_name = "rtphysRtdConf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtphysRtdConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtphysRtdConfItems, ['tdn', 'tcl'], name, value)



            class Rtl3EncPhysRtdConfItems(Entity):
                """
                
                
                .. attribute:: rtl3encphysrtdconf_list
                
                	
                	**type**\: list of  		 :py:class:`RtL3EncPhysRtdConfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems, self).__init__()

                    self.yang_name = "rtl3EncPhysRtdConf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtL3EncPhysRtdConf-list", ("rtl3encphysrtdconf_list", System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList))])
                    self._leafs = OrderedDict()

                    self.rtl3encphysrtdconf_list = YList(self)
                    self._segment_path = lambda: "rtl3EncPhysRtdConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems, [], name, value)


                class RtL3EncPhysRtdConfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, self).__init__()

                        self.yang_name = "RtL3EncPhysRtdConf-list"
                        self.yang_parent_name = "rtl3EncPhysRtdConf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtL3EncPhysRtdConf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CaggrItems.AggrIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, ['tdn', 'tcl'], name, value)




            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.CaggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CaggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CaggrItems.AggrIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




            class RtLsNodeToIfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RtLsNodeToIfItems, self).__init__()

                    self.yang_name = "rtLsNodeToIf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtLsNodeToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RtLsNodeToIfItems, ['tdn', 'tcl'], name, value)



            class RsmbrIfsItems(Entity):
                """
                
                
                .. attribute:: rsmbrifs_list
                
                	
                	**type**\: list of  		 :py:class:`RsMbrIfsList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CaggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RsmbrIfsItems, self).__init__()

                    self.yang_name = "rsmbrIfs-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RsMbrIfs-list", ("rsmbrifs_list", System.CaggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList))])
                    self._leafs = OrderedDict()

                    self.rsmbrifs_list = YList(self)
                    self._segment_path = lambda: "rsmbrIfs-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RsmbrIfsItems, [], name, value)


                class RsMbrIfsList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CaggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList, self).__init__()

                        self.yang_name = "RsMbrIfs-list"
                        self.yang_parent_name = "rsmbrIfs-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RsMbrIfs-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CaggrItems.AggrIfList.RsmbrIfsItems.RsMbrIfsList, ['tdn', 'tcl'], name, value)




            class RsactiveIfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CaggrItems.AggrIfList.RsactiveIfItems, self).__init__()

                    self.yang_name = "rsactiveIf-items"
                    self.yang_parent_name = "AggrIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rsactiveIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CaggrItems.AggrIfList.RsactiveIfItems, ['tdn', 'tcl'], name, value)





    class CphysItems(Entity):
        """
        
        
        .. attribute:: physif_list
        
        	
        	**type**\: list of  		 :py:class:`PhysIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.CphysItems, self).__init__()

            self.yang_name = "cphys-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("PhysIf-list", ("physif_list", System.CphysItems.PhysIfList))])
            self._leafs = OrderedDict()

            self.physif_list = YList(self)
            self._segment_path = lambda: "cphys-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.CphysItems, [], name, value)


        class PhysIfList(Entity):
            """
            
            
            .. attribute:: id  (key)
            
            	Interface ID
            	**type**\: str
            
            .. attribute:: operst
            
            	Operational Status
            	**type**\:  :py:class:`L1OperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1OperSt>`
            
            	**config**\: False
            
            .. attribute:: name
            
            	Name
            	**type**\: str
            
            	**length:** 1..64
            
            .. attribute:: descr
            
            	descr
            	**type**\: str
            
            	**length:** 0..254
            
            .. attribute:: adminst
            
            	Administrative Port State
            	**type**\:  :py:class:`L1AdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AdminSt>`
            
            .. attribute:: speed
            
            	Administrative Port Speed
            	**type**\:  :py:class:`L1Speed <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Speed>`
            
            .. attribute:: duplex
            
            	Duplex
            	**type**\:  :py:class:`L1Duplex <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Duplex>`
            
            .. attribute:: autoneg
            
            	Administrative Port Auto\-Negotiation
            	**type**\:  :py:class:`L1AutoNeg <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1AutoNeg>`
            
            .. attribute:: mtu
            
            	Administrative port MTU
            	**type**\: int
            
            	**range:** 576..9216
            
            .. attribute:: snmptrapst
            
            	Administrative Port Snmp Trap State
            	**type**\:  :py:class:`L1SnmpTrapSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SnmpTrapSt>`
            
            .. attribute:: mode
            
            	Administrative port mode
            	**type**\:  :py:class:`L1Mode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mode>`
            
            .. attribute:: layer
            
            	Administrative port layer
            	**type**\:  :py:class:`L1Layer <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Layer>`
            
            .. attribute:: mdix
            
            	Administrative Medium\-dependant interface crossover(Mdix) mode
            	**type**\:  :py:class:`L1Mdix <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Mdix>`
            
            .. attribute:: delay
            
            	Administrative port delay time
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: linkdebounce
            
            	Administrative port link debounce interval
            	**type**\: int
            
            	**range:** 0..20000
            
            .. attribute:: dot1qethertype
            
            	Administrative port Dot1q ether\-type\: configures TPID value in VLAN tag field for packets received and sent by interface
            	**type**\:  :py:class:`L1Dot1qEtherType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Dot1qEtherType>`
            
            .. attribute:: bw
            
            	Bandwidth parameter for a routed interface, port channel or subinterface
            	**type**\: int
            
            	**range:** 0..3200000000
            
            .. attribute:: medium
            
            	Administrative port medium type
            	**type**\:  :py:class:`L1Medium <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1Medium>`
            
            .. attribute:: inhbw
            
            	Administrative port inherit bandwidth
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: spanmode
            
            	Administrative port span mode
            	**type**\:  :py:class:`L1SpanMode <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1SpanMode>`
            
            .. attribute:: linklog
            
            	Administrative link logging enable
            	**type**\:  :py:class:`L1LinkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1LinkLog>`
            
            .. attribute:: trunklog
            
            	Administrative trunk logging enable
            	**type**\:  :py:class:`L1TrunkLog <ydk.models.cisco_nx_os.Cisco_NX_OS_device.L1TrunkLog>`
            
            .. attribute:: routermac
            
            	
            	**type**\: str
            
            	**default value**\: 0
            
            .. attribute:: portt
            
            	Type of the port\: Fabric vs Leaf
            	**type**\:  :py:class:`EqptPortT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.EqptPortT>`
            
            .. attribute:: usage
            
            	Port Usage Type
            	**type**\: str
            
            .. attribute:: trunkvlans
            
            	Configed Trunk Vlans
            	**type**\: str
            
            .. attribute:: accessvlan
            
            	Configured Access Vlan
            	**type**\: str
            
            .. attribute:: controllerid
            
            	Controller ID
            	**type**\: str
            
            .. attribute:: nativevlan
            
            	Configured Native Vlan
            	**type**\: str
            
            .. attribute:: usercfgdflags
            
            	Port User Config Flags
            	**type**\: str
            
            .. attribute:: dom_items
            
            	
            	**type**\:  :py:class:`DomItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems>`
            
            .. attribute:: rtextconf_items
            
            	
            	**type**\:  :py:class:`RtextConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtextConfItems>`
            
            .. attribute:: rtbrconf_items
            
            	
            	**type**\:  :py:class:`RtbrConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtbrConfItems>`
            
            .. attribute:: rtfvnodeportatt_items
            
            	
            	**type**\:  :py:class:`RtfvNodePortAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtfvNodePortAttItems>`
            
            .. attribute:: rtvrfmbr_items
            
            	
            	**type**\:  :py:class:`RtvrfMbrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtvrfMbrItems>`
            
            .. attribute:: rtphysrtdconf_items
            
            	
            	**type**\:  :py:class:`RtphysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtphysRtdConfItems>`
            
            .. attribute:: rtl3encphysrtdconf_items
            
            	
            	**type**\:  :py:class:`Rtl3EncPhysRtdConfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems>`
            
            .. attribute:: rtnwpathtoif_items
            
            	
            	**type**\:  :py:class:`RtnwPathToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtnwPathToIfItems>`
            
            .. attribute:: rtlsnodetoif_items
            
            	
            	**type**\:  :py:class:`RtLsNodeToIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtLsNodeToIfItems>`
            
            .. attribute:: rtmbrifs_items
            
            	
            	**type**\:  :py:class:`RtmbrIfsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtmbrIfsItems>`
            
            .. attribute:: rtactiveif_items
            
            	
            	**type**\:  :py:class:`RtactiveIfItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtactiveIfItems>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.CphysItems.PhysIfList, self).__init__()

                self.yang_name = "PhysIf-list"
                self.yang_parent_name = "cphys-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['id']
                self._child_classes = OrderedDict([("dom-items", ("dom_items", System.CphysItems.PhysIfList.DomItems)), ("rtextConf-items", ("rtextconf_items", System.CphysItems.PhysIfList.RtextConfItems)), ("rtbrConf-items", ("rtbrconf_items", System.CphysItems.PhysIfList.RtbrConfItems)), ("rtfvNodePortAtt-items", ("rtfvnodeportatt_items", System.CphysItems.PhysIfList.RtfvNodePortAttItems)), ("rtvrfMbr-items", ("rtvrfmbr_items", System.CphysItems.PhysIfList.RtvrfMbrItems)), ("rtphysRtdConf-items", ("rtphysrtdconf_items", System.CphysItems.PhysIfList.RtphysRtdConfItems)), ("rtl3EncPhysRtdConf-items", ("rtl3encphysrtdconf_items", System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems)), ("rtnwPathToIf-items", ("rtnwpathtoif_items", System.CphysItems.PhysIfList.RtnwPathToIfItems)), ("rtLsNodeToIf-items", ("rtlsnodetoif_items", System.CphysItems.PhysIfList.RtLsNodeToIfItems)), ("rtmbrIfs-items", ("rtmbrifs_items", System.CphysItems.PhysIfList.RtmbrIfsItems)), ("rtactiveIf-items", ("rtactiveif_items", System.CphysItems.PhysIfList.RtactiveIfItems))])
                self._leafs = OrderedDict([
                    ('id', (YLeaf(YType.str, 'id'), ['str'])),
                    ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1OperSt', '')])),
                    ('name', (YLeaf(YType.str, 'name'), ['str'])),
                    ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                    ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AdminSt', '')])),
                    ('speed', (YLeaf(YType.enumeration, 'speed'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Speed', '')])),
                    ('duplex', (YLeaf(YType.enumeration, 'duplex'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Duplex', '')])),
                    ('autoneg', (YLeaf(YType.enumeration, 'autoNeg'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1AutoNeg', '')])),
                    ('mtu', (YLeaf(YType.uint32, 'mtu'), ['int'])),
                    ('snmptrapst', (YLeaf(YType.enumeration, 'snmpTrapSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SnmpTrapSt', '')])),
                    ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mode', '')])),
                    ('layer', (YLeaf(YType.enumeration, 'layer'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Layer', '')])),
                    ('mdix', (YLeaf(YType.enumeration, 'mdix'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Mdix', '')])),
                    ('delay', (YLeaf(YType.uint32, 'delay'), ['int'])),
                    ('linkdebounce', (YLeaf(YType.uint16, 'linkDebounce'), ['int'])),
                    ('dot1qethertype', (YLeaf(YType.enumeration, 'dot1qEtherType'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Dot1qEtherType', '')])),
                    ('bw', (YLeaf(YType.uint32, 'bw'), ['int'])),
                    ('medium', (YLeaf(YType.enumeration, 'medium'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1Medium', '')])),
                    ('inhbw', (YLeaf(YType.uint32, 'inhBw'), ['int'])),
                    ('spanmode', (YLeaf(YType.enumeration, 'spanMode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1SpanMode', '')])),
                    ('linklog', (YLeaf(YType.enumeration, 'linkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1LinkLog', '')])),
                    ('trunklog', (YLeaf(YType.enumeration, 'trunkLog'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'L1TrunkLog', '')])),
                    ('routermac', (YLeaf(YType.str, 'routerMac'), ['str'])),
                    ('portt', (YLeaf(YType.enumeration, 'portT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'EqptPortT', '')])),
                    ('usage', (YLeaf(YType.str, 'usage'), ['str'])),
                    ('trunkvlans', (YLeaf(YType.str, 'trunkVlans'), ['str'])),
                    ('accessvlan', (YLeaf(YType.str, 'accessVlan'), ['str'])),
                    ('controllerid', (YLeaf(YType.str, 'controllerId'), ['str'])),
                    ('nativevlan', (YLeaf(YType.str, 'nativeVlan'), ['str'])),
                    ('usercfgdflags', (YLeaf(YType.str, 'userCfgdFlags'), ['str'])),
                ])
                self.id = None
                self.operst = None
                self.name = None
                self.descr = None
                self.adminst = None
                self.speed = None
                self.duplex = None
                self.autoneg = None
                self.mtu = None
                self.snmptrapst = None
                self.mode = None
                self.layer = None
                self.mdix = None
                self.delay = None
                self.linkdebounce = None
                self.dot1qethertype = None
                self.bw = None
                self.medium = None
                self.inhbw = None
                self.spanmode = None
                self.linklog = None
                self.trunklog = None
                self.routermac = None
                self.portt = None
                self.usage = None
                self.trunkvlans = None
                self.accessvlan = None
                self.controllerid = None
                self.nativevlan = None
                self.usercfgdflags = None

                self.dom_items = System.CphysItems.PhysIfList.DomItems()
                self.dom_items.parent = self
                self._children_name_map["dom_items"] = "dom-items"

                self.rtextconf_items = System.CphysItems.PhysIfList.RtextConfItems()
                self.rtextconf_items.parent = self
                self._children_name_map["rtextconf_items"] = "rtextConf-items"

                self.rtbrconf_items = System.CphysItems.PhysIfList.RtbrConfItems()
                self.rtbrconf_items.parent = self
                self._children_name_map["rtbrconf_items"] = "rtbrConf-items"

                self.rtfvnodeportatt_items = System.CphysItems.PhysIfList.RtfvNodePortAttItems()
                self.rtfvnodeportatt_items.parent = self
                self._children_name_map["rtfvnodeportatt_items"] = "rtfvNodePortAtt-items"

                self.rtvrfmbr_items = System.CphysItems.PhysIfList.RtvrfMbrItems()
                self.rtvrfmbr_items.parent = self
                self._children_name_map["rtvrfmbr_items"] = "rtvrfMbr-items"

                self.rtphysrtdconf_items = System.CphysItems.PhysIfList.RtphysRtdConfItems()
                self.rtphysrtdconf_items.parent = self
                self._children_name_map["rtphysrtdconf_items"] = "rtphysRtdConf-items"

                self.rtl3encphysrtdconf_items = System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems()
                self.rtl3encphysrtdconf_items.parent = self
                self._children_name_map["rtl3encphysrtdconf_items"] = "rtl3EncPhysRtdConf-items"

                self.rtnwpathtoif_items = System.CphysItems.PhysIfList.RtnwPathToIfItems()
                self.rtnwpathtoif_items.parent = self
                self._children_name_map["rtnwpathtoif_items"] = "rtnwPathToIf-items"

                self.rtlsnodetoif_items = System.CphysItems.PhysIfList.RtLsNodeToIfItems()
                self.rtlsnodetoif_items.parent = self
                self._children_name_map["rtlsnodetoif_items"] = "rtLsNodeToIf-items"

                self.rtmbrifs_items = System.CphysItems.PhysIfList.RtmbrIfsItems()
                self.rtmbrifs_items.parent = self
                self._children_name_map["rtmbrifs_items"] = "rtmbrIfs-items"

                self.rtactiveif_items = System.CphysItems.PhysIfList.RtactiveIfItems()
                self.rtactiveif_items.parent = self
                self._children_name_map["rtactiveif_items"] = "rtactiveIf-items"
                self._segment_path = lambda: "PhysIf-list" + "[id='" + str(self.id) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/cphys-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.CphysItems.PhysIfList, ['id', 'operst', 'name', 'descr', 'adminst', 'speed', 'duplex', 'autoneg', 'mtu', 'snmptrapst', 'mode', 'layer', 'mdix', 'delay', 'linkdebounce', 'dot1qethertype', 'bw', 'medium', 'inhbw', 'spanmode', 'linklog', 'trunklog', 'routermac', 'portt', 'usage', 'trunkvlans', 'accessvlan', 'controllerid', 'nativevlan', 'usercfgdflags'], name, value)


            class DomItems(Entity):
                """
                
                
                .. attribute:: domdef_list
                
                	
                	**type**\: list of  		 :py:class:`DomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems.DomDefList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.DomItems, self).__init__()

                    self.yang_name = "dom-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("DomDef-list", ("domdef_list", System.CphysItems.PhysIfList.DomItems.DomDefList))])
                    self._leafs = OrderedDict()

                    self.domdef_list = YList(self)
                    self._segment_path = lambda: "dom-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.DomItems, [], name, value)


                class DomDefList(Entity):
                    """
                    
                    
                    .. attribute:: dompkey  (key)
                    
                    	TBD
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: instrimedcy
                    
                    	TBD
                    	**type**\:  :py:class:`FvImmediacy_ <ydk.models.cisco_nx_os.Cisco_NX_OS_device.FvImmediacy_>`
                    
                    	**config**\: False
                    
                    .. attribute:: name
                    
                    	Name
                    	**type**\: str
                    
                    	**length:** 0..16
                    
                    	**config**\: False
                    
                    .. attribute:: rsdomdefns_items
                    
                    	
                    	**type**\:  :py:class:`RsdomDefNsItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rsdomdefnslocal_items
                    
                    	
                    	**type**\:  :py:class:`RsdomDefNsLocalItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems>`
                    
                    	**config**\: False
                    
                    .. attribute:: rtfvtodomdef_items
                    
                    	
                    	**type**\:  :py:class:`RtfvToDomDefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CphysItems.PhysIfList.DomItems.DomDefList, self).__init__()

                        self.yang_name = "DomDef-list"
                        self.yang_parent_name = "dom-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['dompkey']
                        self._child_classes = OrderedDict([("rsdomDefNs-items", ("rsdomdefns_items", System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems)), ("rsdomDefNsLocal-items", ("rsdomdefnslocal_items", System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems)), ("rtfvToDomDef-items", ("rtfvtodomdef_items", System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems))])
                        self._leafs = OrderedDict([
                            ('dompkey', (YLeaf(YType.str, 'domPKey'), ['str'])),
                            ('instrimedcy', (YLeaf(YType.enumeration, 'instrImedcy'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'FvImmediacy_', '')])),
                            ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ])
                        self.dompkey = None
                        self.instrimedcy = None
                        self.name = None

                        self.rsdomdefns_items = System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems()
                        self.rsdomdefns_items.parent = self
                        self._children_name_map["rsdomdefns_items"] = "rsdomDefNs-items"

                        self.rsdomdefnslocal_items = System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems()
                        self.rsdomdefnslocal_items.parent = self
                        self._children_name_map["rsdomdefnslocal_items"] = "rsdomDefNsLocal-items"

                        self.rtfvtodomdef_items = System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems()
                        self.rtfvtodomdef_items.parent = self
                        self._children_name_map["rtfvtodomdef_items"] = "rtfvToDomDef-items"
                        self._segment_path = lambda: "DomDef-list" + "[domPKey='" + str(self.dompkey) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CphysItems.PhysIfList.DomItems.DomDefList, ['dompkey', 'instrimedcy', 'name'], name, value)


                    class RsdomDefNsItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems, self).__init__()

                            self.yang_name = "rsdomDefNs-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rsdomDefNs-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsItems, ['tdn', 'tcl'], name, value)



                    class RsdomDefNsLocalItems(Entity):
                        """
                        
                        
                        .. attribute:: tdn
                        
                        	Target\-dn
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tcl
                        
                        	Target\-class
                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems, self).__init__()

                            self.yang_name = "rsdomDefNsLocal-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                            ])
                            self.tdn = None
                            self.tcl = None
                            self._segment_path = lambda: "rsdomDefNsLocal-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CphysItems.PhysIfList.DomItems.DomDefList.RsdomDefNsLocalItems, ['tdn', 'tcl'], name, value)



                    class RtfvToDomDefItems(Entity):
                        """
                        
                        
                        .. attribute:: rtfvtodomdef_list
                        
                        	
                        	**type**\: list of  		 :py:class:`RtFvToDomDefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems, self).__init__()

                            self.yang_name = "rtfvToDomDef-items"
                            self.yang_parent_name = "DomDef-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = []
                            self._child_classes = OrderedDict([("RtFvToDomDef-list", ("rtfvtodomdef_list", System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList))])
                            self._leafs = OrderedDict()

                            self.rtfvtodomdef_list = YList(self)
                            self._segment_path = lambda: "rtfvToDomDef-items"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems, [], name, value)


                        class RtFvToDomDefList(Entity):
                            """
                            
                            
                            .. attribute:: tdn  (key)
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, self).__init__()

                                self.yang_name = "RtFvToDomDef-list"
                                self.yang_parent_name = "rtfvToDomDef-items"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = ['tdn']
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "RtFvToDomDef-list" + "[tDn='" + str(self.tdn) + "']"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.CphysItems.PhysIfList.DomItems.DomDefList.RtfvToDomDefItems.RtFvToDomDefList, ['tdn', 'tcl'], name, value)






            class RtextConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtextConfItems, self).__init__()

                    self.yang_name = "rtextConf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtextConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtextConfItems, ['tdn', 'tcl'], name, value)



            class RtbrConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtbrConfItems, self).__init__()

                    self.yang_name = "rtbrConf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtbrConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtbrConfItems, ['tdn', 'tcl'], name, value)



            class RtfvNodePortAttItems(Entity):
                """
                
                
                .. attribute:: rtfvnodeportatt_list
                
                	
                	**type**\: list of  		 :py:class:`RtFvNodePortAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtfvNodePortAttItems, self).__init__()

                    self.yang_name = "rtfvNodePortAtt-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtFvNodePortAtt-list", ("rtfvnodeportatt_list", System.CphysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList))])
                    self._leafs = OrderedDict()

                    self.rtfvnodeportatt_list = YList(self)
                    self._segment_path = lambda: "rtfvNodePortAtt-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtfvNodePortAttItems, [], name, value)


                class RtFvNodePortAttList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CphysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList, self).__init__()

                        self.yang_name = "RtFvNodePortAtt-list"
                        self.yang_parent_name = "rtfvNodePortAtt-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtFvNodePortAtt-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CphysItems.PhysIfList.RtfvNodePortAttItems.RtFvNodePortAttList, ['tdn', 'tcl'], name, value)




            class RtvrfMbrItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtvrfMbrItems, self).__init__()

                    self.yang_name = "rtvrfMbr-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtvrfMbr-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtvrfMbrItems, ['tdn', 'tcl'], name, value)



            class RtphysRtdConfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtphysRtdConfItems, self).__init__()

                    self.yang_name = "rtphysRtdConf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtphysRtdConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtphysRtdConfItems, ['tdn', 'tcl'], name, value)



            class Rtl3EncPhysRtdConfItems(Entity):
                """
                
                
                .. attribute:: rtl3encphysrtdconf_list
                
                	
                	**type**\: list of  		 :py:class:`RtL3EncPhysRtdConfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems, self).__init__()

                    self.yang_name = "rtl3EncPhysRtdConf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtL3EncPhysRtdConf-list", ("rtl3encphysrtdconf_list", System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList))])
                    self._leafs = OrderedDict()

                    self.rtl3encphysrtdconf_list = YList(self)
                    self._segment_path = lambda: "rtl3EncPhysRtdConf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems, [], name, value)


                class RtL3EncPhysRtdConfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, self).__init__()

                        self.yang_name = "RtL3EncPhysRtdConf-list"
                        self.yang_parent_name = "rtl3EncPhysRtdConf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtL3EncPhysRtdConf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CphysItems.PhysIfList.Rtl3EncPhysRtdConfItems.RtL3EncPhysRtdConfList, ['tdn', 'tcl'], name, value)




            class RtnwPathToIfItems(Entity):
                """
                
                
                .. attribute:: rtnwpathtoif_list
                
                	
                	**type**\: list of  		 :py:class:`RtNwPathToIfList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.CphysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtnwPathToIfItems, self).__init__()

                    self.yang_name = "rtnwPathToIf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([("RtNwPathToIf-list", ("rtnwpathtoif_list", System.CphysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList))])
                    self._leafs = OrderedDict()

                    self.rtnwpathtoif_list = YList(self)
                    self._segment_path = lambda: "rtnwPathToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtnwPathToIfItems, [], name, value)


                class RtNwPathToIfList(Entity):
                    """
                    
                    
                    .. attribute:: tdn  (key)
                    
                    	Target\-dn
                    	**type**\: str
                    
                    	**config**\: False
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.CphysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, self).__init__()

                        self.yang_name = "RtNwPathToIf-list"
                        self.yang_parent_name = "rtnwPathToIf-items"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = ['tdn']
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "RtNwPathToIf-list" + "[tDn='" + str(self.tdn) + "']"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.CphysItems.PhysIfList.RtnwPathToIfItems.RtNwPathToIfList, ['tdn', 'tcl'], name, value)




            class RtLsNodeToIfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtLsNodeToIfItems, self).__init__()

                    self.yang_name = "rtLsNodeToIf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtLsNodeToIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtLsNodeToIfItems, ['tdn', 'tcl'], name, value)



            class RtmbrIfsItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtmbrIfsItems, self).__init__()

                    self.yang_name = "rtmbrIfs-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtmbrIfs-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtmbrIfsItems, ['tdn', 'tcl'], name, value)



            class RtactiveIfItems(Entity):
                """
                
                
                .. attribute:: tdn
                
                	Target\-dn
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: tcl
                
                	Target\-class
                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.CphysItems.PhysIfList.RtactiveIfItems, self).__init__()

                    self.yang_name = "rtactiveIf-items"
                    self.yang_parent_name = "PhysIf-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self.ylist_key_names = []
                    self._child_classes = OrderedDict([])
                    self._leafs = OrderedDict([
                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                    ])
                    self.tdn = None
                    self.tcl = None
                    self._segment_path = lambda: "rtactiveIf-items"
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.CphysItems.PhysIfList.RtactiveIfItems, ['tdn', 'tcl'], name, value)





    class ActionItems(Entity):
        """
        
        
        .. attribute:: tracertnve_items
        
        	
        	**type**\:  :py:class:`TracertnveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems>`
        
        .. attribute:: pathtracenve_items
        
        	
        	**type**\:  :py:class:`PathtracenveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems>`
        
        .. attribute:: eqptdiagrule_items
        
        	
        	**type**\:  :py:class:`EqptdiagruleItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems>`
        
        .. attribute:: lsubj_items
        
        	
        	**type**\:  :py:class:`LsubjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.ActionItems, self).__init__()

            self.yang_name = "action-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("tracertnve-items", ("tracertnve_items", System.ActionItems.TracertnveItems)), ("pathtracenve-items", ("pathtracenve_items", System.ActionItems.PathtracenveItems)), ("eqptdiagrule-items", ("eqptdiagrule_items", System.ActionItems.EqptdiagruleItems)), ("lsubj-items", ("lsubj_items", System.ActionItems.LsubjItems))])
            self._leafs = OrderedDict()

            self.tracertnve_items = System.ActionItems.TracertnveItems()
            self.tracertnve_items.parent = self
            self._children_name_map["tracertnve_items"] = "tracertnve-items"

            self.pathtracenve_items = System.ActionItems.PathtracenveItems()
            self.pathtracenve_items.parent = self
            self._children_name_map["pathtracenve_items"] = "pathtracenve-items"

            self.eqptdiagrule_items = System.ActionItems.EqptdiagruleItems()
            self.eqptdiagrule_items.parent = self
            self._children_name_map["eqptdiagrule_items"] = "eqptdiagrule-items"

            self.lsubj_items = System.ActionItems.LsubjItems()
            self.lsubj_items.parent = self
            self._children_name_map["lsubj_items"] = "lsubj-items"
            self._segment_path = lambda: "action-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.ActionItems, [], name, value)


        class TracertnveItems(Entity):
            """
            
            
            .. attribute:: tracertnve_list
            
            	
            	**type**\: list of  		 :py:class:`TraceRtNveList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActionItems.TracertnveItems, self).__init__()

                self.yang_name = "tracertnve-items"
                self.yang_parent_name = "action-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("TraceRtNve-list", ("tracertnve_list", System.ActionItems.TracertnveItems.TraceRtNveList))])
                self._leafs = OrderedDict()

                self.tracertnve_list = YList(self)
                self._segment_path = lambda: "tracertnve-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActionItems.TracertnveItems, [], name, value)


            class TraceRtNveList(Entity):
                """
                
                
                .. attribute:: session  (key)
                
                	
                	**type**\: str
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                .. attribute:: startts
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: type
                
                	TBD
                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                
                .. attribute:: rsz
                
                	TBD
                	**type**\: int
                
                	**range:** 1..1024
                
                	**config**\: False
                
                .. attribute:: rtm
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peerclassid
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                
                .. attribute:: freq
                
                	Task Frequency
                	**type**\: str
                
                .. attribute:: profileid
                
                	Ngoam profile ID
                	**type**\: int
                
                	**range:** 1..1023
                
                .. attribute:: dstip
                
                	
                	**type**\: str
                
                .. attribute:: dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: dstmac
                
                	
                	**type**\: str
                
                .. attribute:: srcip
                
                	
                	**type**\: str
                
                .. attribute:: srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: srcport
                
                	Source Port
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: dstport
                
                	Destination Port
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: maxttl
                
                	Time to live value
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: vrf
                
                	VRF
                	**type**\: str
                
                .. attribute:: vni
                
                	VNI
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: timeout
                
                	Timeout
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: egressif
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: macsrcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: verifyhost
                
                	
                	**type**\: bool
                
                .. attribute:: sessionid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: payload_dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: payload_srcip
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstip
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_dstport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_protocol
                
                	payload protocol
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: payload_srcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: trnverslt_items
                
                	
                	**type**\:  :py:class:`TrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActionItems.TracertnveItems.TraceRtNveList, self).__init__()

                    self.yang_name = "TraceRtNve-list"
                    self.yang_parent_name = "tracertnve-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['session']
                    self._child_classes = OrderedDict([("trnverslt-items", ("trnverslt_items", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems))])
                    self._leafs = OrderedDict([
                        ('session', (YLeaf(YType.str, 'session'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                        ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                        ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                        ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                        ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                        ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                        ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                        ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                        ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                        ('srcport', (YLeaf(YType.uint16, 'srcPort'), ['int'])),
                        ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                        ('maxttl', (YLeaf(YType.uint8, 'maxTtl'), ['int'])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                        ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                        ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                        ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                        ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                        ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                        ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                        ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                        ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                        ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                        ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                        ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                        ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                        ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                        ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                        ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                        ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                    ])
                    self.session = None
                    self.descr = None
                    self.startts = None
                    self.type = None
                    self.rsz = None
                    self.rtm = None
                    self.peerclassid = None
                    self.adminst = None
                    self.freq = None
                    self.profileid = None
                    self.dstip = None
                    self.dstipv6 = None
                    self.dstmac = None
                    self.srcip = None
                    self.srcipv6 = None
                    self.dot1q = None
                    self.srcport = None
                    self.dstport = None
                    self.maxttl = None
                    self.vrf = None
                    self.vni = None
                    self.timeout = None
                    self.egressif = None
                    self.macsrcif = None
                    self.verifyhost = None
                    self.sessionid = None
                    self.payload_dot1q = None
                    self.payload_srcip = None
                    self.payload_srcipv6 = None
                    self.payload_srcmac = None
                    self.payload_dstip = None
                    self.payload_dstipv6 = None
                    self.payload_dstmac = None
                    self.payload_srcport = None
                    self.payload_dstport = None
                    self.payload_protocol = None
                    self.payload_srcif = None

                    self.trnverslt_items = System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems()
                    self.trnverslt_items.parent = self
                    self._children_name_map["trnverslt_items"] = "trnverslt-items"
                    self._segment_path = lambda: "TraceRtNve-list" + "[session='" + str(self.session) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/tracertnve-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList, ['session', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'dstport', 'maxttl', 'vrf', 'vni', 'timeout', 'egressif', 'macsrcif', 'verifyhost', 'sessionid', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif'], name, value)


                class TrnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: tracertnverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TraceRtNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems, self).__init__()

                        self.yang_name = "trnverslt-items"
                        self.yang_parent_name = "TraceRtNve-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("TraceRtNveRslt-list", ("tracertnverslt_list", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList))])
                        self._leafs = OrderedDict()

                        self.tracertnverslt_list = YList(self)
                        self._segment_path = lambda: "trnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems, [], name, value)


                    class TraceRtNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: pathtr_items
                        
                        	
                        	**type**\:  :py:class:`PathtrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList, self).__init__()

                            self.yang_name = "TraceRtNveRslt-list"
                            self.yang_parent_name = "trnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([("pathtr-items", ("pathtr_items", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems))])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.sessionid = None
                            self.dstip = None
                            self.maxhops = None
                            self.errorcode = None
                            self.failreason = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.pathtr_items = System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems()
                            self.pathtr_items.parent = self
                            self._children_name_map["pathtr_items"] = "pathtr-items"
                            self._segment_path = lambda: "TraceRtNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class PathtrItems(Entity):
                            """
                            
                            
                            .. attribute:: pathtr_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems, self).__init__()

                                self.yang_name = "pathtr-items"
                                self.yang_parent_name = "TraceRtNveRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathTr-list", ("pathtr_list", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList))])
                                self._leafs = OrderedDict()

                                self.pathtr_list = YList(self)
                                self._segment_path = lambda: "pathtr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems, [], name, value)


                            class PathTrList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: nodetr_items
                                
                                	
                                	**type**\:  :py:class:`NodetrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, self).__init__()

                                    self.yang_name = "PathTr-list"
                                    self.yang_parent_name = "pathtr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nodetr-items", ("nodetr_items", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nodetr_items = System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems()
                                    self.nodetr_items.parent = self
                                    self._children_name_map["nodetr_items"] = "nodetr-items"
                                    self._segment_path = lambda: "PathTr-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, ['id'], name, value)


                                class NodetrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nodetr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodeTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, self).__init__()

                                        self.yang_name = "nodetr-items"
                                        self.yang_parent_name = "PathTr-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodeTr-list", ("nodetr_list", System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList))])
                                        self._leafs = OrderedDict()

                                        self.nodetr_list = YList(self)
                                        self._segment_path = lambda: "nodetr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, [], name, value)


                                    class NodeTrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: order  (key)
                                        
                                        	Order
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: v6addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: elapsedtime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, self).__init__()

                                            self.yang_name = "NodeTr-list"
                                            self.yang_parent_name = "nodetr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['order']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                            ])
                                            self.order = None
                                            self.addr = None
                                            self.v6addr = None
                                            self.elapsedtime = None
                                            self._segment_path = lambda: "NodeTr-list" + "[order='" + str(self.order) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, ['order', 'addr', 'v6addr', 'elapsedtime'], name, value)










        class PathtracenveItems(Entity):
            """
            
            
            .. attribute:: pathtracenve_list
            
            	
            	**type**\: list of  		 :py:class:`PathTraceNveList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActionItems.PathtracenveItems, self).__init__()

                self.yang_name = "pathtracenve-items"
                self.yang_parent_name = "action-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("PathTraceNve-list", ("pathtracenve_list", System.ActionItems.PathtracenveItems.PathTraceNveList))])
                self._leafs = OrderedDict()

                self.pathtracenve_list = YList(self)
                self._segment_path = lambda: "pathtracenve-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActionItems.PathtracenveItems, [], name, value)


            class PathTraceNveList(Entity):
                """
                
                
                .. attribute:: session  (key)
                
                	
                	**type**\: str
                
                .. attribute:: reqstats
                
                	
                	**type**\: bool
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                .. attribute:: startts
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: type
                
                	TBD
                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                
                .. attribute:: rsz
                
                	TBD
                	**type**\: int
                
                	**range:** 1..1024
                
                	**config**\: False
                
                .. attribute:: rtm
                
                	TBD
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: peerclassid
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: adminst
                
                	Admin State
                	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                
                .. attribute:: freq
                
                	Task Frequency
                	**type**\: str
                
                .. attribute:: profileid
                
                	Ngoam profile ID
                	**type**\: int
                
                	**range:** 1..1023
                
                .. attribute:: dstip
                
                	
                	**type**\: str
                
                .. attribute:: dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: dstmac
                
                	
                	**type**\: str
                
                .. attribute:: srcip
                
                	
                	**type**\: str
                
                .. attribute:: srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: srcport
                
                	Source Port
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: dstport
                
                	Destination Port
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: maxttl
                
                	Time to live value
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: vrf
                
                	VRF
                	**type**\: str
                
                .. attribute:: vni
                
                	VNI
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: timeout
                
                	Timeout
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: egressif
                
                	Interface ID
                	**type**\: str
                
                .. attribute:: macsrcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: verifyhost
                
                	
                	**type**\: bool
                
                .. attribute:: sessionid
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: payload_dot1q
                
                	dot1q
                	**type**\: int
                
                	**range:** 0..4096
                
                .. attribute:: payload_srcip
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstip
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstipv6
                
                	
                	**type**\: str
                
                .. attribute:: payload_dstmac
                
                	
                	**type**\: str
                
                .. attribute:: payload_srcport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_dstport
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: payload_protocol
                
                	payload protocol
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: payload_srcif
                
                	payload source interface
                	**type**\: str
                
                .. attribute:: ptrnverslt_items
                
                	
                	**type**\:  :py:class:`PtrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActionItems.PathtracenveItems.PathTraceNveList, self).__init__()

                    self.yang_name = "PathTraceNve-list"
                    self.yang_parent_name = "pathtracenve-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['session']
                    self._child_classes = OrderedDict([("ptrnverslt-items", ("ptrnverslt_items", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems))])
                    self._leafs = OrderedDict([
                        ('session', (YLeaf(YType.str, 'session'), ['str'])),
                        ('reqstats', (YLeaf(YType.boolean, 'reqStats'), ['bool'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                        ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                        ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                        ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                        ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                        ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                        ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                        ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                        ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                        ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                        ('srcport', (YLeaf(YType.uint16, 'srcPort'), ['int'])),
                        ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                        ('maxttl', (YLeaf(YType.uint8, 'maxTtl'), ['int'])),
                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                        ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                        ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                        ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                        ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                        ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                        ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                        ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                        ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                        ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                        ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                        ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                        ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                        ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                        ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                        ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                        ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                        ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                    ])
                    self.session = None
                    self.reqstats = None
                    self.descr = None
                    self.startts = None
                    self.type = None
                    self.rsz = None
                    self.rtm = None
                    self.peerclassid = None
                    self.adminst = None
                    self.freq = None
                    self.profileid = None
                    self.dstip = None
                    self.dstipv6 = None
                    self.dstmac = None
                    self.srcip = None
                    self.srcipv6 = None
                    self.dot1q = None
                    self.srcport = None
                    self.dstport = None
                    self.maxttl = None
                    self.vrf = None
                    self.vni = None
                    self.timeout = None
                    self.egressif = None
                    self.macsrcif = None
                    self.verifyhost = None
                    self.sessionid = None
                    self.payload_dot1q = None
                    self.payload_srcip = None
                    self.payload_srcipv6 = None
                    self.payload_srcmac = None
                    self.payload_dstip = None
                    self.payload_dstipv6 = None
                    self.payload_dstmac = None
                    self.payload_srcport = None
                    self.payload_dstport = None
                    self.payload_protocol = None
                    self.payload_srcif = None

                    self.ptrnverslt_items = System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems()
                    self.ptrnverslt_items.parent = self
                    self._children_name_map["ptrnverslt_items"] = "ptrnverslt-items"
                    self._segment_path = lambda: "PathTraceNve-list" + "[session='" + str(self.session) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/pathtracenve-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList, ['session', 'reqstats', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'dstport', 'maxttl', 'vrf', 'vni', 'timeout', 'egressif', 'macsrcif', 'verifyhost', 'sessionid', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif'], name, value)


                class PtrnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: pathtracenverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PathTraceNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems, self).__init__()

                        self.yang_name = "ptrnverslt-items"
                        self.yang_parent_name = "PathTraceNve-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PathTraceNveRslt-list", ("pathtracenverslt_list", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList))])
                        self._leafs = OrderedDict()

                        self.pathtracenverslt_list = YList(self)
                        self._segment_path = lambda: "ptrnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems, [], name, value)


                    class PathTraceNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: pathptr_items
                        
                        	
                        	**type**\:  :py:class:`PathptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList, self).__init__()

                            self.yang_name = "PathTraceNveRslt-list"
                            self.yang_parent_name = "ptrnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([("pathptr-items", ("pathptr_items", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems))])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.sessionid = None
                            self.dstip = None
                            self.maxhops = None
                            self.errorcode = None
                            self.failreason = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.pathptr_items = System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems()
                            self.pathptr_items.parent = self
                            self._children_name_map["pathptr_items"] = "pathptr-items"
                            self._segment_path = lambda: "PathTraceNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class PathptrItems(Entity):
                            """
                            
                            
                            .. attribute:: pathptr_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathPtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, self).__init__()

                                self.yang_name = "pathptr-items"
                                self.yang_parent_name = "PathTraceNveRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathPtr-list", ("pathptr_list", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList))])
                                self._leafs = OrderedDict()

                                self.pathptr_list = YList(self)
                                self._segment_path = lambda: "pathptr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, [], name, value)


                            class PathPtrList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: nodeptr_items
                                
                                	
                                	**type**\:  :py:class:`NodeptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, self).__init__()

                                    self.yang_name = "PathPtr-list"
                                    self.yang_parent_name = "pathptr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nodeptr-items", ("nodeptr_items", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nodeptr_items = System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems()
                                    self.nodeptr_items.parent = self
                                    self._children_name_map["nodeptr_items"] = "nodeptr-items"
                                    self._segment_path = lambda: "PathPtr-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, ['id'], name, value)


                                class NodeptrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nodeptr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodePtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, self).__init__()

                                        self.yang_name = "nodeptr-items"
                                        self.yang_parent_name = "PathPtr-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodePtr-list", ("nodeptr_list", System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList))])
                                        self._leafs = OrderedDict()

                                        self.nodeptr_list = YList(self)
                                        self._segment_path = lambda: "nodeptr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, [], name, value)


                                    class NodePtrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: order  (key)
                                        
                                        	Order
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: v6addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nodename
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: elapsedtime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ingressif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ingressifstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxlen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxpktrate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbyterate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxload
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxucast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxmcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxdiscards
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxerrors
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxunknown
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbandwidth
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: egressif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: egressifstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txlen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txpktrate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbyterate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txload
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txucast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txmcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txdiscards
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txerrors
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbandwidth
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, self).__init__()

                                            self.yang_name = "NodePtr-list"
                                            self.yang_parent_name = "nodeptr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['order']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                                ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                                ('ingressif', (YLeaf(YType.str, 'ingressIf'), ['str'])),
                                                ('ingressifstate', (YLeaf(YType.str, 'ingressIfState'), ['str'])),
                                                ('rxlen', (YLeaf(YType.uint64, 'rxLen'), ['int'])),
                                                ('rxbytes', (YLeaf(YType.uint64, 'rxBytes'), ['int'])),
                                                ('rxpktrate', (YLeaf(YType.uint64, 'rxPktRate'), ['int'])),
                                                ('rxbyterate', (YLeaf(YType.uint64, 'rxByteRate'), ['int'])),
                                                ('rxload', (YLeaf(YType.uint64, 'rxLoad'), ['int'])),
                                                ('rxucast', (YLeaf(YType.uint64, 'rxUcast'), ['int'])),
                                                ('rxmcast', (YLeaf(YType.uint64, 'rxMcast'), ['int'])),
                                                ('rxbcast', (YLeaf(YType.uint64, 'rxBcast'), ['int'])),
                                                ('rxdiscards', (YLeaf(YType.uint64, 'rxDiscards'), ['int'])),
                                                ('rxerrors', (YLeaf(YType.uint64, 'rxErrors'), ['int'])),
                                                ('rxunknown', (YLeaf(YType.uint64, 'rxUnknown'), ['int'])),
                                                ('rxbandwidth', (YLeaf(YType.uint32, 'rxBandwidth'), ['int'])),
                                                ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                                ('egressifstate', (YLeaf(YType.str, 'egressIfState'), ['str'])),
                                                ('txlen', (YLeaf(YType.uint64, 'txLen'), ['int'])),
                                                ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                ('txpktrate', (YLeaf(YType.uint64, 'txPktRate'), ['int'])),
                                                ('txbyterate', (YLeaf(YType.uint64, 'txByteRate'), ['int'])),
                                                ('txload', (YLeaf(YType.uint64, 'txLoad'), ['int'])),
                                                ('txucast', (YLeaf(YType.uint64, 'txUcast'), ['int'])),
                                                ('txmcast', (YLeaf(YType.uint64, 'txMcast'), ['int'])),
                                                ('txbcast', (YLeaf(YType.uint64, 'txBcast'), ['int'])),
                                                ('txdiscards', (YLeaf(YType.uint64, 'txDiscards'), ['int'])),
                                                ('txerrors', (YLeaf(YType.uint64, 'txErrors'), ['int'])),
                                                ('txbandwidth', (YLeaf(YType.uint32, 'txBandwidth'), ['int'])),
                                            ])
                                            self.order = None
                                            self.addr = None
                                            self.v6addr = None
                                            self.nodename = None
                                            self.elapsedtime = None
                                            self.ingressif = None
                                            self.ingressifstate = None
                                            self.rxlen = None
                                            self.rxbytes = None
                                            self.rxpktrate = None
                                            self.rxbyterate = None
                                            self.rxload = None
                                            self.rxucast = None
                                            self.rxmcast = None
                                            self.rxbcast = None
                                            self.rxdiscards = None
                                            self.rxerrors = None
                                            self.rxunknown = None
                                            self.rxbandwidth = None
                                            self.egressif = None
                                            self.egressifstate = None
                                            self.txlen = None
                                            self.txbytes = None
                                            self.txpktrate = None
                                            self.txbyterate = None
                                            self.txload = None
                                            self.txucast = None
                                            self.txmcast = None
                                            self.txbcast = None
                                            self.txdiscards = None
                                            self.txerrors = None
                                            self.txbandwidth = None
                                            self._segment_path = lambda: "NodePtr-list" + "[order='" + str(self.order) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, ['order', 'addr', 'v6addr', 'nodename', 'elapsedtime', 'ingressif', 'ingressifstate', 'rxlen', 'rxbytes', 'rxpktrate', 'rxbyterate', 'rxload', 'rxucast', 'rxmcast', 'rxbcast', 'rxdiscards', 'rxerrors', 'rxunknown', 'rxbandwidth', 'egressif', 'egressifstate', 'txlen', 'txbytes', 'txpktrate', 'txbyterate', 'txload', 'txucast', 'txmcast', 'txbcast', 'txdiscards', 'txerrors', 'txbandwidth'], name, value)










        class EqptdiagruleItems(Entity):
            """
            
            
            .. attribute:: ondrule_list
            
            	
            	**type**\: list of  		 :py:class:`OnDRuleList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems.OnDRuleList>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActionItems.EqptdiagruleItems, self).__init__()

                self.yang_name = "eqptdiagrule-items"
                self.yang_parent_name = "action-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("OnDRule-list", ("ondrule_list", System.ActionItems.EqptdiagruleItems.OnDRuleList))])
                self._leafs = OrderedDict()

                self.ondrule_list = YList(self)
                self._segment_path = lambda: "eqptdiagrule-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActionItems.EqptdiagruleItems, [], name, value)


            class OnDRuleList(Entity):
                """
                
                
                .. attribute:: type  (key)
                
                	TBD
                	**type**\: int
                
                	**range:** 0..65535
                
                	**config**\: False
                
                .. attribute:: name
                
                	Name
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: ownerkey
                
                	TBD
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: ownertag
                
                	TBD
                	**type**\: str
                
                	**length:** 0..64
                
                	**config**\: False
                
                .. attribute:: descr
                
                	Description
                	**type**\: str
                
                	**length:** 0..128
                
                	**config**\: False
                
                .. attribute:: trig
                
                	Trigger
                	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
                
                	**config**\: False
                
                .. attribute:: freq
                
                	Frequency
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: subj_items
                
                	
                	**type**\:  :py:class:`SubjItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems>`
                
                	**config**\: False
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActionItems.EqptdiagruleItems.OnDRuleList, self).__init__()

                    self.yang_name = "OnDRule-list"
                    self.yang_parent_name = "eqptdiagrule-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['type']
                    self._child_classes = OrderedDict([("subj-items", ("subj_items", System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems))])
                    self._leafs = OrderedDict([
                        ('type', (YLeaf(YType.uint16, 'type'), ['int'])),
                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                        ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                        ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                        ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                        ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                    ])
                    self.type = None
                    self.name = None
                    self.ownerkey = None
                    self.ownertag = None
                    self.descr = None
                    self.trig = None
                    self.freq = None

                    self.subj_items = System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems()
                    self.subj_items.parent = self
                    self._children_name_map["subj_items"] = "subj-items"
                    self._segment_path = lambda: "OnDRule-list" + "[type='" + str(self.type) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/eqptdiagrule-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActionItems.EqptdiagruleItems.OnDRuleList, ['type', 'name', 'ownerkey', 'ownertag', 'descr', 'trig', 'freq'], name, value)


                class SubjItems(Entity):
                    """
                    
                    
                    .. attribute:: ondsubj_list
                    
                    	
                    	**type**\: list of  		 :py:class:`OnDSubjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems, self).__init__()

                        self.yang_name = "subj-items"
                        self.yang_parent_name = "OnDRule-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("OnDSubj-list", ("ondsubj_list", System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList))])
                        self._leafs = OrderedDict()

                        self.ondsubj_list = YList(self)
                        self._segment_path = lambda: "subj-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems, [], name, value)


                    class OnDSubjList(Entity):
                        """
                        
                        
                        .. attribute:: odn  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: opk
                        
                        	Object Primary Key
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: osk
                        
                        	Object Secondary Key
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Operational State
                        	**type**\:  :py:class:`TestOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: name
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..16
                        
                        	**config**\: False
                        
                        .. attribute:: rslt_items
                        
                        	
                        	**type**\:  :py:class:`RsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList, self).__init__()

                            self.yang_name = "OnDSubj-list"
                            self.yang_parent_name = "subj-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['odn']
                            self._child_classes = OrderedDict([("rslt-items", ("rslt_items", System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems))])
                            self._leafs = OrderedDict([
                                ('odn', (YLeaf(YType.str, 'oDn'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('opk', (YLeaf(YType.str, 'oPk'), ['str'])),
                                ('osk', (YLeaf(YType.str, 'oSk'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestOperSt', '')])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                            ])
                            self.odn = None
                            self.adminst = None
                            self.opk = None
                            self.osk = None
                            self.operst = None
                            self.name = None

                            self.rslt_items = System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems()
                            self.rslt_items.parent = self
                            self._children_name_map["rslt_items"] = "rslt-items"
                            self._segment_path = lambda: "OnDSubj-list" + "[oDn='" + str(self.odn) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList, ['odn', 'adminst', 'opk', 'osk', 'operst', 'name'], name, value)


                        class RsltItems(Entity):
                            """
                            
                            
                            .. attribute:: rslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems.RsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems, self).__init__()

                                self.yang_name = "rslt-items"
                                self.yang_parent_name = "OnDSubj-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("Rslt-list", ("rslt_list", System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems.RsltList))])
                                self._leafs = OrderedDict()

                                self.rslt_list = YList(self)
                                self._segment_path = lambda: "rslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems, [], name, value)


                            class RsltList(Entity):
                                """
                                
                                
                                .. attribute:: ts  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: trig
                                
                                	Trigger
                                	**type**\:  :py:class:`TestTrig <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestTrig>`
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Operational State
                                	**type**\:  :py:class:`TestOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TestOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	Operational State Qualifier
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: name
                                
                                	Name
                                	**type**\: str
                                
                                	**length:** 0..16
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems.RsltList, self).__init__()

                                    self.yang_name = "Rslt-list"
                                    self.yang_parent_name = "rslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['ts']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('ts', (YLeaf(YType.str, 'ts'), ['str'])),
                                        ('trig', (YLeaf(YType.enumeration, 'trig'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestTrig', '')])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TestOperSt', '')])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                    ])
                                    self.ts = None
                                    self.trig = None
                                    self.operst = None
                                    self.qual = None
                                    self.name = None
                                    self._segment_path = lambda: "Rslt-list" + "[ts='" + str(self.ts) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.EqptdiagruleItems.OnDRuleList.SubjItems.OnDSubjList.RsltItems.RsltList, ['ts', 'trig', 'operst', 'qual', 'name'], name, value)








        class LsubjItems(Entity):
            """
            
            
            .. attribute:: lsubj_list
            
            	
            	**type**\: list of  		 :py:class:`LSubjList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList>`
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.ActionItems.LsubjItems, self).__init__()

                self.yang_name = "lsubj-items"
                self.yang_parent_name = "action-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = []
                self._child_classes = OrderedDict([("LSubj-list", ("lsubj_list", System.ActionItems.LsubjItems.LSubjList))])
                self._leafs = OrderedDict()

                self.lsubj_list = YList(self)
                self._segment_path = lambda: "lsubj-items"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.ActionItems.LsubjItems, [], name, value)


            class LSubjList(Entity):
                """
                
                
                .. attribute:: odn  (key)
                
                	
                	**type**\: str
                
                .. attribute:: ocl
                
                	
                	**type**\: str
                
                	**config**\: False
                
                .. attribute:: idomain_items
                
                	
                	**type**\:  :py:class:`IdomainItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.IdomainItems>`
                
                .. attribute:: pingnve_items
                
                	
                	**type**\:  :py:class:`PingnveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnveItems>`
                
                .. attribute:: pingexecfab_items
                
                	
                	**type**\:  :py:class:`PingexecfabItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingexecfabItems>`
                
                .. attribute:: pingexectn_items
                
                	
                	**type**\:  :py:class:`PingexectnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingexectnItems>`
                
                .. attribute:: pingrsltfab_items
                
                	
                	**type**\:  :py:class:`PingrsltfabItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems>`
                
                .. attribute:: pingrslttn_items
                
                	
                	**type**\:  :py:class:`PingrslttnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingrslttnItems>`
                
                .. attribute:: trexecfab_items
                
                	
                	**type**\:  :py:class:`TrexecfabItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrexecfabItems>`
                
                .. attribute:: trexectn_items
                
                	
                	**type**\:  :py:class:`TrexectnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrexectnItems>`
                
                .. attribute:: trrsltfab_items
                
                	
                	**type**\:  :py:class:`TrrsltfabItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems>`
                
                .. attribute:: trrslttn_items
                
                	
                	**type**\:  :py:class:`TrrslttnItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems>`
                
                .. attribute:: imginsttaskrslt_items
                
                	
                	**type**\:  :py:class:`ImginsttaskrsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems>`
                
                .. attribute:: trkip_items
                
                	
                	**type**\:  :py:class:`TrkipItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkipItems>`
                
                .. attribute:: trkmac_items
                
                	
                	**type**\:  :py:class:`TrkmacItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems>`
                
                .. attribute:: iprslt_items
                
                	
                	**type**\:  :py:class:`IprsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.IprsltItems>`
                
                .. attribute:: macrslt_items
                
                	
                	**type**\:  :py:class:`MacrsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.MacrsltItems>`
                
                .. attribute:: pingnverslt_items
                
                	
                	**type**\:  :py:class:`PingnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnversltItems>`
                
                .. attribute:: tracertnve_items
                
                	
                	**type**\:  :py:class:`TracertnveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems>`
                
                .. attribute:: pathtracenve_items
                
                	
                	**type**\:  :py:class:`PathtracenveItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems>`
                
                .. attribute:: trnverslt_items
                
                	
                	**type**\:  :py:class:`TrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems>`
                
                .. attribute:: ptrnverslt_items
                
                	
                	**type**\:  :py:class:`PtrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems>`
                
                .. attribute:: rslsubjtodomainref_items
                
                	
                	**type**\:  :py:class:`RslSubjToDomainRefItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.RslSubjToDomainRefItems>`
                
                

                """

                _prefix = 'top'
                _revision = '2019-02-17'

                def __init__(self):
                    super(System.ActionItems.LsubjItems.LSubjList, self).__init__()

                    self.yang_name = "LSubj-list"
                    self.yang_parent_name = "lsubj-items"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self.ylist_key_names = ['odn']
                    self._child_classes = OrderedDict([("idomain-items", ("idomain_items", System.ActionItems.LsubjItems.LSubjList.IdomainItems)), ("pingnve-items", ("pingnve_items", System.ActionItems.LsubjItems.LSubjList.PingnveItems)), ("pingexecfab-items", ("pingexecfab_items", System.ActionItems.LsubjItems.LSubjList.PingexecfabItems)), ("pingexectn-items", ("pingexectn_items", System.ActionItems.LsubjItems.LSubjList.PingexectnItems)), ("pingrsltfab-items", ("pingrsltfab_items", System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems)), ("pingrslttn-items", ("pingrslttn_items", System.ActionItems.LsubjItems.LSubjList.PingrslttnItems)), ("trexecfab-items", ("trexecfab_items", System.ActionItems.LsubjItems.LSubjList.TrexecfabItems)), ("trexectn-items", ("trexectn_items", System.ActionItems.LsubjItems.LSubjList.TrexectnItems)), ("trrsltfab-items", ("trrsltfab_items", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems)), ("trrslttn-items", ("trrslttn_items", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems)), ("imginsttaskrslt-items", ("imginsttaskrslt_items", System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems)), ("trkip-items", ("trkip_items", System.ActionItems.LsubjItems.LSubjList.TrkipItems)), ("trkmac-items", ("trkmac_items", System.ActionItems.LsubjItems.LSubjList.TrkmacItems)), ("iprslt-items", ("iprslt_items", System.ActionItems.LsubjItems.LSubjList.IprsltItems)), ("macrslt-items", ("macrslt_items", System.ActionItems.LsubjItems.LSubjList.MacrsltItems)), ("pingnverslt-items", ("pingnverslt_items", System.ActionItems.LsubjItems.LSubjList.PingnversltItems)), ("tracertnve-items", ("tracertnve_items", System.ActionItems.LsubjItems.LSubjList.TracertnveItems)), ("pathtracenve-items", ("pathtracenve_items", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems)), ("trnverslt-items", ("trnverslt_items", System.ActionItems.LsubjItems.LSubjList.TrnversltItems)), ("ptrnverslt-items", ("ptrnverslt_items", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems)), ("rslSubjToDomainRef-items", ("rslsubjtodomainref_items", System.ActionItems.LsubjItems.LSubjList.RslSubjToDomainRefItems))])
                    self._leafs = OrderedDict([
                        ('odn', (YLeaf(YType.str, 'oDn'), ['str'])),
                        ('ocl', (YLeaf(YType.str, 'oCl'), ['str'])),
                    ])
                    self.odn = None
                    self.ocl = None

                    self.idomain_items = System.ActionItems.LsubjItems.LSubjList.IdomainItems()
                    self.idomain_items.parent = self
                    self._children_name_map["idomain_items"] = "idomain-items"

                    self.pingnve_items = System.ActionItems.LsubjItems.LSubjList.PingnveItems()
                    self.pingnve_items.parent = self
                    self._children_name_map["pingnve_items"] = "pingnve-items"

                    self.pingexecfab_items = System.ActionItems.LsubjItems.LSubjList.PingexecfabItems()
                    self.pingexecfab_items.parent = self
                    self._children_name_map["pingexecfab_items"] = "pingexecfab-items"

                    self.pingexectn_items = System.ActionItems.LsubjItems.LSubjList.PingexectnItems()
                    self.pingexectn_items.parent = self
                    self._children_name_map["pingexectn_items"] = "pingexectn-items"

                    self.pingrsltfab_items = System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems()
                    self.pingrsltfab_items.parent = self
                    self._children_name_map["pingrsltfab_items"] = "pingrsltfab-items"

                    self.pingrslttn_items = System.ActionItems.LsubjItems.LSubjList.PingrslttnItems()
                    self.pingrslttn_items.parent = self
                    self._children_name_map["pingrslttn_items"] = "pingrslttn-items"

                    self.trexecfab_items = System.ActionItems.LsubjItems.LSubjList.TrexecfabItems()
                    self.trexecfab_items.parent = self
                    self._children_name_map["trexecfab_items"] = "trexecfab-items"

                    self.trexectn_items = System.ActionItems.LsubjItems.LSubjList.TrexectnItems()
                    self.trexectn_items.parent = self
                    self._children_name_map["trexectn_items"] = "trexectn-items"

                    self.trrsltfab_items = System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems()
                    self.trrsltfab_items.parent = self
                    self._children_name_map["trrsltfab_items"] = "trrsltfab-items"

                    self.trrslttn_items = System.ActionItems.LsubjItems.LSubjList.TrrslttnItems()
                    self.trrslttn_items.parent = self
                    self._children_name_map["trrslttn_items"] = "trrslttn-items"

                    self.imginsttaskrslt_items = System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems()
                    self.imginsttaskrslt_items.parent = self
                    self._children_name_map["imginsttaskrslt_items"] = "imginsttaskrslt-items"

                    self.trkip_items = System.ActionItems.LsubjItems.LSubjList.TrkipItems()
                    self.trkip_items.parent = self
                    self._children_name_map["trkip_items"] = "trkip-items"

                    self.trkmac_items = System.ActionItems.LsubjItems.LSubjList.TrkmacItems()
                    self.trkmac_items.parent = self
                    self._children_name_map["trkmac_items"] = "trkmac-items"

                    self.iprslt_items = System.ActionItems.LsubjItems.LSubjList.IprsltItems()
                    self.iprslt_items.parent = self
                    self._children_name_map["iprslt_items"] = "iprslt-items"

                    self.macrslt_items = System.ActionItems.LsubjItems.LSubjList.MacrsltItems()
                    self.macrslt_items.parent = self
                    self._children_name_map["macrslt_items"] = "macrslt-items"

                    self.pingnverslt_items = System.ActionItems.LsubjItems.LSubjList.PingnversltItems()
                    self.pingnverslt_items.parent = self
                    self._children_name_map["pingnverslt_items"] = "pingnverslt-items"

                    self.tracertnve_items = System.ActionItems.LsubjItems.LSubjList.TracertnveItems()
                    self.tracertnve_items.parent = self
                    self._children_name_map["tracertnve_items"] = "tracertnve-items"

                    self.pathtracenve_items = System.ActionItems.LsubjItems.LSubjList.PathtracenveItems()
                    self.pathtracenve_items.parent = self
                    self._children_name_map["pathtracenve_items"] = "pathtracenve-items"

                    self.trnverslt_items = System.ActionItems.LsubjItems.LSubjList.TrnversltItems()
                    self.trnverslt_items.parent = self
                    self._children_name_map["trnverslt_items"] = "trnverslt-items"

                    self.ptrnverslt_items = System.ActionItems.LsubjItems.LSubjList.PtrnversltItems()
                    self.ptrnverslt_items.parent = self
                    self._children_name_map["ptrnverslt_items"] = "ptrnverslt-items"

                    self.rslsubjtodomainref_items = System.ActionItems.LsubjItems.LSubjList.RslSubjToDomainRefItems()
                    self.rslsubjtodomainref_items.parent = self
                    self._children_name_map["rslsubjtodomainref_items"] = "rslSubjToDomainRef-items"
                    self._segment_path = lambda: "LSubj-list" + "[oDn='" + str(self.odn) + "']"
                    self._absolute_path = lambda: "Cisco-NX-OS-device:System/action-items/lsubj-items/%s" % self._segment_path()
                    self._is_frozen = True

                def __setattr__(self, name, value):
                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList, ['odn', 'ocl'], name, value)


                class IdomainItems(Entity):
                    """
                    
                    
                    .. attribute:: idomainref_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IDomainRefList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.IdomainItems.IDomainRefList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.IdomainItems, self).__init__()

                        self.yang_name = "idomain-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IDomainRef-list", ("idomainref_list", System.ActionItems.LsubjItems.LSubjList.IdomainItems.IDomainRefList))])
                        self._leafs = OrderedDict()

                        self.idomainref_list = YList(self)
                        self._segment_path = lambda: "idomain-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.IdomainItems, [], name, value)


                    class IDomainRefList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: ownerkey
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        .. attribute:: ownertag
                        
                        	TBD
                        	**type**\: str
                        
                        	**length:** 0..64
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**length:** 0..128
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.IdomainItems.IDomainRefList, self).__init__()

                            self.yang_name = "IDomainRef-list"
                            self.yang_parent_name = "idomain-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('ownerkey', (YLeaf(YType.str, 'ownerKey'), ['str'])),
                                ('ownertag', (YLeaf(YType.str, 'ownerTag'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                            ])
                            self.name = None
                            self.ownerkey = None
                            self.ownertag = None
                            self.descr = None
                            self._segment_path = lambda: "IDomainRef-list" + "[name='" + str(self.name) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.IdomainItems.IDomainRefList, ['name', 'ownerkey', 'ownertag', 'descr'], name, value)




                class PingnveItems(Entity):
                    """
                    
                    
                    .. attribute:: pingnve_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PingNveList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingnveItems, self).__init__()

                        self.yang_name = "pingnve-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PingNve-list", ("pingnve_list", System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList))])
                        self._leafs = OrderedDict()

                        self.pingnve_list = YList(self)
                        self._segment_path = lambda: "pingnve-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnveItems, [], name, value)


                    class PingNveList(Entity):
                        """
                        
                        
                        .. attribute:: session  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: profileid
                        
                        	Ngoam profile ID
                        	**type**\: int
                        
                        	**range:** 1..1023
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: srcport
                        
                        	Source Port
                        	**type**\: str
                        
                        .. attribute:: count
                        
                        	Number of packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: timeout
                        
                        	Timeout
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: interval
                        
                        	Interval
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: datapattern
                        
                        	data pattern
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sweepmin
                        
                        	Sweep Start of Range
                        	**type**\: int
                        
                        	**range:** 90..9600
                        
                        .. attribute:: sweepmax
                        
                        	Sweep End of Range
                        	**type**\: int
                        
                        	**range:** 90..9600
                        
                        .. attribute:: packetsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 1..65486
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: vni
                        
                        	VNI
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: egressif
                        
                        	Interface ID
                        	**type**\: str
                        
                        .. attribute:: macsrcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: sessionid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: verifyhost
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: payload_dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: payload_srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_dstport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_protocol
                        
                        	payload protocol
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: payload_srcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: pingnverslt_items
                        
                        	
                        	**type**\:  :py:class:`PingnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList, self).__init__()

                            self.yang_name = "PingNve-list"
                            self.yang_parent_name = "pingnve-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['session']
                            self._child_classes = OrderedDict([("pingnverslt-items", ("pingnverslt_items", System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems))])
                            self._leafs = OrderedDict([
                                ('session', (YLeaf(YType.str, 'session'), ['str'])),
                                ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                                ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                                ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                                ('srcport', (YLeaf(YType.str, 'srcPort'), ['str'])),
                                ('count', (YLeaf(YType.uint16, 'count'), ['int'])),
                                ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                                ('interval', (YLeaf(YType.uint8, 'interval'), ['int'])),
                                ('datapattern', (YLeaf(YType.uint16, 'dataPattern'), ['int'])),
                                ('sweepmin', (YLeaf(YType.uint16, 'sweepmin'), ['int'])),
                                ('sweepmax', (YLeaf(YType.uint16, 'sweepmax'), ['int'])),
                                ('packetsz', (YLeaf(YType.uint16, 'packetSz'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                                ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                                ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                                ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                                ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                                ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                                ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                                ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                                ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                                ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                                ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                                ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                                ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                            ])
                            self.session = None
                            self.profileid = None
                            self.dstip = None
                            self.dstipv6 = None
                            self.dstmac = None
                            self.srcip = None
                            self.srcipv6 = None
                            self.dot1q = None
                            self.srcport = None
                            self.count = None
                            self.timeout = None
                            self.interval = None
                            self.datapattern = None
                            self.sweepmin = None
                            self.sweepmax = None
                            self.packetsz = None
                            self.vrf = None
                            self.vni = None
                            self.egressif = None
                            self.macsrcif = None
                            self.operst = None
                            self.sessionid = None
                            self.verifyhost = None
                            self.payload_dot1q = None
                            self.payload_srcip = None
                            self.payload_srcipv6 = None
                            self.payload_srcmac = None
                            self.payload_dstip = None
                            self.payload_dstipv6 = None
                            self.payload_dstmac = None
                            self.payload_srcport = None
                            self.payload_dstport = None
                            self.payload_protocol = None
                            self.payload_srcif = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None

                            self.pingnverslt_items = System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems()
                            self.pingnverslt_items.parent = self
                            self._children_name_map["pingnverslt_items"] = "pingnverslt-items"
                            self._segment_path = lambda: "PingNve-list" + "[session='" + str(self.session) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList, ['session', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'count', 'timeout', 'interval', 'datapattern', 'sweepmin', 'sweepmax', 'packetsz', 'vrf', 'vni', 'egressif', 'macsrcif', 'operst', 'sessionid', 'verifyhost', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq'], name, value)


                        class PingnversltItems(Entity):
                            """
                            
                            
                            .. attribute:: pingnverslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PingNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems.PingNveRsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems, self).__init__()

                                self.yang_name = "pingnverslt-items"
                                self.yang_parent_name = "PingNve-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PingNveRslt-list", ("pingnverslt_list", System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems.PingNveRsltList))])
                                self._leafs = OrderedDict()

                                self.pingnverslt_list = YList(self)
                                self._segment_path = lambda: "pingnverslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems, [], name, value)


                            class PingNveRsltList(Entity):
                                """
                                
                                
                                .. attribute:: sessionid  (key)
                                
                                	Name
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: startts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	TBD
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsz
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 1..1024
                                
                                	**config**\: False
                                
                                .. attribute:: rtm
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peerclassid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ack
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: endts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Completion
                                	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: replyip
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: replyipv6
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: nodename
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: errorcode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: failreason
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: sport
                                
                                	Source Port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: packetsz
                                
                                	Packet Size
                                	**type**\: int
                                
                                	**range:** 1..65486
                                
                                	**config**\: False
                                
                                .. attribute:: sentpkts
                                
                                	Sent Packets
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: notsentpkts
                                
                                	Not Sent Packets
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: rcvdpkts
                                
                                	Received Packets
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: minrtt
                                
                                	Minimum Round Trip Time
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: avgrtt
                                
                                	Average Round Trip Time
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: maxrtt
                                
                                	Maximum Round Trip Time
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                .. attribute:: totalrtt
                                
                                	Total Round Trip Time
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems.PingNveRsltList, self).__init__()

                                    self.yang_name = "PingNveRslt-list"
                                    self.yang_parent_name = "pingnverslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['sessionid']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                        ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                        ('replyip', (YLeaf(YType.str, 'replyIp'), ['str'])),
                                        ('replyipv6', (YLeaf(YType.str, 'replyIpv6'), ['str'])),
                                        ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                        ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                        ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                        ('sport', (YLeaf(YType.uint16, 'sPort'), ['int'])),
                                        ('packetsz', (YLeaf(YType.uint16, 'packetSz'), ['int'])),
                                        ('sentpkts', (YLeaf(YType.uint32, 'sentPkts'), ['int'])),
                                        ('notsentpkts', (YLeaf(YType.uint32, 'notSentPkts'), ['int'])),
                                        ('rcvdpkts', (YLeaf(YType.uint32, 'rcvdPkts'), ['int'])),
                                        ('minrtt', (YLeaf(YType.uint32, 'minRtt'), ['int'])),
                                        ('avgrtt', (YLeaf(YType.uint32, 'avgRtt'), ['int'])),
                                        ('maxrtt', (YLeaf(YType.uint32, 'maxRtt'), ['int'])),
                                        ('totalrtt', (YLeaf(YType.uint32, 'totalRtt'), ['int'])),
                                    ])
                                    self.sessionid = None
                                    self.descr = None
                                    self.startts = None
                                    self.type = None
                                    self.rsz = None
                                    self.rtm = None
                                    self.peerclassid = None
                                    self.qual = None
                                    self.ack = None
                                    self.endts = None
                                    self.operst = None
                                    self.replyip = None
                                    self.replyipv6 = None
                                    self.nodename = None
                                    self.errorcode = None
                                    self.failreason = None
                                    self.sport = None
                                    self.packetsz = None
                                    self.sentpkts = None
                                    self.notsentpkts = None
                                    self.rcvdpkts = None
                                    self.minrtt = None
                                    self.avgrtt = None
                                    self.maxrtt = None
                                    self.totalrtt = None
                                    self._segment_path = lambda: "PingNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnveItems.PingNveList.PingnversltItems.PingNveRsltList, ['sessionid', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'replyip', 'replyipv6', 'nodename', 'errorcode', 'failreason', 'sport', 'packetsz', 'sentpkts', 'notsentpkts', 'rcvdpkts', 'minrtt', 'avgrtt', 'maxrtt', 'totalrtt'], name, value)






                class PingexecfabItems(Entity):
                    """
                    
                    
                    .. attribute:: execfab_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExecFabList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingexecfabItems.ExecFabList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingexecfabItems, self).__init__()

                        self.yang_name = "pingexecfab-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExecFab-list", ("execfab_list", System.ActionItems.LsubjItems.LSubjList.PingexecfabItems.ExecFabList))])
                        self._leafs = OrderedDict()

                        self.execfab_list = YList(self)
                        self._segment_path = lambda: "pingexecfab-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingexecfabItems, [], name, value)


                    class ExecFabList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        .. attribute:: srcnodeid  (key)
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: dstnodeid  (key)
                        
                        	Destination Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: ept
                        
                        	Endpoint Type
                        	**type**\:  :py:class:`OamEpT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OamEpT>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: srcip
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstip
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        .. attribute:: tenant
                        
                        	Tenant Name
                        	**type**\: str
                        
                        .. attribute:: srcmac
                        
                        	Source MAC
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	Destination MAC
                        	**type**\: str
                        
                        .. attribute:: vtep
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: vtepencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingexecfabItems.ExecFabList, self).__init__()

                            self.yang_name = "ExecFab-list"
                            self.yang_parent_name = "pingexecfab-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name','srcnodeid','dstnodeid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('dstnodeid', (YLeaf(YType.uint16, 'dstNodeId'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('ept', (YLeaf(YType.enumeration, 'epT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OamEpT', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('srcmac', (YLeaf(YType.str, 'srcMac'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMac'), ['str'])),
                                ('vtep', (YLeaf(YType.str, 'vtep'), ['str','str'])),
                                ('vtepencap', (YLeaf(YType.str, 'vtepEncap'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.name = None
                            self.srcnodeid = None
                            self.dstnodeid = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.ept = None
                            self.vrf = None
                            self.srcip = None
                            self.dstip = None
                            self.payloadsz = None
                            self.tenant = None
                            self.srcmac = None
                            self.dstmac = None
                            self.vtep = None
                            self.vtepencap = None
                            self.operst = None
                            self._segment_path = lambda: "ExecFab-list" + "[name='" + str(self.name) + "']" + "[srcNodeId='" + str(self.srcnodeid) + "']" + "[dstNodeId='" + str(self.dstnodeid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingexecfabItems.ExecFabList, ['name', 'srcnodeid', 'dstnodeid', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'ept', 'vrf', 'srcip', 'dstip', 'payloadsz', 'tenant', 'srcmac', 'dstmac', 'vtep', 'vtepencap', 'operst'], name, value)




                class PingexectnItems(Entity):
                    """
                    
                    
                    .. attribute:: exectn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExecTnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingexectnItems.ExecTnList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingexectnItems, self).__init__()

                        self.yang_name = "pingexectn-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExecTn-list", ("exectn_list", System.ActionItems.LsubjItems.LSubjList.PingexectnItems.ExecTnList))])
                        self._leafs = OrderedDict()

                        self.exectn_list = YList(self)
                        self._segment_path = lambda: "pingexectn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingexectnItems, [], name, value)


                    class ExecTnList(Entity):
                        """
                        
                        
                        .. attribute:: tenant  (key)
                        
                        	Tenant Name
                        	**type**\: str
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        .. attribute:: srcip  (key)
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstip  (key)
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: ept
                        
                        	Endpoint Type
                        	**type**\:  :py:class:`OamEpT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OamEpT>`
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        .. attribute:: srcmac
                        
                        	Source MAC
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	Destination MAC
                        	**type**\: str
                        
                        .. attribute:: vtep
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: vtepencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingexectnItems.ExecTnList, self).__init__()

                            self.yang_name = "ExecTn-list"
                            self.yang_parent_name = "pingexectn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tenant','name','srcip','dstip']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('ept', (YLeaf(YType.enumeration, 'epT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OamEpT', '')])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                                ('srcmac', (YLeaf(YType.str, 'srcMac'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMac'), ['str'])),
                                ('vtep', (YLeaf(YType.str, 'vtep'), ['str','str'])),
                                ('vtepencap', (YLeaf(YType.str, 'vtepEncap'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.tenant = None
                            self.name = None
                            self.srcip = None
                            self.dstip = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.ept = None
                            self.srcnodeid = None
                            self.vrf = None
                            self.payloadsz = None
                            self.srcmac = None
                            self.dstmac = None
                            self.vtep = None
                            self.vtepencap = None
                            self.operst = None
                            self._segment_path = lambda: "ExecTn-list" + "[tenant='" + str(self.tenant) + "']" + "[name='" + str(self.name) + "']" + "[srcIp='" + str(self.srcip) + "']" + "[dstIp='" + str(self.dstip) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingexectnItems.ExecTnList, ['tenant', 'name', 'srcip', 'dstip', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'ept', 'srcnodeid', 'vrf', 'payloadsz', 'srcmac', 'dstmac', 'vtep', 'vtepencap', 'operst'], name, value)




                class PingrsltfabItems(Entity):
                    """
                    
                    
                    .. attribute:: rsltfab_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsltFabList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems.RsltFabList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems, self).__init__()

                        self.yang_name = "pingrsltfab-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsltFab-list", ("rsltfab_list", System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems.RsltFabList))])
                        self._leafs = OrderedDict()

                        self.rsltfab_list = YList(self)
                        self._segment_path = lambda: "pingrsltfab-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems, [], name, value)


                    class RsltFabList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid  (key)
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: dstnodeid  (key)
                        
                        	Destination Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: startts  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcip
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tenant
                        
                        	Tenant Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems.RsltFabList, self).__init__()

                            self.yang_name = "RsltFab-list"
                            self.yang_parent_name = "pingrsltfab-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name','srcnodeid','dstnodeid','startts']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('dstnodeid', (YLeaf(YType.uint16, 'dstNodeId'), ['int'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                            ])
                            self.name = None
                            self.srcnodeid = None
                            self.dstnodeid = None
                            self.startts = None
                            self.descr = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.vrf = None
                            self.srcip = None
                            self.dstip = None
                            self.tenant = None
                            self.payloadsz = None
                            self._segment_path = lambda: "RsltFab-list" + "[name='" + str(self.name) + "']" + "[srcNodeId='" + str(self.srcnodeid) + "']" + "[dstNodeId='" + str(self.dstnodeid) + "']" + "[startTs='" + str(self.startts) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingrsltfabItems.RsltFabList, ['name', 'srcnodeid', 'dstnodeid', 'startts', 'descr', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'vrf', 'srcip', 'dstip', 'tenant', 'payloadsz'], name, value)




                class PingrslttnItems(Entity):
                    """
                    
                    
                    .. attribute:: rslttn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsltTnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingrslttnItems.RsltTnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingrslttnItems, self).__init__()

                        self.yang_name = "pingrslttn-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsltTn-list", ("rslttn_list", System.ActionItems.LsubjItems.LSubjList.PingrslttnItems.RsltTnList))])
                        self._leafs = OrderedDict()

                        self.rslttn_list = YList(self)
                        self._segment_path = lambda: "pingrslttn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingrslttnItems, [], name, value)


                    class RsltTnList(Entity):
                        """
                        
                        
                        .. attribute:: tenant  (key)
                        
                        	Tenant Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcip  (key)
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: dstip  (key)
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingrslttnItems.RsltTnList, self).__init__()

                            self.yang_name = "RsltTn-list"
                            self.yang_parent_name = "pingrslttn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tenant','name','srcip','dstip','startts']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                            ])
                            self.tenant = None
                            self.name = None
                            self.srcip = None
                            self.dstip = None
                            self.startts = None
                            self.descr = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.srcnodeid = None
                            self.vrf = None
                            self.payloadsz = None
                            self._segment_path = lambda: "RsltTn-list" + "[tenant='" + str(self.tenant) + "']" + "[name='" + str(self.name) + "']" + "[srcIp='" + str(self.srcip) + "']" + "[dstIp='" + str(self.dstip) + "']" + "[startTs='" + str(self.startts) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingrslttnItems.RsltTnList, ['tenant', 'name', 'srcip', 'dstip', 'startts', 'descr', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'srcnodeid', 'vrf', 'payloadsz'], name, value)




                class TrexecfabItems(Entity):
                    """
                    
                    
                    .. attribute:: execfab_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExecFabList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrexecfabItems.ExecFabList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrexecfabItems, self).__init__()

                        self.yang_name = "trexecfab-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExecFab-list", ("execfab_list", System.ActionItems.LsubjItems.LSubjList.TrexecfabItems.ExecFabList))])
                        self._leafs = OrderedDict()

                        self.execfab_list = YList(self)
                        self._segment_path = lambda: "trexecfab-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrexecfabItems, [], name, value)


                    class ExecFabList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        .. attribute:: srcnodeid  (key)
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: dstnodeid  (key)
                        
                        	Destination Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: ept
                        
                        	Endpoint Type
                        	**type**\:  :py:class:`OamEpT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OamEpT>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: srcip
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstip
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        .. attribute:: tenant
                        
                        	Tenant Name
                        	**type**\: str
                        
                        .. attribute:: srcmac
                        
                        	Source MAC
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	Destination MAC
                        	**type**\: str
                        
                        .. attribute:: vtep
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: vtepencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: maxpaths
                        
                        	Max Paths
                        	**type**\: int
                        
                        	**range:** 1..512
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrexecfabItems.ExecFabList, self).__init__()

                            self.yang_name = "ExecFab-list"
                            self.yang_parent_name = "trexecfab-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name','srcnodeid','dstnodeid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('dstnodeid', (YLeaf(YType.uint16, 'dstNodeId'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('ept', (YLeaf(YType.enumeration, 'epT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OamEpT', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('srcmac', (YLeaf(YType.str, 'srcMac'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMac'), ['str'])),
                                ('vtep', (YLeaf(YType.str, 'vtep'), ['str','str'])),
                                ('vtepencap', (YLeaf(YType.str, 'vtepEncap'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('maxpaths', (YLeaf(YType.uint16, 'maxPaths'), ['int'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                            ])
                            self.name = None
                            self.srcnodeid = None
                            self.dstnodeid = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.ept = None
                            self.vrf = None
                            self.srcip = None
                            self.dstip = None
                            self.payloadsz = None
                            self.tenant = None
                            self.srcmac = None
                            self.dstmac = None
                            self.vtep = None
                            self.vtepencap = None
                            self.operst = None
                            self.maxpaths = None
                            self.maxhops = None
                            self._segment_path = lambda: "ExecFab-list" + "[name='" + str(self.name) + "']" + "[srcNodeId='" + str(self.srcnodeid) + "']" + "[dstNodeId='" + str(self.dstnodeid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrexecfabItems.ExecFabList, ['name', 'srcnodeid', 'dstnodeid', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'ept', 'vrf', 'srcip', 'dstip', 'payloadsz', 'tenant', 'srcmac', 'dstmac', 'vtep', 'vtepencap', 'operst', 'maxpaths', 'maxhops'], name, value)




                class TrexectnItems(Entity):
                    """
                    
                    
                    .. attribute:: exectn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`ExecTnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrexectnItems.ExecTnList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrexectnItems, self).__init__()

                        self.yang_name = "trexectn-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("ExecTn-list", ("exectn_list", System.ActionItems.LsubjItems.LSubjList.TrexectnItems.ExecTnList))])
                        self._leafs = OrderedDict()

                        self.exectn_list = YList(self)
                        self._segment_path = lambda: "trexectn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrexectnItems, [], name, value)


                    class ExecTnList(Entity):
                        """
                        
                        
                        .. attribute:: tenant  (key)
                        
                        	Tenant Name
                        	**type**\: str
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        .. attribute:: srcip  (key)
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: dstip  (key)
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: gwmac
                        
                        	Gateway MAC
                        	**type**\: str
                        
                        .. attribute:: usegwmac
                        
                        	
                        	**type**\: bool
                        
                        	**default value**\: true
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: ept
                        
                        	Endpoint Type
                        	**type**\:  :py:class:`OamEpT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.OamEpT>`
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        .. attribute:: srcmac
                        
                        	Source MAC
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	Destination MAC
                        	**type**\: str
                        
                        .. attribute:: vtep
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: vtepencap
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: maxpaths
                        
                        	Max Paths
                        	**type**\: int
                        
                        	**range:** 1..512
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrexectnItems.ExecTnList, self).__init__()

                            self.yang_name = "ExecTn-list"
                            self.yang_parent_name = "trexectn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tenant','name','srcip','dstip']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('gwmac', (YLeaf(YType.str, 'gwMac'), ['str'])),
                                ('usegwmac', (YLeaf(YType.boolean, 'useGwMac'), ['bool'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('ept', (YLeaf(YType.enumeration, 'epT'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'OamEpT', '')])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                                ('srcmac', (YLeaf(YType.str, 'srcMac'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMac'), ['str'])),
                                ('vtep', (YLeaf(YType.str, 'vtep'), ['str','str'])),
                                ('vtepencap', (YLeaf(YType.str, 'vtepEncap'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('maxpaths', (YLeaf(YType.uint16, 'maxPaths'), ['int'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                            ])
                            self.tenant = None
                            self.name = None
                            self.srcip = None
                            self.dstip = None
                            self.gwmac = None
                            self.usegwmac = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.ept = None
                            self.srcnodeid = None
                            self.vrf = None
                            self.payloadsz = None
                            self.srcmac = None
                            self.dstmac = None
                            self.vtep = None
                            self.vtepencap = None
                            self.operst = None
                            self.maxpaths = None
                            self.maxhops = None
                            self._segment_path = lambda: "ExecTn-list" + "[tenant='" + str(self.tenant) + "']" + "[name='" + str(self.name) + "']" + "[srcIp='" + str(self.srcip) + "']" + "[dstIp='" + str(self.dstip) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrexectnItems.ExecTnList, ['tenant', 'name', 'srcip', 'dstip', 'gwmac', 'usegwmac', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'ept', 'srcnodeid', 'vrf', 'payloadsz', 'srcmac', 'dstmac', 'vtep', 'vtepencap', 'operst', 'maxpaths', 'maxhops'], name, value)




                class TrrsltfabItems(Entity):
                    """
                    
                    
                    .. attribute:: rsltfab_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsltFabList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems, self).__init__()

                        self.yang_name = "trrsltfab-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsltFab-list", ("rsltfab_list", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList))])
                        self._leafs = OrderedDict()

                        self.rsltfab_list = YList(self)
                        self._segment_path = lambda: "trrsltfab-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems, [], name, value)


                    class RsltFabList(Entity):
                        """
                        
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid  (key)
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: dstnodeid  (key)
                        
                        	Destination Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: startts  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcip
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: tenant
                        
                        	Tenant Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        	**config**\: False
                        
                        .. attribute:: pgrp_items
                        
                        	
                        	**type**\:  :py:class:`PgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList, self).__init__()

                            self.yang_name = "RsltFab-list"
                            self.yang_parent_name = "trrsltfab-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['name','srcnodeid','dstnodeid','startts']
                            self._child_classes = OrderedDict([("pgrp-items", ("pgrp_items", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems))])
                            self._leafs = OrderedDict([
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('dstnodeid', (YLeaf(YType.uint16, 'dstNodeId'), ['int'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                            ])
                            self.name = None
                            self.srcnodeid = None
                            self.dstnodeid = None
                            self.startts = None
                            self.descr = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.vrf = None
                            self.srcip = None
                            self.dstip = None
                            self.tenant = None
                            self.payloadsz = None

                            self.pgrp_items = System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems()
                            self.pgrp_items.parent = self
                            self._children_name_map["pgrp_items"] = "pgrp-items"
                            self._segment_path = lambda: "RsltFab-list" + "[name='" + str(self.name) + "']" + "[srcNodeId='" + str(self.srcnodeid) + "']" + "[dstNodeId='" + str(self.dstnodeid) + "']" + "[startTs='" + str(self.startts) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList, ['name', 'srcnodeid', 'dstnodeid', 'startts', 'descr', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'vrf', 'srcip', 'dstip', 'tenant', 'payloadsz'], name, value)


                        class PgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: pathgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems, self).__init__()

                                self.yang_name = "pgrp-items"
                                self.yang_parent_name = "RsltFab-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathGrp-list", ("pathgrp_list", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList))])
                                self._leafs = OrderedDict()

                                self.pathgrp_list = YList(self)
                                self._segment_path = lambda: "pgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems, [], name, value)


                            class PathGrpList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: path_items
                                
                                	
                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList, self).__init__()

                                    self.yang_name = "PathGrp-list"
                                    self.yang_parent_name = "pgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.path_items = System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems()
                                    self.path_items.parent = self
                                    self._children_name_map["path_items"] = "path-items"
                                    self._segment_path = lambda: "PathGrp-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList, ['id'], name, value)


                                class PathItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: path_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems, self).__init__()

                                        self.yang_name = "path-items"
                                        self.yang_parent_name = "PathGrp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList))])
                                        self._leafs = OrderedDict()

                                        self.path_list = YList(self)
                                        self._segment_path = lambda: "path-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems, [], name, value)


                                    class PathList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	Type
                                        	**type**\:  :py:class:`TraceroutePathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TraceroutePathT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: node_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList, self).__init__()

                                            self.yang_name = "Path-list"
                                            self.yang_parent_name = "path-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("node-items", ("node_items", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TraceroutePathT', '')])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.id = None
                                            self.type = None
                                            self.flags = None

                                            self.node_items = System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems()
                                            self.node_items.parent = self
                                            self._children_name_map["node_items"] = "node-items"
                                            self._segment_path = lambda: "Path-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList, ['id', 'type', 'flags'], name, value)


                                        class NodeItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: node_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems, self).__init__()

                                                self.yang_name = "node-items"
                                                self.yang_parent_name = "Path-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Node-list", ("node_list", System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList))])
                                                self._leafs = OrderedDict()

                                                self.node_list = YList(self)
                                                self._segment_path = lambda: "node-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems, [], name, value)


                                            class NodeList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: order  (key)
                                                
                                                	Order
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList, self).__init__()

                                                    self.yang_name = "Node-list"
                                                    self.yang_parent_name = "node-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['order']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ])
                                                    self.order = None
                                                    self.addr = None
                                                    self._segment_path = lambda: "Node-list" + "[order='" + str(self.order) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrsltfabItems.RsltFabList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList, ['order', 'addr'], name, value)










                class TrrslttnItems(Entity):
                    """
                    
                    
                    .. attribute:: rslttn_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsltTnList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems, self).__init__()

                        self.yang_name = "trrslttn-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("RsltTn-list", ("rslttn_list", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList))])
                        self._leafs = OrderedDict()

                        self.rslttn_list = YList(self)
                        self._segment_path = lambda: "trrslttn-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems, [], name, value)


                    class RsltTnList(Entity):
                        """
                        
                        
                        .. attribute:: tenant  (key)
                        
                        	Tenant Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: name  (key)
                        
                        	Name
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: srcip  (key)
                        
                        	Source IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: dstip  (key)
                        
                        	Destination IP
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: srcnodeid
                        
                        	Source Node ID
                        	**type**\: int
                        
                        	**range:** 1..16000
                        
                        	**config**\: False
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: payloadsz
                        
                        	Payload Size
                        	**type**\: int
                        
                        	**range:** 20..8904
                        
                        	**config**\: False
                        
                        .. attribute:: pgrp_items
                        
                        	
                        	**type**\:  :py:class:`PgrpItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList, self).__init__()

                            self.yang_name = "RsltTn-list"
                            self.yang_parent_name = "trrslttn-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['tenant','name','srcip','dstip','startts']
                            self._child_classes = OrderedDict([("pgrp-items", ("pgrp_items", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems))])
                            self._leafs = OrderedDict([
                                ('tenant', (YLeaf(YType.str, 'tenant'), ['str'])),
                                ('name', (YLeaf(YType.str, 'name'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str','str'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str','str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('srcnodeid', (YLeaf(YType.uint16, 'srcNodeId'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('payloadsz', (YLeaf(YType.uint16, 'payloadSz'), ['int'])),
                            ])
                            self.tenant = None
                            self.name = None
                            self.srcip = None
                            self.dstip = None
                            self.startts = None
                            self.descr = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.srcnodeid = None
                            self.vrf = None
                            self.payloadsz = None

                            self.pgrp_items = System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems()
                            self.pgrp_items.parent = self
                            self._children_name_map["pgrp_items"] = "pgrp-items"
                            self._segment_path = lambda: "RsltTn-list" + "[tenant='" + str(self.tenant) + "']" + "[name='" + str(self.name) + "']" + "[srcIp='" + str(self.srcip) + "']" + "[dstIp='" + str(self.dstip) + "']" + "[startTs='" + str(self.startts) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList, ['tenant', 'name', 'srcip', 'dstip', 'startts', 'descr', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'srcnodeid', 'vrf', 'payloadsz'], name, value)


                        class PgrpItems(Entity):
                            """
                            
                            
                            .. attribute:: pathgrp_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathGrpList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems, self).__init__()

                                self.yang_name = "pgrp-items"
                                self.yang_parent_name = "RsltTn-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathGrp-list", ("pathgrp_list", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList))])
                                self._leafs = OrderedDict()

                                self.pathgrp_list = YList(self)
                                self._segment_path = lambda: "pgrp-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems, [], name, value)


                            class PathGrpList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: path_items
                                
                                	
                                	**type**\:  :py:class:`PathItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList, self).__init__()

                                    self.yang_name = "PathGrp-list"
                                    self.yang_parent_name = "pgrp-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("path-items", ("path_items", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.path_items = System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems()
                                    self.path_items.parent = self
                                    self._children_name_map["path_items"] = "path-items"
                                    self._segment_path = lambda: "PathGrp-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList, ['id'], name, value)


                                class PathItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: path_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PathList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems, self).__init__()

                                        self.yang_name = "path-items"
                                        self.yang_parent_name = "PathGrp-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("Path-list", ("path_list", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList))])
                                        self._leafs = OrderedDict()

                                        self.path_list = YList(self)
                                        self._segment_path = lambda: "path-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems, [], name, value)


                                    class PathList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: type
                                        
                                        	Type
                                        	**type**\:  :py:class:`TraceroutePathT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.TraceroutePathT>`
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: node_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodeItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList, self).__init__()

                                            self.yang_name = "Path-list"
                                            self.yang_parent_name = "path-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("node-items", ("node_items", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'TraceroutePathT', '')])),
                                                ('flags', (YLeaf(YType.str, 'flags'), ['str'])),
                                            ])
                                            self.id = None
                                            self.type = None
                                            self.flags = None

                                            self.node_items = System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems()
                                            self.node_items.parent = self
                                            self._children_name_map["node_items"] = "node-items"
                                            self._segment_path = lambda: "Path-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList, ['id', 'type', 'flags'], name, value)


                                        class NodeItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: node_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodeList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems, self).__init__()

                                                self.yang_name = "node-items"
                                                self.yang_parent_name = "Path-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("Node-list", ("node_list", System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList))])
                                                self._leafs = OrderedDict()

                                                self.node_list = YList(self)
                                                self._segment_path = lambda: "node-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems, [], name, value)


                                            class NodeList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: order  (key)
                                                
                                                	Order
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                		**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList, self).__init__()

                                                    self.yang_name = "Node-list"
                                                    self.yang_parent_name = "node-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['order']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                                    ])
                                                    self.order = None
                                                    self.addr = None
                                                    self._segment_path = lambda: "Node-list" + "[order='" + str(self.order) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrrslttnItems.RsltTnList.PgrpItems.PathGrpList.PathItems.PathList.NodeItems.NodeList, ['order', 'addr'], name, value)










                class ImginsttaskrsltItems(Entity):
                    """
                    
                    
                    .. attribute:: rslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`RsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems.RsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems, self).__init__()

                        self.yang_name = "imginsttaskrslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("Rslt-list", ("rslt_list", System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems.RsltList))])
                        self._leafs = OrderedDict()

                        self.rslt_list = YList(self)
                        self._segment_path = lambda: "imginsttaskrslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems, [], name, value)


                    class RsltList(Entity):
                        """
                        
                        
                        .. attribute:: type  (key)
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: startts  (key)
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems.RsltList, self).__init__()

                            self.yang_name = "Rslt-list"
                            self.yang_parent_name = "imginsttaskrslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['type','startts']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.type = None
                            self.startts = None
                            self.descr = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self._segment_path = lambda: "Rslt-list" + "[type='" + str(self.type) + "']" + "[startTs='" + str(self.startts) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.ImginsttaskrsltItems.RsltList, ['type', 'startts', 'descr', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)




                class TrkipItems(Entity):
                    """
                    
                    
                    .. attribute:: ipepexec_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IpEpExecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrkipItems, self).__init__()

                        self.yang_name = "trkip-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IpEpExec-list", ("ipepexec_list", System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList))])
                        self._leafs = OrderedDict()

                        self.ipepexec_list = YList(self)
                        self._segment_path = lambda: "trkip-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkipItems, [], name, value)


                    class IpEpExecList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        .. attribute:: vrf  (key)
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: iprslt_items
                        
                        	
                        	**type**\:  :py:class:`IprsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList, self).__init__()

                            self.yang_name = "IpEpExec-list"
                            self.yang_parent_name = "trkip-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr','vrf']
                            self._child_classes = OrderedDict([("iprslt-items", ("iprslt_items", System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems))])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                            ])
                            self.addr = None
                            self.vrf = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None

                            self.iprslt_items = System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems()
                            self.iprslt_items.parent = self
                            self._children_name_map["iprslt_items"] = "iprslt-items"
                            self._segment_path = lambda: "IpEpExec-list" + "[addr='" + str(self.addr) + "']" + "[vrf='" + str(self.vrf) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList, ['addr', 'vrf', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq'], name, value)


                        class IprsltItems(Entity):
                            """
                            
                            
                            .. attribute:: ipeprslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpEpRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems, self).__init__()

                                self.yang_name = "iprslt-items"
                                self.yang_parent_name = "IpEpExec-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("IpEpRslt-list", ("ipeprslt_list", System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList))])
                                self._leafs = OrderedDict()

                                self.ipeprslt_list = YList(self)
                                self._segment_path = lambda: "iprslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems, [], name, value)


                            class IpEpRsltList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: vrf  (key)
                                
                                	VRF
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: startts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	TBD
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsz
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 1..1024
                                
                                	**config**\: False
                                
                                .. attribute:: rtm
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peerclassid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ack
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: endts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Completion
                                	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsipeprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsipEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList, self).__init__()

                                    self.yang_name = "IpEpRslt-list"
                                    self.yang_parent_name = "iprslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr','vrf']
                                    self._child_classes = OrderedDict([("rsipEpRslttoIpEpAtt-items", ("rsipeprslttoipepatt_items", System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                        ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                        ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                    ])
                                    self.addr = None
                                    self.vrf = None
                                    self.descr = None
                                    self.startts = None
                                    self.type = None
                                    self.rsz = None
                                    self.rtm = None
                                    self.peerclassid = None
                                    self.qual = None
                                    self.ack = None
                                    self.endts = None
                                    self.operst = None

                                    self.rsipeprslttoipepatt_items = System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems()
                                    self.rsipeprslttoipepatt_items.parent = self
                                    self._children_name_map["rsipeprslttoipepatt_items"] = "rsipEpRslttoIpEpAtt-items"
                                    self._segment_path = lambda: "IpEpRslt-list" + "[addr='" + str(self.addr) + "']" + "[vrf='" + str(self.vrf) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList, ['addr', 'vrf', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                                class RsipEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: tdn
                                    
                                    	Target\-dn
                                    	**type**\: str
                                    
                                    	**config**\: False
                                    
                                    .. attribute:: tcl
                                    
                                    	Target\-class
                                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rsipEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "IpEpRslt-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([])
                                        self._leafs = OrderedDict([
                                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                        ])
                                        self.tdn = None
                                        self.tcl = None
                                        self._segment_path = lambda: "rsipEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkipItems.IpEpExecList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)







                class TrkmacItems(Entity):
                    """
                    
                    
                    .. attribute:: macepexec_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MacEpExecList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems, self).__init__()

                        self.yang_name = "trkmac-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MacEpExec-list", ("macepexec_list", System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList))])
                        self._leafs = OrderedDict()

                        self.macepexec_list = YList(self)
                        self._segment_path = lambda: "trkmac-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems, [], name, value)


                    class MacEpExecList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: macrslt_items
                        
                        	
                        	**type**\:  :py:class:`MacrsltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList, self).__init__()

                            self.yang_name = "MacEpExec-list"
                            self.yang_parent_name = "trkmac-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr','encap']
                            self._child_classes = OrderedDict([("macrslt-items", ("macrslt_items", System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems))])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                            ])
                            self.addr = None
                            self.encap = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None

                            self.macrslt_items = System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems()
                            self.macrslt_items.parent = self
                            self._children_name_map["macrslt_items"] = "macrslt-items"
                            self._segment_path = lambda: "MacEpExec-list" + "[addr='" + str(self.addr) + "']" + "[encap='" + str(self.encap) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList, ['addr', 'encap', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq'], name, value)


                        class MacrsltItems(Entity):
                            """
                            
                            
                            .. attribute:: maceprslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`MacEpRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems, self).__init__()

                                self.yang_name = "macrslt-items"
                                self.yang_parent_name = "MacEpExec-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("MacEpRslt-list", ("maceprslt_list", System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList))])
                                self._leafs = OrderedDict()

                                self.maceprslt_list = YList(self)
                                self._segment_path = lambda: "macrslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems, [], name, value)


                            class MacEpRsltList(Entity):
                                """
                                
                                
                                .. attribute:: addr  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: encap  (key)
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: startts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	TBD
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsz
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 1..1024
                                
                                	**config**\: False
                                
                                .. attribute:: rtm
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peerclassid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ack
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: endts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Completion
                                	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsmaceprslttoipepatt_items
                                
                                	
                                	**type**\:  :py:class:`RsmacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList, self).__init__()

                                    self.yang_name = "MacEpRslt-list"
                                    self.yang_parent_name = "macrslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['addr','encap']
                                    self._child_classes = OrderedDict([("rsmacEpRslttoIpEpAtt-items", ("rsmaceprslttoipepatt_items", System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems))])
                                    self._leafs = OrderedDict([
                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                        ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                        ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                    ])
                                    self.addr = None
                                    self.encap = None
                                    self.descr = None
                                    self.startts = None
                                    self.type = None
                                    self.rsz = None
                                    self.rtm = None
                                    self.peerclassid = None
                                    self.qual = None
                                    self.ack = None
                                    self.endts = None
                                    self.operst = None

                                    self.rsmaceprslttoipepatt_items = System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems()
                                    self.rsmaceprslttoipepatt_items.parent = self
                                    self._children_name_map["rsmaceprslttoipepatt_items"] = "rsmacEpRslttoIpEpAtt-items"
                                    self._segment_path = lambda: "MacEpRslt-list" + "[addr='" + str(self.addr) + "']" + "[encap='" + str(self.encap) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList, ['addr', 'encap', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                                class RsmacEpRslttoIpEpAttItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: rsmaceprslttoipepatt_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`RsMacEpRslttoIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems, self).__init__()

                                        self.yang_name = "rsmacEpRslttoIpEpAtt-items"
                                        self.yang_parent_name = "MacEpRslt-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("RsMacEpRslttoIpEpAtt-list", ("rsmaceprslttoipepatt_list", System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList))])
                                        self._leafs = OrderedDict()

                                        self.rsmaceprslttoipepatt_list = YList(self)
                                        self._segment_path = lambda: "rsmacEpRslttoIpEpAtt-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems, [], name, value)


                                    class RsMacEpRslttoIpEpAttList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: tdn  (key)
                                        
                                        	Target\-dn
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: tcl
                                        
                                        	Target\-class
                                        	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList, self).__init__()

                                            self.yang_name = "RsMacEpRslttoIpEpAtt-list"
                                            self.yang_parent_name = "rsmacEpRslttoIpEpAtt-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['tdn']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                                ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                            ])
                                            self.tdn = None
                                            self.tcl = None
                                            self._segment_path = lambda: "RsMacEpRslttoIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrkmacItems.MacEpExecList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList, ['tdn', 'tcl'], name, value)








                class IprsltItems(Entity):
                    """
                    
                    
                    .. attribute:: ipeprslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IpEpRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.IprsltItems, self).__init__()

                        self.yang_name = "iprslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("IpEpRslt-list", ("ipeprslt_list", System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList))])
                        self._leafs = OrderedDict()

                        self.ipeprslt_list = YList(self)
                        self._segment_path = lambda: "iprslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.IprsltItems, [], name, value)


                    class IpEpRsltList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: vrf  (key)
                        
                        	VRF
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsipeprslttoipepatt_items
                        
                        	
                        	**type**\:  :py:class:`RsipEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList, self).__init__()

                            self.yang_name = "IpEpRslt-list"
                            self.yang_parent_name = "iprslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr','vrf']
                            self._child_classes = OrderedDict([("rsipEpRslttoIpEpAtt-items", ("rsipeprslttoipepatt_items", System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems))])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str','str'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.addr = None
                            self.vrf = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.rsipeprslttoipepatt_items = System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems()
                            self.rsipeprslttoipepatt_items.parent = self
                            self._children_name_map["rsipeprslttoipepatt_items"] = "rsipEpRslttoIpEpAtt-items"
                            self._segment_path = lambda: "IpEpRslt-list" + "[addr='" + str(self.addr) + "']" + "[vrf='" + str(self.vrf) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList, ['addr', 'vrf', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class RsipEpRslttoIpEpAttItems(Entity):
                            """
                            
                            
                            .. attribute:: tdn
                            
                            	Target\-dn
                            	**type**\: str
                            
                            	**config**\: False
                            
                            .. attribute:: tcl
                            
                            	Target\-class
                            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems, self).__init__()

                                self.yang_name = "rsipEpRslttoIpEpAtt-items"
                                self.yang_parent_name = "IpEpRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([])
                                self._leafs = OrderedDict([
                                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                ])
                                self.tdn = None
                                self.tcl = None
                                self._segment_path = lambda: "rsipEpRslttoIpEpAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.IprsltItems.IpEpRsltList.RsipEpRslttoIpEpAttItems, ['tdn', 'tcl'], name, value)





                class MacrsltItems(Entity):
                    """
                    
                    
                    .. attribute:: maceprslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MacEpRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.MacrsltItems, self).__init__()

                        self.yang_name = "macrslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("MacEpRslt-list", ("maceprslt_list", System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList))])
                        self._leafs = OrderedDict()

                        self.maceprslt_list = YList(self)
                        self._segment_path = lambda: "macrslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.MacrsltItems, [], name, value)


                    class MacEpRsltList(Entity):
                        """
                        
                        
                        .. attribute:: addr  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: encap  (key)
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsmaceprslttoipepatt_items
                        
                        	
                        	**type**\:  :py:class:`RsmacEpRslttoIpEpAttItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList, self).__init__()

                            self.yang_name = "MacEpRslt-list"
                            self.yang_parent_name = "macrslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['addr','encap']
                            self._child_classes = OrderedDict([("rsmacEpRslttoIpEpAtt-items", ("rsmaceprslttoipepatt_items", System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems))])
                            self._leafs = OrderedDict([
                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                ('encap', (YLeaf(YType.str, 'encap'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.addr = None
                            self.encap = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.rsmaceprslttoipepatt_items = System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems()
                            self.rsmaceprslttoipepatt_items.parent = self
                            self._children_name_map["rsmaceprslttoipepatt_items"] = "rsmacEpRslttoIpEpAtt-items"
                            self._segment_path = lambda: "MacEpRslt-list" + "[addr='" + str(self.addr) + "']" + "[encap='" + str(self.encap) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList, ['addr', 'encap', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class RsmacEpRslttoIpEpAttItems(Entity):
                            """
                            
                            
                            .. attribute:: rsmaceprslttoipepatt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`RsMacEpRslttoIpEpAttList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems, self).__init__()

                                self.yang_name = "rsmacEpRslttoIpEpAtt-items"
                                self.yang_parent_name = "MacEpRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("RsMacEpRslttoIpEpAtt-list", ("rsmaceprslttoipepatt_list", System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList))])
                                self._leafs = OrderedDict()

                                self.rsmaceprslttoipepatt_list = YList(self)
                                self._segment_path = lambda: "rsmacEpRslttoIpEpAtt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems, [], name, value)


                            class RsMacEpRslttoIpEpAttList(Entity):
                                """
                                
                                
                                .. attribute:: tdn  (key)
                                
                                	Target\-dn
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: tcl
                                
                                	Target\-class
                                	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList, self).__init__()

                                    self.yang_name = "RsMacEpRslttoIpEpAtt-list"
                                    self.yang_parent_name = "rsmacEpRslttoIpEpAtt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['tdn']
                                    self._child_classes = OrderedDict([])
                                    self._leafs = OrderedDict([
                                        ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                                        ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                                    ])
                                    self.tdn = None
                                    self.tcl = None
                                    self._segment_path = lambda: "RsMacEpRslttoIpEpAtt-list" + "[tDn='" + str(self.tdn) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.MacrsltItems.MacEpRsltList.RsmacEpRslttoIpEpAttItems.RsMacEpRslttoIpEpAttList, ['tdn', 'tcl'], name, value)






                class PingnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: pingnverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PingNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PingnversltItems.PingNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PingnversltItems, self).__init__()

                        self.yang_name = "pingnverslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PingNveRslt-list", ("pingnverslt_list", System.ActionItems.LsubjItems.LSubjList.PingnversltItems.PingNveRsltList))])
                        self._leafs = OrderedDict()

                        self.pingnverslt_list = YList(self)
                        self._segment_path = lambda: "pingnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnversltItems, [], name, value)


                    class PingNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: replyip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: replyipv6
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: nodename
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: sport
                        
                        	Source Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: packetsz
                        
                        	Packet Size
                        	**type**\: int
                        
                        	**range:** 1..65486
                        
                        	**config**\: False
                        
                        .. attribute:: sentpkts
                        
                        	Sent Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: notsentpkts
                        
                        	Not Sent Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: rcvdpkts
                        
                        	Received Packets
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: minrtt
                        
                        	Minimum Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: avgrtt
                        
                        	Average Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: maxrtt
                        
                        	Maximum Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        .. attribute:: totalrtt
                        
                        	Total Round Trip Time
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PingnversltItems.PingNveRsltList, self).__init__()

                            self.yang_name = "PingNveRslt-list"
                            self.yang_parent_name = "pingnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                ('replyip', (YLeaf(YType.str, 'replyIp'), ['str'])),
                                ('replyipv6', (YLeaf(YType.str, 'replyIpv6'), ['str'])),
                                ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('sport', (YLeaf(YType.uint16, 'sPort'), ['int'])),
                                ('packetsz', (YLeaf(YType.uint16, 'packetSz'), ['int'])),
                                ('sentpkts', (YLeaf(YType.uint32, 'sentPkts'), ['int'])),
                                ('notsentpkts', (YLeaf(YType.uint32, 'notSentPkts'), ['int'])),
                                ('rcvdpkts', (YLeaf(YType.uint32, 'rcvdPkts'), ['int'])),
                                ('minrtt', (YLeaf(YType.uint32, 'minRtt'), ['int'])),
                                ('avgrtt', (YLeaf(YType.uint32, 'avgRtt'), ['int'])),
                                ('maxrtt', (YLeaf(YType.uint32, 'maxRtt'), ['int'])),
                                ('totalrtt', (YLeaf(YType.uint32, 'totalRtt'), ['int'])),
                            ])
                            self.sessionid = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None
                            self.replyip = None
                            self.replyipv6 = None
                            self.nodename = None
                            self.errorcode = None
                            self.failreason = None
                            self.sport = None
                            self.packetsz = None
                            self.sentpkts = None
                            self.notsentpkts = None
                            self.rcvdpkts = None
                            self.minrtt = None
                            self.avgrtt = None
                            self.maxrtt = None
                            self.totalrtt = None
                            self._segment_path = lambda: "PingNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PingnversltItems.PingNveRsltList, ['sessionid', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst', 'replyip', 'replyipv6', 'nodename', 'errorcode', 'failreason', 'sport', 'packetsz', 'sentpkts', 'notsentpkts', 'rcvdpkts', 'minrtt', 'avgrtt', 'maxrtt', 'totalrtt'], name, value)




                class TracertnveItems(Entity):
                    """
                    
                    
                    .. attribute:: tracertnve_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TraceRtNveList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems, self).__init__()

                        self.yang_name = "tracertnve-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("TraceRtNve-list", ("tracertnve_list", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList))])
                        self._leafs = OrderedDict()

                        self.tracertnve_list = YList(self)
                        self._segment_path = lambda: "tracertnve-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems, [], name, value)


                    class TraceRtNveList(Entity):
                        """
                        
                        
                        .. attribute:: session  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: profileid
                        
                        	Ngoam profile ID
                        	**type**\: int
                        
                        	**range:** 1..1023
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: srcport
                        
                        	Source Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: dstport
                        
                        	Destination Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: maxttl
                        
                        	Time to live value
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: vni
                        
                        	VNI
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: timeout
                        
                        	Timeout
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: egressif
                        
                        	Interface ID
                        	**type**\: str
                        
                        .. attribute:: macsrcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: verifyhost
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: sessionid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: payload_dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: payload_srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_dstport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_protocol
                        
                        	payload protocol
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: payload_srcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: trnverslt_items
                        
                        	
                        	**type**\:  :py:class:`TrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList, self).__init__()

                            self.yang_name = "TraceRtNve-list"
                            self.yang_parent_name = "tracertnve-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['session']
                            self._child_classes = OrderedDict([("trnverslt-items", ("trnverslt_items", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems))])
                            self._leafs = OrderedDict([
                                ('session', (YLeaf(YType.str, 'session'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                                ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                                ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                                ('srcport', (YLeaf(YType.uint16, 'srcPort'), ['int'])),
                                ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                ('maxttl', (YLeaf(YType.uint8, 'maxTtl'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                                ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                                ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                                ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                                ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                                ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                                ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                                ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                                ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                                ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                                ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                                ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                                ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                                ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                                ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                            ])
                            self.session = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.profileid = None
                            self.dstip = None
                            self.dstipv6 = None
                            self.dstmac = None
                            self.srcip = None
                            self.srcipv6 = None
                            self.dot1q = None
                            self.srcport = None
                            self.dstport = None
                            self.maxttl = None
                            self.vrf = None
                            self.vni = None
                            self.timeout = None
                            self.egressif = None
                            self.macsrcif = None
                            self.verifyhost = None
                            self.sessionid = None
                            self.payload_dot1q = None
                            self.payload_srcip = None
                            self.payload_srcipv6 = None
                            self.payload_srcmac = None
                            self.payload_dstip = None
                            self.payload_dstipv6 = None
                            self.payload_dstmac = None
                            self.payload_srcport = None
                            self.payload_dstport = None
                            self.payload_protocol = None
                            self.payload_srcif = None

                            self.trnverslt_items = System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems()
                            self.trnverslt_items.parent = self
                            self._children_name_map["trnverslt_items"] = "trnverslt-items"
                            self._segment_path = lambda: "TraceRtNve-list" + "[session='" + str(self.session) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList, ['session', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'dstport', 'maxttl', 'vrf', 'vni', 'timeout', 'egressif', 'macsrcif', 'verifyhost', 'sessionid', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif'], name, value)


                        class TrnversltItems(Entity):
                            """
                            
                            
                            .. attribute:: tracertnverslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`TraceRtNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems, self).__init__()

                                self.yang_name = "trnverslt-items"
                                self.yang_parent_name = "TraceRtNve-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("TraceRtNveRslt-list", ("tracertnverslt_list", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList))])
                                self._leafs = OrderedDict()

                                self.tracertnverslt_list = YList(self)
                                self._segment_path = lambda: "trnverslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems, [], name, value)


                            class TraceRtNveRsltList(Entity):
                                """
                                
                                
                                .. attribute:: sessionid  (key)
                                
                                	Name
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: dstip
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: maxhops
                                
                                	Max Hops
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                	**config**\: False
                                
                                .. attribute:: errorcode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: failreason
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: startts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	TBD
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsz
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 1..1024
                                
                                	**config**\: False
                                
                                .. attribute:: rtm
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peerclassid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ack
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: endts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Completion
                                	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: pathtr_items
                                
                                	
                                	**type**\:  :py:class:`PathtrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList, self).__init__()

                                    self.yang_name = "TraceRtNveRslt-list"
                                    self.yang_parent_name = "trnverslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['sessionid']
                                    self._child_classes = OrderedDict([("pathtr-items", ("pathtr_items", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems))])
                                    self._leafs = OrderedDict([
                                        ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                        ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                        ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                        ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                        ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                        ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                    ])
                                    self.sessionid = None
                                    self.dstip = None
                                    self.maxhops = None
                                    self.errorcode = None
                                    self.failreason = None
                                    self.descr = None
                                    self.startts = None
                                    self.type = None
                                    self.rsz = None
                                    self.rtm = None
                                    self.peerclassid = None
                                    self.qual = None
                                    self.ack = None
                                    self.endts = None
                                    self.operst = None

                                    self.pathtr_items = System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems()
                                    self.pathtr_items.parent = self
                                    self._children_name_map["pathtr_items"] = "pathtr-items"
                                    self._segment_path = lambda: "TraceRtNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                                class PathtrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pathtr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PathTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems, self).__init__()

                                        self.yang_name = "pathtr-items"
                                        self.yang_parent_name = "TraceRtNveRslt-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("PathTr-list", ("pathtr_list", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList))])
                                        self._leafs = OrderedDict()

                                        self.pathtr_list = YList(self)
                                        self._segment_path = lambda: "pathtr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems, [], name, value)


                                    class PathTrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nodetr_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodetrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, self).__init__()

                                            self.yang_name = "PathTr-list"
                                            self.yang_parent_name = "pathtr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("nodetr-items", ("nodetr_items", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ])
                                            self.id = None

                                            self.nodetr_items = System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems()
                                            self.nodetr_items.parent = self
                                            self._children_name_map["nodetr_items"] = "nodetr-items"
                                            self._segment_path = lambda: "PathTr-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, ['id'], name, value)


                                        class NodetrItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nodetr_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodeTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, self).__init__()

                                                self.yang_name = "nodetr-items"
                                                self.yang_parent_name = "PathTr-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("NodeTr-list", ("nodetr_list", System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList))])
                                                self._leafs = OrderedDict()

                                                self.nodetr_list = YList(self)
                                                self._segment_path = lambda: "nodetr-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, [], name, value)


                                            class NodeTrList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: order  (key)
                                                
                                                	Order
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: v6addr
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: elapsedtime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, self).__init__()

                                                    self.yang_name = "NodeTr-list"
                                                    self.yang_parent_name = "nodetr-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['order']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                        ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                        ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                                    ])
                                                    self.order = None
                                                    self.addr = None
                                                    self.v6addr = None
                                                    self.elapsedtime = None
                                                    self._segment_path = lambda: "NodeTr-list" + "[order='" + str(self.order) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TracertnveItems.TraceRtNveList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, ['order', 'addr', 'v6addr', 'elapsedtime'], name, value)










                class PathtracenveItems(Entity):
                    """
                    
                    
                    .. attribute:: pathtracenve_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PathTraceNveList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList>`
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems, self).__init__()

                        self.yang_name = "pathtracenve-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PathTraceNve-list", ("pathtracenve_list", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList))])
                        self._leafs = OrderedDict()

                        self.pathtracenve_list = YList(self)
                        self._segment_path = lambda: "pathtracenve-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems, [], name, value)


                    class PathTraceNveList(Entity):
                        """
                        
                        
                        .. attribute:: session  (key)
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: reqstats
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: adminst
                        
                        	Admin State
                        	**type**\:  :py:class:`ActionAdminSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionAdminSt>`
                        
                        .. attribute:: freq
                        
                        	Task Frequency
                        	**type**\: str
                        
                        .. attribute:: profileid
                        
                        	Ngoam profile ID
                        	**type**\: int
                        
                        	**range:** 1..1023
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: srcport
                        
                        	Source Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: dstport
                        
                        	Destination Port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: maxttl
                        
                        	Time to live value
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: vrf
                        
                        	VRF
                        	**type**\: str
                        
                        .. attribute:: vni
                        
                        	VNI
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: timeout
                        
                        	Timeout
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: egressif
                        
                        	Interface ID
                        	**type**\: str
                        
                        .. attribute:: macsrcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: verifyhost
                        
                        	
                        	**type**\: bool
                        
                        .. attribute:: sessionid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: payload_dot1q
                        
                        	dot1q
                        	**type**\: int
                        
                        	**range:** 0..4096
                        
                        .. attribute:: payload_srcip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstip
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstipv6
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_dstmac
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: payload_srcport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_dstport
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: payload_protocol
                        
                        	payload protocol
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: payload_srcif
                        
                        	payload source interface
                        	**type**\: str
                        
                        .. attribute:: ptrnverslt_items
                        
                        	
                        	**type**\:  :py:class:`PtrnversltItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems>`
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList, self).__init__()

                            self.yang_name = "PathTraceNve-list"
                            self.yang_parent_name = "pathtracenve-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['session']
                            self._child_classes = OrderedDict([("ptrnverslt-items", ("ptrnverslt_items", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems))])
                            self._leafs = OrderedDict([
                                ('session', (YLeaf(YType.str, 'session'), ['str'])),
                                ('reqstats', (YLeaf(YType.boolean, 'reqStats'), ['bool'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('adminst', (YLeaf(YType.enumeration, 'adminSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionAdminSt', '')])),
                                ('freq', (YLeaf(YType.str, 'freq'), ['str'])),
                                ('profileid', (YLeaf(YType.uint16, 'profileId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('dstipv6', (YLeaf(YType.str, 'dstIpv6'), ['str'])),
                                ('dstmac', (YLeaf(YType.str, 'dstMAC'), ['str'])),
                                ('srcip', (YLeaf(YType.str, 'srcIp'), ['str'])),
                                ('srcipv6', (YLeaf(YType.str, 'srcIpv6'), ['str'])),
                                ('dot1q', (YLeaf(YType.uint16, 'dot1q'), ['int'])),
                                ('srcport', (YLeaf(YType.uint16, 'srcPort'), ['int'])),
                                ('dstport', (YLeaf(YType.uint16, 'dstPort'), ['int'])),
                                ('maxttl', (YLeaf(YType.uint8, 'maxTtl'), ['int'])),
                                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                                ('vni', (YLeaf(YType.uint32, 'vni'), ['int'])),
                                ('timeout', (YLeaf(YType.uint8, 'timeout'), ['int'])),
                                ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                ('macsrcif', (YLeaf(YType.str, 'macsrcif'), ['str'])),
                                ('verifyhost', (YLeaf(YType.boolean, 'verifyHost'), ['bool'])),
                                ('sessionid', (YLeaf(YType.uint32, 'sessionId'), ['int'])),
                                ('payload_dot1q', (YLeaf(YType.uint16, 'payload_dot1q'), ['int'])),
                                ('payload_srcip', (YLeaf(YType.str, 'payload_srcip'), ['str'])),
                                ('payload_srcipv6', (YLeaf(YType.str, 'payload_srcipv6'), ['str'])),
                                ('payload_srcmac', (YLeaf(YType.str, 'payload_srcmac'), ['str'])),
                                ('payload_dstip', (YLeaf(YType.str, 'payload_dstip'), ['str'])),
                                ('payload_dstipv6', (YLeaf(YType.str, 'payload_dstipv6'), ['str'])),
                                ('payload_dstmac', (YLeaf(YType.str, 'payload_dstmac'), ['str'])),
                                ('payload_srcport', (YLeaf(YType.uint16, 'payload_srcport'), ['int'])),
                                ('payload_dstport', (YLeaf(YType.uint16, 'payload_dstport'), ['int'])),
                                ('payload_protocol', (YLeaf(YType.uint16, 'payload_protocol'), ['int'])),
                                ('payload_srcif', (YLeaf(YType.str, 'payload_srcif'), ['str'])),
                            ])
                            self.session = None
                            self.reqstats = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.adminst = None
                            self.freq = None
                            self.profileid = None
                            self.dstip = None
                            self.dstipv6 = None
                            self.dstmac = None
                            self.srcip = None
                            self.srcipv6 = None
                            self.dot1q = None
                            self.srcport = None
                            self.dstport = None
                            self.maxttl = None
                            self.vrf = None
                            self.vni = None
                            self.timeout = None
                            self.egressif = None
                            self.macsrcif = None
                            self.verifyhost = None
                            self.sessionid = None
                            self.payload_dot1q = None
                            self.payload_srcip = None
                            self.payload_srcipv6 = None
                            self.payload_srcmac = None
                            self.payload_dstip = None
                            self.payload_dstipv6 = None
                            self.payload_dstmac = None
                            self.payload_srcport = None
                            self.payload_dstport = None
                            self.payload_protocol = None
                            self.payload_srcif = None

                            self.ptrnverslt_items = System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems()
                            self.ptrnverslt_items.parent = self
                            self._children_name_map["ptrnverslt_items"] = "ptrnverslt-items"
                            self._segment_path = lambda: "PathTraceNve-list" + "[session='" + str(self.session) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList, ['session', 'reqstats', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'adminst', 'freq', 'profileid', 'dstip', 'dstipv6', 'dstmac', 'srcip', 'srcipv6', 'dot1q', 'srcport', 'dstport', 'maxttl', 'vrf', 'vni', 'timeout', 'egressif', 'macsrcif', 'verifyhost', 'sessionid', 'payload_dot1q', 'payload_srcip', 'payload_srcipv6', 'payload_srcmac', 'payload_dstip', 'payload_dstipv6', 'payload_dstmac', 'payload_srcport', 'payload_dstport', 'payload_protocol', 'payload_srcif'], name, value)


                        class PtrnversltItems(Entity):
                            """
                            
                            
                            .. attribute:: pathtracenverslt_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathTraceNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems, self).__init__()

                                self.yang_name = "ptrnverslt-items"
                                self.yang_parent_name = "PathTraceNve-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathTraceNveRslt-list", ("pathtracenverslt_list", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList))])
                                self._leafs = OrderedDict()

                                self.pathtracenverslt_list = YList(self)
                                self._segment_path = lambda: "ptrnverslt-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems, [], name, value)


                            class PathTraceNveRsltList(Entity):
                                """
                                
                                
                                .. attribute:: sessionid  (key)
                                
                                	Name
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                	**config**\: False
                                
                                .. attribute:: dstip
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: maxhops
                                
                                	Max Hops
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                	**config**\: False
                                
                                .. attribute:: errorcode
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: failreason
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: descr
                                
                                	Description
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: startts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: type
                                
                                	TBD
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                                
                                	**config**\: False
                                
                                .. attribute:: rsz
                                
                                	TBD
                                	**type**\: int
                                
                                	**range:** 1..1024
                                
                                	**config**\: False
                                
                                .. attribute:: rtm
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: peerclassid
                                
                                	
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: qual
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: ack
                                
                                	
                                	**type**\: bool
                                
                                	**config**\: False
                                
                                .. attribute:: endts
                                
                                	TBD
                                	**type**\: str
                                
                                	**config**\: False
                                
                                .. attribute:: operst
                                
                                	Completion
                                	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                                
                                	**config**\: False
                                
                                .. attribute:: pathptr_items
                                
                                	
                                	**type**\:  :py:class:`PathptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList, self).__init__()

                                    self.yang_name = "PathTraceNveRslt-list"
                                    self.yang_parent_name = "ptrnverslt-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['sessionid']
                                    self._child_classes = OrderedDict([("pathptr-items", ("pathptr_items", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems))])
                                    self._leafs = OrderedDict([
                                        ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                        ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                        ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                        ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                        ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                        ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                        ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                        ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                        ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                        ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                        ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                        ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                        ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                        ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                        ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                                    ])
                                    self.sessionid = None
                                    self.dstip = None
                                    self.maxhops = None
                                    self.errorcode = None
                                    self.failreason = None
                                    self.descr = None
                                    self.startts = None
                                    self.type = None
                                    self.rsz = None
                                    self.rtm = None
                                    self.peerclassid = None
                                    self.qual = None
                                    self.ack = None
                                    self.endts = None
                                    self.operst = None

                                    self.pathptr_items = System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems()
                                    self.pathptr_items.parent = self
                                    self._children_name_map["pathptr_items"] = "pathptr-items"
                                    self._segment_path = lambda: "PathTraceNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                                class PathptrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pathptr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PathPtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, self).__init__()

                                        self.yang_name = "pathptr-items"
                                        self.yang_parent_name = "PathTraceNveRslt-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("PathPtr-list", ("pathptr_list", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList))])
                                        self._leafs = OrderedDict()

                                        self.pathptr_list = YList(self)
                                        self._segment_path = lambda: "pathptr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, [], name, value)


                                    class PathPtrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: id  (key)
                                        
                                        	ID
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nodeptr_items
                                        
                                        	
                                        	**type**\:  :py:class:`NodeptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems>`
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, self).__init__()

                                            self.yang_name = "PathPtr-list"
                                            self.yang_parent_name = "pathptr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['id']
                                            self._child_classes = OrderedDict([("nodeptr-items", ("nodeptr_items", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems))])
                                            self._leafs = OrderedDict([
                                                ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                            ])
                                            self.id = None

                                            self.nodeptr_items = System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems()
                                            self.nodeptr_items.parent = self
                                            self._children_name_map["nodeptr_items"] = "nodeptr-items"
                                            self._segment_path = lambda: "PathPtr-list" + "[id='" + str(self.id) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, ['id'], name, value)


                                        class NodeptrItems(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nodeptr_list
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`NodePtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList>`
                                            
                                            	**config**\: False
                                            
                                            

                                            """

                                            _prefix = 'top'
                                            _revision = '2019-02-17'

                                            def __init__(self):
                                                super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, self).__init__()

                                                self.yang_name = "nodeptr-items"
                                                self.yang_parent_name = "PathPtr-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self.ylist_key_names = []
                                                self._child_classes = OrderedDict([("NodePtr-list", ("nodeptr_list", System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList))])
                                                self._leafs = OrderedDict()

                                                self.nodeptr_list = YList(self)
                                                self._segment_path = lambda: "nodeptr-items"
                                                self._is_frozen = True

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, [], name, value)


                                            class NodePtrList(Entity):
                                                """
                                                
                                                
                                                .. attribute:: order  (key)
                                                
                                                	Order
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: addr
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: v6addr
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: nodename
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: elapsedtime
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingressif
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: ingressifstate
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxpktrate
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxbyterate
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxload
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxucast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxmcast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxbcast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxdiscards
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxerrors
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxunknown
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: rxbandwidth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: egressif
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: egressifstate
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txlen
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbytes
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txpktrate
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbyterate
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txload
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txucast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txmcast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbcast
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txdiscards
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txerrors
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                	**config**\: False
                                                
                                                .. attribute:: txbandwidth
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                	**config**\: False
                                                
                                                

                                                """

                                                _prefix = 'top'
                                                _revision = '2019-02-17'

                                                def __init__(self):
                                                    super(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, self).__init__()

                                                    self.yang_name = "NodePtr-list"
                                                    self.yang_parent_name = "nodeptr-items"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self.ylist_key_names = ['order']
                                                    self._child_classes = OrderedDict([])
                                                    self._leafs = OrderedDict([
                                                        ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                        ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                        ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                        ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                                        ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                                        ('ingressif', (YLeaf(YType.str, 'ingressIf'), ['str'])),
                                                        ('ingressifstate', (YLeaf(YType.str, 'ingressIfState'), ['str'])),
                                                        ('rxlen', (YLeaf(YType.uint64, 'rxLen'), ['int'])),
                                                        ('rxbytes', (YLeaf(YType.uint64, 'rxBytes'), ['int'])),
                                                        ('rxpktrate', (YLeaf(YType.uint64, 'rxPktRate'), ['int'])),
                                                        ('rxbyterate', (YLeaf(YType.uint64, 'rxByteRate'), ['int'])),
                                                        ('rxload', (YLeaf(YType.uint64, 'rxLoad'), ['int'])),
                                                        ('rxucast', (YLeaf(YType.uint64, 'rxUcast'), ['int'])),
                                                        ('rxmcast', (YLeaf(YType.uint64, 'rxMcast'), ['int'])),
                                                        ('rxbcast', (YLeaf(YType.uint64, 'rxBcast'), ['int'])),
                                                        ('rxdiscards', (YLeaf(YType.uint64, 'rxDiscards'), ['int'])),
                                                        ('rxerrors', (YLeaf(YType.uint64, 'rxErrors'), ['int'])),
                                                        ('rxunknown', (YLeaf(YType.uint64, 'rxUnknown'), ['int'])),
                                                        ('rxbandwidth', (YLeaf(YType.uint32, 'rxBandwidth'), ['int'])),
                                                        ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                                        ('egressifstate', (YLeaf(YType.str, 'egressIfState'), ['str'])),
                                                        ('txlen', (YLeaf(YType.uint64, 'txLen'), ['int'])),
                                                        ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                        ('txpktrate', (YLeaf(YType.uint64, 'txPktRate'), ['int'])),
                                                        ('txbyterate', (YLeaf(YType.uint64, 'txByteRate'), ['int'])),
                                                        ('txload', (YLeaf(YType.uint64, 'txLoad'), ['int'])),
                                                        ('txucast', (YLeaf(YType.uint64, 'txUcast'), ['int'])),
                                                        ('txmcast', (YLeaf(YType.uint64, 'txMcast'), ['int'])),
                                                        ('txbcast', (YLeaf(YType.uint64, 'txBcast'), ['int'])),
                                                        ('txdiscards', (YLeaf(YType.uint64, 'txDiscards'), ['int'])),
                                                        ('txerrors', (YLeaf(YType.uint64, 'txErrors'), ['int'])),
                                                        ('txbandwidth', (YLeaf(YType.uint32, 'txBandwidth'), ['int'])),
                                                    ])
                                                    self.order = None
                                                    self.addr = None
                                                    self.v6addr = None
                                                    self.nodename = None
                                                    self.elapsedtime = None
                                                    self.ingressif = None
                                                    self.ingressifstate = None
                                                    self.rxlen = None
                                                    self.rxbytes = None
                                                    self.rxpktrate = None
                                                    self.rxbyterate = None
                                                    self.rxload = None
                                                    self.rxucast = None
                                                    self.rxmcast = None
                                                    self.rxbcast = None
                                                    self.rxdiscards = None
                                                    self.rxerrors = None
                                                    self.rxunknown = None
                                                    self.rxbandwidth = None
                                                    self.egressif = None
                                                    self.egressifstate = None
                                                    self.txlen = None
                                                    self.txbytes = None
                                                    self.txpktrate = None
                                                    self.txbyterate = None
                                                    self.txload = None
                                                    self.txucast = None
                                                    self.txmcast = None
                                                    self.txbcast = None
                                                    self.txdiscards = None
                                                    self.txerrors = None
                                                    self.txbandwidth = None
                                                    self._segment_path = lambda: "NodePtr-list" + "[order='" + str(self.order) + "']"
                                                    self._is_frozen = True

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PathtracenveItems.PathTraceNveList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, ['order', 'addr', 'v6addr', 'nodename', 'elapsedtime', 'ingressif', 'ingressifstate', 'rxlen', 'rxbytes', 'rxpktrate', 'rxbyterate', 'rxload', 'rxucast', 'rxmcast', 'rxbcast', 'rxdiscards', 'rxerrors', 'rxunknown', 'rxbandwidth', 'egressif', 'egressifstate', 'txlen', 'txbytes', 'txpktrate', 'txbyterate', 'txload', 'txucast', 'txmcast', 'txbcast', 'txdiscards', 'txerrors', 'txbandwidth'], name, value)










                class TrnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: tracertnverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`TraceRtNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems, self).__init__()

                        self.yang_name = "trnverslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("TraceRtNveRslt-list", ("tracertnverslt_list", System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList))])
                        self._leafs = OrderedDict()

                        self.tracertnverslt_list = YList(self)
                        self._segment_path = lambda: "trnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems, [], name, value)


                    class TraceRtNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: pathtr_items
                        
                        	
                        	**type**\:  :py:class:`PathtrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList, self).__init__()

                            self.yang_name = "TraceRtNveRslt-list"
                            self.yang_parent_name = "trnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([("pathtr-items", ("pathtr_items", System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems))])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.sessionid = None
                            self.dstip = None
                            self.maxhops = None
                            self.errorcode = None
                            self.failreason = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.pathtr_items = System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems()
                            self.pathtr_items.parent = self
                            self._children_name_map["pathtr_items"] = "pathtr-items"
                            self._segment_path = lambda: "TraceRtNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class PathtrItems(Entity):
                            """
                            
                            
                            .. attribute:: pathtr_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems, self).__init__()

                                self.yang_name = "pathtr-items"
                                self.yang_parent_name = "TraceRtNveRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathTr-list", ("pathtr_list", System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList))])
                                self._leafs = OrderedDict()

                                self.pathtr_list = YList(self)
                                self._segment_path = lambda: "pathtr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems, [], name, value)


                            class PathTrList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: nodetr_items
                                
                                	
                                	**type**\:  :py:class:`NodetrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, self).__init__()

                                    self.yang_name = "PathTr-list"
                                    self.yang_parent_name = "pathtr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nodetr-items", ("nodetr_items", System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nodetr_items = System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems()
                                    self.nodetr_items.parent = self
                                    self._children_name_map["nodetr_items"] = "nodetr-items"
                                    self._segment_path = lambda: "PathTr-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList, ['id'], name, value)


                                class NodetrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nodetr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodeTrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, self).__init__()

                                        self.yang_name = "nodetr-items"
                                        self.yang_parent_name = "PathTr-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodeTr-list", ("nodetr_list", System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList))])
                                        self._leafs = OrderedDict()

                                        self.nodetr_list = YList(self)
                                        self._segment_path = lambda: "nodetr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems, [], name, value)


                                    class NodeTrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: order  (key)
                                        
                                        	Order
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: v6addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: elapsedtime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, self).__init__()

                                            self.yang_name = "NodeTr-list"
                                            self.yang_parent_name = "nodetr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['order']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                            ])
                                            self.order = None
                                            self.addr = None
                                            self.v6addr = None
                                            self.elapsedtime = None
                                            self._segment_path = lambda: "NodeTr-list" + "[order='" + str(self.order) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.TrnversltItems.TraceRtNveRsltList.PathtrItems.PathTrList.NodetrItems.NodeTrList, ['order', 'addr', 'v6addr', 'elapsedtime'], name, value)








                class PtrnversltItems(Entity):
                    """
                    
                    
                    .. attribute:: pathtracenverslt_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PathTraceNveRsltList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems, self).__init__()

                        self.yang_name = "ptrnverslt-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([("PathTraceNveRslt-list", ("pathtracenverslt_list", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList))])
                        self._leafs = OrderedDict()

                        self.pathtracenverslt_list = YList(self)
                        self._segment_path = lambda: "ptrnverslt-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems, [], name, value)


                    class PathTraceNveRsltList(Entity):
                        """
                        
                        
                        .. attribute:: sessionid  (key)
                        
                        	Name
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        	**config**\: False
                        
                        .. attribute:: dstip
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: maxhops
                        
                        	Max Hops
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        	**config**\: False
                        
                        .. attribute:: errorcode
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: failreason
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: descr
                        
                        	Description
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: startts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: type
                        
                        	TBD
                        	**type**\:  :py:class:`ActionType <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionType>`
                        
                        	**config**\: False
                        
                        .. attribute:: rsz
                        
                        	TBD
                        	**type**\: int
                        
                        	**range:** 1..1024
                        
                        	**config**\: False
                        
                        .. attribute:: rtm
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: peerclassid
                        
                        	
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: qual
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: ack
                        
                        	
                        	**type**\: bool
                        
                        	**config**\: False
                        
                        .. attribute:: endts
                        
                        	TBD
                        	**type**\: str
                        
                        	**config**\: False
                        
                        .. attribute:: operst
                        
                        	Completion
                        	**type**\:  :py:class:`ActionOperSt <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ActionOperSt>`
                        
                        	**config**\: False
                        
                        .. attribute:: pathptr_items
                        
                        	
                        	**type**\:  :py:class:`PathptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems>`
                        
                        	**config**\: False
                        
                        

                        """

                        _prefix = 'top'
                        _revision = '2019-02-17'

                        def __init__(self):
                            super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList, self).__init__()

                            self.yang_name = "PathTraceNveRslt-list"
                            self.yang_parent_name = "ptrnverslt-items"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self.ylist_key_names = ['sessionid']
                            self._child_classes = OrderedDict([("pathptr-items", ("pathptr_items", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems))])
                            self._leafs = OrderedDict([
                                ('sessionid', (YLeaf(YType.uint16, 'sessionId'), ['int'])),
                                ('dstip', (YLeaf(YType.str, 'dstIp'), ['str'])),
                                ('maxhops', (YLeaf(YType.uint8, 'maxHops'), ['int'])),
                                ('errorcode', (YLeaf(YType.str, 'errorCode'), ['str'])),
                                ('failreason', (YLeaf(YType.str, 'failReason'), ['str'])),
                                ('descr', (YLeaf(YType.str, 'descr'), ['str'])),
                                ('startts', (YLeaf(YType.str, 'startTs'), ['str'])),
                                ('type', (YLeaf(YType.enumeration, 'type'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionType', '')])),
                                ('rsz', (YLeaf(YType.uint16, 'rSz'), ['int'])),
                                ('rtm', (YLeaf(YType.str, 'rTm'), ['str'])),
                                ('peerclassid', (YLeaf(YType.str, 'peerClassId'), ['str'])),
                                ('qual', (YLeaf(YType.str, 'qual'), ['str'])),
                                ('ack', (YLeaf(YType.boolean, 'ack'), ['bool'])),
                                ('endts', (YLeaf(YType.str, 'endTs'), ['str'])),
                                ('operst', (YLeaf(YType.enumeration, 'operSt'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ActionOperSt', '')])),
                            ])
                            self.sessionid = None
                            self.dstip = None
                            self.maxhops = None
                            self.errorcode = None
                            self.failreason = None
                            self.descr = None
                            self.startts = None
                            self.type = None
                            self.rsz = None
                            self.rtm = None
                            self.peerclassid = None
                            self.qual = None
                            self.ack = None
                            self.endts = None
                            self.operst = None

                            self.pathptr_items = System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems()
                            self.pathptr_items.parent = self
                            self._children_name_map["pathptr_items"] = "pathptr-items"
                            self._segment_path = lambda: "PathTraceNveRslt-list" + "[sessionId='" + str(self.sessionid) + "']"
                            self._is_frozen = True

                        def __setattr__(self, name, value):
                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList, ['sessionid', 'dstip', 'maxhops', 'errorcode', 'failreason', 'descr', 'startts', 'type', 'rsz', 'rtm', 'peerclassid', 'qual', 'ack', 'endts', 'operst'], name, value)


                        class PathptrItems(Entity):
                            """
                            
                            
                            .. attribute:: pathptr_list
                            
                            	
                            	**type**\: list of  		 :py:class:`PathPtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList>`
                            
                            	**config**\: False
                            
                            

                            """

                            _prefix = 'top'
                            _revision = '2019-02-17'

                            def __init__(self):
                                super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, self).__init__()

                                self.yang_name = "pathptr-items"
                                self.yang_parent_name = "PathTraceNveRslt-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self.ylist_key_names = []
                                self._child_classes = OrderedDict([("PathPtr-list", ("pathptr_list", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList))])
                                self._leafs = OrderedDict()

                                self.pathptr_list = YList(self)
                                self._segment_path = lambda: "pathptr-items"
                                self._is_frozen = True

                            def __setattr__(self, name, value):
                                self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems, [], name, value)


                            class PathPtrList(Entity):
                                """
                                
                                
                                .. attribute:: id  (key)
                                
                                	ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                	**config**\: False
                                
                                .. attribute:: nodeptr_items
                                
                                	
                                	**type**\:  :py:class:`NodeptrItems <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems>`
                                
                                	**config**\: False
                                
                                

                                """

                                _prefix = 'top'
                                _revision = '2019-02-17'

                                def __init__(self):
                                    super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, self).__init__()

                                    self.yang_name = "PathPtr-list"
                                    self.yang_parent_name = "pathptr-items"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self.ylist_key_names = ['id']
                                    self._child_classes = OrderedDict([("nodeptr-items", ("nodeptr_items", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems))])
                                    self._leafs = OrderedDict([
                                        ('id', (YLeaf(YType.uint8, 'id'), ['int'])),
                                    ])
                                    self.id = None

                                    self.nodeptr_items = System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems()
                                    self.nodeptr_items.parent = self
                                    self._children_name_map["nodeptr_items"] = "nodeptr-items"
                                    self._segment_path = lambda: "PathPtr-list" + "[id='" + str(self.id) + "']"
                                    self._is_frozen = True

                                def __setattr__(self, name, value):
                                    self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList, ['id'], name, value)


                                class NodeptrItems(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nodeptr_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`NodePtrList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList>`
                                    
                                    	**config**\: False
                                    
                                    

                                    """

                                    _prefix = 'top'
                                    _revision = '2019-02-17'

                                    def __init__(self):
                                        super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, self).__init__()

                                        self.yang_name = "nodeptr-items"
                                        self.yang_parent_name = "PathPtr-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self.ylist_key_names = []
                                        self._child_classes = OrderedDict([("NodePtr-list", ("nodeptr_list", System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList))])
                                        self._leafs = OrderedDict()

                                        self.nodeptr_list = YList(self)
                                        self._segment_path = lambda: "nodeptr-items"
                                        self._is_frozen = True

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems, [], name, value)


                                    class NodePtrList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: order  (key)
                                        
                                        	Order
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: v6addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: nodename
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: elapsedtime
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ingressif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: ingressifstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxlen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxpktrate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbyterate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxload
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxucast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxmcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxdiscards
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxerrors
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxunknown
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: rxbandwidth
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: egressif
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: egressifstate
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txlen
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbytes
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txpktrate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbyterate
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txload
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txucast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txmcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbcast
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txdiscards
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txerrors
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        	**config**\: False
                                        
                                        .. attribute:: txbandwidth
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**config**\: False
                                        
                                        

                                        """

                                        _prefix = 'top'
                                        _revision = '2019-02-17'

                                        def __init__(self):
                                            super(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, self).__init__()

                                            self.yang_name = "NodePtr-list"
                                            self.yang_parent_name = "nodeptr-items"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self.ylist_key_names = ['order']
                                            self._child_classes = OrderedDict([])
                                            self._leafs = OrderedDict([
                                                ('order', (YLeaf(YType.uint8, 'order'), ['int'])),
                                                ('addr', (YLeaf(YType.str, 'addr'), ['str'])),
                                                ('v6addr', (YLeaf(YType.str, 'v6addr'), ['str'])),
                                                ('nodename', (YLeaf(YType.str, 'nodeName'), ['str'])),
                                                ('elapsedtime', (YLeaf(YType.str, 'elapsedTime'), ['str'])),
                                                ('ingressif', (YLeaf(YType.str, 'ingressIf'), ['str'])),
                                                ('ingressifstate', (YLeaf(YType.str, 'ingressIfState'), ['str'])),
                                                ('rxlen', (YLeaf(YType.uint64, 'rxLen'), ['int'])),
                                                ('rxbytes', (YLeaf(YType.uint64, 'rxBytes'), ['int'])),
                                                ('rxpktrate', (YLeaf(YType.uint64, 'rxPktRate'), ['int'])),
                                                ('rxbyterate', (YLeaf(YType.uint64, 'rxByteRate'), ['int'])),
                                                ('rxload', (YLeaf(YType.uint64, 'rxLoad'), ['int'])),
                                                ('rxucast', (YLeaf(YType.uint64, 'rxUcast'), ['int'])),
                                                ('rxmcast', (YLeaf(YType.uint64, 'rxMcast'), ['int'])),
                                                ('rxbcast', (YLeaf(YType.uint64, 'rxBcast'), ['int'])),
                                                ('rxdiscards', (YLeaf(YType.uint64, 'rxDiscards'), ['int'])),
                                                ('rxerrors', (YLeaf(YType.uint64, 'rxErrors'), ['int'])),
                                                ('rxunknown', (YLeaf(YType.uint64, 'rxUnknown'), ['int'])),
                                                ('rxbandwidth', (YLeaf(YType.uint32, 'rxBandwidth'), ['int'])),
                                                ('egressif', (YLeaf(YType.str, 'egressIf'), ['str'])),
                                                ('egressifstate', (YLeaf(YType.str, 'egressIfState'), ['str'])),
                                                ('txlen', (YLeaf(YType.uint64, 'txLen'), ['int'])),
                                                ('txbytes', (YLeaf(YType.uint64, 'txBytes'), ['int'])),
                                                ('txpktrate', (YLeaf(YType.uint64, 'txPktRate'), ['int'])),
                                                ('txbyterate', (YLeaf(YType.uint64, 'txByteRate'), ['int'])),
                                                ('txload', (YLeaf(YType.uint64, 'txLoad'), ['int'])),
                                                ('txucast', (YLeaf(YType.uint64, 'txUcast'), ['int'])),
                                                ('txmcast', (YLeaf(YType.uint64, 'txMcast'), ['int'])),
                                                ('txbcast', (YLeaf(YType.uint64, 'txBcast'), ['int'])),
                                                ('txdiscards', (YLeaf(YType.uint64, 'txDiscards'), ['int'])),
                                                ('txerrors', (YLeaf(YType.uint64, 'txErrors'), ['int'])),
                                                ('txbandwidth', (YLeaf(YType.uint32, 'txBandwidth'), ['int'])),
                                            ])
                                            self.order = None
                                            self.addr = None
                                            self.v6addr = None
                                            self.nodename = None
                                            self.elapsedtime = None
                                            self.ingressif = None
                                            self.ingressifstate = None
                                            self.rxlen = None
                                            self.rxbytes = None
                                            self.rxpktrate = None
                                            self.rxbyterate = None
                                            self.rxload = None
                                            self.rxucast = None
                                            self.rxmcast = None
                                            self.rxbcast = None
                                            self.rxdiscards = None
                                            self.rxerrors = None
                                            self.rxunknown = None
                                            self.rxbandwidth = None
                                            self.egressif = None
                                            self.egressifstate = None
                                            self.txlen = None
                                            self.txbytes = None
                                            self.txpktrate = None
                                            self.txbyterate = None
                                            self.txload = None
                                            self.txucast = None
                                            self.txmcast = None
                                            self.txbcast = None
                                            self.txdiscards = None
                                            self.txerrors = None
                                            self.txbandwidth = None
                                            self._segment_path = lambda: "NodePtr-list" + "[order='" + str(self.order) + "']"
                                            self._is_frozen = True

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.PtrnversltItems.PathTraceNveRsltList.PathptrItems.PathPtrList.NodeptrItems.NodePtrList, ['order', 'addr', 'v6addr', 'nodename', 'elapsedtime', 'ingressif', 'ingressifstate', 'rxlen', 'rxbytes', 'rxpktrate', 'rxbyterate', 'rxload', 'rxucast', 'rxmcast', 'rxbcast', 'rxdiscards', 'rxerrors', 'rxunknown', 'rxbandwidth', 'egressif', 'egressifstate', 'txlen', 'txbytes', 'txpktrate', 'txbyterate', 'txload', 'txucast', 'txmcast', 'txbcast', 'txdiscards', 'txerrors', 'txbandwidth'], name, value)








                class RslSubjToDomainRefItems(Entity):
                    """
                    
                    
                    .. attribute:: tdn
                    
                    	Target\-dn
                    	**type**\: str
                    
                    .. attribute:: tcl
                    
                    	Target\-class
                    	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
                    
                    	**config**\: False
                    
                    

                    """

                    _prefix = 'top'
                    _revision = '2019-02-17'

                    def __init__(self):
                        super(System.ActionItems.LsubjItems.LSubjList.RslSubjToDomainRefItems, self).__init__()

                        self.yang_name = "rslSubjToDomainRef-items"
                        self.yang_parent_name = "LSubj-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self.ylist_key_names = []
                        self._child_classes = OrderedDict([])
                        self._leafs = OrderedDict([
                            ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                            ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                        ])
                        self.tdn = None
                        self.tcl = None
                        self._segment_path = lambda: "rslSubjToDomainRef-items"
                        self._is_frozen = True

                    def __setattr__(self, name, value):
                        self._perform_setattr(System.ActionItems.LsubjItems.LSubjList.RslSubjToDomainRefItems, ['tdn', 'tcl'], name, value)






    class RtdbgexpTsSrcItems(Entity):
        """
        
        
        .. attribute:: rtdbgexptssrc_list
        
        	
        	**type**\: list of  		 :py:class:`RtDbgexpTsSrcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RtdbgexpTsSrcItems.RtDbgexpTsSrcList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RtdbgexpTsSrcItems, self).__init__()

            self.yang_name = "rtdbgexpTsSrc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("RtDbgexpTsSrc-list", ("rtdbgexptssrc_list", System.RtdbgexpTsSrcItems.RtDbgexpTsSrcList))])
            self._leafs = OrderedDict()

            self.rtdbgexptssrc_list = YList(self)
            self._segment_path = lambda: "rtdbgexpTsSrc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RtdbgexpTsSrcItems, [], name, value)


        class RtDbgexpTsSrcList(Entity):
            """
            
            
            .. attribute:: tdn  (key)
            
            	Target\-dn
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tcl
            
            	Target\-class
            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RtdbgexpTsSrcItems.RtDbgexpTsSrcList, self).__init__()

                self.yang_name = "RtDbgexpTsSrc-list"
                self.yang_parent_name = "rtdbgexpTsSrc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['tdn']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                ])
                self.tdn = None
                self.tcl = None
                self._segment_path = lambda: "RtDbgexpTsSrc-list" + "[tDn='" + str(self.tdn) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rtdbgexpTsSrc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RtdbgexpTsSrcItems.RtDbgexpTsSrcList, ['tdn', 'tcl'], name, value)




    class RttraceroutepTrSrcItems(Entity):
        """
        
        
        .. attribute:: rttracerouteptrsrc_list
        
        	
        	**type**\: list of  		 :py:class:`RtTraceroutepTrSrcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RttraceroutepTrSrcItems.RtTraceroutepTrSrcList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RttraceroutepTrSrcItems, self).__init__()

            self.yang_name = "rttraceroutepTrSrc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("RtTraceroutepTrSrc-list", ("rttracerouteptrsrc_list", System.RttraceroutepTrSrcItems.RtTraceroutepTrSrcList))])
            self._leafs = OrderedDict()

            self.rttracerouteptrsrc_list = YList(self)
            self._segment_path = lambda: "rttraceroutepTrSrc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RttraceroutepTrSrcItems, [], name, value)


        class RtTraceroutepTrSrcList(Entity):
            """
            
            
            .. attribute:: tdn  (key)
            
            	Target\-dn
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tcl
            
            	Target\-class
            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RttraceroutepTrSrcItems.RtTraceroutepTrSrcList, self).__init__()

                self.yang_name = "RtTraceroutepTrSrc-list"
                self.yang_parent_name = "rttraceroutepTrSrc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['tdn']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                ])
                self.tdn = None
                self.tcl = None
                self._segment_path = lambda: "RtTraceroutepTrSrc-list" + "[tDn='" + str(self.tdn) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rttraceroutepTrSrc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RttraceroutepTrSrcItems.RtTraceroutepTrSrcList, ['tdn', 'tcl'], name, value)




    class RttraceroutepTrDstItems(Entity):
        """
        
        
        .. attribute:: rttracerouteptrdst_list
        
        	
        	**type**\: list of  		 :py:class:`RtTraceroutepTrDstList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RttraceroutepTrDstItems.RtTraceroutepTrDstList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RttraceroutepTrDstItems, self).__init__()

            self.yang_name = "rttraceroutepTrDst-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("RtTraceroutepTrDst-list", ("rttracerouteptrdst_list", System.RttraceroutepTrDstItems.RtTraceroutepTrDstList))])
            self._leafs = OrderedDict()

            self.rttracerouteptrdst_list = YList(self)
            self._segment_path = lambda: "rttraceroutepTrDst-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RttraceroutepTrDstItems, [], name, value)


        class RtTraceroutepTrDstList(Entity):
            """
            
            
            .. attribute:: tdn  (key)
            
            	Target\-dn
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tcl
            
            	Target\-class
            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RttraceroutepTrDstItems.RtTraceroutepTrDstList, self).__init__()

                self.yang_name = "RtTraceroutepTrDst-list"
                self.yang_parent_name = "rttraceroutepTrDst-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['tdn']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                ])
                self.tdn = None
                self.tcl = None
                self._segment_path = lambda: "RtTraceroutepTrDst-list" + "[tDn='" + str(self.tdn) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rttraceroutepTrDst-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RttraceroutepTrDstItems.RtTraceroutepTrDstList, ['tdn', 'tcl'], name, value)




    class RtmaintFwinstlsrcItems(Entity):
        """
        
        
        .. attribute:: rtmaintfwinstlsrc_list
        
        	
        	**type**\: list of  		 :py:class:`RtMaintFwinstlsrcList <ydk.models.cisco_nx_os.Cisco_NX_OS_device.System.RtmaintFwinstlsrcItems.RtMaintFwinstlsrcList>`
        
        	**config**\: False
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(System.RtmaintFwinstlsrcItems, self).__init__()

            self.yang_name = "rtmaintFwinstlsrc-items"
            self.yang_parent_name = "System"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([("RtMaintFwinstlsrc-list", ("rtmaintfwinstlsrc_list", System.RtmaintFwinstlsrcItems.RtMaintFwinstlsrcList))])
            self._leafs = OrderedDict()

            self.rtmaintfwinstlsrc_list = YList(self)
            self._segment_path = lambda: "rtmaintFwinstlsrc-items"
            self._absolute_path = lambda: "Cisco-NX-OS-device:System/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(System.RtmaintFwinstlsrcItems, [], name, value)


        class RtMaintFwinstlsrcList(Entity):
            """
            
            
            .. attribute:: tdn  (key)
            
            	Target\-dn
            	**type**\: str
            
            	**config**\: False
            
            .. attribute:: tcl
            
            	Target\-class
            	**type**\:  :py:class:`RelnClassId <ydk.models.cisco_nx_os.Cisco_NX_OS_device.RelnClassId>`
            
            	**config**\: False
            
            

            """

            _prefix = 'top'
            _revision = '2019-02-17'

            def __init__(self):
                super(System.RtmaintFwinstlsrcItems.RtMaintFwinstlsrcList, self).__init__()

                self.yang_name = "RtMaintFwinstlsrc-list"
                self.yang_parent_name = "rtmaintFwinstlsrc-items"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self.ylist_key_names = ['tdn']
                self._child_classes = OrderedDict([])
                self._leafs = OrderedDict([
                    ('tdn', (YLeaf(YType.str, 'tDn'), ['str'])),
                    ('tcl', (YLeaf(YType.enumeration, 'tCl'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'RelnClassId', '')])),
                ])
                self.tdn = None
                self.tcl = None
                self._segment_path = lambda: "RtMaintFwinstlsrc-list" + "[tDn='" + str(self.tdn) + "']"
                self._absolute_path = lambda: "Cisco-NX-OS-device:System/rtmaintFwinstlsrc-items/%s" % self._segment_path()
                self._is_frozen = True

            def __setattr__(self, name, value):
                self._perform_setattr(System.RtmaintFwinstlsrcItems.RtMaintFwinstlsrcList, ['tdn', 'tcl'], name, value)



    def clone_ptr(self):
        self._top_entity = System()
        return self._top_entity



class Cli(Entity):
    """
    Execute a CLI command
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Cli.Input>`
    
    .. attribute:: output
    
    	
    	**type**\:  :py:class:`Output <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Cli.Output>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(Cli, self).__init__()
        self._top_entity = None

        self.yang_name = "cli"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = Cli.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"

        self.output = Cli.Output()
        self.output.parent = self
        self._children_name_map["output"] = "output"
        self._segment_path = lambda: "Cisco-NX-OS-device:cli"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: mode
        
        	Specifies the mode\: EXEC, CONFIG 
        	**type**\:  :py:class:`ClimodeT <ydk.models.cisco_nx_os.Cisco_NX_OS_device.ClimodeT>`
        
        .. attribute:: cmdline
        
        	Specifies the CLI command line to execute
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Cli.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "cli"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('mode', (YLeaf(YType.enumeration, 'mode'), [('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'ClimodeT', '')])),
                ('cmdline', (YLeaf(YType.str, 'cmdline'), ['str'])),
            ])
            self.mode = None
            self.cmdline = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:cli/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Cli.Input, ['mode', 'cmdline'], name, value)



    class Output(Entity):
        """
        
        
        .. attribute:: message
        
        	Contains textual CLI response information
        	**type**\: str
        
        .. attribute:: data
        
        	Contains the CLI response in XML format
        	**type**\: anyxml
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Cli.Output, self).__init__()

            self.yang_name = "output"
            self.yang_parent_name = "cli"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('message', (YLeaf(YType.str, 'message'), ['str'])),
                ('data', (YLeaf(YType.str, 'data'), ['str'])),
            ])
            self.message = None
            self.data = None
            self._segment_path = lambda: "output"
            self._absolute_path = lambda: "Cisco-NX-OS-device:cli/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Cli.Output, ['message', 'data'], name, value)


    def clone_ptr(self):
        self._top_entity = Cli()
        return self._top_entity



class InstallAllNxos(Entity):
    """
    Upgrade the system software
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallAllNxos.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallAllNxos, self).__init__()
        self._top_entity = None

        self.yang_name = "install_all_nxos"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallAllNxos.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_all_nxos"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: nxos
        
        	NXOS boot\-variable name, image URI
        	**type**\: str
        
        .. attribute:: no_reload
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: noswitchover
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bios
        
        	BIOS Only
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: no_save
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bios_force
        
        	Forcefully upgrade bios
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: non_interruptive
        
        	Non\-Interruptive install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallAllNxos.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_all_nxos"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('nxos', (YLeaf(YType.str, 'nxos'), ['str'])),
                ('no_reload', (YLeaf(YType.empty, 'no-reload'), ['Empty'])),
                ('noswitchover', (YLeaf(YType.empty, 'noswitchover'), ['Empty'])),
                ('bios', (YLeaf(YType.empty, 'bios'), ['Empty'])),
                ('no_save', (YLeaf(YType.empty, 'no-save'), ['Empty'])),
                ('bios_force', (YLeaf(YType.empty, 'bios-force'), ['Empty'])),
                ('non_interruptive', (YLeaf(YType.empty, 'non-interruptive'), ['Empty'])),
            ])
            self.nxos = None
            self.no_reload = None
            self.noswitchover = None
            self.bios = None
            self.no_save = None
            self.bios_force = None
            self.non_interruptive = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_all_nxos/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallAllNxos.Input, ['nxos', 'no_reload', 'noswitchover', 'bios', 'no_save', 'bios_force', 'non_interruptive'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallAllNxos()
        return self._top_entity



class InstallForceAllNxos(Entity):
    """
    Force upgrade of the system software
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallForceAllNxos.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallForceAllNxos, self).__init__()
        self._top_entity = None

        self.yang_name = "install_force_all_nxos"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallForceAllNxos.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_force_all_nxos"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: nxos
        
        	NXOS boot\-variable name, image URI
        	**type**\: str
        
        .. attribute:: no_reload
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: noswitchover
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bios
        
        	BIOS Only
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: no_save
        
        	Exit right before reload during install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bios_force
        
        	Forcefully upgrade bios
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: non_interruptive
        
        	Non\-Interruptive install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallForceAllNxos.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_force_all_nxos"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('nxos', (YLeaf(YType.str, 'nxos'), ['str'])),
                ('no_reload', (YLeaf(YType.empty, 'no-reload'), ['Empty'])),
                ('noswitchover', (YLeaf(YType.empty, 'noswitchover'), ['Empty'])),
                ('bios', (YLeaf(YType.empty, 'bios'), ['Empty'])),
                ('no_save', (YLeaf(YType.empty, 'no-save'), ['Empty'])),
                ('bios_force', (YLeaf(YType.empty, 'bios-force'), ['Empty'])),
                ('non_interruptive', (YLeaf(YType.empty, 'non-interruptive'), ['Empty'])),
            ])
            self.nxos = None
            self.no_reload = None
            self.noswitchover = None
            self.bios = None
            self.no_save = None
            self.bios_force = None
            self.non_interruptive = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_force_all_nxos/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallForceAllNxos.Input, ['nxos', 'no_reload', 'noswitchover', 'bios', 'no_save', 'bios_force', 'non_interruptive'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallForceAllNxos()
        return self._top_entity



class InstallAdd(Entity):
    """
    Add package
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallAdd.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallAdd, self).__init__()
        self._top_entity = None

        self.yang_name = "install_add"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallAdd.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_add"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: add
        
        	Add package via name or URI
        	**type**\: union of the below types:
        
        		**type**\: str
        
        		**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: upgrade
        
        	Upgrade package
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: downgrade
        
        	Downgrade package
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: initial
        
        	Initial install
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: forced
        
        	non\-interactive
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallAdd.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_add"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('add', (YLeaf(YType.str, 'add'), ['str','str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('upgrade', (YLeaf(YType.empty, 'upgrade'), ['Empty'])),
                ('downgrade', (YLeaf(YType.empty, 'downgrade'), ['Empty'])),
                ('initial', (YLeaf(YType.empty, 'initial'), ['Empty'])),
                ('forced', (YLeaf(YType.empty, 'forced'), ['Empty'])),
            ])
            self.add = None
            self.vrf = None
            self.upgrade = None
            self.downgrade = None
            self.initial = None
            self.forced = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_add/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallAdd.Input, ['add', 'vrf', 'upgrade', 'downgrade', 'initial', 'forced'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallAdd()
        return self._top_entity



class InstallActivate(Entity):
    """
    Activate package
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallActivate.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallActivate, self).__init__()
        self._top_entity = None

        self.yang_name = "install_activate"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallActivate.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_activate"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: activate
        
        	Package name
        	**type**\: str
        
        .. attribute:: forced
        
        	non\-interactive
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallActivate.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_activate"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('activate', (YLeaf(YType.str, 'activate'), ['str'])),
                ('forced', (YLeaf(YType.empty, 'forced'), ['Empty'])),
            ])
            self.activate = None
            self.forced = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_activate/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallActivate.Input, ['activate', 'forced'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallActivate()
        return self._top_entity



class InstallDeactivate(Entity):
    """
    Deactivate package
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallDeactivate.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallDeactivate, self).__init__()
        self._top_entity = None

        self.yang_name = "install_deactivate"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallDeactivate.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_deactivate"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: deactivate
        
        	Package name
        	**type**\: str
        
        .. attribute:: forced
        
        	non\-interactive
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallDeactivate.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_deactivate"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('deactivate', (YLeaf(YType.str, 'deactivate'), ['str'])),
                ('forced', (YLeaf(YType.empty, 'forced'), ['Empty'])),
            ])
            self.deactivate = None
            self.forced = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_deactivate/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallDeactivate.Input, ['deactivate', 'forced'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallDeactivate()
        return self._top_entity



class InstallCommit(Entity):
    """
    Commit software patch
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallCommit.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallCommit, self).__init__()
        self._top_entity = None

        self.yang_name = "install_commit"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallCommit.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_commit"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: commit
        
        	Package name
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallCommit.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_commit"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('commit', (YLeaf(YType.str, 'commit'), ['str'])),
            ])
            self.commit = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_commit/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallCommit.Input, ['commit'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallCommit()
        return self._top_entity



class InstallRemove(Entity):
    """
    Remove package
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.InstallRemove.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(InstallRemove, self).__init__()
        self._top_entity = None

        self.yang_name = "install_remove"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = InstallRemove.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:install_remove"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: remove
        
        	Package name or inactive (All inactive except non\-committed packages)
        	**type**\: union of the below types:
        
        		**type**\: str
        
        		**type**\:  :py:class:`Inactive <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Inactive>`
        
        .. attribute:: inactive
        
        	All inactive except non\-committed packages
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: forced
        
        	Remove package
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(InstallRemove.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "install_remove"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('remove', (YLeaf(YType.str, 'remove'), ['str',('ydk.models.cisco_nx_os.Cisco_NX_OS_device', 'Inactive')])),
                ('inactive', (YLeaf(YType.empty, 'inactive'), ['Empty'])),
                ('forced', (YLeaf(YType.empty, 'forced'), ['Empty'])),
            ])
            self.remove = None
            self.inactive = None
            self.forced = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:install_remove/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(InstallRemove.Input, ['remove', 'inactive', 'forced'], name, value)


    def clone_ptr(self):
        self._top_entity = InstallRemove()
        return self._top_entity



class Copy(Entity):
    """
    Copy startup configuration to destination
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Copy.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(Copy, self).__init__()
        self._top_entity = None

        self.yang_name = "copy"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = Copy.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: source
        
        	Select source filesystem
        	**type**\: str
        
        .. attribute:: destination
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: recursive
        
        	Recursively copy files and folders
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Copy.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('source', (YLeaf(YType.str, 'source'), ['str'])),
                ('destination', (YLeaf(YType.str, 'destination'), ['str'])),
                ('recursive', (YLeaf(YType.empty, 'recursive'), ['Empty'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
            ])
            self.source = None
            self.destination = None
            self.recursive = None
            self.vrf = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Copy.Input, ['source', 'destination', 'recursive', 'vrf'], name, value)


    def clone_ptr(self):
        self._top_entity = Copy()
        return self._top_entity



class CopySrcLocal(Entity):
    """
    Copy from one file to another
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopySrcLocal.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopySrcLocal, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_src_local"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopySrcLocal.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_src_local"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: src_local
        
        	Select source filesystem
        	**type**\: str
        
        .. attribute:: dest_remote
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Select source interface
        	**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: dest_local
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: running_config
        
        	Copy from source to running configuration
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: echo_commands
        
        	Echo the commands before applying them (to correlate errors)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: stop_at_first_failure
        
        	Stop at first error
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: startup_config
        
        	Select source interface
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: scheduled_config
        
        	Select source interface
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopySrcLocal.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_src_local"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('src_local', (YLeaf(YType.str, 'src_local'), ['str'])),
                ('dest_remote', (YLeaf(YType.str, 'dest_remote'), ['str'])),
                ('source_interface', (YLeaf(YType.str, 'source-interface'), ['str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('dest_local', (YLeaf(YType.str, 'dest_local'), ['str'])),
                ('running_config', (YLeaf(YType.empty, 'running-config'), ['Empty'])),
                ('echo_commands', (YLeaf(YType.empty, 'echo-commands'), ['Empty'])),
                ('stop_at_first_failure', (YLeaf(YType.empty, 'stop-at-first-failure'), ['Empty'])),
                ('startup_config', (YLeaf(YType.empty, 'startup-config'), ['Empty'])),
                ('scheduled_config', (YLeaf(YType.empty, 'scheduled-config'), ['Empty'])),
            ])
            self.src_local = None
            self.dest_remote = None
            self.source_interface = None
            self.vrf = None
            self.dest_local = None
            self.running_config = None
            self.echo_commands = None
            self.stop_at_first_failure = None
            self.startup_config = None
            self.scheduled_config = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_src_local/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopySrcLocal.Input, ['src_local', 'dest_remote', 'source_interface', 'vrf', 'dest_local', 'running_config', 'echo_commands', 'stop_at_first_failure', 'startup_config', 'scheduled_config'], name, value)


    def clone_ptr(self):
        self._top_entity = CopySrcLocal()
        return self._top_entity



class CopySrcRemote(Entity):
    """
    Copy from one file to another
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopySrcRemote.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopySrcRemote, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_src_remote"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopySrcRemote.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_src_remote"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: src_remote
        
        	Select source filesystem
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Select source interface
        	**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: dest_local
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: running_config
        
        	Copy from source to running configuration
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: echo_commands
        
        	Echo the commands before applying them (to correlate errors)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: stop_at_first_failure
        
        	Stop at first error
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: startup_config
        
        	Copy startup configuration to destination
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopySrcRemote.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_src_remote"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('src_remote', (YLeaf(YType.str, 'src_remote'), ['str'])),
                ('source_interface', (YLeaf(YType.str, 'source-interface'), ['str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('dest_local', (YLeaf(YType.str, 'dest_local'), ['str'])),
                ('running_config', (YLeaf(YType.empty, 'running-config'), ['Empty'])),
                ('echo_commands', (YLeaf(YType.empty, 'echo-commands'), ['Empty'])),
                ('stop_at_first_failure', (YLeaf(YType.empty, 'stop-at-first-failure'), ['Empty'])),
                ('startup_config', (YLeaf(YType.empty, 'startup-config'), ['Empty'])),
            ])
            self.src_remote = None
            self.source_interface = None
            self.vrf = None
            self.dest_local = None
            self.running_config = None
            self.echo_commands = None
            self.stop_at_first_failure = None
            self.startup_config = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_src_remote/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopySrcRemote.Input, ['src_remote', 'source_interface', 'vrf', 'dest_local', 'running_config', 'echo_commands', 'stop_at_first_failure', 'startup_config'], name, value)


    def clone_ptr(self):
        self._top_entity = CopySrcRemote()
        return self._top_entity



class CopySrcCore(Entity):
    """
    Copy from one file to another
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopySrcCore.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopySrcCore, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_src_core"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopySrcCore.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_src_core"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: src_core
        
        	Select source filesystem
        	**type**\: str
        
        .. attribute:: dest_remote
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Select source interface
        	**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: dest_local_core
        
        	Select destination filesystem
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopySrcCore.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_src_core"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('src_core', (YLeaf(YType.str, 'src_core'), ['str'])),
                ('dest_remote', (YLeaf(YType.str, 'dest_remote'), ['str'])),
                ('source_interface', (YLeaf(YType.str, 'source-interface'), ['str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('dest_local_core', (YLeaf(YType.str, 'dest_local_core'), ['str'])),
            ])
            self.src_core = None
            self.dest_remote = None
            self.source_interface = None
            self.vrf = None
            self.dest_local_core = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_src_core/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopySrcCore.Input, ['src_core', 'dest_remote', 'source_interface', 'vrf', 'dest_local_core'], name, value)


    def clone_ptr(self):
        self._top_entity = CopySrcCore()
        return self._top_entity



class CopyRunningConfigSrc(Entity):
    """
    Copy running configuration to destination
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopyRunningConfigSrc.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopyRunningConfigSrc, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_running_config_src"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopyRunningConfigSrc.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_running_config_src"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: vdc_all
        
        	Perform copy for all vdcs
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: dest_remote
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Select source interface
        	**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: startup_config
        
        	Copy startup configuration to destination
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: fabric
        
        	Copy from source to fabric startup configuration
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: dest_local_config
        
        	Select destination filesystem
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopyRunningConfigSrc.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_running_config_src"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('vdc_all', (YLeaf(YType.empty, 'vdc-all'), ['Empty'])),
                ('dest_remote', (YLeaf(YType.str, 'dest_remote'), ['str'])),
                ('source_interface', (YLeaf(YType.str, 'source-interface'), ['str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('startup_config', (YLeaf(YType.empty, 'startup-config'), ['Empty'])),
                ('fabric', (YLeaf(YType.empty, 'fabric'), ['Empty'])),
                ('dest_local_config', (YLeaf(YType.empty, 'dest_local_config'), ['Empty'])),
            ])
            self.vdc_all = None
            self.dest_remote = None
            self.source_interface = None
            self.vrf = None
            self.startup_config = None
            self.fabric = None
            self.dest_local_config = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_running_config_src/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopyRunningConfigSrc.Input, ['vdc_all', 'dest_remote', 'source_interface', 'vrf', 'startup_config', 'fabric', 'dest_local_config'], name, value)


    def clone_ptr(self):
        self._top_entity = CopyRunningConfigSrc()
        return self._top_entity



class CopyStartupConfigSrc(Entity):
    """
    Copy startup configuration to destination
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopyStartupConfigSrc.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopyStartupConfigSrc, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_startup_config_src"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopyStartupConfigSrc.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_startup_config_src"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: dest_remote
        
        	Select destination filesystem
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Select source interface
        	**type**\: str
        
        .. attribute:: vrf
        
        	Display per\-VRF information of known VRF name
        	**type**\: str
        
        .. attribute:: running_config
        
        	Copy from source to running configuration
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: echo_commands
        
        	Echo the commands before applying them (to correlate errors)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: stop_at_first_failure
        
        	Stop at first error
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: dest_local_config
        
        	Select destination filesystem
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopyStartupConfigSrc.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_startup_config_src"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('dest_remote', (YLeaf(YType.str, 'dest_remote'), ['str'])),
                ('source_interface', (YLeaf(YType.str, 'source-interface'), ['str'])),
                ('vrf', (YLeaf(YType.str, 'vrf'), ['str'])),
                ('running_config', (YLeaf(YType.empty, 'running-config'), ['Empty'])),
                ('echo_commands', (YLeaf(YType.empty, 'echo-commands'), ['Empty'])),
                ('stop_at_first_failure', (YLeaf(YType.empty, 'stop-at-first-failure'), ['Empty'])),
                ('dest_local_config', (YLeaf(YType.empty, 'dest_local_config'), ['Empty'])),
            ])
            self.dest_remote = None
            self.source_interface = None
            self.vrf = None
            self.running_config = None
            self.echo_commands = None
            self.stop_at_first_failure = None
            self.dest_local_config = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_startup_config_src/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopyStartupConfigSrc.Input, ['dest_remote', 'source_interface', 'vrf', 'running_config', 'echo_commands', 'stop_at_first_failure', 'dest_local_config'], name, value)


    def clone_ptr(self):
        self._top_entity = CopyStartupConfigSrc()
        return self._top_entity



class CopyLicenses(Entity):
    """
    Copy license files
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.CopyLicenses.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(CopyLicenses, self).__init__()
        self._top_entity = None

        self.yang_name = "copy_licenses"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = CopyLicenses.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:copy_licenses"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: licenses
        
        	Specify URL (with .tar extension) for backing up license files
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(CopyLicenses.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "copy_licenses"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('licenses', (YLeaf(YType.str, 'licenses'), ['str'])),
            ])
            self.licenses = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:copy_licenses/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(CopyLicenses.Input, ['licenses'], name, value)


    def clone_ptr(self):
        self._top_entity = CopyLicenses()
        return self._top_entity



class Delete(Entity):
    """
    Deletes a specified target file or directory
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Delete.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(Delete, self).__init__()
        self._top_entity = None

        self.yang_name = "delete"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = Delete.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:delete"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: target
        
        	file or directory to delete
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Delete.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "delete"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('target', (YLeaf(YType.str, 'target'), ['str'])),
            ])
            self.target = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:delete/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Delete.Input, ['target'], name, value)


    def clone_ptr(self):
        self._top_entity = Delete()
        return self._top_entity



class DeleteCaCertificate(Entity):
    """
    Deletes the ca certificates
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(DeleteCaCertificate, self).__init__()
        self._top_entity = None

        self.yang_name = "delete_ca_certificate"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()
        self._segment_path = lambda: "Cisco-NX-OS-device:delete_ca_certificate"
        self._is_frozen = True

    def clone_ptr(self):
        self._top_entity = DeleteCaCertificate()
        return self._top_entity



class DeleteCrl(Entity):
    """
    Deletes the certificates
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(DeleteCrl, self).__init__()
        self._top_entity = None

        self.yang_name = "delete_crl"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()
        self._segment_path = lambda: "Cisco-NX-OS-device:delete_crl"
        self._is_frozen = True

    def clone_ptr(self):
        self._top_entity = DeleteCrl()
        return self._top_entity



class BootNxos(Entity):
    """
    Boots the device
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.BootNxos.Input>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(BootNxos, self).__init__()
        self._top_entity = None

        self.yang_name = "boot_nxos"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = BootNxos.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"
        self._segment_path = lambda: "Cisco-NX-OS-device:boot_nxos"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: image
        
        	NXOS Image to boot
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(BootNxos.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "boot_nxos"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('image', (YLeaf(YType.str, 'image'), ['str'])),
            ])
            self.image = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:boot_nxos/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(BootNxos.Input, ['image'], name, value)


    def clone_ptr(self):
        self._top_entity = BootNxos()
        return self._top_entity



class Reload(Entity):
    """
    Reloads the device
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(Reload, self).__init__()
        self._top_entity = None

        self.yang_name = "reload"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()
        self._segment_path = lambda: "Cisco-NX-OS-device:reload"
        self._is_frozen = True

    def clone_ptr(self):
        self._top_entity = Reload()
        return self._top_entity



class Dir(Entity):
    """
    Returns directory or file information in the system, expansion flash or log flash
    
    .. attribute:: input
    
    	
    	**type**\:  :py:class:`Input <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Dir.Input>`
    
    .. attribute:: output
    
    	
    	**type**\:  :py:class:`Output <ydk.models.cisco_nx_os.Cisco_NX_OS_device.Dir.Output>`
    
    

    """

    _prefix = 'top'
    _revision = '2019-02-17'

    def __init__(self):
        super(Dir, self).__init__()
        self._top_entity = None

        self.yang_name = "dir"
        self.yang_parent_name = "Cisco-NX-OS-device"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self.ylist_key_names = []
        self._child_classes = OrderedDict([])
        self._leafs = OrderedDict()

        self.input = Dir.Input()
        self.input.parent = self
        self._children_name_map["input"] = "input"

        self.output = Dir.Output()
        self.output.parent = self
        self._children_name_map["output"] = "output"
        self._segment_path = lambda: "Cisco-NX-OS-device:dir"
        self._is_frozen = True


    class Input(Entity):
        """
        
        
        .. attribute:: filemask
        
        	Directory, filename or filemask
        	**type**\: str
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Dir.Input, self).__init__()

            self.yang_name = "input"
            self.yang_parent_name = "dir"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('filemask', (YLeaf(YType.str, 'filemask'), ['str'])),
            ])
            self.filemask = None
            self._segment_path = lambda: "input"
            self._absolute_path = lambda: "Cisco-NX-OS-device:dir/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Dir.Input, ['filemask'], name, value)



    class Output(Entity):
        """
        
        
        .. attribute:: data
        
        	XML\-formatted directory or file information
        	**type**\: anyxml
        
        

        """

        _prefix = 'top'
        _revision = '2019-02-17'

        def __init__(self):
            super(Dir.Output, self).__init__()

            self.yang_name = "output"
            self.yang_parent_name = "dir"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self.ylist_key_names = []
            self._child_classes = OrderedDict([])
            self._leafs = OrderedDict([
                ('data', (YLeaf(YType.str, 'data'), ['str'])),
            ])
            self.data = None
            self._segment_path = lambda: "output"
            self._absolute_path = lambda: "Cisco-NX-OS-device:dir/%s" % self._segment_path()
            self._is_frozen = True

        def __setattr__(self, name, value):
            self._perform_setattr(Dir.Output, ['data'], name, value)


    def clone_ptr(self):
        self._top_entity = Dir()
        return self._top_entity



